/**
 * Access Governance APIs
 * Use the Oracle Access Governance API to create, view, and manage GovernanceInstances.
 * OpenAPI spec version: 20220518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { AccessGovernanceCPClient } from "./client";
export declare class AccessGovernanceCPWaiter {
    private client;
    private readonly config?;
    constructor(client: AccessGovernanceCPClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forGovernanceInstance till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetGovernanceInstanceResponse | null (null in case of 404 response)
     */
    forGovernanceInstance(request: serviceRequests.GetGovernanceInstanceRequest, ...targetStates: models.InstanceLifecycleState[]): Promise<serviceResponses.GetGovernanceInstanceResponse | null>;
}
