/**
 * Access Governance APIs
 * Use the Oracle Access Governance API to create, view, and manage GovernanceInstances.
 * OpenAPI spec version: 20220518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The sender information for email notifications sent by GovernanceInstance.
 */
export interface SenderConfig {
    /**
     * The sender's displayName.
     */
    "displayName"?: string;
    /**
     * The sender's email.
     */
    "email"?: string;
    /**
     * Whether or not the sender's email has been verified.
     */
    "isVerified"?: boolean;
    /**
     * The time when the verify response needs to be received by.
     */
    "timeVerifyResponseExpiry"?: Date;
    /**
     * Whether the sender email has inbox configured to receive emails.
     */
    "isInboxConfigured"?: boolean;
}
export declare namespace SenderConfig {
    function getJsonObj(obj: SenderConfig): object;
    function getDeserializedJsonObj(obj: SenderConfig): object;
}
