/**
 * Access Governance APIs
 * Use the Oracle Access Governance API to create, view, and manage GovernanceInstances.
 * OpenAPI spec version: 20220518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of a GovernanceInstance to be updated.
 */
export interface UpdateGovernanceInstanceDetails {
    /**
     * The name for the GovernanceInstance.
     */
    "displayName"?: string;
    /**
     * The description of the GovernanceInstance.
     */
    "description"?: string;
    /**
     * The licenseType being used.
     */
    "licenseType"?: model.LicenseType;
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
}
export declare namespace UpdateGovernanceInstanceDetails {
    function getJsonObj(obj: UpdateGovernanceInstanceDetails): object;
    function getDeserializedJsonObj(obj: UpdateGovernanceInstanceDetails): object;
}
