/**
 *
 *
 * OpenAPI spec version: 20220518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/accessgovernancecp/ListGovernanceInstances.ts.html |here} to see how to use ListGovernanceInstancesRequest.
 */
export interface ListGovernanceInstancesRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment in which resources are listed.
     */
    "compartmentId": string;
    /**
     * The lifecycle state to filter on.
     */
    "lifecycleState"?: string;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * The OCID of the GovernanceInstance
     */
    "id"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending.
     *
     */
    "sortBy"?: ListGovernanceInstancesRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListGovernanceInstancesRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName",
        TimeUpdated = "timeUpdated",
        LifecycleState = "lifecycleState"
    }
}
