/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Qualitative evaluation of the severity for a vulnerability, from NONE to CRITICAL. Used to configure requests that specify severity requirements, that's why UNSET is also a valid value (unlike in VulnerabilitySeverity).
 **/
export declare enum ConfigSeverity {
    Unset = "UNSET",
    None = "NONE",
    Low = "LOW",
    Medium = "MEDIUM",
    High = "HIGH",
    Critical = "CRITICAL",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace ConfigSeverity {
    function getJsonObj(obj: ConfigSeverity): ConfigSeverity;
    function getDeserializedJsonObj(obj: ConfigSeverity): ConfigSeverity;
}
