/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details to create a new Remediation Recipe.
 */
export interface CreateRemediationRecipeDetails {
    /**
     * The compartment Oracle Cloud Identifier ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the remediation recipe.
     */
    "compartmentId": string;
    /**
     * The name of the remediation recipe.
     */
    "displayName"?: string;
    "scmConfiguration": model.OciCodeRepositoryConfiguration | model.ExternalScmConfiguration;
    "verifyConfiguration": model.JenkinsPipelineConfiguration | model.NoneVerifyConfiguration | model.OciDevOpsBuildConfiguration | model.GitHubActionsConfiguration | model.GitLabPipelineConfiguration;
    "detectConfiguration": model.DetectConfiguration;
    "networkConfiguration": model.NetworkConfiguration;
    /**
     * The Oracle Cloud Identifier ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the knowledge base.
     */
    "knowledgeBaseId": string;
    /**
     * Boolean indicating if a run should be automatically triggered once the knowledge base is updated.
     */
    "isRunTriggeredOnKbChange": boolean;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateRemediationRecipeDetails {
    function getJsonObj(obj: CreateRemediationRecipeDetails): object;
    function getDeserializedJsonObj(obj: CreateRemediationRecipeDetails): object;
}
