/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A network configuration defines the required network characteristics for an ADM remediation recipe.
 * A network configuration is required if the build service is one of: GitHub Actions, GitLab Pipeline, or Jenkins Pipeline.
 *
 */
export interface NetworkConfiguration {
    /**
     * The Oracle Cloud Identifier ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the subnet.
     */
    "subnetId": string;
    /**
     * The list of Oracle Cloud Identifiers ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) corresponding to Network Security Groups.
     */
    "nsgIds"?: Array<string>;
}
export declare namespace NetworkConfiguration {
    function getJsonObj(obj: NetworkConfiguration): object;
    function getDeserializedJsonObj(obj: NetworkConfiguration): object;
}
