/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * OCI DevOps configuration extends a Verify Configuration with necessary data to reach and use the OCI DevOps Build Service.
 */
export interface OciDevOpsBuildConfiguration extends model.VerifyConfiguration {
    /**
     * The Oracle Cloud Identifier ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the user's DevOps Build Pipeline.
     */
    "pipelineId": string;
    /**
     * Additional key-value pairs passed as parameters to the build service when running an experiment.
     */
    "additionalParameters"?: {
        [key: string]: string;
    };
    "buildServiceType": string;
}
export declare namespace OciDevOpsBuildConfiguration {
    function getJsonObj(obj: OciDevOpsBuildConfiguration, isParentJsonObj?: boolean): object;
    const buildServiceType = "OCI_DEVOPS_BUILD";
    function getDeserializedJsonObj(obj: OciDevOpsBuildConfiguration, isParentJsonObj?: boolean): object;
}
