/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A recommend stage determines the recommended third-party dependencies that the app should use and (if any) opens a pull request to propose these changes.
 *
 */
export interface RecommendStage extends model.RemediationRunStage {
    /**
     * Count of recommended application dependencies to update. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recommendedUpdatesCount"?: number;
    "pullRequestProperties"?: model.PullRequestProperties;
    "type": string;
}
export declare namespace RecommendStage {
    function getJsonObj(obj: RecommendStage, isParentJsonObj?: boolean): object;
    const type = "RECOMMEND";
    function getDeserializedJsonObj(obj: RecommendStage, isParentJsonObj?: boolean): object;
}
