"use strict";
/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerifyConfiguration = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var VerifyConfiguration;
(function (VerifyConfiguration) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "buildServiceType" in obj && obj.buildServiceType) {
            switch (obj.buildServiceType) {
                case "JENKINS_PIPELINE":
                    return model.JenkinsPipelineConfiguration.getJsonObj(jsonObj, true);
                case "NONE":
                    return model.NoneVerifyConfiguration.getJsonObj(jsonObj, true);
                case "OCI_DEVOPS_BUILD":
                    return model.OciDevOpsBuildConfiguration.getJsonObj(jsonObj, true);
                case "GITHUB_ACTIONS":
                    return model.GitHubActionsConfiguration.getJsonObj(jsonObj, true);
                case "GITLAB_PIPELINE":
                    return model.GitLabPipelineConfiguration.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.buildServiceType}`);
            }
        }
        return jsonObj;
    }
    VerifyConfiguration.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "buildServiceType" in obj && obj.buildServiceType) {
            switch (obj.buildServiceType) {
                case "JENKINS_PIPELINE":
                    return model.JenkinsPipelineConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "NONE":
                    return model.NoneVerifyConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "OCI_DEVOPS_BUILD":
                    return model.OciDevOpsBuildConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "GITHUB_ACTIONS":
                    return model.GitHubActionsConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "GITLAB_PIPELINE":
                    return model.GitLabPipelineConfiguration.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.buildServiceType}`);
            }
        }
        return jsonObj;
    }
    VerifyConfiguration.getDeserializedJsonObj = getDeserializedJsonObj;
})(VerifyConfiguration = exports.VerifyConfiguration || (exports.VerifyConfiguration = {}));
//# sourceMappingURL=verify-configuration.js.map