/**
 *
 *
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/adm/ListStages.ts.html |here} to see how to use ListStagesRequest.
 */
export interface ListStagesRequest extends common.BaseRequest {
    /**
     * Unique Remediation Run identifier path parameter.
     */
    "remediationRunId": string;
    /**
     * A filter to return only Stages that match the specified type.
     */
    "type"?: model.RemediationRunStageType;
    /**
     * A filter to return only Stages that match the specified status.
     */
    "status"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The field used to sort Stages. Only one sort order is allowed.
     * Default order for status is the following sequence: **CREATED, IN_PROGRESS, SUCCEEDED, FAILED, CANCELING, and CANCELED**.
     * Default order for _timeCreated_ is **descending**.
     * Default order for _timeFinished_ is **descending**.
     * Default order for _timeStarted_ is **descending**.
     * Default order for _type_ is the following sequence: **DETECT, RECOMMEND, VERIFY, and APPLY**.
     *
     */
    "sortBy"?: ListStagesRequest.SortBy;
}
export declare namespace ListStagesRequest {
    enum SortBy {
        Status = "status",
        TimeCreated = "timeCreated",
        TimeFinished = "timeFinished",
        TimeStarted = "timeStarted",
        Type = "type"
    }
}
