/**
 * Anomaly Detection API
 * OCI AI Service solutions can help Enterprise customers integrate AI into their products immediately by using our proven,
pre-trained/custom models or containers, and without a need to set up in house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI/ML operations, shortening the time to market.

 * OpenAPI spec version: 20210101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Specifies the details of the MSET model during the create call.
 */
export interface ModelTrainingDetails {
    /**
     * User can choose specific algorithm for training.
     */
    "algorithmHint"?: ModelTrainingDetails.AlgorithmHint;
    /**
     * A target model accuracy metric user provides as their requirement Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "targetFap"?: number;
    /**
     * Fraction of total data that is used for training the model. The remaining is used for validation of the model. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "trainingFraction"?: number;
    /**
     * This value would determine the window size of the training algorithm. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "windowSize"?: number;
    /**
     * The list of OCIDs of the data assets to train the model. The dataAssets have to be in the same project where the ai model would reside.
     */
    "dataAssetIds": Array<string>;
}
export declare namespace ModelTrainingDetails {
    enum AlgorithmHint {
        MultivariateMset = "MULTIVARIATE_MSET",
        UnivariateOcsvm = "UNIVARIATE_OCSVM",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ModelTrainingDetails): object;
    function getDeserializedJsonObj(obj: ModelTrainingDetails): object;
}
