/**
 * Anomaly Detection API
 * OCI AI Service solutions can help Enterprise customers integrate AI into their products immediately by using our proven,
pre-trained/custom models or containers, and without a need to set up in house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI/ML operations, shortening the time to market.

 * OpenAPI spec version: 20210101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A location in Object Storage that is uniquely identified by namespace name, bucket name, and object name.
 */
export interface ObjectLocation {
    /**
     * Object Storage namespace name.
     */
    "namespaceName": string;
    /**
     * Object Storage bucket name.
     */
    "bucketName": string;
    /**
     * Object Storage object name.
     */
    "objectName": string;
}
export declare namespace ObjectLocation {
    function getJsonObj(obj: ObjectLocation): object;
    function getDeserializedJsonObj(obj: ObjectLocation): object;
}
