/**
 * Anomaly Detection API
 * OCI AI Service solutions can help Enterprise customers integrate AI into their products immediately by using our proven,
pre-trained/custom models or containers, and without a need to set up in house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI/ML operations, shortening the time to market.

 * OpenAPI spec version: 20210101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information regarding how/what row reduction methods will be applied. If this property is not present or is null, then it means row reduction is not applied.
 */
export interface RowReductionDetails {
    /**
     * A boolean value to indicate if row reduction is applied
     */
    "isReductionEnabled": boolean;
    /**
     * A percentage to reduce data size down to on top of original data Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "reductionPercentage": number;
    /**
     * Method for row reduction:
     *   * DELETE_ROW - delete rows with equal intervals
     *   * AVERAGE_ROW - average multiple rows to one row
     *
     */
    "reductionMethod": RowReductionDetails.ReductionMethod;
}
export declare namespace RowReductionDetails {
    enum ReductionMethod {
        DeleteRow = "DELETE_ROW",
        AverageRow = "AVERAGE_ROW",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: RowReductionDetails): object;
    function getDeserializedJsonObj(obj: RowReductionDetails): object;
}
