/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of how to analyze a document.
 */
export interface AnalyzeDocumentDetails {
    /**
     * The types of document analysis requested.
     */
    "features": Array<model.DocumentFeature>;
    "document": model.ObjectStorageDocumentDetails | model.InlineDocumentDetails;
    /**
     * The compartment identifier.
     */
    "compartmentId"?: string;
    "outputLocation"?: model.OutputLocation;
    /**
     * The document language, abbreviated according to the BCP 47 syntax.
     */
    "language"?: string;
    /**
     * The document type.
     */
    "documentType"?: model.DocumentType;
    "ocrData"?: model.AnalyzeDocumentResult;
}
export declare namespace AnalyzeDocumentDetails {
    function getJsonObj(obj: AnalyzeDocumentDetails): object;
    function getDeserializedJsonObj(obj: AnalyzeDocumentDetails): object;
}
