/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The object-bounding polygon box.
 */
export interface BoundingPolygon {
    /**
     * An array of normalized points defining the polygon's perimeter, with an implicit segment between subsequent points and between the first and last point.
     * Rectangles are defined with four points. For example, {@code [{\"x\": 0, \"y\": 0}, {\"x\": 1, \"y\": 0}, {\"x\": 1, \"y\": 0.5}, {\"x\": 0, \"y\": 0.5}]} represents the top half of an image.
     *
     */
    "normalizedVertices": Array<model.NormalizedVertex>;
}
export declare namespace BoundingPolygon {
    function getJsonObj(obj: BoundingPolygon): object;
    function getDeserializedJsonObj(obj: BoundingPolygon): object;
}
