/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of count of samples used during model training.
 */
export interface DatasetSummary {
    /**
     * Number of samples used for training the model. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "trainingSampleCount"?: number;
    /**
     * Number of samples used for validating the model. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "validationSampleCount"?: number;
    /**
     * Number of samples used for testing the model. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "testSampleCount"?: number;
}
export declare namespace DatasetSummary {
    function getJsonObj(obj: DatasetSummary): object;
    function getDeserializedJsonObj(obj: DatasetSummary): object;
}
