/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The width and height of a page.
 */
export interface Dimensions {
    /**
     * the width of a page. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "width": number;
    /**
     * The height of a page. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "height": number;
    /**
     * The unit of length.
     */
    "unit": Dimensions.Unit;
}
export declare namespace Dimensions {
    enum Unit {
        Pixel = "PIXEL",
        Inch = "INCH",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Dimensions): object;
    function getDeserializedJsonObj(obj: Dimensions): object;
}
