"use strict";
/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocumentFeature = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var DocumentFeature;
(function (DocumentFeature) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "featureType" in obj && obj.featureType) {
            switch (obj.featureType) {
                case "DOCUMENT_CLASSIFICATION":
                    return model.DocumentClassificationFeature.getJsonObj(jsonObj, true);
                case "KEY_VALUE_EXTRACTION":
                    return model.DocumentKeyValueExtractionFeature.getJsonObj(jsonObj, true);
                case "LANGUAGE_CLASSIFICATION":
                    return model.DocumentLanguageClassificationFeature.getJsonObj(jsonObj, true);
                case "TEXT_EXTRACTION":
                    return model.DocumentTextExtractionFeature.getJsonObj(jsonObj, true);
                case "TABLE_EXTRACTION":
                    return model.DocumentTableExtractionFeature.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.featureType}`);
            }
        }
        return jsonObj;
    }
    DocumentFeature.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "featureType" in obj && obj.featureType) {
            switch (obj.featureType) {
                case "DOCUMENT_CLASSIFICATION":
                    return model.DocumentClassificationFeature.getDeserializedJsonObj(jsonObj, true);
                case "KEY_VALUE_EXTRACTION":
                    return model.DocumentKeyValueExtractionFeature.getDeserializedJsonObj(jsonObj, true);
                case "LANGUAGE_CLASSIFICATION":
                    return model.DocumentLanguageClassificationFeature.getDeserializedJsonObj(jsonObj, true);
                case "TEXT_EXTRACTION":
                    return model.DocumentTextExtractionFeature.getDeserializedJsonObj(jsonObj, true);
                case "TABLE_EXTRACTION":
                    return model.DocumentTableExtractionFeature.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.featureType}`);
            }
        }
        return jsonObj;
    }
    DocumentFeature.getDeserializedJsonObj = getDeserializedJsonObj;
})(DocumentFeature = exports.DocumentFeature || (exports.DocumentFeature = {}));
//# sourceMappingURL=document-feature.js.map