/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Form field.
 */
export interface DocumentField {
    /**
     * The field type.
     */
    "fieldType": DocumentField.FieldType;
    "fieldLabel"?: model.FieldLabel;
    "fieldName"?: model.FieldName;
    "fieldValue": model.ValueTime | model.ValueInteger | model.ValueDate | model.ValueNumber | model.ValueString | model.ValuePhoneNumber | model.ValueArray;
}
export declare namespace DocumentField {
    enum FieldType {
        LineItemGroup = "LINE_ITEM_GROUP",
        LineItem = "LINE_ITEM",
        LineItemField = "LINE_ITEM_FIELD",
        KeyValue = "KEY_VALUE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DocumentField): object;
    function getDeserializedJsonObj(obj: DocumentField): object;
}
