/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Key Value Detection Confidence Entry.
 */
export interface KeyValueDetectionConfidenceEntry {
    /**
     * Threshold used to calculate precision and recall. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "threshold": number;
    /**
     * Precision under the threshold Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "precision": number;
    /**
     * Recall under the threshold Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recall": number;
    /**
     * f1Score under the threshold Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "f1Score": number;
    /**
     * accuracy under the threshold Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "accuracy": number;
}
export declare namespace KeyValueDetectionConfidenceEntry {
    function getJsonObj(obj: KeyValueDetectionConfidenceEntry): object;
    function getDeserializedJsonObj(obj: KeyValueDetectionConfidenceEntry): object;
}
