/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The line of text.
 */
export interface Line {
    /**
     * The text recognized.
     */
    "text": string;
    /**
     * The confidence score between 0 and 1. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "confidence": number;
    "boundingPolygon": model.BoundingPolygon;
    /**
     * The array of words.
     */
    "wordIndexes": Array<number>;
}
export declare namespace Line {
    function getJsonObj(obj: Line): object;
    function getDeserializedJsonObj(obj: Line): object;
}
