/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An (x, y) coordinate in the image with dimensions normalized from zero to one.
 * The origin is at top left, with the positive x-axis pointing right and the positive y-axis pointing down.
 * The bottom right corner is at (1, 1).
 *
 */
export interface NormalizedVertex {
    /**
     * The X-axis normalized coordinate. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "x": number;
    /**
     * The Y-axis normalized coordinate. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "y": number;
}
export declare namespace NormalizedVertex {
    function getJsonObj(obj: NormalizedVertex): object;
    function getDeserializedJsonObj(obj: NormalizedVertex): object;
}
