/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * One page document analysis result.
 */
export interface Page {
    /**
     * The document page number. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "pageNumber": number;
    "dimensions"?: model.Dimensions;
    /**
     * An array of detected document types.
     */
    "detectedDocumentTypes"?: Array<model.DetectedDocumentType>;
    /**
     * An array of detected languages.
     */
    "detectedLanguages"?: Array<model.DetectedLanguage>;
    /**
     * The words detected on the page.
     */
    "words"?: Array<model.Word>;
    /**
     * The lines of text detected on the page.
     */
    "lines"?: Array<model.Line>;
    /**
     * The tables detected on the page.
     */
    "tables"?: Array<model.Table>;
    /**
     * The form fields detected on the page.
     */
    "documentFields"?: Array<model.DocumentField>;
}
export declare namespace Page {
    function getJsonObj(obj: Page): object;
    function getDeserializedJsonObj(obj: Page): object;
}
