"use strict";
/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Page = void 0;
const model = __importStar(require("../model"));
var Page;
(function (Page) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "dimensions": obj.dimensions ? model.Dimensions.getJsonObj(obj.dimensions) : undefined,
            "detectedDocumentTypes": obj.detectedDocumentTypes
                ? obj.detectedDocumentTypes.map(item => {
                    return model.DetectedDocumentType.getJsonObj(item);
                })
                : undefined,
            "detectedLanguages": obj.detectedLanguages
                ? obj.detectedLanguages.map(item => {
                    return model.DetectedLanguage.getJsonObj(item);
                })
                : undefined,
            "words": obj.words
                ? obj.words.map(item => {
                    return model.Word.getJsonObj(item);
                })
                : undefined,
            "lines": obj.lines
                ? obj.lines.map(item => {
                    return model.Line.getJsonObj(item);
                })
                : undefined,
            "tables": obj.tables
                ? obj.tables.map(item => {
                    return model.Table.getJsonObj(item);
                })
                : undefined,
            "documentFields": obj.documentFields
                ? obj.documentFields.map(item => {
                    return model.DocumentField.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Page.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "dimensions": obj.dimensions
                ? model.Dimensions.getDeserializedJsonObj(obj.dimensions)
                : undefined,
            "detectedDocumentTypes": obj.detectedDocumentTypes
                ? obj.detectedDocumentTypes.map(item => {
                    return model.DetectedDocumentType.getDeserializedJsonObj(item);
                })
                : undefined,
            "detectedLanguages": obj.detectedLanguages
                ? obj.detectedLanguages.map(item => {
                    return model.DetectedLanguage.getDeserializedJsonObj(item);
                })
                : undefined,
            "words": obj.words
                ? obj.words.map(item => {
                    return model.Word.getDeserializedJsonObj(item);
                })
                : undefined,
            "lines": obj.lines
                ? obj.lines.map(item => {
                    return model.Line.getDeserializedJsonObj(item);
                })
                : undefined,
            "tables": obj.tables
                ? obj.tables.map(item => {
                    return model.Table.getDeserializedJsonObj(item);
                })
                : undefined,
            "documentFields": obj.documentFields
                ? obj.documentFields.map(item => {
                    return model.DocumentField.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Page.getDeserializedJsonObj = getDeserializedJsonObj;
})(Page = exports.Page || (exports.Page = {}));
//# sourceMappingURL=page.js.map