/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of a processor job.
 */
export interface ProcessorJob {
    /**
     * The id of the processor job.
     */
    "id": string;
    /**
     * The compartment identifier.
     */
    "compartmentId": string;
    /**
     * The display name of the processor job.
     */
    "displayName"?: string;
    "processorConfig": model.GeneralProcessorConfig;
    "inputLocation"?: model.InlineDocumentContent | model.ObjectStorageLocations;
    /**
     * The job acceptance time.
     */
    "timeAccepted": Date;
    /**
     * The job start time.
     */
    "timeStarted"?: Date;
    /**
     * The job finish time.
     */
    "timeFinished"?: Date;
    /**
     * How much progress the operation has made, compared to the total amount of work to be performed. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete"?: number;
    "outputLocation": model.OutputLocation;
    /**
     * The current state of the processor job.
     */
    "lifecycleState": ProcessorJob.LifecycleState;
    /**
     * The detailed status of FAILED state.
     */
    "lifecycleDetails"?: ProcessorJob.LifecycleDetails;
}
export declare namespace ProcessorJob {
    enum LifecycleState {
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        Accepted = "ACCEPTED",
        Canceled = "CANCELED",
        InProgress = "IN_PROGRESS",
        Canceling = "CANCELING",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum LifecycleDetails {
        PartiallySucceeded = "PARTIALLY_SUCCEEDED",
        CompletelyFailed = "COMPLETELY_FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ProcessorJob): object;
    function getDeserializedJsonObj(obj: ProcessorJob): object;
}
