/**
 * Document Understanding API
 * Document AI helps customers perform various analysis on their documents. If a customer has lots of documents, they can process them in batch using asynchronous API endpoints.
 * OpenAPI spec version: 20221109
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The table extracted from a document.
 */
export interface Table {
    /**
     * The number of rows. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rowCount": number;
    /**
     * The number of columns. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "columnCount": number;
    /**
     * The header rows.
     */
    "headerRows": Array<model.TableRow>;
    /**
     * The body rows.
     */
    "bodyRows": Array<model.TableRow>;
    /**
     * the footer rows.
     */
    "footerRows": Array<model.TableRow>;
    /**
     * The confidence score between 0 and 1. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "confidence": number;
    "boundingPolygon": model.BoundingPolygon;
}
export declare namespace Table {
    function getJsonObj(obj: Table): object;
    function getDeserializedJsonObj(obj: Table): object;
}
