/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * class level Text Classification model metrics
 */
export interface ClassMetrics {
    /**
     * Text classification label
     */
    "label": string;
    /**
     * F1-score, is a measure of a model\u2019s accuracy on a dataset Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "f1": number;
    /**
     * Precision refers to the number of true positives divided by the total number of positive predictions (i.e., the number of true positives plus the number of false positives) Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "precision": number;
    /**
     * Measures the model's ability to predict actual positive classes. It is the ratio between the predicted true positives and what was actually tagged. The recall metric reveals how many of the predicted classes are correct. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recall": number;
    /**
     * number of samples in the test set Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "support"?: number;
}
export declare namespace ClassMetrics {
    function getJsonObj(obj: ClassMetrics): object;
    function getDeserializedJsonObj(obj: ClassMetrics): object;
}
