/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * training model details
 *
 */
export interface ConfigurationDetails {
    /**
     * model configuration details
     * For PII : ConfigurationDetails will be PiiEntityMasking can be anyone of the following
     * ex.{ \"mode\" : \"MASK\",\"maskingCharacter\" : \"&\",\"leaveCharactersUnmasked\": 3,\"isUnmaskedFromEnd\" : true  }
     *    { \"mode\" : \"MASK\",\"replaceWith\" : \"&\"  }
     *    { \"mode\" : \"REPLACE\" }
     * For language translation :  { \"languageCodes\" : [\"cs\", \"ar\"]}
     * Language code supported
     *           Automatically detect language - auto
     *           Arabic - ar
     *           Brazilian Portuguese -  pt-BR
     *           Czech - cs
     *           Danish - da
     *           Dutch - nl
     *           English - en
     *           Finnish - fi
     *           French - fr
     *           Canadian French - fr-CA
     *           German - de
     *           Italian - it
     *           Japanese - ja
     *           Korean - ko
     *           Norwegian - no
     *           Polish - pl
     *           Romanian - ro
     *           Simplified Chinese - zh-CN
     *           Spanish - es
     *           Swedish - sv
     *           Traditional Chinese - zh-TW
     *           Turkish - tr
     *           Greek - el
     *           Hebrew - he
     *
     */
    "configurationMap"?: {
        [key: string]: string;
    };
}
export declare namespace ConfigurationDetails {
    function getJsonObj(obj: ConfigurationDetails): object;
    function getDeserializedJsonObj(obj: ConfigurationDetails): object;
}
