/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Job creation detail which will have documents on which language services need to run prediction along with output folder
 */
export interface CreateJobDetails {
    /**
     * A user-friendly display name for the job.
     */
    "displayName"?: string;
    /**
     * A short description of the job.
     */
    "description"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment where you want to create the job.
     */
    "compartmentId": string;
    "inputLocation": model.ObjectStoragePrefixLocation | model.ObjectStorageFileNameLocation;
    "inputConfiguration"?: model.InputConfiguration;
    /**
     * training model details
     * For this release only one model is allowed to be input here.
     * One of the three modelType, ModelId, endpointId should be given other wise error will be thrown from API
     *
     */
    "modelMetadataDetails": Array<model.ModelMetadataDetails>;
    "outputLocation": model.ObjectPrefixOutputLocation;
}
export declare namespace CreateJobDetails {
    function getJsonObj(obj: CreateJobDetails): object;
    function getDeserializedJsonObj(obj: CreateJobDetails): object;
}
