/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The document response for health entity detect call.
 */
export interface HealthEntityDocumentResult {
    /**
     * Document unique identifier defined by the user.
     */
    "key": string;
    /**
     * List of detected entities.
     */
    "entities": Array<model.HealthEntity>;
    /**
     * List of succeeded document response.
     */
    "relations"?: Array<model.RelationEntity>;
    /**
     * Map of resolved entities by entity type
     */
    "resolvedEntities": {
        [key: string]: model.ResolvedEntities;
    };
    /**
     * Language code of the document. Please refer to respective model [API documentation](https://docs.cloud.oracle.com/iaas/language/using/overview.htm) for supported languages.
     */
    "languageCode": string;
}
export declare namespace HealthEntityDocumentResult {
    function getJsonObj(obj: HealthEntityDocumentResult): object;
    function getDeserializedJsonObj(obj: HealthEntityDocumentResult): object;
}
