/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * input documents configuration
 * by default TXT files will be processed and this behaviour will not change in future after adding new types
 *
 */
export interface InputConfiguration {
    /**
     * Type of documents supported
     * for this release only TXT,CSV  and one element is allowed here.
     * for future scope this is marked as list
     *
     */
    "documentTypes"?: Array<string>;
    /**
     * meta data about documents
     *  For CSV valid JSON format is {\"CSV\" :{inputColumn: \"reviewDetails\", rowId: \"reviewId\", copyColumnsToOutput: [\"reviewId\" \"userId\"] , delimiter: \",\"}
     * Note: In future if new file types added we will update here in documentation about input file meta data
     *
     */
    "configuration"?: {
        [key: string]: model.DocumentsConfiguration;
    };
}
export declare namespace InputConfiguration {
    function getJsonObj(obj: InputConfiguration): object;
    function getDeserializedJsonObj(obj: InputConfiguration): object;
}
