/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * sub set of Job details data which need returns in list API
 */
export interface JobSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the job.
     */
    "id": string;
    /**
     * A user-friendly display name for the job.
     */
    "displayName": string;
    /**
     * A short description of the job.
     */
    "description"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment where you want to create the job.
     */
    "compartmentId": string;
    /**
     * The current state of the Speech Job.
     */
    "lifecycleState"?: string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * How much progress the operation has made, vs the total amount of work that must be performed. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete"?: number;
    /**
     * Total number of documents given as input for prediction. For CSV this signifies number of rows and for TXT this signifies number of files. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalDocuments"?: number;
    /**
     * Number of documents still to process. For CSV this signifies number of rows and for TXT this signifies number of files. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "pendingDocuments"?: number;
    /**
     * Number of documents processed for prediction. For CSV this signifies number of rows and for TXT this signifies number of files. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "completedDocuments"?: number;
    /**
     * Number of documents failed for prediction. For CSV this signifies number of rows and for TXT this signifies number of files. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "failedDocuments"?: number;
    /**
     * warnings count Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "warningsCount"?: number;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the user who created the job.
     */
    "createdBy"?: string;
    /**
     * Job accepted time.
     */
    "timeAccepted"?: Date;
    /**
     * Job started time.
     */
    "timeStarted"?: Date;
    /**
     * Job finished time.
     */
    "timeCompleted"?: Date;
}
export declare namespace JobSummary {
    function getJsonObj(obj: JobSummary): object;
    function getDeserializedJsonObj(obj: JobSummary): object;
}
