/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The MEL concepts details for health ner.
 */
export interface MelConceptDetails {
    /**
     * id of the relation
     */
    "id": string;
    /**
     * The matched concept name/description on the ontology
     */
    "name": string;
    /**
     * The relevant score between the concept and the input text Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "score": number;
    /**
     * additional attribute values specific to ontology for ex. for SNOMED semantic_type and for for ICD-10 default_charge_code etc.
     */
    "attributes"?: {
        [key: string]: string;
    };
}
export declare namespace MelConceptDetails {
    function getJsonObj(obj: MelConceptDetails): object;
    function getDeserializedJsonObj(obj: MelConceptDetails): object;
}
