"use strict";
/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var ModelDetails;
(function (ModelDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "modelType" in obj && obj.modelType) {
            switch (obj.modelType) {
                case "PRE_TRAINED_KEYPHRASE_EXTRACTION":
                    return model.PreTrainedKeyPhraseExtractionModelDetails.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_HEALTH_NLU":
                    return model.PreTrainedHealthNluModelDetails.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_UNIVERSAL":
                    return model.PreTrainedUniversalModel.getJsonObj(jsonObj, true);
                case "NAMED_ENTITY_RECOGNITION":
                    return model.NamedEntityRecognitionModelDetails.getJsonObj(jsonObj, true);
                case "PII":
                    return model.PiiModelDetails.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_LANGUAGE_DETECTION":
                    return model.PreTrainedLanguageDetectionModelDetails.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_NAMED_ENTITY_RECOGNITION":
                    return model.PreTrainedNamedEntityRecognitionModelDetails.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_SENTIMENT_ANALYSIS":
                    return model.PreTrainedSentimentAnalysisModelDetails.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_TEXT_CLASSIFICATION":
                    return model.PreTrainedTextClassificationModelDetails.getJsonObj(jsonObj, true);
                case "TEXT_CLASSIFICATION":
                    return model.TextClassificationModelDetails.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_SUMMARIZATION":
                    return model.PreTrainedSummarization.getJsonObj(jsonObj, true);
                case "PRE_TRAINED_PII":
                    return model.PreTrainedPiiModelDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.modelType}`);
            }
        }
        return jsonObj;
    }
    ModelDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "modelType" in obj && obj.modelType) {
            switch (obj.modelType) {
                case "PRE_TRAINED_KEYPHRASE_EXTRACTION":
                    return model.PreTrainedKeyPhraseExtractionModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_HEALTH_NLU":
                    return model.PreTrainedHealthNluModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_UNIVERSAL":
                    return model.PreTrainedUniversalModel.getDeserializedJsonObj(jsonObj, true);
                case "NAMED_ENTITY_RECOGNITION":
                    return model.NamedEntityRecognitionModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PII":
                    return model.PiiModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_LANGUAGE_DETECTION":
                    return model.PreTrainedLanguageDetectionModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_NAMED_ENTITY_RECOGNITION":
                    return model.PreTrainedNamedEntityRecognitionModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_SENTIMENT_ANALYSIS":
                    return model.PreTrainedSentimentAnalysisModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_TEXT_CLASSIFICATION":
                    return model.PreTrainedTextClassificationModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "TEXT_CLASSIFICATION":
                    return model.TextClassificationModelDetails.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_SUMMARIZATION":
                    return model.PreTrainedSummarization.getDeserializedJsonObj(jsonObj, true);
                case "PRE_TRAINED_PII":
                    return model.PreTrainedPiiModelDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.modelType}`);
            }
        }
        return jsonObj;
    }
    ModelDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(ModelDetails = exports.ModelDetails || (exports.ModelDetails = {}));
//# sourceMappingURL=model-details.js.map