/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * training model details
 * For this release only one model is allowed to be input here.
 * One of the three modelType, ModelId, endpointId should be given other wise error will be thrown from API
 *
 */
export interface ModelMetadataDetails {
    /**
     * model type to used for inference allowed values are
     * - LANGUAGE_SENTIMENT_ANALYSIS
     * - LANGUAGE_DETECTION
     * - TEXT_CLASSIFICATION
     * - NAMED_ENTITY_RECOGNITION
     * - KEY_PHRASE_EXTRACTION
     * - LANGUAGE_PII_ENTITIES
     * - LANGUAGE_TRANSLATION
     *
     */
    "modelType"?: string;
    /**
     * Unique identifier model OCID that should be used for inference
     */
    "modelId"?: string;
    /**
     * Unique identifier endpoint OCID that should be used for inference
     */
    "endpointId"?: string;
    /**
     * Language code supported
     * - auto : Automatically detect language
     * - ar : Arabic
     * - pt-BR : Brazilian Portuguese
     * - cs : Czech
     * - da : Danish
     * - nl : Dutch
     * - en : English
     * - fi : Finnish
     * - fr : French
     * - fr-CA : Canadian French
     * - de : German
     * - it : Italian
     * - ja : Japanese
     * - ko : Korean
     * - no : Norwegian
     * - pl : Polish
     * - ro : Romanian
     * - zh-CN : Simplified Chinese
     * - es : Spanish
     * - sv : Swedish
     * - zh-TW : Traditional Chinese
     * - tr : Turkish
     * - el : Greek
     * - he : Hebrew
     *
     */
    "languageCode"?: string;
    /**
     * model configuration details
     * For PII :  < ENTITY_TYPE , ConfigurationDetails>
     * ex.\"ORACLE\":{ \"mode\" : \"MASK\",\"maskingCharacter\" : \"&\",\"leaveCharactersUnmasked\": 3,\"isUnmaskedFromEnd\" : true  }
     * For language translation : { \"targetLanguageCodes\" : ConfigurationDetails}
     *
     */
    "configuration"?: {
        [key: string]: model.ConfigurationDetails;
    };
}
export declare namespace ModelMetadataDetails {
    function getJsonObj(obj: ModelMetadataDetails): object;
    function getDeserializedJsonObj(obj: ModelMetadataDetails): object;
}
