/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The relation entities details for health ner.
 */
export interface RelationEntity {
    /**
     * id of the relation
     */
    "id": string;
    /**
     * Subject entity of the relation. eg,MEDICINE_NAME, EXAMINATION
     */
    "subjectId": string;
    /**
     * Object entity of the relation. eg, MEDICINE_DOSAGE, MEDICINE_DURATION, MEASUREMENT
     */
    "objectId": string;
    /**
     * Type of relation between subject entity and object entity. eg,EXAMINATION_MEASUREMENT, FREQUENCY, DOSAGE
     */
    "type": string;
    /**
     * Score or confidence for detected entity. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "score": number;
}
export declare namespace RelationEntity {
    function getJsonObj(obj: RelationEntity): object;
    function getDeserializedJsonObj(obj: RelationEntity): object;
}
