/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Resolved entity.
 */
export interface ResolvedEntity {
    /**
     * id of the resolved entity in input
     */
    "id": string;
    /**
     * offset of resolved entity in input Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "offset": number;
    /**
     * length of resolved entity in input Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "length": number;
    /**
     * Entity text like name of person, location, and so on.
     */
    "text": string;
    /**
     * Type of entity text like PER, LOC.
     */
    "type": string;
    /**
     * key and value pair for resolved entities. keys can be specific for each type of resolved entity. Values can be instances of resolvedEntity, arrays of resolvedEntities, primitives, or custom JSON.
     */
    "value": {
        [key: string]: string;
    };
}
export declare namespace ResolvedEntity {
    function getJsonObj(obj: ResolvedEntity): object;
    function getDeserializedJsonObj(obj: ResolvedEntity): object;
}
