/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The document response for sentiment detect call.
 */
export interface SentimentDocumentResult {
    /**
     * Document unique identifier defined by the user.
     */
    "key": string;
    /**
     * Document level sentiment.
     */
    "documentSentiment"?: string;
    /**
     * Scores for each sentiment.
     * Example: {\"positive\": 1.0, \"negative\": 0.0}
     *
     */
    "documentScores"?: {
        [key: string]: number;
    };
    /**
     * List of detected aspects sentiment.
     */
    "aspects": Array<model.SentimentAspect>;
    /**
     * List of detected sentences sentiment.
     */
    "sentences"?: Array<model.SentimentSentence>;
    /**
     * Language code supported
     * - auto : Automatically detect language
     * - ar : Arabic
     * - pt-BR : Brazilian Portuguese
     * - cs : Czech
     * - da : Danish
     * - nl : Dutch
     * - en : English
     * - fi : Finnish
     * - fr : French
     * - fr-CA : Canadian French
     * - de : German
     * - it : Italian
     * - ja : Japanese
     * - ko : Korean
     * - no : Norwegian
     * - pl : Polish
     * - ro : Romanian
     * - zh-CN : Simplified Chinese
     * - es : Spanish
     * - sv : Swedish
     * - zh-TW : Traditional Chinese
     * - tr : Turkish
     * - el : Greek
     * - he : Hebrew
     *
     */
    "languageCode": string;
}
export declare namespace SentimentDocumentResult {
    function getJsonObj(obj: SentimentDocumentResult): object;
    function getDeserializedJsonObj(obj: SentimentDocumentResult): object;
}
