/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Sentiment sentence object.
 */
export interface SentimentSentence {
    /**
     * The number of Unicode code points preceding this entity in the submitted text. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "offset"?: number;
    /**
     * Length of sentence text. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "length"?: number;
    /**
     * Sentence text.
     */
    "text"?: string;
    /**
     * The highest-score sentiment for the sentence text.
     */
    "sentiment"?: string;
    /**
     * Scores or confidences for each sentiment.
     * Example: {@code {\"positive\": 1.0, \"negative\": 0.0}}
     *
     */
    "scores"?: {
        [key: string]: number;
    };
}
export declare namespace SentimentSentence {
    function getJsonObj(obj: SentimentSentence): object;
    function getDeserializedJsonObj(obj: SentimentSentence): object;
}
