/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The document response for translation call.
 */
export interface TranslationDocumentResult {
    /**
     * Document unique identifier defined by the user.
     */
    "key": string;
    /**
     * Translated text in selected target language.
     */
    "translatedText": string;
    /**
     * Language code supported
     * Automatically detect language - auto
     * Arabic - ar
     * Brazilian Portuguese -  pt-BR
     * Canadian French - fr-CA
     * Croatian - hr
     * Czech - cs
     * Danish - da
     * Dutch - nl
     * English - en
     * Finnish - fi
     * French - fr
     * German - de
     * Greek - el
     * Hebrew - he
     * Hungarian - hu
     * Italian - it
     * Japanese - ja
     * Korean - ko
     * Norwegian - no
     * Polish - pl
     * Portuguese - pt
     * Romanian - ro
     * Russian - ru
     * Simplified Chinese - zh-CN
     * Slovak - sk
     * Slovenian - sl
     * Spanish - es
     * Swedish - sv
     * Thai - th
     * Traditional Chinese - zh-TW
     * Turkish - tr
     * Vietnamese - vi
     *
     */
    "sourceLanguageCode": string;
    /**
     * Language code supported
     * Arabic - ar
     * Brazilian Portuguese -  pt-BR
     * Canadian French - fr-CA
     * Croatian - hr
     * Czech - cs
     * Danish - da
     * Dutch - nl
     * English - en
     * Finnish - fi
     * French - fr
     * German - de
     * Greek - el
     * Hebrew - he
     * Hungarian - hu
     * Italian - it
     * Japanese - ja
     * Korean - ko
     * Norwegian - no
     * Polish - pl
     * Portuguese - pt
     * Romanian - ro
     * Russian - ru
     * Simplified Chinese - zh-CN
     * Slovak - sk
     * Slovenian - sl
     * Spanish - es
     * Swedish - sv
     * Thai - th
     * Traditional Chinese - zh-TW
     * Turkish - tr
     * Vietnamese - vi
     *
     */
    "targetLanguageCode": string;
}
export declare namespace TranslationDocumentResult {
    function getJsonObj(obj: TranslationDocumentResult): object;
    function getDeserializedJsonObj(obj: TranslationDocumentResult): object;
}
