/**
 * Language API
 * OCI Language Service solutions can help enterprise customers integrate AI into their products immediately using our proven,
pre-trained and custom models or containers, without a need to set up an house team of AI and ML experts.
This allows enterprises to focus on business drivers and development work rather than AI and ML operations, which shortens the time to market.

 * OpenAPI spec version: 20221001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as BatchDetectDominantLanguageRequest from "./batch-detect-dominant-language-request";
export import BatchDetectDominantLanguageRequest = BatchDetectDominantLanguageRequest.BatchDetectDominantLanguageRequest;
import * as BatchDetectHealthEntityRequest from "./batch-detect-health-entity-request";
export import BatchDetectHealthEntityRequest = BatchDetectHealthEntityRequest.BatchDetectHealthEntityRequest;
import * as BatchDetectLanguageEntitiesRequest from "./batch-detect-language-entities-request";
export import BatchDetectLanguageEntitiesRequest = BatchDetectLanguageEntitiesRequest.BatchDetectLanguageEntitiesRequest;
import * as BatchDetectLanguageKeyPhrasesRequest from "./batch-detect-language-key-phrases-request";
export import BatchDetectLanguageKeyPhrasesRequest = BatchDetectLanguageKeyPhrasesRequest.BatchDetectLanguageKeyPhrasesRequest;
import * as BatchDetectLanguagePiiEntitiesRequest from "./batch-detect-language-pii-entities-request";
export import BatchDetectLanguagePiiEntitiesRequest = BatchDetectLanguagePiiEntitiesRequest.BatchDetectLanguagePiiEntitiesRequest;
import * as BatchDetectLanguageSentimentsRequest from "./batch-detect-language-sentiments-request";
export import BatchDetectLanguageSentimentsRequest = BatchDetectLanguageSentimentsRequest.BatchDetectLanguageSentimentsRequest;
import * as BatchDetectLanguageTextClassificationRequest from "./batch-detect-language-text-classification-request";
export import BatchDetectLanguageTextClassificationRequest = BatchDetectLanguageTextClassificationRequest.BatchDetectLanguageTextClassificationRequest;
import * as BatchLanguageTranslationRequest from "./batch-language-translation-request";
export import BatchLanguageTranslationRequest = BatchLanguageTranslationRequest.BatchLanguageTranslationRequest;
import * as CancelJobRequest from "./cancel-job-request";
export import CancelJobRequest = CancelJobRequest.CancelJobRequest;
import * as ChangeEndpointCompartmentRequest from "./change-endpoint-compartment-request";
export import ChangeEndpointCompartmentRequest = ChangeEndpointCompartmentRequest.ChangeEndpointCompartmentRequest;
import * as ChangeJobCompartmentRequest from "./change-job-compartment-request";
export import ChangeJobCompartmentRequest = ChangeJobCompartmentRequest.ChangeJobCompartmentRequest;
import * as ChangeModelCompartmentRequest from "./change-model-compartment-request";
export import ChangeModelCompartmentRequest = ChangeModelCompartmentRequest.ChangeModelCompartmentRequest;
import * as ChangeProjectCompartmentRequest from "./change-project-compartment-request";
export import ChangeProjectCompartmentRequest = ChangeProjectCompartmentRequest.ChangeProjectCompartmentRequest;
import * as CreateEndpointRequest from "./create-endpoint-request";
export import CreateEndpointRequest = CreateEndpointRequest.CreateEndpointRequest;
import * as CreateJobRequest from "./create-job-request";
export import CreateJobRequest = CreateJobRequest.CreateJobRequest;
import * as CreateModelRequest from "./create-model-request";
export import CreateModelRequest = CreateModelRequest.CreateModelRequest;
import * as CreateProjectRequest from "./create-project-request";
export import CreateProjectRequest = CreateProjectRequest.CreateProjectRequest;
import * as DeleteEndpointRequest from "./delete-endpoint-request";
export import DeleteEndpointRequest = DeleteEndpointRequest.DeleteEndpointRequest;
import * as DeleteJobRequest from "./delete-job-request";
export import DeleteJobRequest = DeleteJobRequest.DeleteJobRequest;
import * as DeleteModelRequest from "./delete-model-request";
export import DeleteModelRequest = DeleteModelRequest.DeleteModelRequest;
import * as DeleteProjectRequest from "./delete-project-request";
export import DeleteProjectRequest = DeleteProjectRequest.DeleteProjectRequest;
import * as DetectDominantLanguageRequest from "./detect-dominant-language-request";
export import DetectDominantLanguageRequest = DetectDominantLanguageRequest.DetectDominantLanguageRequest;
import * as DetectLanguageEntitiesRequest from "./detect-language-entities-request";
export import DetectLanguageEntitiesRequest = DetectLanguageEntitiesRequest.DetectLanguageEntitiesRequest;
import * as DetectLanguageKeyPhrasesRequest from "./detect-language-key-phrases-request";
export import DetectLanguageKeyPhrasesRequest = DetectLanguageKeyPhrasesRequest.DetectLanguageKeyPhrasesRequest;
import * as DetectLanguageSentimentsRequest from "./detect-language-sentiments-request";
export import DetectLanguageSentimentsRequest = DetectLanguageSentimentsRequest.DetectLanguageSentimentsRequest;
import * as DetectLanguageTextClassificationRequest from "./detect-language-text-classification-request";
export import DetectLanguageTextClassificationRequest = DetectLanguageTextClassificationRequest.DetectLanguageTextClassificationRequest;
import * as GetEndpointRequest from "./get-endpoint-request";
export import GetEndpointRequest = GetEndpointRequest.GetEndpointRequest;
import * as GetJobRequest from "./get-job-request";
export import GetJobRequest = GetJobRequest.GetJobRequest;
import * as GetModelRequest from "./get-model-request";
export import GetModelRequest = GetModelRequest.GetModelRequest;
import * as GetModelTypeRequest from "./get-model-type-request";
export import GetModelTypeRequest = GetModelTypeRequest.GetModelTypeRequest;
import * as GetProjectRequest from "./get-project-request";
export import GetProjectRequest = GetProjectRequest.GetProjectRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as ListEndpointsRequest from "./list-endpoints-request";
export import ListEndpointsRequest = ListEndpointsRequest.ListEndpointsRequest;
import * as ListEvaluationResultsRequest from "./list-evaluation-results-request";
export import ListEvaluationResultsRequest = ListEvaluationResultsRequest.ListEvaluationResultsRequest;
import * as ListJobsRequest from "./list-jobs-request";
export import ListJobsRequest = ListJobsRequest.ListJobsRequest;
import * as ListModelsRequest from "./list-models-request";
export import ListModelsRequest = ListModelsRequest.ListModelsRequest;
import * as ListProjectsRequest from "./list-projects-request";
export import ListProjectsRequest = ListProjectsRequest.ListProjectsRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as UpdateEndpointRequest from "./update-endpoint-request";
export import UpdateEndpointRequest = UpdateEndpointRequest.UpdateEndpointRequest;
import * as UpdateJobRequest from "./update-job-request";
export import UpdateJobRequest = UpdateJobRequest.UpdateJobRequest;
import * as UpdateModelRequest from "./update-model-request";
export import UpdateModelRequest = UpdateModelRequest.UpdateModelRequest;
import * as UpdateProjectRequest from "./update-project-request";
export import UpdateProjectRequest = UpdateProjectRequest.UpdateProjectRequest;
