/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { AIServiceSpeechClient } from "./client";
export declare class AIServiceSpeechWaiter {
    private client;
    private readonly config?;
    constructor(client: AIServiceSpeechClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forTranscriptionJob till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetTranscriptionJobResponse
     */
    forTranscriptionJob(request: serviceRequests.GetTranscriptionJobRequest, ...targetStates: models.TranscriptionJob.LifecycleState[]): Promise<serviceResponses.GetTranscriptionJobResponse>;
    /**
     * Waits forTranscriptionTask till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetTranscriptionTaskResponse
     */
    forTranscriptionTask(request: serviceRequests.GetTranscriptionTaskRequest, ...targetStates: models.TranscriptionTask.LifecycleState[]): Promise<serviceResponses.GetTranscriptionTaskResponse>;
}
