/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Audio format details.
 */
export interface AudioFormatDetails {
    /**
     * Input file format. Example - WAV.
     */
    "format"?: string;
    /**
     * Input file number of channels. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfChannels"?: number;
    /**
     * Input file encoding. Example - PCM.
     */
    "encoding"?: string;
    /**
     * Input file sampleRate. Example - 16000 Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sampleRateInHz"?: number;
}
export declare namespace AudioFormatDetails {
    function getJsonObj(obj: AudioFormatDetails): object;
    function getDeserializedJsonObj(obj: AudioFormatDetails): object;
}
