/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Speaker diarization is a combination of speaker segmentation and speaker clustering. Provide diarization details to enable this feature.
 */
export interface Diarization {
    /**
     * Set true to enable Speaker diarization and tag transcription with speaker tags. By default this is disabled.
     */
    "isDiarizationEnabled"?: boolean;
    /**
     * Number of speakers in the audio provided. By default service will auto detect all speakers in audio file Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfSpeakers"?: number;
}
export declare namespace Diarization {
    function getJsonObj(obj: Diarization): object;
    function getDeserializedJsonObj(obj: Diarization): object;
}
