"use strict";
/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputLocation = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var InputLocation;
(function (InputLocation) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "locationType" in obj && obj.locationType) {
            switch (obj.locationType) {
                case "OBJECT_LIST_FILE_INPUT_LOCATION":
                    return model.ObjectListFileInputLocation.getJsonObj(jsonObj, true);
                case "OBJECT_LIST_INLINE_INPUT_LOCATION":
                    return model.ObjectListInlineInputLocation.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.locationType}`);
            }
        }
        return jsonObj;
    }
    InputLocation.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "locationType" in obj && obj.locationType) {
            switch (obj.locationType) {
                case "OBJECT_LIST_FILE_INPUT_LOCATION":
                    return model.ObjectListFileInputLocation.getDeserializedJsonObj(jsonObj, true);
                case "OBJECT_LIST_INLINE_INPUT_LOCATION":
                    return model.ObjectListInlineInputLocation.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.locationType}`);
            }
        }
        return jsonObj;
    }
    InputLocation.getDeserializedJsonObj = getDeserializedJsonObj;
})(InputLocation = exports.InputLocation || (exports.InputLocation = {}));
//# sourceMappingURL=input-location.js.map