/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the Transcription Task.
 */
export interface TranscriptionTaskSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the task.
     */
    "id": string;
    /**
     * A user-friendly display name for the task.
     */
    "displayName": string;
    /**
     * How much progress the operation has made, vs the total amount of work that must be performed. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete"?: number;
    /**
     * Size of input file in Bytes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fileSizeInBytes"?: number;
    /**
     * Duration of input file in Seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fileDurationInSeconds"?: number;
    /**
     * Task proccessing duration, which excludes waiting time in the system. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "processingDurationInSeconds"?: number;
    /**
     * Task started time
     */
    "timeStarted"?: Date;
    /**
     * Job finished time
     */
    "timeFinished"?: Date;
    /**
     * The current state of the Speech Job.
     */
    "lifecycleState"?: string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
}
export declare namespace TranscriptionTaskSummary {
    function getJsonObj(obj: TranscriptionTaskSummary): object;
    function getDeserializedJsonObj(obj: TranscriptionTaskSummary): object;
}
