/**
 * Vision API
 * Using Vision, you can upload images to detect and classify objects in them. If you have lots of images, you can process them in batch using asynchronous API endpoints. Vision's features are thematically split between Document AI for document-centric images, and Image Analysis for object and scene-based images. Pretrained models and custom models are supported.
 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The landmark on the face.
 */
export interface Landmark {
    /**
     * The face landmark type
     */
    "type": Landmark.Type;
    /**
     * The X-axis normalized coordinate. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "x": number;
    /**
     * The Y-axis normalized coordinate. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "y": number;
}
export declare namespace Landmark {
    enum Type {
        LeftEye = "LEFT_EYE",
        RightEye = "RIGHT_EYE",
        NoseTip = "NOSE_TIP",
        LeftEdgeOfMouth = "LEFT_EDGE_OF_MOUTH",
        RightEdgeOfMouth = "RIGHT_EDGE_OF_MOUTH",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Landmark): object;
    function getDeserializedJsonObj(obj: Landmark): object;
}
