/**
 * Vision API
 * Using Vision, you can upload images to detect and classify objects in them. If you have lots of images, you can process them in batch using asynchronous API endpoints. Vision's features are thematically split between Document AI for document-centric images, and Image Analysis for object and scene-based images. Pretrained models and custom models are supported.
 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A resource created, or operated on, by a work request.
 */
export interface WorkRequestResource {
    /**
     * The resource type the work request affects.
     */
    "entityType": string;
    /**
     * The way in which this resource is affected by the work tracked in the work request.
     * A resource being created, updated, or deleted remains in the IN_PROGRESS state until
     * the work is complete for. At that point, it transitions to CREATED, UPDATED,
     * or DELETED, as appropriate.
     *
     */
    "actionType": model.ActionType;
    /**
     * The identifier of the resource the work request affects.
     */
    "identifier": string;
    /**
     * The URI path that the user can do a GET on to access the resource metadata.
     */
    "entityUri"?: string;
}
export declare namespace WorkRequestResource {
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
