/**
 *
 *
 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/aivision/ListModels.ts.html |here} to see how to use ListModelsRequest.
 */
export interface ListModelsRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId"?: string;
    /**
     * The ID of the project for which to list the objects.
     */
    "projectId"?: string;
    /**
     * The filter to match models with the given lifecycleState.
     */
    "lifecycleState"?: string;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * The filter to find the model with the given identifier.
     */
    "id"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. The default order for timeCreated is descending. The default order for displayName is ascending.
     *
     */
    "sortBy"?: ListModelsRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListModelsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName"
    }
}
