/**
 * Analytics API
 * Analytics API.

 * OpenAPI spec version: 20190331
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Analytics Instance metadata (summary view).
 *
 */
export interface AnalyticsInstanceSummary {
    /**
     * The resource OCID.
     *
     */
    "id": string;
    /**
     * The name of the Analytics instance. This name must be unique in the tenancy and cannot be changed.
     *
     */
    "name": string;
    /**
     * Optional description.
     *
     */
    "description"?: string;
    /**
     * The OCID of the compartment.
     *
     */
    "compartmentId": string;
    /**
     * The current state of an instance.
     *
     */
    "lifecycleState": model.AnalyticsInstanceLifecycleState;
    /**
     * Analytics feature set.
     *
     */
    "featureSet": model.FeatureSet;
    "capacity": model.Capacity;
    /**
     * The license used for the service.
     *
     */
    "licenseType"?: model.LicenseType;
    /**
     * Email address receiving notifications.
     *
     */
    "emailNotification"?: string;
    "networkEndpointDetails": model.PrivateEndpointDetails | model.PublicEndpointDetails;
    /**
     * URL of the Analytics service.
     *
     */
    "serviceUrl"?: string;
    /**
      * The date and time the instance was created, in the format defined by RFC3339.
  * <p>
  Example: {@code 2016-08-25T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
    /**
     * The date and time the instance was last updated (in the format defined by RFC3339).
     * This timestamp represents updates made through this API. External events do not
     * influence it.
     *
     */
    "timeUpdated"?: Date;
}
export declare namespace AnalyticsInstanceSummary {
    function getJsonObj(obj: AnalyticsInstanceSummary): object;
    function getDeserializedJsonObj(obj: AnalyticsInstanceSummary): object;
}
