/**
 * Analytics API
 * Analytics API.

 * OpenAPI spec version: 20190331
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Public endpoint configuration details.
 *
 */
export interface PublicEndpointDetails extends model.NetworkEndpointDetails {
    /**
     * Source IP addresses or IP address ranges in ingress rules.
     *
     */
    "whitelistedIps"?: Array<string>;
    /**
     * Virtual Cloud Networks allowed to access this network endpoint.
     *
     */
    "whitelistedVcns"?: Array<model.VirtualCloudNetwork>;
    /**
     * Oracle Cloud Services that are allowed to access this Analytics instance.
     *
     */
    "whitelistedServices"?: Array<PublicEndpointDetails.WhitelistedServices>;
    "networkEndpointType": string;
}
export declare namespace PublicEndpointDetails {
    enum WhitelistedServices {
        All = "ALL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: PublicEndpointDetails, isParentJsonObj?: boolean): object;
    const networkEndpointType = "PUBLIC";
    function getDeserializedJsonObj(obj: PublicEndpointDetails, isParentJsonObj?: boolean): object;
}
