/**
 * Announcements Service API
 * Manage Oracle Cloud Infrastructure console announcements.
 * OpenAPI spec version: 0.0.1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for creating a new filter group for an announcement subscription.
 */
export interface CreateFilterGroupDetails {
    /**
     * The name of the filter group. The name must be unique and it cannot be changed. Avoid entering confidential information.
     */
    "name": string;
    /**
     * A list of filters against which the Announcements service will match announcements. You cannot have more than one of any given filter type within a filter group.
     */
    "filters": Array<model.Filter>;
}
export declare namespace CreateFilterGroupDetails {
    function getJsonObj(obj: CreateFilterGroupDetails): object;
    function getDeserializedJsonObj(obj: CreateFilterGroupDetails): object;
}
