/**
 * Announcements Service API
 * Manage Oracle Cloud Infrastructure console announcements.
 * OpenAPI spec version: 0.0.1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Criteria that the Announcements service uses to match announcements so it can provide only desired announcements to subscribers.
 */
export interface Filter {
    /**
     * The type of filter. You cannot combine the RESOURCE_ID filter with any other type of filter within a given filter group. For filter types that support multiple values, specify the values individually.
     */
    "type": Filter.Type;
    /**
     * The value of the filter.
     */
    "value": string;
}
export declare namespace Filter {
    enum Type {
        CompartmentId = "COMPARTMENT_ID",
        PlatformType = "PLATFORM_TYPE",
        Region = "REGION",
        Service = "SERVICE",
        ResourceId = "RESOURCE_ID",
        AnnouncementType = "ANNOUNCEMENT_TYPE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Filter): object;
    function getDeserializedJsonObj(obj: Filter): object;
}
