/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Detail of an error or warning.
 */
export interface ApiValidationDetails {
    /**
     * Details of validation.
     */
    "details"?: Array<model.ApiValidationDetail>;
    /**
     * Name of the validation.
     */
    "name": string;
    /**
     * Result of the validation.
     */
    "result": ApiValidationDetails.Result;
}
export declare namespace ApiValidationDetails {
    enum Result {
        Error = "ERROR",
        Warning = "WARNING",
        Ok = "OK",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ApiValidationDetails): object;
    function getDeserializedJsonObj(obj: ApiValidationDetails): object;
}
