/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Send the request to the backend dynamically selected based on the incoming request's context.
 *
 */
export interface DynamicRoutingBackend extends model.ApiSpecificationRouteBackend {
    "selectionSource": model.SingleSelectionSourcePolicy;
    /**
     * List of backends to chose from for Dynamic Routing.
     */
    "routingBackends": Array<model.DynamicRoutingTypeRoutingBackend>;
    "type": string;
}
export declare namespace DynamicRoutingBackend {
    function getJsonObj(obj: DynamicRoutingBackend, isParentJsonObj?: boolean): object;
    const type = "DYNAMIC_ROUTING_BACKEND";
    function getDeserializedJsonObj(obj: DynamicRoutingBackend, isParentJsonObj?: boolean): object;
}
