/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Policy to specify how to modify the response code, body and headers.
 *
 */
export interface ModifyResponseValidationFailurePolicy extends model.ValidationFailurePolicy {
    /**
     * HTTP response code, can include context variables.
     */
    "responseCode"?: string;
    /**
     * HTTP response message.
     */
    "responseMessage"?: string;
    "responseHeaderTransformations"?: model.HeaderTransformationPolicy;
    "type": string;
}
export declare namespace ModifyResponseValidationFailurePolicy {
    function getJsonObj(obj: ModifyResponseValidationFailurePolicy, isParentJsonObj?: boolean): object;
    const type = "MODIFY_RESPONSE";
    function getDeserializedJsonObj(obj: ModifyResponseValidationFailurePolicy, isParentJsonObj?: boolean): object;
}
