/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Validate the URL query parameters on the incoming API requests on a specific route.
 */
export interface QueryParameterValidationRequestPolicy {
    "parameters"?: Array<model.QueryParameterValidationItem>;
    /**
      * Validation behavior mode.
  * <p>
  In {@code ENFORCING} mode, upon a validation failure, the request will be rejected with a 4xx response
  * and not sent to the backend.
  * <p>
  In {@code PERMISSIVE} mode, the result of the validation will be exposed as metrics while the request
  * will follow the normal path.
  * <p>
  {@code DISABLED} type turns the validation off.
  *
      */
    "validationMode"?: QueryParameterValidationRequestPolicy.ValidationMode;
}
export declare namespace QueryParameterValidationRequestPolicy {
    enum ValidationMode {
        Enforcing = "ENFORCING",
        Permissive = "PERMISSIVE",
        Disabled = "DISABLED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: QueryParameterValidationRequestPolicy): object;
    function getDeserializedJsonObj(obj: QueryParameterValidationRequestPolicy): object;
}
