/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Quota policy for a usage plan.
 *
 */
export interface Quota {
    /**
     * The number of requests that can be made per time period.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "value": number;
    /**
     * The unit of time over which quotas are calculated.
     * Example: {@code MINUTE} or {@code MONTH}
     *
     */
    "unit": Quota.Unit;
    /**
     * The policy that controls when quotas will reset.
     * Example: {@code CALENDAR}
     *
     */
    "resetPolicy": Quota.ResetPolicy;
    /**
     * What the usage plan will do when a quota is breached:
     * {@code REJECT} will allow no further requests
     * {@code ALLOW} will continue to allow further requests
     *
     */
    "operationOnBreach": Quota.OperationOnBreach;
}
export declare namespace Quota {
    enum Unit {
        Minute = "MINUTE",
        Hour = "HOUR",
        Day = "DAY",
        Week = "WEEK",
        Month = "MONTH",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum ResetPolicy {
        Calendar = "CALENDAR",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum OperationOnBreach {
        Reject = "REJECT",
        Allow = "ALLOW",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Quota): object;
    function getDeserializedJsonObj(obj: Quota): object;
}
