/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A set of public keys that is retrieved at run-time from a remote location
 * to verify the JWT signature. The set should only contain JWK-formatted
 * keys.
 *
 */
export interface RemoteJsonWebKeySet extends model.PublicKeySet {
    /**
     * The uri from which to retrieve the key. It must be accessible
     * without authentication.
     *
     */
    "uri": string;
    /**
     * Defines whether or not to uphold SSL verification.
     *
     */
    "isSslVerifyDisabled"?: boolean;
    /**
     * The duration for which the JWKS should be cached before it is
     * fetched again.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxCacheDurationInHours"?: number;
    "type": string;
}
export declare namespace RemoteJsonWebKeySet {
    function getJsonObj(obj: RemoteJsonWebKeySet, isParentJsonObj?: boolean): object;
    const type = "REMOTE_JWKS";
    function getDeserializedJsonObj(obj: RemoteJsonWebKeySet, isParentJsonObj?: boolean): object;
}
