/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * SDK target language details.
 */
export interface SdkLanguageTypeSummary {
    /**
     * Name of the programming language.
     *
     */
    "name": string;
    /**
     * Display name of the target programming language.
     *
     */
    "displayName"?: string;
    /**
     * Version string of the programming language defined in name.
     *
     */
    "version": string;
    /**
     * Additional details.
     *
     */
    "description"?: string;
    /**
     * List of optional configurations that can be used while generating SDK for the given target language.
     *
     */
    "parameters"?: Array<model.SdkLanguageOptionalParameters>;
}
export declare namespace SdkLanguageTypeSummary {
    function getJsonObj(obj: SdkLanguageTypeSummary): object;
    function getDeserializedJsonObj(obj: SdkLanguageTypeSummary): object;
}
