/**
 * API Gateway API
 * API for the API Gateway service. Use this API to manage gateways, deployments, and related items.
For more information, see
[Overview of API Gateway](/iaas/Content/APIGateway/Concepts/apigatewayoverview.htm).

 * OpenAPI spec version: 20190501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides ability to vary the cache key using context expressions.
 *
 */
export interface SimpleLookupPolicy extends model.ResponseCacheLookupPolicy {
    /**
     * A list of context expressions whose values will be added to the base cache key. Values should contain an expression enclosed within
     * ${} delimiters. Only the request context is available.
     *
     */
    "cacheKeyAdditions"?: Array<string>;
    "type": string;
}
export declare namespace SimpleLookupPolicy {
    function getJsonObj(obj: SimpleLookupPolicy, isParentJsonObj?: boolean): object;
    const type = "SIMPLE_LOOKUP_POLICY";
    function getDeserializedJsonObj(obj: SimpleLookupPolicy, isParentJsonObj?: boolean): object;
}
