/**
 * Application Performance Monitoring Configuration API
 * Use the Application Performance Monitoring Configuration API to query and set Application Performance Monitoring
configuration. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The set of Apdex rules to be used in Apdex computation. In the current version, only one rule set can exist in the
 * configuration.
 *
 */
export interface ApdexRules extends model.Config {
    /**
     * The name by which a configuration entity is displayed to the end user.
     */
    "displayName"?: string;
    "rules"?: Array<model.Apdex>;
    "configType": string;
}
export declare namespace ApdexRules {
    function getJsonObj(obj: ApdexRules, isParentJsonObj?: boolean): object;
    const configType = "APDEX";
    function getDeserializedJsonObj(obj: ApdexRules, isParentJsonObj?: boolean): object;
}
