/**
 * Application Performance Monitoring Configuration API
 * Use the Application Performance Monitoring Configuration API to query and set Application Performance Monitoring
configuration. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The set of Apdex rules to be used in Apdex computation. In the current version, only one rule set may exist per
 * configuration, and attempting to create a rule set if it already exists results in an error.
 *
 */
export interface CreateApdexRulesDetails extends model.CreateConfigDetails {
    "rules": Array<model.Apdex>;
    /**
     * The name by which a configuration entity is displayed to the end user.
     */
    "displayName": string;
    "configType": string;
}
export declare namespace CreateApdexRulesDetails {
    function getJsonObj(obj: CreateApdexRulesDetails, isParentJsonObj?: boolean): object;
    const configType = "APDEX";
    function getDeserializedJsonObj(obj: CreateApdexRulesDetails, isParentJsonObj?: boolean): object;
}
