/**
 * Application Performance Monitoring Configuration API
 * Use the Application Performance Monitoring Configuration API to query and set Application Performance Monitoring
configuration. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A span filter written in text, or as the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of a
 * SpanFilter resource. If both are given, the filterText is used.
 *
 */
export interface FilterTextOrId {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of a Span Filter. The filterId is mandatory for the creation
     * of MetricGroups. A filterId is generated when a Span Filter is created.
     *
     */
    "filterId"?: string;
    /**
     * The string that defines the Span Filter expression.
     *
     */
    "filterText"?: string;
}
export declare namespace FilterTextOrId {
    function getJsonObj(obj: FilterTextOrId): object;
    function getDeserializedJsonObj(obj: FilterTextOrId): object;
}
