/**
 * Application Performance Monitoring Configuration API
 * Use the Application Performance Monitoring Configuration API to query and set Application Performance Monitoring
configuration. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Describes an item that references the span filter.
 */
export interface SpanFilterReference {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the configuration item. An OCID is generated
     * when the item is created.
     *
     */
    "id"?: string;
    /**
     * The type of configuration item.
     */
    "configType"?: model.ConfigTypes;
    /**
     * A string that specifies the group that an OPTIONS item belongs to.
     *
     */
    "optionsGroup"?: string;
    /**
     * The name by which a configuration entity is displayed to the end user.
     */
    "displayName"?: string;
}
export declare namespace SpanFilterReference {
    function getJsonObj(obj: SpanFilterReference): object;
    function getDeserializedJsonObj(obj: SpanFilterReference): object;
}
