/**
 * Application Performance Monitoring Configuration API
 * Use the Application Performance Monitoring Configuration API to query and set Application Performance Monitoring
configuration. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Run a set of span enrichment rules on a given span to see the result.
 */
export interface TestSpanEnrichmentDetails extends model.TestDetails {
    /**
     * The span enrichment rules to test in the format of an Options resource.
     */
    "options": any;
    /**
     * A list of filters to try against the given span.
     */
    "filters"?: Array<model.FilterTextOrId>;
    /**
     * The span to test the rules on. This should be a valid JSON object that follows one
     * of the formats used by distributed tracing frameworks, such as OpenTelemetry, Zipkin, or
     * Oracle Application Performance Monitoring.
     *
     */
    "span": any;
    "testType": string;
}
export declare namespace TestSpanEnrichmentDetails {
    function getJsonObj(obj: TestSpanEnrichmentDetails, isParentJsonObj?: boolean): object;
    const testType = "SPAN_ENRICHMENT";
    function getDeserializedJsonObj(obj: TestSpanEnrichmentDetails, isParentJsonObj?: boolean): object;
}
