/**
 *
 *
 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/apmconfig/CreateConfig.ts.html |here} to see how to use CreateConfigRequest.
 */
export interface CreateConfigRequest extends common.BaseRequest {
    /**
     * The APM Domain ID the request is intended for.
     *
     */
    "apmDomainId": string;
    /**
     * The configuration details of the new item.
     */
    "createConfigDetails": model.CreateSpanFilterDetails | model.CreateMetricGroupDetails | model.CreateOptionsDetails | model.CreateApdexRulesDetails;
    /**
     * A token that uniquely identifies a request so it can be retried in case of a timeout or
     * server error without risk of executing that same action again. Retry tokens expire after 24
     * hours, but can be invalidated before then due to conflicting operations. For example, if a resource
     * has been deleted and purged from the system, then a retry of the original creation request
     * might be rejected.
     *
     */
    "opcRetryToken"?: string;
    /**
     * Unique identifier for the request.
     * If you need to contact Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * Indicates that the request is a dry run, if set to \"true\". A dry run request does not modify the
     * configuration item details and is used only to perform validation on the submitted data.
     *
     */
    "opcDryRun"?: string;
}
