/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the aggregated network data.
 */
export interface AggregatedNetworkData {
    /**
     * Status of the aggregated network data result.
     */
    "resultState": AggregatedNetworkData.ResultState;
    /**
     * List of vantage point nodes.
     */
    "vantagePointNodes"?: Array<model.VantagePointNode>;
    /**
     * An array of node arrays where each internal array corresponds to nodes at one level.
     */
    "nodesByLevel"?: Array<Array<model.Node>>;
    /**
     * Map of link objects.
     */
    "links"?: {
        [key: string]: model.Link;
    };
    /**
     * String containing error details.
     */
    "errorDetails"?: string;
}
export declare namespace AggregatedNetworkData {
    enum ResultState {
        Success = "SUCCESS",
        Failure = "FAILURE",
        Partial = "PARTIAL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AggregatedNetworkData): object;
    function getDeserializedJsonObj(obj: AggregatedNetworkData): object;
}
