/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Geographic summary of a vantage point.
 */
export interface GeoSummary {
    /**
     * The ISO 3166-2 code for this location's first-level administrative division, either a US state or Canadian province.
     * Only included for locations in the US or Canada. For a list of codes, see Country Codes.
     *
     */
    "adminDivCode"?: string;
    /**
     * Common English-language name for the city.
     */
    "cityName"?: string;
    /**
     * The ISO 3166-1 alpha-2 country code. For a list of codes, see Country Codes.
     */
    "countryCode"?: string;
    /**
     * The common English-language name for the country.
     */
    "countryName"?: string;
    /**
     * Degrees north of the equator. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "latitude"?: number;
    /**
     * Degrees east of the prime meridian. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "longitude"?: number;
}
export declare namespace GeoSummary {
    function getJsonObj(obj: GeoSummary): object;
    function getDeserializedJsonObj(obj: GeoSummary): object;
}
