"use strict";
/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MonitorConfiguration = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var MonitorConfiguration;
(function (MonitorConfiguration) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "dnsConfiguration": obj.dnsConfiguration
                ? model.DnsConfiguration.getJsonObj(obj.dnsConfiguration)
                : undefined
        });
        if (obj && "configType" in obj && obj.configType) {
            switch (obj.configType) {
                case "DNSSEC_CONFIG":
                    return model.DnsSecMonitorConfiguration.getJsonObj(jsonObj, true);
                case "DNS_TRACE_CONFIG":
                    return model.DnsTraceMonitorConfiguration.getJsonObj(jsonObj, true);
                case "SCRIPTED_REST_CONFIG":
                    return model.ScriptedRestMonitorConfiguration.getJsonObj(jsonObj, true);
                case "DNS_SERVER_CONFIG":
                    return model.DnsServerMonitorConfiguration.getJsonObj(jsonObj, true);
                case "SCRIPTED_BROWSER_CONFIG":
                    return model.ScriptedBrowserMonitorConfiguration.getJsonObj(jsonObj, true);
                case "REST_CONFIG":
                    return model.RestMonitorConfiguration.getJsonObj(jsonObj, true);
                case "BROWSER_CONFIG":
                    return model.BrowserMonitorConfiguration.getJsonObj(jsonObj, true);
                case "NETWORK_CONFIG":
                    return model.NetworkMonitorConfiguration.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.configType}`);
            }
        }
        return jsonObj;
    }
    MonitorConfiguration.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "dnsConfiguration": obj.dnsConfiguration
                ? model.DnsConfiguration.getDeserializedJsonObj(obj.dnsConfiguration)
                : undefined
        });
        if (obj && "configType" in obj && obj.configType) {
            switch (obj.configType) {
                case "DNSSEC_CONFIG":
                    return model.DnsSecMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "DNS_TRACE_CONFIG":
                    return model.DnsTraceMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "SCRIPTED_REST_CONFIG":
                    return model.ScriptedRestMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "DNS_SERVER_CONFIG":
                    return model.DnsServerMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "SCRIPTED_BROWSER_CONFIG":
                    return model.ScriptedBrowserMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "REST_CONFIG":
                    return model.RestMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "BROWSER_CONFIG":
                    return model.BrowserMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                case "NETWORK_CONFIG":
                    return model.NetworkMonitorConfiguration.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.configType}`);
            }
        }
        return jsonObj;
    }
    MonitorConfiguration.getDeserializedJsonObj = getDeserializedJsonObj;
})(MonitorConfiguration = exports.MonitorConfiguration || (exports.MonitorConfiguration = {}));
//# sourceMappingURL=monitor-configuration.js.map