/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of the monitor result data.
 */
export interface MonitorResultData {
    /**
     * Name of the data.
     */
    "name"?: string;
    /**
     * Data content in byte format.
     * Example: Zip or Screenshot.
     *
     */
    "byteContent"?: string;
    /**
     * Data content in string format.
     * Example: HAR.
     *
     */
    "stringContent"?: string;
    /**
     * The time when the data was generated, expressed in [RFC 3339](https://tools.ietf.org/html/rfc3339)
     * timestamp format.
     * Example: {@code 2020-02-13T22:47:12.613Z}
     *
     */
    "timestamp"?: Date;
}
export declare namespace MonitorResultData {
    function getJsonObj(obj: MonitorResultData): object;
    function getDeserializedJsonObj(obj: MonitorResultData): object;
}
