/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the script parameters in the monitor.
 * isOverwritten specifies that the script parameters are overwritten in the monitor.
 * If the user overwrites the parameter value in the monitor, then the overwritten values will be used to run the monitor.
 *
 */
export interface MonitorScriptParameterInfo {
    "monitorScriptParameter": model.MonitorScriptParameter;
    /**
     * Describes if  the parameter value is secret and should be kept confidential.
     * isSecret is specified in either CreateScript or UpdateScript API.
     *
     */
    "isSecret": boolean;
    /**
     * If parameter value is default or overwritten.
     *
     */
    "isOverwritten": boolean;
}
export declare namespace MonitorScriptParameterInfo {
    function getJsonObj(obj: MonitorScriptParameterInfo): object;
    function getDeserializedJsonObj(obj: MonitorScriptParameterInfo): object;
}
