/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the network configuration. For NETWORK monitor type, NetworkConfiguration is mandatory.
 */
export interface NetworkConfiguration {
    /**
     * Number of hops. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfHops"?: number;
    /**
     * Number of probes per hop. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "probePerHop"?: number;
    /**
     * Number of probe packets sent out simultaneously. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "transmissionRate"?: number;
    /**
     * Type of protocol.
     */
    "protocol"?: model.Protocol;
    /**
     * Type of probe mode when TCP protocol is selected.
     */
    "probeMode"?: model.ProbeMode;
}
export declare namespace NetworkConfiguration {
    function getJsonObj(obj: NetworkConfiguration): object;
    function getDeserializedJsonObj(obj: NetworkConfiguration): object;
}
