/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for request HTTP authentication.
 */
export interface RequestAuthenticationDetails {
    /**
     * Request HTTP OAuth scheme.
     */
    "oauthScheme"?: model.OAuthSchemes;
    /**
     * User name for authentication.
     */
    "authUserName"?: string;
    /**
     * User password for authentication.
     */
    "authUserPassword"?: string;
    /**
     * Authentication token.
     */
    "authToken"?: string;
    /**
     * URL to get authentication token.
     */
    "authUrl"?: string;
    /**
     * List of authentication headers. Example: {@code [{\"headerName\": \"content-type\", \"headerValue\":\"json\"}]}
     *
     */
    "authHeaders"?: Array<model.Header>;
    /**
     * Request method.
     */
    "authRequestMethod"?: model.RequestMethods;
    /**
     * Request post body.
     */
    "authRequestPostBody"?: string;
}
export declare namespace RequestAuthenticationDetails {
    function getJsonObj(obj: RequestAuthenticationDetails): object;
    function getDeserializedJsonObj(obj: RequestAuthenticationDetails): object;
}
