/**
 * Application Performance Monitoring Synthetic Monitoring API
 * Use the Application Performance Monitoring Synthetic Monitoring API to query synthetic scripts and monitors. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Configuration details for the SCRIPTED_REST monitor type.
 */
export interface ScriptedRestMonitorConfiguration extends model.MonitorConfiguration {
    /**
     * Request HTTP authentication scheme.
     */
    "reqAuthenticationScheme"?: model.RequestAuthenticationSchemesForScriptedRest;
    /**
     * Expected HTTP response codes. For status code range, set values such as 2xx, 3xx.
     *
     */
    "verifyResponseCodes"?: Array<string>;
    "networkConfiguration"?: model.NetworkConfiguration;
    "configType": string;
}
export declare namespace ScriptedRestMonitorConfiguration {
    function getJsonObj(obj: ScriptedRestMonitorConfiguration, isParentJsonObj?: boolean): object;
    const configType = "SCRIPTED_REST_CONFIG";
    function getDeserializedJsonObj(obj: ScriptedRestMonitorConfiguration, isParentJsonObj?: boolean): object;
}
