/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Status of autoactivation for the given data key in the APM Domain.
 *
 */
export interface AutoActivateStatus {
    /**
     * State of autoactivation in this APM Domain.  If \"ON\" auto-activate is set to true, if \"OFF\" auto-activate is set to false.
     *
     */
    "state": string;
    /**
     * Data key type for which auto-activate needs needs to be turned on or off.
     *
     */
    "dataKey": AutoActivateStatus.DataKey;
}
export declare namespace AutoActivateStatus {
    enum DataKey {
        PrivateDataKey = "PRIVATE_DATA_KEY",
        PublicDataKey = "PUBLIC_DATA_KEY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AutoActivateStatus): object;
    function getDeserializedJsonObj(obj: AutoActivateStatus): object;
}
