/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Object that contains the details about a single attribute in the bulk request for which notes are to be updated.
 *
 */
export interface BulkUpdateAttributeNotesDetail {
    /**
     * Name of the attribute for which notes are to be updated.
     *
     */
    "attributeName": string;
    /**
     * Notes to be updated.  The size of notes cannot exceed 1000 chars.
     *
     */
    "notes": string;
    /**
     * Namespace of the attribute for which the notes are to be updated.  The attributeNameSpace will default to TRACES if it is
     * not passed in.
     *
     */
    "attributeNameSpace"?: BulkUpdateAttributeNotesDetail.AttributeNameSpace;
}
export declare namespace BulkUpdateAttributeNotesDetail {
    enum AttributeNameSpace {
        Traces = "TRACES",
        Synthetic = "SYNTHETIC"
    }
    function getJsonObj(obj: BulkUpdateAttributeNotesDetail): object;
    function getDeserializedJsonObj(obj: BulkUpdateAttributeNotesDetail): object;
}
