/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary containing the metadata about the query result set.
 *
 */
export interface QueryResultMetadataSummary {
    /**
     * A collection of QueryResultRowTypeSummary objects that describe the type and properties of the individual row elements of the query rows
     * being returned.  The i-th element in this list contains the QueryResultRowTypeSummary of the i-th key-value pair in the QueryResultRowData map.
     *
     */
    "queryResultRowTypeSummaries"?: Array<model.QueryResultRowTypeSummary>;
    /**
     * Source of the query result set (traces, spans, and so on).
     *
     */
    "sourceName"?: string;
    /**
     * Columns or attributes of the query rows  which are group by values.  This is a list of ResultsGroupedBy summary objects,
     * and the list will contain as many elements as the attributes and aggregate functions in the group by clause in the select query.
     *
     */
    "queryResultsGroupedBy"?: Array<model.QueryResultsGroupedBySummary>;
    /**
     * Order by which the query results are organized.  This is a list of queryResultsOrderedBy summary objects, and the list
     * will contain more than one OrderedBy summary object, if the sort was multidimensional.
     *
     */
    "queryResultsOrderedBy"?: Array<model.QueryResultsOrderedBySummary>;
    "queryResultsTopologyInfo"?: model.QueryResultsTopologyInfo;
    /**
     * Interval for the time series function in minutes.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "timeSeriesIntervalInMins"?: number;
}
export declare namespace QueryResultMetadataSummary {
    function getJsonObj(obj: QueryResultMetadataSummary): object;
    function getDeserializedJsonObj(obj: QueryResultMetadataSummary): object;
}
