/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A response containing a collection of query rows (selected attributes and aggregations) filtered, grouped and
 * sorted by the specified criteria from the query that is run, and the associated summary describing the corresponding
 * query result metadata.
 *
 */
export interface QueryResultResponse {
    "queryResultMetadataSummary": model.QueryResultMetadataSummary;
    /**
     * A collection of objects with each object representing an individual row of the query result set.  The total number of objects
     * returned in this collection correspond to the total number of rows returned by the actual query that is run against
     * the queried entity.
     *
     */
    "queryResultRows": Array<model.QueryResultRow>;
    /**
     * A map containing metadata or additional information.
     *
     */
    "queryResultMetadata"?: {
        [key: string]: any;
    };
    /**
     * A structure that provides warnings, if any, along with the query results.
     *
     */
    "queryResultWarnings"?: Array<model.QueryResultWarning>;
}
export declare namespace QueryResultResponse {
    function getJsonObj(obj: QueryResultResponse): object;
    function getDeserializedJsonObj(obj: QueryResultResponse): object;
}
