/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Object that represents a single row of the query result.  It contains the queryResultRowData object that contains the actual data
 * represented by the elements of the query result row, and a queryResultRowMetadata object that contains the metadata about the data contained in
 * the query result row.
 *
 */
export interface QueryResultRow {
    /**
     * A map containing the actual data represented by a single row of the query result.
     * The key is the column name or attribute specified in the show clause, or an aggregate function in the show clause.
     * The value is the actual value of that attribute or aggregate function of the corresponding single row of the query result set.
     * If an alias name is specified for an attribute or an aggregate function, then the key will be the alias name specified in the show
     * clause.  If an alias name is not specified for the group by aggregate function in the show clause, then the corresponding key
     * will be the appropriate aggregate_function_name_column_name (For example: count(traces) will be keyed as count_traces).  The datatype of the value
     * is presented in the queryResultRowTypeSummaries list in the queryResultMetadata structure, where the i-th queryResultRowTypeSummary object
     * represents the datatype of the i-th value when this map is iterated in order.
     *
     */
    "queryResultRowData": {
        [key: string]: any;
    };
    /**
     * A map containing metadata or add-on data for the data presented in the queryResultRowData map.  Data required to present drill down
     * information from the queryResultRowData is presented as key-value pairs.
     *
     */
    "queryResultRowMetadata": {
        [key: string]: any;
    };
}
export declare namespace QueryResultRow {
    function getJsonObj(obj: QueryResultRow): object;
    function getDeserializedJsonObj(obj: QueryResultRow): object;
}
