/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Definition of span log collection object.
 *
 */
export interface SpanLogCollection {
    /**
     * Timestamp at which the log is created.
     *
     */
    "timeCreated"?: Date;
    /**
     * Name of the event for which the log is created.
     *
     */
    "eventName"?: string;
    /**
     * List of logs associated with the span at the given timestamp.
     *
     */
    "spanLogs"?: Array<model.SpanLog>;
}
export declare namespace SpanLogCollection {
    function getJsonObj(obj: SpanLogCollection): object;
    function getDeserializedJsonObj(obj: SpanLogCollection): object;
}
