/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Definition of a span snapshot object.
 *
 */
export interface SpanSnapshot {
    /**
     * Unique identifier (spanId) for the trace span.
     *
     */
    "key": string;
    /**
     * Span name associated with the trace.
     *
     */
    "spanName"?: string;
    /**
     * Start time of the span.
     *
     */
    "timeStarted": Date;
    /**
     * End time of the span.
     *
     */
    "timeEnded": Date;
    /**
     * Span snapshots properties.
     *
     */
    "spanSnapshotDetails"?: Array<model.SnapshotDetail>;
    /**
     * Thread snapshots.
     *
     */
    "threadSnapshots"?: Array<model.ThreadSnapshot>;
    /**
     * An array of child span snapshots.
     *
     */
    "children"?: Array<model.SpanSnapshot>;
}
export declare namespace SpanSnapshot {
    function getJsonObj(obj: SpanSnapshot): object;
    function getDeserializedJsonObj(obj: SpanSnapshot): object;
}
