/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Stack trace element.
 *
 */
export interface StackTraceElement {
    /**
     * Name of the method containing the execution point.
     *
     */
    "methodName"?: string;
    /**
     * Name of the source file containing the execution point.
     *
     */
    "fileName"?: string;
    /**
     * Line number of the source line containing the execution point.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "lineNumber"?: number;
    /**
     * Name of the class containing the execution point.
     *
     */
    "className"?: string;
    /**
     * The weight distribution that denotes the percentage occurrence of a method in the captured snapshots.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "weightage"?: number;
}
export declare namespace StackTraceElement {
    function getJsonObj(obj: StackTraceElement): object;
    function getDeserializedJsonObj(obj: StackTraceElement): object;
}
