/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the spans in a trace by service.
 *
 */
export interface TraceServiceSummary {
    /**
     * Name associated with the service.
     *
     */
    "spanServiceName": string;
    /**
     * Number of spans for serviceName in the trace.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalSpans": number;
    /**
     * Number of spans with errors for serviceName in the trace.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "errorSpans": number;
}
export declare namespace TraceServiceSummary {
    function getJsonObj(obj: TraceServiceSummary): object;
    function getDeserializedJsonObj(obj: TraceServiceSummary): object;
}
