"use strict";
/**
 * Application Performance Monitoring Trace Explorer API
 * Use the Application Performance Monitoring Trace Explorer API to query traces and associated spans in Trace Explorer. For more information, see [Application Performance Monitoring](https://docs.oracle.com/iaas/application-performance-monitoring/index.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Trace = void 0;
const model = __importStar(require("../model"));
var Trace;
(function (Trace) {
    let SourceName;
    (function (SourceName) {
        SourceName["Traces"] = "TRACES";
        SourceName["SynTraces"] = "SYN_TRACES";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        SourceName["UnknownValue"] = "UNKNOWN_VALUE";
    })(SourceName = Trace.SourceName || (Trace.SourceName = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "serviceSummaries": obj.serviceSummaries
                ? obj.serviceSummaries.map(item => {
                    return model.TraceServiceSummary.getJsonObj(item);
                })
                : undefined,
            "spanSummary": obj.spanSummary
                ? model.TraceSpanSummary.getJsonObj(obj.spanSummary)
                : undefined,
            "spans": obj.spans
                ? obj.spans.map(item => {
                    return model.Span.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Trace.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "serviceSummaries": obj.serviceSummaries
                ? obj.serviceSummaries.map(item => {
                    return model.TraceServiceSummary.getDeserializedJsonObj(item);
                })
                : undefined,
            "spanSummary": obj.spanSummary
                ? model.TraceSpanSummary.getDeserializedJsonObj(obj.spanSummary)
                : undefined,
            "spans": obj.spans
                ? obj.spans.map(item => {
                    return model.Span.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Trace.getDeserializedJsonObj = getDeserializedJsonObj;
})(Trace = exports.Trace || (exports.Trace = {}));
//# sourceMappingURL=trace.js.map