/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/apmtraces/GetTrace.ts.html |here} to see how to use GetTraceRequest.
 */
export interface GetTraceRequest extends common.BaseRequest {
    /**
     * The APM Domain ID for the intended request.
     *
     */
    "apmDomainId": string;
    /**
     * Unique Application Performance Monitoring trace identifier (traceId).
     *
     */
    "traceKey": string;
    /**
     * Unique Oracle-assigned identifier for the request.  If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * Include traces that have a {@code minTraceStartTime} equal to or greater than this value.
     *
     */
    "timeTraceStartedGreaterThanOrEqualTo"?: Date;
    /**
     * Include traces that have a {@code minTraceStartTime} less than this value.
     *
     */
    "timeTraceStartedLessThan"?: Date;
    /**
     * Name space from which the trace details need to be retrieved.
     *
     */
    "traceNamespace"?: GetTraceRequest.TraceNamespace;
}
export declare namespace GetTraceRequest {
    enum TraceNamespace {
        Traces = "TRACES",
        Synthetic = "SYNTHETIC"
    }
}
