/**
 * Artifacts and Container Images API
 * API covering the Artifacts and [Registry](/iaas/Content/Registry/Concepts/registryoverview.htm) services.
Use this API to manage resources such as generic artifacts and container images.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The container image layer metadata.
 */
export interface ContainerImageLayer {
    /**
     * The sha256 digest of the image layer.
     */
    "digest": string;
    /**
     * The size of the layer in bytes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sizeInBytes": number;
    /**
     * An RFC 3339 timestamp indicating when the layer was created.
     */
    "timeCreated": Date;
}
export declare namespace ContainerImageLayer {
    function getJsonObj(obj: ContainerImageLayer): object;
    function getDeserializedJsonObj(obj: ContainerImageLayer): object;
}
