/**
 * Artifacts and Container Images API
 * API covering the Artifacts and [Registry](/iaas/Content/Registry/Concepts/registryoverview.htm) services.
Use this API to manage resources such as generic artifacts and container images.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * List container image signature results.
 */
export interface ContainerImageSignatureCollection {
    /**
     * Page of matching container image signatures.
     */
    "items": Array<model.ContainerImageSignatureSummary>;
    /**
     * Estimated number of remaining results. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "remainingItemsCount": number;
}
export declare namespace ContainerImageSignatureCollection {
    function getJsonObj(obj: ContainerImageSignatureCollection): object;
    function getDeserializedJsonObj(obj: ContainerImageSignatureCollection): object;
}
