/**
 * Artifacts and Container Images API
 * API covering the Artifacts and [Registry](/iaas/Content/Registry/Concepts/registryoverview.htm) services.
Use this API to manage resources such as generic artifacts and container images.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary information for a repository.
 */
export interface RepositorySummary {
    /**
      * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the repository.
  * <p>
  Example: {@code ocid1.artifactrepository.oc1..exampleuniqueID}
  *
      */
    "id": string;
    /**
     * The repository name.
     */
    "displayName": string;
    /**
     * The OCID of the repository's compartment.
     */
    "compartmentId": string;
    /**
     * The repository description.
     */
    "description"?: string;
    /**
     * Whether the repository is immutable. The artifacts of an immutable repository cannot be overwritten.
     */
    "isImmutable": boolean;
    /**
     * The current state of the artifact repository.
     */
    "lifecycleState": string;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no
  * predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags": {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a
  * namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags": {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * An RFC 3339 timestamp indicating when the repository was created.
     */
    "timeCreated": Date;
    "repositoryType": string;
}
export declare namespace RepositorySummary {
    function getJsonObj(obj: RepositorySummary): object;
    function getDeserializedJsonObj(obj: RepositorySummary): object;
}
