/**
 * Autoscaling API
 * APIs for dynamically scaling Compute resources to meet application requirements. For more information about
autoscaling, see [Autoscaling](/Content/Compute/Tasks/autoscalinginstancepools.htm). For information about the
Compute service, see [Overview of the Compute Service](/Content/Compute/Concepts/computeoverview.htm).

**Note:** Autoscaling is not available in US Government Cloud tenancies. For more information, see
[Oracle Cloud Infrastructure US Government Cloud](/Content/General/Concepts/govoverview.htm).

 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Capacity limits for the instance pool.
 *
 */
export interface Capacity {
    /**
      * For a threshold-based autoscaling policy, this value is the maximum number of instances the instance pool is allowed
  * to increase to (scale out).
  * <p>
  For a schedule-based autoscaling policy, this value is not used.
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "max"?: number;
    /**
      * For a threshold-based autoscaling policy, this value is the minimum number of instances the instance pool is allowed
  * to decrease to (scale in).
  * <p>
  For a schedule-based autoscaling policy, this value is not used.
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "min"?: number;
    /**
      * For a threshold-based autoscaling policy, this value is the initial number of instances to launch in the instance pool
  * immediately after autoscaling is enabled. After autoscaling retrieves performance metrics, the number of
  * instances is automatically adjusted from this initial number to a number that is based on the limits that
  * you set.
  * <p>
  For a schedule-based autoscaling policy, this value is the target pool size to scale to when executing the schedule
  * that's defined in the autoscaling policy.
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "initial"?: number;
}
export declare namespace Capacity {
    function getJsonObj(obj: Capacity): object;
    function getDeserializedJsonObj(obj: Capacity): object;
}
