/**
 * Autoscaling API
 * APIs for dynamically scaling Compute resources to meet application requirements. For more information about
autoscaling, see [Autoscaling](/Content/Compute/Tasks/autoscalinginstancepools.htm). For information about the
Compute service, see [Overview of the Compute Service](/Content/Compute/Concepts/computeoverview.htm).

**Note:** Autoscaling is not available in US Government Cloud tenancies. For more information, see
[Oracle Cloud Infrastructure US Government Cloud](/Content/General/Concepts/govoverview.htm).

 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
* Creation details for a threshold-based autoscaling policy.
* <p>
In a threshold-based autoscaling policy, an autoscaling action is triggered when a performance metric meets
* or exceeds a threshold.
*
*/
export interface CreateThresholdPolicyDetails extends model.CreateAutoScalingPolicyDetails {
    "rules": Array<model.CreateConditionDetails>;
    "policyType": string;
}
export declare namespace CreateThresholdPolicyDetails {
    function getJsonObj(obj: CreateThresholdPolicyDetails, isParentJsonObj?: boolean): object;
    const policyType = "threshold";
    function getDeserializedJsonObj(obj: CreateThresholdPolicyDetails, isParentJsonObj?: boolean): object;
}
