/**
 * Autoscaling API
 * APIs for dynamically scaling Compute resources to meet application requirements. For more information about
autoscaling, see [Autoscaling](/Content/Compute/Tasks/autoscalinginstancepools.htm). For information about the
Compute service, see [Overview of the Compute Service](/Content/Compute/Concepts/computeoverview.htm).

**Note:** Autoscaling is not available in US Government Cloud tenancies. For more information, see
[Oracle Cloud Infrastructure US Government Cloud](/Content/General/Concepts/govoverview.htm).

 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An autoscaling policy that defines execution schedules for an autoscaling configuration.
 */
export interface ScheduledPolicy extends model.AutoScalingPolicy {
    /**
     * The schedule for executing the autoscaling policy.
     */
    "executionSchedule": model.CronExecutionSchedule;
    "resourceAction"?: model.ResourcePowerAction;
    "policyType": string;
}
export declare namespace ScheduledPolicy {
    function getJsonObj(obj: ScheduledPolicy, isParentJsonObj?: boolean): object;
    const policyType = "scheduled";
    function getDeserializedJsonObj(obj: ScheduledPolicy, isParentJsonObj?: boolean): object;
}
