"use strict";
/**
 * Bastion API
 * Use the Bastion API to provide restricted and time-limited access to target resources that don't have public endpoints. Bastions let authorized users connect from specific IP addresses to target resources using Secure Shell (SSH) sessions. For more information, see [the Bastion documentation](/iaas/Content/Bastion/home.htm).
 * OpenAPI spec version: 20210331
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.BastionLifecycleState = void 0;
/**
 * Possible bastion lifecycle states.
 **/
var BastionLifecycleState;
(function (BastionLifecycleState) {
    BastionLifecycleState["Creating"] = "CREATING";
    BastionLifecycleState["Updating"] = "UPDATING";
    BastionLifecycleState["Active"] = "ACTIVE";
    BastionLifecycleState["Deleting"] = "DELETING";
    BastionLifecycleState["Deleted"] = "DELETED";
    BastionLifecycleState["Failed"] = "FAILED";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    BastionLifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
})(BastionLifecycleState = exports.BastionLifecycleState || (exports.BastionLifecycleState = {}));
(function (BastionLifecycleState) {
    function getJsonObj(obj) {
        return obj;
    }
    BastionLifecycleState.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    BastionLifecycleState.getDeserializedJsonObj = getDeserializedJsonObj;
})(BastionLifecycleState = exports.BastionLifecycleState || (exports.BastionLifecycleState = {}));
//# sourceMappingURL=bastion-lifecycle-state.js.map