"use strict";
/**
 * Bastion API
 * Use the Bastion API to provide restricted and time-limited access to target resources that don't have public endpoints. Bastions let authorized users connect from specific IP addresses to target resources using Secure Shell (SSH) sessions. For more information, see [the Bastion documentation](/iaas/Content/Bastion/home.htm).
 * OpenAPI spec version: 20210331
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateSessionTargetResourceDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var CreateSessionTargetResourceDetails;
(function (CreateSessionTargetResourceDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "sessionType" in obj && obj.sessionType) {
            switch (obj.sessionType) {
                case "MANAGED_SSH":
                    return model.CreateManagedSshSessionTargetResourceDetails.getJsonObj(jsonObj, true);
                case "DYNAMIC_PORT_FORWARDING":
                    return model.CreateDynamicPortForwardingSessionTargetResourceDetails.getJsonObj(jsonObj, true);
                case "PORT_FORWARDING":
                    return model.CreatePortForwardingSessionTargetResourceDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.sessionType}`);
            }
        }
        return jsonObj;
    }
    CreateSessionTargetResourceDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "sessionType" in obj && obj.sessionType) {
            switch (obj.sessionType) {
                case "MANAGED_SSH":
                    return model.CreateManagedSshSessionTargetResourceDetails.getDeserializedJsonObj(jsonObj, true);
                case "DYNAMIC_PORT_FORWARDING":
                    return model.CreateDynamicPortForwardingSessionTargetResourceDetails.getDeserializedJsonObj(jsonObj, true);
                case "PORT_FORWARDING":
                    return model.CreatePortForwardingSessionTargetResourceDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.sessionType}`);
            }
        }
        return jsonObj;
    }
    CreateSessionTargetResourceDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateSessionTargetResourceDetails = exports.CreateSessionTargetResourceDetails || (exports.CreateSessionTargetResourceDetails = {}));
//# sourceMappingURL=create-session-target-resource-details.js.map