/**
 * Bastion API
 * Use the Bastion API to provide restricted and time-limited access to target resources that don't have public endpoints. Bastions let authorized users connect from specific IP addresses to target resources using Secure Shell (SSH) sessions. For more information, see [the Bastion documentation](/iaas/Content/Bastion/home.htm).
 * OpenAPI spec version: 20210331
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as Bastion from "./bastion";
export import Bastion = Bastion.Bastion;
import * as BastionDnsProxyStatus from "./bastion-dns-proxy-status";
export import BastionDnsProxyStatus = BastionDnsProxyStatus.BastionDnsProxyStatus;
import * as BastionLifecycleState from "./bastion-lifecycle-state";
export import BastionLifecycleState = BastionLifecycleState.BastionLifecycleState;
import * as BastionSummary from "./bastion-summary";
export import BastionSummary = BastionSummary.BastionSummary;
import * as ChangeBastionCompartmentDetails from "./change-bastion-compartment-details";
export import ChangeBastionCompartmentDetails = ChangeBastionCompartmentDetails.ChangeBastionCompartmentDetails;
import * as CreateBastionDetails from "./create-bastion-details";
export import CreateBastionDetails = CreateBastionDetails.CreateBastionDetails;
import * as CreateSessionDetails from "./create-session-details";
export import CreateSessionDetails = CreateSessionDetails.CreateSessionDetails;
import * as CreateSessionTargetResourceDetails from "./create-session-target-resource-details";
export import CreateSessionTargetResourceDetails = CreateSessionTargetResourceDetails.CreateSessionTargetResourceDetails;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as PublicKeyDetails from "./public-key-details";
export import PublicKeyDetails = PublicKeyDetails.PublicKeyDetails;
import * as Session from "./session";
export import Session = Session.Session;
import * as SessionLifecycleState from "./session-lifecycle-state";
export import SessionLifecycleState = SessionLifecycleState.SessionLifecycleState;
import * as SessionSummary from "./session-summary";
export import SessionSummary = SessionSummary.SessionSummary;
import * as SessionType from "./session-type";
export import SessionType = SessionType.SessionType;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as TargetResourceDetails from "./target-resource-details";
export import TargetResourceDetails = TargetResourceDetails.TargetResourceDetails;
import * as UpdateBastionDetails from "./update-bastion-details";
export import UpdateBastionDetails = UpdateBastionDetails.UpdateBastionDetails;
import * as UpdateSessionDetails from "./update-session-details";
export import UpdateSessionDetails = UpdateSessionDetails.UpdateSessionDetails;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as CreateDynamicPortForwardingSessionTargetResourceDetails from "./create-dynamic-port-forwarding-session-target-resource-details";
export import CreateDynamicPortForwardingSessionTargetResourceDetails = CreateDynamicPortForwardingSessionTargetResourceDetails.CreateDynamicPortForwardingSessionTargetResourceDetails;
import * as CreateManagedSshSessionTargetResourceDetails from "./create-managed-ssh-session-target-resource-details";
export import CreateManagedSshSessionTargetResourceDetails = CreateManagedSshSessionTargetResourceDetails.CreateManagedSshSessionTargetResourceDetails;
import * as CreatePortForwardingSessionTargetResourceDetails from "./create-port-forwarding-session-target-resource-details";
export import CreatePortForwardingSessionTargetResourceDetails = CreatePortForwardingSessionTargetResourceDetails.CreatePortForwardingSessionTargetResourceDetails;
import * as DynamicPortForwardingSessionTargetResourceDetails from "./dynamic-port-forwarding-session-target-resource-details";
export import DynamicPortForwardingSessionTargetResourceDetails = DynamicPortForwardingSessionTargetResourceDetails.DynamicPortForwardingSessionTargetResourceDetails;
import * as ManagedSshSessionTargetResourceDetails from "./managed-ssh-session-target-resource-details";
export import ManagedSshSessionTargetResourceDetails = ManagedSshSessionTargetResourceDetails.ManagedSshSessionTargetResourceDetails;
import * as PortForwardingSessionTargetResourceDetails from "./port-forwarding-session-target-resource-details";
export import PortForwardingSessionTargetResourceDetails = PortForwardingSessionTargetResourceDetails.PortForwardingSessionTargetResourceDetails;
