"use strict";
/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddAutoScalePolicyDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var AddAutoScalePolicyDetails;
(function (AddAutoScalePolicyDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "policyType" in obj && obj.policyType) {
            switch (obj.policyType) {
                case "METRIC_BASED_HORIZONTAL_SCALING_POLICY":
                    return model.AddMetricBasedHorizontalScalingPolicyDetails.getJsonObj(jsonObj, true);
                case "SCHEDULE_BASED_VERTICAL_SCALING_POLICY":
                    return model.AddScheduleBasedVerticalScalingPolicyDetails.getJsonObj(jsonObj, true);
                case "SCHEDULE_BASED_HORIZONTAL_SCALING_POLICY":
                    return model.AddScheduleBasedHorizontalScalingPolicyDetails.getJsonObj(jsonObj, true);
                case "METRIC_BASED_VERTICAL_SCALING_POLICY":
                    return model.AddMetricBasedVerticalScalingPolicyDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.policyType}`);
            }
        }
        return jsonObj;
    }
    AddAutoScalePolicyDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "policyType" in obj && obj.policyType) {
            switch (obj.policyType) {
                case "METRIC_BASED_HORIZONTAL_SCALING_POLICY":
                    return model.AddMetricBasedHorizontalScalingPolicyDetails.getDeserializedJsonObj(jsonObj, true);
                case "SCHEDULE_BASED_VERTICAL_SCALING_POLICY":
                    return model.AddScheduleBasedVerticalScalingPolicyDetails.getDeserializedJsonObj(jsonObj, true);
                case "SCHEDULE_BASED_HORIZONTAL_SCALING_POLICY":
                    return model.AddScheduleBasedHorizontalScalingPolicyDetails.getDeserializedJsonObj(jsonObj, true);
                case "METRIC_BASED_VERTICAL_SCALING_POLICY":
                    return model.AddMetricBasedVerticalScalingPolicyDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.policyType}`);
            }
        }
        return jsonObj;
    }
    AddAutoScalePolicyDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(AddAutoScalePolicyDetails = exports.AddAutoScalePolicyDetails || (exports.AddAutoScalePolicyDetails = {}));
//# sourceMappingURL=add-auto-scale-policy-details.js.map