/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information about added block volumes.
 */
export interface AddBlockStorageDetails {
    /**
     * Base-64 encoded password for the cluster (and Cloudera Manager) admin user.
     */
    "clusterAdminPassword": string;
    /**
     * The size of block volume in GB to be added to each worker node. All the
     * details needed for attaching the block volume are managed by service itself.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "blockVolumeSizeInGBs": number;
    /**
     * Worker node types.
     */
    "nodeType": AddBlockStorageDetails.NodeType;
}
export declare namespace AddBlockStorageDetails {
    enum NodeType {
        Worker = "WORKER",
        ComputeOnlyWorker = "COMPUTE_ONLY_WORKER",
        KafkaBroker = "KAFKA_BROKER"
    }
    function getJsonObj(obj: AddBlockStorageDetails): object;
    function getDeserializedJsonObj(obj: AddBlockStorageDetails): object;
}
