/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about added master nodes.
 */
export interface AddMasterNodesDetails {
    /**
     * Base-64 encoded Cluster Admin Password for cluster admin user.
     */
    "clusterAdminPassword": string;
    /**
     * Number of additional master nodes for the cluster. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfMasterNodes": number;
    /**
     * Shape of the node. It's a read-only property derived from existing Master node.
     */
    "shape"?: string;
    /**
     * The size of block volume in GB to be attached to the given node. It's a read-only property.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "blockVolumeSizeInGBs"?: number;
    "shapeConfig"?: model.ShapeConfigDetails;
}
export declare namespace AddMasterNodesDetails {
    function getJsonObj(obj: AddMasterNodesDetails): object;
    function getDeserializedJsonObj(obj: AddMasterNodesDetails): object;
}
