/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the autoscale configuration.
 */
export interface AutoScalingConfiguration {
    /**
     * The unique identifier for the autoscale configuration.
     */
    "id": string;
    /**
     * A user-friendly name. The name does not have to be unique, and it may be changed. Avoid entering confidential information.
     */
    "displayName": string;
    /**
     * A node type that is managed by an autoscale configuration. The only supported types are WORKER and COMPUTE_ONLY_WORKER.
     */
    "nodeType": string;
    /**
     * The state of the autoscale configuration.
     */
    "lifecycleState": AutoScalingConfiguration.LifecycleState;
    /**
     * The time the cluster was created, shown as an RFC 3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time the autoscale configuration was updated, shown as an RFC 3339 formatted datetime string.
     *
     */
    "timeUpdated": Date;
    "policy": model.AutoScalePolicy;
    "policyDetails"?: model.MetricBasedVerticalScalingPolicyDetails | model.ScheduleBasedVerticalScalingPolicyDetails | model.ScheduleBasedHorizontalScalingPolicyDetails | model.MetricBasedHorizontalScalingPolicyDetails;
}
export declare namespace AutoScalingConfiguration {
    enum LifecycleState {
        Creating = "CREATING",
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        Updating = "UPDATING",
        Deleting = "DELETING",
        Deleted = "DELETED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AutoScalingConfiguration): object;
    function getDeserializedJsonObj(obj: AutoScalingConfiguration): object;
}
