/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Patching configurations which allows patch the nodes batch by batch.
 */
export interface BatchingBasedPatchingConfigs extends model.PatchingConfigs {
    /**
     * How many nodes to be patched and rebooted in each iteration. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "batchSize": number;
    /**
     * The wait time between batches in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "waitTimeBetweenBatchInSeconds": number;
    /**
     * Acceptable number of failed-to-be-patched nodes in each batch. The maximum number of failed-to-patch nodes cannot exceed 20% of the number of nodes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "toleranceThresholdPerBatch": number;
    "patchingConfigStrategy": string;
}
export declare namespace BatchingBasedPatchingConfigs {
    function getJsonObj(obj: BatchingBasedPatchingConfigs, isParentJsonObj?: boolean): object;
    const patchingConfigStrategy = "BATCHING_BASED";
    function getDeserializedJsonObj(obj: BatchingBasedPatchingConfigs, isParentJsonObj?: boolean): object;
}
