"use strict";
/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BdsInstance = void 0;
const model = __importStar(require("../model"));
var BdsInstance;
(function (BdsInstance) {
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["Creating"] = "CREATING";
        LifecycleState["Active"] = "ACTIVE";
        LifecycleState["Updating"] = "UPDATING";
        LifecycleState["Suspending"] = "SUSPENDING";
        LifecycleState["Suspended"] = "SUSPENDED";
        LifecycleState["Resuming"] = "RESUMING";
        LifecycleState["Deleting"] = "DELETING";
        LifecycleState["Deleted"] = "DELETED";
        LifecycleState["Failed"] = "FAILED";
        LifecycleState["Inactive"] = "INACTIVE";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleState = BdsInstance.LifecycleState || (BdsInstance.LifecycleState = {}));
    let ClusterVersion;
    (function (ClusterVersion) {
        ClusterVersion["Cdh5"] = "CDH5";
        ClusterVersion["Cdh6"] = "CDH6";
        ClusterVersion["Odh1"] = "ODH1";
        ClusterVersion["Odh09"] = "ODH0_9";
        ClusterVersion["Odh20"] = "ODH2_0";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        ClusterVersion["UnknownValue"] = "UNKNOWN_VALUE";
    })(ClusterVersion = BdsInstance.ClusterVersion || (BdsInstance.ClusterVersion = {}));
    let ClusterProfile;
    (function (ClusterProfile) {
        ClusterProfile["HadoopExtended"] = "HADOOP_EXTENDED";
        ClusterProfile["Hadoop"] = "HADOOP";
        ClusterProfile["Hive"] = "HIVE";
        ClusterProfile["Spark"] = "SPARK";
        ClusterProfile["Hbase"] = "HBASE";
        ClusterProfile["Trino"] = "TRINO";
        ClusterProfile["Kafka"] = "KAFKA";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        ClusterProfile["UnknownValue"] = "UNKNOWN_VALUE";
    })(ClusterProfile = BdsInstance.ClusterProfile || (BdsInstance.ClusterProfile = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "networkConfig": obj.networkConfig
                ? model.NetworkConfig.getJsonObj(obj.networkConfig)
                : undefined,
            "clusterDetails": obj.clusterDetails
                ? model.ClusterDetails.getJsonObj(obj.clusterDetails)
                : undefined,
            "nodes": obj.nodes
                ? obj.nodes.map(item => {
                    return model.Node.getJsonObj(item);
                })
                : undefined,
            "cloudSqlDetails": obj.cloudSqlDetails
                ? model.CloudSqlDetails.getJsonObj(obj.cloudSqlDetails)
                : undefined
        });
        return jsonObj;
    }
    BdsInstance.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "networkConfig": obj.networkConfig
                ? model.NetworkConfig.getDeserializedJsonObj(obj.networkConfig)
                : undefined,
            "clusterDetails": obj.clusterDetails
                ? model.ClusterDetails.getDeserializedJsonObj(obj.clusterDetails)
                : undefined,
            "nodes": obj.nodes
                ? obj.nodes.map(item => {
                    return model.Node.getDeserializedJsonObj(item);
                })
                : undefined,
            "cloudSqlDetails": obj.cloudSqlDetails
                ? model.CloudSqlDetails.getDeserializedJsonObj(obj.cloudSqlDetails)
                : undefined
        });
        return jsonObj;
    }
    BdsInstance.getDeserializedJsonObj = getDeserializedJsonObj;
})(BdsInstance = exports.BdsInstance || (exports.BdsInstance = {}));
//# sourceMappingURL=bds-instance.js.map