/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The metastore configuration information.
 */
export interface BdsMetastoreConfiguration {
    /**
     * The ID of the metastore configuration
     */
    "id": string;
    /**
     * The display name of metastore configuration
     */
    "displayName": string;
    /**
     * The type of the metastore in the metastore configuration.
     */
    "metastoreType": BdsMetastoreConfiguration.MetastoreType;
    /**
     * The OCID of the Data Catalog metastore. Set only if metastore's type is EXTERNAL.
     */
    "metastoreId"?: string;
    /**
     * The ID of BDS API Key used for metastore configuration. Set only if metastore's type is EXTERNAL.
     */
    "bdsApiKeyId"?: string;
    /**
     * the lifecycle state of the metastore configuration.
     */
    "lifecycleState": BdsMetastoreConfiguration.LifecycleState;
    /**
     * The time when the configuration was created, shown as an RFC 3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time when the configuration was updated, shown as an RFC 3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
}
export declare namespace BdsMetastoreConfiguration {
    enum MetastoreType {
        Local = "LOCAL",
        External = "EXTERNAL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum LifecycleState {
        Creating = "CREATING",
        Activating = "ACTIVATING",
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        Updating = "UPDATING",
        Failed = "FAILED",
        Deleting = "DELETING",
        Deleted = "DELETED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: BdsMetastoreConfiguration): object;
    function getDeserializedJsonObj(obj: BdsMetastoreConfiguration): object;
}
