/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Specific info about a Hadoop cluster
 */
export interface ClusterDetails {
    /**
     * BDA version installed in the cluster
     */
    "bdaVersion"?: string;
    /**
     * Big Data Manager version installed in the cluster.
     */
    "bdmVersion"?: string;
    /**
     * Big Data Service version installed in the cluster.
     */
    "bdsVersion"?: string;
    /**
     * Oracle Linux version installed in the cluster.
     */
    "osVersion"?: string;
    /**
     * Cloud SQL query server database version.
     */
    "dbVersion"?: string;
    /**
     * Cloud SQL cell version.
     */
    "bdCellVersion"?: string;
    /**
     * Big Data SQL version.
     */
    "csqlCellVersion"?: string;
    /**
     * The time the cluster was created, shown as an RFC 3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time the cluster was automatically or manually refreshed, shown as an RFC 3339 formatted datetime string.
     *
     */
    "timeRefreshed"?: Date;
    /**
     * The URL of Cloudera Manager
     */
    "clouderaManagerUrl"?: string;
    /**
     * The URL of Ambari
     */
    "ambariUrl"?: string;
    /**
     * The URL of Big Data Manager.
     */
    "bigDataManagerUrl"?: string;
    /**
     * The URL of the Hue server.
     */
    "hueServerUrl"?: string;
    /**
     * Version of the ODH (Oracle Distribution including Apache Hadoop) installed on the cluster.
     */
    "odhVersion"?: string;
    /**
     * The URL of the Jupyterhub.
     */
    "jupyterHubUrl"?: string;
}
export declare namespace ClusterDetails {
    function getJsonObj(obj: ClusterDetails): object;
    function getDeserializedJsonObj(obj: ClusterDetails): object;
}
