/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the new cluster.
 */
export interface CreateBdsInstanceDetails {
    /**
     * The OCID of the compartment.
     */
    "compartmentId": string;
    /**
     * Name of the Big Data Service cluster.
     */
    "displayName": string;
    /**
     * Version of the Hadoop distribution.
     */
    "clusterVersion": string;
    /**
     * The SSH public key used to authenticate the cluster connection.
     */
    "clusterPublicKey": string;
    /**
     * Base-64 encoded password for the cluster (and Cloudera Manager) admin user.
     */
    "clusterAdminPassword": string;
    /**
     * Boolean flag specifying whether or not the cluster is highly available (HA).
     */
    "isHighAvailability": boolean;
    /**
     * Boolean flag specifying whether or not the cluster should be set up as secure.
     */
    "isSecure": boolean;
    "networkConfig"?: model.NetworkConfig;
    /**
     * Pre-authenticated URL of the script in Object Store that is downloaded and executed.
     */
    "bootstrapScriptUrl"?: string;
    /**
     * The list of nodes in the Big Data Service cluster.
     */
    "nodes": Array<model.CreateNodeDetails>;
    /**
     * The user-defined kerberos realm name.
     */
    "kerberosRealmName"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type, or scope.
     * Exists for cross-compatibility only. For example, {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For example, {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * The OCID of the Key Management master encryption key.
     */
    "kmsKeyId"?: string;
    /**
     * Profile of the Big Data Service cluster.
     */
    "clusterProfile"?: string;
}
export declare namespace CreateBdsInstanceDetails {
    function getJsonObj(obj: CreateBdsInstanceDetails): object;
    function getDeserializedJsonObj(obj: CreateBdsInstanceDetails): object;
}
