/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the new node.
 */
export interface CreateNodeDetails {
    /**
     * The Big Data Service cluster node type.
     */
    "nodeType": string;
    /**
     * Shape of the node.
     */
    "shape": string;
    /**
     * The size of block volume in GB to be attached to a given node. All the
     * details needed for attaching the block volume are managed by service itself.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "blockVolumeSizeInGBs": number;
    /**
     * The OCID of the subnet in which the node will be created.
     */
    "subnetId": string;
    "shapeConfig"?: model.ShapeConfigDetails;
}
export declare namespace CreateNodeDetails {
    function getJsonObj(obj: CreateNodeDetails): object;
    function getDeserializedJsonObj(obj: CreateNodeDetails): object;
}
