"use strict";
/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricBasedVerticalScaleDownConfig = exports.MetricBasedHorizontalScaleOutConfig = exports.MetricBasedHorizontalScaleInConfig = exports.LevelTypeDetails = exports.KerberosDetails = exports.InstallPatchDetails = exports.InstallOsPatchDetails = exports.HostSpecificCertificateDetails = exports.HostCertDetails = exports.HorizontalScalingScheduleDetails = exports.ExecuteBootstrapScriptDetails = exports.EnableCertificateDetails = exports.DisableCertificateDetails = exports.DefaultError = exports.CreateNodeReplaceConfigurationDetails = exports.CreateNodeDetails = exports.CreateNodeBackupConfigurationDetails = exports.CreateBdsMetastoreConfigurationDetails = exports.CreateBdsInstanceDetails = exports.CreateBdsApiKeyDetails = exports.ClusterDetails = exports.CloudSqlDetails = exports.ChangeShapeNodes = exports.ChangeShapeDetails = exports.ChangeBdsInstanceCompartmentDetails = exports.CertificateServiceInfoSummary = exports.CertificateServiceInfoDetails = exports.BdsMetastoreConfigurationSummary = exports.BdsMetastoreConfiguration = exports.BdsInstanceSummary = exports.BdsInstance = exports.BdsApiKeySummary = exports.BdsApiKey = exports.BackupNodeDetails = exports.AutoScalingConfigurationSummary = exports.AutoScalingConfiguration = exports.AutoScalePolicyRule = exports.AutoScalePolicyMetricRule = exports.AutoScalePolicyDetails = exports.AutoScalePolicy = exports.AddWorkerNodesDetails = exports.AddUtilityNodesDetails = exports.AddMasterNodesDetails = exports.AddKafkaDetails = exports.AddCloudSqlDetails = exports.AddBlockStorageDetails = exports.AddAutoScalingConfigurationDetails = exports.AddAutoScalePolicyDetails = exports.ActivateBdsMetastoreConfigurationDetails = exports.ActionTypes = void 0;
exports.AddMetricBasedVerticalScalingPolicyDetails = exports.AddMetricBasedHorizontalScalingPolicyDetails = exports.WorkRequestResource = exports.WorkRequestLogEntry = exports.WorkRequestError = exports.WorkRequest = exports.VolumeAttachmentDetail = exports.VerticalScalingScheduleDetails = exports.UpdateNodeReplaceConfigurationDetails = exports.UpdateNodeBackupConfigurationDetails = exports.UpdateBdsMetastoreConfigurationDetails = exports.UpdateBdsInstanceDetails = exports.UpdateAutoScalingConfigurationDetails = exports.UpdateAutoScalePolicyDetails = exports.TimeAndVerticalScalingConfig = exports.TimeAndHorizontalScalingConfig = exports.TestBdsObjectStorageConnectionDetails = exports.TestBdsMetastoreConfigurationDetails = exports.StopBdsInstanceDetails = exports.StartBdsInstanceDetails = exports.SortOrders = exports.ShapeConfigDetails = exports.Service = exports.ScheduleType = exports.RestartNodeDetails = exports.ReplaceNodeDetails = exports.RenewCertificateDetails = exports.RemoveNodeReplaceConfigurationDetails = exports.RemoveNodeDetails = exports.RemoveKafkaDetails = exports.RemoveCloudSqlDetails = exports.RemoveAutoScalingConfigurationDetails = exports.PatchingConfigs = exports.PatchSummary = exports.PatchHistorySummary = exports.OsPatchSummary = exports.OsPatchPackageSummary = exports.OsPatchDetails = exports.OperationTypes = exports.OperationStatus = exports.NodeReplaceConfigurationSummary = exports.NodeReplaceConfiguration = exports.NodeBackupSummary = exports.NodeBackupConfigurationSummary = exports.NodeBackupConfiguration = exports.NodeBackup = exports.Node = exports.NetworkConfig = exports.MetricThresholdRule = exports.MetricBasedVerticalScaleUpConfig = void 0;
exports.UpdateScheduleBasedVerticalScalingPolicyDetails = exports.UpdateScheduleBasedHorizontalScalingPolicyDetails = exports.UpdateMetricBasedVerticalScalingPolicyDetails = exports.UpdateMetricBasedHorizontalScalingPolicyDetails = exports.ScheduleBasedVerticalScalingPolicyDetails = exports.ScheduleBasedHorizontalScalingPolicyDetails = exports.NodeTypeLevelDetails = exports.NodeLevelDetails = exports.MetricBasedVerticalScalingPolicyDetails = exports.MetricBasedHorizontalScalingPolicyDetails = exports.DowntimeBasedPatchingConfigs = exports.DayBasedVerticalScalingScheduleDetails = exports.DayBasedHorizontalScalingScheduleDetails = exports.BatchingBasedPatchingConfigs = exports.AddScheduleBasedVerticalScalingPolicyDetails = exports.AddScheduleBasedHorizontalScalingPolicyDetails = void 0;
const ActionTypes = __importStar(require("./action-types"));
exports.ActionTypes = ActionTypes.ActionTypes;
const ActivateBdsMetastoreConfigurationDetails = __importStar(require("./activate-bds-metastore-configuration-details"));
exports.ActivateBdsMetastoreConfigurationDetails = ActivateBdsMetastoreConfigurationDetails.ActivateBdsMetastoreConfigurationDetails;
const AddAutoScalePolicyDetails = __importStar(require("./add-auto-scale-policy-details"));
exports.AddAutoScalePolicyDetails = AddAutoScalePolicyDetails.AddAutoScalePolicyDetails;
const AddAutoScalingConfigurationDetails = __importStar(require("./add-auto-scaling-configuration-details"));
exports.AddAutoScalingConfigurationDetails = AddAutoScalingConfigurationDetails.AddAutoScalingConfigurationDetails;
const AddBlockStorageDetails = __importStar(require("./add-block-storage-details"));
exports.AddBlockStorageDetails = AddBlockStorageDetails.AddBlockStorageDetails;
const AddCloudSqlDetails = __importStar(require("./add-cloud-sql-details"));
exports.AddCloudSqlDetails = AddCloudSqlDetails.AddCloudSqlDetails;
const AddKafkaDetails = __importStar(require("./add-kafka-details"));
exports.AddKafkaDetails = AddKafkaDetails.AddKafkaDetails;
const AddMasterNodesDetails = __importStar(require("./add-master-nodes-details"));
exports.AddMasterNodesDetails = AddMasterNodesDetails.AddMasterNodesDetails;
const AddUtilityNodesDetails = __importStar(require("./add-utility-nodes-details"));
exports.AddUtilityNodesDetails = AddUtilityNodesDetails.AddUtilityNodesDetails;
const AddWorkerNodesDetails = __importStar(require("./add-worker-nodes-details"));
exports.AddWorkerNodesDetails = AddWorkerNodesDetails.AddWorkerNodesDetails;
const AutoScalePolicy = __importStar(require("./auto-scale-policy"));
exports.AutoScalePolicy = AutoScalePolicy.AutoScalePolicy;
const AutoScalePolicyDetails = __importStar(require("./auto-scale-policy-details"));
exports.AutoScalePolicyDetails = AutoScalePolicyDetails.AutoScalePolicyDetails;
const AutoScalePolicyMetricRule = __importStar(require("./auto-scale-policy-metric-rule"));
exports.AutoScalePolicyMetricRule = AutoScalePolicyMetricRule.AutoScalePolicyMetricRule;
const AutoScalePolicyRule = __importStar(require("./auto-scale-policy-rule"));
exports.AutoScalePolicyRule = AutoScalePolicyRule.AutoScalePolicyRule;
const AutoScalingConfiguration = __importStar(require("./auto-scaling-configuration"));
exports.AutoScalingConfiguration = AutoScalingConfiguration.AutoScalingConfiguration;
const AutoScalingConfigurationSummary = __importStar(require("./auto-scaling-configuration-summary"));
exports.AutoScalingConfigurationSummary = AutoScalingConfigurationSummary.AutoScalingConfigurationSummary;
const BackupNodeDetails = __importStar(require("./backup-node-details"));
exports.BackupNodeDetails = BackupNodeDetails.BackupNodeDetails;
const BdsApiKey = __importStar(require("./bds-api-key"));
exports.BdsApiKey = BdsApiKey.BdsApiKey;
const BdsApiKeySummary = __importStar(require("./bds-api-key-summary"));
exports.BdsApiKeySummary = BdsApiKeySummary.BdsApiKeySummary;
const BdsInstance = __importStar(require("./bds-instance"));
exports.BdsInstance = BdsInstance.BdsInstance;
const BdsInstanceSummary = __importStar(require("./bds-instance-summary"));
exports.BdsInstanceSummary = BdsInstanceSummary.BdsInstanceSummary;
const BdsMetastoreConfiguration = __importStar(require("./bds-metastore-configuration"));
exports.BdsMetastoreConfiguration = BdsMetastoreConfiguration.BdsMetastoreConfiguration;
const BdsMetastoreConfigurationSummary = __importStar(require("./bds-metastore-configuration-summary"));
exports.BdsMetastoreConfigurationSummary = BdsMetastoreConfigurationSummary.BdsMetastoreConfigurationSummary;
const CertificateServiceInfoDetails = __importStar(require("./certificate-service-info-details"));
exports.CertificateServiceInfoDetails = CertificateServiceInfoDetails.CertificateServiceInfoDetails;
const CertificateServiceInfoSummary = __importStar(require("./certificate-service-info-summary"));
exports.CertificateServiceInfoSummary = CertificateServiceInfoSummary.CertificateServiceInfoSummary;
const ChangeBdsInstanceCompartmentDetails = __importStar(require("./change-bds-instance-compartment-details"));
exports.ChangeBdsInstanceCompartmentDetails = ChangeBdsInstanceCompartmentDetails.ChangeBdsInstanceCompartmentDetails;
const ChangeShapeDetails = __importStar(require("./change-shape-details"));
exports.ChangeShapeDetails = ChangeShapeDetails.ChangeShapeDetails;
const ChangeShapeNodes = __importStar(require("./change-shape-nodes"));
exports.ChangeShapeNodes = ChangeShapeNodes.ChangeShapeNodes;
const CloudSqlDetails = __importStar(require("./cloud-sql-details"));
exports.CloudSqlDetails = CloudSqlDetails.CloudSqlDetails;
const ClusterDetails = __importStar(require("./cluster-details"));
exports.ClusterDetails = ClusterDetails.ClusterDetails;
const CreateBdsApiKeyDetails = __importStar(require("./create-bds-api-key-details"));
exports.CreateBdsApiKeyDetails = CreateBdsApiKeyDetails.CreateBdsApiKeyDetails;
const CreateBdsInstanceDetails = __importStar(require("./create-bds-instance-details"));
exports.CreateBdsInstanceDetails = CreateBdsInstanceDetails.CreateBdsInstanceDetails;
const CreateBdsMetastoreConfigurationDetails = __importStar(require("./create-bds-metastore-configuration-details"));
exports.CreateBdsMetastoreConfigurationDetails = CreateBdsMetastoreConfigurationDetails.CreateBdsMetastoreConfigurationDetails;
const CreateNodeBackupConfigurationDetails = __importStar(require("./create-node-backup-configuration-details"));
exports.CreateNodeBackupConfigurationDetails = CreateNodeBackupConfigurationDetails.CreateNodeBackupConfigurationDetails;
const CreateNodeDetails = __importStar(require("./create-node-details"));
exports.CreateNodeDetails = CreateNodeDetails.CreateNodeDetails;
const CreateNodeReplaceConfigurationDetails = __importStar(require("./create-node-replace-configuration-details"));
exports.CreateNodeReplaceConfigurationDetails = CreateNodeReplaceConfigurationDetails.CreateNodeReplaceConfigurationDetails;
const DefaultError = __importStar(require("./default-error"));
exports.DefaultError = DefaultError.DefaultError;
const DisableCertificateDetails = __importStar(require("./disable-certificate-details"));
exports.DisableCertificateDetails = DisableCertificateDetails.DisableCertificateDetails;
const EnableCertificateDetails = __importStar(require("./enable-certificate-details"));
exports.EnableCertificateDetails = EnableCertificateDetails.EnableCertificateDetails;
const ExecuteBootstrapScriptDetails = __importStar(require("./execute-bootstrap-script-details"));
exports.ExecuteBootstrapScriptDetails = ExecuteBootstrapScriptDetails.ExecuteBootstrapScriptDetails;
const HorizontalScalingScheduleDetails = __importStar(require("./horizontal-scaling-schedule-details"));
exports.HorizontalScalingScheduleDetails = HorizontalScalingScheduleDetails.HorizontalScalingScheduleDetails;
const HostCertDetails = __importStar(require("./host-cert-details"));
exports.HostCertDetails = HostCertDetails.HostCertDetails;
const HostSpecificCertificateDetails = __importStar(require("./host-specific-certificate-details"));
exports.HostSpecificCertificateDetails = HostSpecificCertificateDetails.HostSpecificCertificateDetails;
const InstallOsPatchDetails = __importStar(require("./install-os-patch-details"));
exports.InstallOsPatchDetails = InstallOsPatchDetails.InstallOsPatchDetails;
const InstallPatchDetails = __importStar(require("./install-patch-details"));
exports.InstallPatchDetails = InstallPatchDetails.InstallPatchDetails;
const KerberosDetails = __importStar(require("./kerberos-details"));
exports.KerberosDetails = KerberosDetails.KerberosDetails;
const LevelTypeDetails = __importStar(require("./level-type-details"));
exports.LevelTypeDetails = LevelTypeDetails.LevelTypeDetails;
const MetricBasedHorizontalScaleInConfig = __importStar(require("./metric-based-horizontal-scale-in-config"));
exports.MetricBasedHorizontalScaleInConfig = MetricBasedHorizontalScaleInConfig.MetricBasedHorizontalScaleInConfig;
const MetricBasedHorizontalScaleOutConfig = __importStar(require("./metric-based-horizontal-scale-out-config"));
exports.MetricBasedHorizontalScaleOutConfig = MetricBasedHorizontalScaleOutConfig.MetricBasedHorizontalScaleOutConfig;
const MetricBasedVerticalScaleDownConfig = __importStar(require("./metric-based-vertical-scale-down-config"));
exports.MetricBasedVerticalScaleDownConfig = MetricBasedVerticalScaleDownConfig.MetricBasedVerticalScaleDownConfig;
const MetricBasedVerticalScaleUpConfig = __importStar(require("./metric-based-vertical-scale-up-config"));
exports.MetricBasedVerticalScaleUpConfig = MetricBasedVerticalScaleUpConfig.MetricBasedVerticalScaleUpConfig;
const MetricThresholdRule = __importStar(require("./metric-threshold-rule"));
exports.MetricThresholdRule = MetricThresholdRule.MetricThresholdRule;
const NetworkConfig = __importStar(require("./network-config"));
exports.NetworkConfig = NetworkConfig.NetworkConfig;
const Node = __importStar(require("./node"));
exports.Node = Node.Node;
const NodeBackup = __importStar(require("./node-backup"));
exports.NodeBackup = NodeBackup.NodeBackup;
const NodeBackupConfiguration = __importStar(require("./node-backup-configuration"));
exports.NodeBackupConfiguration = NodeBackupConfiguration.NodeBackupConfiguration;
const NodeBackupConfigurationSummary = __importStar(require("./node-backup-configuration-summary"));
exports.NodeBackupConfigurationSummary = NodeBackupConfigurationSummary.NodeBackupConfigurationSummary;
const NodeBackupSummary = __importStar(require("./node-backup-summary"));
exports.NodeBackupSummary = NodeBackupSummary.NodeBackupSummary;
const NodeReplaceConfiguration = __importStar(require("./node-replace-configuration"));
exports.NodeReplaceConfiguration = NodeReplaceConfiguration.NodeReplaceConfiguration;
const NodeReplaceConfigurationSummary = __importStar(require("./node-replace-configuration-summary"));
exports.NodeReplaceConfigurationSummary = NodeReplaceConfigurationSummary.NodeReplaceConfigurationSummary;
const OperationStatus = __importStar(require("./operation-status"));
exports.OperationStatus = OperationStatus.OperationStatus;
const OperationTypes = __importStar(require("./operation-types"));
exports.OperationTypes = OperationTypes.OperationTypes;
const OsPatchDetails = __importStar(require("./os-patch-details"));
exports.OsPatchDetails = OsPatchDetails.OsPatchDetails;
const OsPatchPackageSummary = __importStar(require("./os-patch-package-summary"));
exports.OsPatchPackageSummary = OsPatchPackageSummary.OsPatchPackageSummary;
const OsPatchSummary = __importStar(require("./os-patch-summary"));
exports.OsPatchSummary = OsPatchSummary.OsPatchSummary;
const PatchHistorySummary = __importStar(require("./patch-history-summary"));
exports.PatchHistorySummary = PatchHistorySummary.PatchHistorySummary;
const PatchSummary = __importStar(require("./patch-summary"));
exports.PatchSummary = PatchSummary.PatchSummary;
const PatchingConfigs = __importStar(require("./patching-configs"));
exports.PatchingConfigs = PatchingConfigs.PatchingConfigs;
const RemoveAutoScalingConfigurationDetails = __importStar(require("./remove-auto-scaling-configuration-details"));
exports.RemoveAutoScalingConfigurationDetails = RemoveAutoScalingConfigurationDetails.RemoveAutoScalingConfigurationDetails;
const RemoveCloudSqlDetails = __importStar(require("./remove-cloud-sql-details"));
exports.RemoveCloudSqlDetails = RemoveCloudSqlDetails.RemoveCloudSqlDetails;
const RemoveKafkaDetails = __importStar(require("./remove-kafka-details"));
exports.RemoveKafkaDetails = RemoveKafkaDetails.RemoveKafkaDetails;
const RemoveNodeDetails = __importStar(require("./remove-node-details"));
exports.RemoveNodeDetails = RemoveNodeDetails.RemoveNodeDetails;
const RemoveNodeReplaceConfigurationDetails = __importStar(require("./remove-node-replace-configuration-details"));
exports.RemoveNodeReplaceConfigurationDetails = RemoveNodeReplaceConfigurationDetails.RemoveNodeReplaceConfigurationDetails;
const RenewCertificateDetails = __importStar(require("./renew-certificate-details"));
exports.RenewCertificateDetails = RenewCertificateDetails.RenewCertificateDetails;
const ReplaceNodeDetails = __importStar(require("./replace-node-details"));
exports.ReplaceNodeDetails = ReplaceNodeDetails.ReplaceNodeDetails;
const RestartNodeDetails = __importStar(require("./restart-node-details"));
exports.RestartNodeDetails = RestartNodeDetails.RestartNodeDetails;
const ScheduleType = __importStar(require("./schedule-type"));
exports.ScheduleType = ScheduleType.ScheduleType;
const Service = __importStar(require("./service"));
exports.Service = Service.Service;
const ShapeConfigDetails = __importStar(require("./shape-config-details"));
exports.ShapeConfigDetails = ShapeConfigDetails.ShapeConfigDetails;
const SortOrders = __importStar(require("./sort-orders"));
exports.SortOrders = SortOrders.SortOrders;
const StartBdsInstanceDetails = __importStar(require("./start-bds-instance-details"));
exports.StartBdsInstanceDetails = StartBdsInstanceDetails.StartBdsInstanceDetails;
const StopBdsInstanceDetails = __importStar(require("./stop-bds-instance-details"));
exports.StopBdsInstanceDetails = StopBdsInstanceDetails.StopBdsInstanceDetails;
const TestBdsMetastoreConfigurationDetails = __importStar(require("./test-bds-metastore-configuration-details"));
exports.TestBdsMetastoreConfigurationDetails = TestBdsMetastoreConfigurationDetails.TestBdsMetastoreConfigurationDetails;
const TestBdsObjectStorageConnectionDetails = __importStar(require("./test-bds-object-storage-connection-details"));
exports.TestBdsObjectStorageConnectionDetails = TestBdsObjectStorageConnectionDetails.TestBdsObjectStorageConnectionDetails;
const TimeAndHorizontalScalingConfig = __importStar(require("./time-and-horizontal-scaling-config"));
exports.TimeAndHorizontalScalingConfig = TimeAndHorizontalScalingConfig.TimeAndHorizontalScalingConfig;
const TimeAndVerticalScalingConfig = __importStar(require("./time-and-vertical-scaling-config"));
exports.TimeAndVerticalScalingConfig = TimeAndVerticalScalingConfig.TimeAndVerticalScalingConfig;
const UpdateAutoScalePolicyDetails = __importStar(require("./update-auto-scale-policy-details"));
exports.UpdateAutoScalePolicyDetails = UpdateAutoScalePolicyDetails.UpdateAutoScalePolicyDetails;
const UpdateAutoScalingConfigurationDetails = __importStar(require("./update-auto-scaling-configuration-details"));
exports.UpdateAutoScalingConfigurationDetails = UpdateAutoScalingConfigurationDetails.UpdateAutoScalingConfigurationDetails;
const UpdateBdsInstanceDetails = __importStar(require("./update-bds-instance-details"));
exports.UpdateBdsInstanceDetails = UpdateBdsInstanceDetails.UpdateBdsInstanceDetails;
const UpdateBdsMetastoreConfigurationDetails = __importStar(require("./update-bds-metastore-configuration-details"));
exports.UpdateBdsMetastoreConfigurationDetails = UpdateBdsMetastoreConfigurationDetails.UpdateBdsMetastoreConfigurationDetails;
const UpdateNodeBackupConfigurationDetails = __importStar(require("./update-node-backup-configuration-details"));
exports.UpdateNodeBackupConfigurationDetails = UpdateNodeBackupConfigurationDetails.UpdateNodeBackupConfigurationDetails;
const UpdateNodeReplaceConfigurationDetails = __importStar(require("./update-node-replace-configuration-details"));
exports.UpdateNodeReplaceConfigurationDetails = UpdateNodeReplaceConfigurationDetails.UpdateNodeReplaceConfigurationDetails;
const VerticalScalingScheduleDetails = __importStar(require("./vertical-scaling-schedule-details"));
exports.VerticalScalingScheduleDetails = VerticalScalingScheduleDetails.VerticalScalingScheduleDetails;
const VolumeAttachmentDetail = __importStar(require("./volume-attachment-detail"));
exports.VolumeAttachmentDetail = VolumeAttachmentDetail.VolumeAttachmentDetail;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const AddMetricBasedHorizontalScalingPolicyDetails = __importStar(require("./add-metric-based-horizontal-scaling-policy-details"));
exports.AddMetricBasedHorizontalScalingPolicyDetails = AddMetricBasedHorizontalScalingPolicyDetails.AddMetricBasedHorizontalScalingPolicyDetails;
const AddMetricBasedVerticalScalingPolicyDetails = __importStar(require("./add-metric-based-vertical-scaling-policy-details"));
exports.AddMetricBasedVerticalScalingPolicyDetails = AddMetricBasedVerticalScalingPolicyDetails.AddMetricBasedVerticalScalingPolicyDetails;
const AddScheduleBasedHorizontalScalingPolicyDetails = __importStar(require("./add-schedule-based-horizontal-scaling-policy-details"));
exports.AddScheduleBasedHorizontalScalingPolicyDetails = AddScheduleBasedHorizontalScalingPolicyDetails.AddScheduleBasedHorizontalScalingPolicyDetails;
const AddScheduleBasedVerticalScalingPolicyDetails = __importStar(require("./add-schedule-based-vertical-scaling-policy-details"));
exports.AddScheduleBasedVerticalScalingPolicyDetails = AddScheduleBasedVerticalScalingPolicyDetails.AddScheduleBasedVerticalScalingPolicyDetails;
const BatchingBasedPatchingConfigs = __importStar(require("./batching-based-patching-configs"));
exports.BatchingBasedPatchingConfigs = BatchingBasedPatchingConfigs.BatchingBasedPatchingConfigs;
const DayBasedHorizontalScalingScheduleDetails = __importStar(require("./day-based-horizontal-scaling-schedule-details"));
exports.DayBasedHorizontalScalingScheduleDetails = DayBasedHorizontalScalingScheduleDetails.DayBasedHorizontalScalingScheduleDetails;
const DayBasedVerticalScalingScheduleDetails = __importStar(require("./day-based-vertical-scaling-schedule-details"));
exports.DayBasedVerticalScalingScheduleDetails = DayBasedVerticalScalingScheduleDetails.DayBasedVerticalScalingScheduleDetails;
const DowntimeBasedPatchingConfigs = __importStar(require("./downtime-based-patching-configs"));
exports.DowntimeBasedPatchingConfigs = DowntimeBasedPatchingConfigs.DowntimeBasedPatchingConfigs;
const MetricBasedHorizontalScalingPolicyDetails = __importStar(require("./metric-based-horizontal-scaling-policy-details"));
exports.MetricBasedHorizontalScalingPolicyDetails = MetricBasedHorizontalScalingPolicyDetails.MetricBasedHorizontalScalingPolicyDetails;
const MetricBasedVerticalScalingPolicyDetails = __importStar(require("./metric-based-vertical-scaling-policy-details"));
exports.MetricBasedVerticalScalingPolicyDetails = MetricBasedVerticalScalingPolicyDetails.MetricBasedVerticalScalingPolicyDetails;
const NodeLevelDetails = __importStar(require("./node-level-details"));
exports.NodeLevelDetails = NodeLevelDetails.NodeLevelDetails;
const NodeTypeLevelDetails = __importStar(require("./node-type-level-details"));
exports.NodeTypeLevelDetails = NodeTypeLevelDetails.NodeTypeLevelDetails;
const ScheduleBasedHorizontalScalingPolicyDetails = __importStar(require("./schedule-based-horizontal-scaling-policy-details"));
exports.ScheduleBasedHorizontalScalingPolicyDetails = ScheduleBasedHorizontalScalingPolicyDetails.ScheduleBasedHorizontalScalingPolicyDetails;
const ScheduleBasedVerticalScalingPolicyDetails = __importStar(require("./schedule-based-vertical-scaling-policy-details"));
exports.ScheduleBasedVerticalScalingPolicyDetails = ScheduleBasedVerticalScalingPolicyDetails.ScheduleBasedVerticalScalingPolicyDetails;
const UpdateMetricBasedHorizontalScalingPolicyDetails = __importStar(require("./update-metric-based-horizontal-scaling-policy-details"));
exports.UpdateMetricBasedHorizontalScalingPolicyDetails = UpdateMetricBasedHorizontalScalingPolicyDetails.UpdateMetricBasedHorizontalScalingPolicyDetails;
const UpdateMetricBasedVerticalScalingPolicyDetails = __importStar(require("./update-metric-based-vertical-scaling-policy-details"));
exports.UpdateMetricBasedVerticalScalingPolicyDetails = UpdateMetricBasedVerticalScalingPolicyDetails.UpdateMetricBasedVerticalScalingPolicyDetails;
const UpdateScheduleBasedHorizontalScalingPolicyDetails = __importStar(require("./update-schedule-based-horizontal-scaling-policy-details"));
exports.UpdateScheduleBasedHorizontalScalingPolicyDetails = UpdateScheduleBasedHorizontalScalingPolicyDetails.UpdateScheduleBasedHorizontalScalingPolicyDetails;
const UpdateScheduleBasedVerticalScalingPolicyDetails = __importStar(require("./update-schedule-based-vertical-scaling-policy-details"));
exports.UpdateScheduleBasedVerticalScalingPolicyDetails = UpdateScheduleBasedVerticalScalingPolicyDetails.UpdateScheduleBasedVerticalScalingPolicyDetails;
//# sourceMappingURL=index.js.map