/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An autoscale action is triggered when a performance metric exceeds a threshold.
 */
export interface MetricThresholdRule {
    /**
     * This value is the minimum period of time the metric value exceeds the threshold value before the action is triggered. The value is in minutes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "durationInMinutes": number;
    /**
     * The comparison operator to use. Options are greater than (GT) or less than (LT).
     */
    "operator": MetricThresholdRule.Operator;
    /**
     * Integer non-negative value. 0 < value < 100 Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "value": number;
}
export declare namespace MetricThresholdRule {
    enum Operator {
        Gt = "GT",
        Lt = "LT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MetricThresholdRule): object;
    function getDeserializedJsonObj(obj: MetricThresholdRule): object;
}
