/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the NodeBackupConfiguration.
 */
export interface NodeBackupConfigurationSummary {
    /**
     * The id of the NodeBackupConfiguration.
     */
    "id": string;
    /**
     * The OCID of the bdsInstance which is the parent resource id.
     */
    "bdsInstanceId": string;
    /**
     * A user-friendly name. Only ASCII alphanumeric characters with no spaces allowed. The name does not have to be unique, and it may be changed. Avoid entering confidential information.
     */
    "displayName": string;
    "levelTypeDetails": model.NodeTypeLevelDetails | model.NodeLevelDetails;
    /**
     * The state of the NodeBackupConfiguration.
     */
    "lifecycleState": string;
    /**
     * The time the NodeBackupConfiguration was created, shown as an RFC 3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time the NodeBackupConfiguration was updated, shown as an RFC 3339 formatted datetime string.
     *
     */
    "timeUpdated": Date;
}
export declare namespace NodeBackupConfigurationSummary {
    function getJsonObj(obj: NodeBackupConfigurationSummary): object;
    function getDeserializedJsonObj(obj: NodeBackupConfigurationSummary): object;
}
