"use strict";
/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeBackup = void 0;
var NodeBackup;
(function (NodeBackup) {
    let BackupTriggerType;
    (function (BackupTriggerType) {
        BackupTriggerType["Manual"] = "MANUAL";
        BackupTriggerType["Scheduled"] = "SCHEDULED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        BackupTriggerType["UnknownValue"] = "UNKNOWN_VALUE";
    })(BackupTriggerType = NodeBackup.BackupTriggerType || (NodeBackup.BackupTriggerType = {}));
    let BackupType;
    (function (BackupType) {
        BackupType["Full"] = "FULL";
        BackupType["Incremental"] = "INCREMENTAL";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        BackupType["UnknownValue"] = "UNKNOWN_VALUE";
    })(BackupType = NodeBackup.BackupType || (NodeBackup.BackupType = {}));
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["Creating"] = "CREATING";
        LifecycleState["Active"] = "ACTIVE";
        LifecycleState["Updating"] = "UPDATING";
        LifecycleState["Deleting"] = "DELETING";
        LifecycleState["Deleted"] = "DELETED";
        LifecycleState["Failed"] = "FAILED";
        LifecycleState["Partial"] = "PARTIAL";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleState = NodeBackup.LifecycleState || (NodeBackup.LifecycleState = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        return jsonObj;
    }
    NodeBackup.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        return jsonObj;
    }
    NodeBackup.getDeserializedJsonObj = getDeserializedJsonObj;
})(NodeBackup = exports.NodeBackup || (exports.NodeBackup = {}));
//# sourceMappingURL=node-backup.js.map