"use strict";
/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperationTypes = void 0;
/**
 * Possible operation types.
 **/
var OperationTypes;
(function (OperationTypes) {
    OperationTypes["CreateBds"] = "CREATE_BDS";
    OperationTypes["UpdateBds"] = "UPDATE_BDS";
    OperationTypes["DeleteBds"] = "DELETE_BDS";
    OperationTypes["AddBlockStorage"] = "ADD_BLOCK_STORAGE";
    OperationTypes["AddMasterNodes"] = "ADD_MASTER_NODES";
    OperationTypes["AddUtilityNodes"] = "ADD_UTILITY_NODES";
    OperationTypes["AddWorkerNodes"] = "ADD_WORKER_NODES";
    OperationTypes["AddCloudSql"] = "ADD_CLOUD_SQL";
    OperationTypes["RemoveCloudSql"] = "REMOVE_CLOUD_SQL";
    OperationTypes["ChangeCompartmentForBds"] = "CHANGE_COMPARTMENT_FOR_BDS";
    OperationTypes["ChangeShape"] = "CHANGE_SHAPE";
    OperationTypes["UpdateInfra"] = "UPDATE_INFRA";
    OperationTypes["RestartNode"] = "RESTART_NODE";
    OperationTypes["RemoveNode"] = "REMOVE_NODE";
    OperationTypes["CreateAutoscaleConfig"] = "CREATE_AUTOSCALE_CONFIG";
    OperationTypes["UpdateAutoscaleConfig"] = "UPDATE_AUTOSCALE_CONFIG";
    OperationTypes["DeleteAutoscaleConfig"] = "DELETE_AUTOSCALE_CONFIG";
    OperationTypes["AutoscaleConfig"] = "AUTOSCALE_CONFIG";
    OperationTypes["AutoscaleRun"] = "AUTOSCALE_RUN";
    OperationTypes["CreateApiKey"] = "CREATE_API_KEY";
    OperationTypes["DeleteApiKey"] = "DELETE_API_KEY";
    OperationTypes["TestObjectStoreConnection"] = "TEST_OBJECT_STORE_CONNECTION";
    OperationTypes["CreateMetastoreConfig"] = "CREATE_METASTORE_CONFIG";
    OperationTypes["DeleteMetastoreConfig"] = "DELETE_METASTORE_CONFIG";
    OperationTypes["UpdateMetastoreConfig"] = "UPDATE_METASTORE_CONFIG";
    OperationTypes["ActivateMetastoreConfig"] = "ACTIVATE_METASTORE_CONFIG";
    OperationTypes["TestMetastoreConfig"] = "TEST_METASTORE_CONFIG";
    OperationTypes["PatchBds"] = "PATCH_BDS";
    OperationTypes["PatchOdh"] = "PATCH_ODH";
    OperationTypes["PatchOs"] = "PATCH_OS";
    OperationTypes["StopBds"] = "STOP_BDS";
    OperationTypes["StartBds"] = "START_BDS";
    OperationTypes["AddKafka"] = "ADD_KAFKA";
    OperationTypes["RemoveKafka"] = "REMOVE_KAFKA";
    OperationTypes["ExecuteBootstrapScript"] = "EXECUTE_BOOTSTRAP_SCRIPT";
    OperationTypes["OdhServiceCertificateUpdate"] = "ODH_SERVICE_CERTIFICATE_UPDATE";
    OperationTypes["CreateBackupConfig"] = "CREATE_BACKUP_CONFIG";
    OperationTypes["UpdateBackupConfig"] = "UPDATE_BACKUP_CONFIG";
    OperationTypes["DeleteBackupConfig"] = "DELETE_BACKUP_CONFIG";
    OperationTypes["CreateNodeReplaceConfig"] = "CREATE_NODE_REPLACE_CONFIG";
    OperationTypes["UpdateNodeReplaceConfig"] = "UPDATE_NODE_REPLACE_CONFIG";
    OperationTypes["DeleteNodeReplaceConfig"] = "DELETE_NODE_REPLACE_CONFIG";
    OperationTypes["BackupNodes"] = "BACKUP_NODES";
    OperationTypes["DeleteNodeBackup"] = "DELETE_NODE_BACKUP";
    OperationTypes["ReplaceNode"] = "REPLACE_NODE";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    OperationTypes["UnknownValue"] = "UNKNOWN_VALUE";
})(OperationTypes = exports.OperationTypes || (exports.OperationTypes = {}));
(function (OperationTypes) {
    function getJsonObj(obj) {
        return obj;
    }
    OperationTypes.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    OperationTypes.getDeserializedJsonObj = getDeserializedJsonObj;
})(OperationTypes = exports.OperationTypes || (exports.OperationTypes = {}));
//# sourceMappingURL=operation-types.js.map