/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of an os patch.
 */
export interface OsPatchDetails {
    /**
     * Version of the os patch.
     */
    "osPatchVersion": string;
    /**
     * Minimum BDS version required to install current OS patch.
     */
    "minBdsVersion": string;
    /**
     * Map of major ODH version to minimum ODH version required to install current OS patch. e.g. {ODH0.9: 0.9.1}
     *
     */
    "minCompatibleOdhVersionMap": {
        [key: string]: string;
    };
    /**
     * List of summaries of individual target packages.
     */
    "targetPackages": Array<model.OsPatchPackageSummary>;
    /**
     * Released date of the OS patch.
     */
    "releaseDate": Date;
    /**
     * Type of a specific os patch.
     * REGULAR means standard released os patches.
     * CUSTOM means os patches with some customizations.
     * EMERGENT means os patches with some emergency fixes that should be prioritized.
     *
     */
    "patchType": OsPatchDetails.PatchType;
}
export declare namespace OsPatchDetails {
    enum PatchType {
        Regular = "REGULAR",
        Custom = "CUSTOM",
        Emergent = "EMERGENT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: OsPatchDetails): object;
    function getDeserializedJsonObj(obj: OsPatchDetails): object;
}
