/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of a package contained in a os patch.
 */
export interface OsPatchPackageSummary {
    /**
     * The package's name.
     */
    "packageName": string;
    /**
     * The target version of the package.
     */
    "targetVersion"?: string;
    /**
     * The action that current package will be executed on the cluster.
     */
    "updateType": OsPatchPackageSummary.UpdateType;
    /**
     * Related CVEs of the package update.
     */
    "relatedCVEs": Array<string>;
}
export declare namespace OsPatchPackageSummary {
    enum UpdateType {
        Install = "INSTALL",
        Remove = "REMOVE",
        Update = "UPDATE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: OsPatchPackageSummary): object;
    function getDeserializedJsonObj(obj: OsPatchPackageSummary): object;
}
