/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information about the node to be replaced.
 */
export interface ReplaceNodeDetails {
    /**
     * Host name of the node to replace. MASTER, UTILITY and EDGE node are only supported types
     */
    "nodeHostName": string;
    /**
     * The id of the nodeBackup to use for replacing the node.
     */
    "nodeBackupId": string;
    /**
     * Base-64 encoded password for the cluster admin user.
     */
    "clusterAdminPassword": string;
    /**
     * Shape of the new vm when replacing the node. If not provided, BDS will attempt to replace the node with the shape of current node.
     */
    "shape"?: string;
}
export declare namespace ReplaceNodeDetails {
    function getJsonObj(obj: ReplaceNodeDetails): object;
    function getDeserializedJsonObj(obj: ReplaceNodeDetails): object;
}
