/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Test access to specified Object Storage bucket using the API key.
 */
export interface TestBdsObjectStorageConnectionDetails {
    /**
     * An Oracle Cloud Infrastructure URI to which this connection must be attempted. See https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/hdfsconnector.htm#uriformat.
     */
    "objectStorageUri": string;
    /**
     * Base64 passphrase used to secure the private key which will be created on user behalf.
     */
    "passphrase": string;
    /**
     * The name of the region to establish the Object Storage endpoint. Example us-phoenix-1 .
     */
    "objectStorageRegion"?: string;
}
export declare namespace TestBdsObjectStorageConnectionDetails {
    function getJsonObj(obj: TestBdsObjectStorageConnectionDetails): object;
    function getDeserializedJsonObj(obj: TestBdsObjectStorageConnectionDetails): object;
}
