/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The request body when updating BDS metastore configuration.
 */
export interface UpdateBdsMetastoreConfigurationDetails {
    /**
     * The display name of the metastore configuration.
     */
    "displayName"?: string;
    /**
     * The ID of BDS Api Key used for Data Catalog metastore integration. Set only if metastore's type is EXTERNAL.
     */
    "bdsApiKeyId"?: string;
    /**
     * Base-64 encoded passphrase of the BDS Api Key.
     */
    "bdsApiKeyPassphrase"?: string;
    /**
     * Base-64 encoded password for the cluster admin user.
     */
    "clusterAdminPassword"?: string;
}
export declare namespace UpdateBdsMetastoreConfigurationDetails {
    function getJsonObj(obj: UpdateBdsMetastoreConfigurationDetails): object;
    function getDeserializedJsonObj(obj: UpdateBdsMetastoreConfigurationDetails): object;
}
