/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An error encountered while executing a work request.
 */
export interface WorkRequestError {
    /**
     * A machine-usable code for the error that occurred. Error codes are listed on (https://docs.oracle.com/en-us/iaas/Content/API/References/apierrors.htm).
     *
     */
    "code": string;
    /**
     * A human readable description of the issue encountered.
     */
    "message": string;
    /**
     * The time the error occurred, shown as an RFC 3339 formatted datetime string.
     */
    "timestamp": Date;
}
export declare namespace WorkRequestError {
    function getJsonObj(obj: WorkRequestError): object;
    function getDeserializedJsonObj(obj: WorkRequestError): object;
}
