/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActivateBdsMetastoreConfigurationResponse from "./activate-bds-metastore-configuration-response";
export import ActivateBdsMetastoreConfigurationResponse = ActivateBdsMetastoreConfigurationResponse.ActivateBdsMetastoreConfigurationResponse;
import * as AddAutoScalingConfigurationResponse from "./add-auto-scaling-configuration-response";
export import AddAutoScalingConfigurationResponse = AddAutoScalingConfigurationResponse.AddAutoScalingConfigurationResponse;
import * as AddBlockStorageResponse from "./add-block-storage-response";
export import AddBlockStorageResponse = AddBlockStorageResponse.AddBlockStorageResponse;
import * as AddCloudSqlResponse from "./add-cloud-sql-response";
export import AddCloudSqlResponse = AddCloudSqlResponse.AddCloudSqlResponse;
import * as AddKafkaResponse from "./add-kafka-response";
export import AddKafkaResponse = AddKafkaResponse.AddKafkaResponse;
import * as AddMasterNodesResponse from "./add-master-nodes-response";
export import AddMasterNodesResponse = AddMasterNodesResponse.AddMasterNodesResponse;
import * as AddUtilityNodesResponse from "./add-utility-nodes-response";
export import AddUtilityNodesResponse = AddUtilityNodesResponse.AddUtilityNodesResponse;
import * as AddWorkerNodesResponse from "./add-worker-nodes-response";
export import AddWorkerNodesResponse = AddWorkerNodesResponse.AddWorkerNodesResponse;
import * as BackupNodeResponse from "./backup-node-response";
export import BackupNodeResponse = BackupNodeResponse.BackupNodeResponse;
import * as CertificateServiceInfoResponse from "./certificate-service-info-response";
export import CertificateServiceInfoResponse = CertificateServiceInfoResponse.CertificateServiceInfoResponse;
import * as ChangeBdsInstanceCompartmentResponse from "./change-bds-instance-compartment-response";
export import ChangeBdsInstanceCompartmentResponse = ChangeBdsInstanceCompartmentResponse.ChangeBdsInstanceCompartmentResponse;
import * as ChangeShapeResponse from "./change-shape-response";
export import ChangeShapeResponse = ChangeShapeResponse.ChangeShapeResponse;
import * as CreateBdsApiKeyResponse from "./create-bds-api-key-response";
export import CreateBdsApiKeyResponse = CreateBdsApiKeyResponse.CreateBdsApiKeyResponse;
import * as CreateBdsInstanceResponse from "./create-bds-instance-response";
export import CreateBdsInstanceResponse = CreateBdsInstanceResponse.CreateBdsInstanceResponse;
import * as CreateBdsMetastoreConfigurationResponse from "./create-bds-metastore-configuration-response";
export import CreateBdsMetastoreConfigurationResponse = CreateBdsMetastoreConfigurationResponse.CreateBdsMetastoreConfigurationResponse;
import * as CreateNodeBackupConfigurationResponse from "./create-node-backup-configuration-response";
export import CreateNodeBackupConfigurationResponse = CreateNodeBackupConfigurationResponse.CreateNodeBackupConfigurationResponse;
import * as CreateNodeReplaceConfigurationResponse from "./create-node-replace-configuration-response";
export import CreateNodeReplaceConfigurationResponse = CreateNodeReplaceConfigurationResponse.CreateNodeReplaceConfigurationResponse;
import * as DeleteBdsApiKeyResponse from "./delete-bds-api-key-response";
export import DeleteBdsApiKeyResponse = DeleteBdsApiKeyResponse.DeleteBdsApiKeyResponse;
import * as DeleteBdsInstanceResponse from "./delete-bds-instance-response";
export import DeleteBdsInstanceResponse = DeleteBdsInstanceResponse.DeleteBdsInstanceResponse;
import * as DeleteBdsMetastoreConfigurationResponse from "./delete-bds-metastore-configuration-response";
export import DeleteBdsMetastoreConfigurationResponse = DeleteBdsMetastoreConfigurationResponse.DeleteBdsMetastoreConfigurationResponse;
import * as DeleteNodeBackupResponse from "./delete-node-backup-response";
export import DeleteNodeBackupResponse = DeleteNodeBackupResponse.DeleteNodeBackupResponse;
import * as DeleteNodeBackupConfigurationResponse from "./delete-node-backup-configuration-response";
export import DeleteNodeBackupConfigurationResponse = DeleteNodeBackupConfigurationResponse.DeleteNodeBackupConfigurationResponse;
import * as DisableCertificateResponse from "./disable-certificate-response";
export import DisableCertificateResponse = DisableCertificateResponse.DisableCertificateResponse;
import * as EnableCertificateResponse from "./enable-certificate-response";
export import EnableCertificateResponse = EnableCertificateResponse.EnableCertificateResponse;
import * as ExecuteBootstrapScriptResponse from "./execute-bootstrap-script-response";
export import ExecuteBootstrapScriptResponse = ExecuteBootstrapScriptResponse.ExecuteBootstrapScriptResponse;
import * as GetAutoScalingConfigurationResponse from "./get-auto-scaling-configuration-response";
export import GetAutoScalingConfigurationResponse = GetAutoScalingConfigurationResponse.GetAutoScalingConfigurationResponse;
import * as GetBdsApiKeyResponse from "./get-bds-api-key-response";
export import GetBdsApiKeyResponse = GetBdsApiKeyResponse.GetBdsApiKeyResponse;
import * as GetBdsInstanceResponse from "./get-bds-instance-response";
export import GetBdsInstanceResponse = GetBdsInstanceResponse.GetBdsInstanceResponse;
import * as GetBdsMetastoreConfigurationResponse from "./get-bds-metastore-configuration-response";
export import GetBdsMetastoreConfigurationResponse = GetBdsMetastoreConfigurationResponse.GetBdsMetastoreConfigurationResponse;
import * as GetNodeBackupResponse from "./get-node-backup-response";
export import GetNodeBackupResponse = GetNodeBackupResponse.GetNodeBackupResponse;
import * as GetNodeBackupConfigurationResponse from "./get-node-backup-configuration-response";
export import GetNodeBackupConfigurationResponse = GetNodeBackupConfigurationResponse.GetNodeBackupConfigurationResponse;
import * as GetNodeReplaceConfigurationResponse from "./get-node-replace-configuration-response";
export import GetNodeReplaceConfigurationResponse = GetNodeReplaceConfigurationResponse.GetNodeReplaceConfigurationResponse;
import * as GetOsPatchDetailsResponse from "./get-os-patch-details-response";
export import GetOsPatchDetailsResponse = GetOsPatchDetailsResponse.GetOsPatchDetailsResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as InstallOsPatchResponse from "./install-os-patch-response";
export import InstallOsPatchResponse = InstallOsPatchResponse.InstallOsPatchResponse;
import * as InstallPatchResponse from "./install-patch-response";
export import InstallPatchResponse = InstallPatchResponse.InstallPatchResponse;
import * as ListAutoScalingConfigurationsResponse from "./list-auto-scaling-configurations-response";
export import ListAutoScalingConfigurationsResponse = ListAutoScalingConfigurationsResponse.ListAutoScalingConfigurationsResponse;
import * as ListBdsApiKeysResponse from "./list-bds-api-keys-response";
export import ListBdsApiKeysResponse = ListBdsApiKeysResponse.ListBdsApiKeysResponse;
import * as ListBdsInstancesResponse from "./list-bds-instances-response";
export import ListBdsInstancesResponse = ListBdsInstancesResponse.ListBdsInstancesResponse;
import * as ListBdsMetastoreConfigurationsResponse from "./list-bds-metastore-configurations-response";
export import ListBdsMetastoreConfigurationsResponse = ListBdsMetastoreConfigurationsResponse.ListBdsMetastoreConfigurationsResponse;
import * as ListNodeBackupConfigurationsResponse from "./list-node-backup-configurations-response";
export import ListNodeBackupConfigurationsResponse = ListNodeBackupConfigurationsResponse.ListNodeBackupConfigurationsResponse;
import * as ListNodeBackupsResponse from "./list-node-backups-response";
export import ListNodeBackupsResponse = ListNodeBackupsResponse.ListNodeBackupsResponse;
import * as ListNodeReplaceConfigurationsResponse from "./list-node-replace-configurations-response";
export import ListNodeReplaceConfigurationsResponse = ListNodeReplaceConfigurationsResponse.ListNodeReplaceConfigurationsResponse;
import * as ListOsPatchesResponse from "./list-os-patches-response";
export import ListOsPatchesResponse = ListOsPatchesResponse.ListOsPatchesResponse;
import * as ListPatchHistoriesResponse from "./list-patch-histories-response";
export import ListPatchHistoriesResponse = ListPatchHistoriesResponse.ListPatchHistoriesResponse;
import * as ListPatchesResponse from "./list-patches-response";
export import ListPatchesResponse = ListPatchesResponse.ListPatchesResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as RemoveAutoScalingConfigurationResponse from "./remove-auto-scaling-configuration-response";
export import RemoveAutoScalingConfigurationResponse = RemoveAutoScalingConfigurationResponse.RemoveAutoScalingConfigurationResponse;
import * as RemoveCloudSqlResponse from "./remove-cloud-sql-response";
export import RemoveCloudSqlResponse = RemoveCloudSqlResponse.RemoveCloudSqlResponse;
import * as RemoveKafkaResponse from "./remove-kafka-response";
export import RemoveKafkaResponse = RemoveKafkaResponse.RemoveKafkaResponse;
import * as RemoveNodeResponse from "./remove-node-response";
export import RemoveNodeResponse = RemoveNodeResponse.RemoveNodeResponse;
import * as RemoveNodeReplaceConfigurationResponse from "./remove-node-replace-configuration-response";
export import RemoveNodeReplaceConfigurationResponse = RemoveNodeReplaceConfigurationResponse.RemoveNodeReplaceConfigurationResponse;
import * as RenewCertificateResponse from "./renew-certificate-response";
export import RenewCertificateResponse = RenewCertificateResponse.RenewCertificateResponse;
import * as ReplaceNodeResponse from "./replace-node-response";
export import ReplaceNodeResponse = ReplaceNodeResponse.ReplaceNodeResponse;
import * as RestartNodeResponse from "./restart-node-response";
export import RestartNodeResponse = RestartNodeResponse.RestartNodeResponse;
import * as StartBdsInstanceResponse from "./start-bds-instance-response";
export import StartBdsInstanceResponse = StartBdsInstanceResponse.StartBdsInstanceResponse;
import * as StopBdsInstanceResponse from "./stop-bds-instance-response";
export import StopBdsInstanceResponse = StopBdsInstanceResponse.StopBdsInstanceResponse;
import * as TestBdsMetastoreConfigurationResponse from "./test-bds-metastore-configuration-response";
export import TestBdsMetastoreConfigurationResponse = TestBdsMetastoreConfigurationResponse.TestBdsMetastoreConfigurationResponse;
import * as TestBdsObjectStorageConnectionResponse from "./test-bds-object-storage-connection-response";
export import TestBdsObjectStorageConnectionResponse = TestBdsObjectStorageConnectionResponse.TestBdsObjectStorageConnectionResponse;
import * as UpdateAutoScalingConfigurationResponse from "./update-auto-scaling-configuration-response";
export import UpdateAutoScalingConfigurationResponse = UpdateAutoScalingConfigurationResponse.UpdateAutoScalingConfigurationResponse;
import * as UpdateBdsInstanceResponse from "./update-bds-instance-response";
export import UpdateBdsInstanceResponse = UpdateBdsInstanceResponse.UpdateBdsInstanceResponse;
import * as UpdateBdsMetastoreConfigurationResponse from "./update-bds-metastore-configuration-response";
export import UpdateBdsMetastoreConfigurationResponse = UpdateBdsMetastoreConfigurationResponse.UpdateBdsMetastoreConfigurationResponse;
import * as UpdateNodeBackupConfigurationResponse from "./update-node-backup-configuration-response";
export import UpdateNodeBackupConfigurationResponse = UpdateNodeBackupConfigurationResponse.UpdateNodeBackupConfigurationResponse;
import * as UpdateNodeReplaceConfigurationResponse from "./update-node-replace-configuration-response";
export import UpdateNodeReplaceConfigurationResponse = UpdateNodeReplaceConfigurationResponse.UpdateNodeReplaceConfigurationResponse;
