/**
 * OCI Control Center Capacity Management API
 * OCI Control Center (OCC) Capacity Management enables you to manage capacity requests in realms where OCI Control Center Capacity Management is available. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A customer group is a resource that represents the portion of the capacity reserved for a customer
 * or a group of customers to facilitate their capacity bookings.
 *
 */
export interface OccCustomerGroupSummary {
    /**
     * The OCID of the customer group.
     */
    "id": string;
    /**
     * The OCID of the tenancy containing the customer group.
     */
    "compartmentId": string;
    /**
     * The display name of the customer group.
     */
    "displayName": string;
    /**
     * The description about the customer group.
     */
    "description"?: string;
    /**
     * The time when the customer group was created.
     */
    "timeCreated"?: Date;
    /**
     * The time when the customer group was last updated.
     */
    "timeUpdated"?: Date;
    /**
     * The status (enabled/disabled) of the customer group.
     */
    "status": string;
    /**
     * The current lifecycle state of the customer group.
     */
    "lifecycleState": string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in a Failed State.
     */
    "lifecycleDetails"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace OccCustomerGroupSummary {
    function getJsonObj(obj: OccCustomerGroupSummary): object;
    function getDeserializedJsonObj(obj: OccCustomerGroupSummary): object;
}
