/**
 * OCI Control Center Capacity Management API
 * OCI Control Center (OCC) Capacity Management enables you to manage capacity requests in realms where OCI Control Center Capacity Management is available. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A single instruction to be included as part of Patch request content.
 */
export interface PatchInstruction {
    /**
     * The set of values to which the operation applies as a [JMESPath expression](https://jmespath.org/specification.html) for evaluation against the context resource.
     * An operation fails if the selection yields an exception, except as otherwise specified.
     * Note that comparisons involving non-primitive values (objects or arrays) are not supported and will always evaluate to false.
     *
     */
    "selection": string;
    "operation": string;
}
export declare namespace PatchInstruction {
    function getJsonObj(obj: PatchInstruction): object;
    function getDeserializedJsonObj(obj: PatchInstruction): object;
}
