"use strict";
/**
 * OCI Control Center Capacity Management API
 * OCI Control Center (OCC) Capacity Management enables you to manage capacity requests in realms where OCI Control Center Capacity Management is available. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PatchInstruction = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var PatchInstruction;
(function (PatchInstruction) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "operation" in obj && obj.operation) {
            switch (obj.operation) {
                case "MOVE":
                    return model.PatchMoveInstruction.getJsonObj(jsonObj, true);
                case "REMOVE":
                    return model.PatchRemoveInstruction.getJsonObj(jsonObj, true);
                case "REPLACE":
                    return model.PatchReplaceInstruction.getJsonObj(jsonObj, true);
                case "INSERT_MULTIPLE":
                    return model.PatchInsertMultipleInstruction.getJsonObj(jsonObj, true);
                case "INSERT":
                    return model.PatchInsertInstruction.getJsonObj(jsonObj, true);
                case "REQUIRE":
                    return model.PatchRequireInstruction.getJsonObj(jsonObj, true);
                case "MERGE":
                    return model.PatchMergeInstruction.getJsonObj(jsonObj, true);
                case "PROHIBIT":
                    return model.PatchProhibitInstruction.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.operation}`);
            }
        }
        return jsonObj;
    }
    PatchInstruction.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "operation" in obj && obj.operation) {
            switch (obj.operation) {
                case "MOVE":
                    return model.PatchMoveInstruction.getDeserializedJsonObj(jsonObj, true);
                case "REMOVE":
                    return model.PatchRemoveInstruction.getDeserializedJsonObj(jsonObj, true);
                case "REPLACE":
                    return model.PatchReplaceInstruction.getDeserializedJsonObj(jsonObj, true);
                case "INSERT_MULTIPLE":
                    return model.PatchInsertMultipleInstruction.getDeserializedJsonObj(jsonObj, true);
                case "INSERT":
                    return model.PatchInsertInstruction.getDeserializedJsonObj(jsonObj, true);
                case "REQUIRE":
                    return model.PatchRequireInstruction.getDeserializedJsonObj(jsonObj, true);
                case "MERGE":
                    return model.PatchMergeInstruction.getDeserializedJsonObj(jsonObj, true);
                case "PROHIBIT":
                    return model.PatchProhibitInstruction.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.operation}`);
            }
        }
        return jsonObj;
    }
    PatchInstruction.getDeserializedJsonObj = getDeserializedJsonObj;
})(PatchInstruction = exports.PatchInstruction || (exports.PatchInstruction = {}));
//# sourceMappingURL=patch-instruction.js.map