/**
 * OCI Control Center Capacity Management API
 * OCI Control Center (OCC) Capacity Management enables you to manage capacity requests in realms where OCI Control Center Capacity Management is available. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details required for making an update call for capacity requests.
 */
export interface UpdateOccCapacityRequestDetails {
    /**
     * The display name of the capacity request.
     */
    "displayName"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * The subset of request states available for updating the capacity request.
     */
    "requestState"?: UpdateOccCapacityRequestDetails.RequestState;
}
export declare namespace UpdateOccCapacityRequestDetails {
    enum RequestState {
        Submitted = "SUBMITTED",
        Cancelled = "CANCELLED"
    }
    function getJsonObj(obj: UpdateOccCapacityRequestDetails): object;
    function getDeserializedJsonObj(obj: UpdateOccCapacityRequestDetails): object;
}
