/**
 *
 *
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/capacitymanagement/ListOccAvailabilities.ts.html |here} to see how to use ListOccAvailabilitiesRequest.
 */
export interface ListOccAvailabilitiesRequest extends common.BaseRequest {
    /**
     * The OCID of the availability catalog.
     */
    "occAvailabilityCatalogId": string;
    /**
     * The capacity handover date of the capacity constraint to filter the list of capacity constraints.
     */
    "dateExpectedCapacityHandover"?: string;
    /**
     * The name of the resource to filter the list of capacity constraints.
     */
    "resourceName"?: string;
    /**
     * Resource type using which the capacity constraints of an availability catalog can be filtered.
     */
    "resourceType"?: string;
    /**
     * Workload type using the resources in an availability catalog can be filtered.
     */
    "workloadType"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The client request ID for tracing. The only valid characters for request IDs are letters, numbers,
     * underscore, and dash.
     *
     */
    "opcRequestId"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by.  Only one sort order may be provided. The default order for resource name is ascending. The default order for date of capacity handover is descending.
     *
     */
    "sortBy"?: ListOccAvailabilitiesRequest.SortBy;
}
export declare namespace ListOccAvailabilitiesRequest {
    enum SortBy {
        DateExpectedCapacityHandover = "dateExpectedCapacityHandover",
        ResourceName = "resourceName"
    }
}
