/**
 *
 *
 * OpenAPI spec version: 20231107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/capacitymanagement/ListOccCustomerGroups.ts.html |here} to see how to use ListOccCustomerGroupsRequest.
 */
export interface ListOccCustomerGroupsRequest extends common.BaseRequest {
    /**
     * The ocid of the compartment or tenancy in which resources are to be listed. This will also be used for authorization purposes.
     */
    "compartmentId": string;
    /**
     * A query filter to return the list result based on status.
     */
    "status"?: string;
    /**
     * A filter to return only the resources that match the entire display name. The match is not case sensitive.
     */
    "displayName"?: string;
    /**
     * A query filter to return the list result based on the customer group OCID. This is done for users who have INSPECT permission but do not have READ permission.
     */
    "id"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The client request ID for tracing. The only valid characters for request IDs are letters, numbers,
     * underscore, and dash.
     *
     */
    "opcRequestId"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for name and compartment ID is ascending. Default order for time created is descending.
     *
     */
    "sortBy"?: ListOccCustomerGroupsRequest.SortBy;
}
export declare namespace ListOccCustomerGroupsRequest {
    enum SortBy {
        CompartmentId = "compartmentId",
        Name = "name",
        TimeCreated = "timeCreated"
    }
}
