/**
 * Certificates Service Retrieval API
 * API for retrieving certificates.
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The contents of the CA bundle (root and intermediate certificates), properties of the CA bundle, and user-provided contextual metadata for the CA bundle.
 *
 */
export interface CaBundle {
    /**
     * The OCID of the CA bundle.
     */
    "id": string;
    /**
     * A user-friendly name for the CA bundle. Names are unique within a compartment. Valid characters include uppercase or lowercase letters, numbers, hyphens, underscores, and periods.
     *
     */
    "name": string;
    /**
     * Certificates (in PEM format) in the CA bundle. Can be of arbitrary length.
     */
    "caBundlePem": string;
}
export declare namespace CaBundle {
    function getJsonObj(obj: CaBundle): object;
    function getDeserializedJsonObj(obj: CaBundle): object;
}
