/**
 * Certificates Service Retrieval API
 * API for retrieving certificates.
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A certificate bundle, including the private key.
 */
export interface CertificateBundleWithPrivateKey extends model.CertificateBundle {
    /**
     * The private key (in PEM format) for the certificate.
     */
    "privateKeyPem": string;
    /**
     * An optional passphrase for the private key.
     */
    "privateKeyPemPassphrase"?: string;
    "certificateBundleType": string;
}
export declare namespace CertificateBundleWithPrivateKey {
    function getJsonObj(obj: CertificateBundleWithPrivateKey, isParentJsonObj?: boolean): object;
    const certificateBundleType = "CERTIFICATE_CONTENT_WITH_PRIVATE_KEY";
    function getDeserializedJsonObj(obj: CertificateBundleWithPrivateKey, isParentJsonObj?: boolean): object;
}
