/**
 * Certificates Service Management API
 * API for managing certificates.
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The subject of the certificate, which is a distinguished name that identifies the entity that owns the public key in the certificate.
 *
 */
export interface CertificateSubject {
    /**
     * Common name or fully-qualified domain name (RDN CN).
     */
    "commonName": string;
    /**
     * Country name (RDN C).
     */
    "country"?: string;
    /**
     * Domain component (RDN DC).
     */
    "domainComponent"?: string;
    /**
     * Distinguished name qualifier(RDN DNQ).
     */
    "distinguishedNameQualifier"?: string;
    /**
     * Personal generational qualifier (for example, Sr., Jr. 3rd, or IV).
     */
    "generationQualifier"?: string;
    /**
     * Personal given name (RDN G or GN).
     */
    "givenName"?: string;
    /**
     * Personal initials.
     */
    "initials"?: string;
    /**
     * Locality (RDN L).
     */
    "localityName"?: string;
    /**
     * Organization (RDN O).
     */
    "organization"?: string;
    /**
     * Organizational unit (RDN OU).
     */
    "organizationalUnit"?: string;
    /**
     * Subject pseudonym.
     */
    "pseudonym"?: string;
    /**
     * Unique subject identifier, which is not the same as the certificate serial number (RDN SERIALNUMBER).
     */
    "serialNumber"?: string;
    /**
     * State or province name (RDN ST or S).
     */
    "stateOrProvinceName"?: string;
    /**
     * Street address (RDN STREET).
     */
    "street"?: string;
    /**
     * Personal surname (RDN SN).
     */
    "surname"?: string;
    /**
     * Title (RDN T or TITLE).
     */
    "title"?: string;
    /**
     * User ID (RDN UID).
     */
    "userId"?: string;
}
export declare namespace CertificateSubject {
    function getJsonObj(obj: CertificateSubject): object;
    function getDeserializedJsonObj(obj: CertificateSubject): object;
}
