/**
 * Certificates Service Management API
 * API for managing certificates.
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the certificate to create.
 */
export interface CreateCertificateDetails {
    /**
     * A user-friendly name for the certificate. Names are unique within a compartment. Avoid entering confidential information. Valid characters are uppercase or lowercase letters, numbers, hyphens, underscores, and periods.
     *
     */
    "name": string;
    /**
     * A brief description of the certificate. Avoid entering confidential information.
     */
    "description"?: string;
    /**
     * The OCID of the compartment where you want to create the certificate.
     */
    "compartmentId": string;
    /**
     * An optional list of rules that control how the certificate is used and managed.
     */
    "certificateRules"?: Array<model.CertificateRule>;
    "certificateConfig": model.CreateCertificateManagedExternallyIssuedByInternalCaConfigDetails | model.CreateCertificateIssuedByInternalCaConfigDetails | model.CreateCertificateByImportingConfigDetails;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateCertificateDetails {
    function getJsonObj(obj: CreateCertificateDetails): object;
    function getDeserializedJsonObj(obj: CreateCertificateDetails): object;
}
