/**
 * Certificates Service Management API
 * API for managing certificates.
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of the Object Storage bucket configured to store the certificate revocation list (CRL).
 */
export interface ObjectStorageBucketConfigDetails {
    /**
     * The tenancy of the bucket where the CRL is stored.
     */
    "objectStorageNamespace"?: string;
    /**
     * The name of the bucket where the CRL is stored.
     */
    "objectStorageBucketName": string;
    /**
     * The object name in the bucket where the CRL is stored, expressed using a format where the version number of the issuing CA is inserted as part of the Object Storage object name wherever you include a pair of curly braces. This versioning scheme helps avoid collisions when new CA versions are created. For example, myCrlFileIssuedFromCAVersion{}.crl becomes myCrlFileIssuedFromCAVersion2.crl for CA version 2.
     *
     */
    "objectStorageObjectNameFormat": string;
}
export declare namespace ObjectStorageBucketConfigDetails {
    function getJsonObj(obj: ObjectStorageBucketConfigDetails): object;
    function getDeserializedJsonObj(obj: ObjectStorageBucketConfigDetails): object;
}
