/**
 * Certificates Service Management API
 * API for managing certificates.
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The current revocation status of the entity.
 */
export interface RevocationStatus {
    /**
     * The time when the entity was revoked, expressed in [RFC 3339](https://tools.ietf.org/html/rfc3339) timestamp format.
     * Example: {@code 2019-04-03T21:10:29.600Z}
     *
     */
    "timeOfRevocation": Date;
    /**
     * The reason the certificate or certificate authority (CA) was revoked.
     */
    "revocationReason": model.RevocationReason;
}
export declare namespace RevocationStatus {
    function getJsonObj(obj: RevocationStatus): object;
    function getDeserializedJsonObj(obj: RevocationStatus): object;
}
