/**
 *
 *
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/certificatesmanagement/ListAssociations.ts.html |here} to see how to use ListAssociationsRequest.
 */
export interface ListAssociationsRequest extends common.BaseRequest {
    /**
     * Unique Oracle-assigned identifier for the request. If provided, the returned request ID
     * will include this value. Otherwise, a random request ID will be
     * generated by the service.
     *
     */
    "opcRequestId"?: string;
    /**
     * A filter that returns only resources that match the given compartment OCID.
     */
    "compartmentId"?: string;
    /**
     * A filter that returns only resources that match the given OCID of a certificate-related resource.
     */
    "certificatesResourceId"?: string;
    /**
     * A filter that returns only resources that match the given OCID of an associated Oracle Cloud Infrastructure resource.
     */
    "associatedResourceId"?: string;
    /**
     * The OCID of the association. If the parameter is set to null, the service lists all associations.
     */
    "associationId"?: string;
    /**
     * A filter that returns only resources that match the specified name.
     */
    "name"?: string;
    /**
     * The field to sort by. You can specify only one sort order. The default order for {@code TIMECREATED} is descending.
     * The default order for {@code NAME} is ascending.
     *
     */
    "sortBy"?: ListAssociationsRequest.SortBy;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: ListAssociationsRequest.SortOrder;
    /**
     * The maximum number of items to return in a paginated \"List\" call.
     *
     */
    "limit"?: number;
    /**
     * The value of the {@code opc-next-page} response header
     * from the previous \"List\" call.
     *
     */
    "page"?: string;
    /**
     * Type of associations to list. If the parameter is set to null, the service lists all types of associations.
     */
    "associationType"?: ListAssociationsRequest.AssociationType;
}
export declare namespace ListAssociationsRequest {
    enum SortBy {
        Name = "NAME",
        Timecreated = "TIMECREATED"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum AssociationType {
        Certificate = "CERTIFICATE",
        CertificateAuthority = "CERTIFICATE_AUTHORITY",
        CaBundle = "CA_BUNDLE"
    }
}
