/**
 *
 *
 * OpenAPI spec version: 20210224
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/certificatesmanagement/ListCertificateVersions.ts.html |here} to see how to use ListCertificateVersionsRequest.
 */
export interface ListCertificateVersionsRequest extends common.BaseRequest {
    /**
     * The OCID of the certificate.
     */
    "certificateId": string;
    /**
     * Unique Oracle-assigned identifier for the request. If provided, the returned request ID
     * will include this value. Otherwise, a random request ID will be
     * generated by the service.
     *
     */
    "opcRequestId"?: string;
    /**
     * A filter that returns only resources that match the specified version number. The default value is 0, which means that this filter is not applied.
     *
     */
    "versionNumber"?: number;
    /**
     * The maximum number of items to return in a paginated \"List\" call.
     *
     */
    "limit"?: number;
    /**
     * The value of the {@code opc-next-page} response header
     * from the previous \"List\" call.
     *
     */
    "page"?: string;
    /**
     * The field to sort by. You can specify only one sort order. The default order for 'VERSION_NUMBER' is ascending.
     *
     */
    "sortBy"?: ListCertificateVersionsRequest.SortBy;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: ListCertificateVersionsRequest.SortOrder;
}
export declare namespace ListCertificateVersionsRequest {
    enum SortBy {
        VersionNumber = "VERSION_NUMBER"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
