/**
 * Support Management API
 * Use the Support Management API to manage support requests.
For more information, see [Getting Help and Contacting Support](/iaas/Content/GSG/Tasks/contactingsupport.htm).

**Note**: Before you can create service requests with this API,
you need to have an Oracle Single Sign On (SSO) account,
and you need to register your Customer Support Identifier (CSI) with My Oracle Support.

 * OpenAPI spec version: 20181231
 * Contact: oci_ops_cims_dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details gathered during the creation of the support ticket.
 *
 */
export interface CreateIncident {
    /**
     * The OCID of the tenancy.
     */
    "compartmentId": string;
    "ticket": model.CreateTicketDetails;
    /**
     * The Customer Support Identifier (CSI) number associated with the support account.
     * The CSI is required for technical support tickets and optional for limits and billing tickets.
     *
     */
    "csi"?: string;
    /**
     * The kind of support ticket, such as a technical support request or a limit increase request.
     */
    "problemType": model.ProblemType;
    /**
     * The list of contacts.
     */
    "contacts"?: Array<model.Contact>;
    /**
     * The incident referrer. This value is often the URL that the customer used when creating the support ticket.
     */
    "referrer"?: string;
}
export declare namespace CreateIncident {
    function getJsonObj(obj: CreateIncident): object;
    function getDeserializedJsonObj(obj: CreateIncident): object;
}
