"use strict";
/**
 * Support Management API
 * Use the Support Management API to manage support requests.
For more information, see [Getting Help and Contacting Support](/iaas/Content/GSG/Tasks/contactingsupport.htm).

**Note**: Before you can create service requests with this API,
you need to have an Oracle Single Sign On (SSO) account,
and you need to register your Customer Support Identifier (CSI) with My Oracle Support.

 * OpenAPI spec version: 20181231
 * Contact: oci_ops_cims_dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Item = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var Item;
(function (Item) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "category": obj.category ? model.Category.getJsonObj(obj.category) : undefined,
            "subCategory": obj.subCategory ? model.SubCategory.getJsonObj(obj.subCategory) : undefined,
            "issueType": obj.issueType ? model.IssueType.getJsonObj(obj.issueType) : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "account":
                    return model.AccountItem.getJsonObj(jsonObj, true);
                case "limit":
                    return model.LimitItem.getJsonObj(jsonObj, true);
                case "tech":
                    return model.TechSupportItem.getJsonObj(jsonObj, true);
                case "activity":
                    return model.ActivityItem.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    Item.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "category": obj.category ? model.Category.getDeserializedJsonObj(obj.category) : undefined,
            "subCategory": obj.subCategory
                ? model.SubCategory.getDeserializedJsonObj(obj.subCategory)
                : undefined,
            "issueType": obj.issueType
                ? model.IssueType.getDeserializedJsonObj(obj.issueType)
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "account":
                    return model.AccountItem.getDeserializedJsonObj(jsonObj, true);
                case "limit":
                    return model.LimitItem.getDeserializedJsonObj(jsonObj, true);
                case "tech":
                    return model.TechSupportItem.getDeserializedJsonObj(jsonObj, true);
                case "activity":
                    return model.ActivityItem.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    Item.getDeserializedJsonObj = getDeserializedJsonObj;
})(Item = exports.Item || (exports.Item = {}));
//# sourceMappingURL=item.js.map