/**
 * Support Management API
 * Use the Support Management API to manage support requests.
For more information, see [Getting Help and Contacting Support](/iaas/Content/GSG/Tasks/contactingsupport.htm).

**Note**: Before you can create service requests with this API,
you need to have an Oracle Single Sign On (SSO) account,
and you need to register your Customer Support Identifier (CSI) with My Oracle Support.

 * OpenAPI spec version: 20181231
 * Contact: oci_ops_cims_dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about the user.
 */
export interface User {
    /**
     * A unique identifier for the user.
     */
    "key": string;
    /**
     * The user's first name.
     */
    "firstName"?: string;
    /**
     * The user's last name.
     */
    "lastName"?: string;
    /**
     * The country of the user.
     */
    "country"?: string;
    /**
     * The CSI associated with the user.
     */
    "csi"?: string;
    /**
     * The user's contact phone number.
     */
    "phone"?: string;
    /**
     * The timezone of the user.
     */
    "timezone"?: string;
    /**
     * The company that the user belongs to.
     */
    "organizationName"?: string;
    /**
     * The OCID of the tenancy.
     */
    "compartmentId"?: string;
    /**
     * The email of the contact person.
     */
    "contactEmail"?: string;
    /**
     * The kind of support ticket, such as a technical support request or a limit increase request.
     */
    "problemType"?: model.ProblemType;
}
export declare namespace User {
    function getJsonObj(obj: User): object;
    function getDeserializedJsonObj(obj: User): object;
}
