/**
 * Oracle Cloud Bridge API
 * API for Oracle Cloud Bridge service.
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the Agent.
 */
export interface AgentSummary {
    /**
     * Unique identifier that is immutable on creation.
     */
    "id": string;
    /**
     * Agent identifier, which can be renamed.
     */
    "displayName": string;
    /**
     * Compartment identifier.
     */
    "compartmentId": string;
    /**
     * Type of Agent.
     */
    "agentType": string;
    /**
     * Agent identifier.
     */
    "agentVersion": string;
    /**
     * OS version.
     */
    "osVersion": string;
    /**
     * The time when the Agent was created. An RFC3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time when the Agent was updated. An RFC3339 formatted datetime string.
     */
    "timeUpdated": Date;
    /**
     * The time when the last heartbeat of the Agent was noted. An RFC3339 formatted datetime string.
     */
    "timeLastSyncReceived"?: Date;
    /**
     * Current heartbeat status of the Agent based on its timeLastSyncReceived value.
     */
    "heartBeatStatus"?: string;
    /**
     * Environment identifier.
     */
    "environmentId": string;
    /**
     * The current state of the Agent.
     */
    "lifecycleState": string;
    /**
     * A message describing the current state in more detail. For example, it can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails": string;
    /**
     * The freeform tags associated with this resource, if any. Each tag is a simple key-value pair with no
     * predefined name, type, or namespace/scope. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags": {
        [key: string]: string;
    };
    /**
     * The defined tags associated with this resource, if any. Each key is predefined and scoped to namespaces.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags": {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * The system tags associated with this resource, if any. The system tags are set by Oracle cloud infrastructure services. Each key is predefined and scoped to namespaces.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {orcl-cloud: {free-tier-retain: true}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace AgentSummary {
    function getJsonObj(obj: AgentSummary): object;
    function getDeserializedJsonObj(obj: AgentSummary): object;
}
