/**
 * Oracle Cloud Bridge API
 * API for Oracle Cloud Bridge service.
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Descriptor of a connection to an asset source.
 */
export interface AssetSourceConnection {
    /**
     * The type of connection for an asset source.
     */
    "connectionType": model.AssetSourceConnectionType;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the cloud bridge connector used for migration operations.
     */
    "connectorId": string;
    /**
     * Type-specific identifier for an asset source.
     */
    "assetSourceKey": string;
    /**
     * The current state of the connection.
     */
    "lifecycleState": model.AssetSourceConnectionLifecycleState;
    /**
     * The detailed sub-state of the connection.
     */
    "lifecycleDetails": string;
}
export declare namespace AssetSourceConnection {
    function getJsonObj(obj: AssetSourceConnection): object;
    function getDeserializedJsonObj(obj: AssetSourceConnection): object;
}
