/**
 * Oracle Cloud Bridge API
 * API for Oracle Cloud Bridge service.
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Discovery schedule.
 */
export interface DiscoverySchedule {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the discovery schedule.
     */
    "id": string;
    /**
     * A user-friendly name for the discovery schedule. Does not have to be unique, and it's mutable.
     * Avoid entering confidential information.
     *
     */
    "displayName": string;
    /**
     * Recurrence specification for the discovery schedule execution.
     */
    "executionRecurrences": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment in which the discovery schedule exists.
     */
    "compartmentId": string;
    /**
     * Current state of the discovery schedule.
     */
    "lifecycleState": model.DiscoveryScheduleLifecycleState;
    /**
     * The detailed state of the discovery schedule.
     */
    "lifecycleDetails": string;
    /**
     * The time when the discovery schedule was created in RFC3339 format.
     */
    "timeCreated": Date;
    /**
     * The time when the discovery schedule was last updated in RFC3339 format.
     */
    "timeUpdated": Date;
    /**
     * The freeform tags associated with this resource, if any. Each tag is a simple key-value pair with no
     * predefined name, type, or namespace/scope. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * The defined tags associated with this resource, if any. Each key is predefined and scoped to namespaces.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * The system tags associated with this resource, if any. The system tags are set by Oracle cloud infrastructure services. Each key is predefined and scoped to namespaces.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {orcl-cloud: {free-tier-retain: true}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace DiscoverySchedule {
    function getJsonObj(obj: DiscoverySchedule): object;
    function getDeserializedJsonObj(obj: DiscoverySchedule): object;
}
