/**
 * Oracle Cloud Bridge API
 * API for Oracle Cloud Bridge service.
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A resource that a work request creates and operates on.
 */
export interface WorkRequestResource {
    /**
     * The resource type that the work request affects.
     */
    "entityType": string;
    /**
     * The way in which this resource is affected by the work is tracked in the work request.
     * A resource being created, updated, or deleted will remain in the IN_PROGRESS state until
     * work is complete for that resource. At that point, the resource will transition to CREATED, UPDATED,
     * or DELETED, respectively.
     *
     */
    "actionType": model.ActionType;
    /**
     * The identifier of the resource that the work request affects.
     */
    "identifier": string;
    /**
     * The URI path where you can perform a GET operation to access the resource metadata.
     */
    "entityUri"?: string;
    /**
     * Additional information that helps to explain the resource.
     */
    "metadata"?: {
        [key: string]: string;
    };
}
export declare namespace WorkRequestResource {
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
