/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of a adhoc query.
 */
export interface AdhocQuery {
    /**
     * OCID for the adhoc query
     */
    "id": string;
    /**
     * Compartment OCID of the adhoc query
     */
    "compartmentId": string;
    /**
     * The date and time the adhoc query was created. Format defined by RFC3339.
     */
    "timeCreated"?: Date;
    /**
     * The date and time the adhoc query was updated. Format defined by RFC3339.
     */
    "timeUpdated"?: Date;
    /**
     * Status of the adhoc query
     */
    "status": model.AdhocQueryStatus;
    /**
     * Instance level status for each region
     */
    "adhocQueryRegionalDetails"?: Array<model.AdhocQueryRegionalDetails>;
    "adhocQueryDetails": model.AdhocQueryDetails;
    /**
     * Error message to show on UI in case of failure
     */
    "errorMessage"?: string;
    /**
     * Locks associated with this resource.
     */
    "locks"?: Array<model.ResourceLock>;
    /**
     * The current lifecycle state of the resource.
     */
    "lifecycleState"?: model.LifecycleState;
    /**
      * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
  * Example: {@code {\"bar-key\": \"value\"}}
  * <p>
  Avoid entering confidential information.
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
      * System tags for this resource. Each key is predefined and scoped to a namespace.
  * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
  * System tags can be viewed by users, but can only be created by the system.
  * <p>
  Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
  *
      */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace AdhocQuery {
    function getJsonObj(obj: AdhocQuery): object;
    function getDeserializedJsonObj(obj: AdhocQuery): object;
}
