/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary information about a data source event.
 */
export interface DataSourceEventSummary {
    /**
     * Data source event region
     */
    "region": string;
    /**
     * Data source event date and time
     */
    "eventDate": Date;
    /**
     * Unique identifier of data source.
     */
    "dataSourceId": string;
    /**
     * Data source event creation date and time
     */
    "timeCreated": Date;
    /**
     * Current data source event info status
     */
    "status"?: model.DataSourceEventInfoStatus;
    /**
     * Data source event comments
     */
    "comments"?: string;
    "eventInfo": model.LoggingEventInfo;
}
export declare namespace DataSourceEventSummary {
    function getJsonObj(obj: DataSourceEventSummary): object;
    function getDeserializedJsonObj(obj: DataSourceEventSummary): object;
}
