/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary information for endpoints associated with a problem (Problem object).
 */
export interface ProblemEndpointSummary {
    /**
     * Unique identifier for problem endpoint.
     */
    "id": string;
    /**
     * Unique identifier for sighting associated with the endpoint
     */
    "sightingId": string;
    /**
     * Unique identifier for problem associated with the endpoint
     */
    "problemId": string;
    /**
     * Unique identifier for the sighting type associated with the endpoint
     */
    "sightingType": string;
    /**
     * Display name of the sighting type
     */
    "sightingTypeDisplayName": string;
    /**
     * IP address of the endpoint
     */
    "ipAddress": string;
    /**
     * Type of IP address for the endpoint
     */
    "ipAddressType": string;
    /**
     * IP address classification type for the endpoint
     */
    "ipClassificationType"?: string;
    /**
     * Country of the endpoint
     */
    "country"?: string;
    /**
     * Latitude of the endpoint Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "latitude"?: number;
    /**
     * Longitude of the endpoint Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "longitude"?: number;
    /**
     * ASN number of the endpoint
     */
    "asnNumber"?: string;
    /**
     * Regions where activities were performed from this IP address
     */
    "regions"?: Array<string>;
    /**
     * List of services where activities were performed from this IP address
     */
    "services"?: Array<string>;
    /**
     * Time when activities were last detected
     */
    "timeLastDetected": Date;
}
export declare namespace ProblemEndpointSummary {
    function getJsonObj(obj: ProblemEndpointSummary): object;
    function getDeserializedJsonObj(obj: ProblemEndpointSummary): object;
}
