/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Problem history definition.
 */
export interface ProblemHistorySummary {
    /**
     * Unique identifier for the history record
     */
    "id": string;
    /**
     * Problem ID with which history is associated
     */
    "problemId": string;
    /**
     * Type of actor who performed the operation
     */
    "actorType": model.ActorType;
    /**
     * Resource name who performed the activity
     */
    "actorName": string;
    /**
     * Activity explanation details
     */
    "explanation": string;
    /**
     * Additional details on the substate of the lifecycle state
     */
    "lifecycleDetail": model.ProblemLifecycleDetail;
    /**
     * Event status
     */
    "eventStatus"?: model.EventStatus;
    /**
     * Date and time the problem was created
     */
    "timeCreated": Date;
    /**
     * Impacted resource names in a comma-separated string
     */
    "delta": string;
    /**
     * User-defined comments
     */
    "comment"?: string;
    /**
     * Locks associated with this resource.
     */
    "locks"?: Array<model.ResourceLock>;
}
export declare namespace ProblemHistorySummary {
    function getJsonObj(obj: ProblemHistorySummary): object;
    function getDeserializedJsonObj(obj: ProblemHistorySummary): object;
}
