/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Recommendation definition.
 */
export interface RecommendationSummary {
    /**
     * Unique identifier for the recommendation
     */
    "id": string;
    /**
     * Recommendation type
     */
    "type"?: model.RecommendationType;
    /**
     * Tenant identifier
     */
    "tenantId"?: string;
    /**
     * Compartment OCID
     */
    "compartmentId": string;
    /**
     * Target ID associated with the problem
     */
    "targetId": string;
    /**
     * Recommendation details
     */
    "details": {
        [key: string]: string;
    };
    /**
     * The risk level of the problem
     */
    "riskLevel"?: model.RiskLevel;
    /**
     * Count number of the problem Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "problemCount": number;
    /**
     * The current lifecycle state of the recommendation
     */
    "lifecycleState": model.LifecycleState;
    /**
     * Additional details on the substate of the lifecycle state
     */
    "lifecycleDetail": model.RecommendationLifecycleDetail;
    /**
     * The date and time the problem was first created
     */
    "timeCreated"?: Date;
    /**
     * The date and time the problem was last updated
     */
    "timeUpdated"?: Date;
    /**
     * Recommendation string that appears in the UI for the problem
     */
    "name": string;
    /**
     * Description of the recommendation
     */
    "description": string;
}
export declare namespace RecommendationSummary {
    function getJsonObj(obj: RecommendationSummary): object;
    function getDeserializedJsonObj(obj: RecommendationSummary): object;
}
