/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Resource profile details.
 */
export interface ResourceProfile {
    /**
     * Number of sightings associated with the resource profile Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sightingsCount"?: number;
    /**
     * Unique identifier for the resource profile
     */
    "id": string;
    /**
     * Unique identifier for the resource associated with the resource profile
     */
    "resourceId": string;
    /**
     * Display name for the resource profile
     */
    "displayName": string;
    /**
     * Resource type for the resource profile
     */
    "type": string;
    /**
     * List of problems IDs associated with the resource profile
     */
    "problemIds"?: Array<string>;
    /**
     * Compartment OCID for the resource profile
     */
    "compartmentId": string;
    /**
     * Unique target ID for the resource profile
     */
    "targetId"?: string;
    /**
     * Risk score for the resource profile Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "riskScore": number;
    /**
     * Risk level associated with resource profile
     */
    "riskLevel"?: model.RiskLevel;
    /**
     * Peak risk score for the resource profile Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "peakRiskScore"?: number;
    /**
     * The date and time for the peak risk score. Format defined by RFC3339.
     */
    "timePeakScore"?: Date;
    /**
     * Time the activities were first detected. Format defined by RFC3339.
     */
    "timeFirstDetected": Date;
    /**
     * Time the activities were last detected. Format defined by RFC3339.
     */
    "timeLastDetected": Date;
    /**
     * Time the activities were first performed. Format defined by RFC3339.
     */
    "timeFirstOccurred"?: Date;
    /**
     * Time the activities were last performed. Format defined by RFC3339.
     */
    "timeLastOccurred"?: Date;
    /**
     * List of tactic summaries associated with the resource profile
     */
    "tactics": Array<model.TacticSummary>;
    /**
     * Locks associated with this resource.
     */
    "locks"?: Array<model.ResourceLock>;
}
export declare namespace ResourceProfile {
    function getJsonObj(obj: ResourceProfile): object;
    function getDeserializedJsonObj(obj: ResourceProfile): object;
}
