/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of cloud guard resource
 */
export interface Resource {
    /**
     * Ocid for CG resource
     */
    "id": string;
    /**
     * Name for the CG resource
     */
    "resourceName"?: string;
    /**
     * resource type of the CG resource
     */
    "resourceType": string;
    /**
     * CompartmentId of CG Resource
     */
    "compartmentId": string;
    /**
     * TargetId of CG Resource
     */
    "targetId": string;
    /**
     * Target name for the CG Resource
     */
    "targetName"?: string;
    /**
     * region of CG Resource
     */
    "region": string;
    /**
     * The Risk Level
     */
    "riskLevel"?: model.CveRiskLevel;
    /**
     * First monitored time
     */
    "timeFirstMonitored"?: Date;
    /**
     * Last monitored time
     */
    "timeLastMonitored"?: Date;
    /**
     * Count of existing problems for a resource Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "problemCount"?: number;
    /**
     * Count of existing number of vulnerabilities in the resource Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "vulnerabilityCount"?: number;
    /**
     * Number of open ports in a resource Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "openPortsCount"?: number;
    "additionalDetails"?: model.ResourceAdditionalDetails;
    /**
      * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
  * Example: {@code {\"bar-key\": \"value\"}}
  * <p>
  Avoid entering confidential information.
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
      * System tags for this resource. Each key is predefined and scoped to a namespace.
  * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
  * System tags can be viewed by users, but can only be created by the system.
  * <p>
  Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
  *
      */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace Resource {
    function getJsonObj(obj: Resource): object;
    function getDeserializedJsonObj(obj: Resource): object;
}
