/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides the dimensions and their corresponding count value.
 */
export interface ResponderExecutionAggregation {
    /**
     * The key-value pairs of dimensions and their names. The key corresponds to the Analytic Dimension(s) chosen, and the value corresponds to the value of the dimension from the data. E.g. if the Analytic Dimension chosen is \"RISK_LEVEL\", then the value will be like \"CRITICAL\". If the Analytic Dimensions chosen are \"RISK_LEVEL\" and \"RESOURCE_TYPE\", then the map will have two key-value pairs of form {\"RISK_LEVEL\" &#58; \"CRITICAL, \"RESOURCE_TYPE\" &#58; \"LOAD_BALANCER\"}
     */
    "dimensionsMap": {
        [key: string]: string;
    };
    /**
     * The number of occurrences with given dimensions Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count": number;
}
export declare namespace ResponderExecutionAggregation {
    function getJsonObj(obj: ResponderExecutionAggregation): object;
    function getDeserializedJsonObj(obj: ResponderExecutionAggregation): object;
}
