/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of detailed information on responder execution.
 */
export interface ResponderExecutionSummary {
    /**
     * The unique identifier of the responder execution
     */
    "id": string;
    /**
     * Responder rule ID for the responder execution
     */
    "responderRuleId": string;
    /**
     * Rule type for the responder execution
     */
    "responderRuleType": model.ResponderType;
    /**
     * Rule name for the responder execution
     */
    "responderRuleName": string;
    /**
     * Problem ID associated with the responder execution
     */
    "problemId": string;
    /**
     * Problem name associated with the responder execution
     */
    "problemName": string;
    /**
     * Region where the problem is found
     */
    "region": string;
    /**
     * Target ID of the problem for the responder execution
     */
    "targetId": string;
    /**
     * Compartment OCID of the problem for the responder execution
     */
    "compartmentId": string;
    /**
     * resource type of the problem for the responder execution
     */
    "resourceType": string;
    /**
     * Resource name of the problem for the responder execution.
     */
    "resourceName": string;
    /**
     * The date and time the responder execution was created. Format defined by RFC3339.
     */
    "timeCreated": Date;
    /**
     * The date and time the responder execution was updated. Format defined by RFC3339.
     */
    "timeCompleted"?: Date;
    /**
     * Current execution status of the responder
     */
    "responderExecutionStatus": model.ResponderExecutionStates;
    /**
     * Possible type of responder execution modes
     */
    "responderExecutionMode": model.ResponderExecutionModes;
    /**
     * Message about the responder execution.
     */
    "message"?: string;
    "responderRuleExecutionDetails"?: model.ResponderRuleExecutionDetails;
}
export declare namespace ResponderExecutionSummary {
    function getJsonObj(obj: ResponderExecutionSummary): object;
    function getDeserializedJsonObj(obj: ResponderExecutionSummary): object;
}
