/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about new schedule Query of type DataSource.
 */
export interface ScheduledQueryDataSourceObjDetails extends model.DataSourceDetails {
    /**
     * The continuous query expression that is run periodically.
     */
    "query"?: string;
    /**
     * Description text for the query
     */
    "description"?: string;
    /**
     * Interval in minutes which query is run periodically. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "intervalInSeconds"?: number;
    /**
     * Target information in which scheduled query will be run
     */
    "scheduledQueryScopeDetails"?: Array<model.ScheduledQueryScopeDetail>;
    "dataSourceFeedProvider": string;
}
export declare namespace ScheduledQueryDataSourceObjDetails {
    function getJsonObj(obj: ScheduledQueryDataSourceObjDetails, isParentJsonObj?: boolean): object;
    const dataSourceFeedProvider = "SCHEDULEDQUERY";
    function getDeserializedJsonObj(obj: ScheduledQueryDataSourceObjDetails, isParentJsonObj?: boolean): object;
}
