/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Target details for a security zone target.
 */
export interface SecurityZoneTargetDetails extends model.TargetDetails {
    /**
     * The OCID of the security zone to associate with this compartment
     */
    "securityZoneId"?: string;
    /**
     * The name of the security zone to associate with this compartment.
     */
    "securityZoneDisplayName"?: string;
    /**
     * The list of security zone recipes to associate with this compartment
     */
    "targetSecurityZoneRecipes"?: Array<model.SecurityRecipe>;
    "targetResourceType": string;
}
export declare namespace SecurityZoneTargetDetails {
    function getJsonObj(obj: SecurityZoneTargetDetails, isParentJsonObj?: boolean): object;
    const targetResourceType = "SECURITY_ZONE";
    function getDeserializedJsonObj(obj: SecurityZoneTargetDetails, isParentJsonObj?: boolean): object;
}
