/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A summary of sighting endpoints.
 */
export interface SightingEndpointSummary {
    /**
     * Unique identifier for sighting endpoints
     */
    "id": string;
    /**
     * Sighting ID for sighting endpoints
     */
    "sightingId": string;
    /**
     * Problem ID for sighting endpoints
     */
    "problemId"?: string;
    /**
     * IP address involved in sighting
     */
    "ipAddress": string;
    /**
     * Type of IP address involved in sighting
     */
    "ipAddressType": string;
    /**
     * IP address classification type
     */
    "ipClassificationType"?: string;
    /**
     * Country involved in sighting
     */
    "country"?: string;
    /**
     * Latitude of sighting Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "latitude"?: number;
    /**
     * Longitude of sighting Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "longitude"?: number;
    /**
     * ASN number of sighting
     */
    "asnNumber"?: string;
    /**
     * List of regions where activities were performed from this IP address
     */
    "regions"?: Array<string>;
    /**
     * List of services where activities were performed from this IP address
     */
    "services"?: Array<string>;
    /**
     * Time the activities were first detected.
     */
    "timeFirstDetected"?: Date;
    /**
     * Time the activities were last detected.
     */
    "timeLastDetected": Date;
    /**
     * Time the activities were first performed.
     */
    "timeFirstOccurred"?: Date;
    /**
     * Time the activities were last performed.
     */
    "timeLastOccurred"?: Date;
}
export declare namespace SightingEndpointSummary {
    function getJsonObj(obj: SightingEndpointSummary): object;
    function getDeserializedJsonObj(obj: SightingEndpointSummary): object;
}
