/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of resources impacted by a sighting.
 */
export interface SightingImpactedResourceSummary {
    /**
     * Unique identifier for an impacted resource
     */
    "id": string;
    /**
     * Impacted resource ID
     */
    "resourceId": string;
    /**
     * Sighting ID for impacted resource
     */
    "sightingId": string;
    /**
     * Problem ID for impacted resource
     */
    "problemId"?: string;
    /**
     * Compartment ID for impacted resource
     */
    "compartmentId": string;
    /**
     * Resource name
     */
    "resourceName": string;
    /**
     * Resource type
     */
    "resourceType": string;
    /**
     * Region for impacted resource
     */
    "region": string;
    /**
     * Date and time when the impacted resource is identified for given sighting
     */
    "timeIdentified": Date;
    /**
     * Time the activities were first detected.
     */
    "timeFirstDetected"?: Date;
    /**
     * Time the activities were last detected. Same as timeIdentified.
     */
    "timeLastDetected"?: Date;
    /**
     * Time the activities were first performed.
     */
    "timeFirstOccurred"?: Date;
    /**
     * Time the activities were last performed.
     */
    "timeLastOccurred"?: Date;
}
export declare namespace SightingImpactedResourceSummary {
    function getJsonObj(obj: SightingImpactedResourceSummary): object;
    function getDeserializedJsonObj(obj: SightingImpactedResourceSummary): object;
}
