"use strict";
/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetDetectorRecipeDetectorRule = void 0;
const model = __importStar(require("../model"));
var TargetDetectorRecipeDetectorRule;
(function (TargetDetectorRecipeDetectorRule) {
    let ManagedListTypes;
    (function (ManagedListTypes) {
        ManagedListTypes["CidrBlock"] = "CIDR_BLOCK";
        ManagedListTypes["Users"] = "USERS";
        ManagedListTypes["Groups"] = "GROUPS";
        ManagedListTypes["Ipv4Address"] = "IPV4ADDRESS";
        ManagedListTypes["Ipv6Address"] = "IPV6ADDRESS";
        ManagedListTypes["ResourceOcid"] = "RESOURCE_OCID";
        ManagedListTypes["Region"] = "REGION";
        ManagedListTypes["Country"] = "COUNTRY";
        ManagedListTypes["State"] = "STATE";
        ManagedListTypes["City"] = "CITY";
        ManagedListTypes["Tags"] = "TAGS";
        ManagedListTypes["Generic"] = "GENERIC";
        ManagedListTypes["FusionAppsRole"] = "FUSION_APPS_ROLE";
        ManagedListTypes["FusionAppsPermission"] = "FUSION_APPS_PERMISSION";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        ManagedListTypes["UnknownValue"] = "UNKNOWN_VALUE";
    })(ManagedListTypes = TargetDetectorRecipeDetectorRule.ManagedListTypes || (TargetDetectorRecipeDetectorRule.ManagedListTypes = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "details": obj.details ? model.TargetDetectorDetails.getJsonObj(obj.details) : undefined,
            "entitiesMappings": obj.entitiesMappings
                ? obj.entitiesMappings.map(item => {
                    return model.EntitiesMapping.getJsonObj(item);
                })
                : undefined,
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.ResourceLock.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    TargetDetectorRecipeDetectorRule.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "details": obj.details
                ? model.TargetDetectorDetails.getDeserializedJsonObj(obj.details)
                : undefined,
            "entitiesMappings": obj.entitiesMappings
                ? obj.entitiesMappings.map(item => {
                    return model.EntitiesMapping.getDeserializedJsonObj(item);
                })
                : undefined,
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.ResourceLock.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    TargetDetectorRecipeDetectorRule.getDeserializedJsonObj = getDeserializedJsonObj;
})(TargetDetectorRecipeDetectorRule = exports.TargetDetectorRecipeDetectorRule || (exports.TargetDetectorRecipeDetectorRule = {}));
//# sourceMappingURL=target-detector-recipe-detector-rule.js.map