/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Target selection on basis of target resource types.
 */
export interface TargetResourceTypesSelected extends model.TargetSelected {
    /**
     * Types of targets
     */
    "values"?: Array<TargetResourceTypesSelected.Values>;
    "kind": string;
}
export declare namespace TargetResourceTypesSelected {
    enum Values {
        Compartment = "COMPARTMENT",
        Erpcloud = "ERPCLOUD",
        Hcmcloud = "HCMCLOUD",
        SecurityZone = "SECURITY_ZONE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TargetResourceTypesSelected, isParentJsonObj?: boolean): object;
    const kind = "TARGETTYPES";
    function getDeserializedJsonObj(obj: TargetResourceTypesSelected, isParentJsonObj?: boolean): object;
}
