/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AddCompartmentRequest from "./add-compartment-request";
export import AddCompartmentRequest = AddCompartmentRequest.AddCompartmentRequest;
import * as CancelWorkRequestRequest from "./cancel-work-request-request";
export import CancelWorkRequestRequest = CancelWorkRequestRequest.CancelWorkRequestRequest;
import * as ChangeDataSourceCompartmentRequest from "./change-data-source-compartment-request";
export import ChangeDataSourceCompartmentRequest = ChangeDataSourceCompartmentRequest.ChangeDataSourceCompartmentRequest;
import * as ChangeDetectorRecipeCompartmentRequest from "./change-detector-recipe-compartment-request";
export import ChangeDetectorRecipeCompartmentRequest = ChangeDetectorRecipeCompartmentRequest.ChangeDetectorRecipeCompartmentRequest;
import * as ChangeManagedListCompartmentRequest from "./change-managed-list-compartment-request";
export import ChangeManagedListCompartmentRequest = ChangeManagedListCompartmentRequest.ChangeManagedListCompartmentRequest;
import * as ChangeResponderRecipeCompartmentRequest from "./change-responder-recipe-compartment-request";
export import ChangeResponderRecipeCompartmentRequest = ChangeResponderRecipeCompartmentRequest.ChangeResponderRecipeCompartmentRequest;
import * as ChangeSavedQueryCompartmentRequest from "./change-saved-query-compartment-request";
export import ChangeSavedQueryCompartmentRequest = ChangeSavedQueryCompartmentRequest.ChangeSavedQueryCompartmentRequest;
import * as ChangeSecurityRecipeCompartmentRequest from "./change-security-recipe-compartment-request";
export import ChangeSecurityRecipeCompartmentRequest = ChangeSecurityRecipeCompartmentRequest.ChangeSecurityRecipeCompartmentRequest;
import * as ChangeSecurityZoneCompartmentRequest from "./change-security-zone-compartment-request";
export import ChangeSecurityZoneCompartmentRequest = ChangeSecurityZoneCompartmentRequest.ChangeSecurityZoneCompartmentRequest;
import * as CreateAdhocQueryRequest from "./create-adhoc-query-request";
export import CreateAdhocQueryRequest = CreateAdhocQueryRequest.CreateAdhocQueryRequest;
import * as CreateDataMaskRuleRequest from "./create-data-mask-rule-request";
export import CreateDataMaskRuleRequest = CreateDataMaskRuleRequest.CreateDataMaskRuleRequest;
import * as CreateDataSourceRequest from "./create-data-source-request";
export import CreateDataSourceRequest = CreateDataSourceRequest.CreateDataSourceRequest;
import * as CreateDetectorRecipeRequest from "./create-detector-recipe-request";
export import CreateDetectorRecipeRequest = CreateDetectorRecipeRequest.CreateDetectorRecipeRequest;
import * as CreateDetectorRecipeDetectorRuleRequest from "./create-detector-recipe-detector-rule-request";
export import CreateDetectorRecipeDetectorRuleRequest = CreateDetectorRecipeDetectorRuleRequest.CreateDetectorRecipeDetectorRuleRequest;
import * as CreateManagedListRequest from "./create-managed-list-request";
export import CreateManagedListRequest = CreateManagedListRequest.CreateManagedListRequest;
import * as CreateResponderRecipeRequest from "./create-responder-recipe-request";
export import CreateResponderRecipeRequest = CreateResponderRecipeRequest.CreateResponderRecipeRequest;
import * as CreateSavedQueryRequest from "./create-saved-query-request";
export import CreateSavedQueryRequest = CreateSavedQueryRequest.CreateSavedQueryRequest;
import * as CreateSecurityRecipeRequest from "./create-security-recipe-request";
export import CreateSecurityRecipeRequest = CreateSecurityRecipeRequest.CreateSecurityRecipeRequest;
import * as CreateSecurityZoneRequest from "./create-security-zone-request";
export import CreateSecurityZoneRequest = CreateSecurityZoneRequest.CreateSecurityZoneRequest;
import * as CreateTargetRequest from "./create-target-request";
export import CreateTargetRequest = CreateTargetRequest.CreateTargetRequest;
import * as CreateTargetDetectorRecipeRequest from "./create-target-detector-recipe-request";
export import CreateTargetDetectorRecipeRequest = CreateTargetDetectorRecipeRequest.CreateTargetDetectorRecipeRequest;
import * as CreateTargetResponderRecipeRequest from "./create-target-responder-recipe-request";
export import CreateTargetResponderRecipeRequest = CreateTargetResponderRecipeRequest.CreateTargetResponderRecipeRequest;
import * as CreateWlpAgentRequest from "./create-wlp-agent-request";
export import CreateWlpAgentRequest = CreateWlpAgentRequest.CreateWlpAgentRequest;
import * as DeleteAdhocQueryRequest from "./delete-adhoc-query-request";
export import DeleteAdhocQueryRequest = DeleteAdhocQueryRequest.DeleteAdhocQueryRequest;
import * as DeleteDataMaskRuleRequest from "./delete-data-mask-rule-request";
export import DeleteDataMaskRuleRequest = DeleteDataMaskRuleRequest.DeleteDataMaskRuleRequest;
import * as DeleteDataSourceRequest from "./delete-data-source-request";
export import DeleteDataSourceRequest = DeleteDataSourceRequest.DeleteDataSourceRequest;
import * as DeleteDetectorRecipeRequest from "./delete-detector-recipe-request";
export import DeleteDetectorRecipeRequest = DeleteDetectorRecipeRequest.DeleteDetectorRecipeRequest;
import * as DeleteDetectorRecipeDetectorRuleRequest from "./delete-detector-recipe-detector-rule-request";
export import DeleteDetectorRecipeDetectorRuleRequest = DeleteDetectorRecipeDetectorRuleRequest.DeleteDetectorRecipeDetectorRuleRequest;
import * as DeleteDetectorRecipeDetectorRuleDataSourceRequest from "./delete-detector-recipe-detector-rule-data-source-request";
export import DeleteDetectorRecipeDetectorRuleDataSourceRequest = DeleteDetectorRecipeDetectorRuleDataSourceRequest.DeleteDetectorRecipeDetectorRuleDataSourceRequest;
import * as DeleteManagedListRequest from "./delete-managed-list-request";
export import DeleteManagedListRequest = DeleteManagedListRequest.DeleteManagedListRequest;
import * as DeleteResponderRecipeRequest from "./delete-responder-recipe-request";
export import DeleteResponderRecipeRequest = DeleteResponderRecipeRequest.DeleteResponderRecipeRequest;
import * as DeleteSavedQueryRequest from "./delete-saved-query-request";
export import DeleteSavedQueryRequest = DeleteSavedQueryRequest.DeleteSavedQueryRequest;
import * as DeleteSecurityRecipeRequest from "./delete-security-recipe-request";
export import DeleteSecurityRecipeRequest = DeleteSecurityRecipeRequest.DeleteSecurityRecipeRequest;
import * as DeleteSecurityZoneRequest from "./delete-security-zone-request";
export import DeleteSecurityZoneRequest = DeleteSecurityZoneRequest.DeleteSecurityZoneRequest;
import * as DeleteTargetRequest from "./delete-target-request";
export import DeleteTargetRequest = DeleteTargetRequest.DeleteTargetRequest;
import * as DeleteTargetDetectorRecipeRequest from "./delete-target-detector-recipe-request";
export import DeleteTargetDetectorRecipeRequest = DeleteTargetDetectorRecipeRequest.DeleteTargetDetectorRecipeRequest;
import * as DeleteTargetResponderRecipeRequest from "./delete-target-responder-recipe-request";
export import DeleteTargetResponderRecipeRequest = DeleteTargetResponderRecipeRequest.DeleteTargetResponderRecipeRequest;
import * as DeleteWlpAgentRequest from "./delete-wlp-agent-request";
export import DeleteWlpAgentRequest = DeleteWlpAgentRequest.DeleteWlpAgentRequest;
import * as ExecuteResponderExecutionRequest from "./execute-responder-execution-request";
export import ExecuteResponderExecutionRequest = ExecuteResponderExecutionRequest.ExecuteResponderExecutionRequest;
import * as GetAdhocQueryRequest from "./get-adhoc-query-request";
export import GetAdhocQueryRequest = GetAdhocQueryRequest.GetAdhocQueryRequest;
import * as GetAdhocQueryResultContentRequest from "./get-adhoc-query-result-content-request";
export import GetAdhocQueryResultContentRequest = GetAdhocQueryResultContentRequest.GetAdhocQueryResultContentRequest;
import * as GetConditionMetadataTypeRequest from "./get-condition-metadata-type-request";
export import GetConditionMetadataTypeRequest = GetConditionMetadataTypeRequest.GetConditionMetadataTypeRequest;
import * as GetConfigurationRequest from "./get-configuration-request";
export import GetConfigurationRequest = GetConfigurationRequest.GetConfigurationRequest;
import * as GetDataMaskRuleRequest from "./get-data-mask-rule-request";
export import GetDataMaskRuleRequest = GetDataMaskRuleRequest.GetDataMaskRuleRequest;
import * as GetDataSourceRequest from "./get-data-source-request";
export import GetDataSourceRequest = GetDataSourceRequest.GetDataSourceRequest;
import * as GetDetectorRequest from "./get-detector-request";
export import GetDetectorRequest = GetDetectorRequest.GetDetectorRequest;
import * as GetDetectorRecipeRequest from "./get-detector-recipe-request";
export import GetDetectorRecipeRequest = GetDetectorRecipeRequest.GetDetectorRecipeRequest;
import * as GetDetectorRecipeDetectorRuleRequest from "./get-detector-recipe-detector-rule-request";
export import GetDetectorRecipeDetectorRuleRequest = GetDetectorRecipeDetectorRuleRequest.GetDetectorRecipeDetectorRuleRequest;
import * as GetDetectorRuleRequest from "./get-detector-rule-request";
export import GetDetectorRuleRequest = GetDetectorRuleRequest.GetDetectorRuleRequest;
import * as GetManagedListRequest from "./get-managed-list-request";
export import GetManagedListRequest = GetManagedListRequest.GetManagedListRequest;
import * as GetProblemRequest from "./get-problem-request";
export import GetProblemRequest = GetProblemRequest.GetProblemRequest;
import * as GetResourceRequest from "./get-resource-request";
export import GetResourceRequest = GetResourceRequest.GetResourceRequest;
import * as GetResourceProfileRequest from "./get-resource-profile-request";
export import GetResourceProfileRequest = GetResourceProfileRequest.GetResourceProfileRequest;
import * as GetResourceVulnerabilityRequest from "./get-resource-vulnerability-request";
export import GetResourceVulnerabilityRequest = GetResourceVulnerabilityRequest.GetResourceVulnerabilityRequest;
import * as GetResponderExecutionRequest from "./get-responder-execution-request";
export import GetResponderExecutionRequest = GetResponderExecutionRequest.GetResponderExecutionRequest;
import * as GetResponderRecipeRequest from "./get-responder-recipe-request";
export import GetResponderRecipeRequest = GetResponderRecipeRequest.GetResponderRecipeRequest;
import * as GetResponderRecipeResponderRuleRequest from "./get-responder-recipe-responder-rule-request";
export import GetResponderRecipeResponderRuleRequest = GetResponderRecipeResponderRuleRequest.GetResponderRecipeResponderRuleRequest;
import * as GetResponderRuleRequest from "./get-responder-rule-request";
export import GetResponderRuleRequest = GetResponderRuleRequest.GetResponderRuleRequest;
import * as GetSavedQueryRequest from "./get-saved-query-request";
export import GetSavedQueryRequest = GetSavedQueryRequest.GetSavedQueryRequest;
import * as GetSecurityPolicyRequest from "./get-security-policy-request";
export import GetSecurityPolicyRequest = GetSecurityPolicyRequest.GetSecurityPolicyRequest;
import * as GetSecurityRecipeRequest from "./get-security-recipe-request";
export import GetSecurityRecipeRequest = GetSecurityRecipeRequest.GetSecurityRecipeRequest;
import * as GetSecurityZoneRequest from "./get-security-zone-request";
export import GetSecurityZoneRequest = GetSecurityZoneRequest.GetSecurityZoneRequest;
import * as GetSightingRequest from "./get-sighting-request";
export import GetSightingRequest = GetSightingRequest.GetSightingRequest;
import * as GetTargetRequest from "./get-target-request";
export import GetTargetRequest = GetTargetRequest.GetTargetRequest;
import * as GetTargetDetectorRecipeRequest from "./get-target-detector-recipe-request";
export import GetTargetDetectorRecipeRequest = GetTargetDetectorRecipeRequest.GetTargetDetectorRecipeRequest;
import * as GetTargetDetectorRecipeDetectorRuleRequest from "./get-target-detector-recipe-detector-rule-request";
export import GetTargetDetectorRecipeDetectorRuleRequest = GetTargetDetectorRecipeDetectorRuleRequest.GetTargetDetectorRecipeDetectorRuleRequest;
import * as GetTargetResponderRecipeRequest from "./get-target-responder-recipe-request";
export import GetTargetResponderRecipeRequest = GetTargetResponderRecipeRequest.GetTargetResponderRecipeRequest;
import * as GetTargetResponderRecipeResponderRuleRequest from "./get-target-responder-recipe-responder-rule-request";
export import GetTargetResponderRecipeResponderRuleRequest = GetTargetResponderRecipeResponderRuleRequest.GetTargetResponderRecipeResponderRuleRequest;
import * as GetWlpAgentRequest from "./get-wlp-agent-request";
export import GetWlpAgentRequest = GetWlpAgentRequest.GetWlpAgentRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as ListAdhocQueriesRequest from "./list-adhoc-queries-request";
export import ListAdhocQueriesRequest = ListAdhocQueriesRequest.ListAdhocQueriesRequest;
import * as ListAdhocQueryResultsRequest from "./list-adhoc-query-results-request";
export import ListAdhocQueryResultsRequest = ListAdhocQueryResultsRequest.ListAdhocQueryResultsRequest;
import * as ListConditionMetadataTypesRequest from "./list-condition-metadata-types-request";
export import ListConditionMetadataTypesRequest = ListConditionMetadataTypesRequest.ListConditionMetadataTypesRequest;
import * as ListDataMaskRulesRequest from "./list-data-mask-rules-request";
export import ListDataMaskRulesRequest = ListDataMaskRulesRequest.ListDataMaskRulesRequest;
import * as ListDataSourceEventsRequest from "./list-data-source-events-request";
export import ListDataSourceEventsRequest = ListDataSourceEventsRequest.ListDataSourceEventsRequest;
import * as ListDataSourcesRequest from "./list-data-sources-request";
export import ListDataSourcesRequest = ListDataSourcesRequest.ListDataSourcesRequest;
import * as ListDetectorRecipeDetectorRulesRequest from "./list-detector-recipe-detector-rules-request";
export import ListDetectorRecipeDetectorRulesRequest = ListDetectorRecipeDetectorRulesRequest.ListDetectorRecipeDetectorRulesRequest;
import * as ListDetectorRecipesRequest from "./list-detector-recipes-request";
export import ListDetectorRecipesRequest = ListDetectorRecipesRequest.ListDetectorRecipesRequest;
import * as ListDetectorRulesRequest from "./list-detector-rules-request";
export import ListDetectorRulesRequest = ListDetectorRulesRequest.ListDetectorRulesRequest;
import * as ListDetectorsRequest from "./list-detectors-request";
export import ListDetectorsRequest = ListDetectorsRequest.ListDetectorsRequest;
import * as ListImpactedResourcesRequest from "./list-impacted-resources-request";
export import ListImpactedResourcesRequest = ListImpactedResourcesRequest.ListImpactedResourcesRequest;
import * as ListManagedListTypesRequest from "./list-managed-list-types-request";
export import ListManagedListTypesRequest = ListManagedListTypesRequest.ListManagedListTypesRequest;
import * as ListManagedListsRequest from "./list-managed-lists-request";
export import ListManagedListsRequest = ListManagedListsRequest.ListManagedListsRequest;
import * as ListPoliciesRequest from "./list-policies-request";
export import ListPoliciesRequest = ListPoliciesRequest.ListPoliciesRequest;
import * as ListProblemEndpointsRequest from "./list-problem-endpoints-request";
export import ListProblemEndpointsRequest = ListProblemEndpointsRequest.ListProblemEndpointsRequest;
import * as ListProblemEntitiesRequest from "./list-problem-entities-request";
export import ListProblemEntitiesRequest = ListProblemEntitiesRequest.ListProblemEntitiesRequest;
import * as ListProblemHistoriesRequest from "./list-problem-histories-request";
export import ListProblemHistoriesRequest = ListProblemHistoriesRequest.ListProblemHistoriesRequest;
import * as ListProblemsRequest from "./list-problems-request";
export import ListProblemsRequest = ListProblemsRequest.ListProblemsRequest;
import * as ListRecommendationsRequest from "./list-recommendations-request";
export import ListRecommendationsRequest = ListRecommendationsRequest.ListRecommendationsRequest;
import * as ListResourcePortsRequest from "./list-resource-ports-request";
export import ListResourcePortsRequest = ListResourcePortsRequest.ListResourcePortsRequest;
import * as ListResourceProfileEndpointsRequest from "./list-resource-profile-endpoints-request";
export import ListResourceProfileEndpointsRequest = ListResourceProfileEndpointsRequest.ListResourceProfileEndpointsRequest;
import * as ListResourceProfileImpactedResourcesRequest from "./list-resource-profile-impacted-resources-request";
export import ListResourceProfileImpactedResourcesRequest = ListResourceProfileImpactedResourcesRequest.ListResourceProfileImpactedResourcesRequest;
import * as ListResourceProfilesRequest from "./list-resource-profiles-request";
export import ListResourceProfilesRequest = ListResourceProfilesRequest.ListResourceProfilesRequest;
import * as ListResourceTypesRequest from "./list-resource-types-request";
export import ListResourceTypesRequest = ListResourceTypesRequest.ListResourceTypesRequest;
import * as ListResourceVulnerabilitiesRequest from "./list-resource-vulnerabilities-request";
export import ListResourceVulnerabilitiesRequest = ListResourceVulnerabilitiesRequest.ListResourceVulnerabilitiesRequest;
import * as ListResourcesRequest from "./list-resources-request";
export import ListResourcesRequest = ListResourcesRequest.ListResourcesRequest;
import * as ListResponderActivitiesRequest from "./list-responder-activities-request";
export import ListResponderActivitiesRequest = ListResponderActivitiesRequest.ListResponderActivitiesRequest;
import * as ListResponderExecutionsRequest from "./list-responder-executions-request";
export import ListResponderExecutionsRequest = ListResponderExecutionsRequest.ListResponderExecutionsRequest;
import * as ListResponderRecipeResponderRulesRequest from "./list-responder-recipe-responder-rules-request";
export import ListResponderRecipeResponderRulesRequest = ListResponderRecipeResponderRulesRequest.ListResponderRecipeResponderRulesRequest;
import * as ListResponderRecipesRequest from "./list-responder-recipes-request";
export import ListResponderRecipesRequest = ListResponderRecipesRequest.ListResponderRecipesRequest;
import * as ListResponderRulesRequest from "./list-responder-rules-request";
export import ListResponderRulesRequest = ListResponderRulesRequest.ListResponderRulesRequest;
import * as ListSavedQueriesRequest from "./list-saved-queries-request";
export import ListSavedQueriesRequest = ListSavedQueriesRequest.ListSavedQueriesRequest;
import * as ListSecurityPoliciesRequest from "./list-security-policies-request";
export import ListSecurityPoliciesRequest = ListSecurityPoliciesRequest.ListSecurityPoliciesRequest;
import * as ListSecurityRecipesRequest from "./list-security-recipes-request";
export import ListSecurityRecipesRequest = ListSecurityRecipesRequest.ListSecurityRecipesRequest;
import * as ListSecurityZonesRequest from "./list-security-zones-request";
export import ListSecurityZonesRequest = ListSecurityZonesRequest.ListSecurityZonesRequest;
import * as ListSightingEndpointsRequest from "./list-sighting-endpoints-request";
export import ListSightingEndpointsRequest = ListSightingEndpointsRequest.ListSightingEndpointsRequest;
import * as ListSightingImpactedResourcesRequest from "./list-sighting-impacted-resources-request";
export import ListSightingImpactedResourcesRequest = ListSightingImpactedResourcesRequest.ListSightingImpactedResourcesRequest;
import * as ListSightingsRequest from "./list-sightings-request";
export import ListSightingsRequest = ListSightingsRequest.ListSightingsRequest;
import * as ListTacticsRequest from "./list-tactics-request";
export import ListTacticsRequest = ListTacticsRequest.ListTacticsRequest;
import * as ListTargetDetectorRecipeDetectorRulesRequest from "./list-target-detector-recipe-detector-rules-request";
export import ListTargetDetectorRecipeDetectorRulesRequest = ListTargetDetectorRecipeDetectorRulesRequest.ListTargetDetectorRecipeDetectorRulesRequest;
import * as ListTargetDetectorRecipesRequest from "./list-target-detector-recipes-request";
export import ListTargetDetectorRecipesRequest = ListTargetDetectorRecipesRequest.ListTargetDetectorRecipesRequest;
import * as ListTargetResponderRecipeResponderRulesRequest from "./list-target-responder-recipe-responder-rules-request";
export import ListTargetResponderRecipeResponderRulesRequest = ListTargetResponderRecipeResponderRulesRequest.ListTargetResponderRecipeResponderRulesRequest;
import * as ListTargetResponderRecipesRequest from "./list-target-responder-recipes-request";
export import ListTargetResponderRecipesRequest = ListTargetResponderRecipesRequest.ListTargetResponderRecipesRequest;
import * as ListTargetsRequest from "./list-targets-request";
export import ListTargetsRequest = ListTargetsRequest.ListTargetsRequest;
import * as ListTechniquesRequest from "./list-techniques-request";
export import ListTechniquesRequest = ListTechniquesRequest.ListTechniquesRequest;
import * as ListWlpAgentsRequest from "./list-wlp-agents-request";
export import ListWlpAgentsRequest = ListWlpAgentsRequest.ListWlpAgentsRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as RemoveCompartmentRequest from "./remove-compartment-request";
export import RemoveCompartmentRequest = RemoveCompartmentRequest.RemoveCompartmentRequest;
import * as RequestRiskScoresRequest from "./request-risk-scores-request";
export import RequestRiskScoresRequest = RequestRiskScoresRequest.RequestRiskScoresRequest;
import * as RequestSecurityScoreSummarizedTrendRequest from "./request-security-score-summarized-trend-request";
export import RequestSecurityScoreSummarizedTrendRequest = RequestSecurityScoreSummarizedTrendRequest.RequestSecurityScoreSummarizedTrendRequest;
import * as RequestSecurityScoresRequest from "./request-security-scores-request";
export import RequestSecurityScoresRequest = RequestSecurityScoresRequest.RequestSecurityScoresRequest;
import * as RequestSummarizedActivityProblemsRequest from "./request-summarized-activity-problems-request";
export import RequestSummarizedActivityProblemsRequest = RequestSummarizedActivityProblemsRequest.RequestSummarizedActivityProblemsRequest;
import * as RequestSummarizedProblemsRequest from "./request-summarized-problems-request";
export import RequestSummarizedProblemsRequest = RequestSummarizedProblemsRequest.RequestSummarizedProblemsRequest;
import * as RequestSummarizedResponderExecutionsRequest from "./request-summarized-responder-executions-request";
export import RequestSummarizedResponderExecutionsRequest = RequestSummarizedResponderExecutionsRequest.RequestSummarizedResponderExecutionsRequest;
import * as RequestSummarizedRiskScoresRequest from "./request-summarized-risk-scores-request";
export import RequestSummarizedRiskScoresRequest = RequestSummarizedRiskScoresRequest.RequestSummarizedRiskScoresRequest;
import * as RequestSummarizedSecurityScoresRequest from "./request-summarized-security-scores-request";
export import RequestSummarizedSecurityScoresRequest = RequestSummarizedSecurityScoresRequest.RequestSummarizedSecurityScoresRequest;
import * as RequestSummarizedTopTrendResourceProfileRiskScoresRequest from "./request-summarized-top-trend-resource-profile-risk-scores-request";
export import RequestSummarizedTopTrendResourceProfileRiskScoresRequest = RequestSummarizedTopTrendResourceProfileRiskScoresRequest.RequestSummarizedTopTrendResourceProfileRiskScoresRequest;
import * as RequestSummarizedTrendProblemsRequest from "./request-summarized-trend-problems-request";
export import RequestSummarizedTrendProblemsRequest = RequestSummarizedTrendProblemsRequest.RequestSummarizedTrendProblemsRequest;
import * as RequestSummarizedTrendResourceRiskScoresRequest from "./request-summarized-trend-resource-risk-scores-request";
export import RequestSummarizedTrendResourceRiskScoresRequest = RequestSummarizedTrendResourceRiskScoresRequest.RequestSummarizedTrendResourceRiskScoresRequest;
import * as RequestSummarizedTrendResponderExecutionsRequest from "./request-summarized-trend-responder-executions-request";
export import RequestSummarizedTrendResponderExecutionsRequest = RequestSummarizedTrendResponderExecutionsRequest.RequestSummarizedTrendResponderExecutionsRequest;
import * as RequestSummarizedTrendSecurityScoresRequest from "./request-summarized-trend-security-scores-request";
export import RequestSummarizedTrendSecurityScoresRequest = RequestSummarizedTrendSecurityScoresRequest.RequestSummarizedTrendSecurityScoresRequest;
import * as SkipBulkResponderExecutionRequest from "./skip-bulk-responder-execution-request";
export import SkipBulkResponderExecutionRequest = SkipBulkResponderExecutionRequest.SkipBulkResponderExecutionRequest;
import * as SkipResponderExecutionRequest from "./skip-responder-execution-request";
export import SkipResponderExecutionRequest = SkipResponderExecutionRequest.SkipResponderExecutionRequest;
import * as TriggerResponderRequest from "./trigger-responder-request";
export import TriggerResponderRequest = TriggerResponderRequest.TriggerResponderRequest;
import * as UpdateBulkProblemStatusRequest from "./update-bulk-problem-status-request";
export import UpdateBulkProblemStatusRequest = UpdateBulkProblemStatusRequest.UpdateBulkProblemStatusRequest;
import * as UpdateConfigurationRequest from "./update-configuration-request";
export import UpdateConfigurationRequest = UpdateConfigurationRequest.UpdateConfigurationRequest;
import * as UpdateDataMaskRuleRequest from "./update-data-mask-rule-request";
export import UpdateDataMaskRuleRequest = UpdateDataMaskRuleRequest.UpdateDataMaskRuleRequest;
import * as UpdateDataSourceRequest from "./update-data-source-request";
export import UpdateDataSourceRequest = UpdateDataSourceRequest.UpdateDataSourceRequest;
import * as UpdateDetectorRecipeRequest from "./update-detector-recipe-request";
export import UpdateDetectorRecipeRequest = UpdateDetectorRecipeRequest.UpdateDetectorRecipeRequest;
import * as UpdateDetectorRecipeDetectorRuleRequest from "./update-detector-recipe-detector-rule-request";
export import UpdateDetectorRecipeDetectorRuleRequest = UpdateDetectorRecipeDetectorRuleRequest.UpdateDetectorRecipeDetectorRuleRequest;
import * as UpdateManagedListRequest from "./update-managed-list-request";
export import UpdateManagedListRequest = UpdateManagedListRequest.UpdateManagedListRequest;
import * as UpdateProblemStatusRequest from "./update-problem-status-request";
export import UpdateProblemStatusRequest = UpdateProblemStatusRequest.UpdateProblemStatusRequest;
import * as UpdateResponderRecipeRequest from "./update-responder-recipe-request";
export import UpdateResponderRecipeRequest = UpdateResponderRecipeRequest.UpdateResponderRecipeRequest;
import * as UpdateResponderRecipeResponderRuleRequest from "./update-responder-recipe-responder-rule-request";
export import UpdateResponderRecipeResponderRuleRequest = UpdateResponderRecipeResponderRuleRequest.UpdateResponderRecipeResponderRuleRequest;
import * as UpdateSavedQueryRequest from "./update-saved-query-request";
export import UpdateSavedQueryRequest = UpdateSavedQueryRequest.UpdateSavedQueryRequest;
import * as UpdateSecurityRecipeRequest from "./update-security-recipe-request";
export import UpdateSecurityRecipeRequest = UpdateSecurityRecipeRequest.UpdateSecurityRecipeRequest;
import * as UpdateSecurityZoneRequest from "./update-security-zone-request";
export import UpdateSecurityZoneRequest = UpdateSecurityZoneRequest.UpdateSecurityZoneRequest;
import * as UpdateTargetRequest from "./update-target-request";
export import UpdateTargetRequest = UpdateTargetRequest.UpdateTargetRequest;
import * as UpdateTargetDetectorRecipeRequest from "./update-target-detector-recipe-request";
export import UpdateTargetDetectorRecipeRequest = UpdateTargetDetectorRecipeRequest.UpdateTargetDetectorRecipeRequest;
import * as UpdateTargetDetectorRecipeDetectorRuleRequest from "./update-target-detector-recipe-detector-rule-request";
export import UpdateTargetDetectorRecipeDetectorRuleRequest = UpdateTargetDetectorRecipeDetectorRuleRequest.UpdateTargetDetectorRecipeDetectorRuleRequest;
import * as UpdateTargetResponderRecipeRequest from "./update-target-responder-recipe-request";
export import UpdateTargetResponderRecipeRequest = UpdateTargetResponderRecipeRequest.UpdateTargetResponderRecipeRequest;
import * as UpdateTargetResponderRecipeResponderRuleRequest from "./update-target-responder-recipe-responder-rule-request";
export import UpdateTargetResponderRecipeResponderRuleRequest = UpdateTargetResponderRecipeResponderRuleRequest.UpdateTargetResponderRecipeResponderRuleRequest;
import * as UpdateWlpAgentRequest from "./update-wlp-agent-request";
export import UpdateWlpAgentRequest = UpdateWlpAgentRequest.UpdateWlpAgentRequest;
