/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AddCompartmentResponse from "./add-compartment-response";
export import AddCompartmentResponse = AddCompartmentResponse.AddCompartmentResponse;
import * as CancelWorkRequestResponse from "./cancel-work-request-response";
export import CancelWorkRequestResponse = CancelWorkRequestResponse.CancelWorkRequestResponse;
import * as ChangeDataSourceCompartmentResponse from "./change-data-source-compartment-response";
export import ChangeDataSourceCompartmentResponse = ChangeDataSourceCompartmentResponse.ChangeDataSourceCompartmentResponse;
import * as ChangeDetectorRecipeCompartmentResponse from "./change-detector-recipe-compartment-response";
export import ChangeDetectorRecipeCompartmentResponse = ChangeDetectorRecipeCompartmentResponse.ChangeDetectorRecipeCompartmentResponse;
import * as ChangeManagedListCompartmentResponse from "./change-managed-list-compartment-response";
export import ChangeManagedListCompartmentResponse = ChangeManagedListCompartmentResponse.ChangeManagedListCompartmentResponse;
import * as ChangeResponderRecipeCompartmentResponse from "./change-responder-recipe-compartment-response";
export import ChangeResponderRecipeCompartmentResponse = ChangeResponderRecipeCompartmentResponse.ChangeResponderRecipeCompartmentResponse;
import * as ChangeSavedQueryCompartmentResponse from "./change-saved-query-compartment-response";
export import ChangeSavedQueryCompartmentResponse = ChangeSavedQueryCompartmentResponse.ChangeSavedQueryCompartmentResponse;
import * as ChangeSecurityRecipeCompartmentResponse from "./change-security-recipe-compartment-response";
export import ChangeSecurityRecipeCompartmentResponse = ChangeSecurityRecipeCompartmentResponse.ChangeSecurityRecipeCompartmentResponse;
import * as ChangeSecurityZoneCompartmentResponse from "./change-security-zone-compartment-response";
export import ChangeSecurityZoneCompartmentResponse = ChangeSecurityZoneCompartmentResponse.ChangeSecurityZoneCompartmentResponse;
import * as CreateAdhocQueryResponse from "./create-adhoc-query-response";
export import CreateAdhocQueryResponse = CreateAdhocQueryResponse.CreateAdhocQueryResponse;
import * as CreateDataMaskRuleResponse from "./create-data-mask-rule-response";
export import CreateDataMaskRuleResponse = CreateDataMaskRuleResponse.CreateDataMaskRuleResponse;
import * as CreateDataSourceResponse from "./create-data-source-response";
export import CreateDataSourceResponse = CreateDataSourceResponse.CreateDataSourceResponse;
import * as CreateDetectorRecipeResponse from "./create-detector-recipe-response";
export import CreateDetectorRecipeResponse = CreateDetectorRecipeResponse.CreateDetectorRecipeResponse;
import * as CreateDetectorRecipeDetectorRuleResponse from "./create-detector-recipe-detector-rule-response";
export import CreateDetectorRecipeDetectorRuleResponse = CreateDetectorRecipeDetectorRuleResponse.CreateDetectorRecipeDetectorRuleResponse;
import * as CreateManagedListResponse from "./create-managed-list-response";
export import CreateManagedListResponse = CreateManagedListResponse.CreateManagedListResponse;
import * as CreateResponderRecipeResponse from "./create-responder-recipe-response";
export import CreateResponderRecipeResponse = CreateResponderRecipeResponse.CreateResponderRecipeResponse;
import * as CreateSavedQueryResponse from "./create-saved-query-response";
export import CreateSavedQueryResponse = CreateSavedQueryResponse.CreateSavedQueryResponse;
import * as CreateSecurityRecipeResponse from "./create-security-recipe-response";
export import CreateSecurityRecipeResponse = CreateSecurityRecipeResponse.CreateSecurityRecipeResponse;
import * as CreateSecurityZoneResponse from "./create-security-zone-response";
export import CreateSecurityZoneResponse = CreateSecurityZoneResponse.CreateSecurityZoneResponse;
import * as CreateTargetResponse from "./create-target-response";
export import CreateTargetResponse = CreateTargetResponse.CreateTargetResponse;
import * as CreateTargetDetectorRecipeResponse from "./create-target-detector-recipe-response";
export import CreateTargetDetectorRecipeResponse = CreateTargetDetectorRecipeResponse.CreateTargetDetectorRecipeResponse;
import * as CreateTargetResponderRecipeResponse from "./create-target-responder-recipe-response";
export import CreateTargetResponderRecipeResponse = CreateTargetResponderRecipeResponse.CreateTargetResponderRecipeResponse;
import * as CreateWlpAgentResponse from "./create-wlp-agent-response";
export import CreateWlpAgentResponse = CreateWlpAgentResponse.CreateWlpAgentResponse;
import * as DeleteAdhocQueryResponse from "./delete-adhoc-query-response";
export import DeleteAdhocQueryResponse = DeleteAdhocQueryResponse.DeleteAdhocQueryResponse;
import * as DeleteDataMaskRuleResponse from "./delete-data-mask-rule-response";
export import DeleteDataMaskRuleResponse = DeleteDataMaskRuleResponse.DeleteDataMaskRuleResponse;
import * as DeleteDataSourceResponse from "./delete-data-source-response";
export import DeleteDataSourceResponse = DeleteDataSourceResponse.DeleteDataSourceResponse;
import * as DeleteDetectorRecipeResponse from "./delete-detector-recipe-response";
export import DeleteDetectorRecipeResponse = DeleteDetectorRecipeResponse.DeleteDetectorRecipeResponse;
import * as DeleteDetectorRecipeDetectorRuleResponse from "./delete-detector-recipe-detector-rule-response";
export import DeleteDetectorRecipeDetectorRuleResponse = DeleteDetectorRecipeDetectorRuleResponse.DeleteDetectorRecipeDetectorRuleResponse;
import * as DeleteDetectorRecipeDetectorRuleDataSourceResponse from "./delete-detector-recipe-detector-rule-data-source-response";
export import DeleteDetectorRecipeDetectorRuleDataSourceResponse = DeleteDetectorRecipeDetectorRuleDataSourceResponse.DeleteDetectorRecipeDetectorRuleDataSourceResponse;
import * as DeleteManagedListResponse from "./delete-managed-list-response";
export import DeleteManagedListResponse = DeleteManagedListResponse.DeleteManagedListResponse;
import * as DeleteResponderRecipeResponse from "./delete-responder-recipe-response";
export import DeleteResponderRecipeResponse = DeleteResponderRecipeResponse.DeleteResponderRecipeResponse;
import * as DeleteSavedQueryResponse from "./delete-saved-query-response";
export import DeleteSavedQueryResponse = DeleteSavedQueryResponse.DeleteSavedQueryResponse;
import * as DeleteSecurityRecipeResponse from "./delete-security-recipe-response";
export import DeleteSecurityRecipeResponse = DeleteSecurityRecipeResponse.DeleteSecurityRecipeResponse;
import * as DeleteSecurityZoneResponse from "./delete-security-zone-response";
export import DeleteSecurityZoneResponse = DeleteSecurityZoneResponse.DeleteSecurityZoneResponse;
import * as DeleteTargetResponse from "./delete-target-response";
export import DeleteTargetResponse = DeleteTargetResponse.DeleteTargetResponse;
import * as DeleteTargetDetectorRecipeResponse from "./delete-target-detector-recipe-response";
export import DeleteTargetDetectorRecipeResponse = DeleteTargetDetectorRecipeResponse.DeleteTargetDetectorRecipeResponse;
import * as DeleteTargetResponderRecipeResponse from "./delete-target-responder-recipe-response";
export import DeleteTargetResponderRecipeResponse = DeleteTargetResponderRecipeResponse.DeleteTargetResponderRecipeResponse;
import * as DeleteWlpAgentResponse from "./delete-wlp-agent-response";
export import DeleteWlpAgentResponse = DeleteWlpAgentResponse.DeleteWlpAgentResponse;
import * as ExecuteResponderExecutionResponse from "./execute-responder-execution-response";
export import ExecuteResponderExecutionResponse = ExecuteResponderExecutionResponse.ExecuteResponderExecutionResponse;
import * as GetAdhocQueryResponse from "./get-adhoc-query-response";
export import GetAdhocQueryResponse = GetAdhocQueryResponse.GetAdhocQueryResponse;
import * as GetAdhocQueryResultContentResponse from "./get-adhoc-query-result-content-response";
export import GetAdhocQueryResultContentResponse = GetAdhocQueryResultContentResponse.GetAdhocQueryResultContentResponse;
import * as GetConditionMetadataTypeResponse from "./get-condition-metadata-type-response";
export import GetConditionMetadataTypeResponse = GetConditionMetadataTypeResponse.GetConditionMetadataTypeResponse;
import * as GetConfigurationResponse from "./get-configuration-response";
export import GetConfigurationResponse = GetConfigurationResponse.GetConfigurationResponse;
import * as GetDataMaskRuleResponse from "./get-data-mask-rule-response";
export import GetDataMaskRuleResponse = GetDataMaskRuleResponse.GetDataMaskRuleResponse;
import * as GetDataSourceResponse from "./get-data-source-response";
export import GetDataSourceResponse = GetDataSourceResponse.GetDataSourceResponse;
import * as GetDetectorResponse from "./get-detector-response";
export import GetDetectorResponse = GetDetectorResponse.GetDetectorResponse;
import * as GetDetectorRecipeResponse from "./get-detector-recipe-response";
export import GetDetectorRecipeResponse = GetDetectorRecipeResponse.GetDetectorRecipeResponse;
import * as GetDetectorRecipeDetectorRuleResponse from "./get-detector-recipe-detector-rule-response";
export import GetDetectorRecipeDetectorRuleResponse = GetDetectorRecipeDetectorRuleResponse.GetDetectorRecipeDetectorRuleResponse;
import * as GetDetectorRuleResponse from "./get-detector-rule-response";
export import GetDetectorRuleResponse = GetDetectorRuleResponse.GetDetectorRuleResponse;
import * as GetManagedListResponse from "./get-managed-list-response";
export import GetManagedListResponse = GetManagedListResponse.GetManagedListResponse;
import * as GetProblemResponse from "./get-problem-response";
export import GetProblemResponse = GetProblemResponse.GetProblemResponse;
import * as GetResourceResponse from "./get-resource-response";
export import GetResourceResponse = GetResourceResponse.GetResourceResponse;
import * as GetResourceProfileResponse from "./get-resource-profile-response";
export import GetResourceProfileResponse = GetResourceProfileResponse.GetResourceProfileResponse;
import * as GetResourceVulnerabilityResponse from "./get-resource-vulnerability-response";
export import GetResourceVulnerabilityResponse = GetResourceVulnerabilityResponse.GetResourceVulnerabilityResponse;
import * as GetResponderExecutionResponse from "./get-responder-execution-response";
export import GetResponderExecutionResponse = GetResponderExecutionResponse.GetResponderExecutionResponse;
import * as GetResponderRecipeResponse from "./get-responder-recipe-response";
export import GetResponderRecipeResponse = GetResponderRecipeResponse.GetResponderRecipeResponse;
import * as GetResponderRecipeResponderRuleResponse from "./get-responder-recipe-responder-rule-response";
export import GetResponderRecipeResponderRuleResponse = GetResponderRecipeResponderRuleResponse.GetResponderRecipeResponderRuleResponse;
import * as GetResponderRuleResponse from "./get-responder-rule-response";
export import GetResponderRuleResponse = GetResponderRuleResponse.GetResponderRuleResponse;
import * as GetSavedQueryResponse from "./get-saved-query-response";
export import GetSavedQueryResponse = GetSavedQueryResponse.GetSavedQueryResponse;
import * as GetSecurityPolicyResponse from "./get-security-policy-response";
export import GetSecurityPolicyResponse = GetSecurityPolicyResponse.GetSecurityPolicyResponse;
import * as GetSecurityRecipeResponse from "./get-security-recipe-response";
export import GetSecurityRecipeResponse = GetSecurityRecipeResponse.GetSecurityRecipeResponse;
import * as GetSecurityZoneResponse from "./get-security-zone-response";
export import GetSecurityZoneResponse = GetSecurityZoneResponse.GetSecurityZoneResponse;
import * as GetSightingResponse from "./get-sighting-response";
export import GetSightingResponse = GetSightingResponse.GetSightingResponse;
import * as GetTargetResponse from "./get-target-response";
export import GetTargetResponse = GetTargetResponse.GetTargetResponse;
import * as GetTargetDetectorRecipeResponse from "./get-target-detector-recipe-response";
export import GetTargetDetectorRecipeResponse = GetTargetDetectorRecipeResponse.GetTargetDetectorRecipeResponse;
import * as GetTargetDetectorRecipeDetectorRuleResponse from "./get-target-detector-recipe-detector-rule-response";
export import GetTargetDetectorRecipeDetectorRuleResponse = GetTargetDetectorRecipeDetectorRuleResponse.GetTargetDetectorRecipeDetectorRuleResponse;
import * as GetTargetResponderRecipeResponse from "./get-target-responder-recipe-response";
export import GetTargetResponderRecipeResponse = GetTargetResponderRecipeResponse.GetTargetResponderRecipeResponse;
import * as GetTargetResponderRecipeResponderRuleResponse from "./get-target-responder-recipe-responder-rule-response";
export import GetTargetResponderRecipeResponderRuleResponse = GetTargetResponderRecipeResponderRuleResponse.GetTargetResponderRecipeResponderRuleResponse;
import * as GetWlpAgentResponse from "./get-wlp-agent-response";
export import GetWlpAgentResponse = GetWlpAgentResponse.GetWlpAgentResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as ListAdhocQueriesResponse from "./list-adhoc-queries-response";
export import ListAdhocQueriesResponse = ListAdhocQueriesResponse.ListAdhocQueriesResponse;
import * as ListAdhocQueryResultsResponse from "./list-adhoc-query-results-response";
export import ListAdhocQueryResultsResponse = ListAdhocQueryResultsResponse.ListAdhocQueryResultsResponse;
import * as ListConditionMetadataTypesResponse from "./list-condition-metadata-types-response";
export import ListConditionMetadataTypesResponse = ListConditionMetadataTypesResponse.ListConditionMetadataTypesResponse;
import * as ListDataMaskRulesResponse from "./list-data-mask-rules-response";
export import ListDataMaskRulesResponse = ListDataMaskRulesResponse.ListDataMaskRulesResponse;
import * as ListDataSourceEventsResponse from "./list-data-source-events-response";
export import ListDataSourceEventsResponse = ListDataSourceEventsResponse.ListDataSourceEventsResponse;
import * as ListDataSourcesResponse from "./list-data-sources-response";
export import ListDataSourcesResponse = ListDataSourcesResponse.ListDataSourcesResponse;
import * as ListDetectorRecipeDetectorRulesResponse from "./list-detector-recipe-detector-rules-response";
export import ListDetectorRecipeDetectorRulesResponse = ListDetectorRecipeDetectorRulesResponse.ListDetectorRecipeDetectorRulesResponse;
import * as ListDetectorRecipesResponse from "./list-detector-recipes-response";
export import ListDetectorRecipesResponse = ListDetectorRecipesResponse.ListDetectorRecipesResponse;
import * as ListDetectorRulesResponse from "./list-detector-rules-response";
export import ListDetectorRulesResponse = ListDetectorRulesResponse.ListDetectorRulesResponse;
import * as ListDetectorsResponse from "./list-detectors-response";
export import ListDetectorsResponse = ListDetectorsResponse.ListDetectorsResponse;
import * as ListImpactedResourcesResponse from "./list-impacted-resources-response";
export import ListImpactedResourcesResponse = ListImpactedResourcesResponse.ListImpactedResourcesResponse;
import * as ListManagedListTypesResponse from "./list-managed-list-types-response";
export import ListManagedListTypesResponse = ListManagedListTypesResponse.ListManagedListTypesResponse;
import * as ListManagedListsResponse from "./list-managed-lists-response";
export import ListManagedListsResponse = ListManagedListsResponse.ListManagedListsResponse;
import * as ListPoliciesResponse from "./list-policies-response";
export import ListPoliciesResponse = ListPoliciesResponse.ListPoliciesResponse;
import * as ListProblemEndpointsResponse from "./list-problem-endpoints-response";
export import ListProblemEndpointsResponse = ListProblemEndpointsResponse.ListProblemEndpointsResponse;
import * as ListProblemEntitiesResponse from "./list-problem-entities-response";
export import ListProblemEntitiesResponse = ListProblemEntitiesResponse.ListProblemEntitiesResponse;
import * as ListProblemHistoriesResponse from "./list-problem-histories-response";
export import ListProblemHistoriesResponse = ListProblemHistoriesResponse.ListProblemHistoriesResponse;
import * as ListProblemsResponse from "./list-problems-response";
export import ListProblemsResponse = ListProblemsResponse.ListProblemsResponse;
import * as ListRecommendationsResponse from "./list-recommendations-response";
export import ListRecommendationsResponse = ListRecommendationsResponse.ListRecommendationsResponse;
import * as ListResourcePortsResponse from "./list-resource-ports-response";
export import ListResourcePortsResponse = ListResourcePortsResponse.ListResourcePortsResponse;
import * as ListResourceProfileEndpointsResponse from "./list-resource-profile-endpoints-response";
export import ListResourceProfileEndpointsResponse = ListResourceProfileEndpointsResponse.ListResourceProfileEndpointsResponse;
import * as ListResourceProfileImpactedResourcesResponse from "./list-resource-profile-impacted-resources-response";
export import ListResourceProfileImpactedResourcesResponse = ListResourceProfileImpactedResourcesResponse.ListResourceProfileImpactedResourcesResponse;
import * as ListResourceProfilesResponse from "./list-resource-profiles-response";
export import ListResourceProfilesResponse = ListResourceProfilesResponse.ListResourceProfilesResponse;
import * as ListResourceTypesResponse from "./list-resource-types-response";
export import ListResourceTypesResponse = ListResourceTypesResponse.ListResourceTypesResponse;
import * as ListResourceVulnerabilitiesResponse from "./list-resource-vulnerabilities-response";
export import ListResourceVulnerabilitiesResponse = ListResourceVulnerabilitiesResponse.ListResourceVulnerabilitiesResponse;
import * as ListResourcesResponse from "./list-resources-response";
export import ListResourcesResponse = ListResourcesResponse.ListResourcesResponse;
import * as ListResponderActivitiesResponse from "./list-responder-activities-response";
export import ListResponderActivitiesResponse = ListResponderActivitiesResponse.ListResponderActivitiesResponse;
import * as ListResponderExecutionsResponse from "./list-responder-executions-response";
export import ListResponderExecutionsResponse = ListResponderExecutionsResponse.ListResponderExecutionsResponse;
import * as ListResponderRecipeResponderRulesResponse from "./list-responder-recipe-responder-rules-response";
export import ListResponderRecipeResponderRulesResponse = ListResponderRecipeResponderRulesResponse.ListResponderRecipeResponderRulesResponse;
import * as ListResponderRecipesResponse from "./list-responder-recipes-response";
export import ListResponderRecipesResponse = ListResponderRecipesResponse.ListResponderRecipesResponse;
import * as ListResponderRulesResponse from "./list-responder-rules-response";
export import ListResponderRulesResponse = ListResponderRulesResponse.ListResponderRulesResponse;
import * as ListSavedQueriesResponse from "./list-saved-queries-response";
export import ListSavedQueriesResponse = ListSavedQueriesResponse.ListSavedQueriesResponse;
import * as ListSecurityPoliciesResponse from "./list-security-policies-response";
export import ListSecurityPoliciesResponse = ListSecurityPoliciesResponse.ListSecurityPoliciesResponse;
import * as ListSecurityRecipesResponse from "./list-security-recipes-response";
export import ListSecurityRecipesResponse = ListSecurityRecipesResponse.ListSecurityRecipesResponse;
import * as ListSecurityZonesResponse from "./list-security-zones-response";
export import ListSecurityZonesResponse = ListSecurityZonesResponse.ListSecurityZonesResponse;
import * as ListSightingEndpointsResponse from "./list-sighting-endpoints-response";
export import ListSightingEndpointsResponse = ListSightingEndpointsResponse.ListSightingEndpointsResponse;
import * as ListSightingImpactedResourcesResponse from "./list-sighting-impacted-resources-response";
export import ListSightingImpactedResourcesResponse = ListSightingImpactedResourcesResponse.ListSightingImpactedResourcesResponse;
import * as ListSightingsResponse from "./list-sightings-response";
export import ListSightingsResponse = ListSightingsResponse.ListSightingsResponse;
import * as ListTacticsResponse from "./list-tactics-response";
export import ListTacticsResponse = ListTacticsResponse.ListTacticsResponse;
import * as ListTargetDetectorRecipeDetectorRulesResponse from "./list-target-detector-recipe-detector-rules-response";
export import ListTargetDetectorRecipeDetectorRulesResponse = ListTargetDetectorRecipeDetectorRulesResponse.ListTargetDetectorRecipeDetectorRulesResponse;
import * as ListTargetDetectorRecipesResponse from "./list-target-detector-recipes-response";
export import ListTargetDetectorRecipesResponse = ListTargetDetectorRecipesResponse.ListTargetDetectorRecipesResponse;
import * as ListTargetResponderRecipeResponderRulesResponse from "./list-target-responder-recipe-responder-rules-response";
export import ListTargetResponderRecipeResponderRulesResponse = ListTargetResponderRecipeResponderRulesResponse.ListTargetResponderRecipeResponderRulesResponse;
import * as ListTargetResponderRecipesResponse from "./list-target-responder-recipes-response";
export import ListTargetResponderRecipesResponse = ListTargetResponderRecipesResponse.ListTargetResponderRecipesResponse;
import * as ListTargetsResponse from "./list-targets-response";
export import ListTargetsResponse = ListTargetsResponse.ListTargetsResponse;
import * as ListTechniquesResponse from "./list-techniques-response";
export import ListTechniquesResponse = ListTechniquesResponse.ListTechniquesResponse;
import * as ListWlpAgentsResponse from "./list-wlp-agents-response";
export import ListWlpAgentsResponse = ListWlpAgentsResponse.ListWlpAgentsResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as RemoveCompartmentResponse from "./remove-compartment-response";
export import RemoveCompartmentResponse = RemoveCompartmentResponse.RemoveCompartmentResponse;
import * as RequestRiskScoresResponse from "./request-risk-scores-response";
export import RequestRiskScoresResponse = RequestRiskScoresResponse.RequestRiskScoresResponse;
import * as RequestSecurityScoreSummarizedTrendResponse from "./request-security-score-summarized-trend-response";
export import RequestSecurityScoreSummarizedTrendResponse = RequestSecurityScoreSummarizedTrendResponse.RequestSecurityScoreSummarizedTrendResponse;
import * as RequestSecurityScoresResponse from "./request-security-scores-response";
export import RequestSecurityScoresResponse = RequestSecurityScoresResponse.RequestSecurityScoresResponse;
import * as RequestSummarizedActivityProblemsResponse from "./request-summarized-activity-problems-response";
export import RequestSummarizedActivityProblemsResponse = RequestSummarizedActivityProblemsResponse.RequestSummarizedActivityProblemsResponse;
import * as RequestSummarizedProblemsResponse from "./request-summarized-problems-response";
export import RequestSummarizedProblemsResponse = RequestSummarizedProblemsResponse.RequestSummarizedProblemsResponse;
import * as RequestSummarizedResponderExecutionsResponse from "./request-summarized-responder-executions-response";
export import RequestSummarizedResponderExecutionsResponse = RequestSummarizedResponderExecutionsResponse.RequestSummarizedResponderExecutionsResponse;
import * as RequestSummarizedRiskScoresResponse from "./request-summarized-risk-scores-response";
export import RequestSummarizedRiskScoresResponse = RequestSummarizedRiskScoresResponse.RequestSummarizedRiskScoresResponse;
import * as RequestSummarizedSecurityScoresResponse from "./request-summarized-security-scores-response";
export import RequestSummarizedSecurityScoresResponse = RequestSummarizedSecurityScoresResponse.RequestSummarizedSecurityScoresResponse;
import * as RequestSummarizedTopTrendResourceProfileRiskScoresResponse from "./request-summarized-top-trend-resource-profile-risk-scores-response";
export import RequestSummarizedTopTrendResourceProfileRiskScoresResponse = RequestSummarizedTopTrendResourceProfileRiskScoresResponse.RequestSummarizedTopTrendResourceProfileRiskScoresResponse;
import * as RequestSummarizedTrendProblemsResponse from "./request-summarized-trend-problems-response";
export import RequestSummarizedTrendProblemsResponse = RequestSummarizedTrendProblemsResponse.RequestSummarizedTrendProblemsResponse;
import * as RequestSummarizedTrendResourceRiskScoresResponse from "./request-summarized-trend-resource-risk-scores-response";
export import RequestSummarizedTrendResourceRiskScoresResponse = RequestSummarizedTrendResourceRiskScoresResponse.RequestSummarizedTrendResourceRiskScoresResponse;
import * as RequestSummarizedTrendResponderExecutionsResponse from "./request-summarized-trend-responder-executions-response";
export import RequestSummarizedTrendResponderExecutionsResponse = RequestSummarizedTrendResponderExecutionsResponse.RequestSummarizedTrendResponderExecutionsResponse;
import * as RequestSummarizedTrendSecurityScoresResponse from "./request-summarized-trend-security-scores-response";
export import RequestSummarizedTrendSecurityScoresResponse = RequestSummarizedTrendSecurityScoresResponse.RequestSummarizedTrendSecurityScoresResponse;
import * as SkipBulkResponderExecutionResponse from "./skip-bulk-responder-execution-response";
export import SkipBulkResponderExecutionResponse = SkipBulkResponderExecutionResponse.SkipBulkResponderExecutionResponse;
import * as SkipResponderExecutionResponse from "./skip-responder-execution-response";
export import SkipResponderExecutionResponse = SkipResponderExecutionResponse.SkipResponderExecutionResponse;
import * as TriggerResponderResponse from "./trigger-responder-response";
export import TriggerResponderResponse = TriggerResponderResponse.TriggerResponderResponse;
import * as UpdateBulkProblemStatusResponse from "./update-bulk-problem-status-response";
export import UpdateBulkProblemStatusResponse = UpdateBulkProblemStatusResponse.UpdateBulkProblemStatusResponse;
import * as UpdateConfigurationResponse from "./update-configuration-response";
export import UpdateConfigurationResponse = UpdateConfigurationResponse.UpdateConfigurationResponse;
import * as UpdateDataMaskRuleResponse from "./update-data-mask-rule-response";
export import UpdateDataMaskRuleResponse = UpdateDataMaskRuleResponse.UpdateDataMaskRuleResponse;
import * as UpdateDataSourceResponse from "./update-data-source-response";
export import UpdateDataSourceResponse = UpdateDataSourceResponse.UpdateDataSourceResponse;
import * as UpdateDetectorRecipeResponse from "./update-detector-recipe-response";
export import UpdateDetectorRecipeResponse = UpdateDetectorRecipeResponse.UpdateDetectorRecipeResponse;
import * as UpdateDetectorRecipeDetectorRuleResponse from "./update-detector-recipe-detector-rule-response";
export import UpdateDetectorRecipeDetectorRuleResponse = UpdateDetectorRecipeDetectorRuleResponse.UpdateDetectorRecipeDetectorRuleResponse;
import * as UpdateManagedListResponse from "./update-managed-list-response";
export import UpdateManagedListResponse = UpdateManagedListResponse.UpdateManagedListResponse;
import * as UpdateProblemStatusResponse from "./update-problem-status-response";
export import UpdateProblemStatusResponse = UpdateProblemStatusResponse.UpdateProblemStatusResponse;
import * as UpdateResponderRecipeResponse from "./update-responder-recipe-response";
export import UpdateResponderRecipeResponse = UpdateResponderRecipeResponse.UpdateResponderRecipeResponse;
import * as UpdateResponderRecipeResponderRuleResponse from "./update-responder-recipe-responder-rule-response";
export import UpdateResponderRecipeResponderRuleResponse = UpdateResponderRecipeResponderRuleResponse.UpdateResponderRecipeResponderRuleResponse;
import * as UpdateSavedQueryResponse from "./update-saved-query-response";
export import UpdateSavedQueryResponse = UpdateSavedQueryResponse.UpdateSavedQueryResponse;
import * as UpdateSecurityRecipeResponse from "./update-security-recipe-response";
export import UpdateSecurityRecipeResponse = UpdateSecurityRecipeResponse.UpdateSecurityRecipeResponse;
import * as UpdateSecurityZoneResponse from "./update-security-zone-response";
export import UpdateSecurityZoneResponse = UpdateSecurityZoneResponse.UpdateSecurityZoneResponse;
import * as UpdateTargetResponse from "./update-target-response";
export import UpdateTargetResponse = UpdateTargetResponse.UpdateTargetResponse;
import * as UpdateTargetDetectorRecipeResponse from "./update-target-detector-recipe-response";
export import UpdateTargetDetectorRecipeResponse = UpdateTargetDetectorRecipeResponse.UpdateTargetDetectorRecipeResponse;
import * as UpdateTargetDetectorRecipeDetectorRuleResponse from "./update-target-detector-recipe-detector-rule-response";
export import UpdateTargetDetectorRecipeDetectorRuleResponse = UpdateTargetDetectorRecipeDetectorRuleResponse.UpdateTargetDetectorRecipeDetectorRuleResponse;
import * as UpdateTargetResponderRecipeResponse from "./update-target-responder-recipe-response";
export import UpdateTargetResponderRecipeResponse = UpdateTargetResponderRecipeResponse.UpdateTargetResponderRecipeResponse;
import * as UpdateTargetResponderRecipeResponderRuleResponse from "./update-target-responder-recipe-responder-rule-response";
export import UpdateTargetResponderRecipeResponderRuleResponse = UpdateTargetResponderRecipeResponderRuleResponse.UpdateTargetResponderRecipeResponderRuleResponse;
import * as UpdateWlpAgentResponse from "./update-wlp-agent-response";
export import UpdateWlpAgentResponse = UpdateWlpAgentResponse.UpdateWlpAgentResponse;
