/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { MigrationClient } from "./client";
export declare class MigrationWaiter {
    private client;
    private readonly config?;
    constructor(client: MigrationClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forMigration till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMigrationResponse | null (null in case of 404 response)
     */
    forMigration(request: serviceRequests.GetMigrationRequest, ...targetStates: models.Migration.LifecycleState[]): Promise<serviceResponses.GetMigrationResponse | null>;
    /**
     * Waits forMigrationAsset till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMigrationAssetResponse | null (null in case of 404 response)
     */
    forMigrationAsset(request: serviceRequests.GetMigrationAssetRequest, ...targetStates: models.MigrationAsset.LifecycleState[]): Promise<serviceResponses.GetMigrationAssetResponse | null>;
    /**
     * Waits forMigrationPlan till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMigrationPlanResponse | null (null in case of 404 response)
     */
    forMigrationPlan(request: serviceRequests.GetMigrationPlanRequest, ...targetStates: models.MigrationPlan.LifecycleState[]): Promise<serviceResponses.GetMigrationPlanResponse | null>;
    /**
     * Waits forReplicationSchedule till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetReplicationScheduleResponse | null (null in case of 404 response)
     */
    forReplicationSchedule(request: serviceRequests.GetReplicationScheduleRequest, ...targetStates: models.ReplicationSchedule.LifecycleState[]): Promise<serviceResponses.GetReplicationScheduleResponse | null>;
    /**
     * Waits forTargetAsset till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetTargetAssetResponse | null (null in case of 404 response)
     */
    forTargetAsset(request: serviceRequests.GetTargetAssetRequest, ...targetStates: models.TargetAsset.LifecycleState[]): Promise<serviceResponses.GetTargetAssetResponse | null>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
