/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Credentials for an asset source.
 */
export interface AssetSourceCredentials {
    /**
     * Authentication type
     */
    "type": model.AssetSourceCredentialsType;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the secret in a vault.
     * If the the type of the credentials is BASIC{@code , the secret must contain the username and
     * password in JSON format, which is in the form of }{ \"username\": \"<VMwareUser>\", \"password\": \"<VMwarePassword>\" }.
     *
     */
    "secretId": string;
}
export declare namespace AssetSourceCredentials {
    function getJsonObj(obj: AssetSourceCredentials): object;
    function getDeserializedJsonObj(obj: AssetSourceCredentials): object;
}
