/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Sumarized information about a shape.
 */
export interface AvailableShapeSummary {
    /**
     * Availability domain of the shape.
     */
    "availabilityDomain": string;
    /**
     * Shape name and availability domain.  Used for pagination.
     */
    "paginationToken": string;
    /**
     * Minimum CPUs required. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minTotalBaselineOcpusRequired"?: number;
    /**
     * Name of the shape.
     */
    "shape": string;
    /**
     * Description of the processor.
     */
    "processorDescription": string;
    /**
     * Number of CPUs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ocpus": number;
    /**
     * Amount of memory for the shape. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs": number;
    /**
     * Shape bandwidth. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "networkingBandwidthInGbps"?: number;
    /**
     * Maximum number of virtual network interfaces that can be attached. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxVnicAttachments"?: number;
    /**
     * Number of GPUs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "gpus"?: number;
    /**
     * Description of the GPUs.
     */
    "gpuDescription"?: string;
    /**
     * Number of local disks. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "localDisks"?: number;
    /**
     * Total size of local disks for shape. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "localDisksTotalSizeInGBs"?: number;
    /**
     * Description of local disks.
     */
    "localDiskDescription"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. It exists only for cross-compatibility.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace AvailableShapeSummary {
    function getJsonObj(obj: AvailableShapeSummary): object;
    function getDeserializedJsonObj(obj: AvailableShapeSummary): object;
}
