/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of the new migration asset.
 */
export interface CreateMigrationAssetDetails {
    /**
     * A user-friendly name. If empty, then source asset name will be used. Does not have to be unique, and it's changeable. Avoid entering confidential information.
     */
    "displayName"?: string;
    /**
     * OCID of an asset for an inventory.
     */
    "inventoryAssetId": string;
    /**
     * OCID of the associated migration.
     */
    "migrationId": string;
    /**
     * Replication schedule identifier
     */
    "replicationScheduleId"?: string;
    /**
     * Availability domain
     */
    "availabilityDomain": string;
    /**
     * Replication compartment identifier
     */
    "replicationCompartmentId": string;
    /**
     * Name of snapshot bucket
     */
    "snapShotBucketName": string;
    /**
     * List of migration assets that depends on this asset.
     */
    "dependsOn"?: Array<string>;
}
export declare namespace CreateMigrationAssetDetails {
    function getJsonObj(obj: CreateMigrationAssetDetails): object;
    function getDeserializedJsonObj(obj: CreateMigrationAssetDetails): object;
}
