/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Description of the VM target asset.
 */
export interface CreateVmTargetAssetDetails extends model.CreateTargetAssetDetails {
    /**
     * Preferred VM shape type that you provide.
     */
    "preferredShapeType": string;
    /**
     * Performance of the block volumes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "blockVolumesPerformance"?: number;
    /**
     * Microsoft license for the VM configuration.
     */
    "msLicense"?: string;
    "userSpec": model.LaunchInstanceDetails;
    "type": string;
}
export declare namespace CreateVmTargetAssetDetails {
    function getJsonObj(obj: CreateVmTargetAssetDetails, isParentJsonObj?: boolean): object;
    const type = "INSTANCE";
    function getDeserializedJsonObj(obj: CreateVmTargetAssetDetails, isParentJsonObj?: boolean): object;
}
