/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Progress of a migration asset's replication process.
 */
export interface ReplicationProgress {
    /**
     * Percentage of the current replication progress from 0 to 100. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentage": number;
    /**
     * Status of the current replication progress. It can be None or InProgress.
     */
    "status"?: ReplicationProgress.Status;
    /**
     * Start time of the current replication process
     */
    "timeStarted"?: Date;
    /**
     * Start time of the last replication process. It can be Completed or Failed.
     */
    "timeOflastReplicationStart"?: Date;
    /**
     * End time of the last replication process. It can be Completed or Failed.
     */
    "timeOfLastReplicationEnd"?: Date;
    /**
     * End time of the last successful replication process, which has been completed.
     */
    "timeOfLastReplicationSuccess"?: Date;
    /**
     * Status of the last replication task. It can be Completed or Failed.
     */
    "lastReplicationStatus"?: ReplicationProgress.LastReplicationStatus;
    /**
     * Error message if the last finished replication failed.
     */
    "lastReplicationError"?: string;
}
export declare namespace ReplicationProgress {
    enum Status {
        None = "NONE",
        InProgress = "IN_PROGRESS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum LastReplicationStatus {
        None = "NONE",
        Completed = "COMPLETED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ReplicationProgress): object;
    function getDeserializedJsonObj(obj: ReplicationProgress): object;
}
