/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Cost estimation for storage
 */
export interface StorageCostEstimation {
    /**
     * Volume estimation
     */
    "volumes": Array<model.VolumeCostEstimation>;
    /**
     * Gigabyte storage capacity per month. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalGbPerMonth": number;
    /**
     * Gigabyte storage capacity per month by subscription. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalGbPerMonthBySubscription"?: number;
}
export declare namespace StorageCostEstimation {
    function getJsonObj(obj: StorageCostEstimation): object;
    function getDeserializedJsonObj(obj: StorageCostEstimation): object;
}
