/**
 * Oracle Cloud Migrations API
 * A description of the Oracle Cloud Migrations API.
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Cost estimation for volume
 */
export interface VolumeCostEstimation {
    /**
     * Gigabyte storage capacity Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "capacityGb": number;
    /**
     * Volume description
     */
    "description"?: string;
    /**
     * Gigabyte storage capacity per month. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalGbPerMonth": number;
    /**
     * Gigabyte storage capacity per month by subscription Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalGbPerMonthBySubscription"?: number;
}
export declare namespace VolumeCostEstimation {
    function getJsonObj(obj: VolumeCostEstimation): object;
    function getDeserializedJsonObj(obj: VolumeCostEstimation): object;
}
