/**
 *
 *
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/cloudmigrations/ListAvailableShapes.ts.html |here} to see how to use ListAvailableShapesRequest.
 */
export interface ListAvailableShapesRequest extends common.BaseRequest {
    /**
     * Unique migration plan identifier
     */
    "migrationPlanId": string;
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId"?: string;
    /**
     * The ID of the Dvh in which to list resources.
     */
    "dvhHostId"?: string;
    /**
     * The availability domain in which to list resources.
     */
    "availabilityDomain"?: string;
    /**
     * The reserved capacity ID for which to list resources.
     */
    "reservedCapacityId"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of the previous response.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order can be provided. The default order for 'timeCreated' is descending. The default order for 'displayName' is ascending.
     *
     */
    "sortBy"?: ListAvailableShapesRequest.SortBy;
}
export declare namespace ListAvailableShapesRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName"
    }
}
