/**
 *
 *
 * OpenAPI spec version: 20220919
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/cloudmigrations/ListTargetAssets.ts.html |here} to see how to use ListTargetAssetsRequest.
 */
export interface ListTargetAssetsRequest extends common.BaseRequest {
    /**
     * Unique migration plan identifier
     */
    "migrationPlanId"?: string;
    /**
     * A filter to return only resources that match the entire given display name.
     */
    "displayName"?: string;
    /**
     * Unique target asset identifier
     */
    "targetAssetId"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of the previous response.
     */
    "page"?: string;
    /**
     * The current state of the target asset.
     */
    "lifecycleState"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order can be provided. The default order for 'timeCreated' is descending. The default order for 'displayName' is ascending.
     *
     */
    "sortBy"?: ListTargetAssetsRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListTargetAssetsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName"
    }
}
