/**
 * Cluster Placement Groups API
 * API for managing cluster placement groups.
 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The resource created or operated on by a work request.
 */
export interface WorkRequestResource {
    /**
     * The resource type that the work request affects.
     */
    "entityType": string;
    /**
     * The way in which the resource is affected by the work tracked in the work request.
     * A resource being created, updated, or deleted remains in the IN_PROGRESS state until
     * work is complete for that resource, at which point the state transitions to CREATED, UPDATED,
     * or DELETED, respectively.
     *
     */
    "actionType": model.ActionType;
    /**
     * The identifier of the resource that the work request affects.
     */
    "identifier": string;
    /**
     * The URI path to which a client can send a GET to access the resource metadata.
     */
    "entityUri"?: string;
    /**
     * Additional information that helps to explain the resource.
     */
    "metadata"?: {
        [key: string]: string;
    };
}
export declare namespace WorkRequestResource {
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
