/**
 *
 *
 * OpenAPI spec version: 20230801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/clusterplacementgroups/ListClusterPlacementGroups.ts.html |here} to see how to use ListClusterPlacementGroupsRequest.
 */
export interface ListClusterPlacementGroupsRequest extends common.BaseRequest {
    /**
     * A filter to return only the resources that match the specified compartment [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm).
     *
     */
    "compartmentId"?: string;
    /**
     * A filter to return only the resources that match the specified lifecycle state.
     */
    "lifecycleState"?: string;
    /**
     * A filter to return only the resources that match the entire display name specified.
     */
    "name"?: string;
    /**
     * A filter to return only the resources that match the specified availability domain.
     */
    "ad"?: string;
    /**
     * A filter to return only the resources that match the specified unique cluster placement group identifier.
     */
    "id"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. You can specify only one sort order. The default order for {@code timeCreated} is descending. The default order for {@code name} is ascending.
     *
     */
    "sortBy"?: ListClusterPlacementGroupsRequest.SortBy;
    /**
     * When set to {@code true}, cluster placement groups in all compartments under the specified compartment are returned. The default is set to {@code false}.
     *
     */
    "compartmentIdInSubtree"?: boolean;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListClusterPlacementGroupsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        Name = "name",
        Id = "id"
    }
}
