/**
 * Copyright (c) 2020, 2021 Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import { Region } from "./region";
export declare class EndpointBuilder {
    static createEndpointFromRegion(template: string, region: Region, endpointServiceName?: string, serviceEndpointTemplatePerRealm?: any, useRealmSpecificEndpointTemplate?: boolean): string;
    private static checkAndGetEndpointTemplateToUse;
    private static getEndpointTemplateToUse;
    static createEndpointFromRegionId(template: string, regionId: string, endpointServiceName?: string, serviceEndpointTemplatePerRealm?: any, useRealmSpecificEndpointTemplate?: boolean): string;
    static createEndpointFromRegionIdAndSecondLevelDomain(template: string, regionId: string, secondLevelDomain: string): string;
    static createEndpointForDottedRegion(template: string, // https://identity.{region}.oci.{secondLevelDomain}
    regionId: string, endpointServiceName?: string): string;
    static populateServiceParamsInEndpoint(endpoint: string, pathParams: any, queryParams: any, requiredParams: Set<string>): string;
    private static getParameterValueFromPathAndQueryParams;
    private static isRealmSpecificEndpointTemplateEnabledViaEnv;
}
