/**
 * Copyright (c) 2020, 2021 Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export declare class Realm {
    /**
     * The id of the realm.
     */
    private readonly _realmId;
    /**
     * The second level domain of the realm.
     */
    private readonly _secondLevelDomain;
    private constructor();
    get secondLevelDomain(): string;
    get realmId(): string;
    private static KNOWN_REALMS;
    private static DEVELOPER_TOOL_CONFIGURATION_REALMS;
    static OC1: Realm;
    static OC2: Realm;
    static OC3: Realm;
    static OC4: Realm;
    static OC8: Realm;
    static OC9: Realm;
    static OC10: Realm;
    static OC14: Realm;
    static OC20: Realm;
    static OC19: Realm;
    static OC24: Realm;
    static OC21: Realm;
    static OC26: Realm;
    static OC15: Realm;
    static values(): Realm[];
    static register(realmId: string, secondLevelDomain: string, isDeveloperToolConfigurationRealm?: boolean): Realm;
    static resetDeveloperToolConfiguration(): void;
}
