/**
 * Compute Cloud@Customer API
 * Use the Compute Cloud@Customer API to manage Compute Cloud@Customer infrastructures and upgrade schedules.
For more information see [Compute Cloud@Customer documentation](/iaas/compute-cloud-at-customer/home.htm).

 * OpenAPI spec version: 20221208
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary information about a Compute Cloud@Customer infrastructure.
 */
export interface CccInfrastructureSummary {
    /**
     * The Compute Cloud@Customer infrastructure
     * [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm).
     * This cannot be changed once created.
     *
     */
    "id": string;
    /**
     * The Compute Cloud@Customer infrastructure short name. This is generated at
     * the time the resource is created and cannot be changed. The short name can be
     * used when communicating with Oracle Service and may be used during the configuration
     * of the data center network.
     *
     */
    "shortName"?: string;
    /**
     * The name that will be used to display the Compute Cloud@Customer infrastructure
     * in the Oracle Cloud Infrastructure console. Does not have to be unique and can be changed.
     * Avoid entering confidential information.
     *
     */
    "displayName": string;
    /**
     * The compartment [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) associated with
     * the infrastructure.
     *
     */
    "compartmentId": string;
    /**
     * [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) for the network subnet that is
     * used to communicate with Compute Cloud@Customer infrastructure.
     *
     */
    "subnetId": string;
    /**
     * Compute Cloud@Customer infrastructure creation date and time. An RFC3339 formatted
     * datetime string.
     *
     */
    "timeCreated": Date;
    /**
     * The current connection state of the infrastructure.
     *
     */
    "connectionState"?: string;
    /**
     * The current state of the Compute Cloud@Customer infrastructure.
     */
    "lifecycleState": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CccInfrastructureSummary {
    function getJsonObj(obj: CccInfrastructureSummary): object;
    function getDeserializedJsonObj(obj: CccInfrastructureSummary): object;
}
