/**
 * Compute Cloud@Customer API
 * Use the Compute Cloud@Customer API to manage Compute Cloud@Customer infrastructures and upgrade schedules.
For more information see [Compute Cloud@Customer documentation](/iaas/compute-cloud-at-customer/home.htm).

 * OpenAPI spec version: 20221208
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Upgrade information that relates to a Compute Cloud@Customer infrastructure. This information
 * cannot be updated.
 *
 */
export interface CccUpgradeInformation {
    /**
     * The current version of software installed on the Compute Cloud@Customer infrastructure.
     *
     */
    "currentVersion"?: string;
    /**
     * Compute Cloud@Customer infrastructure next upgrade time. The rack might have performance
     * impacts during this time.
     *
     */
    "timeOfScheduledUpgrade"?: Date;
    /**
     * Expected duration of Compute Cloud@Customer infrastructure scheduled upgrade. The actual
     * upgrade time might be longer or shorter than this duration depending on rack activity, this
     * is only an estimate.
     *
     */
    "scheduledUpgradeDuration"?: string;
    /**
     * Indication that the Compute Cloud@Customer infrastructure is in the process of
     * an upgrade or an upgrade activity (such as preloading upgrade images).
     *
     */
    "isActive"?: boolean;
}
export declare namespace CccUpgradeInformation {
    function getJsonObj(obj: CccUpgradeInformation): object;
    function getDeserializedJsonObj(obj: CccUpgradeInformation): object;
}
