"use strict";
/**
 * Oracle Cloud Agent API
 * API for the Oracle Cloud Agent software running on compute instances. Oracle Cloud Agent
is a lightweight process that monitors and manages compute instances.

 * OpenAPI spec version: 20180530
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstanceAgentCommandExecutionSummary = void 0;
const model = __importStar(require("../model"));
var InstanceAgentCommandExecutionSummary;
(function (InstanceAgentCommandExecutionSummary) {
    let DeliveryState;
    (function (DeliveryState) {
        DeliveryState["Visible"] = "VISIBLE";
        DeliveryState["Pending"] = "PENDING";
        DeliveryState["Acked"] = "ACKED";
        DeliveryState["AckedCanceled"] = "ACKED_CANCELED";
        DeliveryState["Expired"] = "EXPIRED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        DeliveryState["UnknownValue"] = "UNKNOWN_VALUE";
    })(DeliveryState = InstanceAgentCommandExecutionSummary.DeliveryState || (InstanceAgentCommandExecutionSummary.DeliveryState = {}));
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["Accepted"] = "ACCEPTED";
        LifecycleState["InProgress"] = "IN_PROGRESS";
        LifecycleState["Succeeded"] = "SUCCEEDED";
        LifecycleState["Failed"] = "FAILED";
        LifecycleState["TimedOut"] = "TIMED_OUT";
        LifecycleState["Canceled"] = "CANCELED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleState = InstanceAgentCommandExecutionSummary.LifecycleState || (InstanceAgentCommandExecutionSummary.LifecycleState = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "content": obj.content
                ? model.InstanceAgentCommandExecutionOutputContent.getJsonObj(obj.content)
                : undefined
        });
        return jsonObj;
    }
    InstanceAgentCommandExecutionSummary.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "content": obj.content
                ? model.InstanceAgentCommandExecutionOutputContent.getDeserializedJsonObj(obj.content)
                : undefined
        });
        return jsonObj;
    }
    InstanceAgentCommandExecutionSummary.getDeserializedJsonObj = getDeserializedJsonObj;
})(InstanceAgentCommandExecutionSummary = exports.InstanceAgentCommandExecutionSummary || (exports.InstanceAgentCommandExecutionSummary = {}));
//# sourceMappingURL=instance-agent-command-execution-summary.js.map