/**
 * Oracle Cloud Agent API
 * API for the Oracle Cloud Agent software running on compute instances. Oracle Cloud Agent
is a lightweight process that monitors and manages compute instances.

 * OpenAPI spec version: 20180530
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The source of the command when provided using plain text.
 */
export interface InstanceAgentCommandSourceViaTextDetails extends model.InstanceAgentCommandSourceDetails {
    /**
     * The plain text command.
     */
    "text": string;
    /**
     * SHA-256 checksum value of the text content.
     */
    "textSha256"?: string;
    "sourceType": string;
}
export declare namespace InstanceAgentCommandSourceViaTextDetails {
    function getJsonObj(obj: InstanceAgentCommandSourceViaTextDetails, isParentJsonObj?: boolean): object;
    const sourceType = "TEXT";
    function getDeserializedJsonObj(obj: InstanceAgentCommandSourceViaTextDetails, isParentJsonObj?: boolean): object;
}
