/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The error info of the addon.
 */
export interface AddonError {
    /**
     * A short error code that defines the upstream error, meant for programmatic parsing. See [API Errors](https://docs.us-phoenix-1.oraclecloud.com/Content/API/References/apierrors.htm).
     */
    "code"?: string;
    /**
     * A human-readable error string of the upstream error.
     */
    "message"?: string;
    /**
     * The status of the HTTP response encountered in the upstream error.
     */
    "status"?: string;
}
export declare namespace AddonError {
    function getJsonObj(obj: AddonError): object;
    function getDeserializedJsonObj(obj: AddonError): object;
}
