/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The properties that define an addon summary.
 */
export interface AddonSummary {
    /**
     * The name of the addon.
     */
    "name": string;
    /**
     * selected addon version, or null indicates autoUpdate
     */
    "version"?: string;
    /**
     * current installed version of the addon
     */
    "currentInstalledVersion"?: string;
    /**
     * The time the cluster was created.
     */
    "timeCreated"?: Date;
    /**
     * The state of the addon.
     */
    "lifecycleState": model.AddonLifecycleState;
    /**
     * The error info of the addon.
     */
    "addonError"?: model.AddonError;
}
export declare namespace AddonSummary {
    function getJsonObj(obj: AddonSummary): object;
    function getDeserializedJsonObj(obj: AddonSummary): object;
}
