"use strict";
/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddonVersions = void 0;
const model = __importStar(require("../model"));
var AddonVersions;
(function (AddonVersions) {
    let Status;
    (function (Status) {
        Status["Active"] = "ACTIVE";
        Status["Deprecated"] = "DEPRECATED";
        Status["Preview"] = "PREVIEW";
        Status["Recalled"] = "RECALLED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Status["UnknownValue"] = "UNKNOWN_VALUE";
    })(Status = AddonVersions.Status || (AddonVersions.Status = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "kubernetesVersionFilters": obj.kubernetesVersionFilters
                ? model.KubernetesVersionsFilters.getJsonObj(obj.kubernetesVersionFilters)
                : undefined,
            "configurations": obj.configurations
                ? obj.configurations.map(item => {
                    return model.AddonVersionConfiguration.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    AddonVersions.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "kubernetesVersionFilters": obj.kubernetesVersionFilters
                ? model.KubernetesVersionsFilters.getDeserializedJsonObj(obj.kubernetesVersionFilters)
                : undefined,
            "configurations": obj.configurations
                ? obj.configurations.map(item => {
                    return model.AddonVersionConfiguration.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    AddonVersions.getDeserializedJsonObj = getDeserializedJsonObj;
})(AddonVersions = exports.AddonVersions || (exports.AddonVersions = {}));
//# sourceMappingURL=addon-versions.js.map