"use strict";
/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClusterCreateOptions = void 0;
const model = __importStar(require("../model"));
var ClusterCreateOptions;
(function (ClusterCreateOptions) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "kubernetesNetworkConfig": obj.kubernetesNetworkConfig
                ? model.KubernetesNetworkConfig.getJsonObj(obj.kubernetesNetworkConfig)
                : undefined,
            "addOns": obj.addOns ? model.AddOnOptions.getJsonObj(obj.addOns) : undefined,
            "admissionControllerOptions": obj.admissionControllerOptions
                ? model.AdmissionControllerOptions.getJsonObj(obj.admissionControllerOptions)
                : undefined,
            "persistentVolumeConfig": obj.persistentVolumeConfig
                ? model.PersistentVolumeConfigDetails.getJsonObj(obj.persistentVolumeConfig)
                : undefined,
            "serviceLbConfig": obj.serviceLbConfig
                ? model.ServiceLbConfigDetails.getJsonObj(obj.serviceLbConfig)
                : undefined
        });
        return jsonObj;
    }
    ClusterCreateOptions.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "kubernetesNetworkConfig": obj.kubernetesNetworkConfig
                ? model.KubernetesNetworkConfig.getDeserializedJsonObj(obj.kubernetesNetworkConfig)
                : undefined,
            "addOns": obj.addOns ? model.AddOnOptions.getDeserializedJsonObj(obj.addOns) : undefined,
            "admissionControllerOptions": obj.admissionControllerOptions
                ? model.AdmissionControllerOptions.getDeserializedJsonObj(obj.admissionControllerOptions)
                : undefined,
            "persistentVolumeConfig": obj.persistentVolumeConfig
                ? model.PersistentVolumeConfigDetails.getDeserializedJsonObj(obj.persistentVolumeConfig)
                : undefined,
            "serviceLbConfig": obj.serviceLbConfig
                ? model.ServiceLbConfigDetails.getDeserializedJsonObj(obj.serviceLbConfig)
                : undefined
        });
        return jsonObj;
    }
    ClusterCreateOptions.getDeserializedJsonObj = getDeserializedJsonObj;
})(ClusterCreateOptions = exports.ClusterCreateOptions || (exports.ClusterCreateOptions = {}));
//# sourceMappingURL=cluster-create-options.js.map