/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The properties that define endpoints for a cluster.
 */
export interface ClusterEndpoints {
    /**
     * The non-native networking Kubernetes API server endpoint.
     */
    "kubernetes"?: string;
    /**
     * The public native networking Kubernetes API server endpoint, if one was requested.
     */
    "publicEndpoint"?: string;
    /**
     * The private native networking Kubernetes API server endpoint.
     */
    "privateEndpoint"?: string;
    /**
     * The FQDN assigned to the Kubernetes API private endpoint.
     * Example: 'https://yourVcnHostnameEndpoint'
     *
     */
    "vcnHostnameEndpoint"?: string;
}
export declare namespace ClusterEndpoints {
    function getJsonObj(obj: ClusterEndpoints): object;
    function getDeserializedJsonObj(obj: ClusterEndpoints): object;
}
