"use strict";
/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateNodePoolDetails = void 0;
const model = __importStar(require("../model"));
var CreateNodePoolDetails;
(function (CreateNodePoolDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "nodeSourceDetails": obj.nodeSourceDetails
                ? model.NodeSourceDetails.getJsonObj(obj.nodeSourceDetails)
                : undefined,
            "nodeShapeConfig": obj.nodeShapeConfig
                ? model.CreateNodeShapeConfigDetails.getJsonObj(obj.nodeShapeConfig)
                : undefined,
            "initialNodeLabels": obj.initialNodeLabels
                ? obj.initialNodeLabels.map(item => {
                    return model.KeyValue.getJsonObj(item);
                })
                : undefined,
            "nodeConfigDetails": obj.nodeConfigDetails
                ? model.CreateNodePoolNodeConfigDetails.getJsonObj(obj.nodeConfigDetails)
                : undefined,
            "nodeEvictionNodePoolSettings": obj.nodeEvictionNodePoolSettings
                ? model.NodeEvictionNodePoolSettings.getJsonObj(obj.nodeEvictionNodePoolSettings)
                : undefined,
            "nodePoolCyclingDetails": obj.nodePoolCyclingDetails
                ? model.NodePoolCyclingDetails.getJsonObj(obj.nodePoolCyclingDetails)
                : undefined
        });
        return jsonObj;
    }
    CreateNodePoolDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "nodeSourceDetails": obj.nodeSourceDetails
                ? model.NodeSourceDetails.getDeserializedJsonObj(obj.nodeSourceDetails)
                : undefined,
            "nodeShapeConfig": obj.nodeShapeConfig
                ? model.CreateNodeShapeConfigDetails.getDeserializedJsonObj(obj.nodeShapeConfig)
                : undefined,
            "initialNodeLabels": obj.initialNodeLabels
                ? obj.initialNodeLabels.map(item => {
                    return model.KeyValue.getDeserializedJsonObj(item);
                })
                : undefined,
            "nodeConfigDetails": obj.nodeConfigDetails
                ? model.CreateNodePoolNodeConfigDetails.getDeserializedJsonObj(obj.nodeConfigDetails)
                : undefined,
            "nodeEvictionNodePoolSettings": obj.nodeEvictionNodePoolSettings
                ? model.NodeEvictionNodePoolSettings.getDeserializedJsonObj(obj.nodeEvictionNodePoolSettings)
                : undefined,
            "nodePoolCyclingDetails": obj.nodePoolCyclingDetails
                ? model.NodePoolCyclingDetails.getDeserializedJsonObj(obj.nodePoolCyclingDetails)
                : undefined
        });
        return jsonObj;
    }
    CreateNodePoolDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateNodePoolDetails = exports.CreateNodePoolDetails || (exports.CreateNodePoolDetails = {}));
//# sourceMappingURL=create-node-pool-details.js.map