/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The range of kubernetes versions an addon can be configured.
 */
export interface KubernetesVersionsFilters {
    /**
     * The earliest kubernetes version.
     */
    "minimalVersion"?: string;
    /**
     * The latest kubernetes version.
     */
    "maximumVersion"?: string;
    /**
     * The exact version of kubernetes that are compatible.
     *
     */
    "exactKubernetesVersions"?: Array<string>;
}
export declare namespace KubernetesVersionsFilters {
    function getJsonObj(obj: KubernetesVersionsFilters): object;
    function getDeserializedJsonObj(obj: KubernetesVersionsFilters): object;
}
