/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The location where a node pool will place nodes.
 */
export interface NodePoolPlacementConfigDetails {
    /**
     * The availability domain in which to place nodes.
     * Example: {@code Uocm:PHX-AD-1}
     *
     */
    "availabilityDomain": string;
    /**
     * The OCID of the subnet in which to place nodes.
     */
    "subnetId": string;
    /**
     * The OCID of the compute capacity reservation in which to place the compute instance.
     */
    "capacityReservationId"?: string;
    "preemptibleNodeConfig"?: model.PreemptibleNodeConfigDetails;
    /**
     * A list of fault domains in which to place nodes.
     *
     */
    "faultDomains"?: Array<string>;
}
export declare namespace NodePoolPlacementConfigDetails {
    function getJsonObj(obj: NodePoolPlacementConfigDetails): object;
    function getDeserializedJsonObj(obj: NodePoolPlacementConfigDetails): object;
}
