/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information of virtual node placement in the virtual node pool.
 */
export interface PlacementConfiguration {
    /**
     * The availability domain in which to place virtual nodes.
     * Example: {@code Uocm:PHX-AD-1}
     *
     */
    "availabilityDomain"?: string;
    /**
     * The fault domain of this virtual node.
     */
    "faultDomain"?: Array<string>;
    /**
     * The OCID of the subnet in which to place virtual nodes.
     */
    "subnetId"?: string;
}
export declare namespace PlacementConfiguration {
    function getJsonObj(obj: PlacementConfiguration): object;
    function getDeserializedJsonObj(obj: PlacementConfiguration): object;
}
