/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The pod configuration for pods run on virtual nodes of this virtual node pool.
 */
export interface PodConfiguration {
    /**
     * The regional subnet where pods' VNIC will be placed.
     */
    "subnetId": string;
    /**
     * List of network security group IDs applied to the Pod VNIC.
     */
    "nsgIds"?: Array<string>;
    /**
     * Shape of the pods.
     */
    "shape": string;
}
export declare namespace PodConfiguration {
    function getJsonObj(obj: PodConfiguration): object;
    function getDeserializedJsonObj(obj: PodConfiguration): object;
}
