/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Properties of network bandwidth.
 */
export interface ShapeNetworkBandwidthOptions {
    /**
     * The minimum amount of networking bandwidth, in gigabits per second. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minInGbps"?: number;
    /**
     * The maximum amount of networking bandwidth, in gigabits per second. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxInGbps"?: number;
    /**
     * The default amount of networking bandwidth per OCPU, in gigabits per second. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "defaultPerOcpuInGbps"?: number;
}
export declare namespace ShapeNetworkBandwidthOptions {
    function getJsonObj(obj: ShapeNetworkBandwidthOptions): object;
    function getDeserializedJsonObj(obj: ShapeNetworkBandwidthOptions): object;
}
