/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Terminates the preemptible instance when it is interrupted for eviction.
 */
export interface TerminatePreemptionAction extends model.PreemptionAction {
    /**
     * Whether to preserve the boot volume that was used to launch the preemptible instance when the instance is terminated. Defaults to false if not specified.
     *
     */
    "isPreserveBootVolume"?: boolean;
    "type": string;
}
export declare namespace TerminatePreemptionAction {
    function getJsonObj(obj: TerminatePreemptionAction, isParentJsonObj?: boolean): object;
    const type = "TERMINATE";
    function getDeserializedJsonObj(obj: TerminatePreemptionAction, isParentJsonObj?: boolean): object;
}
