/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The properties that define a work request resource.
 */
export interface WorkRequestResource {
    /**
     * The way in which this resource was affected by the work tracked by the work request.
     */
    "actionType"?: WorkRequestResource.ActionType;
    /**
     * The resource type the work request affects.
     */
    "entityType"?: string;
    /**
     * The OCID of the resource the work request affects.
     */
    "identifier"?: string;
    /**
     * The URI path on which the user can issue a GET request to access the resource metadata.
     */
    "entityUri"?: string;
}
export declare namespace WorkRequestResource {
    enum ActionType {
        Created = "CREATED",
        Updated = "UPDATED",
        Deleted = "DELETED",
        Related = "RELATED",
        InProgress = "IN_PROGRESS",
        Failed = "FAILED",
        CanceledCreate = "CANCELED_CREATE",
        CanceledUpdate = "CANCELED_UPDATE",
        CanceledDelete = "CANCELED_DELETE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
