/**
 * Container Engine for Kubernetes API
 * API for the Container Engine for Kubernetes service. Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Container Engine for Kubernetes](/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ClusterMigrateToNativeVcnRequest from "./cluster-migrate-to-native-vcn-request";
export import ClusterMigrateToNativeVcnRequest = ClusterMigrateToNativeVcnRequest.ClusterMigrateToNativeVcnRequest;
import * as CompleteCredentialRotationRequest from "./complete-credential-rotation-request";
export import CompleteCredentialRotationRequest = CompleteCredentialRotationRequest.CompleteCredentialRotationRequest;
import * as CreateClusterRequest from "./create-cluster-request";
export import CreateClusterRequest = CreateClusterRequest.CreateClusterRequest;
import * as CreateKubeconfigRequest from "./create-kubeconfig-request";
export import CreateKubeconfigRequest = CreateKubeconfigRequest.CreateKubeconfigRequest;
import * as CreateNodePoolRequest from "./create-node-pool-request";
export import CreateNodePoolRequest = CreateNodePoolRequest.CreateNodePoolRequest;
import * as CreateVirtualNodePoolRequest from "./create-virtual-node-pool-request";
export import CreateVirtualNodePoolRequest = CreateVirtualNodePoolRequest.CreateVirtualNodePoolRequest;
import * as CreateWorkloadMappingRequest from "./create-workload-mapping-request";
export import CreateWorkloadMappingRequest = CreateWorkloadMappingRequest.CreateWorkloadMappingRequest;
import * as DeleteClusterRequest from "./delete-cluster-request";
export import DeleteClusterRequest = DeleteClusterRequest.DeleteClusterRequest;
import * as DeleteNodeRequest from "./delete-node-request";
export import DeleteNodeRequest = DeleteNodeRequest.DeleteNodeRequest;
import * as DeleteNodePoolRequest from "./delete-node-pool-request";
export import DeleteNodePoolRequest = DeleteNodePoolRequest.DeleteNodePoolRequest;
import * as DeleteVirtualNodePoolRequest from "./delete-virtual-node-pool-request";
export import DeleteVirtualNodePoolRequest = DeleteVirtualNodePoolRequest.DeleteVirtualNodePoolRequest;
import * as DeleteWorkRequestRequest from "./delete-work-request-request";
export import DeleteWorkRequestRequest = DeleteWorkRequestRequest.DeleteWorkRequestRequest;
import * as DeleteWorkloadMappingRequest from "./delete-workload-mapping-request";
export import DeleteWorkloadMappingRequest = DeleteWorkloadMappingRequest.DeleteWorkloadMappingRequest;
import * as DisableAddonRequest from "./disable-addon-request";
export import DisableAddonRequest = DisableAddonRequest.DisableAddonRequest;
import * as GetAddonRequest from "./get-addon-request";
export import GetAddonRequest = GetAddonRequest.GetAddonRequest;
import * as GetClusterRequest from "./get-cluster-request";
export import GetClusterRequest = GetClusterRequest.GetClusterRequest;
import * as GetClusterMigrateToNativeVcnStatusRequest from "./get-cluster-migrate-to-native-vcn-status-request";
export import GetClusterMigrateToNativeVcnStatusRequest = GetClusterMigrateToNativeVcnStatusRequest.GetClusterMigrateToNativeVcnStatusRequest;
import * as GetClusterOptionsRequest from "./get-cluster-options-request";
export import GetClusterOptionsRequest = GetClusterOptionsRequest.GetClusterOptionsRequest;
import * as GetCredentialRotationStatusRequest from "./get-credential-rotation-status-request";
export import GetCredentialRotationStatusRequest = GetCredentialRotationStatusRequest.GetCredentialRotationStatusRequest;
import * as GetNodePoolRequest from "./get-node-pool-request";
export import GetNodePoolRequest = GetNodePoolRequest.GetNodePoolRequest;
import * as GetNodePoolOptionsRequest from "./get-node-pool-options-request";
export import GetNodePoolOptionsRequest = GetNodePoolOptionsRequest.GetNodePoolOptionsRequest;
import * as GetVirtualNodeRequest from "./get-virtual-node-request";
export import GetVirtualNodeRequest = GetVirtualNodeRequest.GetVirtualNodeRequest;
import * as GetVirtualNodePoolRequest from "./get-virtual-node-pool-request";
export import GetVirtualNodePoolRequest = GetVirtualNodePoolRequest.GetVirtualNodePoolRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as GetWorkloadMappingRequest from "./get-workload-mapping-request";
export import GetWorkloadMappingRequest = GetWorkloadMappingRequest.GetWorkloadMappingRequest;
import * as InstallAddonRequest from "./install-addon-request";
export import InstallAddonRequest = InstallAddonRequest.InstallAddonRequest;
import * as ListAddonOptionsRequest from "./list-addon-options-request";
export import ListAddonOptionsRequest = ListAddonOptionsRequest.ListAddonOptionsRequest;
import * as ListAddonsRequest from "./list-addons-request";
export import ListAddonsRequest = ListAddonsRequest.ListAddonsRequest;
import * as ListClustersRequest from "./list-clusters-request";
export import ListClustersRequest = ListClustersRequest.ListClustersRequest;
import * as ListNodePoolsRequest from "./list-node-pools-request";
export import ListNodePoolsRequest = ListNodePoolsRequest.ListNodePoolsRequest;
import * as ListPodShapesRequest from "./list-pod-shapes-request";
export import ListPodShapesRequest = ListPodShapesRequest.ListPodShapesRequest;
import * as ListVirtualNodePoolsRequest from "./list-virtual-node-pools-request";
export import ListVirtualNodePoolsRequest = ListVirtualNodePoolsRequest.ListVirtualNodePoolsRequest;
import * as ListVirtualNodesRequest from "./list-virtual-nodes-request";
export import ListVirtualNodesRequest = ListVirtualNodesRequest.ListVirtualNodesRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as ListWorkloadMappingsRequest from "./list-workload-mappings-request";
export import ListWorkloadMappingsRequest = ListWorkloadMappingsRequest.ListWorkloadMappingsRequest;
import * as StartCredentialRotationRequest from "./start-credential-rotation-request";
export import StartCredentialRotationRequest = StartCredentialRotationRequest.StartCredentialRotationRequest;
import * as UpdateAddonRequest from "./update-addon-request";
export import UpdateAddonRequest = UpdateAddonRequest.UpdateAddonRequest;
import * as UpdateClusterRequest from "./update-cluster-request";
export import UpdateClusterRequest = UpdateClusterRequest.UpdateClusterRequest;
import * as UpdateClusterEndpointConfigRequest from "./update-cluster-endpoint-config-request";
export import UpdateClusterEndpointConfigRequest = UpdateClusterEndpointConfigRequest.UpdateClusterEndpointConfigRequest;
import * as UpdateNodePoolRequest from "./update-node-pool-request";
export import UpdateNodePoolRequest = UpdateNodePoolRequest.UpdateNodePoolRequest;
import * as UpdateVirtualNodePoolRequest from "./update-virtual-node-pool-request";
export import UpdateVirtualNodePoolRequest = UpdateVirtualNodePoolRequest.UpdateVirtualNodePoolRequest;
import * as UpdateWorkloadMappingRequest from "./update-workload-mapping-request";
export import UpdateWorkloadMappingRequest = UpdateWorkloadMappingRequest.UpdateWorkloadMappingRequest;
