/**
 * Container Instance API
 * A description of the Container Instance API
 * OpenAPI spec version: 20210415
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Linux Container capabilities to configure capabilities of container.
 *
 */
export interface ContainerCapabilities {
    /**
     * A list of additional configurable container capabilities.
     *
     */
    "addCapabilities"?: Array<ContainerCapabilities.AddCapabilities>;
    /**
     * A list of container capabilities that can be dropped.
     *
     */
    "dropCapabilities"?: Array<ContainerCapabilities.DropCapabilities>;
}
export declare namespace ContainerCapabilities {
    enum AddCapabilities {
        CapChown = "CAP_CHOWN",
        CapDacOverride = "CAP_DAC_OVERRIDE",
        CapFsetid = "CAP_FSETID",
        CapFowner = "CAP_FOWNER",
        CapMknod = "CAP_MKNOD",
        CapNetRaw = "CAP_NET_RAW",
        CapSetgid = "CAP_SETGID",
        CapSetuid = "CAP_SETUID",
        CapSetfcap = "CAP_SETFCAP",
        CapSetpcap = "CAP_SETPCAP",
        CapNetBindService = "CAP_NET_BIND_SERVICE",
        CapSysChroot = "CAP_SYS_CHROOT",
        CapKill = "CAP_KILL",
        CapAuditWrite = "CAP_AUDIT_WRITE",
        All = "ALL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum DropCapabilities {
        CapChown = "CAP_CHOWN",
        CapDacOverride = "CAP_DAC_OVERRIDE",
        CapFsetid = "CAP_FSETID",
        CapFowner = "CAP_FOWNER",
        CapMknod = "CAP_MKNOD",
        CapNetRaw = "CAP_NET_RAW",
        CapSetgid = "CAP_SETGID",
        CapSetuid = "CAP_SETUID",
        CapSetfcap = "CAP_SETFCAP",
        CapSetpcap = "CAP_SETPCAP",
        CapNetBindService = "CAP_NET_BIND_SERVICE",
        CapSysChroot = "CAP_SYS_CHROOT",
        CapKill = "CAP_KILL",
        CapAuditWrite = "CAP_AUDIT_WRITE",
        All = "ALL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ContainerCapabilities): object;
    function getDeserializedJsonObj(obj: ContainerCapabilities): object;
}
