/**
 * Container Instance API
 * A description of the Container Instance API
 * OpenAPI spec version: 20210415
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The shape configuration for a container instance. The shape configuration determines
 * the resources thats are available to the container instance and its containers.
 *
 */
export interface ContainerInstanceShapeConfig {
    /**
     * The total number of OCPUs available to the container instance.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ocpus": number;
    /**
     * The total amount of memory available to the container instance, in gigabytes.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs": number;
    /**
     * A short description of the container instance's processor (CPU).
     *
     */
    "processorDescription": string;
    /**
     * The networking bandwidth available to the container instance, in gigabits per second.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "networkingBandwidthInGbps": number;
}
export declare namespace ContainerInstanceShapeConfig {
    function getJsonObj(obj: ContainerInstanceShapeConfig): object;
    function getDeserializedJsonObj(obj: ContainerInstanceShapeConfig): object;
}
