/**
 * Container Instance API
 * A description of the Container Instance API
 * OpenAPI spec version: 20210415
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Defines the mapping from volume to a mount path in a container.
 *
 */
export interface CreateVolumeMountDetails {
    /**
     * The volume access path.
     */
    "mountPath": string;
    /**
     * The name of the volume. Avoid entering confidential information.
     */
    "volumeName": string;
    /**
     * A subpath inside the referenced volume.
     */
    "subPath"?: string;
    /**
     * Whether the volume was mounted in read-only mode. By default, the volume is not read-only.
     */
    "isReadOnly"?: boolean;
    /**
     * If there is more than one partition in the volume, reference this number of partitions.
     * Here is an example:
     * Number  Start   End     Size    File system  Name                  Flags
     * 1      1049kB  106MB   105MB   fat16        EFI System Partition  boot, esp
     * 2      106MB   1180MB  1074MB  xfs
     * 3      1180MB  50.0GB  48.8GB                                     lvm
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "partition"?: number;
}
export declare namespace CreateVolumeMountDetails {
    function getJsonObj(obj: CreateVolumeMountDetails): object;
    function getDeserializedJsonObj(obj: CreateVolumeMountDetails): object;
}
