/**
 * Container Instance API
 * A description of the Container Instance API
 * OpenAPI spec version: 20210415
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * For a flexible shape, the amount of memory available for container instances that use this shape.
 *
 */
export interface ShapeMemoryOptions {
    /**
     * The minimum amount of memory (GB).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minInGBs": number;
    /**
     * The maximum amount of memory (GB).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxInGBs": number;
    /**
     * The default amount of memory per OCPU available for this shape (GB).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "defaultPerOcpuInGBs": number;
    /**
     * The minimum amount of memory per OCPU available for this shape (GB).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minPerOcpuInGBs": number;
    /**
     * The maximum amount of memory per OCPU available for this shape (GB).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxPerOcpuInGBs": number;
}
export declare namespace ShapeMemoryOptions {
    function getJsonObj(obj: ShapeMemoryOptions): object;
    function getDeserializedJsonObj(obj: ShapeMemoryOptions): object;
}
