/**
 *
 *
 * OpenAPI spec version: 20210415
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/containerinstances/ListWorkRequests.ts.html |here} to see how to use ListWorkRequestsRequest.
 */
export interface ListWorkRequestsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * The ID of the asynchronous work request.
     */
    "workRequestId"?: string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
    /**
     * For list pagination. The value of the opc-next-page response header from the previous \"List\" call. For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "page"?: string;
    /**
     * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call. For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "limit"?: number;
    /**
   * The name of the availability domain.
  * <p>
  Example: {@code Uocm:PHX-AD-1}
  *
   */
    "availabilityDomain"?: string;
    /**
     * A filter to return resources with a lifecycleState that matches the given OperationStatus.
     */
    "status"?: model.OperationStatus;
    /**
     * The field to sort by. You can provide one sort order. Default order for timeAccepted is descending.
     */
    "sortBy"?: ListWorkRequestsRequest.SortBy;
    /**
     * The sort order to use, either ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The OCID of the resource affected by the work request.
     */
    "resourceId"?: string;
}
export declare namespace ListWorkRequestsRequest {
    enum SortBy {
        TimeAccepted = "timeAccepted"
    }
}
