/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details needed when adding a DRG route rule.
 *
 */
export interface AddDrgRouteRuleDetails {
    /**
     * Type of destination for the rule.
     * Allowed values:
     *   * {@code CIDR_BLOCK}: If the rule's {@code destination} is an IP address range in CIDR notation.
     *
     */
    "destinationType": AddDrgRouteRuleDetails.DestinationType;
    /**
      * This is the range of IP addresses used for matching when routing
  * traffic. Only CIDR_BLOCK values are allowed.
  * <p>
  Potential values:
  *   * IP address range in CIDR notation. This can be an IPv4 CIDR block or IPv6 prefix. For example: {@code 192.168.1.0/24}
  *   or {@code 2001:0db8:0123:45::/56}.
  *
      */
    "destination": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the next hop DRG attachment. The next hop DRG attachment is responsible
     * for reaching the network destination.
     *
     */
    "nextHopDrgAttachmentId": string;
}
export declare namespace AddDrgRouteRuleDetails {
    enum DestinationType {
        CidrBlock = "CIDR_BLOCK"
    }
    function getJsonObj(obj: AddDrgRouteRuleDetails): object;
    function getDeserializedJsonObj(obj: AddDrgRouteRuleDetails): object;
}
