/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface AttachVolumeDetails {
    /**
     * The device name. To retrieve a list of devices for a given instance, see {@link #listInstanceDevices(ListInstanceDevicesRequest) listInstanceDevices}.
     */
    "device"?: string;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName"?: string;
    /**
     * The OCID of the instance. For AttachVolume operation, this is a required field for the request,
     * see {@link #attachVolume(AttachVolumeRequest) attachVolume}.
     *
     */
    "instanceId": string;
    /**
     * Whether the attachment was created in read-only mode.
     */
    "isReadOnly"?: boolean;
    /**
     * Whether the attachment should be created in shareable mode. If an attachment
     * is created in shareable mode, then other instances can attach the same volume, provided
     * that they also create their attachments in shareable mode. Only certain volume types can
     * be attached in shareable mode. Defaults to false if not specified.
     *
     */
    "isShareable"?: boolean;
    /**
     * The OCID of the volume. If CreateVolumeDetails is specified, this field must be omitted from the request.
     *
     */
    "volumeId": string;
    "type": string;
}
export declare namespace AttachVolumeDetails {
    function getJsonObj(obj: AttachVolumeDetails): object;
    function getDeserializedJsonObj(obj: AttachVolumeDetails): object;
}
