/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
* The HPC cluster configuration requested when launching instances of a cluster network.
* <p>
If the parameter is provided, instances will only be placed within the HPC island and list of network blocks
* that you specify. If a list of network blocks are missing or not provided, the instances will be placed in any
* HPC blocks in the HPC island that you specify. If the values of HPC island or network block that you provide are
* not valid, an error is returned.
*
*/
export interface ClusterConfigurationDetails {
    /**
     * The list of network block OCIDs.
     */
    "networkBlockIds"?: Array<string>;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the HPC island.
     *
     */
    "hpcIslandId": string;
}
export declare namespace ClusterConfigurationDetails {
    function getJsonObj(obj: ClusterConfigurationDetails): object;
    function getDeserializedJsonObj(obj: ClusterConfigurationDetails): object;
}
