/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
* A report of the host capacity within an availability domain that is available for you
* to create compute instances. Host capacity is the physical infrastructure that resources such as compute
* instances run on.
* <p>
Use the capacity report to determine whether sufficient capacity is available for a shape before
* you create an instance or change the shape of an instance.
*
*/
export interface ComputeCapacityReport {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) for the compartment. This should always be the root
     * compartment.
     *
     */
    "compartmentId": string;
    /**
      * The availability domain for the capacity report.
  * <p>
  Example: {@code Uocm:PHX-AD-1}
  *
      */
    "availabilityDomain": string;
    /**
     * Information about the available capacity for each shape in a capacity report.
     *
     */
    "shapeAvailabilities": Array<model.CapacityReportShapeAvailability>;
    /**
      * The date and time the capacity report was created, in the format defined by
  * [RFC3339](https://tools.ietf.org/html/rfc3339).
  * <p>
  Example: {@code 2016-08-25T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
}
export declare namespace ComputeCapacityReport {
    function getJsonObj(obj: ComputeCapacityReport): object;
    function getDeserializedJsonObj(obj: ComputeCapacityReport): object;
}
