/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface CopyVolumeGroupBackupDetails {
    /**
      * The name of the destination region.
  * <p>
  Example: {@code us-ashburn-1}
  *
      */
    "destinationRegion": string;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName"?: string;
    /**
      * The OCID of the Vault service key in the destination region which will be the master encryption key
  * for the copied volume group backup.
  * If you do not specify this attribute the volume group backup will be encrypted with the Oracle-provided encryption
  * key when it is copied to the destination region.
  * <p>
  
  * For more information about the Vault service and encryption keys, see
  * [Overview of Vault service](https://docs.cloud.oracle.com/iaas/Content/KeyManagement/Concepts/keyoverview.htm) and
  * [Using Keys](https://docs.cloud.oracle.com/iaas/Content/KeyManagement/Tasks/usingkeys.htm).
  *
      */
    "kmsKeyId"?: string;
}
export declare namespace CopyVolumeGroupBackupDetails {
    function getJsonObj(obj: CopyVolumeGroupBackupDetails): object;
    function getDeserializedJsonObj(obj: CopyVolumeGroupBackupDetails): object;
}
