/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
* An individual answer to a CPE device question.
* <p>
The answers correlate to the questions that are specific to the CPE device type (see the
* {@code parameters} attribute of {@link CpeDeviceShapeDetail}).
*
*/
export interface CpeDeviceConfigAnswer {
    /**
     * A string that identifies the question to be answered. See the {@code key} attribute in
     * {@link #cpeDeviceConfigQuestion(CpeDeviceConfigQuestionRequest) cpeDeviceConfigQuestion}.
     *
     */
    "key"?: string;
    /**
     * The answer to the question.
     */
    "value"?: string;
}
export declare namespace CpeDeviceConfigAnswer {
    function getJsonObj(obj: CpeDeviceConfigAnswer): object;
    function getDeserializedJsonObj(obj: CpeDeviceConfigAnswer): object;
}
