/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information about the shapes in a capacity report.
 *
 */
export interface CreateCapacityReportShapeAvailabilityDetails {
    /**
      * The fault domain for the capacity report.
  * <p>
  If you do not specify a fault domain, the capacity report includes information about all fault domains.
  *
      */
    "faultDomain"?: string;
    /**
     * The shape that you want to request a capacity report for. You can enumerate all available shapes by calling
     * {@link #listShapes(ListShapesRequest) listShapes}.
     *
     */
    "instanceShape": string;
    "instanceShapeConfig"?: model.CapacityReportInstanceShapeConfig;
}
export declare namespace CreateCapacityReportShapeAvailabilityDetails {
    function getJsonObj(obj: CreateCapacityReportShapeAvailabilityDetails): object;
    function getDeserializedJsonObj(obj: CreateCapacityReportShapeAvailabilityDetails): object;
}
