/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Request to enable a multi-encryption domain policy on the IPSec tunnel.
 * There can't be more than 50 security associations in use at one time. See [Encryption domain for policy-based
 * tunnels](https://docs.cloud.oracle.com/iaas/Content/Network/Tasks/ipsecencryptiondomains.htm#spi_policy_based_tunnel) for more.
 *
 */
export interface CreateIPSecTunnelEncryptionDomainDetails {
    /**
     * Lists IPv4 or IPv6-enabled subnets in your Oracle tenancy.
     */
    "oracleTrafficSelector"?: Array<string>;
    /**
     * Lists IPv4 or IPv6-enabled subnets in your on-premises network.
     */
    "cpeTrafficSelector"?: Array<string>;
}
export declare namespace CreateIPSecTunnelEncryptionDomainDetails {
    function getJsonObj(obj: CreateIPSecTunnelEncryptionDomainDetails): object;
    function getDeserializedJsonObj(obj: CreateIPSecTunnelEncryptionDomainDetails): object;
}
