/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Condensed instance data when listing instances on a dedicated VM host.
 *
 */
export interface DedicatedVmHostInstanceSummary {
    /**
      * The availability domain the virtual machine instance is running in.
  * <p>
  Example: {@code Uocm:PHX-AD-1}
  *
      */
    "availabilityDomain": string;
    /**
     * The OCID of the compartment that contains the virtual machine instance.
     *
     */
    "compartmentId": string;
    /**
     * The OCID of the virtual machine instance.
     *
     */
    "instanceId": string;
    /**
     * The shape of the VM instance.
     *
     */
    "shape": string;
    /**
      * The date and time the virtual machine instance was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
  * <p>
  Example: {@code 2016-08-25T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
}
export declare namespace DedicatedVmHostInstanceSummary {
    function getJsonObj(obj: DedicatedVmHostInstanceSummary): object;
    function getDeserializedJsonObj(obj: DedicatedVmHostInstanceSummary): object;
}
