/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
* The default DRG route table for this DRG. Each network type
* has a default DRG route table.
* <p>
You can update a network type to use a different DRG route table, but
* each network type must have a default DRG route table. You cannot delete
* a default DRG route table.
*
*/
export interface DefaultDrgRouteTables {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the default DRG route table to be assigned to DRG attachments
     * of type VCN on creation.
     *
     */
    "vcn"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the default DRG route table assigned to DRG attachments
     * of type IPSEC_TUNNEL on creation.
     *
     */
    "ipsecTunnel"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the default DRG route table to be assigned to DRG attachments
     * of type VIRTUAL_CIRCUIT on creation.
     *
     */
    "virtualCircuit"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the default DRG route table to be assigned to DRG attachments
     * of type REMOTE_PEERING_CONNECTION on creation.
     *
     */
    "remotePeeringConnection"?: string;
}
export declare namespace DefaultDrgRouteTables {
    function getJsonObj(obj: DefaultDrgRouteTables): object;
    function getDeserializedJsonObj(obj: DefaultDrgRouteTables): object;
}
