/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A provider service key and its details. A provider service key is an identifier for a provider's
 * virtual circuit.
 *
 */
export interface FastConnectProviderServiceKey {
    /**
     * The service key that the provider gives you when you set up a virtual circuit connection
     * from the provider to Oracle Cloud Infrastructure. Use this value as the {@code providerServiceKeyName}
     * query parameter for
     * {@link #getFastConnectProviderServiceKey(GetFastConnectProviderServiceKeyRequest) getFastConnectProviderServiceKey}.
     *
     */
    "name": string;
    /**
      * The provisioned data rate of the connection. To get a list of the
  * available bandwidth levels (that is, shapes), see
  * {@link #listFastConnectProviderVirtualCircuitBandwidthShapes(ListFastConnectProviderVirtualCircuitBandwidthShapesRequest) listFastConnectProviderVirtualCircuitBandwidthShapes}.
  * <p>
  Example: {@code 10 Gbps}
  *
      */
    "bandwidthShapeName"?: string;
    /**
     * The provider's peering location.
     */
    "peeringLocation"?: string;
}
export declare namespace FastConnectProviderServiceKey {
    function getJsonObj(obj: FastConnectProviderServiceKey): object;
    function getDeserializedJsonObj(obj: FastConnectProviderServiceKey): object;
}
