/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for an error on an IPSec tunnel.
 */
export interface IPSecConnectionTunnelErrorDetails {
    /**
     * Unique ID generated for each error report.
     */
    "id": string;
    /**
     * Unique code describes the error type.
     */
    "errorCode": string;
    /**
     * A detailed description of the error.
     */
    "errorDescription": string;
    /**
     * Resolution for the error.
     */
    "solution": string;
    /**
     * Link to more Oracle resources or relevant documentation.
     */
    "ociResourcesLink": string;
    /**
     * Timestamp when the error occurred.
     */
    "timestamp": Date;
}
export declare namespace IPSecConnectionTunnelErrorDetails {
    function getJsonObj(obj: IPSecConnectionTunnelErrorDetails): object;
    function getDeserializedJsonObj(obj: IPSecConnectionTunnelErrorDetails): object;
}
