/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AddDrgRouteDistributionStatementDetails from "./add-drg-route-distribution-statement-details";
export import AddDrgRouteDistributionStatementDetails = AddDrgRouteDistributionStatementDetails.AddDrgRouteDistributionStatementDetails;
import * as AddDrgRouteDistributionStatementsDetails from "./add-drg-route-distribution-statements-details";
export import AddDrgRouteDistributionStatementsDetails = AddDrgRouteDistributionStatementsDetails.AddDrgRouteDistributionStatementsDetails;
import * as AddDrgRouteRuleDetails from "./add-drg-route-rule-details";
export import AddDrgRouteRuleDetails = AddDrgRouteRuleDetails.AddDrgRouteRuleDetails;
import * as AddDrgRouteRulesDetails from "./add-drg-route-rules-details";
export import AddDrgRouteRulesDetails = AddDrgRouteRulesDetails.AddDrgRouteRulesDetails;
import * as AddImageShapeCompatibilityEntryDetails from "./add-image-shape-compatibility-entry-details";
export import AddImageShapeCompatibilityEntryDetails = AddImageShapeCompatibilityEntryDetails.AddImageShapeCompatibilityEntryDetails;
import * as AddNetworkSecurityGroupSecurityRulesDetails from "./add-network-security-group-security-rules-details";
export import AddNetworkSecurityGroupSecurityRulesDetails = AddNetworkSecurityGroupSecurityRulesDetails.AddNetworkSecurityGroupSecurityRulesDetails;
import * as AddPublicIpPoolCapacityDetails from "./add-public-ip-pool-capacity-details";
export import AddPublicIpPoolCapacityDetails = AddPublicIpPoolCapacityDetails.AddPublicIpPoolCapacityDetails;
import * as AddSecurityRuleDetails from "./add-security-rule-details";
export import AddSecurityRuleDetails = AddSecurityRuleDetails.AddSecurityRuleDetails;
import * as AddSubnetIpv6CidrDetails from "./add-subnet-ipv6-cidr-details";
export import AddSubnetIpv6CidrDetails = AddSubnetIpv6CidrDetails.AddSubnetIpv6CidrDetails;
import * as AddVcnCidrDetails from "./add-vcn-cidr-details";
export import AddVcnCidrDetails = AddVcnCidrDetails.AddVcnCidrDetails;
import * as AddVcnIpv6CidrDetails from "./add-vcn-ipv6-cidr-details";
export import AddVcnIpv6CidrDetails = AddVcnIpv6CidrDetails.AddVcnIpv6CidrDetails;
import * as AddedNetworkSecurityGroupSecurityRules from "./added-network-security-group-security-rules";
export import AddedNetworkSecurityGroupSecurityRules = AddedNetworkSecurityGroupSecurityRules.AddedNetworkSecurityGroupSecurityRules;
import * as AddressType from "./address-type";
export import AddressType = AddressType.AddressType;
import * as AllowedIkeIPSecParameters from "./allowed-ike-ip-sec-parameters";
export import AllowedIkeIPSecParameters = AllowedIkeIPSecParameters.AllowedIkeIPSecParameters;
import * as AllowedPhaseOneParameters from "./allowed-phase-one-parameters";
export import AllowedPhaseOneParameters = AllowedPhaseOneParameters.AllowedPhaseOneParameters;
import * as AllowedPhaseTwoParameters from "./allowed-phase-two-parameters";
export import AllowedPhaseTwoParameters = AllowedPhaseTwoParameters.AllowedPhaseTwoParameters;
import * as AppCatalogListing from "./app-catalog-listing";
export import AppCatalogListing = AppCatalogListing.AppCatalogListing;
import * as AppCatalogListingResourceVersion from "./app-catalog-listing-resource-version";
export import AppCatalogListingResourceVersion = AppCatalogListingResourceVersion.AppCatalogListingResourceVersion;
import * as AppCatalogListingResourceVersionAgreements from "./app-catalog-listing-resource-version-agreements";
export import AppCatalogListingResourceVersionAgreements = AppCatalogListingResourceVersionAgreements.AppCatalogListingResourceVersionAgreements;
import * as AppCatalogListingResourceVersionSummary from "./app-catalog-listing-resource-version-summary";
export import AppCatalogListingResourceVersionSummary = AppCatalogListingResourceVersionSummary.AppCatalogListingResourceVersionSummary;
import * as AppCatalogListingSummary from "./app-catalog-listing-summary";
export import AppCatalogListingSummary = AppCatalogListingSummary.AppCatalogListingSummary;
import * as AppCatalogSubscription from "./app-catalog-subscription";
export import AppCatalogSubscription = AppCatalogSubscription.AppCatalogSubscription;
import * as AppCatalogSubscriptionSummary from "./app-catalog-subscription-summary";
export import AppCatalogSubscriptionSummary = AppCatalogSubscriptionSummary.AppCatalogSubscriptionSummary;
import * as AttachBootVolumeDetails from "./attach-boot-volume-details";
export import AttachBootVolumeDetails = AttachBootVolumeDetails.AttachBootVolumeDetails;
import * as AttachInstancePoolInstanceDetails from "./attach-instance-pool-instance-details";
export import AttachInstancePoolInstanceDetails = AttachInstancePoolInstanceDetails.AttachInstancePoolInstanceDetails;
import * as AttachLoadBalancerDetails from "./attach-load-balancer-details";
export import AttachLoadBalancerDetails = AttachLoadBalancerDetails.AttachLoadBalancerDetails;
import * as AttachVnicDetails from "./attach-vnic-details";
export import AttachVnicDetails = AttachVnicDetails.AttachVnicDetails;
import * as AttachVolumeDetails from "./attach-volume-details";
export import AttachVolumeDetails = AttachVolumeDetails.AttachVolumeDetails;
import * as AutotunePolicy from "./autotune-policy";
export import AutotunePolicy = AutotunePolicy.AutotunePolicy;
import * as BgpSessionInfo from "./bgp-session-info";
export import BgpSessionInfo = BgpSessionInfo.BgpSessionInfo;
import * as BlockVolumeReplica from "./block-volume-replica";
export import BlockVolumeReplica = BlockVolumeReplica.BlockVolumeReplica;
import * as BlockVolumeReplicaDetails from "./block-volume-replica-details";
export import BlockVolumeReplicaDetails = BlockVolumeReplicaDetails.BlockVolumeReplicaDetails;
import * as BlockVolumeReplicaInfo from "./block-volume-replica-info";
export import BlockVolumeReplicaInfo = BlockVolumeReplicaInfo.BlockVolumeReplicaInfo;
import * as BootVolume from "./boot-volume";
export import BootVolume = BootVolume.BootVolume;
import * as BootVolumeAttachment from "./boot-volume-attachment";
export import BootVolumeAttachment = BootVolumeAttachment.BootVolumeAttachment;
import * as BootVolumeBackup from "./boot-volume-backup";
export import BootVolumeBackup = BootVolumeBackup.BootVolumeBackup;
import * as BootVolumeKmsKey from "./boot-volume-kms-key";
export import BootVolumeKmsKey = BootVolumeKmsKey.BootVolumeKmsKey;
import * as BootVolumeReplica from "./boot-volume-replica";
export import BootVolumeReplica = BootVolumeReplica.BootVolumeReplica;
import * as BootVolumeReplicaDetails from "./boot-volume-replica-details";
export import BootVolumeReplicaDetails = BootVolumeReplicaDetails.BootVolumeReplicaDetails;
import * as BootVolumeReplicaInfo from "./boot-volume-replica-info";
export import BootVolumeReplicaInfo = BootVolumeReplicaInfo.BootVolumeReplicaInfo;
import * as BootVolumeSourceDetails from "./boot-volume-source-details";
export import BootVolumeSourceDetails = BootVolumeSourceDetails.BootVolumeSourceDetails;
import * as BulkAddVirtualCircuitPublicPrefixesDetails from "./bulk-add-virtual-circuit-public-prefixes-details";
export import BulkAddVirtualCircuitPublicPrefixesDetails = BulkAddVirtualCircuitPublicPrefixesDetails.BulkAddVirtualCircuitPublicPrefixesDetails;
import * as BulkDeleteVirtualCircuitPublicPrefixesDetails from "./bulk-delete-virtual-circuit-public-prefixes-details";
export import BulkDeleteVirtualCircuitPublicPrefixesDetails = BulkDeleteVirtualCircuitPublicPrefixesDetails.BulkDeleteVirtualCircuitPublicPrefixesDetails;
import * as ByoipAllocatedRangeCollection from "./byoip-allocated-range-collection";
export import ByoipAllocatedRangeCollection = ByoipAllocatedRangeCollection.ByoipAllocatedRangeCollection;
import * as ByoipAllocatedRangeSummary from "./byoip-allocated-range-summary";
export import ByoipAllocatedRangeSummary = ByoipAllocatedRangeSummary.ByoipAllocatedRangeSummary;
import * as ByoipRange from "./byoip-range";
export import ByoipRange = ByoipRange.ByoipRange;
import * as ByoipRangeCollection from "./byoip-range-collection";
export import ByoipRangeCollection = ByoipRangeCollection.ByoipRangeCollection;
import * as ByoipRangeSummary from "./byoip-range-summary";
export import ByoipRangeSummary = ByoipRangeSummary.ByoipRangeSummary;
import * as ByoipRangeVcnIpv6AllocationSummary from "./byoip-range-vcn-ipv6-allocation-summary";
export import ByoipRangeVcnIpv6AllocationSummary = ByoipRangeVcnIpv6AllocationSummary.ByoipRangeVcnIpv6AllocationSummary;
import * as Byoipv6CidrDetails from "./byoipv6-cidr-details";
export import Byoipv6CidrDetails = Byoipv6CidrDetails.Byoipv6CidrDetails;
import * as CapacityReportInstanceShapeConfig from "./capacity-report-instance-shape-config";
export import CapacityReportInstanceShapeConfig = CapacityReportInstanceShapeConfig.CapacityReportInstanceShapeConfig;
import * as CapacityReportShapeAvailability from "./capacity-report-shape-availability";
export import CapacityReportShapeAvailability = CapacityReportShapeAvailability.CapacityReportShapeAvailability;
import * as CapacityReservationInstanceSummary from "./capacity-reservation-instance-summary";
export import CapacityReservationInstanceSummary = CapacityReservationInstanceSummary.CapacityReservationInstanceSummary;
import * as CapacitySource from "./capacity-source";
export import CapacitySource = CapacitySource.CapacitySource;
import * as CaptureConsoleHistoryDetails from "./capture-console-history-details";
export import CaptureConsoleHistoryDetails = CaptureConsoleHistoryDetails.CaptureConsoleHistoryDetails;
import * as CaptureFilter from "./capture-filter";
export import CaptureFilter = CaptureFilter.CaptureFilter;
import * as ChangeBootVolumeBackupCompartmentDetails from "./change-boot-volume-backup-compartment-details";
export import ChangeBootVolumeBackupCompartmentDetails = ChangeBootVolumeBackupCompartmentDetails.ChangeBootVolumeBackupCompartmentDetails;
import * as ChangeBootVolumeCompartmentDetails from "./change-boot-volume-compartment-details";
export import ChangeBootVolumeCompartmentDetails = ChangeBootVolumeCompartmentDetails.ChangeBootVolumeCompartmentDetails;
import * as ChangeByoipRangeCompartmentDetails from "./change-byoip-range-compartment-details";
export import ChangeByoipRangeCompartmentDetails = ChangeByoipRangeCompartmentDetails.ChangeByoipRangeCompartmentDetails;
import * as ChangeCaptureFilterCompartmentDetails from "./change-capture-filter-compartment-details";
export import ChangeCaptureFilterCompartmentDetails = ChangeCaptureFilterCompartmentDetails.ChangeCaptureFilterCompartmentDetails;
import * as ChangeClusterNetworkCompartmentDetails from "./change-cluster-network-compartment-details";
export import ChangeClusterNetworkCompartmentDetails = ChangeClusterNetworkCompartmentDetails.ChangeClusterNetworkCompartmentDetails;
import * as ChangeComputeCapacityReservationCompartmentDetails from "./change-compute-capacity-reservation-compartment-details";
export import ChangeComputeCapacityReservationCompartmentDetails = ChangeComputeCapacityReservationCompartmentDetails.ChangeComputeCapacityReservationCompartmentDetails;
import * as ChangeComputeCapacityTopologyCompartmentDetails from "./change-compute-capacity-topology-compartment-details";
export import ChangeComputeCapacityTopologyCompartmentDetails = ChangeComputeCapacityTopologyCompartmentDetails.ChangeComputeCapacityTopologyCompartmentDetails;
import * as ChangeComputeClusterCompartmentDetails from "./change-compute-cluster-compartment-details";
export import ChangeComputeClusterCompartmentDetails = ChangeComputeClusterCompartmentDetails.ChangeComputeClusterCompartmentDetails;
import * as ChangeComputeImageCapabilitySchemaCompartmentDetails from "./change-compute-image-capability-schema-compartment-details";
export import ChangeComputeImageCapabilitySchemaCompartmentDetails = ChangeComputeImageCapabilitySchemaCompartmentDetails.ChangeComputeImageCapabilitySchemaCompartmentDetails;
import * as ChangeCpeCompartmentDetails from "./change-cpe-compartment-details";
export import ChangeCpeCompartmentDetails = ChangeCpeCompartmentDetails.ChangeCpeCompartmentDetails;
import * as ChangeCrossConnectCompartmentDetails from "./change-cross-connect-compartment-details";
export import ChangeCrossConnectCompartmentDetails = ChangeCrossConnectCompartmentDetails.ChangeCrossConnectCompartmentDetails;
import * as ChangeCrossConnectGroupCompartmentDetails from "./change-cross-connect-group-compartment-details";
export import ChangeCrossConnectGroupCompartmentDetails = ChangeCrossConnectGroupCompartmentDetails.ChangeCrossConnectGroupCompartmentDetails;
import * as ChangeDedicatedVmHostCompartmentDetails from "./change-dedicated-vm-host-compartment-details";
export import ChangeDedicatedVmHostCompartmentDetails = ChangeDedicatedVmHostCompartmentDetails.ChangeDedicatedVmHostCompartmentDetails;
import * as ChangeDhcpOptionsCompartmentDetails from "./change-dhcp-options-compartment-details";
export import ChangeDhcpOptionsCompartmentDetails = ChangeDhcpOptionsCompartmentDetails.ChangeDhcpOptionsCompartmentDetails;
import * as ChangeDrgCompartmentDetails from "./change-drg-compartment-details";
export import ChangeDrgCompartmentDetails = ChangeDrgCompartmentDetails.ChangeDrgCompartmentDetails;
import * as ChangeIPSecConnectionCompartmentDetails from "./change-ip-sec-connection-compartment-details";
export import ChangeIPSecConnectionCompartmentDetails = ChangeIPSecConnectionCompartmentDetails.ChangeIPSecConnectionCompartmentDetails;
import * as ChangeImageCompartmentDetails from "./change-image-compartment-details";
export import ChangeImageCompartmentDetails = ChangeImageCompartmentDetails.ChangeImageCompartmentDetails;
import * as ChangeInstanceCompartmentDetails from "./change-instance-compartment-details";
export import ChangeInstanceCompartmentDetails = ChangeInstanceCompartmentDetails.ChangeInstanceCompartmentDetails;
import * as ChangeInstanceConfigurationCompartmentDetails from "./change-instance-configuration-compartment-details";
export import ChangeInstanceConfigurationCompartmentDetails = ChangeInstanceConfigurationCompartmentDetails.ChangeInstanceConfigurationCompartmentDetails;
import * as ChangeInstancePoolCompartmentDetails from "./change-instance-pool-compartment-details";
export import ChangeInstancePoolCompartmentDetails = ChangeInstancePoolCompartmentDetails.ChangeInstancePoolCompartmentDetails;
import * as ChangeInternetGatewayCompartmentDetails from "./change-internet-gateway-compartment-details";
export import ChangeInternetGatewayCompartmentDetails = ChangeInternetGatewayCompartmentDetails.ChangeInternetGatewayCompartmentDetails;
import * as ChangeLocalPeeringGatewayCompartmentDetails from "./change-local-peering-gateway-compartment-details";
export import ChangeLocalPeeringGatewayCompartmentDetails = ChangeLocalPeeringGatewayCompartmentDetails.ChangeLocalPeeringGatewayCompartmentDetails;
import * as ChangeNatGatewayCompartmentDetails from "./change-nat-gateway-compartment-details";
export import ChangeNatGatewayCompartmentDetails = ChangeNatGatewayCompartmentDetails.ChangeNatGatewayCompartmentDetails;
import * as ChangeNetworkSecurityGroupCompartmentDetails from "./change-network-security-group-compartment-details";
export import ChangeNetworkSecurityGroupCompartmentDetails = ChangeNetworkSecurityGroupCompartmentDetails.ChangeNetworkSecurityGroupCompartmentDetails;
import * as ChangePublicIpCompartmentDetails from "./change-public-ip-compartment-details";
export import ChangePublicIpCompartmentDetails = ChangePublicIpCompartmentDetails.ChangePublicIpCompartmentDetails;
import * as ChangePublicIpPoolCompartmentDetails from "./change-public-ip-pool-compartment-details";
export import ChangePublicIpPoolCompartmentDetails = ChangePublicIpPoolCompartmentDetails.ChangePublicIpPoolCompartmentDetails;
import * as ChangeRemotePeeringConnectionCompartmentDetails from "./change-remote-peering-connection-compartment-details";
export import ChangeRemotePeeringConnectionCompartmentDetails = ChangeRemotePeeringConnectionCompartmentDetails.ChangeRemotePeeringConnectionCompartmentDetails;
import * as ChangeRouteTableCompartmentDetails from "./change-route-table-compartment-details";
export import ChangeRouteTableCompartmentDetails = ChangeRouteTableCompartmentDetails.ChangeRouteTableCompartmentDetails;
import * as ChangeSecurityListCompartmentDetails from "./change-security-list-compartment-details";
export import ChangeSecurityListCompartmentDetails = ChangeSecurityListCompartmentDetails.ChangeSecurityListCompartmentDetails;
import * as ChangeServiceGatewayCompartmentDetails from "./change-service-gateway-compartment-details";
export import ChangeServiceGatewayCompartmentDetails = ChangeServiceGatewayCompartmentDetails.ChangeServiceGatewayCompartmentDetails;
import * as ChangeSubnetCompartmentDetails from "./change-subnet-compartment-details";
export import ChangeSubnetCompartmentDetails = ChangeSubnetCompartmentDetails.ChangeSubnetCompartmentDetails;
import * as ChangeVcnCompartmentDetails from "./change-vcn-compartment-details";
export import ChangeVcnCompartmentDetails = ChangeVcnCompartmentDetails.ChangeVcnCompartmentDetails;
import * as ChangeVirtualCircuitCompartmentDetails from "./change-virtual-circuit-compartment-details";
export import ChangeVirtualCircuitCompartmentDetails = ChangeVirtualCircuitCompartmentDetails.ChangeVirtualCircuitCompartmentDetails;
import * as ChangeVlanCompartmentDetails from "./change-vlan-compartment-details";
export import ChangeVlanCompartmentDetails = ChangeVlanCompartmentDetails.ChangeVlanCompartmentDetails;
import * as ChangeVolumeBackupCompartmentDetails from "./change-volume-backup-compartment-details";
export import ChangeVolumeBackupCompartmentDetails = ChangeVolumeBackupCompartmentDetails.ChangeVolumeBackupCompartmentDetails;
import * as ChangeVolumeCompartmentDetails from "./change-volume-compartment-details";
export import ChangeVolumeCompartmentDetails = ChangeVolumeCompartmentDetails.ChangeVolumeCompartmentDetails;
import * as ChangeVolumeGroupBackupCompartmentDetails from "./change-volume-group-backup-compartment-details";
export import ChangeVolumeGroupBackupCompartmentDetails = ChangeVolumeGroupBackupCompartmentDetails.ChangeVolumeGroupBackupCompartmentDetails;
import * as ChangeVolumeGroupCompartmentDetails from "./change-volume-group-compartment-details";
export import ChangeVolumeGroupCompartmentDetails = ChangeVolumeGroupCompartmentDetails.ChangeVolumeGroupCompartmentDetails;
import * as ChangeVtapCompartmentDetails from "./change-vtap-compartment-details";
export import ChangeVtapCompartmentDetails = ChangeVtapCompartmentDetails.ChangeVtapCompartmentDetails;
import * as ClusterConfigDetails from "./cluster-config-details";
export import ClusterConfigDetails = ClusterConfigDetails.ClusterConfigDetails;
import * as ClusterConfigurationDetails from "./cluster-configuration-details";
export import ClusterConfigurationDetails = ClusterConfigurationDetails.ClusterConfigurationDetails;
import * as ClusterNetwork from "./cluster-network";
export import ClusterNetwork = ClusterNetwork.ClusterNetwork;
import * as ClusterNetworkPlacementConfigurationDetails from "./cluster-network-placement-configuration-details";
export import ClusterNetworkPlacementConfigurationDetails = ClusterNetworkPlacementConfigurationDetails.ClusterNetworkPlacementConfigurationDetails;
import * as ClusterNetworkSummary from "./cluster-network-summary";
export import ClusterNetworkSummary = ClusterNetworkSummary.ClusterNetworkSummary;
import * as CompartmentInternal from "./compartment-internal";
export import CompartmentInternal = CompartmentInternal.CompartmentInternal;
import * as ComputeBareMetalHost from "./compute-bare-metal-host";
export import ComputeBareMetalHost = ComputeBareMetalHost.ComputeBareMetalHost;
import * as ComputeBareMetalHostCollection from "./compute-bare-metal-host-collection";
export import ComputeBareMetalHostCollection = ComputeBareMetalHostCollection.ComputeBareMetalHostCollection;
import * as ComputeBareMetalHostSummary from "./compute-bare-metal-host-summary";
export import ComputeBareMetalHostSummary = ComputeBareMetalHostSummary.ComputeBareMetalHostSummary;
import * as ComputeCapacityReport from "./compute-capacity-report";
export import ComputeCapacityReport = ComputeCapacityReport.ComputeCapacityReport;
import * as ComputeCapacityReservation from "./compute-capacity-reservation";
export import ComputeCapacityReservation = ComputeCapacityReservation.ComputeCapacityReservation;
import * as ComputeCapacityReservationInstanceShapeSummary from "./compute-capacity-reservation-instance-shape-summary";
export import ComputeCapacityReservationInstanceShapeSummary = ComputeCapacityReservationInstanceShapeSummary.ComputeCapacityReservationInstanceShapeSummary;
import * as ComputeCapacityReservationSummary from "./compute-capacity-reservation-summary";
export import ComputeCapacityReservationSummary = ComputeCapacityReservationSummary.ComputeCapacityReservationSummary;
import * as ComputeCapacityTopology from "./compute-capacity-topology";
export import ComputeCapacityTopology = ComputeCapacityTopology.ComputeCapacityTopology;
import * as ComputeCapacityTopologyCollection from "./compute-capacity-topology-collection";
export import ComputeCapacityTopologyCollection = ComputeCapacityTopologyCollection.ComputeCapacityTopologyCollection;
import * as ComputeCapacityTopologySummary from "./compute-capacity-topology-summary";
export import ComputeCapacityTopologySummary = ComputeCapacityTopologySummary.ComputeCapacityTopologySummary;
import * as ComputeCluster from "./compute-cluster";
export import ComputeCluster = ComputeCluster.ComputeCluster;
import * as ComputeClusterCollection from "./compute-cluster-collection";
export import ComputeClusterCollection = ComputeClusterCollection.ComputeClusterCollection;
import * as ComputeClusterSummary from "./compute-cluster-summary";
export import ComputeClusterSummary = ComputeClusterSummary.ComputeClusterSummary;
import * as ComputeGlobalImageCapabilitySchema from "./compute-global-image-capability-schema";
export import ComputeGlobalImageCapabilitySchema = ComputeGlobalImageCapabilitySchema.ComputeGlobalImageCapabilitySchema;
import * as ComputeGlobalImageCapabilitySchemaSummary from "./compute-global-image-capability-schema-summary";
export import ComputeGlobalImageCapabilitySchemaSummary = ComputeGlobalImageCapabilitySchemaSummary.ComputeGlobalImageCapabilitySchemaSummary;
import * as ComputeGlobalImageCapabilitySchemaVersion from "./compute-global-image-capability-schema-version";
export import ComputeGlobalImageCapabilitySchemaVersion = ComputeGlobalImageCapabilitySchemaVersion.ComputeGlobalImageCapabilitySchemaVersion;
import * as ComputeGlobalImageCapabilitySchemaVersionSummary from "./compute-global-image-capability-schema-version-summary";
export import ComputeGlobalImageCapabilitySchemaVersionSummary = ComputeGlobalImageCapabilitySchemaVersionSummary.ComputeGlobalImageCapabilitySchemaVersionSummary;
import * as ComputeHpcIsland from "./compute-hpc-island";
export import ComputeHpcIsland = ComputeHpcIsland.ComputeHpcIsland;
import * as ComputeHpcIslandCollection from "./compute-hpc-island-collection";
export import ComputeHpcIslandCollection = ComputeHpcIslandCollection.ComputeHpcIslandCollection;
import * as ComputeHpcIslandSummary from "./compute-hpc-island-summary";
export import ComputeHpcIslandSummary = ComputeHpcIslandSummary.ComputeHpcIslandSummary;
import * as ComputeImageCapabilitySchema from "./compute-image-capability-schema";
export import ComputeImageCapabilitySchema = ComputeImageCapabilitySchema.ComputeImageCapabilitySchema;
import * as ComputeImageCapabilitySchemaSummary from "./compute-image-capability-schema-summary";
export import ComputeImageCapabilitySchemaSummary = ComputeImageCapabilitySchemaSummary.ComputeImageCapabilitySchemaSummary;
import * as ComputeNetworkBlock from "./compute-network-block";
export import ComputeNetworkBlock = ComputeNetworkBlock.ComputeNetworkBlock;
import * as ComputeNetworkBlockCollection from "./compute-network-block-collection";
export import ComputeNetworkBlockCollection = ComputeNetworkBlockCollection.ComputeNetworkBlockCollection;
import * as ComputeNetworkBlockSummary from "./compute-network-block-summary";
export import ComputeNetworkBlockSummary = ComputeNetworkBlockSummary.ComputeNetworkBlockSummary;
import * as ConnectLocalPeeringGatewaysDetails from "./connect-local-peering-gateways-details";
export import ConnectLocalPeeringGatewaysDetails = ConnectLocalPeeringGatewaysDetails.ConnectLocalPeeringGatewaysDetails;
import * as ConnectRemotePeeringConnectionsDetails from "./connect-remote-peering-connections-details";
export import ConnectRemotePeeringConnectionsDetails = ConnectRemotePeeringConnectionsDetails.ConnectRemotePeeringConnectionsDetails;
import * as ConsoleHistory from "./console-history";
export import ConsoleHistory = ConsoleHistory.ConsoleHistory;
import * as CopyBootVolumeBackupDetails from "./copy-boot-volume-backup-details";
export import CopyBootVolumeBackupDetails = CopyBootVolumeBackupDetails.CopyBootVolumeBackupDetails;
import * as CopyVolumeBackupDetails from "./copy-volume-backup-details";
export import CopyVolumeBackupDetails = CopyVolumeBackupDetails.CopyVolumeBackupDetails;
import * as CopyVolumeGroupBackupDetails from "./copy-volume-group-backup-details";
export import CopyVolumeGroupBackupDetails = CopyVolumeGroupBackupDetails.CopyVolumeGroupBackupDetails;
import * as Cpe from "./cpe";
export import Cpe = Cpe.Cpe;
import * as CpeDeviceConfigAnswer from "./cpe-device-config-answer";
export import CpeDeviceConfigAnswer = CpeDeviceConfigAnswer.CpeDeviceConfigAnswer;
import * as CpeDeviceConfigQuestion from "./cpe-device-config-question";
export import CpeDeviceConfigQuestion = CpeDeviceConfigQuestion.CpeDeviceConfigQuestion;
import * as CpeDeviceInfo from "./cpe-device-info";
export import CpeDeviceInfo = CpeDeviceInfo.CpeDeviceInfo;
import * as CpeDeviceShapeDetail from "./cpe-device-shape-detail";
export import CpeDeviceShapeDetail = CpeDeviceShapeDetail.CpeDeviceShapeDetail;
import * as CpeDeviceShapeSummary from "./cpe-device-shape-summary";
export import CpeDeviceShapeSummary = CpeDeviceShapeSummary.CpeDeviceShapeSummary;
import * as CreateAppCatalogSubscriptionDetails from "./create-app-catalog-subscription-details";
export import CreateAppCatalogSubscriptionDetails = CreateAppCatalogSubscriptionDetails.CreateAppCatalogSubscriptionDetails;
import * as CreateBootVolumeBackupDetails from "./create-boot-volume-backup-details";
export import CreateBootVolumeBackupDetails = CreateBootVolumeBackupDetails.CreateBootVolumeBackupDetails;
import * as CreateBootVolumeDetails from "./create-boot-volume-details";
export import CreateBootVolumeDetails = CreateBootVolumeDetails.CreateBootVolumeDetails;
import * as CreateByoipRangeDetails from "./create-byoip-range-details";
export import CreateByoipRangeDetails = CreateByoipRangeDetails.CreateByoipRangeDetails;
import * as CreateCapacityReportShapeAvailabilityDetails from "./create-capacity-report-shape-availability-details";
export import CreateCapacityReportShapeAvailabilityDetails = CreateCapacityReportShapeAvailabilityDetails.CreateCapacityReportShapeAvailabilityDetails;
import * as CreateCapacitySourceDetails from "./create-capacity-source-details";
export import CreateCapacitySourceDetails = CreateCapacitySourceDetails.CreateCapacitySourceDetails;
import * as CreateCaptureFilterDetails from "./create-capture-filter-details";
export import CreateCaptureFilterDetails = CreateCaptureFilterDetails.CreateCaptureFilterDetails;
import * as CreateClusterNetworkDetails from "./create-cluster-network-details";
export import CreateClusterNetworkDetails = CreateClusterNetworkDetails.CreateClusterNetworkDetails;
import * as CreateClusterNetworkInstancePoolDetails from "./create-cluster-network-instance-pool-details";
export import CreateClusterNetworkInstancePoolDetails = CreateClusterNetworkInstancePoolDetails.CreateClusterNetworkInstancePoolDetails;
import * as CreateComputeCapacityReportDetails from "./create-compute-capacity-report-details";
export import CreateComputeCapacityReportDetails = CreateComputeCapacityReportDetails.CreateComputeCapacityReportDetails;
import * as CreateComputeCapacityReservationDetails from "./create-compute-capacity-reservation-details";
export import CreateComputeCapacityReservationDetails = CreateComputeCapacityReservationDetails.CreateComputeCapacityReservationDetails;
import * as CreateComputeCapacityTopologyDetails from "./create-compute-capacity-topology-details";
export import CreateComputeCapacityTopologyDetails = CreateComputeCapacityTopologyDetails.CreateComputeCapacityTopologyDetails;
import * as CreateComputeClusterDetails from "./create-compute-cluster-details";
export import CreateComputeClusterDetails = CreateComputeClusterDetails.CreateComputeClusterDetails;
import * as CreateComputeImageCapabilitySchemaDetails from "./create-compute-image-capability-schema-details";
export import CreateComputeImageCapabilitySchemaDetails = CreateComputeImageCapabilitySchemaDetails.CreateComputeImageCapabilitySchemaDetails;
import * as CreateCpeDetails from "./create-cpe-details";
export import CreateCpeDetails = CreateCpeDetails.CreateCpeDetails;
import * as CreateCrossConnectDetails from "./create-cross-connect-details";
export import CreateCrossConnectDetails = CreateCrossConnectDetails.CreateCrossConnectDetails;
import * as CreateCrossConnectGroupDetails from "./create-cross-connect-group-details";
export import CreateCrossConnectGroupDetails = CreateCrossConnectGroupDetails.CreateCrossConnectGroupDetails;
import * as CreateDedicatedVmHostDetails from "./create-dedicated-vm-host-details";
export import CreateDedicatedVmHostDetails = CreateDedicatedVmHostDetails.CreateDedicatedVmHostDetails;
import * as CreateDhcpDetails from "./create-dhcp-details";
export import CreateDhcpDetails = CreateDhcpDetails.CreateDhcpDetails;
import * as CreateDrgAttachmentDetails from "./create-drg-attachment-details";
export import CreateDrgAttachmentDetails = CreateDrgAttachmentDetails.CreateDrgAttachmentDetails;
import * as CreateDrgDetails from "./create-drg-details";
export import CreateDrgDetails = CreateDrgDetails.CreateDrgDetails;
import * as CreateDrgRouteDistributionDetails from "./create-drg-route-distribution-details";
export import CreateDrgRouteDistributionDetails = CreateDrgRouteDistributionDetails.CreateDrgRouteDistributionDetails;
import * as CreateDrgRouteTableDetails from "./create-drg-route-table-details";
export import CreateDrgRouteTableDetails = CreateDrgRouteTableDetails.CreateDrgRouteTableDetails;
import * as CreateIPSecConnectionDetails from "./create-ip-sec-connection-details";
export import CreateIPSecConnectionDetails = CreateIPSecConnectionDetails.CreateIPSecConnectionDetails;
import * as CreateIPSecConnectionTunnelDetails from "./create-ip-sec-connection-tunnel-details";
export import CreateIPSecConnectionTunnelDetails = CreateIPSecConnectionTunnelDetails.CreateIPSecConnectionTunnelDetails;
import * as CreateIPSecTunnelBgpSessionDetails from "./create-ip-sec-tunnel-bgp-session-details";
export import CreateIPSecTunnelBgpSessionDetails = CreateIPSecTunnelBgpSessionDetails.CreateIPSecTunnelBgpSessionDetails;
import * as CreateIPSecTunnelEncryptionDomainDetails from "./create-ip-sec-tunnel-encryption-domain-details";
export import CreateIPSecTunnelEncryptionDomainDetails = CreateIPSecTunnelEncryptionDomainDetails.CreateIPSecTunnelEncryptionDomainDetails;
import * as CreateImageDetails from "./create-image-details";
export import CreateImageDetails = CreateImageDetails.CreateImageDetails;
import * as CreateInstanceConfigurationBase from "./create-instance-configuration-base";
export import CreateInstanceConfigurationBase = CreateInstanceConfigurationBase.CreateInstanceConfigurationBase;
import * as CreateInstanceConsoleConnectionDetails from "./create-instance-console-connection-details";
export import CreateInstanceConsoleConnectionDetails = CreateInstanceConsoleConnectionDetails.CreateInstanceConsoleConnectionDetails;
import * as CreateInstancePoolDetails from "./create-instance-pool-details";
export import CreateInstancePoolDetails = CreateInstancePoolDetails.CreateInstancePoolDetails;
import * as CreateInstancePoolPlacementConfigurationDetails from "./create-instance-pool-placement-configuration-details";
export import CreateInstancePoolPlacementConfigurationDetails = CreateInstancePoolPlacementConfigurationDetails.CreateInstancePoolPlacementConfigurationDetails;
import * as CreateInternetGatewayDetails from "./create-internet-gateway-details";
export import CreateInternetGatewayDetails = CreateInternetGatewayDetails.CreateInternetGatewayDetails;
import * as CreateIpv6Details from "./create-ipv6-details";
export import CreateIpv6Details = CreateIpv6Details.CreateIpv6Details;
import * as CreateLocalPeeringGatewayDetails from "./create-local-peering-gateway-details";
export import CreateLocalPeeringGatewayDetails = CreateLocalPeeringGatewayDetails.CreateLocalPeeringGatewayDetails;
import * as CreateMacsecKey from "./create-macsec-key";
export import CreateMacsecKey = CreateMacsecKey.CreateMacsecKey;
import * as CreateMacsecProperties from "./create-macsec-properties";
export import CreateMacsecProperties = CreateMacsecProperties.CreateMacsecProperties;
import * as CreateNatGatewayDetails from "./create-nat-gateway-details";
export import CreateNatGatewayDetails = CreateNatGatewayDetails.CreateNatGatewayDetails;
import * as CreateNetworkSecurityGroupDetails from "./create-network-security-group-details";
export import CreateNetworkSecurityGroupDetails = CreateNetworkSecurityGroupDetails.CreateNetworkSecurityGroupDetails;
import * as CreatePrivateIpDetails from "./create-private-ip-details";
export import CreatePrivateIpDetails = CreatePrivateIpDetails.CreatePrivateIpDetails;
import * as CreatePublicIpDetails from "./create-public-ip-details";
export import CreatePublicIpDetails = CreatePublicIpDetails.CreatePublicIpDetails;
import * as CreatePublicIpPoolDetails from "./create-public-ip-pool-details";
export import CreatePublicIpPoolDetails = CreatePublicIpPoolDetails.CreatePublicIpPoolDetails;
import * as CreateRemotePeeringConnectionDetails from "./create-remote-peering-connection-details";
export import CreateRemotePeeringConnectionDetails = CreateRemotePeeringConnectionDetails.CreateRemotePeeringConnectionDetails;
import * as CreateRouteTableDetails from "./create-route-table-details";
export import CreateRouteTableDetails = CreateRouteTableDetails.CreateRouteTableDetails;
import * as CreateSecurityListDetails from "./create-security-list-details";
export import CreateSecurityListDetails = CreateSecurityListDetails.CreateSecurityListDetails;
import * as CreateServiceGatewayDetails from "./create-service-gateway-details";
export import CreateServiceGatewayDetails = CreateServiceGatewayDetails.CreateServiceGatewayDetails;
import * as CreateSubnetDetails from "./create-subnet-details";
export import CreateSubnetDetails = CreateSubnetDetails.CreateSubnetDetails;
import * as CreateVcnDetails from "./create-vcn-details";
export import CreateVcnDetails = CreateVcnDetails.CreateVcnDetails;
import * as CreateVirtualCircuitDetails from "./create-virtual-circuit-details";
export import CreateVirtualCircuitDetails = CreateVirtualCircuitDetails.CreateVirtualCircuitDetails;
import * as CreateVirtualCircuitPublicPrefixDetails from "./create-virtual-circuit-public-prefix-details";
export import CreateVirtualCircuitPublicPrefixDetails = CreateVirtualCircuitPublicPrefixDetails.CreateVirtualCircuitPublicPrefixDetails;
import * as CreateVlanDetails from "./create-vlan-details";
export import CreateVlanDetails = CreateVlanDetails.CreateVlanDetails;
import * as CreateVnicDetails from "./create-vnic-details";
export import CreateVnicDetails = CreateVnicDetails.CreateVnicDetails;
import * as CreateVolumeBackupDetails from "./create-volume-backup-details";
export import CreateVolumeBackupDetails = CreateVolumeBackupDetails.CreateVolumeBackupDetails;
import * as CreateVolumeBackupPolicyAssignmentDetails from "./create-volume-backup-policy-assignment-details";
export import CreateVolumeBackupPolicyAssignmentDetails = CreateVolumeBackupPolicyAssignmentDetails.CreateVolumeBackupPolicyAssignmentDetails;
import * as CreateVolumeBackupPolicyDetails from "./create-volume-backup-policy-details";
export import CreateVolumeBackupPolicyDetails = CreateVolumeBackupPolicyDetails.CreateVolumeBackupPolicyDetails;
import * as CreateVolumeDetails from "./create-volume-details";
export import CreateVolumeDetails = CreateVolumeDetails.CreateVolumeDetails;
import * as CreateVolumeGroupBackupDetails from "./create-volume-group-backup-details";
export import CreateVolumeGroupBackupDetails = CreateVolumeGroupBackupDetails.CreateVolumeGroupBackupDetails;
import * as CreateVolumeGroupDetails from "./create-volume-group-details";
export import CreateVolumeGroupDetails = CreateVolumeGroupDetails.CreateVolumeGroupDetails;
import * as CreateVtapDetails from "./create-vtap-details";
export import CreateVtapDetails = CreateVtapDetails.CreateVtapDetails;
import * as CrossConnect from "./cross-connect";
export import CrossConnect = CrossConnect.CrossConnect;
import * as CrossConnectGroup from "./cross-connect-group";
export import CrossConnectGroup = CrossConnectGroup.CrossConnectGroup;
import * as CrossConnectLocation from "./cross-connect-location";
export import CrossConnectLocation = CrossConnectLocation.CrossConnectLocation;
import * as CrossConnectMapping from "./cross-connect-mapping";
export import CrossConnectMapping = CrossConnectMapping.CrossConnectMapping;
import * as CrossConnectMappingDetails from "./cross-connect-mapping-details";
export import CrossConnectMappingDetails = CrossConnectMappingDetails.CrossConnectMappingDetails;
import * as CrossConnectMappingDetailsCollection from "./cross-connect-mapping-details-collection";
export import CrossConnectMappingDetailsCollection = CrossConnectMappingDetailsCollection.CrossConnectMappingDetailsCollection;
import * as CrossConnectPortSpeedShape from "./cross-connect-port-speed-shape";
export import CrossConnectPortSpeedShape = CrossConnectPortSpeedShape.CrossConnectPortSpeedShape;
import * as CrossConnectStatus from "./cross-connect-status";
export import CrossConnectStatus = CrossConnectStatus.CrossConnectStatus;
import * as DedicatedVmHost from "./dedicated-vm-host";
export import DedicatedVmHost = DedicatedVmHost.DedicatedVmHost;
import * as DedicatedVmHostInstanceShapeSummary from "./dedicated-vm-host-instance-shape-summary";
export import DedicatedVmHostInstanceShapeSummary = DedicatedVmHostInstanceShapeSummary.DedicatedVmHostInstanceShapeSummary;
import * as DedicatedVmHostInstanceSummary from "./dedicated-vm-host-instance-summary";
export import DedicatedVmHostInstanceSummary = DedicatedVmHostInstanceSummary.DedicatedVmHostInstanceSummary;
import * as DedicatedVmHostShapeSummary from "./dedicated-vm-host-shape-summary";
export import DedicatedVmHostShapeSummary = DedicatedVmHostShapeSummary.DedicatedVmHostShapeSummary;
import * as DedicatedVmHostSummary from "./dedicated-vm-host-summary";
export import DedicatedVmHostSummary = DedicatedVmHostSummary.DedicatedVmHostSummary;
import * as DefaultDrgRouteTables from "./default-drg-route-tables";
export import DefaultDrgRouteTables = DefaultDrgRouteTables.DefaultDrgRouteTables;
import * as DefaultPhaseOneParameters from "./default-phase-one-parameters";
export import DefaultPhaseOneParameters = DefaultPhaseOneParameters.DefaultPhaseOneParameters;
import * as DefaultPhaseTwoParameters from "./default-phase-two-parameters";
export import DefaultPhaseTwoParameters = DefaultPhaseTwoParameters.DefaultPhaseTwoParameters;
import * as DeleteVirtualCircuitPublicPrefixDetails from "./delete-virtual-circuit-public-prefix-details";
export import DeleteVirtualCircuitPublicPrefixDetails = DeleteVirtualCircuitPublicPrefixDetails.DeleteVirtualCircuitPublicPrefixDetails;
import * as DetachInstancePoolInstanceDetails from "./detach-instance-pool-instance-details";
export import DetachInstancePoolInstanceDetails = DetachInstancePoolInstanceDetails.DetachInstancePoolInstanceDetails;
import * as DetachLoadBalancerDetails from "./detach-load-balancer-details";
export import DetachLoadBalancerDetails = DetachLoadBalancerDetails.DetachLoadBalancerDetails;
import * as Device from "./device";
export import Device = Device.Device;
import * as DhcpOption from "./dhcp-option";
export import DhcpOption = DhcpOption.DhcpOption;
import * as DhcpOptions from "./dhcp-options";
export import DhcpOptions = DhcpOptions.DhcpOptions;
import * as DpdConfig from "./dpd-config";
export import DpdConfig = DpdConfig.DpdConfig;
import * as Drg from "./drg";
export import Drg = Drg.Drg;
import * as DrgAttachment from "./drg-attachment";
export import DrgAttachment = DrgAttachment.DrgAttachment;
import * as DrgAttachmentInfo from "./drg-attachment-info";
export import DrgAttachmentInfo = DrgAttachmentInfo.DrgAttachmentInfo;
import * as DrgAttachmentNetworkCreateDetails from "./drg-attachment-network-create-details";
export import DrgAttachmentNetworkCreateDetails = DrgAttachmentNetworkCreateDetails.DrgAttachmentNetworkCreateDetails;
import * as DrgAttachmentNetworkDetails from "./drg-attachment-network-details";
export import DrgAttachmentNetworkDetails = DrgAttachmentNetworkDetails.DrgAttachmentNetworkDetails;
import * as DrgAttachmentNetworkUpdateDetails from "./drg-attachment-network-update-details";
export import DrgAttachmentNetworkUpdateDetails = DrgAttachmentNetworkUpdateDetails.DrgAttachmentNetworkUpdateDetails;
import * as DrgRedundancyStatus from "./drg-redundancy-status";
export import DrgRedundancyStatus = DrgRedundancyStatus.DrgRedundancyStatus;
import * as DrgRouteDistribution from "./drg-route-distribution";
export import DrgRouteDistribution = DrgRouteDistribution.DrgRouteDistribution;
import * as DrgRouteDistributionMatchCriteria from "./drg-route-distribution-match-criteria";
export import DrgRouteDistributionMatchCriteria = DrgRouteDistributionMatchCriteria.DrgRouteDistributionMatchCriteria;
import * as DrgRouteDistributionStatement from "./drg-route-distribution-statement";
export import DrgRouteDistributionStatement = DrgRouteDistributionStatement.DrgRouteDistributionStatement;
import * as DrgRouteRule from "./drg-route-rule";
export import DrgRouteRule = DrgRouteRule.DrgRouteRule;
import * as DrgRouteTable from "./drg-route-table";
export import DrgRouteTable = DrgRouteTable.DrgRouteTable;
import * as EgressSecurityRule from "./egress-security-rule";
export import EgressSecurityRule = EgressSecurityRule.EgressSecurityRule;
import * as EncryptionDomainConfig from "./encryption-domain-config";
export import EncryptionDomainConfig = EncryptionDomainConfig.EncryptionDomainConfig;
import * as EncryptionInTransitType from "./encryption-in-transit-type";
export import EncryptionInTransitType = EncryptionInTransitType.EncryptionInTransitType;
import * as ExportImageDetails from "./export-image-details";
export import ExportImageDetails = ExportImageDetails.ExportImageDetails;
import * as FastConnectProviderService from "./fast-connect-provider-service";
export import FastConnectProviderService = FastConnectProviderService.FastConnectProviderService;
import * as FastConnectProviderServiceKey from "./fast-connect-provider-service-key";
export import FastConnectProviderServiceKey = FastConnectProviderServiceKey.FastConnectProviderServiceKey;
import * as FlowLogCaptureFilterRuleDetails from "./flow-log-capture-filter-rule-details";
export import FlowLogCaptureFilterRuleDetails = FlowLogCaptureFilterRuleDetails.FlowLogCaptureFilterRuleDetails;
import * as GetIpInventoryVcnOverlapDetails from "./get-ip-inventory-vcn-overlap-details";
export import GetIpInventoryVcnOverlapDetails = GetIpInventoryVcnOverlapDetails.GetIpInventoryVcnOverlapDetails;
import * as GetPublicIpByIpAddressDetails from "./get-public-ip-by-ip-address-details";
export import GetPublicIpByIpAddressDetails = GetPublicIpByIpAddressDetails.GetPublicIpByIpAddressDetails;
import * as GetPublicIpByPrivateIpIdDetails from "./get-public-ip-by-private-ip-id-details";
export import GetPublicIpByPrivateIpIdDetails = GetPublicIpByPrivateIpIdDetails.GetPublicIpByPrivateIpIdDetails;
import * as IPSecConnection from "./i-psec-connection";
export import IPSecConnection = IPSecConnection.IPSecConnection;
import * as IPSecConnectionDeviceConfig from "./i-psec-connection-device-config";
export import IPSecConnectionDeviceConfig = IPSecConnectionDeviceConfig.IPSecConnectionDeviceConfig;
import * as IPSecConnectionDeviceStatus from "./i-psec-connection-device-status";
export import IPSecConnectionDeviceStatus = IPSecConnectionDeviceStatus.IPSecConnectionDeviceStatus;
import * as IPSecConnectionTunnel from "./i-psec-connection-tunnel";
export import IPSecConnectionTunnel = IPSecConnectionTunnel.IPSecConnectionTunnel;
import * as IPSecConnectionTunnelErrorDetails from "./i-psec-connection-tunnel-error-details";
export import IPSecConnectionTunnelErrorDetails = IPSecConnectionTunnelErrorDetails.IPSecConnectionTunnelErrorDetails;
import * as IPSecConnectionTunnelSharedSecret from "./i-psec-connection-tunnel-shared-secret";
export import IPSecConnectionTunnelSharedSecret = IPSecConnectionTunnelSharedSecret.IPSecConnectionTunnelSharedSecret;
import * as IcmpOptions from "./icmp-options";
export import IcmpOptions = IcmpOptions.IcmpOptions;
import * as Image from "./image";
export import Image = Image.Image;
import * as ImageCapabilitySchemaDescriptor from "./image-capability-schema-descriptor";
export import ImageCapabilitySchemaDescriptor = ImageCapabilitySchemaDescriptor.ImageCapabilitySchemaDescriptor;
import * as ImageMemoryConstraints from "./image-memory-constraints";
export import ImageMemoryConstraints = ImageMemoryConstraints.ImageMemoryConstraints;
import * as ImageOcpuConstraints from "./image-ocpu-constraints";
export import ImageOcpuConstraints = ImageOcpuConstraints.ImageOcpuConstraints;
import * as ImageShapeCompatibilityEntry from "./image-shape-compatibility-entry";
export import ImageShapeCompatibilityEntry = ImageShapeCompatibilityEntry.ImageShapeCompatibilityEntry;
import * as ImageShapeCompatibilitySummary from "./image-shape-compatibility-summary";
export import ImageShapeCompatibilitySummary = ImageShapeCompatibilitySummary.ImageShapeCompatibilitySummary;
import * as ImageSourceDetails from "./image-source-details";
export import ImageSourceDetails = ImageSourceDetails.ImageSourceDetails;
import * as IngressSecurityRule from "./ingress-security-rule";
export import IngressSecurityRule = IngressSecurityRule.IngressSecurityRule;
import * as Instance from "./instance";
export import Instance = Instance.Instance;
import * as InstanceAgentConfig from "./instance-agent-config";
export import InstanceAgentConfig = InstanceAgentConfig.InstanceAgentConfig;
import * as InstanceAgentFeatures from "./instance-agent-features";
export import InstanceAgentFeatures = InstanceAgentFeatures.InstanceAgentFeatures;
import * as InstanceAgentPluginConfigDetails from "./instance-agent-plugin-config-details";
export import InstanceAgentPluginConfigDetails = InstanceAgentPluginConfigDetails.InstanceAgentPluginConfigDetails;
import * as InstanceAvailabilityConfig from "./instance-availability-config";
export import InstanceAvailabilityConfig = InstanceAvailabilityConfig.InstanceAvailabilityConfig;
import * as InstanceConfiguration from "./instance-configuration";
export import InstanceConfiguration = InstanceConfiguration.InstanceConfiguration;
import * as InstanceConfigurationAttachVnicDetails from "./instance-configuration-attach-vnic-details";
export import InstanceConfigurationAttachVnicDetails = InstanceConfigurationAttachVnicDetails.InstanceConfigurationAttachVnicDetails;
import * as InstanceConfigurationAttachVolumeDetails from "./instance-configuration-attach-volume-details";
export import InstanceConfigurationAttachVolumeDetails = InstanceConfigurationAttachVolumeDetails.InstanceConfigurationAttachVolumeDetails;
import * as InstanceConfigurationAutotunePolicy from "./instance-configuration-autotune-policy";
export import InstanceConfigurationAutotunePolicy = InstanceConfigurationAutotunePolicy.InstanceConfigurationAutotunePolicy;
import * as InstanceConfigurationAvailabilityConfig from "./instance-configuration-availability-config";
export import InstanceConfigurationAvailabilityConfig = InstanceConfigurationAvailabilityConfig.InstanceConfigurationAvailabilityConfig;
import * as InstanceConfigurationBlockVolumeDetails from "./instance-configuration-block-volume-details";
export import InstanceConfigurationBlockVolumeDetails = InstanceConfigurationBlockVolumeDetails.InstanceConfigurationBlockVolumeDetails;
import * as InstanceConfigurationBlockVolumeReplicaDetails from "./instance-configuration-block-volume-replica-details";
export import InstanceConfigurationBlockVolumeReplicaDetails = InstanceConfigurationBlockVolumeReplicaDetails.InstanceConfigurationBlockVolumeReplicaDetails;
import * as InstanceConfigurationCreateVnicDetails from "./instance-configuration-create-vnic-details";
export import InstanceConfigurationCreateVnicDetails = InstanceConfigurationCreateVnicDetails.InstanceConfigurationCreateVnicDetails;
import * as InstanceConfigurationCreateVolumeDetails from "./instance-configuration-create-volume-details";
export import InstanceConfigurationCreateVolumeDetails = InstanceConfigurationCreateVolumeDetails.InstanceConfigurationCreateVolumeDetails;
import * as InstanceConfigurationInstanceDetails from "./instance-configuration-instance-details";
export import InstanceConfigurationInstanceDetails = InstanceConfigurationInstanceDetails.InstanceConfigurationInstanceDetails;
import * as InstanceConfigurationInstanceOptions from "./instance-configuration-instance-options";
export import InstanceConfigurationInstanceOptions = InstanceConfigurationInstanceOptions.InstanceConfigurationInstanceOptions;
import * as InstanceConfigurationInstanceSourceDetails from "./instance-configuration-instance-source-details";
export import InstanceConfigurationInstanceSourceDetails = InstanceConfigurationInstanceSourceDetails.InstanceConfigurationInstanceSourceDetails;
import * as InstanceConfigurationInstanceSourceImageFilterDetails from "./instance-configuration-instance-source-image-filter-details";
export import InstanceConfigurationInstanceSourceImageFilterDetails = InstanceConfigurationInstanceSourceImageFilterDetails.InstanceConfigurationInstanceSourceImageFilterDetails;
import * as InstanceConfigurationIpv6AddressIpv6SubnetCidrPairDetails from "./instance-configuration-ipv6-address-ipv6-subnet-cidr-pair-details";
export import InstanceConfigurationIpv6AddressIpv6SubnetCidrPairDetails = InstanceConfigurationIpv6AddressIpv6SubnetCidrPairDetails.InstanceConfigurationIpv6AddressIpv6SubnetCidrPairDetails;
import * as InstanceConfigurationLaunchInstanceAgentConfigDetails from "./instance-configuration-launch-instance-agent-config-details";
export import InstanceConfigurationLaunchInstanceAgentConfigDetails = InstanceConfigurationLaunchInstanceAgentConfigDetails.InstanceConfigurationLaunchInstanceAgentConfigDetails;
import * as InstanceConfigurationLaunchInstanceDetails from "./instance-configuration-launch-instance-details";
export import InstanceConfigurationLaunchInstanceDetails = InstanceConfigurationLaunchInstanceDetails.InstanceConfigurationLaunchInstanceDetails;
import * as InstanceConfigurationLaunchInstancePlatformConfig from "./instance-configuration-launch-instance-platform-config";
export import InstanceConfigurationLaunchInstancePlatformConfig = InstanceConfigurationLaunchInstancePlatformConfig.InstanceConfigurationLaunchInstancePlatformConfig;
import * as InstanceConfigurationLaunchInstanceShapeConfigDetails from "./instance-configuration-launch-instance-shape-config-details";
export import InstanceConfigurationLaunchInstanceShapeConfigDetails = InstanceConfigurationLaunchInstanceShapeConfigDetails.InstanceConfigurationLaunchInstanceShapeConfigDetails;
import * as InstanceConfigurationLaunchOptions from "./instance-configuration-launch-options";
export import InstanceConfigurationLaunchOptions = InstanceConfigurationLaunchOptions.InstanceConfigurationLaunchOptions;
import * as InstanceConfigurationSummary from "./instance-configuration-summary";
export import InstanceConfigurationSummary = InstanceConfigurationSummary.InstanceConfigurationSummary;
import * as InstanceConfigurationVolumeSourceDetails from "./instance-configuration-volume-source-details";
export import InstanceConfigurationVolumeSourceDetails = InstanceConfigurationVolumeSourceDetails.InstanceConfigurationVolumeSourceDetails;
import * as InstanceConsoleConnection from "./instance-console-connection";
export import InstanceConsoleConnection = InstanceConsoleConnection.InstanceConsoleConnection;
import * as InstanceCredentials from "./instance-credentials";
export import InstanceCredentials = InstanceCredentials.InstanceCredentials;
import * as InstanceMaintenanceReboot from "./instance-maintenance-reboot";
export import InstanceMaintenanceReboot = InstanceMaintenanceReboot.InstanceMaintenanceReboot;
import * as InstanceOptions from "./instance-options";
export import InstanceOptions = InstanceOptions.InstanceOptions;
import * as InstancePool from "./instance-pool";
export import InstancePool = InstancePool.InstancePool;
import * as InstancePoolInstance from "./instance-pool-instance";
export import InstancePoolInstance = InstancePoolInstance.InstancePoolInstance;
import * as InstancePoolInstanceLoadBalancerBackend from "./instance-pool-instance-load-balancer-backend";
export import InstancePoolInstanceLoadBalancerBackend = InstancePoolInstanceLoadBalancerBackend.InstancePoolInstanceLoadBalancerBackend;
import * as InstancePoolLoadBalancerAttachment from "./instance-pool-load-balancer-attachment";
export import InstancePoolLoadBalancerAttachment = InstancePoolLoadBalancerAttachment.InstancePoolLoadBalancerAttachment;
import * as InstancePoolPlacementConfiguration from "./instance-pool-placement-configuration";
export import InstancePoolPlacementConfiguration = InstancePoolPlacementConfiguration.InstancePoolPlacementConfiguration;
import * as InstancePoolPlacementIpv6AddressIpv6SubnetCidrDetails from "./instance-pool-placement-ipv6-address-ipv6-subnet-cidr-details";
export import InstancePoolPlacementIpv6AddressIpv6SubnetCidrDetails = InstancePoolPlacementIpv6AddressIpv6SubnetCidrDetails.InstancePoolPlacementIpv6AddressIpv6SubnetCidrDetails;
import * as InstancePoolPlacementPrimarySubnet from "./instance-pool-placement-primary-subnet";
export import InstancePoolPlacementPrimarySubnet = InstancePoolPlacementPrimarySubnet.InstancePoolPlacementPrimarySubnet;
import * as InstancePoolPlacementSecondaryVnicSubnet from "./instance-pool-placement-secondary-vnic-subnet";
export import InstancePoolPlacementSecondaryVnicSubnet = InstancePoolPlacementSecondaryVnicSubnet.InstancePoolPlacementSecondaryVnicSubnet;
import * as InstancePoolPlacementSubnetDetails from "./instance-pool-placement-subnet-details";
export import InstancePoolPlacementSubnetDetails = InstancePoolPlacementSubnetDetails.InstancePoolPlacementSubnetDetails;
import * as InstancePoolSummary from "./instance-pool-summary";
export import InstancePoolSummary = InstancePoolSummary.InstancePoolSummary;
import * as InstancePowerActionDetails from "./instance-power-action-details";
export import InstancePowerActionDetails = InstancePowerActionDetails.InstancePowerActionDetails;
import * as InstanceReservationConfig from "./instance-reservation-config";
export import InstanceReservationConfig = InstanceReservationConfig.InstanceReservationConfig;
import * as InstanceReservationConfigDetails from "./instance-reservation-config-details";
export import InstanceReservationConfigDetails = InstanceReservationConfigDetails.InstanceReservationConfigDetails;
import * as InstanceReservationShapeConfigDetails from "./instance-reservation-shape-config-details";
export import InstanceReservationShapeConfigDetails = InstanceReservationShapeConfigDetails.InstanceReservationShapeConfigDetails;
import * as InstanceShapeConfig from "./instance-shape-config";
export import InstanceShapeConfig = InstanceShapeConfig.InstanceShapeConfig;
import * as InstanceSourceDetails from "./instance-source-details";
export import InstanceSourceDetails = InstanceSourceDetails.InstanceSourceDetails;
import * as InstanceSourceImageFilterDetails from "./instance-source-image-filter-details";
export import InstanceSourceImageFilterDetails = InstanceSourceImageFilterDetails.InstanceSourceImageFilterDetails;
import * as InstanceSummary from "./instance-summary";
export import InstanceSummary = InstanceSummary.InstanceSummary;
import * as InternetGateway from "./internet-gateway";
export import InternetGateway = InternetGateway.InternetGateway;
import * as InventoryIpAddressSummary from "./inventory-ip-address-summary";
export import InventoryIpAddressSummary = InventoryIpAddressSummary.InventoryIpAddressSummary;
import * as InventoryResourceSummary from "./inventory-resource-summary";
export import InventoryResourceSummary = InventoryResourceSummary.InventoryResourceSummary;
import * as InventorySubnetCidrBlockSummary from "./inventory-subnet-cidr-block-summary";
export import InventorySubnetCidrBlockSummary = InventorySubnetCidrBlockSummary.InventorySubnetCidrBlockSummary;
import * as InventorySubnetSummary from "./inventory-subnet-summary";
export import InventorySubnetSummary = InventorySubnetSummary.InventorySubnetSummary;
import * as InventoryVcnCidrBlockSummary from "./inventory-vcn-cidr-block-summary";
export import InventoryVcnCidrBlockSummary = InventoryVcnCidrBlockSummary.InventoryVcnCidrBlockSummary;
import * as InventoryVcnSummary from "./inventory-vcn-summary";
export import InventoryVcnSummary = InventoryVcnSummary.InventoryVcnSummary;
import * as IpInventoryCidrUtilizationCollection from "./ip-inventory-cidr-utilization-collection";
export import IpInventoryCidrUtilizationCollection = IpInventoryCidrUtilizationCollection.IpInventoryCidrUtilizationCollection;
import * as IpInventoryCidrUtilizationSummary from "./ip-inventory-cidr-utilization-summary";
export import IpInventoryCidrUtilizationSummary = IpInventoryCidrUtilizationSummary.IpInventoryCidrUtilizationSummary;
import * as IpInventoryCollection from "./ip-inventory-collection";
export import IpInventoryCollection = IpInventoryCollection.IpInventoryCollection;
import * as IpInventorySubnetResourceCollection from "./ip-inventory-subnet-resource-collection";
export import IpInventorySubnetResourceCollection = IpInventorySubnetResourceCollection.IpInventorySubnetResourceCollection;
import * as IpInventorySubnetResourceSummary from "./ip-inventory-subnet-resource-summary";
export import IpInventorySubnetResourceSummary = IpInventorySubnetResourceSummary.IpInventorySubnetResourceSummary;
import * as IpInventoryVcnOverlapCollection from "./ip-inventory-vcn-overlap-collection";
export import IpInventoryVcnOverlapCollection = IpInventoryVcnOverlapCollection.IpInventoryVcnOverlapCollection;
import * as IpInventoryVcnOverlapSummary from "./ip-inventory-vcn-overlap-summary";
export import IpInventoryVcnOverlapSummary = IpInventoryVcnOverlapSummary.IpInventoryVcnOverlapSummary;
import * as Ipam from "./ipam";
export import Ipam = Ipam.Ipam;
import * as Ipv6 from "./ipv6";
export import Ipv6 = Ipv6.Ipv6;
import * as Ipv6AddressIpv6SubnetCidrPairDetails from "./ipv6-address-ipv6-subnet-cidr-pair-details";
export import Ipv6AddressIpv6SubnetCidrPairDetails = Ipv6AddressIpv6SubnetCidrPairDetails.Ipv6AddressIpv6SubnetCidrPairDetails;
import * as LaunchAttachVolumeDetails from "./launch-attach-volume-details";
export import LaunchAttachVolumeDetails = LaunchAttachVolumeDetails.LaunchAttachVolumeDetails;
import * as LaunchCreateVolumeDetails from "./launch-create-volume-details";
export import LaunchCreateVolumeDetails = LaunchCreateVolumeDetails.LaunchCreateVolumeDetails;
import * as LaunchInstanceAgentConfigDetails from "./launch-instance-agent-config-details";
export import LaunchInstanceAgentConfigDetails = LaunchInstanceAgentConfigDetails.LaunchInstanceAgentConfigDetails;
import * as LaunchInstanceAvailabilityConfigDetails from "./launch-instance-availability-config-details";
export import LaunchInstanceAvailabilityConfigDetails = LaunchInstanceAvailabilityConfigDetails.LaunchInstanceAvailabilityConfigDetails;
import * as LaunchInstanceDetails from "./launch-instance-details";
export import LaunchInstanceDetails = LaunchInstanceDetails.LaunchInstanceDetails;
import * as LaunchInstancePlatformConfig from "./launch-instance-platform-config";
export import LaunchInstancePlatformConfig = LaunchInstancePlatformConfig.LaunchInstancePlatformConfig;
import * as LaunchInstanceShapeConfigDetails from "./launch-instance-shape-config-details";
export import LaunchInstanceShapeConfigDetails = LaunchInstanceShapeConfigDetails.LaunchInstanceShapeConfigDetails;
import * as LaunchOptions from "./launch-options";
export import LaunchOptions = LaunchOptions.LaunchOptions;
import * as LetterOfAuthority from "./letter-of-authority";
export import LetterOfAuthority = LetterOfAuthority.LetterOfAuthority;
import * as ListIpInventoryDetails from "./list-ip-inventory-details";
export import ListIpInventoryDetails = ListIpInventoryDetails.ListIpInventoryDetails;
import * as LocalPeeringGateway from "./local-peering-gateway";
export import LocalPeeringGateway = LocalPeeringGateway.LocalPeeringGateway;
import * as MacsecEncryptionCipher from "./macsec-encryption-cipher";
export import MacsecEncryptionCipher = MacsecEncryptionCipher.MacsecEncryptionCipher;
import * as MacsecKey from "./macsec-key";
export import MacsecKey = MacsecKey.MacsecKey;
import * as MacsecProperties from "./macsec-properties";
export import MacsecProperties = MacsecProperties.MacsecProperties;
import * as MacsecState from "./macsec-state";
export import MacsecState = MacsecState.MacsecState;
import * as MeasuredBootEntry from "./measured-boot-entry";
export import MeasuredBootEntry = MeasuredBootEntry.MeasuredBootEntry;
import * as MeasuredBootReport from "./measured-boot-report";
export import MeasuredBootReport = MeasuredBootReport.MeasuredBootReport;
import * as MeasuredBootReportMeasurements from "./measured-boot-report-measurements";
export import MeasuredBootReportMeasurements = MeasuredBootReportMeasurements.MeasuredBootReportMeasurements;
import * as MemberReplica from "./member-replica";
export import MemberReplica = MemberReplica.MemberReplica;
import * as ModifyVcnCidrDetails from "./modify-vcn-cidr-details";
export import ModifyVcnCidrDetails = ModifyVcnCidrDetails.ModifyVcnCidrDetails;
import * as MultipathDevice from "./multipath-device";
export import MultipathDevice = MultipathDevice.MultipathDevice;
import * as NatGateway from "./nat-gateway";
export import NatGateway = NatGateway.NatGateway;
import * as NetworkSecurityGroup from "./network-security-group";
export import NetworkSecurityGroup = NetworkSecurityGroup.NetworkSecurityGroup;
import * as NetworkSecurityGroupVnic from "./network-security-group-vnic";
export import NetworkSecurityGroupVnic = NetworkSecurityGroupVnic.NetworkSecurityGroupVnic;
import * as PeerRegionForRemotePeering from "./peer-region-for-remote-peering";
export import PeerRegionForRemotePeering = PeerRegionForRemotePeering.PeerRegionForRemotePeering;
import * as PercentageOfCoresEnabledOptions from "./percentage-of-cores-enabled-options";
export import PercentageOfCoresEnabledOptions = PercentageOfCoresEnabledOptions.PercentageOfCoresEnabledOptions;
import * as PhaseOneConfigDetails from "./phase-one-config-details";
export import PhaseOneConfigDetails = PhaseOneConfigDetails.PhaseOneConfigDetails;
import * as PhaseTwoConfigDetails from "./phase-two-config-details";
export import PhaseTwoConfigDetails = PhaseTwoConfigDetails.PhaseTwoConfigDetails;
import * as PlatformConfig from "./platform-config";
export import PlatformConfig = PlatformConfig.PlatformConfig;
import * as PortRange from "./port-range";
export import PortRange = PortRange.PortRange;
import * as PreemptibleInstanceConfigDetails from "./preemptible-instance-config-details";
export import PreemptibleInstanceConfigDetails = PreemptibleInstanceConfigDetails.PreemptibleInstanceConfigDetails;
import * as PreemptionAction from "./preemption-action";
export import PreemptionAction = PreemptionAction.PreemptionAction;
import * as PrivateIp from "./private-ip";
export import PrivateIp = PrivateIp.PrivateIp;
import * as PublicIp from "./public-ip";
export import PublicIp = PublicIp.PublicIp;
import * as PublicIpPool from "./public-ip-pool";
export import PublicIpPool = PublicIpPool.PublicIpPool;
import * as PublicIpPoolCollection from "./public-ip-pool-collection";
export import PublicIpPoolCollection = PublicIpPoolCollection.PublicIpPoolCollection;
import * as PublicIpPoolSummary from "./public-ip-pool-summary";
export import PublicIpPoolSummary = PublicIpPoolSummary.PublicIpPoolSummary;
import * as RemotePeeringConnection from "./remote-peering-connection";
export import RemotePeeringConnection = RemotePeeringConnection.RemotePeeringConnection;
import * as RemoveDrgRouteDistributionStatementsDetails from "./remove-drg-route-distribution-statements-details";
export import RemoveDrgRouteDistributionStatementsDetails = RemoveDrgRouteDistributionStatementsDetails.RemoveDrgRouteDistributionStatementsDetails;
import * as RemoveDrgRouteRulesDetails from "./remove-drg-route-rules-details";
export import RemoveDrgRouteRulesDetails = RemoveDrgRouteRulesDetails.RemoveDrgRouteRulesDetails;
import * as RemoveNetworkSecurityGroupSecurityRulesDetails from "./remove-network-security-group-security-rules-details";
export import RemoveNetworkSecurityGroupSecurityRulesDetails = RemoveNetworkSecurityGroupSecurityRulesDetails.RemoveNetworkSecurityGroupSecurityRulesDetails;
import * as RemovePublicIpPoolCapacityDetails from "./remove-public-ip-pool-capacity-details";
export import RemovePublicIpPoolCapacityDetails = RemovePublicIpPoolCapacityDetails.RemovePublicIpPoolCapacityDetails;
import * as RemoveSubnetIpv6CidrDetails from "./remove-subnet-ipv6-cidr-details";
export import RemoveSubnetIpv6CidrDetails = RemoveSubnetIpv6CidrDetails.RemoveSubnetIpv6CidrDetails;
import * as RemoveVcnCidrDetails from "./remove-vcn-cidr-details";
export import RemoveVcnCidrDetails = RemoveVcnCidrDetails.RemoveVcnCidrDetails;
import * as RemoveVcnIpv6CidrDetails from "./remove-vcn-ipv6-cidr-details";
export import RemoveVcnIpv6CidrDetails = RemoveVcnIpv6CidrDetails.RemoveVcnIpv6CidrDetails;
import * as RouteRule from "./route-rule";
export import RouteRule = RouteRule.RouteRule;
import * as RouteTable from "./route-table";
export import RouteTable = RouteTable.RouteTable;
import * as SecurityList from "./security-list";
export import SecurityList = SecurityList.SecurityList;
import * as SecurityRule from "./security-rule";
export import SecurityRule = SecurityRule.SecurityRule;
import * as Service from "./service";
export import Service = Service.Service;
import * as ServiceGateway from "./service-gateway";
export import ServiceGateway = ServiceGateway.ServiceGateway;
import * as ServiceIdRequestDetails from "./service-id-request-details";
export import ServiceIdRequestDetails = ServiceIdRequestDetails.ServiceIdRequestDetails;
import * as ServiceIdResponseDetails from "./service-id-response-details";
export import ServiceIdResponseDetails = ServiceIdResponseDetails.ServiceIdResponseDetails;
import * as Shape from "./shape";
export import Shape = Shape.Shape;
import * as ShapeAccessControlServiceEnabledPlatformOptions from "./shape-access-control-service-enabled-platform-options";
export import ShapeAccessControlServiceEnabledPlatformOptions = ShapeAccessControlServiceEnabledPlatformOptions.ShapeAccessControlServiceEnabledPlatformOptions;
import * as ShapeAlternativeObject from "./shape-alternative-object";
export import ShapeAlternativeObject = ShapeAlternativeObject.ShapeAlternativeObject;
import * as ShapeInputOutputMemoryManagementUnitEnabledPlatformOptions from "./shape-input-output-memory-management-unit-enabled-platform-options";
export import ShapeInputOutputMemoryManagementUnitEnabledPlatformOptions = ShapeInputOutputMemoryManagementUnitEnabledPlatformOptions.ShapeInputOutputMemoryManagementUnitEnabledPlatformOptions;
import * as ShapeMaxVnicAttachmentOptions from "./shape-max-vnic-attachment-options";
export import ShapeMaxVnicAttachmentOptions = ShapeMaxVnicAttachmentOptions.ShapeMaxVnicAttachmentOptions;
import * as ShapeMeasuredBootOptions from "./shape-measured-boot-options";
export import ShapeMeasuredBootOptions = ShapeMeasuredBootOptions.ShapeMeasuredBootOptions;
import * as ShapeMemoryEncryptionOptions from "./shape-memory-encryption-options";
export import ShapeMemoryEncryptionOptions = ShapeMemoryEncryptionOptions.ShapeMemoryEncryptionOptions;
import * as ShapeMemoryOptions from "./shape-memory-options";
export import ShapeMemoryOptions = ShapeMemoryOptions.ShapeMemoryOptions;
import * as ShapeNetworkingBandwidthOptions from "./shape-networking-bandwidth-options";
export import ShapeNetworkingBandwidthOptions = ShapeNetworkingBandwidthOptions.ShapeNetworkingBandwidthOptions;
import * as ShapeNumaNodesPerSocketPlatformOptions from "./shape-numa-nodes-per-socket-platform-options";
export import ShapeNumaNodesPerSocketPlatformOptions = ShapeNumaNodesPerSocketPlatformOptions.ShapeNumaNodesPerSocketPlatformOptions;
import * as ShapeOcpuOptions from "./shape-ocpu-options";
export import ShapeOcpuOptions = ShapeOcpuOptions.ShapeOcpuOptions;
import * as ShapePlatformConfigOptions from "./shape-platform-config-options";
export import ShapePlatformConfigOptions = ShapePlatformConfigOptions.ShapePlatformConfigOptions;
import * as ShapeSecureBootOptions from "./shape-secure-boot-options";
export import ShapeSecureBootOptions = ShapeSecureBootOptions.ShapeSecureBootOptions;
import * as ShapeSymmetricMultiThreadingEnabledPlatformOptions from "./shape-symmetric-multi-threading-enabled-platform-options";
export import ShapeSymmetricMultiThreadingEnabledPlatformOptions = ShapeSymmetricMultiThreadingEnabledPlatformOptions.ShapeSymmetricMultiThreadingEnabledPlatformOptions;
import * as ShapeTrustedPlatformModuleOptions from "./shape-trusted-platform-module-options";
export import ShapeTrustedPlatformModuleOptions = ShapeTrustedPlatformModuleOptions.ShapeTrustedPlatformModuleOptions;
import * as ShapeVirtualInstructionsEnabledPlatformOptions from "./shape-virtual-instructions-enabled-platform-options";
export import ShapeVirtualInstructionsEnabledPlatformOptions = ShapeVirtualInstructionsEnabledPlatformOptions.ShapeVirtualInstructionsEnabledPlatformOptions;
import * as Subnet from "./subnet";
export import Subnet = Subnet.Subnet;
import * as TcpOptions from "./tcp-options";
export import TcpOptions = TcpOptions.TcpOptions;
import * as Topology from "./topology";
export import Topology = Topology.Topology;
import * as TopologyAssociatedWithRelationshipDetails from "./topology-associated-with-relationship-details";
export import TopologyAssociatedWithRelationshipDetails = TopologyAssociatedWithRelationshipDetails.TopologyAssociatedWithRelationshipDetails;
import * as TopologyEntityRelationship from "./topology-entity-relationship";
export import TopologyEntityRelationship = TopologyEntityRelationship.TopologyEntityRelationship;
import * as TopologyRoutesToRelationshipDetails from "./topology-routes-to-relationship-details";
export import TopologyRoutesToRelationshipDetails = TopologyRoutesToRelationshipDetails.TopologyRoutesToRelationshipDetails;
import * as TunnelConfig from "./tunnel-config";
export import TunnelConfig = TunnelConfig.TunnelConfig;
import * as TunnelCpeDeviceConfig from "./tunnel-cpe-device-config";
export import TunnelCpeDeviceConfig = TunnelCpeDeviceConfig.TunnelCpeDeviceConfig;
import * as TunnelPhaseOneDetails from "./tunnel-phase-one-details";
export import TunnelPhaseOneDetails = TunnelPhaseOneDetails.TunnelPhaseOneDetails;
import * as TunnelPhaseTwoDetails from "./tunnel-phase-two-details";
export import TunnelPhaseTwoDetails = TunnelPhaseTwoDetails.TunnelPhaseTwoDetails;
import * as TunnelRouteSummary from "./tunnel-route-summary";
export import TunnelRouteSummary = TunnelRouteSummary.TunnelRouteSummary;
import * as TunnelSecurityAssociationSummary from "./tunnel-security-association-summary";
export import TunnelSecurityAssociationSummary = TunnelSecurityAssociationSummary.TunnelSecurityAssociationSummary;
import * as TunnelStatus from "./tunnel-status";
export import TunnelStatus = TunnelStatus.TunnelStatus;
import * as UdpOptions from "./udp-options";
export import UdpOptions = UdpOptions.UdpOptions;
import * as UpdateBootVolumeBackupDetails from "./update-boot-volume-backup-details";
export import UpdateBootVolumeBackupDetails = UpdateBootVolumeBackupDetails.UpdateBootVolumeBackupDetails;
import * as UpdateBootVolumeDetails from "./update-boot-volume-details";
export import UpdateBootVolumeDetails = UpdateBootVolumeDetails.UpdateBootVolumeDetails;
import * as UpdateBootVolumeKmsKeyDetails from "./update-boot-volume-kms-key-details";
export import UpdateBootVolumeKmsKeyDetails = UpdateBootVolumeKmsKeyDetails.UpdateBootVolumeKmsKeyDetails;
import * as UpdateByoipRangeDetails from "./update-byoip-range-details";
export import UpdateByoipRangeDetails = UpdateByoipRangeDetails.UpdateByoipRangeDetails;
import * as UpdateCapacitySourceDetails from "./update-capacity-source-details";
export import UpdateCapacitySourceDetails = UpdateCapacitySourceDetails.UpdateCapacitySourceDetails;
import * as UpdateCaptureFilterDetails from "./update-capture-filter-details";
export import UpdateCaptureFilterDetails = UpdateCaptureFilterDetails.UpdateCaptureFilterDetails;
import * as UpdateClusterNetworkDetails from "./update-cluster-network-details";
export import UpdateClusterNetworkDetails = UpdateClusterNetworkDetails.UpdateClusterNetworkDetails;
import * as UpdateClusterNetworkInstancePoolDetails from "./update-cluster-network-instance-pool-details";
export import UpdateClusterNetworkInstancePoolDetails = UpdateClusterNetworkInstancePoolDetails.UpdateClusterNetworkInstancePoolDetails;
import * as UpdateComputeCapacityReservationDetails from "./update-compute-capacity-reservation-details";
export import UpdateComputeCapacityReservationDetails = UpdateComputeCapacityReservationDetails.UpdateComputeCapacityReservationDetails;
import * as UpdateComputeCapacityTopologyDetails from "./update-compute-capacity-topology-details";
export import UpdateComputeCapacityTopologyDetails = UpdateComputeCapacityTopologyDetails.UpdateComputeCapacityTopologyDetails;
import * as UpdateComputeClusterDetails from "./update-compute-cluster-details";
export import UpdateComputeClusterDetails = UpdateComputeClusterDetails.UpdateComputeClusterDetails;
import * as UpdateComputeImageCapabilitySchemaDetails from "./update-compute-image-capability-schema-details";
export import UpdateComputeImageCapabilitySchemaDetails = UpdateComputeImageCapabilitySchemaDetails.UpdateComputeImageCapabilitySchemaDetails;
import * as UpdateConsoleHistoryDetails from "./update-console-history-details";
export import UpdateConsoleHistoryDetails = UpdateConsoleHistoryDetails.UpdateConsoleHistoryDetails;
import * as UpdateCpeDetails from "./update-cpe-details";
export import UpdateCpeDetails = UpdateCpeDetails.UpdateCpeDetails;
import * as UpdateCrossConnectDetails from "./update-cross-connect-details";
export import UpdateCrossConnectDetails = UpdateCrossConnectDetails.UpdateCrossConnectDetails;
import * as UpdateCrossConnectGroupDetails from "./update-cross-connect-group-details";
export import UpdateCrossConnectGroupDetails = UpdateCrossConnectGroupDetails.UpdateCrossConnectGroupDetails;
import * as UpdateDedicatedVmHostDetails from "./update-dedicated-vm-host-details";
export import UpdateDedicatedVmHostDetails = UpdateDedicatedVmHostDetails.UpdateDedicatedVmHostDetails;
import * as UpdateDhcpDetails from "./update-dhcp-details";
export import UpdateDhcpDetails = UpdateDhcpDetails.UpdateDhcpDetails;
import * as UpdateDrgAttachmentDetails from "./update-drg-attachment-details";
export import UpdateDrgAttachmentDetails = UpdateDrgAttachmentDetails.UpdateDrgAttachmentDetails;
import * as UpdateDrgDetails from "./update-drg-details";
export import UpdateDrgDetails = UpdateDrgDetails.UpdateDrgDetails;
import * as UpdateDrgRouteDistributionDetails from "./update-drg-route-distribution-details";
export import UpdateDrgRouteDistributionDetails = UpdateDrgRouteDistributionDetails.UpdateDrgRouteDistributionDetails;
import * as UpdateDrgRouteDistributionStatementDetails from "./update-drg-route-distribution-statement-details";
export import UpdateDrgRouteDistributionStatementDetails = UpdateDrgRouteDistributionStatementDetails.UpdateDrgRouteDistributionStatementDetails;
import * as UpdateDrgRouteDistributionStatementsDetails from "./update-drg-route-distribution-statements-details";
export import UpdateDrgRouteDistributionStatementsDetails = UpdateDrgRouteDistributionStatementsDetails.UpdateDrgRouteDistributionStatementsDetails;
import * as UpdateDrgRouteRuleDetails from "./update-drg-route-rule-details";
export import UpdateDrgRouteRuleDetails = UpdateDrgRouteRuleDetails.UpdateDrgRouteRuleDetails;
import * as UpdateDrgRouteRulesDetails from "./update-drg-route-rules-details";
export import UpdateDrgRouteRulesDetails = UpdateDrgRouteRulesDetails.UpdateDrgRouteRulesDetails;
import * as UpdateDrgRouteTableDetails from "./update-drg-route-table-details";
export import UpdateDrgRouteTableDetails = UpdateDrgRouteTableDetails.UpdateDrgRouteTableDetails;
import * as UpdateIPSecConnectionDetails from "./update-ip-sec-connection-details";
export import UpdateIPSecConnectionDetails = UpdateIPSecConnectionDetails.UpdateIPSecConnectionDetails;
import * as UpdateIPSecConnectionTunnelDetails from "./update-ip-sec-connection-tunnel-details";
export import UpdateIPSecConnectionTunnelDetails = UpdateIPSecConnectionTunnelDetails.UpdateIPSecConnectionTunnelDetails;
import * as UpdateIPSecConnectionTunnelSharedSecretDetails from "./update-ip-sec-connection-tunnel-shared-secret-details";
export import UpdateIPSecConnectionTunnelSharedSecretDetails = UpdateIPSecConnectionTunnelSharedSecretDetails.UpdateIPSecConnectionTunnelSharedSecretDetails;
import * as UpdateIPSecTunnelBgpSessionDetails from "./update-ip-sec-tunnel-bgp-session-details";
export import UpdateIPSecTunnelBgpSessionDetails = UpdateIPSecTunnelBgpSessionDetails.UpdateIPSecTunnelBgpSessionDetails;
import * as UpdateIPSecTunnelEncryptionDomainDetails from "./update-ip-sec-tunnel-encryption-domain-details";
export import UpdateIPSecTunnelEncryptionDomainDetails = UpdateIPSecTunnelEncryptionDomainDetails.UpdateIPSecTunnelEncryptionDomainDetails;
import * as UpdateImageDetails from "./update-image-details";
export import UpdateImageDetails = UpdateImageDetails.UpdateImageDetails;
import * as UpdateInstanceAgentConfigDetails from "./update-instance-agent-config-details";
export import UpdateInstanceAgentConfigDetails = UpdateInstanceAgentConfigDetails.UpdateInstanceAgentConfigDetails;
import * as UpdateInstanceAvailabilityConfigDetails from "./update-instance-availability-config-details";
export import UpdateInstanceAvailabilityConfigDetails = UpdateInstanceAvailabilityConfigDetails.UpdateInstanceAvailabilityConfigDetails;
import * as UpdateInstanceConfigurationDetails from "./update-instance-configuration-details";
export import UpdateInstanceConfigurationDetails = UpdateInstanceConfigurationDetails.UpdateInstanceConfigurationDetails;
import * as UpdateInstanceConsoleConnectionDetails from "./update-instance-console-connection-details";
export import UpdateInstanceConsoleConnectionDetails = UpdateInstanceConsoleConnectionDetails.UpdateInstanceConsoleConnectionDetails;
import * as UpdateInstanceDetails from "./update-instance-details";
export import UpdateInstanceDetails = UpdateInstanceDetails.UpdateInstanceDetails;
import * as UpdateInstancePlatformConfig from "./update-instance-platform-config";
export import UpdateInstancePlatformConfig = UpdateInstancePlatformConfig.UpdateInstancePlatformConfig;
import * as UpdateInstancePoolDetails from "./update-instance-pool-details";
export import UpdateInstancePoolDetails = UpdateInstancePoolDetails.UpdateInstancePoolDetails;
import * as UpdateInstancePoolPlacementConfigurationDetails from "./update-instance-pool-placement-configuration-details";
export import UpdateInstancePoolPlacementConfigurationDetails = UpdateInstancePoolPlacementConfigurationDetails.UpdateInstancePoolPlacementConfigurationDetails;
import * as UpdateInstanceShapeConfigDetails from "./update-instance-shape-config-details";
export import UpdateInstanceShapeConfigDetails = UpdateInstanceShapeConfigDetails.UpdateInstanceShapeConfigDetails;
import * as UpdateInstanceSourceDetails from "./update-instance-source-details";
export import UpdateInstanceSourceDetails = UpdateInstanceSourceDetails.UpdateInstanceSourceDetails;
import * as UpdateInternetGatewayDetails from "./update-internet-gateway-details";
export import UpdateInternetGatewayDetails = UpdateInternetGatewayDetails.UpdateInternetGatewayDetails;
import * as UpdateIpv6Details from "./update-ipv6-details";
export import UpdateIpv6Details = UpdateIpv6Details.UpdateIpv6Details;
import * as UpdateLaunchOptions from "./update-launch-options";
export import UpdateLaunchOptions = UpdateLaunchOptions.UpdateLaunchOptions;
import * as UpdateLocalPeeringGatewayDetails from "./update-local-peering-gateway-details";
export import UpdateLocalPeeringGatewayDetails = UpdateLocalPeeringGatewayDetails.UpdateLocalPeeringGatewayDetails;
import * as UpdateMacsecKey from "./update-macsec-key";
export import UpdateMacsecKey = UpdateMacsecKey.UpdateMacsecKey;
import * as UpdateMacsecProperties from "./update-macsec-properties";
export import UpdateMacsecProperties = UpdateMacsecProperties.UpdateMacsecProperties;
import * as UpdateNatGatewayDetails from "./update-nat-gateway-details";
export import UpdateNatGatewayDetails = UpdateNatGatewayDetails.UpdateNatGatewayDetails;
import * as UpdateNetworkSecurityGroupDetails from "./update-network-security-group-details";
export import UpdateNetworkSecurityGroupDetails = UpdateNetworkSecurityGroupDetails.UpdateNetworkSecurityGroupDetails;
import * as UpdateNetworkSecurityGroupSecurityRulesDetails from "./update-network-security-group-security-rules-details";
export import UpdateNetworkSecurityGroupSecurityRulesDetails = UpdateNetworkSecurityGroupSecurityRulesDetails.UpdateNetworkSecurityGroupSecurityRulesDetails;
import * as UpdatePrivateIpDetails from "./update-private-ip-details";
export import UpdatePrivateIpDetails = UpdatePrivateIpDetails.UpdatePrivateIpDetails;
import * as UpdatePublicIpDetails from "./update-public-ip-details";
export import UpdatePublicIpDetails = UpdatePublicIpDetails.UpdatePublicIpDetails;
import * as UpdatePublicIpPoolDetails from "./update-public-ip-pool-details";
export import UpdatePublicIpPoolDetails = UpdatePublicIpPoolDetails.UpdatePublicIpPoolDetails;
import * as UpdateRemotePeeringConnectionDetails from "./update-remote-peering-connection-details";
export import UpdateRemotePeeringConnectionDetails = UpdateRemotePeeringConnectionDetails.UpdateRemotePeeringConnectionDetails;
import * as UpdateRouteTableDetails from "./update-route-table-details";
export import UpdateRouteTableDetails = UpdateRouteTableDetails.UpdateRouteTableDetails;
import * as UpdateSecurityListDetails from "./update-security-list-details";
export import UpdateSecurityListDetails = UpdateSecurityListDetails.UpdateSecurityListDetails;
import * as UpdateSecurityRuleDetails from "./update-security-rule-details";
export import UpdateSecurityRuleDetails = UpdateSecurityRuleDetails.UpdateSecurityRuleDetails;
import * as UpdateServiceGatewayDetails from "./update-service-gateway-details";
export import UpdateServiceGatewayDetails = UpdateServiceGatewayDetails.UpdateServiceGatewayDetails;
import * as UpdateSubnetDetails from "./update-subnet-details";
export import UpdateSubnetDetails = UpdateSubnetDetails.UpdateSubnetDetails;
import * as UpdateTunnelCpeDeviceConfigDetails from "./update-tunnel-cpe-device-config-details";
export import UpdateTunnelCpeDeviceConfigDetails = UpdateTunnelCpeDeviceConfigDetails.UpdateTunnelCpeDeviceConfigDetails;
import * as UpdateVcnDetails from "./update-vcn-details";
export import UpdateVcnDetails = UpdateVcnDetails.UpdateVcnDetails;
import * as UpdateVirtualCircuitDetails from "./update-virtual-circuit-details";
export import UpdateVirtualCircuitDetails = UpdateVirtualCircuitDetails.UpdateVirtualCircuitDetails;
import * as UpdateVlanDetails from "./update-vlan-details";
export import UpdateVlanDetails = UpdateVlanDetails.UpdateVlanDetails;
import * as UpdateVnicDetails from "./update-vnic-details";
export import UpdateVnicDetails = UpdateVnicDetails.UpdateVnicDetails;
import * as UpdateVolumeAttachmentDetails from "./update-volume-attachment-details";
export import UpdateVolumeAttachmentDetails = UpdateVolumeAttachmentDetails.UpdateVolumeAttachmentDetails;
import * as UpdateVolumeBackupDetails from "./update-volume-backup-details";
export import UpdateVolumeBackupDetails = UpdateVolumeBackupDetails.UpdateVolumeBackupDetails;
import * as UpdateVolumeBackupPolicyDetails from "./update-volume-backup-policy-details";
export import UpdateVolumeBackupPolicyDetails = UpdateVolumeBackupPolicyDetails.UpdateVolumeBackupPolicyDetails;
import * as UpdateVolumeDetails from "./update-volume-details";
export import UpdateVolumeDetails = UpdateVolumeDetails.UpdateVolumeDetails;
import * as UpdateVolumeGroupBackupDetails from "./update-volume-group-backup-details";
export import UpdateVolumeGroupBackupDetails = UpdateVolumeGroupBackupDetails.UpdateVolumeGroupBackupDetails;
import * as UpdateVolumeGroupDetails from "./update-volume-group-details";
export import UpdateVolumeGroupDetails = UpdateVolumeGroupDetails.UpdateVolumeGroupDetails;
import * as UpdateVolumeKmsKeyDetails from "./update-volume-kms-key-details";
export import UpdateVolumeKmsKeyDetails = UpdateVolumeKmsKeyDetails.UpdateVolumeKmsKeyDetails;
import * as UpdateVtapDetails from "./update-vtap-details";
export import UpdateVtapDetails = UpdateVtapDetails.UpdateVtapDetails;
import * as UpdatedNetworkSecurityGroupSecurityRules from "./updated-network-security-group-security-rules";
export import UpdatedNetworkSecurityGroupSecurityRules = UpdatedNetworkSecurityGroupSecurityRules.UpdatedNetworkSecurityGroupSecurityRules;
import * as UpgradeStatus from "./upgrade-status";
export import UpgradeStatus = UpgradeStatus.UpgradeStatus;
import * as Vcn from "./vcn";
export import Vcn = Vcn.Vcn;
import * as VcnDnsResolverAssociation from "./vcn-dns-resolver-association";
export import VcnDnsResolverAssociation = VcnDnsResolverAssociation.VcnDnsResolverAssociation;
import * as VirtualCircuit from "./virtual-circuit";
export import VirtualCircuit = VirtualCircuit.VirtualCircuit;
import * as VirtualCircuitAssociatedTunnelDetails from "./virtual-circuit-associated-tunnel-details";
export import VirtualCircuitAssociatedTunnelDetails = VirtualCircuitAssociatedTunnelDetails.VirtualCircuitAssociatedTunnelDetails;
import * as VirtualCircuitBandwidthShape from "./virtual-circuit-bandwidth-shape";
export import VirtualCircuitBandwidthShape = VirtualCircuitBandwidthShape.VirtualCircuitBandwidthShape;
import * as VirtualCircuitIpMtu from "./virtual-circuit-ip-mtu";
export import VirtualCircuitIpMtu = VirtualCircuitIpMtu.VirtualCircuitIpMtu;
import * as VirtualCircuitPublicPrefix from "./virtual-circuit-public-prefix";
export import VirtualCircuitPublicPrefix = VirtualCircuitPublicPrefix.VirtualCircuitPublicPrefix;
import * as Vlan from "./vlan";
export import Vlan = Vlan.Vlan;
import * as Vnic from "./vnic";
export import Vnic = Vnic.Vnic;
import * as VnicAttachment from "./vnic-attachment";
export import VnicAttachment = VnicAttachment.VnicAttachment;
import * as Volume from "./volume";
export import Volume = Volume.Volume;
import * as VolumeAttachment from "./volume-attachment";
export import VolumeAttachment = VolumeAttachment.VolumeAttachment;
import * as VolumeBackup from "./volume-backup";
export import VolumeBackup = VolumeBackup.VolumeBackup;
import * as VolumeBackupPolicy from "./volume-backup-policy";
export import VolumeBackupPolicy = VolumeBackupPolicy.VolumeBackupPolicy;
import * as VolumeBackupPolicyAssignment from "./volume-backup-policy-assignment";
export import VolumeBackupPolicyAssignment = VolumeBackupPolicyAssignment.VolumeBackupPolicyAssignment;
import * as VolumeBackupSchedule from "./volume-backup-schedule";
export import VolumeBackupSchedule = VolumeBackupSchedule.VolumeBackupSchedule;
import * as VolumeGroup from "./volume-group";
export import VolumeGroup = VolumeGroup.VolumeGroup;
import * as VolumeGroupBackup from "./volume-group-backup";
export import VolumeGroupBackup = VolumeGroupBackup.VolumeGroupBackup;
import * as VolumeGroupReplica from "./volume-group-replica";
export import VolumeGroupReplica = VolumeGroupReplica.VolumeGroupReplica;
import * as VolumeGroupReplicaDetails from "./volume-group-replica-details";
export import VolumeGroupReplicaDetails = VolumeGroupReplicaDetails.VolumeGroupReplicaDetails;
import * as VolumeGroupReplicaInfo from "./volume-group-replica-info";
export import VolumeGroupReplicaInfo = VolumeGroupReplicaInfo.VolumeGroupReplicaInfo;
import * as VolumeGroupSourceDetails from "./volume-group-source-details";
export import VolumeGroupSourceDetails = VolumeGroupSourceDetails.VolumeGroupSourceDetails;
import * as VolumeKmsKey from "./volume-kms-key";
export import VolumeKmsKey = VolumeKmsKey.VolumeKmsKey;
import * as VolumeSourceDetails from "./volume-source-details";
export import VolumeSourceDetails = VolumeSourceDetails.VolumeSourceDetails;
import * as Vtap from "./vtap";
export import Vtap = Vtap.Vtap;
import * as VtapCaptureFilterRuleDetails from "./vtap-capture-filter-rule-details";
export import VtapCaptureFilterRuleDetails = VtapCaptureFilterRuleDetails.VtapCaptureFilterRuleDetails;
import * as AmdMilanBmGpuLaunchInstancePlatformConfig from "./amd-milan-bm-gpu-launch-instance-platform-config";
export import AmdMilanBmGpuLaunchInstancePlatformConfig = AmdMilanBmGpuLaunchInstancePlatformConfig.AmdMilanBmGpuLaunchInstancePlatformConfig;
import * as AmdMilanBmGpuPlatformConfig from "./amd-milan-bm-gpu-platform-config";
export import AmdMilanBmGpuPlatformConfig = AmdMilanBmGpuPlatformConfig.AmdMilanBmGpuPlatformConfig;
import * as AmdMilanBmLaunchInstancePlatformConfig from "./amd-milan-bm-launch-instance-platform-config";
export import AmdMilanBmLaunchInstancePlatformConfig = AmdMilanBmLaunchInstancePlatformConfig.AmdMilanBmLaunchInstancePlatformConfig;
import * as AmdMilanBmPlatformConfig from "./amd-milan-bm-platform-config";
export import AmdMilanBmPlatformConfig = AmdMilanBmPlatformConfig.AmdMilanBmPlatformConfig;
import * as AmdRomeBmGpuLaunchInstancePlatformConfig from "./amd-rome-bm-gpu-launch-instance-platform-config";
export import AmdRomeBmGpuLaunchInstancePlatformConfig = AmdRomeBmGpuLaunchInstancePlatformConfig.AmdRomeBmGpuLaunchInstancePlatformConfig;
import * as AmdRomeBmGpuPlatformConfig from "./amd-rome-bm-gpu-platform-config";
export import AmdRomeBmGpuPlatformConfig = AmdRomeBmGpuPlatformConfig.AmdRomeBmGpuPlatformConfig;
import * as AmdRomeBmLaunchInstancePlatformConfig from "./amd-rome-bm-launch-instance-platform-config";
export import AmdRomeBmLaunchInstancePlatformConfig = AmdRomeBmLaunchInstancePlatformConfig.AmdRomeBmLaunchInstancePlatformConfig;
import * as AmdRomeBmPlatformConfig from "./amd-rome-bm-platform-config";
export import AmdRomeBmPlatformConfig = AmdRomeBmPlatformConfig.AmdRomeBmPlatformConfig;
import * as AmdVmLaunchInstancePlatformConfig from "./amd-vm-launch-instance-platform-config";
export import AmdVmLaunchInstancePlatformConfig = AmdVmLaunchInstancePlatformConfig.AmdVmLaunchInstancePlatformConfig;
import * as AmdVmPlatformConfig from "./amd-vm-platform-config";
export import AmdVmPlatformConfig = AmdVmPlatformConfig.AmdVmPlatformConfig;
import * as AmdVmUpdateInstancePlatformConfig from "./amd-vm-update-instance-platform-config";
export import AmdVmUpdateInstancePlatformConfig = AmdVmUpdateInstancePlatformConfig.AmdVmUpdateInstancePlatformConfig;
import * as AttachEmulatedVolumeDetails from "./attach-emulated-volume-details";
export import AttachEmulatedVolumeDetails = AttachEmulatedVolumeDetails.AttachEmulatedVolumeDetails;
import * as AttachIScsiVolumeDetails from "./attach-iscsi-volume-details";
export import AttachIScsiVolumeDetails = AttachIScsiVolumeDetails.AttachIScsiVolumeDetails;
import * as AttachParavirtualizedVolumeDetails from "./attach-paravirtualized-volume-details";
export import AttachParavirtualizedVolumeDetails = AttachParavirtualizedVolumeDetails.AttachParavirtualizedVolumeDetails;
import * as AttachServiceDeterminedVolumeDetails from "./attach-service-determined-volume-details";
export import AttachServiceDeterminedVolumeDetails = AttachServiceDeterminedVolumeDetails.AttachServiceDeterminedVolumeDetails;
import * as BooleanImageCapabilitySchemaDescriptor from "./boolean-image-capability-schema-descriptor";
export import BooleanImageCapabilitySchemaDescriptor = BooleanImageCapabilitySchemaDescriptor.BooleanImageCapabilitySchemaDescriptor;
import * as BootVolumeSourceFromBootVolumeBackupDetails from "./boot-volume-source-from-boot-volume-backup-details";
export import BootVolumeSourceFromBootVolumeBackupDetails = BootVolumeSourceFromBootVolumeBackupDetails.BootVolumeSourceFromBootVolumeBackupDetails;
import * as BootVolumeSourceFromBootVolumeDetails from "./boot-volume-source-from-boot-volume-details";
export import BootVolumeSourceFromBootVolumeDetails = BootVolumeSourceFromBootVolumeDetails.BootVolumeSourceFromBootVolumeDetails;
import * as BootVolumeSourceFromBootVolumeReplicaDetails from "./boot-volume-source-from-boot-volume-replica-details";
export import BootVolumeSourceFromBootVolumeReplicaDetails = BootVolumeSourceFromBootVolumeReplicaDetails.BootVolumeSourceFromBootVolumeReplicaDetails;
import * as ComputeInstanceDetails from "./compute-instance-details";
export import ComputeInstanceDetails = ComputeInstanceDetails.ComputeInstanceDetails;
import * as ComputeInstanceOptions from "./compute-instance-options";
export import ComputeInstanceOptions = ComputeInstanceOptions.ComputeInstanceOptions;
import * as CreateDedicatedCapacitySourceDetails from "./create-dedicated-capacity-source-details";
export import CreateDedicatedCapacitySourceDetails = CreateDedicatedCapacitySourceDetails.CreateDedicatedCapacitySourceDetails;
import * as CreateInstanceConfigurationDetails from "./create-instance-configuration-details";
export import CreateInstanceConfigurationDetails = CreateInstanceConfigurationDetails.CreateInstanceConfigurationDetails;
import * as CreateInstanceConfigurationFromInstanceDetails from "./create-instance-configuration-from-instance-details";
export import CreateInstanceConfigurationFromInstanceDetails = CreateInstanceConfigurationFromInstanceDetails.CreateInstanceConfigurationFromInstanceDetails;
import * as DedicatedCapacitySource from "./dedicated-capacity-source";
export import DedicatedCapacitySource = DedicatedCapacitySource.DedicatedCapacitySource;
import * as DetachedVolumeAutotunePolicy from "./detached-volume-autotune-policy";
export import DetachedVolumeAutotunePolicy = DetachedVolumeAutotunePolicy.DetachedVolumeAutotunePolicy;
import * as DhcpDnsOption from "./dhcp-dns-option";
export import DhcpDnsOption = DhcpDnsOption.DhcpDnsOption;
import * as DhcpSearchDomainOption from "./dhcp-search-domain-option";
export import DhcpSearchDomainOption = DhcpSearchDomainOption.DhcpSearchDomainOption;
import * as DrgAttachmentIdDrgRouteDistributionMatchCriteria from "./drg-attachment-id-drg-route-distribution-match-criteria";
export import DrgAttachmentIdDrgRouteDistributionMatchCriteria = DrgAttachmentIdDrgRouteDistributionMatchCriteria.DrgAttachmentIdDrgRouteDistributionMatchCriteria;
import * as DrgAttachmentMatchAllDrgRouteDistributionMatchCriteria from "./drg-attachment-match-all-drg-route-distribution-match-criteria";
export import DrgAttachmentMatchAllDrgRouteDistributionMatchCriteria = DrgAttachmentMatchAllDrgRouteDistributionMatchCriteria.DrgAttachmentMatchAllDrgRouteDistributionMatchCriteria;
import * as DrgAttachmentTypeDrgRouteDistributionMatchCriteria from "./drg-attachment-type-drg-route-distribution-match-criteria";
export import DrgAttachmentTypeDrgRouteDistributionMatchCriteria = DrgAttachmentTypeDrgRouteDistributionMatchCriteria.DrgAttachmentTypeDrgRouteDistributionMatchCriteria;
import * as EmulatedVolumeAttachment from "./emulated-volume-attachment";
export import EmulatedVolumeAttachment = EmulatedVolumeAttachment.EmulatedVolumeAttachment;
import * as EnumIntegerImageCapabilityDescriptor from "./enum-integer-image-capability-descriptor";
export import EnumIntegerImageCapabilityDescriptor = EnumIntegerImageCapabilityDescriptor.EnumIntegerImageCapabilityDescriptor;
import * as EnumStringImageCapabilitySchemaDescriptor from "./enum-string-image-capability-schema-descriptor";
export import EnumStringImageCapabilitySchemaDescriptor = EnumStringImageCapabilitySchemaDescriptor.EnumStringImageCapabilitySchemaDescriptor;
import * as ExportImageViaObjectStorageTupleDetails from "./export-image-via-object-storage-tuple-details";
export import ExportImageViaObjectStorageTupleDetails = ExportImageViaObjectStorageTupleDetails.ExportImageViaObjectStorageTupleDetails;
import * as ExportImageViaObjectStorageUriDetails from "./export-image-via-object-storage-uri-details";
export import ExportImageViaObjectStorageUriDetails = ExportImageViaObjectStorageUriDetails.ExportImageViaObjectStorageUriDetails;
import * as GenericBmLaunchInstancePlatformConfig from "./generic-bm-launch-instance-platform-config";
export import GenericBmLaunchInstancePlatformConfig = GenericBmLaunchInstancePlatformConfig.GenericBmLaunchInstancePlatformConfig;
import * as GenericBmPlatformConfig from "./generic-bm-platform-config";
export import GenericBmPlatformConfig = GenericBmPlatformConfig.GenericBmPlatformConfig;
import * as IScsiVolumeAttachment from "./i-scsi-volume-attachment";
export import IScsiVolumeAttachment = IScsiVolumeAttachment.IScsiVolumeAttachment;
import * as ImageSourceViaObjectStorageTupleDetails from "./image-source-via-object-storage-tuple-details";
export import ImageSourceViaObjectStorageTupleDetails = ImageSourceViaObjectStorageTupleDetails.ImageSourceViaObjectStorageTupleDetails;
import * as ImageSourceViaObjectStorageUriDetails from "./image-source-via-object-storage-uri-details";
export import ImageSourceViaObjectStorageUriDetails = ImageSourceViaObjectStorageUriDetails.ImageSourceViaObjectStorageUriDetails;
import * as InstanceConfigurationAmdMilanBmGpuLaunchInstancePlatformConfig from "./instance-configuration-amd-milan-bm-gpu-launch-instance-platform-config";
export import InstanceConfigurationAmdMilanBmGpuLaunchInstancePlatformConfig = InstanceConfigurationAmdMilanBmGpuLaunchInstancePlatformConfig.InstanceConfigurationAmdMilanBmGpuLaunchInstancePlatformConfig;
import * as InstanceConfigurationAmdMilanBmLaunchInstancePlatformConfig from "./instance-configuration-amd-milan-bm-launch-instance-platform-config";
export import InstanceConfigurationAmdMilanBmLaunchInstancePlatformConfig = InstanceConfigurationAmdMilanBmLaunchInstancePlatformConfig.InstanceConfigurationAmdMilanBmLaunchInstancePlatformConfig;
import * as InstanceConfigurationAmdRomeBmGpuLaunchInstancePlatformConfig from "./instance-configuration-amd-rome-bm-gpu-launch-instance-platform-config";
export import InstanceConfigurationAmdRomeBmGpuLaunchInstancePlatformConfig = InstanceConfigurationAmdRomeBmGpuLaunchInstancePlatformConfig.InstanceConfigurationAmdRomeBmGpuLaunchInstancePlatformConfig;
import * as InstanceConfigurationAmdRomeBmLaunchInstancePlatformConfig from "./instance-configuration-amd-rome-bm-launch-instance-platform-config";
export import InstanceConfigurationAmdRomeBmLaunchInstancePlatformConfig = InstanceConfigurationAmdRomeBmLaunchInstancePlatformConfig.InstanceConfigurationAmdRomeBmLaunchInstancePlatformConfig;
import * as InstanceConfigurationAmdVmLaunchInstancePlatformConfig from "./instance-configuration-amd-vm-launch-instance-platform-config";
export import InstanceConfigurationAmdVmLaunchInstancePlatformConfig = InstanceConfigurationAmdVmLaunchInstancePlatformConfig.InstanceConfigurationAmdVmLaunchInstancePlatformConfig;
import * as InstanceConfigurationDetachedVolumeAutotunePolicy from "./instance-configuration-detached-volume-autotune-policy";
export import InstanceConfigurationDetachedVolumeAutotunePolicy = InstanceConfigurationDetachedVolumeAutotunePolicy.InstanceConfigurationDetachedVolumeAutotunePolicy;
import * as InstanceConfigurationGenericBmLaunchInstancePlatformConfig from "./instance-configuration-generic-bm-launch-instance-platform-config";
export import InstanceConfigurationGenericBmLaunchInstancePlatformConfig = InstanceConfigurationGenericBmLaunchInstancePlatformConfig.InstanceConfigurationGenericBmLaunchInstancePlatformConfig;
import * as InstanceConfigurationInstanceSourceViaBootVolumeDetails from "./instance-configuration-instance-source-via-boot-volume-details";
export import InstanceConfigurationInstanceSourceViaBootVolumeDetails = InstanceConfigurationInstanceSourceViaBootVolumeDetails.InstanceConfigurationInstanceSourceViaBootVolumeDetails;
import * as InstanceConfigurationInstanceSourceViaImageDetails from "./instance-configuration-instance-source-via-image-details";
export import InstanceConfigurationInstanceSourceViaImageDetails = InstanceConfigurationInstanceSourceViaImageDetails.InstanceConfigurationInstanceSourceViaImageDetails;
import * as InstanceConfigurationIntelIcelakeBmLaunchInstancePlatformConfig from "./instance-configuration-intel-icelake-bm-launch-instance-platform-config";
export import InstanceConfigurationIntelIcelakeBmLaunchInstancePlatformConfig = InstanceConfigurationIntelIcelakeBmLaunchInstancePlatformConfig.InstanceConfigurationIntelIcelakeBmLaunchInstancePlatformConfig;
import * as InstanceConfigurationIntelSkylakeBmLaunchInstancePlatformConfig from "./instance-configuration-intel-skylake-bm-launch-instance-platform-config";
export import InstanceConfigurationIntelSkylakeBmLaunchInstancePlatformConfig = InstanceConfigurationIntelSkylakeBmLaunchInstancePlatformConfig.InstanceConfigurationIntelSkylakeBmLaunchInstancePlatformConfig;
import * as InstanceConfigurationIntelVmLaunchInstancePlatformConfig from "./instance-configuration-intel-vm-launch-instance-platform-config";
export import InstanceConfigurationIntelVmLaunchInstancePlatformConfig = InstanceConfigurationIntelVmLaunchInstancePlatformConfig.InstanceConfigurationIntelVmLaunchInstancePlatformConfig;
import * as InstanceConfigurationIscsiAttachVolumeDetails from "./instance-configuration-iscsi-attach-volume-details";
export import InstanceConfigurationIscsiAttachVolumeDetails = InstanceConfigurationIscsiAttachVolumeDetails.InstanceConfigurationIscsiAttachVolumeDetails;
import * as InstanceConfigurationParavirtualizedAttachVolumeDetails from "./instance-configuration-paravirtualized-attach-volume-details";
export import InstanceConfigurationParavirtualizedAttachVolumeDetails = InstanceConfigurationParavirtualizedAttachVolumeDetails.InstanceConfigurationParavirtualizedAttachVolumeDetails;
import * as InstanceConfigurationPerformanceBasedAutotunePolicy from "./instance-configuration-performance-based-autotune-policy";
export import InstanceConfigurationPerformanceBasedAutotunePolicy = InstanceConfigurationPerformanceBasedAutotunePolicy.InstanceConfigurationPerformanceBasedAutotunePolicy;
import * as InstanceConfigurationVolumeSourceFromVolumeBackupDetails from "./instance-configuration-volume-source-from-volume-backup-details";
export import InstanceConfigurationVolumeSourceFromVolumeBackupDetails = InstanceConfigurationVolumeSourceFromVolumeBackupDetails.InstanceConfigurationVolumeSourceFromVolumeBackupDetails;
import * as InstanceConfigurationVolumeSourceFromVolumeDetails from "./instance-configuration-volume-source-from-volume-details";
export import InstanceConfigurationVolumeSourceFromVolumeDetails = InstanceConfigurationVolumeSourceFromVolumeDetails.InstanceConfigurationVolumeSourceFromVolumeDetails;
import * as InstanceSourceViaBootVolumeDetails from "./instance-source-via-boot-volume-details";
export import InstanceSourceViaBootVolumeDetails = InstanceSourceViaBootVolumeDetails.InstanceSourceViaBootVolumeDetails;
import * as InstanceSourceViaImageDetails from "./instance-source-via-image-details";
export import InstanceSourceViaImageDetails = InstanceSourceViaImageDetails.InstanceSourceViaImageDetails;
import * as IntelIcelakeBmLaunchInstancePlatformConfig from "./intel-icelake-bm-launch-instance-platform-config";
export import IntelIcelakeBmLaunchInstancePlatformConfig = IntelIcelakeBmLaunchInstancePlatformConfig.IntelIcelakeBmLaunchInstancePlatformConfig;
import * as IntelIcelakeBmPlatformConfig from "./intel-icelake-bm-platform-config";
export import IntelIcelakeBmPlatformConfig = IntelIcelakeBmPlatformConfig.IntelIcelakeBmPlatformConfig;
import * as IntelSkylakeBmLaunchInstancePlatformConfig from "./intel-skylake-bm-launch-instance-platform-config";
export import IntelSkylakeBmLaunchInstancePlatformConfig = IntelSkylakeBmLaunchInstancePlatformConfig.IntelSkylakeBmLaunchInstancePlatformConfig;
import * as IntelSkylakeBmPlatformConfig from "./intel-skylake-bm-platform-config";
export import IntelSkylakeBmPlatformConfig = IntelSkylakeBmPlatformConfig.IntelSkylakeBmPlatformConfig;
import * as IntelVmLaunchInstancePlatformConfig from "./intel-vm-launch-instance-platform-config";
export import IntelVmLaunchInstancePlatformConfig = IntelVmLaunchInstancePlatformConfig.IntelVmLaunchInstancePlatformConfig;
import * as IntelVmPlatformConfig from "./intel-vm-platform-config";
export import IntelVmPlatformConfig = IntelVmPlatformConfig.IntelVmPlatformConfig;
import * as IntelVmUpdateInstancePlatformConfig from "./intel-vm-update-instance-platform-config";
export import IntelVmUpdateInstancePlatformConfig = IntelVmUpdateInstancePlatformConfig.IntelVmUpdateInstancePlatformConfig;
import * as IpsecTunnelDrgAttachmentNetworkDetails from "./ipsec-tunnel-drg-attachment-network-details";
export import IpsecTunnelDrgAttachmentNetworkDetails = IpsecTunnelDrgAttachmentNetworkDetails.IpsecTunnelDrgAttachmentNetworkDetails;
import * as LaunchAttachIScsiVolumeDetails from "./launch-attach-iscsi-volume-details";
export import LaunchAttachIScsiVolumeDetails = LaunchAttachIScsiVolumeDetails.LaunchAttachIScsiVolumeDetails;
import * as LaunchCreateVolumeFromAttributes from "./launch-create-volume-from-attributes";
export import LaunchCreateVolumeFromAttributes = LaunchCreateVolumeFromAttributes.LaunchCreateVolumeFromAttributes;
import * as LoopBackDrgAttachmentNetworkDetails from "./loop-back-drg-attachment-network-details";
export import LoopBackDrgAttachmentNetworkDetails = LoopBackDrgAttachmentNetworkDetails.LoopBackDrgAttachmentNetworkDetails;
import * as NetworkingTopology from "./networking-topology";
export import NetworkingTopology = NetworkingTopology.NetworkingTopology;
import * as ParavirtualizedVolumeAttachment from "./paravirtualized-volume-attachment";
export import ParavirtualizedVolumeAttachment = ParavirtualizedVolumeAttachment.ParavirtualizedVolumeAttachment;
import * as PerformanceBasedAutotunePolicy from "./performance-based-autotune-policy";
export import PerformanceBasedAutotunePolicy = PerformanceBasedAutotunePolicy.PerformanceBasedAutotunePolicy;
import * as RebootMigrateActionDetails from "./reboot-migrate-action-details";
export import RebootMigrateActionDetails = RebootMigrateActionDetails.RebootMigrateActionDetails;
import * as RemotePeeringConnectionDrgAttachmentNetworkDetails from "./remote-peering-connection-drg-attachment-network-details";
export import RemotePeeringConnectionDrgAttachmentNetworkDetails = RemotePeeringConnectionDrgAttachmentNetworkDetails.RemotePeeringConnectionDrgAttachmentNetworkDetails;
import * as ResetActionDetails from "./reset-action-details";
export import ResetActionDetails = ResetActionDetails.ResetActionDetails;
import * as SoftResetActionDetails from "./soft-reset-action-details";
export import SoftResetActionDetails = SoftResetActionDetails.SoftResetActionDetails;
import * as SubnetTopology from "./subnet-topology";
export import SubnetTopology = SubnetTopology.SubnetTopology;
import * as TerminatePreemptionAction from "./terminate-preemption-action";
export import TerminatePreemptionAction = TerminatePreemptionAction.TerminatePreemptionAction;
import * as TopologyAssociatedWithEntityRelationship from "./topology-associated-with-entity-relationship";
export import TopologyAssociatedWithEntityRelationship = TopologyAssociatedWithEntityRelationship.TopologyAssociatedWithEntityRelationship;
import * as TopologyContainsEntityRelationship from "./topology-contains-entity-relationship";
export import TopologyContainsEntityRelationship = TopologyContainsEntityRelationship.TopologyContainsEntityRelationship;
import * as TopologyRoutesToEntityRelationship from "./topology-routes-to-entity-relationship";
export import TopologyRoutesToEntityRelationship = TopologyRoutesToEntityRelationship.TopologyRoutesToEntityRelationship;
import * as UpdateDedicatedCapacitySourceDetails from "./update-dedicated-capacity-source-details";
export import UpdateDedicatedCapacitySourceDetails = UpdateDedicatedCapacitySourceDetails.UpdateDedicatedCapacitySourceDetails;
import * as UpdateInstanceSourceViaBootVolumeDetails from "./update-instance-source-via-boot-volume-details";
export import UpdateInstanceSourceViaBootVolumeDetails = UpdateInstanceSourceViaBootVolumeDetails.UpdateInstanceSourceViaBootVolumeDetails;
import * as UpdateInstanceSourceViaImageDetails from "./update-instance-source-via-image-details";
export import UpdateInstanceSourceViaImageDetails = UpdateInstanceSourceViaImageDetails.UpdateInstanceSourceViaImageDetails;
import * as VcnDrgAttachmentNetworkCreateDetails from "./vcn-drg-attachment-network-create-details";
export import VcnDrgAttachmentNetworkCreateDetails = VcnDrgAttachmentNetworkCreateDetails.VcnDrgAttachmentNetworkCreateDetails;
import * as VcnDrgAttachmentNetworkDetails from "./vcn-drg-attachment-network-details";
export import VcnDrgAttachmentNetworkDetails = VcnDrgAttachmentNetworkDetails.VcnDrgAttachmentNetworkDetails;
import * as VcnDrgAttachmentNetworkUpdateDetails from "./vcn-drg-attachment-network-update-details";
export import VcnDrgAttachmentNetworkUpdateDetails = VcnDrgAttachmentNetworkUpdateDetails.VcnDrgAttachmentNetworkUpdateDetails;
import * as VcnTopology from "./vcn-topology";
export import VcnTopology = VcnTopology.VcnTopology;
import * as VirtualCircuitDrgAttachmentNetworkDetails from "./virtual-circuit-drg-attachment-network-details";
export import VirtualCircuitDrgAttachmentNetworkDetails = VirtualCircuitDrgAttachmentNetworkDetails.VirtualCircuitDrgAttachmentNetworkDetails;
import * as VolumeGroupSourceFromVolumeGroupBackupDetails from "./volume-group-source-from-volume-group-backup-details";
export import VolumeGroupSourceFromVolumeGroupBackupDetails = VolumeGroupSourceFromVolumeGroupBackupDetails.VolumeGroupSourceFromVolumeGroupBackupDetails;
import * as VolumeGroupSourceFromVolumeGroupDetails from "./volume-group-source-from-volume-group-details";
export import VolumeGroupSourceFromVolumeGroupDetails = VolumeGroupSourceFromVolumeGroupDetails.VolumeGroupSourceFromVolumeGroupDetails;
import * as VolumeGroupSourceFromVolumeGroupReplicaDetails from "./volume-group-source-from-volume-group-replica-details";
export import VolumeGroupSourceFromVolumeGroupReplicaDetails = VolumeGroupSourceFromVolumeGroupReplicaDetails.VolumeGroupSourceFromVolumeGroupReplicaDetails;
import * as VolumeGroupSourceFromVolumesDetails from "./volume-group-source-from-volumes-details";
export import VolumeGroupSourceFromVolumesDetails = VolumeGroupSourceFromVolumesDetails.VolumeGroupSourceFromVolumesDetails;
import * as VolumeSourceFromBlockVolumeReplicaDetails from "./volume-source-from-block-volume-replica-details";
export import VolumeSourceFromBlockVolumeReplicaDetails = VolumeSourceFromBlockVolumeReplicaDetails.VolumeSourceFromBlockVolumeReplicaDetails;
import * as VolumeSourceFromVolumeBackupDetails from "./volume-source-from-volume-backup-details";
export import VolumeSourceFromVolumeBackupDetails = VolumeSourceFromVolumeBackupDetails.VolumeSourceFromVolumeBackupDetails;
import * as VolumeSourceFromVolumeDetails from "./volume-source-from-volume-details";
export import VolumeSourceFromVolumeDetails = VolumeSourceFromVolumeDetails.VolumeSourceFromVolumeDetails;
