/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
* The platform configuration requested for the instance.
* <p>
If you provide the parameter, the instance is created with the platform configuration that you specify.
* For any values that you omit, the instance uses the default configuration values for the {@code shape} that you
* specify. If you don't provide the parameter, the default values for the {@code shape} are used.
* <p>
Each shape only supports certain configurable values. If the values that you provide are not valid for the
* specified {@code shape}, an error is returned.
*
*/
export interface InstanceConfigurationLaunchInstancePlatformConfig {
    /**
     * Whether Secure Boot is enabled on the instance.
     *
     */
    "isSecureBootEnabled"?: boolean;
    /**
     * Whether the Trusted Platform Module (TPM) is enabled on the instance.
     *
     */
    "isTrustedPlatformModuleEnabled"?: boolean;
    /**
     * Whether the Measured Boot feature is enabled on the instance.
     *
     */
    "isMeasuredBootEnabled"?: boolean;
    /**
     * Whether the instance is a confidential instance. If this value is {@code true}, the instance is a confidential instance. The default value is {@code false}.
     *
     */
    "isMemoryEncryptionEnabled"?: boolean;
    "type": string;
}
export declare namespace InstanceConfigurationLaunchInstancePlatformConfig {
    function getJsonObj(obj: InstanceConfigurationLaunchInstancePlatformConfig): object;
    function getDeserializedJsonObj(obj: InstanceConfigurationLaunchInstancePlatformConfig): object;
}
