/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * If a volume is being throttled at the current setting for a certain period of time, auto-tune will
 * gradually increase the volume\u2019s performance limited up to Maximum VPUs/GB. After the volume has been idle at the
 * current setting for a certain period of time, auto-tune will gradually decrease the volume\u2019s performance limited
 * down to Default/Minimum VPUs/GB.
 *
 */
export interface InstanceConfigurationPerformanceBasedAutotunePolicy extends model.InstanceConfigurationAutotunePolicy {
    /**
     * This will be the maximum VPUs/GB performance level that the volume will be auto-tuned
     * temporarily based on performance monitoring.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxVpusPerGB": number;
    "autotuneType": string;
}
export declare namespace InstanceConfigurationPerformanceBasedAutotunePolicy {
    function getJsonObj(obj: InstanceConfigurationPerformanceBasedAutotunePolicy, isParentJsonObj?: boolean): object;
    const autotuneType = "PERFORMANCE_BASED";
    function getDeserializedJsonObj(obj: InstanceConfigurationPerformanceBasedAutotunePolicy, isParentJsonObj?: boolean): object;
}
