/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The maximum possible date and time that a maintenance reboot can be extended.
 */
export interface InstanceMaintenanceReboot {
    /**
     * The maximum extension date and time for the maintenance reboot, in the format defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339).
     * The range for the maintenance extension is between 1 and 14 days from the initial scheduled maintenance date.
     * Example: {@code 2018-05-25T21:10:29.600Z}
     *
     */
    "timeMaintenanceRebootDueMax": Date;
}
export declare namespace InstanceMaintenanceReboot {
    function getJsonObj(obj: InstanceMaintenanceReboot): object;
    function getDeserializedJsonObj(obj: InstanceMaintenanceReboot): object;
}
