/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Base details about the IPv6 subnet.
 */
export interface InstancePoolPlacementSubnetDetails {
    /**
     * Whether to allocate an IPv6 address at instance and VNIC creation from an IPv6 enabled
     * subnet. Default: False. When provided you may optionally provide an IPv6 prefix
     * ({@code ipv6SubnetCidr}) of your choice to assign the IPv6 address from. If {@code ipv6SubnetCidr}
     * is not provided then an IPv6 prefix is chosen
     * for you.
     *
     */
    "isAssignIpv6Ip"?: boolean;
    /**
     * A list of IPv6 prefix ranges from which the VNIC should be assigned an IPv6 address.
     * You can provide only the prefix ranges and OCI will select an available
     * address from the range. You can optionally choose to leave the prefix range empty
     * and instead provide the specific IPv6 address that should be used from within that range.
     *
     */
    "ipv6AddressIpv6SubnetCidrPairDetails"?: Array<model.InstancePoolPlacementIpv6AddressIpv6SubnetCidrDetails>;
    /**
     * The subnet [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) for the secondary VNIC.
     */
    "subnetId": string;
}
export declare namespace InstancePoolPlacementSubnetDetails {
    function getJsonObj(obj: InstancePoolPlacementSubnetDetails): object;
    function getDeserializedJsonObj(obj: InstancePoolPlacementSubnetDetails): object;
}
