/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Condensed instance data when listing instances in an instance pool.
 */
export interface InstanceSummary {
    /**
     * The OCID of the instance.
     */
    "id": string;
    /**
     * The availability domain the instance is running in.
     */
    "availabilityDomain": string;
    /**
     * The OCID of the compartment that contains the instance.
     */
    "compartmentId": string;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName"?: string;
    /**
     * The fault domain the instance is running in.
     */
    "faultDomain"?: string;
    /**
     * The OCID of the instance confgiuration used to create the instance.
     */
    "instanceConfigurationId": string;
    /**
     * The region that contains the availability domain the instance is running in.
     */
    "region": string;
    /**
      * The shape of an instance. The shape determines the number of CPUs, amount of memory,
  * and other resources allocated to the instance.
  * <p>
  You can enumerate all available shapes by calling {@link #listShapes(ListShapesRequest) listShapes}.
  *
      */
    "shape"?: string;
    /**
     * The current state of the instance pool instance.
     */
    "state": string;
    /**
     * The date and time the instance pool instance was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeCreated": Date;
    /**
     * The load balancer backends that are configured for the instance pool instance.
     *
     */
    "loadBalancerBackends"?: Array<model.InstancePoolInstanceLoadBalancerBackend>;
}
export declare namespace InstanceSummary {
    function getJsonObj(obj: InstanceSummary): object;
    function getDeserializedJsonObj(obj: InstanceSummary): object;
}
