/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides the IP address and its corresponding VNIC ID, VNIC name, and DNS hostname.
 *
 */
export interface InventoryIpAddressSummary {
    /**
     * The IP address assigned from a subnet.
     */
    "ipAddress"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the VNIC.
     */
    "vnicId"?: string;
    /**
     * The name of the VNIC.
     */
    "vnicName"?: string;
    /**
     * The DNS hostname of the resource assigned with the IP address.
     */
    "dnsHostName"?: string;
}
export declare namespace InventoryIpAddressSummary {
    function getJsonObj(obj: InventoryIpAddressSummary): object;
    function getDeserializedJsonObj(obj: InventoryIpAddressSummary): object;
}
