/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Lists subnet and its associated resources.
 *
 */
export interface InventorySubnetSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the subnet.
     */
    "subnetId"?: string;
    /**
     * Name of the subnet within a VCN.
     */
    "subnetName"?: string;
    /**
     * Resource types of the subnet.
     */
    "resourceType"?: InventorySubnetSummary.ResourceType;
    /**
     * Lists CIDRs and utilization within the subnet.
     *
     */
    "inventorySubnetCidrCollection"?: Array<model.InventorySubnetCidrBlockSummary>;
    /**
     * DNS domain name of the subnet.
     */
    "dnsDomainName"?: string;
    /**
     * Region name of the subnet.
     */
    "region"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId"?: string;
    /**
     * Lists the {@code ResourceCollection} object.
     *
     */
    "inventoryResourceSummary"?: Array<model.InventoryResourceSummary>;
}
export declare namespace InventorySubnetSummary {
    enum ResourceType {
        Subnet = "Subnet",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: InventorySubnetSummary): object;
    function getDeserializedJsonObj(obj: InventorySubnetSummary): object;
}
