/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides the summary of a VCN's IP Inventory data under specified compartments.
 */
export interface InventoryVcnSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the VCN .
     */
    "vcnId"?: string;
    /**
     * Name of the VCN.
     */
    "vcnName"?: string;
    /**
     * Resource types of the VCN.
     */
    "resourceType"?: InventoryVcnSummary.ResourceType;
    /**
     * Lists {@code InventoryVcnCidrBlockSummary} objects.
     *
     */
    "inventoryVcnCidrBlockCollection"?: Array<model.InventoryVcnCidrBlockSummary>;
    /**
     * DNS domain name of the VCN.
     */
    "dnsDomainName"?: string;
    /**
     * Region name of the VCN.
     */
    "region"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId"?: string;
    /**
     * Lists {@code Subnetcollection} objects
     *
     */
    "inventorySubnetcollection"?: Array<model.InventorySubnetSummary>;
}
export declare namespace InventoryVcnSummary {
    enum ResourceType {
        Vcn = "VCN",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: InventoryVcnSummary): object;
    function getDeserializedJsonObj(obj: InventoryVcnSummary): object;
}
