/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to assign an IPv6 subnet prefix and IPv6 address on VNIC creation.
 *
 */
export interface Ipv6AddressIpv6SubnetCidrPairDetails {
    /**
     * The IPv6 prefix allocated to the subnet.
     *
     */
    "ipv6SubnetCidr"?: string;
    /**
     * An IPv6 address of your choice. Must be an available IPv6 address within the subnet's prefix.
     * If an IPv6 address is not provided:
     * - Oracle will automatically assign an IPv6 address from the subnet's IPv6 prefix if and only if there is only one IPv6 prefix on the subnet.
     * - Oracle will automatically assign an IPv6 address from the subnet's IPv6 Oracle GUA prefix if it exists on the subnet.
     *
     */
    "ipv6Address"?: string;
}
export declare namespace Ipv6AddressIpv6SubnetCidrPairDetails {
    function getJsonObj(obj: Ipv6AddressIpv6SubnetCidrPairDetails): object;
    function getDeserializedJsonObj(obj: Ipv6AddressIpv6SubnetCidrPairDetails): object;
}
