/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Secondary multipath device, it uses the charUsername and chapSecret from primary volume attachment
 */
export interface MultipathDevice {
    /**
      * The volume's iSCSI IP address.
  * <p>
  Example: {@code 169.254.2.2}
  *
      */
    "ipv4": string;
    /**
      * The target volume's iSCSI Qualified Name in the format defined
  * by [RFC 3720](https://tools.ietf.org/html/rfc3720#page-32).
  * <p>
  Example: {@code iqn.2015-12.com.oracleiaas:40b7ee03-883f-46c6-a951-63d2841d2195}
  *
      */
    "iqn": string;
    /**
      * The volume's iSCSI port, usually port 860 or 3260.
  * <p>
  Example: {@code 3260}
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "port"?: number;
}
export declare namespace MultipathDevice {
    function getJsonObj(obj: MultipathDevice): object;
    function getDeserializedJsonObj(obj: MultipathDevice): object;
}
