/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Parameters for the {@code reset} {@link #instanceAction(InstanceActionRequest) instanceAction}. If omitted, default values are used.
 *
 */
export interface ResetActionDetails extends model.InstancePowerActionDetails {
    /**
      * For instances that use a DenseIO shape, the flag denoting whether
  * [reboot migration](https://docs.cloud.oracle.com/iaas/Content/Compute/References/infrastructure-maintenance.htm#reboot)
  * is performed for the instance. The default value is {@code false}.
  * <p>
  If the instance has a date in the Maintenance reboot field and you do nothing (or set this flag to {@code false}), the instance
  * will be rebuilt at the scheduled maintenance time. The instance will experience 2-6 hours of downtime during the
  * maintenance process. The local NVMe-based SSD will be preserved.
  * <p>
  If you want to minimize downtime and can delete the SSD, you can set this flag to {@code true} and proactively reboot the
  * instance before the scheduled maintenance time. The instance will be reboot migrated to a healthy host and the SSD will be
  * deleted. A short downtime occurs during the migration.
  * <p>
  **Caution:** When {@code true}, the SSD is permanently deleted. We recommend that you create a backup of the SSD before proceeding.
  *
      */
    "allowDenseRebootMigration"?: boolean;
    "actionType": string;
}
export declare namespace ResetActionDetails {
    function getJsonObj(obj: ResetActionDetails, isParentJsonObj?: boolean): object;
    const actionType = "reset";
    function getDeserializedJsonObj(obj: ResetActionDetails, isParentJsonObj?: boolean): object;
}
