/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The list of supported platform configuration options for this shape.
 *
 */
export interface ShapePlatformConfigOptions {
    /**
     * The type of platform being configured.
     *
     */
    "type"?: ShapePlatformConfigOptions.Type;
    "secureBootOptions"?: model.ShapeSecureBootOptions;
    "measuredBootOptions"?: model.ShapeMeasuredBootOptions;
    "trustedPlatformModuleOptions"?: model.ShapeTrustedPlatformModuleOptions;
    "numaNodesPerSocketPlatformOptions"?: model.ShapeNumaNodesPerSocketPlatformOptions;
    "memoryEncryptionOptions"?: model.ShapeMemoryEncryptionOptions;
    "symmetricMultiThreadingOptions"?: model.ShapeSymmetricMultiThreadingEnabledPlatformOptions;
    "accessControlServiceOptions"?: model.ShapeAccessControlServiceEnabledPlatformOptions;
    "virtualInstructionsOptions"?: model.ShapeVirtualInstructionsEnabledPlatformOptions;
    "inputOutputMemoryManagementUnitOptions"?: model.ShapeInputOutputMemoryManagementUnitEnabledPlatformOptions;
    "percentageOfCoresEnabledOptions"?: model.PercentageOfCoresEnabledOptions;
}
export declare namespace ShapePlatformConfigOptions {
    enum Type {
        AmdMilanBm = "AMD_MILAN_BM",
        AmdMilanBmGpu = "AMD_MILAN_BM_GPU",
        AmdRomeBm = "AMD_ROME_BM",
        AmdRomeBmGpu = "AMD_ROME_BM_GPU",
        GenericBm = "GENERIC_BM",
        IntelIcelakeBm = "INTEL_ICELAKE_BM",
        IntelSkylakeBm = "INTEL_SKYLAKE_BM",
        AmdVm = "AMD_VM",
        IntelVm = "INTEL_VM",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ShapePlatformConfigOptions): object;
    function getDeserializedJsonObj(obj: ShapePlatformConfigOptions): object;
}
