/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Configuration options for the virtualization instructions.
 *
 */
export interface ShapeVirtualInstructionsEnabledPlatformOptions {
    /**
     * Whether virtualization instructions can be enabled.
     *
     */
    "allowedValues"?: Array<boolean>;
    /**
     * Whether virtualization instructions are enabled by default.
     *
     */
    "isDefaultEnabled"?: boolean;
}
export declare namespace ShapeVirtualInstructionsEnabledPlatformOptions {
    function getJsonObj(obj: ShapeVirtualInstructionsEnabledPlatformOptions): object;
    function getDeserializedJsonObj(obj: ShapeVirtualInstructionsEnabledPlatformOptions): object;
}
