/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A summary of the routes advertised to and received from the on-premises network.
 *
 */
export interface TunnelRouteSummary {
    /**
     * The BGP network layer reachability information.
     */
    "prefix"?: string;
    /**
     * The age of the route. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "age"?: number;
    /**
     * Indicates this is the best route.
     */
    "isBestPath"?: boolean;
    /**
     * A list of ASNs in AS_Path.
     */
    "asPath"?: Array<number>;
    /**
     * The source of the route advertisement.
     */
    "advertiser"?: TunnelRouteSummary.Advertiser;
}
export declare namespace TunnelRouteSummary {
    enum Advertiser {
        Customer = "CUSTOMER",
        Oracle = "ORACLE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TunnelRouteSummary): object;
    function getDeserializedJsonObj(obj: TunnelRouteSummary): object;
}
