/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details used to update a route rule in the DRG route table.
 *
 */
export interface UpdateDrgRouteRuleDetails {
    /**
     * The Oracle-assigned ID of each DRG route rule to update.
     *
     */
    "id": string;
    /**
      * The range of IP addresses used for matching when routing traffic.
  * <p>
  Potential values:
  *   * IP address range in CIDR notation. Can be an IPv4 CIDR block or IPv6 prefix. For example: {@code 192.168.1.0/24}
  *   or {@code 2001:0db8:0123:45::/56}.
  *
      */
    "destination"?: string;
    /**
     * Type of destination for the rule.
     * Allowed values:
     *   * {@code CIDR_BLOCK}: If the rule's {@code destination} is an IP address range in CIDR notation.
     *
     */
    "destinationType"?: UpdateDrgRouteRuleDetails.DestinationType;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the next hop DRG attachment. The next hop DRG attachment is responsible
     * for reaching the network destination.
     *
     */
    "nextHopDrgAttachmentId"?: string;
}
export declare namespace UpdateDrgRouteRuleDetails {
    enum DestinationType {
        CidrBlock = "CIDR_BLOCK"
    }
    function getJsonObj(obj: UpdateDrgRouteRuleDetails): object;
    function getDeserializedJsonObj(obj: UpdateDrgRouteRuleDetails): object;
}
