/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the source block volume replica which the block volume will be created from.
 * The block volume replica shoulbe be in the same availability domain as the block volume.
 * Only one volume can be created from a replica at the same time.
 *
 */
export interface VolumeSourceFromBlockVolumeReplicaDetails extends model.VolumeSourceDetails {
    /**
     * The OCID of the block volume replica.
     */
    "id": string;
    "type": string;
}
export declare namespace VolumeSourceFromBlockVolumeReplicaDetails {
    function getJsonObj(obj: VolumeSourceFromBlockVolumeReplicaDetails, isParentJsonObj?: boolean): object;
    const type = "blockVolumeReplica";
    function getDeserializedJsonObj(obj: VolumeSourceFromBlockVolumeReplicaDetails, isParentJsonObj?: boolean): object;
}
