"use strict";
/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListNetworkSecurityGroupSecurityRulesRequest = exports.ListNatGatewaysRequest = exports.ListInternetGatewaysRequest = exports.ListDrgRouteTablesRequest = exports.ListDrgRouteRulesRequest = exports.ListDrgRouteDistributionsRequest = exports.ListDrgRouteDistributionStatementsRequest = exports.ListDrgAttachmentsRequest = exports.ListDhcpOptionsRequest = exports.ListCrossConnectsRequest = exports.ListCrossConnectGroupsRequest = exports.ListCaptureFiltersRequest = exports.ListByoipRangesRequest = exports.GetVcnTopologyRequest = exports.GetSubnetTopologyRequest = exports.GetNetworkingTopologyRequest = exports.GetAllDrgAttachmentsRequest = exports.ListInstancePoolsRequest = exports.ListInstancePoolInstancesRequest = exports.ListInstanceConfigurationsRequest = exports.ListClusterNetworksRequest = exports.ListClusterNetworkInstancesRequest = exports.ListInstancesRequest = exports.ListInstanceDevicesRequest = exports.ListImagesRequest = exports.ListDedicatedVmHostsRequest = exports.ListDedicatedVmHostInstancesRequest = exports.ListConsoleHistoriesRequest = exports.ListComputeImageCapabilitySchemasRequest = exports.ListComputeGlobalImageCapabilitySchemasRequest = exports.ListComputeGlobalImageCapabilitySchemaVersionsRequest = exports.ListComputeClustersRequest = exports.ListComputeCapacityTopologyComputeNetworkBlocksRequest = exports.ListComputeCapacityTopologyComputeHpcIslandsRequest = exports.ListComputeCapacityTopologyComputeBareMetalHostsRequest = exports.ListComputeCapacityTopologiesRequest = exports.ListComputeCapacityReservationsRequest = exports.ListComputeCapacityReservationInstancesRequest = exports.ListComputeCapacityReservationInstanceShapesRequest = exports.ListAppCatalogSubscriptionsRequest = exports.ListAppCatalogListingsRequest = exports.ListAppCatalogListingResourceVersionsRequest = exports.ListVolumesRequest = exports.ListVolumeGroupsRequest = exports.ListVolumeGroupReplicasRequest = exports.ListVolumeGroupBackupsRequest = exports.ListVolumeBackupsRequest = exports.ListBootVolumeReplicasRequest = exports.ListBootVolumeBackupsRequest = exports.ListBlockVolumeReplicasRequest = void 0;
exports.ListVtapsRequest = exports.ListVlansRequest = exports.ListVirtualCircuitsRequest = exports.ListVcnsRequest = exports.ListSubnetsRequest = exports.ListServiceGatewaysRequest = exports.ListSecurityListsRequest = exports.ListRouteTablesRequest = exports.ListPublicIpsRequest = exports.ListPublicIpPoolsRequest = exports.ListNetworkSecurityGroupsRequest = exports.ListNetworkSecurityGroupVnicsRequest = void 0;
const ListBlockVolumeReplicasRequest = __importStar(require("./list-block-volume-replicas-request"));
exports.ListBlockVolumeReplicasRequest = ListBlockVolumeReplicasRequest.ListBlockVolumeReplicasRequest;
const ListBootVolumeBackupsRequest = __importStar(require("./list-boot-volume-backups-request"));
exports.ListBootVolumeBackupsRequest = ListBootVolumeBackupsRequest.ListBootVolumeBackupsRequest;
const ListBootVolumeReplicasRequest = __importStar(require("./list-boot-volume-replicas-request"));
exports.ListBootVolumeReplicasRequest = ListBootVolumeReplicasRequest.ListBootVolumeReplicasRequest;
const ListVolumeBackupsRequest = __importStar(require("./list-volume-backups-request"));
exports.ListVolumeBackupsRequest = ListVolumeBackupsRequest.ListVolumeBackupsRequest;
const ListVolumeGroupBackupsRequest = __importStar(require("./list-volume-group-backups-request"));
exports.ListVolumeGroupBackupsRequest = ListVolumeGroupBackupsRequest.ListVolumeGroupBackupsRequest;
const ListVolumeGroupReplicasRequest = __importStar(require("./list-volume-group-replicas-request"));
exports.ListVolumeGroupReplicasRequest = ListVolumeGroupReplicasRequest.ListVolumeGroupReplicasRequest;
const ListVolumeGroupsRequest = __importStar(require("./list-volume-groups-request"));
exports.ListVolumeGroupsRequest = ListVolumeGroupsRequest.ListVolumeGroupsRequest;
const ListVolumesRequest = __importStar(require("./list-volumes-request"));
exports.ListVolumesRequest = ListVolumesRequest.ListVolumesRequest;
const ListAppCatalogListingResourceVersionsRequest = __importStar(require("./list-app-catalog-listing-resource-versions-request"));
exports.ListAppCatalogListingResourceVersionsRequest = ListAppCatalogListingResourceVersionsRequest.ListAppCatalogListingResourceVersionsRequest;
const ListAppCatalogListingsRequest = __importStar(require("./list-app-catalog-listings-request"));
exports.ListAppCatalogListingsRequest = ListAppCatalogListingsRequest.ListAppCatalogListingsRequest;
const ListAppCatalogSubscriptionsRequest = __importStar(require("./list-app-catalog-subscriptions-request"));
exports.ListAppCatalogSubscriptionsRequest = ListAppCatalogSubscriptionsRequest.ListAppCatalogSubscriptionsRequest;
const ListComputeCapacityReservationInstanceShapesRequest = __importStar(require("./list-compute-capacity-reservation-instance-shapes-request"));
exports.ListComputeCapacityReservationInstanceShapesRequest = ListComputeCapacityReservationInstanceShapesRequest.ListComputeCapacityReservationInstanceShapesRequest;
const ListComputeCapacityReservationInstancesRequest = __importStar(require("./list-compute-capacity-reservation-instances-request"));
exports.ListComputeCapacityReservationInstancesRequest = ListComputeCapacityReservationInstancesRequest.ListComputeCapacityReservationInstancesRequest;
const ListComputeCapacityReservationsRequest = __importStar(require("./list-compute-capacity-reservations-request"));
exports.ListComputeCapacityReservationsRequest = ListComputeCapacityReservationsRequest.ListComputeCapacityReservationsRequest;
const ListComputeCapacityTopologiesRequest = __importStar(require("./list-compute-capacity-topologies-request"));
exports.ListComputeCapacityTopologiesRequest = ListComputeCapacityTopologiesRequest.ListComputeCapacityTopologiesRequest;
const ListComputeCapacityTopologyComputeBareMetalHostsRequest = __importStar(require("./list-compute-capacity-topology-compute-bare-metal-hosts-request"));
exports.ListComputeCapacityTopologyComputeBareMetalHostsRequest = ListComputeCapacityTopologyComputeBareMetalHostsRequest.ListComputeCapacityTopologyComputeBareMetalHostsRequest;
const ListComputeCapacityTopologyComputeHpcIslandsRequest = __importStar(require("./list-compute-capacity-topology-compute-hpc-islands-request"));
exports.ListComputeCapacityTopologyComputeHpcIslandsRequest = ListComputeCapacityTopologyComputeHpcIslandsRequest.ListComputeCapacityTopologyComputeHpcIslandsRequest;
const ListComputeCapacityTopologyComputeNetworkBlocksRequest = __importStar(require("./list-compute-capacity-topology-compute-network-blocks-request"));
exports.ListComputeCapacityTopologyComputeNetworkBlocksRequest = ListComputeCapacityTopologyComputeNetworkBlocksRequest.ListComputeCapacityTopologyComputeNetworkBlocksRequest;
const ListComputeClustersRequest = __importStar(require("./list-compute-clusters-request"));
exports.ListComputeClustersRequest = ListComputeClustersRequest.ListComputeClustersRequest;
const ListComputeGlobalImageCapabilitySchemaVersionsRequest = __importStar(require("./list-compute-global-image-capability-schema-versions-request"));
exports.ListComputeGlobalImageCapabilitySchemaVersionsRequest = ListComputeGlobalImageCapabilitySchemaVersionsRequest.ListComputeGlobalImageCapabilitySchemaVersionsRequest;
const ListComputeGlobalImageCapabilitySchemasRequest = __importStar(require("./list-compute-global-image-capability-schemas-request"));
exports.ListComputeGlobalImageCapabilitySchemasRequest = ListComputeGlobalImageCapabilitySchemasRequest.ListComputeGlobalImageCapabilitySchemasRequest;
const ListComputeImageCapabilitySchemasRequest = __importStar(require("./list-compute-image-capability-schemas-request"));
exports.ListComputeImageCapabilitySchemasRequest = ListComputeImageCapabilitySchemasRequest.ListComputeImageCapabilitySchemasRequest;
const ListConsoleHistoriesRequest = __importStar(require("./list-console-histories-request"));
exports.ListConsoleHistoriesRequest = ListConsoleHistoriesRequest.ListConsoleHistoriesRequest;
const ListDedicatedVmHostInstancesRequest = __importStar(require("./list-dedicated-vm-host-instances-request"));
exports.ListDedicatedVmHostInstancesRequest = ListDedicatedVmHostInstancesRequest.ListDedicatedVmHostInstancesRequest;
const ListDedicatedVmHostsRequest = __importStar(require("./list-dedicated-vm-hosts-request"));
exports.ListDedicatedVmHostsRequest = ListDedicatedVmHostsRequest.ListDedicatedVmHostsRequest;
const ListImagesRequest = __importStar(require("./list-images-request"));
exports.ListImagesRequest = ListImagesRequest.ListImagesRequest;
const ListInstanceDevicesRequest = __importStar(require("./list-instance-devices-request"));
exports.ListInstanceDevicesRequest = ListInstanceDevicesRequest.ListInstanceDevicesRequest;
const ListInstancesRequest = __importStar(require("./list-instances-request"));
exports.ListInstancesRequest = ListInstancesRequest.ListInstancesRequest;
const ListClusterNetworkInstancesRequest = __importStar(require("./list-cluster-network-instances-request"));
exports.ListClusterNetworkInstancesRequest = ListClusterNetworkInstancesRequest.ListClusterNetworkInstancesRequest;
const ListClusterNetworksRequest = __importStar(require("./list-cluster-networks-request"));
exports.ListClusterNetworksRequest = ListClusterNetworksRequest.ListClusterNetworksRequest;
const ListInstanceConfigurationsRequest = __importStar(require("./list-instance-configurations-request"));
exports.ListInstanceConfigurationsRequest = ListInstanceConfigurationsRequest.ListInstanceConfigurationsRequest;
const ListInstancePoolInstancesRequest = __importStar(require("./list-instance-pool-instances-request"));
exports.ListInstancePoolInstancesRequest = ListInstancePoolInstancesRequest.ListInstancePoolInstancesRequest;
const ListInstancePoolsRequest = __importStar(require("./list-instance-pools-request"));
exports.ListInstancePoolsRequest = ListInstancePoolsRequest.ListInstancePoolsRequest;
const GetAllDrgAttachmentsRequest = __importStar(require("./get-all-drg-attachments-request"));
exports.GetAllDrgAttachmentsRequest = GetAllDrgAttachmentsRequest.GetAllDrgAttachmentsRequest;
const GetNetworkingTopologyRequest = __importStar(require("./get-networking-topology-request"));
exports.GetNetworkingTopologyRequest = GetNetworkingTopologyRequest.GetNetworkingTopologyRequest;
const GetSubnetTopologyRequest = __importStar(require("./get-subnet-topology-request"));
exports.GetSubnetTopologyRequest = GetSubnetTopologyRequest.GetSubnetTopologyRequest;
const GetVcnTopologyRequest = __importStar(require("./get-vcn-topology-request"));
exports.GetVcnTopologyRequest = GetVcnTopologyRequest.GetVcnTopologyRequest;
const ListByoipRangesRequest = __importStar(require("./list-byoip-ranges-request"));
exports.ListByoipRangesRequest = ListByoipRangesRequest.ListByoipRangesRequest;
const ListCaptureFiltersRequest = __importStar(require("./list-capture-filters-request"));
exports.ListCaptureFiltersRequest = ListCaptureFiltersRequest.ListCaptureFiltersRequest;
const ListCrossConnectGroupsRequest = __importStar(require("./list-cross-connect-groups-request"));
exports.ListCrossConnectGroupsRequest = ListCrossConnectGroupsRequest.ListCrossConnectGroupsRequest;
const ListCrossConnectsRequest = __importStar(require("./list-cross-connects-request"));
exports.ListCrossConnectsRequest = ListCrossConnectsRequest.ListCrossConnectsRequest;
const ListDhcpOptionsRequest = __importStar(require("./list-dhcp-options-request"));
exports.ListDhcpOptionsRequest = ListDhcpOptionsRequest.ListDhcpOptionsRequest;
const ListDrgAttachmentsRequest = __importStar(require("./list-drg-attachments-request"));
exports.ListDrgAttachmentsRequest = ListDrgAttachmentsRequest.ListDrgAttachmentsRequest;
const ListDrgRouteDistributionStatementsRequest = __importStar(require("./list-drg-route-distribution-statements-request"));
exports.ListDrgRouteDistributionStatementsRequest = ListDrgRouteDistributionStatementsRequest.ListDrgRouteDistributionStatementsRequest;
const ListDrgRouteDistributionsRequest = __importStar(require("./list-drg-route-distributions-request"));
exports.ListDrgRouteDistributionsRequest = ListDrgRouteDistributionsRequest.ListDrgRouteDistributionsRequest;
const ListDrgRouteRulesRequest = __importStar(require("./list-drg-route-rules-request"));
exports.ListDrgRouteRulesRequest = ListDrgRouteRulesRequest.ListDrgRouteRulesRequest;
const ListDrgRouteTablesRequest = __importStar(require("./list-drg-route-tables-request"));
exports.ListDrgRouteTablesRequest = ListDrgRouteTablesRequest.ListDrgRouteTablesRequest;
const ListInternetGatewaysRequest = __importStar(require("./list-internet-gateways-request"));
exports.ListInternetGatewaysRequest = ListInternetGatewaysRequest.ListInternetGatewaysRequest;
const ListNatGatewaysRequest = __importStar(require("./list-nat-gateways-request"));
exports.ListNatGatewaysRequest = ListNatGatewaysRequest.ListNatGatewaysRequest;
const ListNetworkSecurityGroupSecurityRulesRequest = __importStar(require("./list-network-security-group-security-rules-request"));
exports.ListNetworkSecurityGroupSecurityRulesRequest = ListNetworkSecurityGroupSecurityRulesRequest.ListNetworkSecurityGroupSecurityRulesRequest;
const ListNetworkSecurityGroupVnicsRequest = __importStar(require("./list-network-security-group-vnics-request"));
exports.ListNetworkSecurityGroupVnicsRequest = ListNetworkSecurityGroupVnicsRequest.ListNetworkSecurityGroupVnicsRequest;
const ListNetworkSecurityGroupsRequest = __importStar(require("./list-network-security-groups-request"));
exports.ListNetworkSecurityGroupsRequest = ListNetworkSecurityGroupsRequest.ListNetworkSecurityGroupsRequest;
const ListPublicIpPoolsRequest = __importStar(require("./list-public-ip-pools-request"));
exports.ListPublicIpPoolsRequest = ListPublicIpPoolsRequest.ListPublicIpPoolsRequest;
const ListPublicIpsRequest = __importStar(require("./list-public-ips-request"));
exports.ListPublicIpsRequest = ListPublicIpsRequest.ListPublicIpsRequest;
const ListRouteTablesRequest = __importStar(require("./list-route-tables-request"));
exports.ListRouteTablesRequest = ListRouteTablesRequest.ListRouteTablesRequest;
const ListSecurityListsRequest = __importStar(require("./list-security-lists-request"));
exports.ListSecurityListsRequest = ListSecurityListsRequest.ListSecurityListsRequest;
const ListServiceGatewaysRequest = __importStar(require("./list-service-gateways-request"));
exports.ListServiceGatewaysRequest = ListServiceGatewaysRequest.ListServiceGatewaysRequest;
const ListSubnetsRequest = __importStar(require("./list-subnets-request"));
exports.ListSubnetsRequest = ListSubnetsRequest.ListSubnetsRequest;
const ListVcnsRequest = __importStar(require("./list-vcns-request"));
exports.ListVcnsRequest = ListVcnsRequest.ListVcnsRequest;
const ListVirtualCircuitsRequest = __importStar(require("./list-virtual-circuits-request"));
exports.ListVirtualCircuitsRequest = ListVirtualCircuitsRequest.ListVirtualCircuitsRequest;
const ListVlansRequest = __importStar(require("./list-vlans-request"));
exports.ListVlansRequest = ListVlansRequest.ListVlansRequest;
const ListVtapsRequest = __importStar(require("./list-vtaps-request"));
exports.ListVtapsRequest = ListVtapsRequest.ListVtapsRequest;
//# sourceMappingURL=index.js.map