/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Resource usage by autonomous container database in a particular VM.
 */
export interface AcdAvmResourceStats {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Autonomous VM.
     */
    "id"?: string;
    /**
     * The user-friendly name for the Autonomous VM. The name does not need to be unique.
     */
    "displayName"?: string;
    /**
     * CPUs/cores assigned to Autonomous Databases for the ACD instance in given Autonomus VM. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "provisionedCpus"?: number;
    /**
     * CPUs/cores assigned to the ACD instance in given Autonomous VM. Sum of provisioned,
     * reserved and reclaimable CPUs/ cores to the ACD instance.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "usedCpus"?: number;
    /**
     * CPUs/cores reserved for scalability, resilliency and other overheads.
     * This includes failover, autoscaling and idle instance overhead.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "reservedCpus"?: number;
    /**
     * CPUs/cores that continue to be included in the count of OCPUs available to the
     * Autonomous Container Database in given Autonomous VM, even after one of its
     * Autonomous Database is terminated or scaled down. You can release them to the available
     * OCPUs at its parent AVMC level by restarting the Autonomous Container Database.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "reclaimableCpus"?: number;
}
export declare namespace AcdAvmResourceStats {
    function getJsonObj(obj: AcdAvmResourceStats): object;
    function getDeserializedJsonObj(obj: AcdAvmResourceStats): object;
}
