/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to update the cross-region disaster recovery (DR) details of the standby Autonomous Database Serverless instance.
 */
export interface ChangeDisasterRecoveryConfigurationDetails {
    /**
     * Indicates the disaster recovery (DR) type of the Autonomous Database Serverless instance.
     * Autonomous Data Guard (ADG) DR type provides business critical DR with a faster recovery time objective (RTO) during failover or switchover.
     * Backup-based DR type provides lower cost DR with a slower RTO during failover or switchover.
     *
     */
    "disasterRecoveryType"?: ChangeDisasterRecoveryConfigurationDetails.DisasterRecoveryType;
    /**
     * Time and date stored as an RFC 3339 formatted timestamp string. For example, 2022-01-01T12:00:00.000Z would set a limit for the snapshot standby to be converted back to a cross-region standby database.
     */
    "timeSnapshotStandbyEnabledTill"?: Date;
    /**
     * Indicates if user wants to convert to a snapshot standby. For example, true would set a standby database to snapshot standby database. False would set a snapshot standby database back to regular standby database.
     *
     */
    "isSnapshotStandby"?: boolean;
    /**
     * If true, 7 days worth of backups are replicated across regions for Cross-Region ADB or Backup-Based DR between Primary and Standby. If false, the backups taken on the Primary are not replicated to the Standby database.
     */
    "isReplicateAutomaticBackups"?: boolean;
}
export declare namespace ChangeDisasterRecoveryConfigurationDetails {
    enum DisasterRecoveryType {
        Adg = "ADG",
        BackupBased = "BACKUP_BASED"
    }
    function getJsonObj(obj: ChangeDisasterRecoveryConfigurationDetails): object;
    function getDeserializedJsonObj(obj: ChangeDisasterRecoveryConfigurationDetails): object;
}
