/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Enables a freeze period for the VM cluster prohibiting the VMs from getting cloud automation software updates during critical business cycles. Freeze period start date. Starts at 12:00 AM UTC on the selected date and ends at 11:59:59 PM UTC on the selected date. Validates to ensure the freeze period does not exceed 45 days.
 *
 */
export interface CloudAutomationFreezePeriod {
    /**
     * Start time of the freeze period cycle.
     *
     */
    "freezePeriodStartTime"?: string;
    /**
     * End time of the freeze period cycle.
     *
     */
    "freezePeriodEndTime"?: string;
}
export declare namespace CloudAutomationFreezePeriod {
    function getJsonObj(obj: CloudAutomationFreezePeriod): object;
    function getDeserializedJsonObj(obj: CloudAutomationFreezePeriod): object;
}
