/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the properties necessary for cloud automation updates. This includes modifying the apply update time preference, enabling or disabling early adoption, and enabling, modifying, or disabling the update freeze period.
 *
 */
export interface CloudAutomationUpdateDetails {
    /**
     * Annotates whether the cluster should be part of early access to apply VM cloud automation software updates. Those clusters annotated as early access will download the software bits for cloud automation in the first week after the update is available, while other clusters will have to wait until the following week.
     *
     */
    "isEarlyAdoptionEnabled"?: boolean;
    /**
     * Specifies if the freeze period is enabled for the VM cluster to prevent the VMs from receiving cloud automation software updates during critical business cycles. Freeze period starts at 12:00 AM UTC and ends at 11:59:59 PM UTC on the selected date. Ensure that the freezing period does not exceed 45 days.
     *
     */
    "isFreezePeriodEnabled"?: boolean;
    "applyUpdateTimePreference"?: model.CloudAutomationApplyUpdateTimePreference;
    "freezePeriod"?: model.CloudAutomationFreezePeriod;
}
export declare namespace CloudAutomationUpdateDetails {
    function getJsonObj(obj: CloudAutomationUpdateDetails): object;
    function getDeserializedJsonObj(obj: CloudAutomationUpdateDetails): object;
}
