/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of unallocated resources of the Cloud Exadata infrastructure. Applies to Cloud Exadata infrastructure instances only.
 *
 */
export interface CloudExadataInfrastructureUnallocatedResources {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Cloud Exadata infrastructure.
     */
    "cloudExadataInfrastructureId": string;
    /**
     * The user-friendly name for the Cloud Exadata infrastructure. The name does not need to be unique.
     */
    "cloudExadataInfrastructureDisplayName": string;
    /**
     * The minimum amount of unallocated storage available across all nodes in the infrastructure. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "localStorageInGbs"?: number;
    /**
     * The minimum amount of unallocated ocpus available across all nodes in the infrastructure. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ocpus"?: number;
    /**
     * The minimum amount of unallocated memory available across all nodes in the infrastructure. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs"?: number;
    /**
     * Total unallocated exadata storage in the infrastructure in TBs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "exadataStorageInTBs"?: number;
    /**
     * The list of Cloud Autonomous VM Clusters on the Infrastructure and their associated unallocated resources details.
     */
    "cloudAutonomousVmClusters"?: Array<model.CloudAutonomousVmClusterResourceDetails>;
}
export declare namespace CloudExadataInfrastructureUnallocatedResources {
    function getJsonObj(obj: CloudExadataInfrastructureUnallocatedResources): object;
    function getDeserializedJsonObj(obj: CloudExadataInfrastructureUnallocatedResources): object;
}
