/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Parameters for converting Refreshable Clone Pluggable Database into Regular Pluggable Database.
 *
 */
export interface ConvertToRegularPluggableDatabaseDetails {
    /**
     * Indicates whether to take Pluggable Database Backup after the operation.
     */
    "shouldCreatePdbBackup"?: boolean;
    /**
     * The DB system administrator password of the Container Database.
     */
    "containerDatabaseAdminPassword"?: string;
    /**
     * The existing TDE wallet password of the Container Database.
     */
    "tdeWalletPassword"?: string;
}
export declare namespace ConvertToRegularPluggableDatabaseDetails {
    function getJsonObj(obj: ConvertToRegularPluggableDatabaseDetails): object;
    function getDeserializedJsonObj(obj: ConvertToRegularPluggableDatabaseDetails): object;
}
