/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to create an application virtual IP (VIP) address on a cloud VM cluster.
 *
 */
export interface CreateApplicationVipDetails {
    /**
     * The hostname of the application virtual IP (VIP) address.
     */
    "hostnameLabel": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the DB node associated with the application virtual IP (VIP) address.
     */
    "dbNodeId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the cloud VM cluster associated with the application virtual IP (VIP) address.
     */
    "cloudVmClusterId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the subnet associated with the application virtual IP (VIP) address.
     */
    "subnetId": string;
    /**
     * The application virtual IP (VIP) address.
     */
    "ipAddress"?: string;
}
export declare namespace CreateApplicationVipDetails {
    function getJsonObj(obj: CreateApplicationVipDetails): object;
    function getDeserializedJsonObj(obj: CreateApplicationVipDetails): object;
}
