/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Create Autonomous Dataguard Association to an existing Autonomous Container Database
 *
 */
export interface CreateAutonomousContainerDatabaseDataguardAssociationDetails {
    /**
     * The display name for the peer Autonomous Container Database.
     */
    "peerAutonomousContainerDatabaseDisplayName": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment where the standby Autonomous Container Database
     * will be created.
     *
     */
    "peerAutonomousContainerDatabaseCompartmentId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the peer cloud Autonomous Exadata VM Cluster.
     */
    "peerCloudAutonomousVmClusterId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the peer Autonomous Exadata VM Cluster.
     */
    "peerAutonomousVmClusterId"?: string;
    /**
     * Specifies the {@code DB_UNIQUE_NAME} of the peer database to be created.
     *
     */
    "peerDbUniqueName"?: string;
    "peerAutonomousContainerDatabaseBackupConfig"?: model.PeerAutonomousContainerDatabaseBackupConfig;
    /**
     * Indicates whether Automatic Failover is enabled for Autonomous Container Database Dataguard Association
     *
     */
    "isAutomaticFailoverEnabled"?: boolean;
    /**
     * The protection mode of this Autonomous Data Guard association. For more information, see
     * [Oracle Data Guard Protection Modes](http://docs.oracle.com/database/122/SBYDB/oracle-data-guard-protection-modes.htm#SBYDB02000)
     * in the Oracle Data Guard documentation.
     *
     */
    "protectionMode": CreateAutonomousContainerDatabaseDataguardAssociationDetails.ProtectionMode;
    /**
     * The lag time for my preference based on data loss tolerance in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fastStartFailOverLagLimitInSeconds"?: number;
    /**
     * The scheduling detail for the quarterly maintenance window of the standby Autonomous Container Database.
     * This value represents the number of days before scheduled maintenance of the primary database.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "standbyMaintenanceBufferInDays"?: number;
}
export declare namespace CreateAutonomousContainerDatabaseDataguardAssociationDetails {
    enum ProtectionMode {
        MaximumAvailability = "MAXIMUM_AVAILABILITY",
        MaximumPerformance = "MAXIMUM_PERFORMANCE"
    }
    function getJsonObj(obj: CreateAutonomousContainerDatabaseDataguardAssociationDetails): object;
    function getDeserializedJsonObj(obj: CreateAutonomousContainerDatabaseDataguardAssociationDetails): object;
}
