"use strict";
/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAutonomousDatabaseBase = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var CreateAutonomousDatabaseBase;
(function (CreateAutonomousDatabaseBase) {
    let ComputeModel;
    (function (ComputeModel) {
        ComputeModel["Ecpu"] = "ECPU";
        ComputeModel["Ocpu"] = "OCPU";
    })(ComputeModel = CreateAutonomousDatabaseBase.ComputeModel || (CreateAutonomousDatabaseBase.ComputeModel = {}));
    let DbWorkload;
    (function (DbWorkload) {
        DbWorkload["Oltp"] = "OLTP";
        DbWorkload["Dw"] = "DW";
        DbWorkload["Ajd"] = "AJD";
        DbWorkload["Apex"] = "APEX";
    })(DbWorkload = CreateAutonomousDatabaseBase.DbWorkload || (CreateAutonomousDatabaseBase.DbWorkload = {}));
    let LicenseModel;
    (function (LicenseModel) {
        LicenseModel["LicenseIncluded"] = "LICENSE_INCLUDED";
        LicenseModel["BringYourOwnLicense"] = "BRING_YOUR_OWN_LICENSE";
    })(LicenseModel = CreateAutonomousDatabaseBase.LicenseModel || (CreateAutonomousDatabaseBase.LicenseModel = {}));
    let AutonomousMaintenanceScheduleType;
    (function (AutonomousMaintenanceScheduleType) {
        AutonomousMaintenanceScheduleType["Early"] = "EARLY";
        AutonomousMaintenanceScheduleType["Regular"] = "REGULAR";
    })(AutonomousMaintenanceScheduleType = CreateAutonomousDatabaseBase.AutonomousMaintenanceScheduleType || (CreateAutonomousDatabaseBase.AutonomousMaintenanceScheduleType = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "customerContacts": obj.customerContacts
                ? obj.customerContacts.map(item => {
                    return model.CustomerContact.getJsonObj(item);
                })
                : undefined,
            "resourcePoolSummary": obj.resourcePoolSummary
                ? model.ResourcePoolSummary.getJsonObj(obj.resourcePoolSummary)
                : undefined,
            "scheduledOperations": obj.scheduledOperations
                ? obj.scheduledOperations.map(item => {
                    return model.ScheduledOperationDetails.getJsonObj(item);
                })
                : undefined,
            "dbToolsDetails": obj.dbToolsDetails
                ? obj.dbToolsDetails.map(item => {
                    return model.DatabaseTool.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "source" in obj && obj.source) {
            switch (obj.source) {
                case "DATABASE":
                    return model.CreateAutonomousDatabaseCloneDetails.getJsonObj(jsonObj, true);
                case "CLONE_TO_REFRESHABLE":
                    return model.CreateRefreshableAutonomousDatabaseCloneDetails.getJsonObj(jsonObj, true);
                case "BACKUP_FROM_ID":
                    return model.CreateAutonomousDatabaseFromBackupDetails.getJsonObj(jsonObj, true);
                case "CROSS_REGION_DISASTER_RECOVERY":
                    return model.CreateCrossRegionDisasterRecoveryDetails.getJsonObj(jsonObj, true);
                case "BACKUP_FROM_TIMESTAMP":
                    return model.CreateAutonomousDatabaseFromBackupTimestampDetails.getJsonObj(jsonObj, true);
                case "CROSS_TENANCY_DISASTER_RECOVERY":
                    return model.CreateCrossTenancyDisasterRecoveryDetails.getJsonObj(jsonObj, true);
                case "CROSS_REGION_DATAGUARD":
                    return model.CreateCrossRegionAutonomousDatabaseDataGuardDetails.getJsonObj(jsonObj, true);
                case "NONE":
                    return model.CreateAutonomousDatabaseDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.source}`);
            }
        }
        return jsonObj;
    }
    CreateAutonomousDatabaseBase.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "customerContacts": obj.customerContacts
                ? obj.customerContacts.map(item => {
                    return model.CustomerContact.getDeserializedJsonObj(item);
                })
                : undefined,
            "resourcePoolSummary": obj.resourcePoolSummary
                ? model.ResourcePoolSummary.getDeserializedJsonObj(obj.resourcePoolSummary)
                : undefined,
            "scheduledOperations": obj.scheduledOperations
                ? obj.scheduledOperations.map(item => {
                    return model.ScheduledOperationDetails.getDeserializedJsonObj(item);
                })
                : undefined,
            "dbToolsDetails": obj.dbToolsDetails
                ? obj.dbToolsDetails.map(item => {
                    return model.DatabaseTool.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "source" in obj && obj.source) {
            switch (obj.source) {
                case "DATABASE":
                    return model.CreateAutonomousDatabaseCloneDetails.getDeserializedJsonObj(jsonObj, true);
                case "CLONE_TO_REFRESHABLE":
                    return model.CreateRefreshableAutonomousDatabaseCloneDetails.getDeserializedJsonObj(jsonObj, true);
                case "BACKUP_FROM_ID":
                    return model.CreateAutonomousDatabaseFromBackupDetails.getDeserializedJsonObj(jsonObj, true);
                case "CROSS_REGION_DISASTER_RECOVERY":
                    return model.CreateCrossRegionDisasterRecoveryDetails.getDeserializedJsonObj(jsonObj, true);
                case "BACKUP_FROM_TIMESTAMP":
                    return model.CreateAutonomousDatabaseFromBackupTimestampDetails.getDeserializedJsonObj(jsonObj, true);
                case "CROSS_TENANCY_DISASTER_RECOVERY":
                    return model.CreateCrossTenancyDisasterRecoveryDetails.getDeserializedJsonObj(jsonObj, true);
                case "CROSS_REGION_DATAGUARD":
                    return model.CreateCrossRegionAutonomousDatabaseDataGuardDetails.getDeserializedJsonObj(jsonObj, true);
                case "NONE":
                    return model.CreateAutonomousDatabaseDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.source}`);
            }
        }
        return jsonObj;
    }
    CreateAutonomousDatabaseBase.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateAutonomousDatabaseBase = exports.CreateAutonomousDatabaseBase || (exports.CreateAutonomousDatabaseBase = {}));
//# sourceMappingURL=create-autonomous-database-base.js.map