/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details to create an Oracle Autonomous Database by cloning from a backup of an existing Autonomous Database.
 *
 */
export interface CreateAutonomousDatabaseFromBackupDetails extends model.CreateAutonomousDatabaseBase {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the source Autonomous Database Backup that you will clone to create a new Autonomous Database.
     */
    "autonomousDatabaseBackupId": string;
    /**
     * The Autonomous Database clone type.
     */
    "cloneType": CreateAutonomousDatabaseFromBackupDetails.CloneType;
    "source": string;
}
export declare namespace CreateAutonomousDatabaseFromBackupDetails {
    enum CloneType {
        Full = "FULL",
        Metadata = "METADATA"
    }
    function getJsonObj(obj: CreateAutonomousDatabaseFromBackupDetails, isParentJsonObj?: boolean): object;
    const source = "BACKUP_FROM_ID";
    function getDeserializedJsonObj(obj: CreateAutonomousDatabaseFromBackupDetails, isParentJsonObj?: boolean): object;
}
