/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to schedule Maintenance Run with Latest Release Update along TimeZone File Update for the specified resource.
 *
 */
export interface CreateMaintenanceRunDetails {
    /**
     * The ID of the target resource for which the maintenance run should be created.
     */
    "targetResourceId": string;
    /**
     * Indicates if an automatic DST Time Zone file update is enabled for the Autonomous Container Database. If enabled along with Release Update, patching will be done in a Non-Rolling manner.
     */
    "isDstFileUpdateEnabled"?: boolean;
    /**
     * The date and time that update should be scheduled.
     */
    "timeScheduled": Date;
    /**
     * Cloud Exadata infrastructure node patching method, either \"ROLLING\" or \"NONROLLING\". Default value is ROLLING.
     * <p>
     *IMPORTANT*: Non-rolling infrastructure patching involves system down time. See [Oracle-Managed Infrastructure Maintenance Updates](https://docs.cloud.oracle.com/iaas/Content/Database/Concepts/examaintenance.htm#Oracle) for more information.
     *
     */
    "patchingMode"?: CreateMaintenanceRunDetails.PatchingMode;
    /**
     * Patch type, either \"QUARTERLY\" or \"TIMEZONE\".
     *
     */
    "patchType": CreateMaintenanceRunDetails.PatchType;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment containing the Maintenance Run.
     */
    "compartmentId"?: string;
}
export declare namespace CreateMaintenanceRunDetails {
    enum PatchingMode {
        Rolling = "ROLLING",
        Nonrolling = "NONROLLING"
    }
    enum PatchType {
        Quarterly = "QUARTERLY",
        Timezone = "TIMEZONE"
    }
    function getJsonObj(obj: CreateMaintenanceRunDetails): object;
    function getDeserializedJsonObj(obj: CreateMaintenanceRunDetails): object;
}
