/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of database tools of autonomous database.
 */
export interface DatabaseTool {
    /**
     * Name of database tool.
     */
    "name": DatabaseTool.Name;
    /**
     * Indicates whether tool is enabled.
     */
    "isEnabled"?: boolean;
    /**
     * Compute used by database tools. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "computeCount"?: number;
    /**
     * The max idle time, in minutes, after which the VM used by database tools will be terminated. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxIdleTimeInMinutes"?: number;
}
export declare namespace DatabaseTool {
    enum Name {
        Apex = "APEX",
        DatabaseActions = "DATABASE_ACTIONS",
        GraphStudio = "GRAPH_STUDIO",
        Oml = "OML",
        DataTransforms = "DATA_TRANSFORMS",
        Ords = "ORDS",
        MongodbApi = "MONGODB_API",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DatabaseTool): object;
    function getDeserializedJsonObj(obj: DatabaseTool): object;
}
