/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of Database Home to be used to upgrade a database.
 *
 */
export interface DatabaseUpgradeWithDbHomeDetails extends model.DatabaseUpgradeSourceBase {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Database Home.
     */
    "dbHomeId": string;
    "source": string;
}
export declare namespace DatabaseUpgradeWithDbHomeDetails {
    function getJsonObj(obj: DatabaseUpgradeWithDbHomeDetails, isParentJsonObj?: boolean): object;
    const source = "DB_HOME";
    function getDeserializedJsonObj(obj: DatabaseUpgradeWithDbHomeDetails, isParentJsonObj?: boolean): object;
}
