/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the Oracle Database software version number for upgrading a database.
 *
 */
export interface DatabaseUpgradeWithDbVersionDetails extends model.DatabaseUpgradeSourceBase {
    /**
      * A valid Oracle Database version. For a list of supported versions, use the ListDbVersions operation.
  * <p>
  This cannot be updated in parallel with any of the following: licenseModel, dbEdition, cpuCoreCount, computeCount, computeModel, adminPassword, whitelistedIps, isMTLSConnectionRequired, openMode, permissionLevel, dbWorkload, privateEndpointLabel, nsgIds, isRefreshable, dbName, scheduledOperations, dbToolsDetails, isLocalDataGuardEnabled, or isFreeTier.
  *
      */
    "dbVersion": string;
    "source": string;
}
export declare namespace DatabaseUpgradeWithDbVersionDetails {
    function getJsonObj(obj: DatabaseUpgradeWithDbVersionDetails, isParentJsonObj?: boolean): object;
    const source = "DB_VERSION";
    function getDeserializedJsonObj(obj: DatabaseUpgradeWithDbVersionDetails, isParentJsonObj?: boolean): object;
}
