/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The scheduling details for the quarterly maintenance window. Patching and system updates take place during the maintenance window.
 *
 */
export interface DbServerPatchingDetails {
    /**
     * Estimated time, in minutes, to patch one database server. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "estimatedPatchDuration"?: number;
    /**
     * The status of the patching operation.
     */
    "patchingStatus"?: DbServerPatchingDetails.PatchingStatus;
    /**
     * The time when the patching operation started.
     */
    "timePatchingStarted"?: Date;
    /**
     * The time when the patching operation ended.
     */
    "timePatchingEnded"?: Date;
}
export declare namespace DbServerPatchingDetails {
    enum PatchingStatus {
        Scheduled = "SCHEDULED",
        MaintenanceInProgress = "MAINTENANCE_IN_PROGRESS",
        Failed = "FAILED",
        Complete = "COMPLETE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DbServerPatchingDetails): object;
    function getDeserializedJsonObj(obj: DbServerPatchingDetails): object;
}
