/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Representation of storage performance summary per shapeType .
 *
 */
export interface DbSystemStoragePerformanceSummary {
    /**
     * ShapeType of the DbSystems INTEL , AMD, INTEL_FLEX_X9 or AMPERE_FLEX_A1
     */
    "shapeType": DbSystemStoragePerformanceSummary.ShapeType;
    /**
     * List of storage performance for the DATA disks
     */
    "dataStoragePerformanceList": Array<model.StoragePerformanceDetails>;
    /**
     * List of storage performance for the RECO disks
     */
    "recoStoragePerformanceList": Array<model.StoragePerformanceDetails>;
}
export declare namespace DbSystemStoragePerformanceSummary {
    enum ShapeType {
        Amd = "AMD",
        Intel = "INTEL",
        IntelFlexX9 = "INTEL_FLEX_X9",
        AmpereFlexA1 = "AMPERE_FLEX_A1",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DbSystemStoragePerformanceSummary): object;
    function getDeserializedJsonObj(obj: DbSystemStoragePerformanceSummary): object;
}
