/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of the file system configuration of the Exadata infrastructure.
 */
export interface DefinedFileSystemConfiguration {
    /**
     * The mount point of file system.
     */
    "mountPoint"?: string;
    /**
     * The minimum size of file system. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minSizeGb"?: number;
    /**
     * If true, the file system resize is allowed for the Exadata Infrastructure cluster. If false, the file system resize is not allowed.
     */
    "isResizable"?: boolean;
    /**
     * If true, the file system is used to create a backup prior to Exadata VM OS update.
     */
    "isBackupPartition"?: boolean;
}
export declare namespace DefinedFileSystemConfiguration {
    function getJsonObj(obj: DefinedFileSystemConfiguration): object;
    function getDeserializedJsonObj(obj: DefinedFileSystemConfiguration): object;
}
