/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Contact details for Exadata Infrastructure.
 */
export interface ExadataInfrastructureContact {
    /**
     * The name of the Exadata Infrastructure contact.
     */
    "name": string;
    /**
     * The phone number for the Exadata Infrastructure contact.
     */
    "phoneNumber"?: string;
    /**
     * The email for the Exadata Infrastructure contact.
     */
    "email": string;
    /**
     * If {@code true}, this Exadata Infrastructure contact is a primary contact. If {@code false}, this Exadata Infrastructure is a secondary contact.
     */
    "isPrimary": boolean;
    /**
     * If {@code true}, this Exadata Infrastructure contact is a valid My Oracle Support (MOS) contact. If {@code false}, this Exadata Infrastructure contact is not a valid MOS contact.
     */
    "isContactMosValidated"?: boolean;
}
export declare namespace ExadataInfrastructureContact {
    function getJsonObj(obj: ExadataInfrastructureContact): object;
    function getDeserializedJsonObj(obj: ExadataInfrastructureContact): object;
}
