/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Un allocated resources details of the Exadata Cloud@Customer infrastructure. Applies to Exadata Cloud@Customer instances only.
 *
 */
export interface ExadataInfrastructureUnAllocatedResources {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Exadata infrastructure.
     */
    "id": string;
    /**
     * The user-friendly name for the Exadata Cloud@Customer infrastructure. The name does not need to be unique.
     */
    "displayName": string;
    /**
     * The minimum amount of un allocated storage that is available across all nodes in the infrastructure. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "localStorageInGbs"?: number;
    /**
     * The minimum amount of un allocated ocpus that is available across all nodes in the infrastructure. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ocpus"?: number;
    /**
     * The minimum amount of un allocated memory that is available across all nodes in the infrastructure. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs"?: number;
    /**
     * Total unallocated exadata storage in the infrastructure in TBs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "exadataStorageInTBs"?: number;
    /**
     * The list of Autonomous VM Clusters on the Infra and their associated unallocated resources details
     */
    "autonomousVmClusters"?: Array<model.AutonomousVmClusterResourceDetails>;
}
export declare namespace ExadataInfrastructureUnAllocatedResources {
    function getJsonObj(obj: ExadataInfrastructureUnAllocatedResources): object;
    function getDeserializedJsonObj(obj: ExadataInfrastructureUnAllocatedResources): object;
}
