/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to create and download an Oracle Autonomous Database wallet.
 *
 */
export interface GenerateAutonomousDatabaseWalletDetails {
    /**
     * The type of wallet to generate.
     * <p>
     **Serverless instance usage:**
     * * {@code SINGLE} - used to generate a wallet for a single database
     * * {@code ALL} - used to generate wallet for all databases in the region
     * <p>
     **Dedicated Exadata infrastructure usage:** Value must be {@code NULL} if attribute is used.
     *
     */
    "generateType"?: GenerateAutonomousDatabaseWalletDetails.GenerateType;
    /**
     * The password to encrypt the keys inside the wallet. The password must be at least 8 characters long and must include at least 1 letter and either 1 numeric character or 1 special character.
     */
    "password": string;
    /**
     * True when requesting regional connection strings in PDB connect info, applicable to cross-region DG only.
     */
    "isRegional"?: boolean;
}
export declare namespace GenerateAutonomousDatabaseWalletDetails {
    enum GenerateType {
        All = "ALL",
        Single = "SINGLE"
    }
    function getJsonObj(obj: GenerateAutonomousDatabaseWalletDetails): object;
    function getDeserializedJsonObj(obj: GenerateAutonomousDatabaseWalletDetails): object;
}
