/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Parameters for generation of the client or backup network in a VM cluster network in an Exadata Cloud@Customer system.
 *
 */
export interface InfoForNetworkGenDetails {
    /**
     * The network type.
     */
    "networkType": InfoForNetworkGenDetails.NetworkType;
    /**
     * The network VLAN ID.
     */
    "vlanId": string;
    /**
     * The cidr for the network.
     */
    "cidr": string;
    /**
     * The network gateway.
     */
    "gateway": string;
    /**
     * The network netmask.
     */
    "netmask": string;
    /**
     * The network domain name.
     */
    "domain": string;
    /**
     * The network domain name.
     */
    "prefix": string;
}
export declare namespace InfoForNetworkGenDetails {
    enum NetworkType {
        Client = "CLIENT",
        Backup = "BACKUP",
        DisasterRecovery = "DISASTER_RECOVERY"
    }
    function getJsonObj(obj: InfoForNetworkGenDetails): object;
    function getDeserializedJsonObj(obj: InfoForNetworkGenDetails): object;
}
