/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Used for creating a new DB system from a database backup.
 *
 */
export interface LaunchDbSystemFromBackupDetails extends model.LaunchDbSystemBase {
    "dbHome": model.CreateDbHomeFromBackupDetails;
    /**
     * The Oracle Database Edition that applies to all the databases on the DB system.
     * Exadata DB systems and 2-node RAC DB systems require ENTERPRISE_EDITION_EXTREME_PERFORMANCE.
     *
     */
    "databaseEdition": LaunchDbSystemFromBackupDetails.DatabaseEdition;
    /**
     * The type of redundancy configured for the DB system.
     * NORMAL 2-way redundancy, recommended for test and development systems.
     * HIGH is 3-way redundancy, recommended for production systems.
     *
     */
    "diskRedundancy"?: LaunchDbSystemFromBackupDetails.DiskRedundancy;
    /**
     * The Oracle license model that applies to all the databases on the DB system. The default is LICENSE_INCLUDED.
     *
     */
    "licenseModel"?: LaunchDbSystemFromBackupDetails.LicenseModel;
    "source": string;
}
export declare namespace LaunchDbSystemFromBackupDetails {
    enum DatabaseEdition {
        StandardEdition = "STANDARD_EDITION",
        EnterpriseEdition = "ENTERPRISE_EDITION",
        EnterpriseEditionHighPerformance = "ENTERPRISE_EDITION_HIGH_PERFORMANCE",
        EnterpriseEditionExtremePerformance = "ENTERPRISE_EDITION_EXTREME_PERFORMANCE"
    }
    enum DiskRedundancy {
        High = "HIGH",
        Normal = "NORMAL"
    }
    enum LicenseModel {
        LicenseIncluded = "LICENSE_INCLUDED",
        BringYourOwnLicense = "BRING_YOUR_OWN_LICENSE"
    }
    function getJsonObj(obj: LaunchDbSystemFromBackupDetails, isParentJsonObj?: boolean): object;
    const source = "DB_BACKUP";
    function getDeserializedJsonObj(obj: LaunchDbSystemFromBackupDetails, isParentJsonObj?: boolean): object;
}
