/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for the long-term backup schedule.
 */
export interface LongTermBackUpScheduleDetails {
    /**
     * The frequency of the long-term backup schedule
     */
    "repeatCadence"?: LongTermBackUpScheduleDetails.RepeatCadence;
    /**
     * The timestamp for the long-term backup schedule. For a MONTHLY cadence, months having fewer days than the provided date will have the backup taken on the last day of that month.
     */
    "timeOfBackup"?: Date;
    /**
     * Retention period, in days, for long-term backups Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "retentionPeriodInDays"?: number;
    /**
     * Indicates if the long-term backup schedule should be deleted. The default value is {@code FALSE}.
     *
     */
    "isDisabled"?: boolean;
}
export declare namespace LongTermBackUpScheduleDetails {
    enum RepeatCadence {
        OneTime = "ONE_TIME",
        Weekly = "WEEKLY",
        Monthly = "MONTHLY",
        Yearly = "YEARLY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: LongTermBackUpScheduleDetails): object;
    function getDeserializedJsonObj(obj: LongTermBackUpScheduleDetails): object;
}
