/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of bonding mode for Client and Backup and DR networks of an Exadata infrastructure.
 *
 */
export interface NetworkBondingModeDetails {
    /**
     * The network bonding mode for the Exadata infrastructure.
     */
    "clientNetworkBondingMode"?: NetworkBondingModeDetails.ClientNetworkBondingMode;
    /**
     * The network bonding mode for the Exadata infrastructure.
     */
    "backupNetworkBondingMode"?: NetworkBondingModeDetails.BackupNetworkBondingMode;
    /**
     * The network bonding mode for the Exadata infrastructure.
     */
    "drNetworkBondingMode"?: NetworkBondingModeDetails.DrNetworkBondingMode;
}
export declare namespace NetworkBondingModeDetails {
    enum ClientNetworkBondingMode {
        ActiveBackup = "ACTIVE_BACKUP",
        Lacp = "LACP",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum BackupNetworkBondingMode {
        ActiveBackup = "ACTIVE_BACKUP",
        Lacp = "LACP",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum DrNetworkBondingMode {
        ActiveBackup = "ACTIVE_BACKUP",
        Lacp = "LACP",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: NetworkBondingModeDetails): object;
    function getDeserializedJsonObj(obj: NetworkBondingModeDetails): object;
}
