/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The configuration details for updating a Autonomous Container DatabaseData Guard association for a Autonomous Container Database.
 *
 */
export interface UpdateAutonomousContainerDatabaseDataGuardAssociationDetails {
    /**
     * Indicates whether Automatic Failover is enabled for Autonomous Container Database Dataguard Association
     *
     */
    "isAutomaticFailoverEnabled"?: boolean;
    /**
     * The protection mode of this Autonomous Data Guard association. For more information, see
     * [Oracle Data Guard Protection Modes](http://docs.oracle.com/database/122/SBYDB/oracle-data-guard-protection-modes.htm#SBYDB02000)
     * in the Oracle Data Guard documentation.
     *
     */
    "protectionMode"?: UpdateAutonomousContainerDatabaseDataGuardAssociationDetails.ProtectionMode;
    /**
     * The lag time for my preference based on data loss tolerance in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fastStartFailOverLagLimitInSeconds"?: number;
}
export declare namespace UpdateAutonomousContainerDatabaseDataGuardAssociationDetails {
    enum ProtectionMode {
        MaximumAvailability = "MAXIMUM_AVAILABILITY",
        MaximumPerformance = "MAXIMUM_PERFORMANCE"
    }
    function getJsonObj(obj: UpdateAutonomousContainerDatabaseDataGuardAssociationDetails): object;
    function getDeserializedJsonObj(obj: UpdateAutonomousContainerDatabaseDataGuardAssociationDetails): object;
}
