/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for updating the Exadata Database Storage Vault.
 *
 */
export interface UpdateExascaleDbStorageVaultDetails {
    /**
     * The user-friendly name for the Exadata Database Storage Vault. The name does not need to be unique.
     */
    "displayName"?: string;
    /**
     * Exadata Database Storage Vault description.
     */
    "description"?: string;
    "highCapacityDatabaseStorage"?: model.ExascaleDbStorageInputDetails;
    /**
     * The size of additional Flash Cache in percentage of High Capacity database storage.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "additionalFlashCacheInPercent"?: number;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
  * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace UpdateExascaleDbStorageVaultDetails {
    function getJsonObj(obj: UpdateExascaleDbStorageVaultDetails): object;
    function getDeserializedJsonObj(obj: UpdateExascaleDbStorageVaultDetails): object;
}
