/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for upgrading the operating system and Oracle Grid Infrastructure (GI) of a DB system.
 *
 */
export interface UpgradeDbSystemDetails {
    /**
     * The operating system upgrade action.
     */
    "action": UpgradeDbSystemDetails.Action;
    /**
     * The retention period, in days, for the snapshot that allows you to perform a rollback of the upgrade operation. After this number of days passes, you cannot roll back the upgrade. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "snapshotRetentionPeriodInDays"?: number;
    /**
     * A valid Oracle Grid Infrastructure (GI) software version.
     */
    "newGiVersion"?: string;
    /**
     * A valid Oracle Software (OS) version eg. Oracle Linux Server release 8
     */
    "newOsVersion"?: string;
    /**
     * If true, rollback time is updated even if operating system upgrade history contains errors.
     */
    "isSnapshotRetentionDaysForceUpdated"?: boolean;
}
export declare namespace UpgradeDbSystemDetails {
    enum Action {
        Precheck = "PRECHECK",
        Rollback = "ROLLBACK",
        UpdateSnapshotRetentionDays = "UPDATE_SNAPSHOT_RETENTION_DAYS",
        Upgrade = "UPGRADE"
    }
    function getJsonObj(obj: UpgradeDbSystemDetails): object;
    function getDeserializedJsonObj(obj: UpgradeDbSystemDetails): object;
}
