/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details specifying which maintenance update to apply to the VM Cluster and which action is to be performed by the maintenance update. Applies to Exadata Cloud@Customer instances only.
 *
 */
export interface VmClusterUpdateDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the maintenance update.
     */
    "updateId"?: string;
    /**
     * The update action to perform.
     */
    "updateAction"?: VmClusterUpdateDetails.UpdateAction;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of a grid infrastructure software image. This is a database software image of the type {@code GRID_IMAGE}.
     */
    "giSoftwareImageId"?: string;
}
export declare namespace VmClusterUpdateDetails {
    enum UpdateAction {
        RollingApply = "ROLLING_APPLY",
        Precheck = "PRECHECK",
        Rollback = "ROLLBACK"
    }
    function getJsonObj(obj: VmClusterUpdateDetails): object;
    function getDeserializedJsonObj(obj: VmClusterUpdateDetails): object;
}
