/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The number of consumed OCPUs, by database workload type.
 *
 */
export interface WorkloadType {
    /**
     * The total number of OCPU cores in use for Autonomous Transaction Processing databases in the infrastructure instance. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "atp"?: number;
    /**
     * The total number of OCPU cores in use for Autonomous Data Warehouse databases in the infrastructure instance. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "adw"?: number;
}
export declare namespace WorkloadType {
    function getJsonObj(obj: WorkloadType): object;
    function getDeserializedJsonObj(obj: WorkloadType): object;
}
