/**
 *
 *
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/database/ListAutonomousContainerDatabaseVersions.ts.html |here} to see how to use ListAutonomousContainerDatabaseVersionsRequest.
 */
export interface ListAutonomousContainerDatabaseVersionsRequest extends common.BaseRequest {
    /**
     * The compartment [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     */
    "compartmentId": string;
    /**
     * The service component to use, either ADBD or EXACC.
     */
    "serviceComponent": ListAutonomousContainerDatabaseVersionsRequest.ServiceComponent;
    /**
     * The maximum number of items to return per page.
     */
    "limit"?: number;
    /**
     * The pagination token to continue listing from.
     */
    "page"?: string;
    /**
     * Unique identifier for the request.
     *
     */
    "opcRequestId"?: string;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     */
    "sortOrder"?: ListAutonomousContainerDatabaseVersionsRequest.SortOrder;
}
export declare namespace ListAutonomousContainerDatabaseVersionsRequest {
    enum ServiceComponent {
        Adbd = "ADBD",
        Exacc = "EXACC"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
