/**
 *
 *
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/database/ListDbVersions.ts.html |here} to see how to use ListDbVersionsRequest.
 */
export interface ListDbVersionsRequest extends common.BaseRequest {
    /**
     * The compartment [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     */
    "compartmentId": string;
    /**
     * The maximum number of items to return per page.
     */
    "limit"?: number;
    /**
     * The pagination token to continue listing from.
     */
    "page"?: string;
    /**
     * If provided, filters the results to the set of database versions which are supported for the given shape.
     */
    "dbSystemShape"?: string;
    /**
     * The DB system [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm). If provided, filters the results to the set of database versions which are supported for the DB system.
     */
    "dbSystemId"?: string;
    /**
     * The DB system storage management option. Used to list database versions available for that storage manager. Valid values are {@code ASM} and {@code LVM}.
     * * ASM specifies Oracle Automatic Storage Management
     * * LVM specifies logical volume manager, sometimes called logical disk manager.
     *
     */
    "storageManagement"?: string;
    /**
     * If provided, filters the results to the set of database versions which are supported for Upgrade.
     */
    "isUpgradeSupported"?: boolean;
    /**
     * If true, filters the results to the set of Oracle Database versions that are supported for OCI database software images.
     */
    "isDatabaseSoftwareImageSupported"?: boolean;
}
