/**
 *
 *
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/database/ListPluggableDatabases.ts.html |here} to see how to use ListPluggableDatabasesRequest.
 */
export interface ListPluggableDatabasesRequest extends common.BaseRequest {
    /**
     * The compartment [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     */
    "compartmentId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the database.
     */
    "databaseId"?: string;
    /**
     * The maximum number of items to return per page.
     */
    "limit"?: number;
    /**
     * The pagination token to continue listing from.
     */
    "page"?: string;
    /**
     * The field to sort by.  You can provide one sort order ({@code sortOrder}).  Default order for TIMECREATED is descending.  Default order for PDBNAME is ascending. The PDBNAME sort order is case sensitive.
     */
    "sortBy"?: ListPluggableDatabasesRequest.SortBy;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     */
    "sortOrder"?: ListPluggableDatabasesRequest.SortOrder;
    /**
     * A filter to return only resources that match the given lifecycle state exactly.
     */
    "lifecycleState"?: string;
    /**
     * A filter to return only pluggable databases that match the entire name given. The match is not case sensitive.
     */
    "pdbName"?: string;
}
export declare namespace ListPluggableDatabasesRequest {
    enum SortBy {
        Pdbname = "PDBNAME",
        Timecreated = "TIMECREATED"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
