/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The object containing the ADDM task metadata.
 */
export interface AddmTaskSummary {
    /**
     * The name of the ADDM task.
     */
    "taskName"?: string;
    /**
     * The ID number of the ADDM task. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "taskId": number;
    /**
     * The description of the ADDM task.
     */
    "description"?: string;
    /**
     * The database user who owns the ADDM task.
     */
    "dbUser"?: string;
    /**
     * The status of the ADDM task.
     */
    "status"?: AddmTaskSummary.Status;
    /**
     * The creation date of the ADDM task.
     */
    "timeCreated": Date;
    /**
     * A description of how the task was created.
     */
    "howCreated"?: AddmTaskSummary.HowCreated;
    /**
     * The timestamp of the beginning AWR snapshot used in the ADDM task as defined by date-time RFC3339 format.
     *
     */
    "startSnapshotTime"?: Date;
    /**
     * The timestamp of the ending AWR snapshot used in the ADDM task as defined by date-time RFC3339 format.
     *
     */
    "endSnapshotTime"?: Date;
    /**
     * The ID number of the beginning AWR snapshot.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "beginSnapshotId"?: number;
    /**
     * The ID number of the ending AWR snapshot.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "endSnapshotId"?: number;
    /**
     * The number of ADDM findings. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "findings"?: number;
}
export declare namespace AddmTaskSummary {
    enum Status {
        Initial = "INITIAL",
        Executing = "EXECUTING",
        Interrupted = "INTERRUPTED",
        Completed = "COMPLETED",
        Error = "ERROR",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum HowCreated {
        Auto = "AUTO",
        Manual = "MANUAL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AddmTaskSummary): object;
    function getDeserializedJsonObj(obj: AddmTaskSummary): object;
}
