/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The detail for one alert log entry.
 *
 */
export interface AlertLogSummary {
    /**
     * The level of the alert log.
     */
    "messageLevel": AlertLogSummary.MessageLevel;
    /**
     * The type of alert log message.
     */
    "messageType": AlertLogSummary.MessageType;
    /**
     * The contents of the alert log message.
     */
    "messageContent"?: string;
    /**
     * The date and time the alert log was created.
     */
    "timestamp"?: Date;
    /**
     * The supplemental details of the alert log.
     */
    "supplementalDetail"?: string;
    /**
     * The alert log file location.
     */
    "fileLocation"?: string;
}
export declare namespace AlertLogSummary {
    enum MessageLevel {
        Critical = "CRITICAL",
        Severe = "SEVERE",
        Important = "IMPORTANT",
        Normal = "NORMAL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum MessageType {
        Unknown = "UNKNOWN",
        IncidentError = "INCIDENT_ERROR",
        Error = "ERROR",
        Warning = "WARNING",
        Notification = "NOTIFICATION",
        Trace = "TRACE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AlertLogSummary): object;
    function getDeserializedJsonObj(obj: AlertLogSummary): object;
}
