/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A valid value for a database parameter.
 */
export interface AllowedParameterValue {
    /**
     * The ordinal number in the list (1-based). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ordinal"?: number;
    /**
     * The parameter value at ordinal.
     */
    "value"?: string;
    /**
     * Indicates whether the given ordinal value is the default value for the parameter.
     */
    "isDefault"?: boolean;
}
export declare namespace AllowedParameterValue {
    function getJsonObj(obj: AllowedParameterValue): object;
    function getDeserializedJsonObj(obj: AllowedParameterValue): object;
}
