/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the associated component.
 */
export interface AssociatedComponent {
    /**
     * The identifier of the associated component.
     */
    "componentId": string;
    /**
     * The type of associated component.
     */
    "componentType"?: model.ExternalDbSystemComponentType;
    /**
     * The association type.
     */
    "associationType": AssociatedComponent.AssociationType;
}
export declare namespace AssociatedComponent {
    enum AssociationType {
        Contains = "CONTAINS",
        Uses = "USES",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AssociatedComponent): object;
    function getDeserializedJsonObj(obj: AssociatedComponent): object;
}
