/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The collection of the counts of different urgency or type of attention logs.
 */
export interface AttentionLogCountsCollection {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Managed Database.
     */
    "managedDatabaseId": string;
    /**
     * An array of the counts of different urgency or type of attention logs.
     */
    "items": Array<model.AttentionLogCountSummary>;
}
export declare namespace AttentionLogCountsCollection {
    function getJsonObj(obj: AttentionLogCountsCollection): object;
    function getDeserializedJsonObj(obj: AttentionLogCountsCollection): object;
}
