/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details for one attention log entry.
 *
 */
export interface AttentionLogSummary {
    /**
     * The urgency of the attention log.
     */
    "messageUrgency": AttentionLogSummary.MessageUrgency;
    /**
     * The type of attention log message.
     */
    "messageType": AttentionLogSummary.MessageType;
    /**
     * The contents of the attention log message.
     */
    "messageContent"?: string;
    /**
     * The date and time the attention log was created.
     */
    "timestamp"?: Date;
    /**
     * The database scope for the attention log.
     */
    "scope"?: string;
    /**
     * The user who must act on the attention log message.
     */
    "targetUser"?: string;
    /**
     * The cause of the attention log.
     */
    "cause"?: string;
    /**
     * The recommended action to handle the attention log.
     */
    "action"?: string;
    /**
     * The supplemental details of the attention log.
     */
    "supplementalDetail"?: string;
    /**
     * The attention log file location.
     */
    "fileLocation"?: string;
}
export declare namespace AttentionLogSummary {
    enum MessageUrgency {
        Immediate = "IMMEDIATE",
        Soon = "SOON",
        Deferrable = "DEFERRABLE",
        Info = "INFO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum MessageType {
        Unknown = "UNKNOWN",
        IncidentError = "INCIDENT_ERROR",
        Error = "ERROR",
        Warning = "WARNING",
        Notification = "NOTIFICATION",
        Trace = "TRACE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AttentionLogSummary): object;
    function getDeserializedJsonObj(obj: AttentionLogSummary): object;
}
