/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The summary of the AWR SYSSTAT data.
 */
export interface AwrDbSysstatSummary {
    /**
     * The name of the SYSSTAT.
     */
    "name": string;
    /**
     * The name of the SYSSTAT category.
     */
    "category"?: string;
    /**
     * The start time of the SYSSTAT.
     */
    "timeBegin"?: Date;
    /**
     * The end time of the SYSSTAT.
     */
    "timeEnd"?: Date;
    /**
     * The average value of the SYSSTAT. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "avgValue"?: number;
    /**
     * The last value of the SYSSTAT. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "currentValue"?: number;
}
export declare namespace AwrDbSysstatSummary {
    function getJsonObj(obj: AwrDbSysstatSummary): object;
    function getDeserializedJsonObj(obj: AwrDbSysstatSummary): object;
}
