/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The AWR query result.
 */
export interface AwrQueryResult {
    /**
     * The name of the query result.
     */
    "name": string;
    /**
     * The version of the query result.
     */
    "version"?: string;
    /**
     * The ID assigned to the query instance.
     */
    "queryKey"?: string;
    /**
     * The time taken to query the database tier (in seconds). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dbQueryTimeInSecs"?: number;
    "awrResultType": string;
}
export declare namespace AwrQueryResult {
    function getJsonObj(obj: AwrQueryResult): object;
    function getDeserializedJsonObj(obj: AwrQueryResult): object;
}
