/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the Oracle Database basic connection string.
 */
export interface BasicDatabaseConnectionStringDetails extends model.DatabaseConnectionStringDetails {
    /**
     * The service name of the database.
     */
    "service": string;
    /**
     * The port number used to connect to the database. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port": number;
    /**
     * The protocol used to connect to the database.
     */
    "protocol": BasicDatabaseConnectionStringDetails.Protocol;
    "connectionType": string;
}
export declare namespace BasicDatabaseConnectionStringDetails {
    enum Protocol {
        Tcp = "TCP",
        Tcps = "TCPS"
    }
    function getJsonObj(obj: BasicDatabaseConnectionStringDetails, isParentJsonObj?: boolean): object;
    const connectionType = "BASIC";
    function getDeserializedJsonObj(obj: BasicDatabaseConnectionStringDetails, isParentJsonObj?: boolean): object;
}
