/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A summary of consumer group privileges.
 */
export interface ConsumerGroupPrivilegeSummary {
    /**
     * The name of the granted consumer group privilege.
     */
    "name"?: string;
    /**
     * Indicates whether the privilege is granted with the GRANT option (YES) or not (NO).
     */
    "grantOption"?: ConsumerGroupPrivilegeSummary.GrantOption;
    /**
     * Indicates whether the consumer group is designated as the default for this user or role (YES) or not (NO).
     */
    "initialGroup"?: ConsumerGroupPrivilegeSummary.InitialGroup;
}
export declare namespace ConsumerGroupPrivilegeSummary {
    enum GrantOption {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum InitialGroup {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ConsumerGroupPrivilegeSummary): object;
    function getDeserializedJsonObj(obj: ConsumerGroupPrivilegeSummary): object;
}
