/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Create an empty Sql tuning sets.
 * It takes either credentialDetails or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface CreateSqlTuningSetDetails {
    "credentialDetails"?: model.SqlTuningSetAdminPasswordCredentialDetails | model.SqlTuningSetAdminSecretCredentialDetails;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
    /**
     * A unique Sql tuning set name.
     */
    "name": string;
    /**
     * Owner of the Sql tuning set.
     */
    "owner"?: string;
    /**
     * The description of the Sql tuning set.
     */
    "description"?: string;
    /**
     * Flag to indicate whether to create the Sql tuning set or just display the plsql used to create Sql tuning set.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "showSqlOnly"?: number;
}
export declare namespace CreateSqlTuningSetDetails {
    function getJsonObj(obj: CreateSqlTuningSetDetails): object;
    function getDeserializedJsonObj(obj: CreateSqlTuningSetDetails): object;
}
