/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to enable the Diagnostics and Management feature.
 */
export interface DatabaseDiagnosticsAndManagementFeatureConfiguration extends model.DatabaseFeatureConfiguration {
    /**
     * The Oracle license model that applies to the external database.
     *
     */
    "licenseModel"?: DatabaseDiagnosticsAndManagementFeatureConfiguration.LicenseModel;
    "feature": string;
}
export declare namespace DatabaseDiagnosticsAndManagementFeatureConfiguration {
    enum LicenseModel {
        LicenseIncluded = "LICENSE_INCLUDED",
        BringYourOwnLicense = "BRING_YOUR_OWN_LICENSE"
    }
    function getJsonObj(obj: DatabaseDiagnosticsAndManagementFeatureConfiguration, isParentJsonObj?: boolean): object;
    const feature = "DIAGNOSTICS_AND_MANAGEMENT";
    function getDeserializedJsonObj(obj: DatabaseDiagnosticsAndManagementFeatureConfiguration, isParentJsonObj?: boolean): object;
}
