/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The response containing the CPU, Storage, Wait, DB Time, and Memory metrics for a specific Managed Database.
 */
export interface DatabaseHomeMetricDefinition {
    /**
     * A list of the active session metrics for CPU and Wait time for a specific Managed Database.
     */
    "activityTimeSeriesMetrics": Array<model.ActivityTimeSeriesMetrics>;
    "dbTimeAggregateMetrics": model.DatabaseTimeAggregateMetrics;
    "ioAggregateMetrics": model.DatabaseIOAggregateMetrics;
    "memoryAggregateMetrics": model.MemoryAggregateMetrics;
    "dbStorageAggregateMetrics": model.DatabaseStorageAggregateMetrics;
    "cpuUtilizationAggregateMetrics"?: model.CpuUtilizationAggregateMetrics;
    "statementsAggregateMetrics"?: model.StatementsAggregateMetrics;
    "failedConnectionsAggregateMetrics"?: model.FailedConnectionsAggregateMetrics;
}
export declare namespace DatabaseHomeMetricDefinition {
    function getJsonObj(obj: DatabaseHomeMetricDefinition): object;
    function getDeserializedJsonObj(obj: DatabaseHomeMetricDefinition): object;
}
