"use strict";
/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseInstanceHomeMetricsDefinition = void 0;
const model = __importStar(require("../model"));
var DatabaseInstanceHomeMetricsDefinition;
(function (DatabaseInstanceHomeMetricsDefinition) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "activityTimeSeriesMetrics": obj.activityTimeSeriesMetrics
                ? obj.activityTimeSeriesMetrics.map(item => {
                    return model.ActivityTimeSeriesMetrics.getJsonObj(item);
                })
                : undefined,
            "dbTimeAggregateMetrics": obj.dbTimeAggregateMetrics
                ? model.DatabaseTimeAggregateMetrics.getJsonObj(obj.dbTimeAggregateMetrics)
                : undefined,
            "ioAggregateMetrics": obj.ioAggregateMetrics
                ? model.DatabaseIOAggregateMetrics.getJsonObj(obj.ioAggregateMetrics)
                : undefined,
            "memoryAggregateMetrics": obj.memoryAggregateMetrics
                ? model.MemoryAggregateMetrics.getJsonObj(obj.memoryAggregateMetrics)
                : undefined,
            "cpuUtilizationAggregateMetrics": obj.cpuUtilizationAggregateMetrics
                ? model.CpuUtilizationAggregateMetrics.getJsonObj(obj.cpuUtilizationAggregateMetrics)
                : undefined
        });
        return jsonObj;
    }
    DatabaseInstanceHomeMetricsDefinition.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "activityTimeSeriesMetrics": obj.activityTimeSeriesMetrics
                ? obj.activityTimeSeriesMetrics.map(item => {
                    return model.ActivityTimeSeriesMetrics.getDeserializedJsonObj(item);
                })
                : undefined,
            "dbTimeAggregateMetrics": obj.dbTimeAggregateMetrics
                ? model.DatabaseTimeAggregateMetrics.getDeserializedJsonObj(obj.dbTimeAggregateMetrics)
                : undefined,
            "ioAggregateMetrics": obj.ioAggregateMetrics
                ? model.DatabaseIOAggregateMetrics.getDeserializedJsonObj(obj.ioAggregateMetrics)
                : undefined,
            "memoryAggregateMetrics": obj.memoryAggregateMetrics
                ? model.MemoryAggregateMetrics.getDeserializedJsonObj(obj.memoryAggregateMetrics)
                : undefined,
            "cpuUtilizationAggregateMetrics": obj.cpuUtilizationAggregateMetrics
                ? model.CpuUtilizationAggregateMetrics.getDeserializedJsonObj(obj.cpuUtilizationAggregateMetrics)
                : undefined
        });
        return jsonObj;
    }
    DatabaseInstanceHomeMetricsDefinition.getDeserializedJsonObj = getDeserializedJsonObj;
})(DatabaseInstanceHomeMetricsDefinition = exports.DatabaseInstanceHomeMetricsDefinition || (exports.DatabaseInstanceHomeMetricsDefinition = {}));
//# sourceMappingURL=database-instance-home-metrics-definition.js.map