/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The configuration of the Database Management service.
 */
export interface DatabaseManagementConfig {
    /**
     * The status of the Database Management service.
     */
    "databaseManagementStatus": DatabaseManagementConfig.DatabaseManagementStatus;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the external database connector.
     */
    "connectorId"?: string;
    /**
     * The Oracle license model that applies to the external database.
     *
     */
    "licenseModel": DatabaseManagementConfig.LicenseModel;
}
export declare namespace DatabaseManagementConfig {
    enum DatabaseManagementStatus {
        Enabling = "ENABLING",
        Enabled = "ENABLED",
        Disabling = "DISABLING",
        NotEnabled = "NOT_ENABLED",
        FailedEnabling = "FAILED_ENABLING",
        FailedDisabling = "FAILED_DISABLING",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum LicenseModel {
        LicenseIncluded = "LICENSE_INCLUDED",
        BringYourOwnLicense = "BRING_YOUR_OWN_LICENSE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DatabaseManagementConfig): object;
    function getDeserializedJsonObj(obj: DatabaseManagementConfig): object;
}
