/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The result of database parameter update.
 */
export interface DatabaseParameterUpdateStatus {
    /**
     * The status of the parameter update.
     */
    "status"?: DatabaseParameterUpdateStatus.Status;
    /**
     * An error code that defines the failure or {@code null} if the parameter
     * was updated successfully.
     *
     */
    "errorCode"?: string;
    /**
     * The error message indicating the reason for failure or {@code null} if
     * the parameter was updated successfully.
     *
     */
    "errorMessage"?: string;
}
export declare namespace DatabaseParameterUpdateStatus {
    enum Status {
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DatabaseParameterUpdateStatus): object;
    function getDeserializedJsonObj(obj: DatabaseParameterUpdateStatus): object;
}
