/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * User provides a password to be used to connect to the database.
 */
export interface DatabasePasswordCredentialDetails extends model.DatabaseCredentialDetails {
    /**
     * The database user's password encoded using BASE64 scheme.
     */
    "password": string;
    /**
     * The user to connect to the database.
     */
    "username"?: string;
    /**
     * The role of the database user.
     */
    "role"?: DatabasePasswordCredentialDetails.Role;
    "credentialType": string;
}
export declare namespace DatabasePasswordCredentialDetails {
    enum Role {
        Normal = "NORMAL",
        Sysdba = "SYSDBA",
        Sysdg = "SYSDG",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DatabasePasswordCredentialDetails, isParentJsonObj?: boolean): object;
    const credentialType = "PASSWORD";
    function getDeserializedJsonObj(obj: DatabasePasswordCredentialDetails, isParentJsonObj?: boolean): object;
}
