/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The resource allocation directives must all use the share attribute, or they must all use the level and allocation attributes.
 * If you use the share attribute to allocate I/O resources, then the database plan can have a maximum of 1024 directives.
 * If you use the level and allocation attributes to allocate I/O resources, then the database plan can have
 * a maximum of 32 directives.
 * Only one directive is allowed for each database name and each profile name.
 *
 */
export interface DatabasePlan {
    /**
     * A list of DatabasePlanDirectives.
     */
    "items": Array<model.DatabasePlanDirective>;
}
export declare namespace DatabasePlan {
    function getJsonObj(obj: DatabasePlan): object;
    function getDeserializedJsonObj(obj: DatabasePlan): object;
}
