/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The subtype of the Oracle Database. Indicates whether the database is a Container Database,
 * Pluggable Database, Non-container Database, Autonomous Database, or Autonomous Container Database.
 *
 **/
export declare enum DatabaseSubType {
    Cdb = "CDB",
    Pdb = "PDB",
    NonCdb = "NON_CDB",
    Acd = "ACD",
    Adb = "ADB",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace DatabaseSubType {
    function getJsonObj(obj: DatabaseSubType): DatabaseSubType;
    function getDeserializedJsonObj(obj: DatabaseSubType): DatabaseSubType;
}
