/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The metric details of a Database Management resource.
 */
export interface DbManagementAnalyticsMetric {
    /**
     * The name of the metric.
     */
    "metricName"?: string;
    /**
     * The duration of the returned aggregated data in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "durationInSeconds"?: number;
    /**
      * The additional information about the metric.
  * <p>
  Example: {@code \"unit\": \"bytes\"}
  *
      */
    "metadata"?: {
        [key: string]: string;
    };
    /**
     * The qualifiers provided in the definition of the returned metric.
     */
    "dimensions"?: {
        [key: string]: string;
    };
    /**
     * The start time associated with the value of the metric. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "startTimestampInEpochSeconds"?: number;
    /**
     * The mean value of the metric. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "mean"?: number;
}
export declare namespace DbManagementAnalyticsMetric {
    function getJsonObj(obj: DbManagementAnalyticsMetric): object;
    function getDeserializedJsonObj(obj: DbManagementAnalyticsMetric): object;
}
