/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The base Exadata resource.
 */
export interface DbmResource {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Exadata resource.
     */
    "id": string;
    /**
     * The name of the Exadata resource. English letters, numbers, \"-\", \"_\" and \".\" only.
     */
    "displayName": string;
    /**
     * The version of the Exadata resource.
     */
    "version"?: string;
    /**
     * The internal ID of the Exadata resource.
     */
    "internalId"?: string;
    /**
     * The status of the Exadata resource.
     */
    "status"?: string;
    /**
     * The current lifecycle state of the database resource.
     */
    "lifecycleState"?: DbmResource.LifecycleState;
    /**
     * The timestamp of the creation of the Exadata resource.
     */
    "timeCreated"?: Date;
    /**
     * The timestamp of the last update of the Exadata resource.
     */
    "timeUpdated"?: Date;
    /**
     * The details of the lifecycle state of the Exadata resource.
     */
    "lifecycleDetails"?: string;
    /**
     * The additional details of the resource defined in {@code {\"key\": \"value\"}} format.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "additionalDetails"?: {
        [key: string]: string;
    };
    "resourceType": string;
}
export declare namespace DbmResource {
    enum LifecycleState {
        Creating = "CREATING",
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        Updating = "UPDATING",
        Deleting = "DELETING",
        Deleted = "DELETED",
        Failed = "FAILED"
    }
    function getJsonObj(obj: DbmResource): object;
    function getDeserializedJsonObj(obj: DbmResource): object;
}
