/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The connection details and the discovery options for the Exadata discovery.
 */
export interface DiscoverExternalExadataInfrastructureDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId": string;
    /**
     * The type of discovery.
     */
    "discoveryType": DiscoverExternalExadataInfrastructureDetails.DiscoveryType;
    /**
     * The list of the DB system identifiers.
     */
    "dbSystemIds": Array<string>;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Exadata infrastructure. This is applicable for rediscovery only.
     */
    "exadataInfrastructureId"?: string;
}
export declare namespace DiscoverExternalExadataInfrastructureDetails {
    enum DiscoveryType {
        New = "NEW",
        Override = "OVERRIDE"
    }
    function getJsonObj(obj: DiscoverExternalExadataInfrastructureDetails): object;
    function getDeserializedJsonObj(obj: DiscoverExternalExadataInfrastructureDetails): object;
}
