/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of an ASM discovered in an external DB system discovery run.
 */
export interface DiscoveredExternalAsm extends model.DiscoveredExternalDbSystemComponent {
    /**
     * The directory in which ASM is installed. This is the same directory in which Oracle Grid Infrastructure is installed.
     */
    "gridHome"?: string;
    /**
     * Indicates whether Oracle Flex ASM is enabled or not.
     */
    "isFlexEnabled"?: boolean;
    /**
     * The ASM version.
     */
    "version"?: string;
    "asmInstances"?: Array<model.DiscoveredExternalAsmInstance>;
    "connector"?: model.ExternalDbSystemDiscoveryMacsConnector;
    "componentType": string;
}
export declare namespace DiscoveredExternalAsm {
    function getJsonObj(obj: DiscoveredExternalAsm, isParentJsonObj?: boolean): object;
    const componentType = "ASM";
    function getDeserializedJsonObj(obj: DiscoveredExternalAsm, isParentJsonObj?: boolean): object;
}
