"use strict";
/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscoveredExternalCluster = void 0;
const model = __importStar(require("../model"));
var DiscoveredExternalCluster;
(function (DiscoveredExternalCluster) {
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.DiscoveredExternalDbSystemComponent.getJsonObj(obj))), {
            "networkConfigurations": obj.networkConfigurations
                ? obj.networkConfigurations.map(item => {
                    return model.ExternalClusterNetworkConfiguration.getJsonObj(item);
                })
                : undefined,
            "vipConfigurations": obj.vipConfigurations
                ? obj.vipConfigurations.map(item => {
                    return model.ExternalClusterVipConfiguration.getJsonObj(item);
                })
                : undefined,
            "scanConfigurations": obj.scanConfigurations
                ? obj.scanConfigurations.map(item => {
                    return model.ExternalClusterScanListenerConfiguration.getJsonObj(item);
                })
                : undefined,
            "clusterInstances": obj.clusterInstances
                ? obj.clusterInstances.map(item => {
                    return model.DiscoveredExternalClusterInstance.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    DiscoveredExternalCluster.getJsonObj = getJsonObj;
    DiscoveredExternalCluster.componentType = "CLUSTER";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.DiscoveredExternalDbSystemComponent.getDeserializedJsonObj(obj))), {
            "networkConfigurations": obj.networkConfigurations
                ? obj.networkConfigurations.map(item => {
                    return model.ExternalClusterNetworkConfiguration.getDeserializedJsonObj(item);
                })
                : undefined,
            "vipConfigurations": obj.vipConfigurations
                ? obj.vipConfigurations.map(item => {
                    return model.ExternalClusterVipConfiguration.getDeserializedJsonObj(item);
                })
                : undefined,
            "scanConfigurations": obj.scanConfigurations
                ? obj.scanConfigurations.map(item => {
                    return model.ExternalClusterScanListenerConfiguration.getDeserializedJsonObj(item);
                })
                : undefined,
            "clusterInstances": obj.clusterInstances
                ? obj.clusterInstances.map(item => {
                    return model.DiscoveredExternalClusterInstance.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    DiscoveredExternalCluster.getDeserializedJsonObj = getDeserializedJsonObj;
})(DiscoveredExternalCluster = exports.DiscoveredExternalCluster || (exports.DiscoveredExternalCluster = {}));
//# sourceMappingURL=discovered-external-cluster.js.map