/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of an Oracle DB node discovered in an external DB system discovery run.
 */
export interface DiscoveredExternalDbNode extends model.DiscoveredExternalDbSystemComponent {
    /**
     * The name of the host on which the ASM instance is running.
     */
    "hostName": string;
    /**
     * The number of CPU cores available on the DB node. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "cpuCoreCount"?: number;
    /**
     * The total memory in gigabytes (GB) on the DB node. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memorySizeInGBs"?: number;
    "connector"?: model.ExternalDbSystemDiscoveryMacsConnector;
    "componentType": string;
}
export declare namespace DiscoveredExternalDbNode {
    function getJsonObj(obj: DiscoveredExternalDbNode, isParentJsonObj?: boolean): object;
    const componentType = "DATABASE_NODE";
    function getDeserializedJsonObj(obj: DiscoveredExternalDbNode, isParentJsonObj?: boolean): object;
}
