/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to drop SQL plan baselines.
 * It takes either credentials or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface DropSqlPlanBaselinesDetails {
    /**
     * The SQL statement handle. It identifies plans associated with a SQL statement
     * that are to be dropped. If {@code null} then {@code planName} must be specified.
     *
     */
    "sqlHandle"?: string;
    /**
     * The plan name. It identifies a specific plan. If {@code null' then all plans
     * associated with the SQL statement identified by }sqlHandle' are dropped.
     *
     */
    "planName"?: string;
    "credentials"?: model.ManagedDatabasePasswordCredential | model.ManagedDatabaseSecretCredential;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
}
export declare namespace DropSqlPlanBaselinesDetails {
    function getJsonObj(obj: DropSqlPlanBaselinesDetails): object;
    function getDeserializedJsonObj(obj: DropSqlPlanBaselinesDetails): object;
}
