/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to drop a tablespace.
 * It takes either credentialDetails or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface DropTablespaceDetails {
    "credentialDetails"?: model.TablespaceAdminPasswordCredentialDetails | model.TablespaceAdminSecretCredentialDetails;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
    /**
     * Specifies whether all the contents of the tablespace being dropped should be dropped.
     *
     */
    "isIncludingContents"?: boolean;
    /**
     * Specifies whether all the associated data files of the tablespace being dropped should be dropped.
     *
     */
    "isDroppingDataFiles"?: boolean;
    /**
     * Specifies whether all the constraints on the tablespace being dropped should be dropped.
     *
     */
    "isCascadeConstraints"?: boolean;
}
export declare namespace DropTablespaceDetails {
    function getJsonObj(obj: DropTablespaceDetails): object;
    function getDeserializedJsonObj(obj: DropTablespaceDetails): object;
}
