"use strict";
/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntityDiscovered = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var EntityDiscovered;
(function (EntityDiscovered) {
    let DiscoverStatus;
    (function (DiscoverStatus) {
        DiscoverStatus["PrevDiscovered"] = "PREV_DISCOVERED";
        DiscoverStatus["NewDiscovered"] = "NEW_DISCOVERED";
        DiscoverStatus["NotFound"] = "NOT_FOUND";
        DiscoverStatus["Discovering"] = "DISCOVERING";
    })(DiscoverStatus = EntityDiscovered.DiscoverStatus || (EntityDiscovered.DiscoverStatus = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "entityType" in obj && obj.entityType) {
            switch (obj.entityType) {
                case "STORAGE_GRID_DISCOVER_SUMMARY":
                    return model.ExternalStorageGridDiscoverySummary.getJsonObj(jsonObj, true);
                case "INFRASTRUCTURE_DISCOVER":
                    return model.ExternalExadataInfrastructureDiscovery.getJsonObj(jsonObj, true);
                case "DATABASE_SYSTEM_DISCOVER_SUMMARY":
                    return model.ExternalDatabaseSystemDiscoverySummary.getJsonObj(jsonObj, true);
                case "INFRASTRUCTURE_DISCOVER_SUMMARY":
                    return model.ExternalExadataInfrastructureDiscoverySummary.getJsonObj(jsonObj, true);
                case "STORAGE_SERVER_DISCOVER_SUMMARY":
                    return model.ExternalStorageServerDiscoverySummary.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.entityType}`);
            }
        }
        return jsonObj;
    }
    EntityDiscovered.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "entityType" in obj && obj.entityType) {
            switch (obj.entityType) {
                case "STORAGE_GRID_DISCOVER_SUMMARY":
                    return model.ExternalStorageGridDiscoverySummary.getDeserializedJsonObj(jsonObj, true);
                case "INFRASTRUCTURE_DISCOVER":
                    return model.ExternalExadataInfrastructureDiscovery.getDeserializedJsonObj(jsonObj, true);
                case "DATABASE_SYSTEM_DISCOVER_SUMMARY":
                    return model.ExternalDatabaseSystemDiscoverySummary.getDeserializedJsonObj(jsonObj, true);
                case "INFRASTRUCTURE_DISCOVER_SUMMARY":
                    return model.ExternalExadataInfrastructureDiscoverySummary.getDeserializedJsonObj(jsonObj, true);
                case "STORAGE_SERVER_DISCOVER_SUMMARY":
                    return model.ExternalStorageServerDiscoverySummary.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.entityType}`);
            }
        }
        return jsonObj;
    }
    EntityDiscovered.getDeserializedJsonObj = getDeserializedJsonObj;
})(EntityDiscovered = exports.EntityDiscovered || (exports.EntityDiscovered = {}));
//# sourceMappingURL=entity-discovered.js.map