/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The summary of an external ASM disk group.
 */
export interface ExternalAsmDiskGroupSummary {
    /**
     * The name of the ASM disk group.
     */
    "name": string;
    /**
     * The number of ASM instances that have the disk group in mounted state. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "mountingInstanceCount"?: number;
    /**
     * The number of ASM instances that have the disk group in dismounted state. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dismountingInstanceCount"?: number;
    /**
     * The redundancy type of the disk group.
     */
    "redundancyType"?: ExternalAsmDiskGroupSummary.RedundancyType;
    /**
     * Indicates whether the disk group is a sparse disk group or not.
     */
    "isSparse"?: boolean;
    /**
     * The unique names of the databases using the disk group.
     */
    "databases"?: Array<string>;
    /**
     * The total capacity of the disk group (in megabytes). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalSizeInMBs"?: number;
    /**
     * The used capacity of the disk group (in megabytes). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "usedSizeInMBs"?: number;
    /**
     * The percentage of used space in the disk group. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "usedPercent"?: number;
}
export declare namespace ExternalAsmDiskGroupSummary {
    enum RedundancyType {
        Extend = "EXTEND",
        Extern = "EXTERN",
        Flex = "FLEX",
        High = "HIGH",
        Normal = "NORMAL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ExternalAsmDiskGroupSummary): object;
    function getDeserializedJsonObj(obj: ExternalAsmDiskGroupSummary): object;
}
