/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The initialization parameters for an ASM instance.
 */
export interface ExternalAsmInstanceParameters {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the external ASM instance.
     */
    "asmInstanceId": string;
    /**
     * The user-friendly name for the ASM instance. The name does not have to be unique.
     */
    "asmInstanceDisplayName": string;
    /**
     * An operating system-dependent value used to limit the set of disks considered for discovery.
     *
     */
    "diskDiscoveryPath": string;
    /**
     * The list of disk group names that an ASM instance mounts at startup or when the {@code ALTER DISKGROUP ALL MOUNT} statement is issued.
     *
     */
    "autoMountDiskGroups": Array<string>;
    /**
     * The maximum power on an ASM instance for disk rebalancing.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rebalancePower": number;
    /**
     * The list of failure groups that contain preferred read disks.
     */
    "preferredReadFailureGroups": Array<string>;
}
export declare namespace ExternalAsmInstanceParameters {
    function getJsonObj(obj: ExternalAsmInstanceParameters): object;
    function getDeserializedJsonObj(obj: ExternalAsmInstanceParameters): object;
}
