/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to connect to an external Oracle Database.
 * It takes either connectionCredentials or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface ExternalDatabaseConnectionInfo extends model.ExternalDbSystemConnectionInfo {
    "connectionString": model.DatabaseConnectionString;
    "connectionCredentials"?: model.DatabaseConnectionCredentailsByName | model.DatabaseSslConnectionCredentials | model.DatabaseConnectionCredentialsByDetails;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
    "componentType": string;
}
export declare namespace ExternalDatabaseConnectionInfo {
    function getJsonObj(obj: ExternalDatabaseConnectionInfo, isParentJsonObj?: boolean): object;
    const componentType = "DATABASE";
    function getDeserializedJsonObj(obj: ExternalDatabaseConnectionInfo, isParentJsonObj?: boolean): object;
}
