/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of the DB system discovery.
 */
export interface ExternalDatabaseSystemDiscoverySummary extends model.EntityDiscovered {
    /**
     * The Oracle home path.
     */
    "oracleHome"?: string;
    /**
     * The display name of the ASM connector.
     */
    "asmConnectorName"?: string;
    /**
     * The Oracle license model that applies to the database management resources.
     *
     */
    "licenseModel"?: ExternalDatabaseSystemDiscoverySummary.LicenseModel;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId"?: string;
    "entityType": string;
}
export declare namespace ExternalDatabaseSystemDiscoverySummary {
    enum LicenseModel {
        LicenseIncluded = "LICENSE_INCLUDED",
        BringYourOwnLicense = "BRING_YOUR_OWN_LICENSE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ExternalDatabaseSystemDiscoverySummary, isParentJsonObj?: boolean): object;
    const entityType = "DATABASE_SYSTEM_DISCOVER_SUMMARY";
    function getDeserializedJsonObj(obj: ExternalDatabaseSystemDiscoverySummary, isParentJsonObj?: boolean): object;
}
