/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The connector details used to connect to the external DB system component.
 */
export interface ExternalDbSystemDiscoveryConnector {
    /**
     * The user-friendly name for the external connector. The name does not have to be unique.
     */
    "displayName": string;
    /**
     * The status of connectivity to the external DB system component.
     */
    "connectionStatus"?: string;
    /**
     * The error message indicating the reason for connection failure or {@code null} if
     * the connection was successful.
     *
     */
    "connectionFailureMessage"?: string;
    /**
     * The date and time the connectionStatus of the external DB system connector was last updated.
     */
    "timeConnectionStatusLastUpdated"?: Date;
    "connectorType": string;
}
export declare namespace ExternalDbSystemDiscoveryConnector {
    function getJsonObj(obj: ExternalDbSystemDiscoveryConnector): object;
    function getDeserializedJsonObj(obj: ExternalDbSystemDiscoveryConnector): object;
}
