/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of the Exadata storage server discovery.
 */
export interface ExternalStorageServerDiscoverySummary extends model.EntityDiscovered {
    /**
     * The IP address of the Exadata storage server.
     */
    "ipAddress"?: string;
    /**
     * The make model of the Exadata storage server.
     */
    "makeModel"?: string;
    /**
     * The CPU count of the Exadata storage server. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "cpuCount"?: number;
    /**
     * The memory size in GB of the Exadata storage server. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryGB"?: number;
    /**
     * The name of the Exadata storage server connector in case of rediscovery.
     */
    "connectorName"?: string;
    "entityType": string;
}
export declare namespace ExternalStorageServerDiscoverySummary {
    function getJsonObj(obj: ExternalStorageServerDiscoverySummary, isParentJsonObj?: boolean): object;
    const entityType = "STORAGE_SERVER_DISCOVER_SUMMARY";
    function getDeserializedJsonObj(obj: ExternalStorageServerDiscoverySummary, isParentJsonObj?: boolean): object;
}
