/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of the inventory count grouped by database type and subtype, and the metrics that
 * describe the aggregated usage of CPU, storage, and so on of all the databases in the fleet.
 *
 */
export interface FleetSummary {
    /**
     * A list of databases present in the fleet and their usage metrics.
     */
    "aggregatedMetrics"?: Array<model.FleetMetricSummaryDefinition>;
    /**
     * A list of the databases in the fleet, grouped by database type and subtype.
     */
    "inventory"?: Array<model.FleetStatusByCategory>;
}
export declare namespace FleetSummary {
    function getJsonObj(obj: FleetSummary): object;
    function getDeserializedJsonObj(obj: FleetSummary): object;
}
