/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The number of HeatWave clusters in the fleet, grouped by shape and Lakehouse-enabled status.
 */
export interface HeatWaveFleetByCategory {
    /**
     * The name of the HeatWave fleet category.
     */
    "name": string;
    /**
     * The value of the HeatWave fleet category.
     */
    "value": string;
    /**
     * The number of matching HeatWave clusters. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count": number;
}
export declare namespace HeatWaveFleetByCategory {
    function getJsonObj(obj: HeatWaveFleetByCategory): object;
    function getDeserializedJsonObj(obj: HeatWaveFleetByCategory): object;
}
