/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the HeatWave cluster fleet health metrics.
 */
export interface HeatWaveFleetMetrics {
    /**
     * The beginning of the time range during which metric data is retrieved.
     */
    "startTime": string;
    /**
     * The end of the time range during which metric data is retrieved.
     */
    "endTime": string;
    /**
     * The list of HeatWave clusters in the fleet and their usage metrics.
     */
    "fleetClusters": Array<model.HeatWaveClusterUsageMetrics>;
    /**
     * The number of HeatWave clusters in the fleet and a summary of the metrics that provide the aggregated usage of CPU, storage, and so on of all the clusters.
     */
    "fleetSummary": Array<model.HeatWaveFleetSummary>;
}
export declare namespace HeatWaveFleetMetrics {
    function getJsonObj(obj: HeatWaveFleetMetrics): object;
    function getDeserializedJsonObj(obj: HeatWaveFleetMetrics): object;
}
