/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActivityTimeSeriesMetrics from "./activity-time-series-metrics";
export import ActivityTimeSeriesMetrics = ActivityTimeSeriesMetrics.ActivityTimeSeriesMetrics;
import * as AddDataFilesDetails from "./add-data-files-details";
export import AddDataFilesDetails = AddDataFilesDetails.AddDataFilesDetails;
import * as AddManagedDatabaseToManagedDatabaseGroupDetails from "./add-managed-database-to-managed-database-group-details";
export import AddManagedDatabaseToManagedDatabaseGroupDetails = AddManagedDatabaseToManagedDatabaseGroupDetails.AddManagedDatabaseToManagedDatabaseGroupDetails;
import * as AddmTaskSummary from "./addm-task-summary";
export import AddmTaskSummary = AddmTaskSummary.AddmTaskSummary;
import * as AddmTasksCollection from "./addm-tasks-collection";
export import AddmTasksCollection = AddmTasksCollection.AddmTasksCollection;
import * as AdvisorRule from "./advisor-rule";
export import AdvisorRule = AdvisorRule.AdvisorRule;
import * as AlertLogCollection from "./alert-log-collection";
export import AlertLogCollection = AlertLogCollection.AlertLogCollection;
import * as AlertLogCountSummary from "./alert-log-count-summary";
export import AlertLogCountSummary = AlertLogCountSummary.AlertLogCountSummary;
import * as AlertLogCountsCollection from "./alert-log-counts-collection";
export import AlertLogCountsCollection = AlertLogCountsCollection.AlertLogCountsCollection;
import * as AlertLogSummary from "./alert-log-summary";
export import AlertLogSummary = AlertLogSummary.AlertLogSummary;
import * as AlertSeverityEnum from "./alert-severity-enum";
export import AlertSeverityEnum = AlertSeverityEnum.AlertSeverityEnum;
import * as AlertTypeEnum from "./alert-type-enum";
export import AlertTypeEnum = AlertTypeEnum.AlertTypeEnum;
import * as AllowedParameterValue from "./allowed-parameter-value";
export import AllowedParameterValue = AllowedParameterValue.AllowedParameterValue;
import * as AsmConnectionCredentials from "./asm-connection-credentials";
export import AsmConnectionCredentials = AsmConnectionCredentials.AsmConnectionCredentials;
import * as AsmConnectionString from "./asm-connection-string";
export import AsmConnectionString = AsmConnectionString.AsmConnectionString;
import * as AsmProperty from "./asm-property";
export import AsmProperty = AsmProperty.AsmProperty;
import * as AsmPropertyCollection from "./asm-property-collection";
export import AsmPropertyCollection = AsmPropertyCollection.AsmPropertyCollection;
import * as AsmPropertySummary from "./asm-property-summary";
export import AsmPropertySummary = AsmPropertySummary.AsmPropertySummary;
import * as AssociatedComponent from "./associated-component";
export import AssociatedComponent = AssociatedComponent.AssociatedComponent;
import * as AssociatedDatabaseCollection from "./associated-database-collection";
export import AssociatedDatabaseCollection = AssociatedDatabaseCollection.AssociatedDatabaseCollection;
import * as AssociatedDatabaseSummary from "./associated-database-summary";
export import AssociatedDatabaseSummary = AssociatedDatabaseSummary.AssociatedDatabaseSummary;
import * as AssociatedServiceDetails from "./associated-service-details";
export import AssociatedServiceDetails = AssociatedServiceDetails.AssociatedServiceDetails;
import * as AttentionLogCollection from "./attention-log-collection";
export import AttentionLogCollection = AttentionLogCollection.AttentionLogCollection;
import * as AttentionLogCountSummary from "./attention-log-count-summary";
export import AttentionLogCountSummary = AttentionLogCountSummary.AttentionLogCountSummary;
import * as AttentionLogCountsCollection from "./attention-log-counts-collection";
export import AttentionLogCountsCollection = AttentionLogCountsCollection.AttentionLogCountsCollection;
import * as AttentionLogSummary from "./attention-log-summary";
export import AttentionLogSummary = AttentionLogSummary.AttentionLogSummary;
import * as AutomaticCaptureFilter from "./automatic-capture-filter";
export import AutomaticCaptureFilter = AutomaticCaptureFilter.AutomaticCaptureFilter;
import * as AutomaticCaptureFilterDetails from "./automatic-capture-filter-details";
export import AutomaticCaptureFilterDetails = AutomaticCaptureFilterDetails.AutomaticCaptureFilterDetails;
import * as AwrDbCpuUsageSummary from "./awr-db-cpu-usage-summary";
export import AwrDbCpuUsageSummary = AwrDbCpuUsageSummary.AwrDbCpuUsageSummary;
import * as AwrDbMetricSummary from "./awr-db-metric-summary";
export import AwrDbMetricSummary = AwrDbMetricSummary.AwrDbMetricSummary;
import * as AwrDbParameterChangeSummary from "./awr-db-parameter-change-summary";
export import AwrDbParameterChangeSummary = AwrDbParameterChangeSummary.AwrDbParameterChangeSummary;
import * as AwrDbParameterSummary from "./awr-db-parameter-summary";
export import AwrDbParameterSummary = AwrDbParameterSummary.AwrDbParameterSummary;
import * as AwrDbSnapshotRangeSummary from "./awr-db-snapshot-range-summary";
export import AwrDbSnapshotRangeSummary = AwrDbSnapshotRangeSummary.AwrDbSnapshotRangeSummary;
import * as AwrDbSnapshotSummary from "./awr-db-snapshot-summary";
export import AwrDbSnapshotSummary = AwrDbSnapshotSummary.AwrDbSnapshotSummary;
import * as AwrDbSummary from "./awr-db-summary";
export import AwrDbSummary = AwrDbSummary.AwrDbSummary;
import * as AwrDbSysstatSummary from "./awr-db-sysstat-summary";
export import AwrDbSysstatSummary = AwrDbSysstatSummary.AwrDbSysstatSummary;
import * as AwrDbTopWaitEventSummary from "./awr-db-top-wait-event-summary";
export import AwrDbTopWaitEventSummary = AwrDbTopWaitEventSummary.AwrDbTopWaitEventSummary;
import * as AwrDbWaitEventBucketSummary from "./awr-db-wait-event-bucket-summary";
export import AwrDbWaitEventBucketSummary = AwrDbWaitEventBucketSummary.AwrDbWaitEventBucketSummary;
import * as AwrDbWaitEventSummary from "./awr-db-wait-event-summary";
export import AwrDbWaitEventSummary = AwrDbWaitEventSummary.AwrDbWaitEventSummary;
import * as AwrQueryResult from "./awr-query-result";
export import AwrQueryResult = AwrQueryResult.AwrQueryResult;
import * as ChangeDatabaseParameterDetails from "./change-database-parameter-details";
export import ChangeDatabaseParameterDetails = ChangeDatabaseParameterDetails.ChangeDatabaseParameterDetails;
import * as ChangeDatabaseParametersDetails from "./change-database-parameters-details";
export import ChangeDatabaseParametersDetails = ChangeDatabaseParametersDetails.ChangeDatabaseParametersDetails;
import * as ChangeDbManagementPrivateEndpointCompartmentDetails from "./change-db-management-private-endpoint-compartment-details";
export import ChangeDbManagementPrivateEndpointCompartmentDetails = ChangeDbManagementPrivateEndpointCompartmentDetails.ChangeDbManagementPrivateEndpointCompartmentDetails;
import * as ChangeExternalDbSystemCompartmentDetails from "./change-external-db-system-compartment-details";
export import ChangeExternalDbSystemCompartmentDetails = ChangeExternalDbSystemCompartmentDetails.ChangeExternalDbSystemCompartmentDetails;
import * as ChangeExternalExadataInfrastructureCompartmentDetails from "./change-external-exadata-infrastructure-compartment-details";
export import ChangeExternalExadataInfrastructureCompartmentDetails = ChangeExternalExadataInfrastructureCompartmentDetails.ChangeExternalExadataInfrastructureCompartmentDetails;
import * as ChangeJobCompartmentDetails from "./change-job-compartment-details";
export import ChangeJobCompartmentDetails = ChangeJobCompartmentDetails.ChangeJobCompartmentDetails;
import * as ChangeManagedDatabaseGroupCompartmentDetails from "./change-managed-database-group-compartment-details";
export import ChangeManagedDatabaseGroupCompartmentDetails = ChangeManagedDatabaseGroupCompartmentDetails.ChangeManagedDatabaseGroupCompartmentDetails;
import * as ChangeNamedCredentialCompartmentDetails from "./change-named-credential-compartment-details";
export import ChangeNamedCredentialCompartmentDetails = ChangeNamedCredentialCompartmentDetails.ChangeNamedCredentialCompartmentDetails;
import * as ChangePlanRetentionDetails from "./change-plan-retention-details";
export import ChangePlanRetentionDetails = ChangePlanRetentionDetails.ChangePlanRetentionDetails;
import * as ChangeSpaceBudgetDetails from "./change-space-budget-details";
export import ChangeSpaceBudgetDetails = ChangeSpaceBudgetDetails.ChangeSpaceBudgetDetails;
import * as ChangeSqlPlanBaselinesAttributesDetails from "./change-sql-plan-baselines-attributes-details";
export import ChangeSqlPlanBaselinesAttributesDetails = ChangeSqlPlanBaselinesAttributesDetails.ChangeSqlPlanBaselinesAttributesDetails;
import * as ChildDatabase from "./child-database";
export import ChildDatabase = ChildDatabase.ChildDatabase;
import * as CloneSqlTuningTaskDetails from "./clone-sql-tuning-task-details";
export import CloneSqlTuningTaskDetails = CloneSqlTuningTaskDetails.CloneSqlTuningTaskDetails;
import * as ClusterCacheMetric from "./cluster-cache-metric";
export import ClusterCacheMetric = ClusterCacheMetric.ClusterCacheMetric;
import * as CompareType from "./compare-type";
export import CompareType = CompareType.CompareType;
import * as ConfigureAutomaticCaptureFiltersDetails from "./configure-automatic-capture-filters-details";
export import ConfigureAutomaticCaptureFiltersDetails = ConfigureAutomaticCaptureFiltersDetails.ConfigureAutomaticCaptureFiltersDetails;
import * as ConfigureAutomaticSpmEvolveAdvisorTaskDetails from "./configure-automatic-spm-evolve-advisor-task-details";
export import ConfigureAutomaticSpmEvolveAdvisorTaskDetails = ConfigureAutomaticSpmEvolveAdvisorTaskDetails.ConfigureAutomaticSpmEvolveAdvisorTaskDetails;
import * as ConnectorDetails from "./connector-details";
export import ConnectorDetails = ConnectorDetails.ConnectorDetails;
import * as ConsumerGroupPrivilegeCollection from "./consumer-group-privilege-collection";
export import ConsumerGroupPrivilegeCollection = ConsumerGroupPrivilegeCollection.ConsumerGroupPrivilegeCollection;
import * as ConsumerGroupPrivilegeSummary from "./consumer-group-privilege-summary";
export import ConsumerGroupPrivilegeSummary = ConsumerGroupPrivilegeSummary.ConsumerGroupPrivilegeSummary;
import * as CpuUtilizationAggregateMetrics from "./cpu-utilization-aggregate-metrics";
export import CpuUtilizationAggregateMetrics = CpuUtilizationAggregateMetrics.CpuUtilizationAggregateMetrics;
import * as CreateDbManagementPrivateEndpointDetails from "./create-db-management-private-endpoint-details";
export import CreateDbManagementPrivateEndpointDetails = CreateDbManagementPrivateEndpointDetails.CreateDbManagementPrivateEndpointDetails;
import * as CreateExternalDbSystemConnectorDetails from "./create-external-db-system-connector-details";
export import CreateExternalDbSystemConnectorDetails = CreateExternalDbSystemConnectorDetails.CreateExternalDbSystemConnectorDetails;
import * as CreateExternalDbSystemDetails from "./create-external-db-system-details";
export import CreateExternalDbSystemDetails = CreateExternalDbSystemDetails.CreateExternalDbSystemDetails;
import * as CreateExternalDbSystemDiscoveryDetails from "./create-external-db-system-discovery-details";
export import CreateExternalDbSystemDiscoveryDetails = CreateExternalDbSystemDiscoveryDetails.CreateExternalDbSystemDiscoveryDetails;
import * as CreateExternalExadataInfrastructureDetails from "./create-external-exadata-infrastructure-details";
export import CreateExternalExadataInfrastructureDetails = CreateExternalExadataInfrastructureDetails.CreateExternalExadataInfrastructureDetails;
import * as CreateExternalExadataStorageConnectorDetails from "./create-external-exadata-storage-connector-details";
export import CreateExternalExadataStorageConnectorDetails = CreateExternalExadataStorageConnectorDetails.CreateExternalExadataStorageConnectorDetails;
import * as CreateJobDetails from "./create-job-details";
export import CreateJobDetails = CreateJobDetails.CreateJobDetails;
import * as CreateManagedDatabaseGroupDetails from "./create-managed-database-group-details";
export import CreateManagedDatabaseGroupDetails = CreateManagedDatabaseGroupDetails.CreateManagedDatabaseGroupDetails;
import * as CreateNamedCredentialDetails from "./create-named-credential-details";
export import CreateNamedCredentialDetails = CreateNamedCredentialDetails.CreateNamedCredentialDetails;
import * as CreateSqlTuningSetDetails from "./create-sql-tuning-set-details";
export import CreateSqlTuningSetDetails = CreateSqlTuningSetDetails.CreateSqlTuningSetDetails;
import * as CreateTablespaceDetails from "./create-tablespace-details";
export import CreateTablespaceDetails = CreateTablespaceDetails.CreateTablespaceDetails;
import * as CursorCacheStatementCollection from "./cursor-cache-statement-collection";
export import CursorCacheStatementCollection = CursorCacheStatementCollection.CursorCacheStatementCollection;
import * as CursorCacheStatementSummary from "./cursor-cache-statement-summary";
export import CursorCacheStatementSummary = CursorCacheStatementSummary.CursorCacheStatementSummary;
import * as DataAccessContainerCollection from "./data-access-container-collection";
export import DataAccessContainerCollection = DataAccessContainerCollection.DataAccessContainerCollection;
import * as DataAccessContainerSummary from "./data-access-container-summary";
export import DataAccessContainerSummary = DataAccessContainerSummary.DataAccessContainerSummary;
import * as DataPoints from "./data-points";
export import DataPoints = DataPoints.DataPoints;
import * as DatabaseConnectionCredentials from "./database-connection-credentials";
export import DatabaseConnectionCredentials = DatabaseConnectionCredentials.DatabaseConnectionCredentials;
import * as DatabaseConnectionDetails from "./database-connection-details";
export import DatabaseConnectionDetails = DatabaseConnectionDetails.DatabaseConnectionDetails;
import * as DatabaseConnectionString from "./database-connection-string";
export import DatabaseConnectionString = DatabaseConnectionString.DatabaseConnectionString;
import * as DatabaseConnectionStringDetails from "./database-connection-string-details";
export import DatabaseConnectionStringDetails = DatabaseConnectionStringDetails.DatabaseConnectionStringDetails;
import * as DatabaseCredentialDetails from "./database-credential-details";
export import DatabaseCredentialDetails = DatabaseCredentialDetails.DatabaseCredentialDetails;
import * as DatabaseCredentials from "./database-credentials";
export import DatabaseCredentials = DatabaseCredentials.DatabaseCredentials;
import * as DatabaseFeatureConfiguration from "./database-feature-configuration";
export import DatabaseFeatureConfiguration = DatabaseFeatureConfiguration.DatabaseFeatureConfiguration;
import * as DatabaseFeatureDetails from "./database-feature-details";
export import DatabaseFeatureDetails = DatabaseFeatureDetails.DatabaseFeatureDetails;
import * as DatabaseFleetHealthMetrics from "./database-fleet-health-metrics";
export import DatabaseFleetHealthMetrics = DatabaseFleetHealthMetrics.DatabaseFleetHealthMetrics;
import * as DatabaseHomeMetricDefinition from "./database-home-metric-definition";
export import DatabaseHomeMetricDefinition = DatabaseHomeMetricDefinition.DatabaseHomeMetricDefinition;
import * as DatabaseHomeMetrics from "./database-home-metrics";
export import DatabaseHomeMetrics = DatabaseHomeMetrics.DatabaseHomeMetrics;
import * as DatabaseIOAggregateMetrics from "./database-io-aggregate-metrics";
export import DatabaseIOAggregateMetrics = DatabaseIOAggregateMetrics.DatabaseIOAggregateMetrics;
import * as DatabaseInstanceHomeMetricsDefinition from "./database-instance-home-metrics-definition";
export import DatabaseInstanceHomeMetricsDefinition = DatabaseInstanceHomeMetricsDefinition.DatabaseInstanceHomeMetricsDefinition;
import * as DatabaseManagementConfig from "./database-management-config";
export import DatabaseManagementConfig = DatabaseManagementConfig.DatabaseManagementConfig;
import * as DatabaseParameterSummary from "./database-parameter-summary";
export import DatabaseParameterSummary = DatabaseParameterSummary.DatabaseParameterSummary;
import * as DatabaseParameterUpdateStatus from "./database-parameter-update-status";
export import DatabaseParameterUpdateStatus = DatabaseParameterUpdateStatus.DatabaseParameterUpdateStatus;
import * as DatabaseParametersCollection from "./database-parameters-collection";
export import DatabaseParametersCollection = DatabaseParametersCollection.DatabaseParametersCollection;
import * as DatabasePlan from "./database-plan";
export import DatabasePlan = DatabasePlan.DatabasePlan;
import * as DatabasePlanDirective from "./database-plan-directive";
export import DatabasePlanDirective = DatabasePlanDirective.DatabasePlanDirective;
import * as DatabasePlanRoleEnum from "./database-plan-role-enum";
export import DatabasePlanRoleEnum = DatabasePlanRoleEnum.DatabasePlanRoleEnum;
import * as DatabasePlanTypeEnum from "./database-plan-type-enum";
export import DatabasePlanTypeEnum = DatabasePlanTypeEnum.DatabasePlanTypeEnum;
import * as DatabaseStatus from "./database-status";
export import DatabaseStatus = DatabaseStatus.DatabaseStatus;
import * as DatabaseStorageAggregateMetrics from "./database-storage-aggregate-metrics";
export import DatabaseStorageAggregateMetrics = DatabaseStorageAggregateMetrics.DatabaseStorageAggregateMetrics;
import * as DatabaseSubType from "./database-sub-type";
export import DatabaseSubType = DatabaseSubType.DatabaseSubType;
import * as DatabaseTimeAggregateMetrics from "./database-time-aggregate-metrics";
export import DatabaseTimeAggregateMetrics = DatabaseTimeAggregateMetrics.DatabaseTimeAggregateMetrics;
import * as DatabaseType from "./database-type";
export import DatabaseType = DatabaseType.DatabaseType;
import * as DatabaseUsageMetrics from "./database-usage-metrics";
export import DatabaseUsageMetrics = DatabaseUsageMetrics.DatabaseUsageMetrics;
import * as Datafile from "./datafile";
export import Datafile = Datafile.Datafile;
import * as DataguardPerformanceMetrics from "./dataguard-performance-metrics";
export import DataguardPerformanceMetrics = DataguardPerformanceMetrics.DataguardPerformanceMetrics;
import * as DbManagementAnalyticsMetric from "./db-management-analytics-metric";
export import DbManagementAnalyticsMetric = DbManagementAnalyticsMetric.DbManagementAnalyticsMetric;
import * as DbManagementFeature from "./db-management-feature";
export import DbManagementFeature = DbManagementFeature.DbManagementFeature;
import * as DbManagementPrivateEndpoint from "./db-management-private-endpoint";
export import DbManagementPrivateEndpoint = DbManagementPrivateEndpoint.DbManagementPrivateEndpoint;
import * as DbManagementPrivateEndpointCollection from "./db-management-private-endpoint-collection";
export import DbManagementPrivateEndpointCollection = DbManagementPrivateEndpointCollection.DbManagementPrivateEndpointCollection;
import * as DbManagementPrivateEndpointSummary from "./db-management-private-endpoint-summary";
export import DbManagementPrivateEndpointSummary = DbManagementPrivateEndpointSummary.DbManagementPrivateEndpointSummary;
import * as DbRole from "./db-role";
export import DbRole = DbRole.DbRole;
import * as DbmResource from "./dbm-resource";
export import DbmResource = DbmResource.DbmResource;
import * as DeploymentType from "./deployment-type";
export import DeploymentType = DeploymentType.DeploymentType;
import * as DisableAutomaticInitialPlanCaptureDetails from "./disable-automatic-initial-plan-capture-details";
export import DisableAutomaticInitialPlanCaptureDetails = DisableAutomaticInitialPlanCaptureDetails.DisableAutomaticInitialPlanCaptureDetails;
import * as DisableAutomaticSpmEvolveAdvisorTaskDetails from "./disable-automatic-spm-evolve-advisor-task-details";
export import DisableAutomaticSpmEvolveAdvisorTaskDetails = DisableAutomaticSpmEvolveAdvisorTaskDetails.DisableAutomaticSpmEvolveAdvisorTaskDetails;
import * as DisableDatabaseManagementFeatureDetails from "./disable-database-management-feature-details";
export import DisableDatabaseManagementFeatureDetails = DisableDatabaseManagementFeatureDetails.DisableDatabaseManagementFeatureDetails;
import * as DisableExternalContainerDatabaseManagementFeatureDetails from "./disable-external-container-database-management-feature-details";
export import DisableExternalContainerDatabaseManagementFeatureDetails = DisableExternalContainerDatabaseManagementFeatureDetails.DisableExternalContainerDatabaseManagementFeatureDetails;
import * as DisableExternalNonContainerDatabaseManagementFeatureDetails from "./disable-external-non-container-database-management-feature-details";
export import DisableExternalNonContainerDatabaseManagementFeatureDetails = DisableExternalNonContainerDatabaseManagementFeatureDetails.DisableExternalNonContainerDatabaseManagementFeatureDetails;
import * as DisableExternalPluggableDatabaseManagementFeatureDetails from "./disable-external-pluggable-database-management-feature-details";
export import DisableExternalPluggableDatabaseManagementFeatureDetails = DisableExternalPluggableDatabaseManagementFeatureDetails.DisableExternalPluggableDatabaseManagementFeatureDetails;
import * as DisableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails from "./disable-high-frequency-automatic-spm-evolve-advisor-task-details";
export import DisableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails = DisableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails.DisableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails;
import * as DisablePluggableDatabaseManagementFeatureDetails from "./disable-pluggable-database-management-feature-details";
export import DisablePluggableDatabaseManagementFeatureDetails = DisablePluggableDatabaseManagementFeatureDetails.DisablePluggableDatabaseManagementFeatureDetails;
import * as DisableSqlPlanBaselinesUsageDetails from "./disable-sql-plan-baselines-usage-details";
export import DisableSqlPlanBaselinesUsageDetails = DisableSqlPlanBaselinesUsageDetails.DisableSqlPlanBaselinesUsageDetails;
import * as DiscoverExternalExadataInfrastructureDetails from "./discover-external-exadata-infrastructure-details";
export import DiscoverExternalExadataInfrastructureDetails = DiscoverExternalExadataInfrastructureDetails.DiscoverExternalExadataInfrastructureDetails;
import * as DiscoveredExternalDbSystemComponent from "./discovered-external-db-system-component";
export import DiscoveredExternalDbSystemComponent = DiscoveredExternalDbSystemComponent.DiscoveredExternalDbSystemComponent;
import * as DropSqlPlanBaselinesDetails from "./drop-sql-plan-baselines-details";
export import DropSqlPlanBaselinesDetails = DropSqlPlanBaselinesDetails.DropSqlPlanBaselinesDetails;
import * as DropSqlTuningSetDetails from "./drop-sql-tuning-set-details";
export import DropSqlTuningSetDetails = DropSqlTuningSetDetails.DropSqlTuningSetDetails;
import * as DropSqlTuningTaskDetails from "./drop-sql-tuning-task-details";
export import DropSqlTuningTaskDetails = DropSqlTuningTaskDetails.DropSqlTuningTaskDetails;
import * as DropSqlsInSqlTuningSetDetails from "./drop-sqls-in-sql-tuning-set-details";
export import DropSqlsInSqlTuningSetDetails = DropSqlsInSqlTuningSetDetails.DropSqlsInSqlTuningSetDetails;
import * as DropTablespaceDetails from "./drop-tablespace-details";
export import DropTablespaceDetails = DropTablespaceDetails.DropTablespaceDetails;
import * as EnableAutomaticInitialPlanCaptureDetails from "./enable-automatic-initial-plan-capture-details";
export import EnableAutomaticInitialPlanCaptureDetails = EnableAutomaticInitialPlanCaptureDetails.EnableAutomaticInitialPlanCaptureDetails;
import * as EnableAutomaticSpmEvolveAdvisorTaskDetails from "./enable-automatic-spm-evolve-advisor-task-details";
export import EnableAutomaticSpmEvolveAdvisorTaskDetails = EnableAutomaticSpmEvolveAdvisorTaskDetails.EnableAutomaticSpmEvolveAdvisorTaskDetails;
import * as EnableDatabaseManagementFeatureDetails from "./enable-database-management-feature-details";
export import EnableDatabaseManagementFeatureDetails = EnableDatabaseManagementFeatureDetails.EnableDatabaseManagementFeatureDetails;
import * as EnableExternalContainerDatabaseManagementFeatureDetails from "./enable-external-container-database-management-feature-details";
export import EnableExternalContainerDatabaseManagementFeatureDetails = EnableExternalContainerDatabaseManagementFeatureDetails.EnableExternalContainerDatabaseManagementFeatureDetails;
import * as EnableExternalDbSystemDatabaseManagementDetails from "./enable-external-db-system-database-management-details";
export import EnableExternalDbSystemDatabaseManagementDetails = EnableExternalDbSystemDatabaseManagementDetails.EnableExternalDbSystemDatabaseManagementDetails;
import * as EnableExternalDbSystemStackMonitoringDetails from "./enable-external-db-system-stack-monitoring-details";
export import EnableExternalDbSystemStackMonitoringDetails = EnableExternalDbSystemStackMonitoringDetails.EnableExternalDbSystemStackMonitoringDetails;
import * as EnableExternalExadataInfrastructureManagementDetails from "./enable-external-exadata-infrastructure-management-details";
export import EnableExternalExadataInfrastructureManagementDetails = EnableExternalExadataInfrastructureManagementDetails.EnableExternalExadataInfrastructureManagementDetails;
import * as EnableExternalNonContainerDatabaseManagementFeatureDetails from "./enable-external-non-container-database-management-feature-details";
export import EnableExternalNonContainerDatabaseManagementFeatureDetails = EnableExternalNonContainerDatabaseManagementFeatureDetails.EnableExternalNonContainerDatabaseManagementFeatureDetails;
import * as EnableExternalPluggableDatabaseManagementFeatureDetails from "./enable-external-pluggable-database-management-feature-details";
export import EnableExternalPluggableDatabaseManagementFeatureDetails = EnableExternalPluggableDatabaseManagementFeatureDetails.EnableExternalPluggableDatabaseManagementFeatureDetails;
import * as EnableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails from "./enable-high-frequency-automatic-spm-evolve-advisor-task-details";
export import EnableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails = EnableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails.EnableHighFrequencyAutomaticSpmEvolveAdvisorTaskDetails;
import * as EnablePluggableDatabaseManagementFeatureDetails from "./enable-pluggable-database-management-feature-details";
export import EnablePluggableDatabaseManagementFeatureDetails = EnablePluggableDatabaseManagementFeatureDetails.EnablePluggableDatabaseManagementFeatureDetails;
import * as EnableSqlPlanBaselinesUsageDetails from "./enable-sql-plan-baselines-usage-details";
export import EnableSqlPlanBaselinesUsageDetails = EnableSqlPlanBaselinesUsageDetails.EnableSqlPlanBaselinesUsageDetails;
import * as EntityDiscovered from "./entity-discovered";
export import EntityDiscovered = EntityDiscovered.EntityDiscovered;
import * as ExecutionPlanStatsComparision from "./execution-plan-stats-comparision";
export import ExecutionPlanStatsComparision = ExecutionPlanStatsComparision.ExecutionPlanStatsComparision;
import * as ExternalAsm from "./external-asm";
export import ExternalAsm = ExternalAsm.ExternalAsm;
import * as ExternalAsmCollection from "./external-asm-collection";
export import ExternalAsmCollection = ExternalAsmCollection.ExternalAsmCollection;
import * as ExternalAsmConfiguration from "./external-asm-configuration";
export import ExternalAsmConfiguration = ExternalAsmConfiguration.ExternalAsmConfiguration;
import * as ExternalAsmDiskGroupCollection from "./external-asm-disk-group-collection";
export import ExternalAsmDiskGroupCollection = ExternalAsmDiskGroupCollection.ExternalAsmDiskGroupCollection;
import * as ExternalAsmDiskGroupSummary from "./external-asm-disk-group-summary";
export import ExternalAsmDiskGroupSummary = ExternalAsmDiskGroupSummary.ExternalAsmDiskGroupSummary;
import * as ExternalAsmInstance from "./external-asm-instance";
export import ExternalAsmInstance = ExternalAsmInstance.ExternalAsmInstance;
import * as ExternalAsmInstanceCollection from "./external-asm-instance-collection";
export import ExternalAsmInstanceCollection = ExternalAsmInstanceCollection.ExternalAsmInstanceCollection;
import * as ExternalAsmInstanceParameters from "./external-asm-instance-parameters";
export import ExternalAsmInstanceParameters = ExternalAsmInstanceParameters.ExternalAsmInstanceParameters;
import * as ExternalAsmInstanceSummary from "./external-asm-instance-summary";
export import ExternalAsmInstanceSummary = ExternalAsmInstanceSummary.ExternalAsmInstanceSummary;
import * as ExternalAsmServicedDatabase from "./external-asm-serviced-database";
export import ExternalAsmServicedDatabase = ExternalAsmServicedDatabase.ExternalAsmServicedDatabase;
import * as ExternalAsmSummary from "./external-asm-summary";
export import ExternalAsmSummary = ExternalAsmSummary.ExternalAsmSummary;
import * as ExternalAsmUserCollection from "./external-asm-user-collection";
export import ExternalAsmUserCollection = ExternalAsmUserCollection.ExternalAsmUserCollection;
import * as ExternalAsmUserSummary from "./external-asm-user-summary";
export import ExternalAsmUserSummary = ExternalAsmUserSummary.ExternalAsmUserSummary;
import * as ExternalCluster from "./external-cluster";
export import ExternalCluster = ExternalCluster.ExternalCluster;
import * as ExternalClusterCollection from "./external-cluster-collection";
export import ExternalClusterCollection = ExternalClusterCollection.ExternalClusterCollection;
import * as ExternalClusterInstance from "./external-cluster-instance";
export import ExternalClusterInstance = ExternalClusterInstance.ExternalClusterInstance;
import * as ExternalClusterInstanceCollection from "./external-cluster-instance-collection";
export import ExternalClusterInstanceCollection = ExternalClusterInstanceCollection.ExternalClusterInstanceCollection;
import * as ExternalClusterInstanceSummary from "./external-cluster-instance-summary";
export import ExternalClusterInstanceSummary = ExternalClusterInstanceSummary.ExternalClusterInstanceSummary;
import * as ExternalClusterNetworkConfiguration from "./external-cluster-network-configuration";
export import ExternalClusterNetworkConfiguration = ExternalClusterNetworkConfiguration.ExternalClusterNetworkConfiguration;
import * as ExternalClusterScanListenerConfiguration from "./external-cluster-scan-listener-configuration";
export import ExternalClusterScanListenerConfiguration = ExternalClusterScanListenerConfiguration.ExternalClusterScanListenerConfiguration;
import * as ExternalClusterSummary from "./external-cluster-summary";
export import ExternalClusterSummary = ExternalClusterSummary.ExternalClusterSummary;
import * as ExternalClusterVipConfiguration from "./external-cluster-vip-configuration";
export import ExternalClusterVipConfiguration = ExternalClusterVipConfiguration.ExternalClusterVipConfiguration;
import * as ExternalDatabaseCollection from "./external-database-collection";
export import ExternalDatabaseCollection = ExternalDatabaseCollection.ExternalDatabaseCollection;
import * as ExternalDatabaseFeatureDetails from "./external-database-feature-details";
export import ExternalDatabaseFeatureDetails = ExternalDatabaseFeatureDetails.ExternalDatabaseFeatureDetails;
import * as ExternalDatabaseInstance from "./external-database-instance";
export import ExternalDatabaseInstance = ExternalDatabaseInstance.ExternalDatabaseInstance;
import * as ExternalDatabaseSummary from "./external-database-summary";
export import ExternalDatabaseSummary = ExternalDatabaseSummary.ExternalDatabaseSummary;
import * as ExternalDbHome from "./external-db-home";
export import ExternalDbHome = ExternalDbHome.ExternalDbHome;
import * as ExternalDbHomeCollection from "./external-db-home-collection";
export import ExternalDbHomeCollection = ExternalDbHomeCollection.ExternalDbHomeCollection;
import * as ExternalDbHomeSummary from "./external-db-home-summary";
export import ExternalDbHomeSummary = ExternalDbHomeSummary.ExternalDbHomeSummary;
import * as ExternalDbNode from "./external-db-node";
export import ExternalDbNode = ExternalDbNode.ExternalDbNode;
import * as ExternalDbNodeCollection from "./external-db-node-collection";
export import ExternalDbNodeCollection = ExternalDbNodeCollection.ExternalDbNodeCollection;
import * as ExternalDbNodeSummary from "./external-db-node-summary";
export import ExternalDbNodeSummary = ExternalDbNodeSummary.ExternalDbNodeSummary;
import * as ExternalDbSystem from "./external-db-system";
export import ExternalDbSystem = ExternalDbSystem.ExternalDbSystem;
import * as ExternalDbSystemBasicInfo from "./external-db-system-basic-info";
export import ExternalDbSystemBasicInfo = ExternalDbSystemBasicInfo.ExternalDbSystemBasicInfo;
import * as ExternalDbSystemCollection from "./external-db-system-collection";
export import ExternalDbSystemCollection = ExternalDbSystemCollection.ExternalDbSystemCollection;
import * as ExternalDbSystemComponentType from "./external-db-system-component-type";
export import ExternalDbSystemComponentType = ExternalDbSystemComponentType.ExternalDbSystemComponentType;
import * as ExternalDbSystemConnectionInfo from "./external-db-system-connection-info";
export import ExternalDbSystemConnectionInfo = ExternalDbSystemConnectionInfo.ExternalDbSystemConnectionInfo;
import * as ExternalDbSystemConnector from "./external-db-system-connector";
export import ExternalDbSystemConnector = ExternalDbSystemConnector.ExternalDbSystemConnector;
import * as ExternalDbSystemConnectorCollection from "./external-db-system-connector-collection";
export import ExternalDbSystemConnectorCollection = ExternalDbSystemConnectorCollection.ExternalDbSystemConnectorCollection;
import * as ExternalDbSystemConnectorSummary from "./external-db-system-connector-summary";
export import ExternalDbSystemConnectorSummary = ExternalDbSystemConnectorSummary.ExternalDbSystemConnectorSummary;
import * as ExternalDbSystemDatabaseManagementConfigDetails from "./external-db-system-database-management-config-details";
export import ExternalDbSystemDatabaseManagementConfigDetails = ExternalDbSystemDatabaseManagementConfigDetails.ExternalDbSystemDatabaseManagementConfigDetails;
import * as ExternalDbSystemDiscovery from "./external-db-system-discovery";
export import ExternalDbSystemDiscovery = ExternalDbSystemDiscovery.ExternalDbSystemDiscovery;
import * as ExternalDbSystemDiscoveryCollection from "./external-db-system-discovery-collection";
export import ExternalDbSystemDiscoveryCollection = ExternalDbSystemDiscoveryCollection.ExternalDbSystemDiscoveryCollection;
import * as ExternalDbSystemDiscoveryConnector from "./external-db-system-discovery-connector";
export import ExternalDbSystemDiscoveryConnector = ExternalDbSystemDiscoveryConnector.ExternalDbSystemDiscoveryConnector;
import * as ExternalDbSystemDiscoverySummary from "./external-db-system-discovery-summary";
export import ExternalDbSystemDiscoverySummary = ExternalDbSystemDiscoverySummary.ExternalDbSystemDiscoverySummary;
import * as ExternalDbSystemStackMonitoringConfigDetails from "./external-db-system-stack-monitoring-config-details";
export import ExternalDbSystemStackMonitoringConfigDetails = ExternalDbSystemStackMonitoringConfigDetails.ExternalDbSystemStackMonitoringConfigDetails;
import * as ExternalDbSystemSummary from "./external-db-system-summary";
export import ExternalDbSystemSummary = ExternalDbSystemSummary.ExternalDbSystemSummary;
import * as ExternalExadataInfraBasicInfo from "./external-exadata-infra-basic-info";
export import ExternalExadataInfraBasicInfo = ExternalExadataInfraBasicInfo.ExternalExadataInfraBasicInfo;
import * as ExternalExadataInfrastructureCollection from "./external-exadata-infrastructure-collection";
export import ExternalExadataInfrastructureCollection = ExternalExadataInfrastructureCollection.ExternalExadataInfrastructureCollection;
import * as ExternalExadataStorageConnectorCollection from "./external-exadata-storage-connector-collection";
export import ExternalExadataStorageConnectorCollection = ExternalExadataStorageConnectorCollection.ExternalExadataStorageConnectorCollection;
import * as ExternalExadataStorageConnectorStatus from "./external-exadata-storage-connector-status";
export import ExternalExadataStorageConnectorStatus = ExternalExadataStorageConnectorStatus.ExternalExadataStorageConnectorStatus;
import * as ExternalExadataStorageServerCollection from "./external-exadata-storage-server-collection";
export import ExternalExadataStorageServerCollection = ExternalExadataStorageServerCollection.ExternalExadataStorageServerCollection;
import * as ExternalListener from "./external-listener";
export import ExternalListener = ExternalListener.ExternalListener;
import * as ExternalListenerCollection from "./external-listener-collection";
export import ExternalListenerCollection = ExternalListenerCollection.ExternalListenerCollection;
import * as ExternalListenerEndpoint from "./external-listener-endpoint";
export import ExternalListenerEndpoint = ExternalListenerEndpoint.ExternalListenerEndpoint;
import * as ExternalListenerServiceCollection from "./external-listener-service-collection";
export import ExternalListenerServiceCollection = ExternalListenerServiceCollection.ExternalListenerServiceCollection;
import * as ExternalListenerServiceSummary from "./external-listener-service-summary";
export import ExternalListenerServiceSummary = ExternalListenerServiceSummary.ExternalListenerServiceSummary;
import * as ExternalListenerServicedDatabase from "./external-listener-serviced-database";
export import ExternalListenerServicedDatabase = ExternalListenerServicedDatabase.ExternalListenerServicedDatabase;
import * as ExternalListenerSummary from "./external-listener-summary";
export import ExternalListenerSummary = ExternalListenerSummary.ExternalListenerSummary;
import * as ExternalPluggableDatabaseFeatureDetails from "./external-pluggable-database-feature-details";
export import ExternalPluggableDatabaseFeatureDetails = ExternalPluggableDatabaseFeatureDetails.ExternalPluggableDatabaseFeatureDetails;
import * as ExternalServicedAsm from "./external-serviced-asm";
export import ExternalServicedAsm = ExternalServicedAsm.ExternalServicedAsm;
import * as ExternalServicedDatabase from "./external-serviced-database";
export import ExternalServicedDatabase = ExternalServicedDatabase.ExternalServicedDatabase;
import * as FailedConnectionsAggregateMetrics from "./failed-connections-aggregate-metrics";
export import FailedConnectionsAggregateMetrics = FailedConnectionsAggregateMetrics.FailedConnectionsAggregateMetrics;
import * as FetchSqlTuningSetDetails from "./fetch-sql-tuning-set-details";
export import FetchSqlTuningSetDetails = FetchSqlTuningSetDetails.FetchSqlTuningSetDetails;
import * as FindingSchemaOrOperation from "./finding-schema-or-operation";
export import FindingSchemaOrOperation = FindingSchemaOrOperation.FindingSchemaOrOperation;
import * as FleetMetricDefinition from "./fleet-metric-definition";
export import FleetMetricDefinition = FleetMetricDefinition.FleetMetricDefinition;
import * as FleetMetricSummaryDefinition from "./fleet-metric-summary-definition";
export import FleetMetricSummaryDefinition = FleetMetricSummaryDefinition.FleetMetricSummaryDefinition;
import * as FleetStatusByCategory from "./fleet-status-by-category";
export import FleetStatusByCategory = FleetStatusByCategory.FleetStatusByCategory;
import * as FleetSummary from "./fleet-summary";
export import FleetSummary = FleetSummary.FleetSummary;
import * as HeatWaveClusterStatus from "./heat-wave-cluster-status";
export import HeatWaveClusterStatus = HeatWaveClusterStatus.HeatWaveClusterStatus;
import * as HeatWaveClusterUsageMetrics from "./heat-wave-cluster-usage-metrics";
export import HeatWaveClusterUsageMetrics = HeatWaveClusterUsageMetrics.HeatWaveClusterUsageMetrics;
import * as HeatWaveFleetByCategory from "./heat-wave-fleet-by-category";
export import HeatWaveFleetByCategory = HeatWaveFleetByCategory.HeatWaveFleetByCategory;
import * as HeatWaveFleetMetricDefinition from "./heat-wave-fleet-metric-definition";
export import HeatWaveFleetMetricDefinition = HeatWaveFleetMetricDefinition.HeatWaveFleetMetricDefinition;
import * as HeatWaveFleetMetricSummaryDefinition from "./heat-wave-fleet-metric-summary-definition";
export import HeatWaveFleetMetricSummaryDefinition = HeatWaveFleetMetricSummaryDefinition.HeatWaveFleetMetricSummaryDefinition;
import * as HeatWaveFleetMetrics from "./heat-wave-fleet-metrics";
export import HeatWaveFleetMetrics = HeatWaveFleetMetrics.HeatWaveFleetMetrics;
import * as HeatWaveFleetSummary from "./heat-wave-fleet-summary";
export import HeatWaveFleetSummary = HeatWaveFleetSummary.HeatWaveFleetSummary;
import * as HeatWaveNode from "./heat-wave-node";
export import HeatWaveNode = HeatWaveNode.HeatWaveNode;
import * as HeatWaveNodeStatus from "./heat-wave-node-status";
export import HeatWaveNodeStatus = HeatWaveNodeStatus.HeatWaveNodeStatus;
import * as HistoricAddmResult from "./historic-addm-result";
export import HistoricAddmResult = HistoricAddmResult.HistoricAddmResult;
import * as ImplementOptimizerStatisticsAdvisorRecommendationsDetails from "./implement-optimizer-statistics-advisor-recommendations-details";
export import ImplementOptimizerStatisticsAdvisorRecommendationsDetails = ImplementOptimizerStatisticsAdvisorRecommendationsDetails.ImplementOptimizerStatisticsAdvisorRecommendationsDetails;
import * as ImplementOptimizerStatisticsAdvisorRecommendationsJob from "./implement-optimizer-statistics-advisor-recommendations-job";
export import ImplementOptimizerStatisticsAdvisorRecommendationsJob = ImplementOptimizerStatisticsAdvisorRecommendationsJob.ImplementOptimizerStatisticsAdvisorRecommendationsJob;
import * as InstanceDetails from "./instance-details";
export import InstanceDetails = InstanceDetails.InstanceDetails;
import * as IormPlan from "./iorm-plan";
export import IormPlan = IormPlan.IormPlan;
import * as IormPlanObjectiveEnum from "./iorm-plan-objective-enum";
export import IormPlanObjectiveEnum = IormPlanObjectiveEnum.IormPlanObjectiveEnum;
import * as IormPlanStatusEnum from "./iorm-plan-status-enum";
export import IormPlanStatusEnum = IormPlanStatusEnum.IormPlanStatusEnum;
import * as Job from "./job";
export import Job = Job.Job;
import * as JobCollection from "./job-collection";
export import JobCollection = JobCollection.JobCollection;
import * as JobDatabase from "./job-database";
export import JobDatabase = JobDatabase.JobDatabase;
import * as JobExecution from "./job-execution";
export import JobExecution = JobExecution.JobExecution;
import * as JobExecutionCollection from "./job-execution-collection";
export import JobExecutionCollection = JobExecutionCollection.JobExecutionCollection;
import * as JobExecutionResultDetails from "./job-execution-result-details";
export import JobExecutionResultDetails = JobExecutionResultDetails.JobExecutionResultDetails;
import * as JobExecutionResultLocation from "./job-execution-result-location";
export import JobExecutionResultLocation = JobExecutionResultLocation.JobExecutionResultLocation;
import * as JobExecutionSummary from "./job-execution-summary";
export import JobExecutionSummary = JobExecutionSummary.JobExecutionSummary;
import * as JobExecutionsStatusSummary from "./job-executions-status-summary";
export import JobExecutionsStatusSummary = JobExecutionsStatusSummary.JobExecutionsStatusSummary;
import * as JobExecutionsStatusSummaryCollection from "./job-executions-status-summary-collection";
export import JobExecutionsStatusSummaryCollection = JobExecutionsStatusSummaryCollection.JobExecutionsStatusSummaryCollection;
import * as JobInBind from "./job-in-bind";
export import JobInBind = JobInBind.JobInBind;
import * as JobInBindsDetails from "./job-in-binds-details";
export import JobInBindsDetails = JobInBindsDetails.JobInBindsDetails;
import * as JobOutBind from "./job-out-bind";
export import JobOutBind = JobOutBind.JobOutBind;
import * as JobOutBindsDetails from "./job-out-binds-details";
export import JobOutBindsDetails = JobOutBindsDetails.JobOutBindsDetails;
import * as JobRun from "./job-run";
export import JobRun = JobRun.JobRun;
import * as JobRunCollection from "./job-run-collection";
export import JobRunCollection = JobRunCollection.JobRunCollection;
import * as JobRunSummary from "./job-run-summary";
export import JobRunSummary = JobRunSummary.JobRunSummary;
import * as JobScheduleDetails from "./job-schedule-details";
export import JobScheduleDetails = JobScheduleDetails.JobScheduleDetails;
import * as JobSummary from "./job-summary";
export import JobSummary = JobSummary.JobSummary;
import * as JobTypes from "./job-types";
export import JobTypes = JobTypes.JobTypes;
import * as LifecycleStates from "./lifecycle-states";
export import LifecycleStates = LifecycleStates.LifecycleStates;
import * as LoadSqlPlanBaselinesFromAwrDetails from "./load-sql-plan-baselines-from-awr-details";
export import LoadSqlPlanBaselinesFromAwrDetails = LoadSqlPlanBaselinesFromAwrDetails.LoadSqlPlanBaselinesFromAwrDetails;
import * as LoadSqlPlanBaselinesFromCursorCacheDetails from "./load-sql-plan-baselines-from-cursor-cache-details";
export import LoadSqlPlanBaselinesFromCursorCacheDetails = LoadSqlPlanBaselinesFromCursorCacheDetails.LoadSqlPlanBaselinesFromCursorCacheDetails;
import * as LoadSqlTuningSetDetails from "./load-sql-tuning-set-details";
export import LoadSqlTuningSetDetails = LoadSqlTuningSetDetails.LoadSqlTuningSetDetails;
import * as ManagedDatabase from "./managed-database";
export import ManagedDatabase = ManagedDatabase.ManagedDatabase;
import * as ManagedDatabaseCollection from "./managed-database-collection";
export import ManagedDatabaseCollection = ManagedDatabaseCollection.ManagedDatabaseCollection;
import * as ManagedDatabaseCredential from "./managed-database-credential";
export import ManagedDatabaseCredential = ManagedDatabaseCredential.ManagedDatabaseCredential;
import * as ManagedDatabaseGroup from "./managed-database-group";
export import ManagedDatabaseGroup = ManagedDatabaseGroup.ManagedDatabaseGroup;
import * as ManagedDatabaseGroupCollection from "./managed-database-group-collection";
export import ManagedDatabaseGroupCollection = ManagedDatabaseGroupCollection.ManagedDatabaseGroupCollection;
import * as ManagedDatabaseGroupSummary from "./managed-database-group-summary";
export import ManagedDatabaseGroupSummary = ManagedDatabaseGroupSummary.ManagedDatabaseGroupSummary;
import * as ManagedDatabaseSummary from "./managed-database-summary";
export import ManagedDatabaseSummary = ManagedDatabaseSummary.ManagedDatabaseSummary;
import * as ManagedMySqlDatabase from "./managed-my-sql-database";
export import ManagedMySqlDatabase = ManagedMySqlDatabase.ManagedMySqlDatabase;
import * as ManagedMySqlDatabaseCollection from "./managed-my-sql-database-collection";
export import ManagedMySqlDatabaseCollection = ManagedMySqlDatabaseCollection.ManagedMySqlDatabaseCollection;
import * as ManagedMySqlDatabaseSummary from "./managed-my-sql-database-summary";
export import ManagedMySqlDatabaseSummary = ManagedMySqlDatabaseSummary.ManagedMySqlDatabaseSummary;
import * as ManagementOption from "./management-option";
export import ManagementOption = ManagementOption.ManagementOption;
import * as MdsType from "./mds-type";
export import MdsType = MdsType.MdsType;
import * as MemoryAggregateMetrics from "./memory-aggregate-metrics";
export import MemoryAggregateMetrics = MemoryAggregateMetrics.MemoryAggregateMetrics;
import * as MetricDataPoint from "./metric-data-point";
export import MetricDataPoint = MetricDataPoint.MetricDataPoint;
import * as MetricDimensionDefinition from "./metric-dimension-definition";
export import MetricDimensionDefinition = MetricDimensionDefinition.MetricDimensionDefinition;
import * as MetricStatisticsDefinition from "./metric-statistics-definition";
export import MetricStatisticsDefinition = MetricStatisticsDefinition.MetricStatisticsDefinition;
import * as MetricsAggregationRange from "./metrics-aggregation-range";
export import MetricsAggregationRange = MetricsAggregationRange.MetricsAggregationRange;
import * as MetricsAggregationRangeCollection from "./metrics-aggregation-range-collection";
export import MetricsAggregationRangeCollection = MetricsAggregationRangeCollection.MetricsAggregationRangeCollection;
import * as ModifyDatabaseManagementFeatureDetails from "./modify-database-management-feature-details";
export import ModifyDatabaseManagementFeatureDetails = ModifyDatabaseManagementFeatureDetails.ModifyDatabaseManagementFeatureDetails;
import * as ModifyPluggableDatabaseManagementFeatureDetails from "./modify-pluggable-database-management-feature-details";
export import ModifyPluggableDatabaseManagementFeatureDetails = ModifyPluggableDatabaseManagementFeatureDetails.ModifyPluggableDatabaseManagementFeatureDetails;
import * as ModifySnapshotSettingsDetails from "./modify-snapshot-settings-details";
export import ModifySnapshotSettingsDetails = ModifySnapshotSettingsDetails.ModifySnapshotSettingsDetails;
import * as MySqlConfigurationDataCollection from "./my-sql-configuration-data-collection";
export import MySqlConfigurationDataCollection = MySqlConfigurationDataCollection.MySqlConfigurationDataCollection;
import * as MySqlConfigurationDataSummary from "./my-sql-configuration-data-summary";
export import MySqlConfigurationDataSummary = MySqlConfigurationDataSummary.MySqlConfigurationDataSummary;
import * as MySqlDataCollection from "./my-sql-data-collection";
export import MySqlDataCollection = MySqlDataCollection.MySqlDataCollection;
import * as MySqlDataSummary from "./my-sql-data-summary";
export import MySqlDataSummary = MySqlDataSummary.MySqlDataSummary;
import * as MySqlDatabaseStatus from "./my-sql-database-status";
export import MySqlDatabaseStatus = MySqlDatabaseStatus.MySqlDatabaseStatus;
import * as MySqlDatabaseUsageMetrics from "./my-sql-database-usage-metrics";
export import MySqlDatabaseUsageMetrics = MySqlDatabaseUsageMetrics.MySqlDatabaseUsageMetrics;
import * as MySqlDeploymentType from "./my-sql-deployment-type";
export import MySqlDeploymentType = MySqlDeploymentType.MySqlDeploymentType;
import * as MySqlFleetByCategory from "./my-sql-fleet-by-category";
export import MySqlFleetByCategory = MySqlFleetByCategory.MySqlFleetByCategory;
import * as MySqlFleetMetricDefinition from "./my-sql-fleet-metric-definition";
export import MySqlFleetMetricDefinition = MySqlFleetMetricDefinition.MySqlFleetMetricDefinition;
import * as MySqlFleetMetricSummaryDefinition from "./my-sql-fleet-metric-summary-definition";
export import MySqlFleetMetricSummaryDefinition = MySqlFleetMetricSummaryDefinition.MySqlFleetMetricSummaryDefinition;
import * as MySqlFleetMetrics from "./my-sql-fleet-metrics";
export import MySqlFleetMetrics = MySqlFleetMetrics.MySqlFleetMetrics;
import * as MySqlFleetSummary from "./my-sql-fleet-summary";
export import MySqlFleetSummary = MySqlFleetSummary.MySqlFleetSummary;
import * as NamedCredential from "./named-credential";
export import NamedCredential = NamedCredential.NamedCredential;
import * as NamedCredentialCollection from "./named-credential-collection";
export import NamedCredentialCollection = NamedCredentialCollection.NamedCredentialCollection;
import * as NamedCredentialContent from "./named-credential-content";
export import NamedCredentialContent = NamedCredentialContent.NamedCredentialContent;
import * as NamedCredentialContentType from "./named-credential-content-type";
export import NamedCredentialContentType = NamedCredentialContentType.NamedCredentialContentType;
import * as NamedCredentialScope from "./named-credential-scope";
export import NamedCredentialScope = NamedCredentialScope.NamedCredentialScope;
import * as NamedCredentialSummary from "./named-credential-summary";
export import NamedCredentialSummary = NamedCredentialSummary.NamedCredentialSummary;
import * as ObjectPrivilegeCollection from "./object-privilege-collection";
export import ObjectPrivilegeCollection = ObjectPrivilegeCollection.ObjectPrivilegeCollection;
import * as ObjectPrivilegeSummary from "./object-privilege-summary";
export import ObjectPrivilegeSummary = ObjectPrivilegeSummary.ObjectPrivilegeSummary;
import * as OpenAlertHistory from "./open-alert-history";
export import OpenAlertHistory = OpenAlertHistory.OpenAlertHistory;
import * as OpenAlertSummary from "./open-alert-summary";
export import OpenAlertSummary = OpenAlertSummary.OpenAlertSummary;
import * as OptimizerDatabase from "./optimizer-database";
export import OptimizerDatabase = OptimizerDatabase.OptimizerDatabase;
import * as OptimizerStatisticsAdvisorExecution from "./optimizer-statistics-advisor-execution";
export import OptimizerStatisticsAdvisorExecution = OptimizerStatisticsAdvisorExecution.OptimizerStatisticsAdvisorExecution;
import * as OptimizerStatisticsAdvisorExecutionReport from "./optimizer-statistics-advisor-execution-report";
export import OptimizerStatisticsAdvisorExecutionReport = OptimizerStatisticsAdvisorExecutionReport.OptimizerStatisticsAdvisorExecutionReport;
import * as OptimizerStatisticsAdvisorExecutionScript from "./optimizer-statistics-advisor-execution-script";
export import OptimizerStatisticsAdvisorExecutionScript = OptimizerStatisticsAdvisorExecutionScript.OptimizerStatisticsAdvisorExecutionScript;
import * as OptimizerStatisticsAdvisorExecutionSummary from "./optimizer-statistics-advisor-execution-summary";
export import OptimizerStatisticsAdvisorExecutionSummary = OptimizerStatisticsAdvisorExecutionSummary.OptimizerStatisticsAdvisorExecutionSummary;
import * as OptimizerStatisticsAdvisorExecutionsCollection from "./optimizer-statistics-advisor-executions-collection";
export import OptimizerStatisticsAdvisorExecutionsCollection = OptimizerStatisticsAdvisorExecutionsCollection.OptimizerStatisticsAdvisorExecutionsCollection;
import * as OptimizerStatisticsCollectionAggregationSummary from "./optimizer-statistics-collection-aggregation-summary";
export import OptimizerStatisticsCollectionAggregationSummary = OptimizerStatisticsCollectionAggregationSummary.OptimizerStatisticsCollectionAggregationSummary;
import * as OptimizerStatisticsCollectionAggregationsCollection from "./optimizer-statistics-collection-aggregations-collection";
export import OptimizerStatisticsCollectionAggregationsCollection = OptimizerStatisticsCollectionAggregationsCollection.OptimizerStatisticsCollectionAggregationsCollection;
import * as OptimizerStatisticsCollectionOperation from "./optimizer-statistics-collection-operation";
export import OptimizerStatisticsCollectionOperation = OptimizerStatisticsCollectionOperation.OptimizerStatisticsCollectionOperation;
import * as OptimizerStatisticsCollectionOperationSummary from "./optimizer-statistics-collection-operation-summary";
export import OptimizerStatisticsCollectionOperationSummary = OptimizerStatisticsCollectionOperationSummary.OptimizerStatisticsCollectionOperationSummary;
import * as OptimizerStatisticsCollectionOperationsCollection from "./optimizer-statistics-collection-operations-collection";
export import OptimizerStatisticsCollectionOperationsCollection = OptimizerStatisticsCollectionOperationsCollection.OptimizerStatisticsCollectionOperationsCollection;
import * as OptimizerStatisticsGroupByTypes from "./optimizer-statistics-group-by-types";
export import OptimizerStatisticsGroupByTypes = OptimizerStatisticsGroupByTypes.OptimizerStatisticsGroupByTypes;
import * as OptimizerStatisticsOperationTask from "./optimizer-statistics-operation-task";
export import OptimizerStatisticsOperationTask = OptimizerStatisticsOperationTask.OptimizerStatisticsOperationTask;
import * as OptimizerStatisticsTaskFilterTypes from "./optimizer-statistics-task-filter-types";
export import OptimizerStatisticsTaskFilterTypes = OptimizerStatisticsTaskFilterTypes.OptimizerStatisticsTaskFilterTypes;
import * as ParameterScope from "./parameter-scope";
export import ParameterScope = ParameterScope.ParameterScope;
import * as ParentGroup from "./parent-group";
export import ParentGroup = ParentGroup.ParentGroup;
import * as PasswordSecretAccessMode from "./password-secret-access-mode";
export import PasswordSecretAccessMode = PasswordSecretAccessMode.PasswordSecretAccessMode;
import * as PatchExternalDbSystemDiscoveryDetails from "./patch-external-db-system-discovery-details";
export import PatchExternalDbSystemDiscoveryDetails = PatchExternalDbSystemDiscoveryDetails.PatchExternalDbSystemDiscoveryDetails;
import * as PatchInstruction from "./patch-instruction";
export import PatchInstruction = PatchInstruction.PatchInstruction;
import * as PdbMetrics from "./pdb-metrics";
export import PdbMetrics = PdbMetrics.PdbMetrics;
import * as PdbStatusDetails from "./pdb-status-details";
export import PdbStatusDetails = PdbStatusDetails.PdbStatusDetails;
import * as PeerDatabaseMetrics from "./peer-database-metrics";
export import PeerDatabaseMetrics = PeerDatabaseMetrics.PeerDatabaseMetrics;
import * as PerformanceMetrics from "./performance-metrics";
export import PerformanceMetrics = PerformanceMetrics.PerformanceMetrics;
import * as PerformanceMetricsData from "./performance-metrics-data";
export import PerformanceMetricsData = PerformanceMetricsData.PerformanceMetricsData;
import * as PreferredCredential from "./preferred-credential";
export import PreferredCredential = PreferredCredential.PreferredCredential;
import * as PreferredCredentialCollection from "./preferred-credential-collection";
export import PreferredCredentialCollection = PreferredCredentialCollection.PreferredCredentialCollection;
import * as PreferredCredentialStatus from "./preferred-credential-status";
export import PreferredCredentialStatus = PreferredCredentialStatus.PreferredCredentialStatus;
import * as PreferredCredentialSummary from "./preferred-credential-summary";
export import PreferredCredentialSummary = PreferredCredentialSummary.PreferredCredentialSummary;
import * as PreferredCredentialType from "./preferred-credential-type";
export import PreferredCredentialType = PreferredCredentialType.PreferredCredentialType;
import * as ProxiedForUserCollection from "./proxied-for-user-collection";
export import ProxiedForUserCollection = ProxiedForUserCollection.ProxiedForUserCollection;
import * as ProxiedForUserSummary from "./proxied-for-user-summary";
export import ProxiedForUserSummary = ProxiedForUserSummary.ProxiedForUserSummary;
import * as ProxyUserCollection from "./proxy-user-collection";
export import ProxyUserCollection = ProxyUserCollection.ProxyUserCollection;
import * as ProxyUserSummary from "./proxy-user-summary";
export import ProxyUserSummary = ProxyUserSummary.ProxyUserSummary;
import * as RankingMeasure from "./ranking-measure";
export import RankingMeasure = RankingMeasure.RankingMeasure;
import * as Recommendation from "./recommendation";
export import Recommendation = Recommendation.Recommendation;
import * as RecommendationExample from "./recommendation-example";
export import RecommendationExample = RecommendationExample.RecommendationExample;
import * as RecommendationExampleLine from "./recommendation-example-line";
export import RecommendationExampleLine = RecommendationExampleLine.RecommendationExampleLine;
import * as RecommendationRationale from "./recommendation-rationale";
export import RecommendationRationale = RecommendationRationale.RecommendationRationale;
import * as RemoveDataFileDetails from "./remove-data-file-details";
export import RemoveDataFileDetails = RemoveDataFileDetails.RemoveDataFileDetails;
import * as RemoveManagedDatabaseFromManagedDatabaseGroupDetails from "./remove-managed-database-from-managed-database-group-details";
export import RemoveManagedDatabaseFromManagedDatabaseGroupDetails = RemoveManagedDatabaseFromManagedDatabaseGroupDetails.RemoveManagedDatabaseFromManagedDatabaseGroupDetails;
import * as ResetDatabaseParametersDetails from "./reset-database-parameters-details";
export import ResetDatabaseParametersDetails = ResetDatabaseParametersDetails.ResetDatabaseParametersDetails;
import * as ResizeDataFileDetails from "./resize-data-file-details";
export import ResizeDataFileDetails = ResizeDataFileDetails.ResizeDataFileDetails;
import * as ResourceType from "./resource-type";
export import ResourceType = ResourceType.ResourceType;
import * as RestCredential from "./rest-credential";
export import RestCredential = RestCredential.RestCredential;
import * as Role from "./role";
export import Role = Role.Role;
import * as RoleCollection from "./role-collection";
export import RoleCollection = RoleCollection.RoleCollection;
import * as RoleSummary from "./role-summary";
export import RoleSummary = RoleSummary.RoleSummary;
import * as RuleFinding from "./rule-finding";
export import RuleFinding = RuleFinding.RuleFinding;
import * as RunHistoricAddmDetails from "./run-historic-addm-details";
export import RunHistoricAddmDetails = RunHistoricAddmDetails.RunHistoricAddmDetails;
import * as SaveSqlTuningSetAsDetails from "./save-sql-tuning-set-as-details";
export import SaveSqlTuningSetAsDetails = SaveSqlTuningSetAsDetails.SaveSqlTuningSetAsDetails;
import * as SchemaDefinition from "./schema-definition";
export import SchemaDefinition = SchemaDefinition.SchemaDefinition;
import * as SnapshotDetails from "./snapshot-details";
export import SnapshotDetails = SnapshotDetails.SnapshotDetails;
import * as SortOrders from "./sort-orders";
export import SortOrders = SortOrders.SortOrders;
import * as SpmEvolveTaskParameters from "./spm-evolve-task-parameters";
export import SpmEvolveTaskParameters = SpmEvolveTaskParameters.SpmEvolveTaskParameters;
import * as SqlCpuActivity from "./sql-cpu-activity";
export import SqlCpuActivity = SqlCpuActivity.SqlCpuActivity;
import * as SqlInSqlTuningSet from "./sql-in-sql-tuning-set";
export import SqlInSqlTuningSet = SqlInSqlTuningSet.SqlInSqlTuningSet;
import * as SqlMetrics from "./sql-metrics";
export import SqlMetrics = SqlMetrics.SqlMetrics;
import * as SqlPlanBaseline from "./sql-plan-baseline";
export import SqlPlanBaseline = SqlPlanBaseline.SqlPlanBaseline;
import * as SqlPlanBaselineAggregation from "./sql-plan-baseline-aggregation";
export import SqlPlanBaselineAggregation = SqlPlanBaselineAggregation.SqlPlanBaselineAggregation;
import * as SqlPlanBaselineAggregationCollection from "./sql-plan-baseline-aggregation-collection";
export import SqlPlanBaselineAggregationCollection = SqlPlanBaselineAggregationCollection.SqlPlanBaselineAggregationCollection;
import * as SqlPlanBaselineCollection from "./sql-plan-baseline-collection";
export import SqlPlanBaselineCollection = SqlPlanBaselineCollection.SqlPlanBaselineCollection;
import * as SqlPlanBaselineConfiguration from "./sql-plan-baseline-configuration";
export import SqlPlanBaselineConfiguration = SqlPlanBaselineConfiguration.SqlPlanBaselineConfiguration;
import * as SqlPlanBaselineDimensions from "./sql-plan-baseline-dimensions";
export import SqlPlanBaselineDimensions = SqlPlanBaselineDimensions.SqlPlanBaselineDimensions;
import * as SqlPlanBaselineJob from "./sql-plan-baseline-job";
export import SqlPlanBaselineJob = SqlPlanBaselineJob.SqlPlanBaselineJob;
import * as SqlPlanBaselineJobCollection from "./sql-plan-baseline-job-collection";
export import SqlPlanBaselineJobCollection = SqlPlanBaselineJobCollection.SqlPlanBaselineJobCollection;
import * as SqlPlanBaselineJobSummary from "./sql-plan-baseline-job-summary";
export import SqlPlanBaselineJobSummary = SqlPlanBaselineJobSummary.SqlPlanBaselineJobSummary;
import * as SqlPlanBaselineOrigin from "./sql-plan-baseline-origin";
export import SqlPlanBaselineOrigin = SqlPlanBaselineOrigin.SqlPlanBaselineOrigin;
import * as SqlPlanBaselineSummary from "./sql-plan-baseline-summary";
export import SqlPlanBaselineSummary = SqlPlanBaselineSummary.SqlPlanBaselineSummary;
import * as SqlTuningAdvisorTaskCollection from "./sql-tuning-advisor-task-collection";
export import SqlTuningAdvisorTaskCollection = SqlTuningAdvisorTaskCollection.SqlTuningAdvisorTaskCollection;
import * as SqlTuningAdvisorTaskFindingCollection from "./sql-tuning-advisor-task-finding-collection";
export import SqlTuningAdvisorTaskFindingCollection = SqlTuningAdvisorTaskFindingCollection.SqlTuningAdvisorTaskFindingCollection;
import * as SqlTuningAdvisorTaskFindingSummary from "./sql-tuning-advisor-task-finding-summary";
export import SqlTuningAdvisorTaskFindingSummary = SqlTuningAdvisorTaskFindingSummary.SqlTuningAdvisorTaskFindingSummary;
import * as SqlTuningAdvisorTaskRecommendationCollection from "./sql-tuning-advisor-task-recommendation-collection";
export import SqlTuningAdvisorTaskRecommendationCollection = SqlTuningAdvisorTaskRecommendationCollection.SqlTuningAdvisorTaskRecommendationCollection;
import * as SqlTuningAdvisorTaskRecommendationSummary from "./sql-tuning-advisor-task-recommendation-summary";
export import SqlTuningAdvisorTaskRecommendationSummary = SqlTuningAdvisorTaskRecommendationSummary.SqlTuningAdvisorTaskRecommendationSummary;
import * as SqlTuningAdvisorTaskSqlExecutionPlan from "./sql-tuning-advisor-task-sql-execution-plan";
export import SqlTuningAdvisorTaskSqlExecutionPlan = SqlTuningAdvisorTaskSqlExecutionPlan.SqlTuningAdvisorTaskSqlExecutionPlan;
import * as SqlTuningAdvisorTaskSummary from "./sql-tuning-advisor-task-summary";
export import SqlTuningAdvisorTaskSummary = SqlTuningAdvisorTaskSummary.SqlTuningAdvisorTaskSummary;
import * as SqlTuningAdvisorTaskSummaryFindingBenefits from "./sql-tuning-advisor-task-summary-finding-benefits";
export import SqlTuningAdvisorTaskSummaryFindingBenefits = SqlTuningAdvisorTaskSummaryFindingBenefits.SqlTuningAdvisorTaskSummaryFindingBenefits;
import * as SqlTuningAdvisorTaskSummaryFindingCounts from "./sql-tuning-advisor-task-summary-finding-counts";
export import SqlTuningAdvisorTaskSummaryFindingCounts = SqlTuningAdvisorTaskSummaryFindingCounts.SqlTuningAdvisorTaskSummaryFindingCounts;
import * as SqlTuningAdvisorTaskSummaryReport from "./sql-tuning-advisor-task-summary-report";
export import SqlTuningAdvisorTaskSummaryReport = SqlTuningAdvisorTaskSummaryReport.SqlTuningAdvisorTaskSummaryReport;
import * as SqlTuningAdvisorTaskSummaryReportIndexFindingSummary from "./sql-tuning-advisor-task-summary-report-index-finding-summary";
export import SqlTuningAdvisorTaskSummaryReportIndexFindingSummary = SqlTuningAdvisorTaskSummaryReportIndexFindingSummary.SqlTuningAdvisorTaskSummaryReportIndexFindingSummary;
import * as SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary from "./sql-tuning-advisor-task-summary-report-object-stat-finding-summary";
export import SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary = SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary.SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary;
import * as SqlTuningAdvisorTaskSummaryReportStatementCounts from "./sql-tuning-advisor-task-summary-report-statement-counts";
export import SqlTuningAdvisorTaskSummaryReportStatementCounts = SqlTuningAdvisorTaskSummaryReportStatementCounts.SqlTuningAdvisorTaskSummaryReportStatementCounts;
import * as SqlTuningAdvisorTaskSummaryReportStatistics from "./sql-tuning-advisor-task-summary-report-statistics";
export import SqlTuningAdvisorTaskSummaryReportStatistics = SqlTuningAdvisorTaskSummaryReportStatistics.SqlTuningAdvisorTaskSummaryReportStatistics;
import * as SqlTuningAdvisorTaskSummaryReportTaskInfo from "./sql-tuning-advisor-task-summary-report-task-info";
export import SqlTuningAdvisorTaskSummaryReportTaskInfo = SqlTuningAdvisorTaskSummaryReportTaskInfo.SqlTuningAdvisorTaskSummaryReportTaskInfo;
import * as SqlTuningSet from "./sql-tuning-set";
export import SqlTuningSet = SqlTuningSet.SqlTuningSet;
import * as SqlTuningSetAdminActionStatus from "./sql-tuning-set-admin-action-status";
export import SqlTuningSetAdminActionStatus = SqlTuningSetAdminActionStatus.SqlTuningSetAdminActionStatus;
import * as SqlTuningSetAdminCredentialDetails from "./sql-tuning-set-admin-credential-details";
export import SqlTuningSetAdminCredentialDetails = SqlTuningSetAdminCredentialDetails.SqlTuningSetAdminCredentialDetails;
import * as SqlTuningSetCollection from "./sql-tuning-set-collection";
export import SqlTuningSetCollection = SqlTuningSetCollection.SqlTuningSetCollection;
import * as SqlTuningSetInput from "./sql-tuning-set-input";
export import SqlTuningSetInput = SqlTuningSetInput.SqlTuningSetInput;
import * as SqlTuningSetStatusTypes from "./sql-tuning-set-status-types";
export import SqlTuningSetStatusTypes = SqlTuningSetStatusTypes.SqlTuningSetStatusTypes;
import * as SqlTuningSetSummary from "./sql-tuning-set-summary";
export import SqlTuningSetSummary = SqlTuningSetSummary.SqlTuningSetSummary;
import * as SqlTuningTaskCredentialDetails from "./sql-tuning-task-credential-details";
export import SqlTuningTaskCredentialDetails = SqlTuningTaskCredentialDetails.SqlTuningTaskCredentialDetails;
import * as SqlTuningTaskCredentialTypes from "./sql-tuning-task-credential-types";
export import SqlTuningTaskCredentialTypes = SqlTuningTaskCredentialTypes.SqlTuningTaskCredentialTypes;
import * as SqlTuningTaskPlanStats from "./sql-tuning-task-plan-stats";
export import SqlTuningTaskPlanStats = SqlTuningTaskPlanStats.SqlTuningTaskPlanStats;
import * as SqlTuningTaskReturn from "./sql-tuning-task-return";
export import SqlTuningTaskReturn = SqlTuningTaskReturn.SqlTuningTaskReturn;
import * as SqlTuningTaskSqlDetail from "./sql-tuning-task-sql-detail";
export import SqlTuningTaskSqlDetail = SqlTuningTaskSqlDetail.SqlTuningTaskSqlDetail;
import * as SqlTuningTaskSqlExecutionPlanStep from "./sql-tuning-task-sql-execution-plan-step";
export import SqlTuningTaskSqlExecutionPlanStep = SqlTuningTaskSqlExecutionPlanStep.SqlTuningTaskSqlExecutionPlanStep;
import * as SqlTuningTaskStatusTypes from "./sql-tuning-task-status-types";
export import SqlTuningTaskStatusTypes = SqlTuningTaskStatusTypes.SqlTuningTaskStatusTypes;
import * as StartSqlTuningTaskDetails from "./start-sql-tuning-task-details";
export import StartSqlTuningTaskDetails = StartSqlTuningTaskDetails.StartSqlTuningTaskDetails;
import * as StatementsAggregateMetrics from "./statements-aggregate-metrics";
export import StatementsAggregateMetrics = StatementsAggregateMetrics.StatementsAggregateMetrics;
import * as SystemPrivilegeCollection from "./system-privilege-collection";
export import SystemPrivilegeCollection = SystemPrivilegeCollection.SystemPrivilegeCollection;
import * as SystemPrivilegeSummary from "./system-privilege-summary";
export import SystemPrivilegeSummary = SystemPrivilegeSummary.SystemPrivilegeSummary;
import * as TableStatisticSummary from "./table-statistic-summary";
export import TableStatisticSummary = TableStatisticSummary.TableStatisticSummary;
import * as TableStatisticsCollection from "./table-statistics-collection";
export import TableStatisticsCollection = TableStatisticsCollection.TableStatisticsCollection;
import * as TableStatisticsStatusCategory from "./table-statistics-status-category";
export import TableStatisticsStatusCategory = TableStatisticsStatusCategory.TableStatisticsStatusCategory;
import * as Tablespace from "./tablespace";
export import Tablespace = Tablespace.Tablespace;
import * as TablespaceAdminCredentialDetails from "./tablespace-admin-credential-details";
export import TablespaceAdminCredentialDetails = TablespaceAdminCredentialDetails.TablespaceAdminCredentialDetails;
import * as TablespaceAdminStatus from "./tablespace-admin-status";
export import TablespaceAdminStatus = TablespaceAdminStatus.TablespaceAdminStatus;
import * as TablespaceCollection from "./tablespace-collection";
export import TablespaceCollection = TablespaceCollection.TablespaceCollection;
import * as TablespaceStorageSize from "./tablespace-storage-size";
export import TablespaceStorageSize = TablespaceStorageSize.TablespaceStorageSize;
import * as TablespaceSummary from "./tablespace-summary";
export import TablespaceSummary = TablespaceSummary.TablespaceSummary;
import * as TestNamedCredentialDetails from "./test-named-credential-details";
export import TestNamedCredentialDetails = TestNamedCredentialDetails.TestNamedCredentialDetails;
import * as TestNamedCredentialStatus from "./test-named-credential-status";
export import TestNamedCredentialStatus = TestNamedCredentialStatus.TestNamedCredentialStatus;
import * as TestPreferredCredentialDetails from "./test-preferred-credential-details";
export import TestPreferredCredentialDetails = TestPreferredCredentialDetails.TestPreferredCredentialDetails;
import * as TestPreferredCredentialStatus from "./test-preferred-credential-status";
export import TestPreferredCredentialStatus = TestPreferredCredentialStatus.TestPreferredCredentialStatus;
import * as TimeSeriesMetricDataPoint from "./time-series-metric-data-point";
export import TimeSeriesMetricDataPoint = TimeSeriesMetricDataPoint.TimeSeriesMetricDataPoint;
import * as TimeSeriesMetricDefinition from "./time-series-metric-definition";
export import TimeSeriesMetricDefinition = TimeSeriesMetricDefinition.TimeSeriesMetricDefinition;
import * as TopSqlCpuActivity from "./top-sql-cpu-activity";
export import TopSqlCpuActivity = TopSqlCpuActivity.TopSqlCpuActivity;
import * as UpdateDatabaseParametersResult from "./update-database-parameters-result";
export import UpdateDatabaseParametersResult = UpdateDatabaseParametersResult.UpdateDatabaseParametersResult;
import * as UpdateDbManagementPrivateEndpointDetails from "./update-db-management-private-endpoint-details";
export import UpdateDbManagementPrivateEndpointDetails = UpdateDbManagementPrivateEndpointDetails.UpdateDbManagementPrivateEndpointDetails;
import * as UpdateExternalAsmDetails from "./update-external-asm-details";
export import UpdateExternalAsmDetails = UpdateExternalAsmDetails.UpdateExternalAsmDetails;
import * as UpdateExternalAsmInstanceDetails from "./update-external-asm-instance-details";
export import UpdateExternalAsmInstanceDetails = UpdateExternalAsmInstanceDetails.UpdateExternalAsmInstanceDetails;
import * as UpdateExternalClusterDetails from "./update-external-cluster-details";
export import UpdateExternalClusterDetails = UpdateExternalClusterDetails.UpdateExternalClusterDetails;
import * as UpdateExternalClusterInstanceDetails from "./update-external-cluster-instance-details";
export import UpdateExternalClusterInstanceDetails = UpdateExternalClusterInstanceDetails.UpdateExternalClusterInstanceDetails;
import * as UpdateExternalDbHomeDetails from "./update-external-db-home-details";
export import UpdateExternalDbHomeDetails = UpdateExternalDbHomeDetails.UpdateExternalDbHomeDetails;
import * as UpdateExternalDbNodeDetails from "./update-external-db-node-details";
export import UpdateExternalDbNodeDetails = UpdateExternalDbNodeDetails.UpdateExternalDbNodeDetails;
import * as UpdateExternalDbSystemConnectorDetails from "./update-external-db-system-connector-details";
export import UpdateExternalDbSystemConnectorDetails = UpdateExternalDbSystemConnectorDetails.UpdateExternalDbSystemConnectorDetails;
import * as UpdateExternalDbSystemDetails from "./update-external-db-system-details";
export import UpdateExternalDbSystemDetails = UpdateExternalDbSystemDetails.UpdateExternalDbSystemDetails;
import * as UpdateExternalDbSystemDiscoveryDetails from "./update-external-db-system-discovery-details";
export import UpdateExternalDbSystemDiscoveryDetails = UpdateExternalDbSystemDiscoveryDetails.UpdateExternalDbSystemDiscoveryDetails;
import * as UpdateExternalExadataInfrastructureDetails from "./update-external-exadata-infrastructure-details";
export import UpdateExternalExadataInfrastructureDetails = UpdateExternalExadataInfrastructureDetails.UpdateExternalExadataInfrastructureDetails;
import * as UpdateExternalExadataStorageConnectorDetails from "./update-external-exadata-storage-connector-details";
export import UpdateExternalExadataStorageConnectorDetails = UpdateExternalExadataStorageConnectorDetails.UpdateExternalExadataStorageConnectorDetails;
import * as UpdateExternalExadataStorageGridDetails from "./update-external-exadata-storage-grid-details";
export import UpdateExternalExadataStorageGridDetails = UpdateExternalExadataStorageGridDetails.UpdateExternalExadataStorageGridDetails;
import * as UpdateExternalExadataStorageServerDetails from "./update-external-exadata-storage-server-details";
export import UpdateExternalExadataStorageServerDetails = UpdateExternalExadataStorageServerDetails.UpdateExternalExadataStorageServerDetails;
import * as UpdateExternalListenerDetails from "./update-external-listener-details";
export import UpdateExternalListenerDetails = UpdateExternalListenerDetails.UpdateExternalListenerDetails;
import * as UpdateJobDetails from "./update-job-details";
export import UpdateJobDetails = UpdateJobDetails.UpdateJobDetails;
import * as UpdateManagedDatabaseDetails from "./update-managed-database-details";
export import UpdateManagedDatabaseDetails = UpdateManagedDatabaseDetails.UpdateManagedDatabaseDetails;
import * as UpdateManagedDatabaseGroupDetails from "./update-managed-database-group-details";
export import UpdateManagedDatabaseGroupDetails = UpdateManagedDatabaseGroupDetails.UpdateManagedDatabaseGroupDetails;
import * as UpdateNamedCredentialDetails from "./update-named-credential-details";
export import UpdateNamedCredentialDetails = UpdateNamedCredentialDetails.UpdateNamedCredentialDetails;
import * as UpdatePreferredCredentialDetails from "./update-preferred-credential-details";
export import UpdatePreferredCredentialDetails = UpdatePreferredCredentialDetails.UpdatePreferredCredentialDetails;
import * as UpdateTablespaceDetails from "./update-tablespace-details";
export import UpdateTablespaceDetails = UpdateTablespaceDetails.UpdateTablespaceDetails;
import * as User from "./user";
export import User = User.User;
import * as UserCollection from "./user-collection";
export import UserCollection = UserCollection.UserCollection;
import * as UserSummary from "./user-summary";
export import UserSummary = UserSummary.UserSummary;
import * as ValidateBasicFilterDetails from "./validate-basic-filter-details";
export import ValidateBasicFilterDetails = ValidateBasicFilterDetails.ValidateBasicFilterDetails;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestCollection from "./work-request-collection";
export import WorkRequestCollection = WorkRequestCollection.WorkRequestCollection;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestOperationType from "./work-request-operation-type";
export import WorkRequestOperationType = WorkRequestOperationType.WorkRequestOperationType;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestResourceActionType from "./work-request-resource-action-type";
export import WorkRequestResourceActionType = WorkRequestResourceActionType.WorkRequestResourceActionType;
import * as WorkRequestStatus from "./work-request-status";
export import WorkRequestStatus = WorkRequestStatus.WorkRequestStatus;
import * as WorkRequestSubResource from "./work-request-sub-resource";
export import WorkRequestSubResource = WorkRequestSubResource.WorkRequestSubResource;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as WorkloadType from "./workload-type";
export import WorkloadType = WorkloadType.WorkloadType;
import * as AsmConnectionCredentailsByName from "./asm-connection-credentails-by-name";
export import AsmConnectionCredentailsByName = AsmConnectionCredentailsByName.AsmConnectionCredentailsByName;
import * as AsmConnectionCredentialsByDetails from "./asm-connection-credentials-by-details";
export import AsmConnectionCredentialsByDetails = AsmConnectionCredentialsByDetails.AsmConnectionCredentialsByDetails;
import * as AwrDbCollection from "./awr-db-collection";
export import AwrDbCollection = AwrDbCollection.AwrDbCollection;
import * as AwrDbCpuUsageCollection from "./awr-db-cpu-usage-collection";
export import AwrDbCpuUsageCollection = AwrDbCpuUsageCollection.AwrDbCpuUsageCollection;
import * as AwrDbMetricCollection from "./awr-db-metric-collection";
export import AwrDbMetricCollection = AwrDbMetricCollection.AwrDbMetricCollection;
import * as AwrDbParameterChangeCollection from "./awr-db-parameter-change-collection";
export import AwrDbParameterChangeCollection = AwrDbParameterChangeCollection.AwrDbParameterChangeCollection;
import * as AwrDbParameterCollection from "./awr-db-parameter-collection";
export import AwrDbParameterCollection = AwrDbParameterCollection.AwrDbParameterCollection;
import * as AwrDbReport from "./awr-db-report";
export import AwrDbReport = AwrDbReport.AwrDbReport;
import * as AwrDbSnapshotCollection from "./awr-db-snapshot-collection";
export import AwrDbSnapshotCollection = AwrDbSnapshotCollection.AwrDbSnapshotCollection;
import * as AwrDbSnapshotRangeCollection from "./awr-db-snapshot-range-collection";
export import AwrDbSnapshotRangeCollection = AwrDbSnapshotRangeCollection.AwrDbSnapshotRangeCollection;
import * as AwrDbSqlReport from "./awr-db-sql-report";
export import AwrDbSqlReport = AwrDbSqlReport.AwrDbSqlReport;
import * as AwrDbSysstatCollection from "./awr-db-sysstat-collection";
export import AwrDbSysstatCollection = AwrDbSysstatCollection.AwrDbSysstatCollection;
import * as AwrDbTopWaitEventCollection from "./awr-db-top-wait-event-collection";
export import AwrDbTopWaitEventCollection = AwrDbTopWaitEventCollection.AwrDbTopWaitEventCollection;
import * as AwrDbWaitEventBucketCollection from "./awr-db-wait-event-bucket-collection";
export import AwrDbWaitEventBucketCollection = AwrDbWaitEventBucketCollection.AwrDbWaitEventBucketCollection;
import * as AwrDbWaitEventCollection from "./awr-db-wait-event-collection";
export import AwrDbWaitEventCollection = AwrDbWaitEventCollection.AwrDbWaitEventCollection;
import * as BasicDatabaseConnectionStringDetails from "./basic-database-connection-string-details";
export import BasicDatabaseConnectionStringDetails = BasicDatabaseConnectionStringDetails.BasicDatabaseConnectionStringDetails;
import * as BasicNamedCredentialContent from "./basic-named-credential-content";
export import BasicNamedCredentialContent = BasicNamedCredentialContent.BasicNamedCredentialContent;
import * as BasicPreferredCredential from "./basic-preferred-credential";
export import BasicPreferredCredential = BasicPreferredCredential.BasicPreferredCredential;
import * as CreateExternalDbSystemMacsConnectorDetails from "./create-external-db-system-macs-connector-details";
export import CreateExternalDbSystemMacsConnectorDetails = CreateExternalDbSystemMacsConnectorDetails.CreateExternalDbSystemMacsConnectorDetails;
import * as CreateSqlJobDetails from "./create-sql-job-details";
export import CreateSqlJobDetails = CreateSqlJobDetails.CreateSqlJobDetails;
import * as DatabaseConnectionCredentailsByName from "./database-connection-credentails-by-name";
export import DatabaseConnectionCredentailsByName = DatabaseConnectionCredentailsByName.DatabaseConnectionCredentailsByName;
import * as DatabaseConnectionCredentialsByDetails from "./database-connection-credentials-by-details";
export import DatabaseConnectionCredentialsByDetails = DatabaseConnectionCredentialsByDetails.DatabaseConnectionCredentialsByDetails;
import * as DatabaseDiagnosticsAndManagementFeatureConfiguration from "./database-diagnostics-and-management-feature-configuration";
export import DatabaseDiagnosticsAndManagementFeatureConfiguration = DatabaseDiagnosticsAndManagementFeatureConfiguration.DatabaseDiagnosticsAndManagementFeatureConfiguration;
import * as DatabaseDiagnosticsAndManagementFeatureDetails from "./database-diagnostics-and-management-feature-details";
export import DatabaseDiagnosticsAndManagementFeatureDetails = DatabaseDiagnosticsAndManagementFeatureDetails.DatabaseDiagnosticsAndManagementFeatureDetails;
import * as DatabaseNamedCredentialDetails from "./database-named-credential-details";
export import DatabaseNamedCredentialDetails = DatabaseNamedCredentialDetails.DatabaseNamedCredentialDetails;
import * as DatabasePasswordCredentialDetails from "./database-password-credential-details";
export import DatabasePasswordCredentialDetails = DatabasePasswordCredentialDetails.DatabasePasswordCredentialDetails;
import * as DatabaseSecretCredentialDetails from "./database-secret-credential-details";
export import DatabaseSecretCredentialDetails = DatabaseSecretCredentialDetails.DatabaseSecretCredentialDetails;
import * as DatabaseSslConnectionCredentials from "./database-ssl-connection-credentials";
export import DatabaseSslConnectionCredentials = DatabaseSslConnectionCredentials.DatabaseSslConnectionCredentials;
import * as DiscoveredExternalAsm from "./discovered-external-asm";
export import DiscoveredExternalAsm = DiscoveredExternalAsm.DiscoveredExternalAsm;
import * as DiscoveredExternalAsmInstance from "./discovered-external-asm-instance";
export import DiscoveredExternalAsmInstance = DiscoveredExternalAsmInstance.DiscoveredExternalAsmInstance;
import * as DiscoveredExternalCluster from "./discovered-external-cluster";
export import DiscoveredExternalCluster = DiscoveredExternalCluster.DiscoveredExternalCluster;
import * as DiscoveredExternalClusterInstance from "./discovered-external-cluster-instance";
export import DiscoveredExternalClusterInstance = DiscoveredExternalClusterInstance.DiscoveredExternalClusterInstance;
import * as DiscoveredExternalDatabase from "./discovered-external-database";
export import DiscoveredExternalDatabase = DiscoveredExternalDatabase.DiscoveredExternalDatabase;
import * as DiscoveredExternalDbHome from "./discovered-external-db-home";
export import DiscoveredExternalDbHome = DiscoveredExternalDbHome.DiscoveredExternalDbHome;
import * as DiscoveredExternalDbNode from "./discovered-external-db-node";
export import DiscoveredExternalDbNode = DiscoveredExternalDbNode.DiscoveredExternalDbNode;
import * as DiscoveredExternalListener from "./discovered-external-listener";
export import DiscoveredExternalListener = DiscoveredExternalListener.DiscoveredExternalListener;
import * as DiscoveredExternalPluggableDatabase from "./discovered-external-pluggable-database";
export import DiscoveredExternalPluggableDatabase = DiscoveredExternalPluggableDatabase.DiscoveredExternalPluggableDatabase;
import * as ExternalAsmConnectionInfo from "./external-asm-connection-info";
export import ExternalAsmConnectionInfo = ExternalAsmConnectionInfo.ExternalAsmConnectionInfo;
import * as ExternalConnectorDetails from "./external-connector-details";
export import ExternalConnectorDetails = ExternalConnectorDetails.ExternalConnectorDetails;
import * as ExternalDatabaseConnectionInfo from "./external-database-connection-info";
export import ExternalDatabaseConnectionInfo = ExternalDatabaseConnectionInfo.ExternalDatabaseConnectionInfo;
import * as ExternalDatabaseDiagnosticsAndManagementFeatureDetails from "./external-database-diagnostics-and-management-feature-details";
export import ExternalDatabaseDiagnosticsAndManagementFeatureDetails = ExternalDatabaseDiagnosticsAndManagementFeatureDetails.ExternalDatabaseDiagnosticsAndManagementFeatureDetails;
import * as ExternalDatabaseSystemDiscoverySummary from "./external-database-system-discovery-summary";
export import ExternalDatabaseSystemDiscoverySummary = ExternalDatabaseSystemDiscoverySummary.ExternalDatabaseSystemDiscoverySummary;
import * as ExternalDbSystemDiscoveryMacsConnector from "./external-db-system-discovery-macs-connector";
export import ExternalDbSystemDiscoveryMacsConnector = ExternalDbSystemDiscoveryMacsConnector.ExternalDbSystemDiscoveryMacsConnector;
import * as ExternalDbSystemMacsConnector from "./external-db-system-macs-connector";
export import ExternalDbSystemMacsConnector = ExternalDbSystemMacsConnector.ExternalDbSystemMacsConnector;
import * as ExternalExadataDatabaseSystemSummary from "./external-exadata-database-system-summary";
export import ExternalExadataDatabaseSystemSummary = ExternalExadataDatabaseSystemSummary.ExternalExadataDatabaseSystemSummary;
import * as ExternalExadataInfrastructure from "./external-exadata-infrastructure";
export import ExternalExadataInfrastructure = ExternalExadataInfrastructure.ExternalExadataInfrastructure;
import * as ExternalExadataInfrastructureDiscovery from "./external-exadata-infrastructure-discovery";
export import ExternalExadataInfrastructureDiscovery = ExternalExadataInfrastructureDiscovery.ExternalExadataInfrastructureDiscovery;
import * as ExternalExadataInfrastructureDiscoverySummary from "./external-exadata-infrastructure-discovery-summary";
export import ExternalExadataInfrastructureDiscoverySummary = ExternalExadataInfrastructureDiscoverySummary.ExternalExadataInfrastructureDiscoverySummary;
import * as ExternalExadataInfrastructureSummary from "./external-exadata-infrastructure-summary";
export import ExternalExadataInfrastructureSummary = ExternalExadataInfrastructureSummary.ExternalExadataInfrastructureSummary;
import * as ExternalExadataStorageConnector from "./external-exadata-storage-connector";
export import ExternalExadataStorageConnector = ExternalExadataStorageConnector.ExternalExadataStorageConnector;
import * as ExternalExadataStorageConnectorSummary from "./external-exadata-storage-connector-summary";
export import ExternalExadataStorageConnectorSummary = ExternalExadataStorageConnectorSummary.ExternalExadataStorageConnectorSummary;
import * as ExternalExadataStorageGrid from "./external-exadata-storage-grid";
export import ExternalExadataStorageGrid = ExternalExadataStorageGrid.ExternalExadataStorageGrid;
import * as ExternalExadataStorageGridSummary from "./external-exadata-storage-grid-summary";
export import ExternalExadataStorageGridSummary = ExternalExadataStorageGridSummary.ExternalExadataStorageGridSummary;
import * as ExternalExadataStorageServer from "./external-exadata-storage-server";
export import ExternalExadataStorageServer = ExternalExadataStorageServer.ExternalExadataStorageServer;
import * as ExternalExadataStorageServerSummary from "./external-exadata-storage-server-summary";
export import ExternalExadataStorageServerSummary = ExternalExadataStorageServerSummary.ExternalExadataStorageServerSummary;
import * as ExternalListenerIpcEndpoint from "./external-listener-ipc-endpoint";
export import ExternalListenerIpcEndpoint = ExternalListenerIpcEndpoint.ExternalListenerIpcEndpoint;
import * as ExternalListenerTcpEndpoint from "./external-listener-tcp-endpoint";
export import ExternalListenerTcpEndpoint = ExternalListenerTcpEndpoint.ExternalListenerTcpEndpoint;
import * as ExternalListenerTcpsEndpoint from "./external-listener-tcps-endpoint";
export import ExternalListenerTcpsEndpoint = ExternalListenerTcpsEndpoint.ExternalListenerTcpsEndpoint;
import * as ExternalPluggableDatabaseDiagnosticsAndManagementFeatureDetails from "./external-pluggable-database-diagnostics-and-management-feature-details";
export import ExternalPluggableDatabaseDiagnosticsAndManagementFeatureDetails = ExternalPluggableDatabaseDiagnosticsAndManagementFeatureDetails.ExternalPluggableDatabaseDiagnosticsAndManagementFeatureDetails;
import * as ExternalStorageGridDiscoverySummary from "./external-storage-grid-discovery-summary";
export import ExternalStorageGridDiscoverySummary = ExternalStorageGridDiscoverySummary.ExternalStorageGridDiscoverySummary;
import * as ExternalStorageServerDiscoverySummary from "./external-storage-server-discovery-summary";
export import ExternalStorageServerDiscoverySummary = ExternalStorageServerDiscoverySummary.ExternalStorageServerDiscoverySummary;
import * as MacsConnectorDetails from "./macs-connector-details";
export import MacsConnectorDetails = MacsConnectorDetails.MacsConnectorDetails;
import * as ManagedDatabasePasswordCredential from "./managed-database-password-credential";
export import ManagedDatabasePasswordCredential = ManagedDatabasePasswordCredential.ManagedDatabasePasswordCredential;
import * as ManagedDatabaseSecretCredential from "./managed-database-secret-credential";
export import ManagedDatabaseSecretCredential = ManagedDatabaseSecretCredential.ManagedDatabaseSecretCredential;
import * as NamedPreferredCredential from "./named-preferred-credential";
export import NamedPreferredCredential = NamedPreferredCredential.NamedPreferredCredential;
import * as ObjectStorageJobExecutionResultDetails from "./object-storage-job-execution-result-details";
export import ObjectStorageJobExecutionResultDetails = ObjectStorageJobExecutionResultDetails.ObjectStorageJobExecutionResultDetails;
import * as ObjectStorageJobExecutionResultLocation from "./object-storage-job-execution-result-location";
export import ObjectStorageJobExecutionResultLocation = ObjectStorageJobExecutionResultLocation.ObjectStorageJobExecutionResultLocation;
import * as PatchMergeInstruction from "./patch-merge-instruction";
export import PatchMergeInstruction = PatchMergeInstruction.PatchMergeInstruction;
import * as PrivateEndPointConnectorDetails from "./private-end-point-connector-details";
export import PrivateEndPointConnectorDetails = PrivateEndPointConnectorDetails.PrivateEndPointConnectorDetails;
import * as SqlJob from "./sql-job";
export import SqlJob = SqlJob.SqlJob;
import * as SqlTuningSetAdminPasswordCredentialDetails from "./sql-tuning-set-admin-password-credential-details";
export import SqlTuningSetAdminPasswordCredentialDetails = SqlTuningSetAdminPasswordCredentialDetails.SqlTuningSetAdminPasswordCredentialDetails;
import * as SqlTuningSetAdminSecretCredentialDetails from "./sql-tuning-set-admin-secret-credential-details";
export import SqlTuningSetAdminSecretCredentialDetails = SqlTuningSetAdminSecretCredentialDetails.SqlTuningSetAdminSecretCredentialDetails;
import * as SqlTuningTaskPasswordCredentialDetails from "./sql-tuning-task-password-credential-details";
export import SqlTuningTaskPasswordCredentialDetails = SqlTuningTaskPasswordCredentialDetails.SqlTuningTaskPasswordCredentialDetails;
import * as SqlTuningTaskSecretCredentialDetails from "./sql-tuning-task-secret-credential-details";
export import SqlTuningTaskSecretCredentialDetails = SqlTuningTaskSecretCredentialDetails.SqlTuningTaskSecretCredentialDetails;
import * as TablespaceAdminPasswordCredentialDetails from "./tablespace-admin-password-credential-details";
export import TablespaceAdminPasswordCredentialDetails = TablespaceAdminPasswordCredentialDetails.TablespaceAdminPasswordCredentialDetails;
import * as TablespaceAdminSecretCredentialDetails from "./tablespace-admin-secret-credential-details";
export import TablespaceAdminSecretCredentialDetails = TablespaceAdminSecretCredentialDetails.TablespaceAdminSecretCredentialDetails;
import * as TestBasicPreferredCredentialDetails from "./test-basic-preferred-credential-details";
export import TestBasicPreferredCredentialDetails = TestBasicPreferredCredentialDetails.TestBasicPreferredCredentialDetails;
import * as TestNamedPreferredCredentialDetails from "./test-named-preferred-credential-details";
export import TestNamedPreferredCredentialDetails = TestNamedPreferredCredentialDetails.TestNamedPreferredCredentialDetails;
import * as UpdateBasicPreferredCredentialDetails from "./update-basic-preferred-credential-details";
export import UpdateBasicPreferredCredentialDetails = UpdateBasicPreferredCredentialDetails.UpdateBasicPreferredCredentialDetails;
import * as UpdateExternalDbSystemMacsConnectorDetails from "./update-external-db-system-macs-connector-details";
export import UpdateExternalDbSystemMacsConnectorDetails = UpdateExternalDbSystemMacsConnectorDetails.UpdateExternalDbSystemMacsConnectorDetails;
import * as UpdateNamedPreferredCredentialDetails from "./update-named-preferred-credential-details";
export import UpdateNamedPreferredCredentialDetails = UpdateNamedPreferredCredentialDetails.UpdateNamedPreferredCredentialDetails;
import * as UpdateSqlJobDetails from "./update-sql-job-details";
export import UpdateSqlJobDetails = UpdateSqlJobDetails.UpdateSqlJobDetails;
