/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of the Oracle Real Application Clusters (Oracle RAC) database instance.
 */
export interface InstanceDetails {
    /**
     * The ID of the Oracle RAC database instance. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "id": number;
    /**
     * The name of the Oracle RAC database instance.
     */
    "name": string;
    /**
     * The name of the host of the Oracle RAC database instance.
     */
    "hostName": string;
    /**
     * The status of the Oracle RAC database instance.
     */
    "status": InstanceDetails.Status;
}
export declare namespace InstanceDetails {
    enum Status {
        Up = "UP",
        Down = "DOWN",
        Unknown = "UNKNOWN",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: InstanceDetails): object;
    function getDeserializedJsonObj(obj: InstanceDetails): object;
}
