/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Managed Database on which the job is executed.
 */
export interface JobDatabase {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Managed Database.
     */
    "id": string;
    /**
     * The name of the Managed Database.
     */
    "name": string;
    /**
     * The type of Oracle Database installation.
     */
    "databaseType"?: model.DatabaseType;
    /**
     * The subtype of the Oracle Database. Indicates whether the database is a Container Database, Pluggable Database, or a Non-container Database.
     */
    "databaseSubType"?: model.DatabaseSubType;
    /**
     * A list of the supported infrastructure that can be used to deploy the database.
     */
    "deploymentType"?: model.DeploymentType;
    /**
     * Indicates whether the Oracle Database is part of a cluster.
     */
    "isCluster"?: boolean;
    /**
     * The workload type of the Autonomous Database.
     */
    "workloadType"?: model.WorkloadType;
}
export declare namespace JobDatabase {
    function getJsonObj(obj: JobDatabase): object;
    function getDeserializedJsonObj(obj: JobDatabase): object;
}
