"use strict";
/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobExecution = void 0;
const model = __importStar(require("../model"));
var JobExecution;
(function (JobExecution) {
    let Status;
    (function (Status) {
        Status["Succeeded"] = "SUCCEEDED";
        Status["Failed"] = "FAILED";
        Status["InProgress"] = "IN_PROGRESS";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Status["UnknownValue"] = "UNKNOWN_VALUE";
    })(Status = JobExecution.Status || (JobExecution.Status = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "resultDetails": obj.resultDetails
                ? model.JobExecutionResultDetails.getJsonObj(obj.resultDetails)
                : undefined,
            "inBinds": obj.inBinds ? model.JobInBindsDetails.getJsonObj(obj.inBinds) : undefined,
            "outBinds": obj.outBinds ? model.JobOutBindsDetails.getJsonObj(obj.outBinds) : undefined,
            "scheduleDetails": obj.scheduleDetails
                ? model.JobScheduleDetails.getJsonObj(obj.scheduleDetails)
                : undefined
        });
        return jsonObj;
    }
    JobExecution.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "resultDetails": obj.resultDetails
                ? model.JobExecutionResultDetails.getDeserializedJsonObj(obj.resultDetails)
                : undefined,
            "inBinds": obj.inBinds
                ? model.JobInBindsDetails.getDeserializedJsonObj(obj.inBinds)
                : undefined,
            "outBinds": obj.outBinds
                ? model.JobOutBindsDetails.getDeserializedJsonObj(obj.outBinds)
                : undefined,
            "scheduleDetails": obj.scheduleDetails
                ? model.JobScheduleDetails.getDeserializedJsonObj(obj.scheduleDetails)
                : undefined
        });
        return jsonObj;
    }
    JobExecution.getDeserializedJsonObj = getDeserializedJsonObj;
})(JobExecution = exports.JobExecution || (exports.JobExecution = {}));
//# sourceMappingURL=job-execution.js.map