/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of the job in-bind variable.
 */
export interface JobInBind {
    /**
     * The position of the in-bind variable. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "position": number;
    /**
     * The datatype of the in-bind variable.
     */
    "dataType": JobInBind.DataType;
    /**
     * The values for the in-bind variable.
     */
    "values": Array<string>;
    /**
     * The Oracle schema object name for the predefined type of array.
     */
    "arrayTypeName"?: string;
}
export declare namespace JobInBind {
    enum DataType {
        Number = "NUMBER",
        String = "STRING",
        Clob = "CLOB",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: JobInBind): object;
    function getDeserializedJsonObj(obj: JobInBind): object;
}
