/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to load plans from Automatic Workload Repository (AWR).
 * It takes either credentials or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface LoadSqlPlanBaselinesFromAwrDetails {
    /**
     * The name of the database job used for loading SQL plan baselines.
     */
    "jobName": string;
    /**
     * The description of the job.
     */
    "jobDescription"?: string;
    /**
     * The begin snapshot. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "beginSnapshot": number;
    /**
     * The end snapshot. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "endSnapshot": number;
    /**
     * A filter applied to AWR to select only qualifying plans to be loaded.
     * By default all plans in AWR are selected. The filter can take the form of
     * any {@code WHERE} clause predicate that can be specified against the column
     * {@code DBA_HIST_SQLTEXT.SQL_TEXT}. An example is {@code sql_text like 'SELECT %'}.
     *
     */
    "sqlTextFilter"?: string;
    /**
     * Indicates whether the plans are loaded as fixed plans ({@code true}) or non-fixed plans ({@code false}).
     * By default, they are loaded as non-fixed plans.
     *
     */
    "isFixed"?: boolean;
    /**
     * Indicates whether the loaded plans are enabled ({@code true}) or not ({@code false}).
     * By default, they are enabled.
     *
     */
    "isEnabled"?: boolean;
    "credentials"?: model.ManagedDatabasePasswordCredential | model.ManagedDatabaseSecretCredential;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
}
export declare namespace LoadSqlPlanBaselinesFromAwrDetails {
    function getJsonObj(obj: LoadSqlPlanBaselinesFromAwrDetails): object;
    function getDeserializedJsonObj(obj: LoadSqlPlanBaselinesFromAwrDetails): object;
}
