/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The management agent details required to connect to an Oracle cloud Database.
 *
 */
export interface MacsConnectorDetails extends model.ConnectorDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the management agent.
     */
    "managementAgentId": string;
    "connectorType": string;
}
export declare namespace MacsConnectorDetails {
    function getJsonObj(obj: MacsConnectorDetails, isParentJsonObj?: boolean): object;
    const connectorType = "MACS";
    function getDeserializedJsonObj(obj: MacsConnectorDetails, isParentJsonObj?: boolean): object;
}
