/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of the Managed MySQL Database.
 */
export interface ManagedMySqlDatabaseSummary {
    /**
     * The OCID of the Managed MySQL Database.
     */
    "id": string;
    /**
     * The OCID of the compartment.
     */
    "compartmentId": string;
    /**
     * The name of the MySQL Database.
     */
    "dbName": string;
    /**
     * The version of the MySQL Database.
     */
    "dbVersion": string;
    /**
     * The date and time the Managed MySQL Database was created.
     */
    "timeCreated": Date;
    /**
     * The name of the Managed MySQL Database.
     */
    "name": string;
}
export declare namespace ManagedMySqlDatabaseSummary {
    function getJsonObj(obj: ManagedMySqlDatabaseSummary): object;
    function getDeserializedJsonObj(obj: ManagedMySqlDatabaseSummary): object;
}
