/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The collection of metrics.
 */
export interface MetricsAggregationRangeCollection {
    /**
     * The metric data.
     */
    "items": Array<model.MetricsAggregationRange>;
    /**
     * The beginning of the metric data query time range. Expressed in UTC in
     * ISO-8601 format, which is {@code yyyy-MM-dd'T'hh:mm:ss.sss'Z'}.
     *
     */
    "startTime"?: string;
    /**
     * The end of the metric data query time range. Expressed in UTC in
     * ISO-8601 format, which is {@code yyyy-MM-dd'T'hh:mm:ss.sss'Z'}.
     *
     */
    "endTime"?: string;
}
export declare namespace MetricsAggregationRangeCollection {
    function getJsonObj(obj: MetricsAggregationRangeCollection): object;
    function getDeserializedJsonObj(obj: MetricsAggregationRangeCollection): object;
}
