/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The set of aggregated data returned for a metric.
 */
export interface MetricsAggregationRange {
    "header"?: model.DbManagementAnalyticsMetric;
    /**
      * The list of metrics returned for the specified request. Each of the metrics
  * has a {@code metricName} and additional properties like {@code metadata}, {@code dimensions}.
  * If a property is not set, then use the value from {@code header}.
  * <p>
  Suppose {@code m} be an item in the {@code metrics} array:
  * - If {@code m.metricName} is not set, use {@code header.metricName} instead
  * - If {@code m.durationInSeconds} is not set, use {@code header.durationInSeconds} instead
  * - If {@code m.dimensions} is not set, use {@code header.dimensions} instead
  * - If {@code m.metadata} is not set, use {@code header.metadata} instead
  *
      */
    "metrics"?: Array<model.DbManagementAnalyticsMetric>;
    /**
     * The beginning of the time range (inclusive) of the returned metric data. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rangeStartTimeInEpochSeconds"?: number;
    /**
     * The end of the time range (exclusive) of the returned metric data. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rangeEndTimeInEpochSeconds"?: number;
}
export declare namespace MetricsAggregationRange {
    function getJsonObj(obj: MetricsAggregationRange): object;
    function getDeserializedJsonObj(obj: MetricsAggregationRange): object;
}
