/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The number of MySQL Databases in the fleet, grouped by database type and sub type.
 */
export interface MySqlFleetByCategory {
    /**
     * The type of the MySQL Database. Indicates whether the database is on premises or Oracle Cloud. Allowed values are: MDS and ONPREMISE
     */
    "databaseType": string;
    /**
     * The type of MySQL Database installation. Allowed values are: STANDALONE, HEATWAVE and HA
     */
    "mdsDeploymentType": string;
    /**
     * The number of MySQL Databases. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "inventoryCount": number;
}
export declare namespace MySqlFleetByCategory {
    function getJsonObj(obj: MySqlFleetByCategory): object;
    function getDeserializedJsonObj(obj: MySqlFleetByCategory): object;
}
