/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of the fleet metrics, which provides the metric aggregated value of the MySQL Databases in the fleet.
 */
export interface MySqlFleetMetricSummaryDefinition {
    /**
     * The aggregated metric value. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "metricValue": number;
    /**
     * The unique dimension key and values of the metric.
     */
    "dimensions": Array<model.MetricDimensionDefinition>;
    /**
     * The name of the metric.
     */
    "metricName": string;
    /**
     * The unit of the metric value.
     */
    "unit": string;
}
export declare namespace MySqlFleetMetricSummaryDefinition {
    function getJsonObj(obj: MySqlFleetMetricSummaryDefinition): object;
    function getDeserializedJsonObj(obj: MySqlFleetMetricSummaryDefinition): object;
}
