/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of the named credential.
 */
export interface NamedCredentialSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the named credential.
     */
    "id": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment
     * in which the named credential resides.
     *
     */
    "compartmentId": string;
    /**
     * The name of the named credential. Valid characters are uppercase or
     * lowercase letters, numbers, and \"_\". The name of the named credential
     * cannot be modified. It must be unique in the compartment and must begin with
     * an alphabetic character.
     *
     */
    "name": string;
    /**
     * The information specified by the user about the named credential.
     */
    "description": string;
    /**
     * The scope of the named credential.
     */
    "scope": model.NamedCredentialScope;
    /**
     * The type of resource associated with the named credential.
     */
    "type": model.ResourceType;
    /**
     * The current lifecycle state of the named credential.
     */
    "lifecycleState": model.LifecycleStates;
    /**
     * The details of the lifecycle state.
     */
    "lifecycleDetails": string;
    /**
     * The date and time the named credential was created.
     */
    "timeCreated": Date;
    /**
     * The date and time the named credential was last updated.
     */
    "timeUpdated": Date;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
      * System tags for this resource. Each key is predefined and scoped to a namespace.
  * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
  * System tags can be viewed by users, but can only be created by the system.
  * <p>
  Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
  *
      */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace NamedCredentialSummary {
    function getJsonObj(obj: NamedCredentialSummary): object;
    function getDeserializedJsonObj(obj: NamedCredentialSummary): object;
}
