/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A report that includes the rules, findings, recommendations, and actions discovered during the
 * execution of the Optimizer Statistics Advisor.
 *
 */
export interface OptimizerStatisticsAdvisorExecutionReport {
    /**
     * A summary of the Optimizer Statistics Advisor execution.
     */
    "summary": string;
    /**
     * The list of rules that were not adhered to by the Optimizer Statistics Collection.
     */
    "rules": Array<model.AdvisorRule>;
}
export declare namespace OptimizerStatisticsAdvisorExecutionReport {
    function getJsonObj(obj: OptimizerStatisticsAdvisorExecutionReport): object;
    function getDeserializedJsonObj(obj: OptimizerStatisticsAdvisorExecutionReport): object;
}
