/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of the Optimizer Statistics Advisor execution, which includes information about the Managed Database
 * and a comprehensive execution report.
 *
 */
export interface OptimizerStatisticsAdvisorExecution {
    "database"?: model.OptimizerDatabase;
    "report"?: model.OptimizerStatisticsAdvisorExecutionReport;
    /**
     * The name of the Optimizer Statistics Advisor task.
     */
    "taskName": string;
    /**
     * The name of the Optimizer Statistics Advisor execution.
     */
    "executionName": string;
    /**
     * The start time of the time range to retrieve the Optimizer Statistics Advisor execution of a Managed Database
     * in UTC in ISO-8601 format, which is \"yyyy-MM-dd'T'hh:mm:ss.sss'Z'\".
     *
     */
    "timeStart": Date;
    /**
     * The end time of the time range to retrieve the Optimizer Statistics Advisor execution of a Managed Database
     * in UTC in ISO-8601 format, which is \"yyyy-MM-dd'T'hh:mm:ss.sss'Z'\".
     *
     */
    "timeEnd": Date;
    /**
     * The status of the Optimizer Statistics Advisor execution.
     */
    "status": OptimizerStatisticsAdvisorExecution.Status;
    /**
     * The Optimizer Statistics Advisor execution status message, if any.
     */
    "statusMessage"?: string;
    /**
     * The errors in the Optimizer Statistics Advisor execution, if any.
     */
    "errorMessage"?: string;
    /**
     * The number of findings generated by the Optimizer Statistics Advisor execution. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "findings"?: number;
}
export declare namespace OptimizerStatisticsAdvisorExecution {
    enum Status {
        Executing = "EXECUTING",
        Completed = "COMPLETED",
        Interrupted = "INTERRUPTED",
        Cancelled = "CANCELLED",
        FatalError = "FATAL_ERROR",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: OptimizerStatisticsAdvisorExecution): object;
    function getDeserializedJsonObj(obj: OptimizerStatisticsAdvisorExecution): object;
}
