/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Data Guard performance metric details.
 */
export interface PerformanceMetrics {
    /**
     * The name of the metric.
     */
    "name"?: string;
    /**
     * The dimensions of the Data Guard performance metrics, such as primary database ID, primary database unique name.
     */
    "dimensions"?: any;
    /**
     * The metadata of the metric, such as Unit.
     */
    "metadata"?: any;
    /**
     * The aggregated datapoints of the metric.
     */
    "datapoints"?: Array<model.DataPoints>;
}
export declare namespace PerformanceMetrics {
    function getJsonObj(obj: PerformanceMetrics): object;
    function getDeserializedJsonObj(obj: PerformanceMetrics): object;
}
