/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to reset database parameter values.
 * It takes either credentials or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface ResetDatabaseParametersDetails {
    "credentials"?: model.DatabaseCredentials;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
    /**
      * The clause used to specify when the parameter change takes effect.
  * <p>
  Use {@code MEMORY} to make the change in memory and ensure that it takes
  * effect immediately. Use {@code SPFILE} to make the change in the server
  * parameter file. The change takes effect when the database is next
  * shut down and started up again. Use {@code BOTH} to make the change in
  * memory and in the server parameter file. The change takes effect
  * immediately and persists after the database is shut down and
  * started up again.
  *
      */
    "scope": model.ParameterScope;
    /**
     * A list of database parameter names.
     */
    "parameters": Array<string>;
}
export declare namespace ResetDatabaseParametersDetails {
    function getJsonObj(obj: ResetDatabaseParametersDetails): object;
    function getDeserializedJsonObj(obj: ResetDatabaseParametersDetails): object;
}
