/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to resize a data file or temp file within the tablespace.
 * It takes either credentialDetails or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface ResizeDataFileDetails {
    "credentialDetails"?: model.TablespaceAdminPasswordCredentialDetails | model.TablespaceAdminSecretCredentialDetails;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
    /**
     * Specifies whether the file is a data file or temp file.
     *
     */
    "fileType": ResizeDataFileDetails.FileType;
    /**
     * Name of the data file or temp file to be resized.
     *
     */
    "dataFile": string;
    /**
     * The new size of the data file or temp file.
     *
     */
    "fileSize"?: model.TablespaceStorageSize;
    /**
     * Specifies whether the data file or temp file can be extended automatically.
     *
     */
    "isAutoExtensible"?: boolean;
    /**
     * The size of the next increment of disk space to be allocated automatically when more extents are required.
     *
     */
    "autoExtendNextSize"?: model.TablespaceStorageSize;
    /**
     * The maximum disk space allowed for automatic extension of the data files or temp files.
     *
     */
    "autoExtendMaxSize"?: model.TablespaceStorageSize;
    /**
     * Specifies whether the disk space of the data file or temp file can be limited.
     *
     */
    "isMaxSizeUnlimited"?: boolean;
}
export declare namespace ResizeDataFileDetails {
    enum FileType {
        Datafile = "DATAFILE",
        Tempfile = "TEMPFILE"
    }
    function getJsonObj(obj: ResizeDataFileDetails): object;
    function getDeserializedJsonObj(obj: ResizeDataFileDetails): object;
}
