/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A summary of each role.
 */
export interface RoleSummary {
    /**
     * The name of the role granted to the user.
     */
    "name"?: string;
    /**
     * Indicates whether the role is granted with the ADMIN OPTION (YES) or not (NO).
     */
    "adminOption"?: RoleSummary.AdminOption;
    /**
     * Indicates whether the role is granted with the DELEGATE OPTION (YES) or not (NO).
     */
    "delegateOption"?: RoleSummary.DelegateOption;
    /**
     * Indicates whether the role is designated as a DEFAULT ROLE for the user (YES) or not (NO).
     */
    "defaultRole"?: RoleSummary.DefaultRole;
    /**
     * Indicates how the role was granted. Possible values:
     * YES if the role is granted commonly (CONTAINER=ALL is used)
     * NO if the role is granted locally (CONTAINER=ALL is not used)
     *
     */
    "common"?: RoleSummary.Common;
    /**
     * Indicates whether the granted role is inherited from another container (YES) or not (NO).
     */
    "inherited"?: RoleSummary.Inherited;
}
export declare namespace RoleSummary {
    enum AdminOption {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum DelegateOption {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum DefaultRole {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Common {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Inherited {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: RoleSummary): object;
    function getDeserializedJsonObj(obj: RoleSummary): object;
}
