/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The SQL CPU activity from the Exadata storage server.
 */
export interface SqlCpuActivity {
    /**
     * The database name.
     */
    "databaseName"?: string;
    /**
     * The SQL ID.
     */
    "sqlId"?: string;
    /**
     * The CPU activity percentage. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "cpuActivity"?: number;
}
export declare namespace SqlCpuActivity {
    function getJsonObj(obj: SqlCpuActivity): object;
    function getDeserializedJsonObj(obj: SqlCpuActivity): object;
}
