/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Sql information in the Sql tuning set.
 */
export interface SqlInSqlTuningSet {
    /**
     * The unique Sql identifier.
     */
    "sqlId": string;
    /**
     * Sql text.
     */
    "sqlText"?: string;
    /**
     * The unique container database identifier. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "containerDatabaseId"?: number;
    /**
     * Plan hash value of the Sql statement. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "planHashValue": number;
    /**
     * The schema name of the Sql.
     */
    "schema"?: string;
    /**
     * The module of the Sql.
     */
    "module"?: string;
    /**
     * A list of the Sqls associated with the Sql tuning set.
     */
    "metrics"?: Array<model.SqlMetrics>;
}
export declare namespace SqlInSqlTuningSet {
    function getJsonObj(obj: SqlInSqlTuningSet): object;
    function getDeserializedJsonObj(obj: SqlInSqlTuningSet): object;
}
