/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A recommendation for a given object in a SQL Tuning Task.
 *
 */
export interface SqlTuningAdvisorTaskRecommendationSummary {
    /**
     * The unique identifier of the task. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sqlTuningAdvisorTaskId": number;
    /**
     * The key of the object to which these recommendations apply. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sqlTuningAdvisorTaskObjectId": number;
    /**
     * The unique identifier of the recommendation in the scope of the task. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recommendationKey": number;
    /**
     * Type of recommendation.
     */
    "recommendationType": SqlTuningAdvisorTaskRecommendationSummary.RecommendationType;
    /**
     * Summary of the issue found in the SQL statement.
     */
    "finding"?: string;
    /**
     * The recommendation for a specific finding.
     */
    "recommendation"?: string;
    /**
     * Describes the reasoning behind the recommendation and how it relates to the finding.
     */
    "rationale"?: string;
    /**
     * The percentage benefit of this implementation. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "benefit"?: number;
    /**
     * Action sql to be implemented based on the recommendation result.
     */
    "implementActionSql"?: string;
    /**
     * Indicates whether a SQL Profile recommendation uses parallel execution.
     */
    "isParallelExecution"?: boolean;
}
export declare namespace SqlTuningAdvisorTaskRecommendationSummary {
    enum RecommendationType {
        Statistics = "STATISTICS",
        Index = "INDEX",
        SqlProfile = "SQL_PROFILE",
        RestructureSql = "RESTRUCTURE_SQL",
        AlternativePlans = "ALTERNATIVE_PLANS",
        Error = "ERROR",
        Miscellaneous = "MISCELLANEOUS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SqlTuningAdvisorTaskRecommendationSummary): object;
    function getDeserializedJsonObj(obj: SqlTuningAdvisorTaskRecommendationSummary): object;
}
