/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The benefits of the findings in the SQL Tuning Advisor summary report.
 */
export interface SqlTuningAdvisorTaskSummaryFindingBenefits {
    /**
     * The actual database time of the SQL statements for which SQL Tuning Advisor recommendations are not implemented. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dbTimeBeforeRecommended": number;
    /**
     * The estimated database time of the above SQL statements, if SQL Tuning Advisor recommendations are implemented. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dbTimeAfterRecommended": number;
    /**
     * The actual database time of the SQL statements for which SQL Tuning Advisor recommendations are implemented. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dbTimeAfterImplemented": number;
    /**
     * The actual database time of the above SQL statements, before SQL Tuning Advisor recommendations are implemented. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dbTimeBeforeImplemented": number;
}
export declare namespace SqlTuningAdvisorTaskSummaryFindingBenefits {
    function getJsonObj(obj: SqlTuningAdvisorTaskSummaryFindingBenefits): object;
    function getDeserializedJsonObj(obj: SqlTuningAdvisorTaskSummaryFindingBenefits): object;
}
