/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A summary for all the index findings in a SQL Tuning Advisor task. Includes the index's hash value, table name, schema, index name, reference count and index columns
 */
export interface SqlTuningAdvisorTaskSummaryReportIndexFindingSummary {
    /**
     * Numerical representation of the index. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "indexHashValue": number;
    /**
     * Name of the index.
     */
    "indexName": string;
    /**
     * Table's name related to the index.
     */
    "tableName": string;
    /**
     * Schema related to the index.
     */
    "schema": string;
    /**
     * The number of times the index is referenced within the SQL Tuning advisor task findings. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "referenceCount": number;
    /**
     * Columns of the index.
     */
    "indexColumns": Array<string>;
}
export declare namespace SqlTuningAdvisorTaskSummaryReportIndexFindingSummary {
    function getJsonObj(obj: SqlTuningAdvisorTaskSummaryReportIndexFindingSummary): object;
    function getDeserializedJsonObj(obj: SqlTuningAdvisorTaskSummaryReportIndexFindingSummary): object;
}
