/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A summary for all the statistic findings of an object in a SQL Tuning Advisor task. Includes the object's hash, name, type, schema, problem type and the object reference count.
 */
export interface SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary {
    /**
     * Numerical representation of the object. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "objectHashValue": number;
    /**
     * Name of the object.
     */
    "objectName": string;
    /**
     * Type of the object.
     */
    "objectType": string;
    /**
     * Schema of the object.
     */
    "schema": string;
    /**
     * Type of statistics problem related to the object.
     */
    "problemType": SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary.ProblemType;
    /**
     * The number of the times the object is referenced within the SQL Tuning advisor task findings. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "referenceCount": number;
}
export declare namespace SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary {
    enum ProblemType {
        Missing = "MISSING",
        Stale = "STALE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary): object;
    function getDeserializedJsonObj(obj: SqlTuningAdvisorTaskSummaryReportObjectStatFindingSummary): object;
}
