/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The general information regarding the SQL Tuning Advisor task.
 */
export interface SqlTuningAdvisorTaskSummaryReportTaskInfo {
    /**
     * The ID of the SQL Tuning Advisor task. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "id": number;
    /**
     * The name of the SQL Tuning Advisor task.
     */
    "name": string;
    /**
     * The description of the SQL Tuning Advisor task. This is not defined for Auto SQL Tuning tasks.
     */
    "description"?: string;
    /**
     * The owner of the SQL Tuning Advisor task.
     */
    "owner": string;
    /**
     * The status of the SQL Tuning Advisor task. This is not defined for Auto SQL Tuning tasks.
     */
    "status"?: model.SqlTuningTaskStatusTypes;
    /**
     * The start time of the task execution.
     */
    "timeStarted": Date;
    /**
     * The end time of the task execution.
     */
    "timeEnded": Date;
    /**
     * The total running time in seconds. This is not defined for Auto SQL Tuning tasks. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "runningTime"?: number;
}
export declare namespace SqlTuningAdvisorTaskSummaryReportTaskInfo {
    function getJsonObj(obj: SqlTuningAdvisorTaskSummaryReportTaskInfo): object;
    function getDeserializedJsonObj(obj: SqlTuningAdvisorTaskSummaryReportTaskInfo): object;
}
