/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of a SQL Tuning Advisor task.
 */
export interface SqlTuningAdvisorTaskSummary {
    /**
     * The unique identifier of the SQL Tuning Advisor task. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sqlTuningAdvisorTaskId": number;
    /**
     * The instance ID of the SQL Tuning Advisor task. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instanceId"?: number;
    /**
     * The name of the SQL Tuning Advisor task.
     */
    "name"?: string;
    /**
     * The description of the SQL Tuning Advisor task.
     */
    "description"?: string;
    /**
     * The owner of the SQL Tuning Advisor task.
     */
    "owner"?: string;
    /**
     * The Creation date of the SQL Tuning Advisor task.
     */
    "timeCreated"?: Date;
    /**
     * The status of the SQL Tuning Advisor task.
     */
    "taskStatus"?: model.SqlTuningTaskStatusTypes;
    /**
     * The number of days left before the task expires. If the value equals -1, then the task has no expiration time (UNLIMITED). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "daysToExpire"?: number;
    /**
     * The start time of the task execution.
     */
    "timeExecutionStarted"?: Date;
    /**
     * The end time of the task execution.
     */
    "timeExecutionEnded"?: Date;
    /**
     * The total number of SQL statements related to the SQL Tuning Advisor task. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalSqlStatements"?: number;
    /**
     * The number of recommendations provided for the SQL Tuning Advisor task. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recommendationCount"?: number;
}
export declare namespace SqlTuningAdvisorTaskSummary {
    function getJsonObj(obj: SqlTuningAdvisorTaskSummary): object;
    function getDeserializedJsonObj(obj: SqlTuningAdvisorTaskSummary): object;
}
