/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The status types of a Sql Tuning Set. Refer to the following documentaion for details https://docs.oracle.com/en/database/oracle/oracle-database/19/refrn/ALL_SCHEDULER_JOBS.html#GUID-D72A57AD-96EB-4FB9-A599-33CB238AFA62
 **/
export declare enum SqlTuningSetStatusTypes {
    Disabled = "DISABLED",
    RetryScheduled = "RETRY_SCHEDULED",
    Scheduled = "SCHEDULED",
    Blocked = "BLOCKED",
    Running = "RUNNING",
    Completed = "COMPLETED",
    Broken = "BROKEN",
    Failed = "FAILED",
    Remote = "REMOTE",
    ResourceUnavailable = "RESOURCE_UNAVAILABLE",
    Succeeded = "SUCCEEDED",
    ChainStalled = "CHAIN_STALLED",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace SqlTuningSetStatusTypes {
    function getJsonObj(obj: SqlTuningSetStatusTypes): SqlTuningSetStatusTypes;
    function getDeserializedJsonObj(obj: SqlTuningSetStatusTypes): SqlTuningSetStatusTypes;
}
