/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary information of a SQL tuning set.
 */
export interface SqlTuningSetSummary {
    /**
     * The name of the SQL tuning set.
     */
    "name": string;
    /**
     * The owner of the SQL tuning set.
     */
    "owner": string;
    /**
     * The description of the SQL tuning set.
     */
    "description"?: string;
    /**
     * The number of SQL statements in the SQL tuning set. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "statementCounts"?: number;
    /**
     * The unique Sql tuning set identifier. This is not OCID. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "id"?: number;
    /**
     * The created time of the Sql tuning set.
     */
    "timeCreated"?: Date;
    /**
     * Last modified time of the Sql tuning set.
     */
    "timeLastModified"?: Date;
    /**
     * Current status of the Sql tuning set.
     */
    "status"?: model.SqlTuningSetStatusTypes;
    /**
     * Name of the Sql tuning set scheduler job.
     */
    "scheduledJobName"?: string;
    /**
     * Latest execution error of the plsql that was submitted as a scheduler job.
     */
    "errorMessage"?: string;
}
export declare namespace SqlTuningSetSummary {
    function getJsonObj(obj: SqlTuningSetSummary): object;
    function getDeserializedJsonObj(obj: SqlTuningSetSummary): object;
}
