/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A Summary of system privileges.
 */
export interface SystemPrivilegeSummary {
    /**
     * The name of a system privilege.
     */
    "name"?: string;
    /**
     * Indicates whether the system privilege is granted with the ADMIN option (YES) or not (NO).
     */
    "adminOption"?: SystemPrivilegeSummary.AdminOption;
    /**
     * Indicates how the system privilege was granted. Possible values:
     * YES if the system privilege is granted commonly (CONTAINER=ALL is used)
     * NO if the system privilege is granted locally (CONTAINER=ALL is not used)
     *
     */
    "common"?: SystemPrivilegeSummary.Common;
    /**
     * Indicates whether the granted system privilege is inherited from another container (YES) or not (NO).
     */
    "inherited"?: SystemPrivilegeSummary.Inherited;
}
export declare namespace SystemPrivilegeSummary {
    enum AdminOption {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Common {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Inherited {
        Yes = "YES",
        No = "NO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SystemPrivilegeSummary): object;
    function getDeserializedJsonObj(obj: SystemPrivilegeSummary): object;
}
