/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of table statistics statuses, which includes status categories such as Stale, Not Stale, and No Stats,
 * the number of table statistics grouped by status category, and the percentage of objects with a particular status.
 *
 */
export interface TableStatisticSummary {
    /**
     * The valid status categories of table statistics.
     */
    "type": model.TableStatisticsStatusCategory;
    /**
     * The number of objects aggregated by status category. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count": number;
    /**
     * The percentage of objects with a particular status. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentage": number;
}
export declare namespace TableStatisticSummary {
    function getJsonObj(obj: TableStatisticSummary): object;
    function getDeserializedJsonObj(obj: TableStatisticSummary): object;
}
