/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The status of a tablespace admin action.
 */
export interface TablespaceAdminStatus {
    /**
     * The status of a tablespace admin action.
     *
     */
    "status": TablespaceAdminStatus.Status;
    /**
     * The error code that denotes failure if the tablespace admin action is not successful. The error code is \"null\" if the admin action is successful.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "errorCode"?: number;
    /**
     * The error message that indicates the reason for failure if the tablespace admin action is not successful. The error message is \"null\" if the admin action is successful.
     *
     */
    "errorMessage"?: string;
}
export declare namespace TablespaceAdminStatus {
    enum Status {
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TablespaceAdminStatus): object;
    function getDeserializedJsonObj(obj: TablespaceAdminStatus): object;
}
