/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The status of the preferred credential test. The status is 'SUCCEEDED' if the preferred credential is working else the status is 'FAILED'.
 */
export interface TestPreferredCredentialStatus {
    /**
     * The status of the preferred credential test. The status is 'SUCCEEDED' if the preferred credential is working else the status is 'FAILED'.
     */
    "status"?: TestPreferredCredentialStatus.Status;
    /**
     * An error code that defines the failure of the preferred credential test. The response is 'null' if the preferred credential test was successful.
     *
     */
    "errorCode"?: string;
    /**
     * The error message that indicates the reason for the failure of the preferred credential test. The response is 'null' if the preferred credential test was successful.
     *
     */
    "errorMessage"?: string;
}
export declare namespace TestPreferredCredentialStatus {
    enum Status {
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TestPreferredCredentialStatus): object;
    function getDeserializedJsonObj(obj: TestPreferredCredentialStatus): object;
}
