/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The metric values with dimension details.
 */
export interface TimeSeriesMetricDataPoint {
    /**
     * The date and time the metric was created.
     */
    "timestamp": Date;
    /**
     * The value of the metric. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "value": number;
    /**
     * The unit of the metric value.
     */
    "unit": string;
    /**
     * The dimensions of the metric.
     */
    "dimensions"?: Array<model.MetricDimensionDefinition>;
}
export declare namespace TimeSeriesMetricDataPoint {
    function getJsonObj(obj: TimeSeriesMetricDataPoint): object;
    function getDeserializedJsonObj(obj: TimeSeriesMetricDataPoint): object;
}
