/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The response object representing time series metric details
 * for a specific Managed Database at a particular time.
 *
 */
export interface TimeSeriesMetricDefinition {
    /**
     * The name of the metric the time series data corresponds to.
     */
    "metricName": string;
    /**
     * The time series metric data for the given metric.
     */
    "datapoints": Array<model.TimeSeriesMetricDataPoint>;
}
export declare namespace TimeSeriesMetricDefinition {
    function getJsonObj(obj: TimeSeriesMetricDefinition): object;
    function getDeserializedJsonObj(obj: TimeSeriesMetricDefinition): object;
}
