/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details required to update a tablespace.
 * It takes either credentialDetails or databaseCredential. It's recommended to provide databaseCredential
 *
 */
export interface UpdateTablespaceDetails {
    "credentialDetails"?: model.TablespaceAdminPasswordCredentialDetails | model.TablespaceAdminSecretCredentialDetails;
    "databaseCredential"?: model.DatabaseSecretCredentialDetails | model.DatabaseNamedCredentialDetails | model.DatabasePasswordCredentialDetails;
    /**
     * The name of the tablespace. It must be unique within a database.
     *
     */
    "name"?: string;
    /**
     * The type of tablespace.
     *
     */
    "type"?: UpdateTablespaceDetails.Type;
    /**
     * The size of each data file or temp file.
     *
     */
    "fileSize"?: model.TablespaceStorageSize;
    /**
     * The status of the tablespace.
     *
     */
    "status"?: UpdateTablespaceDetails.Status;
    /**
     * Specifies whether the data file or temp file can be extended automatically.
     *
     */
    "isAutoExtensible"?: boolean;
    /**
     * The size of the next increment of disk space to be allocated automatically when more extents are required.
     *
     */
    "autoExtendNextSize"?: model.TablespaceStorageSize;
    /**
     * The maximum disk space allowed for automatic extension of the data files or temp files.
     *
     */
    "autoExtendMaxSize"?: model.TablespaceStorageSize;
    /**
     * Specifies whether the disk space of the data file or temp file can be limited.
     *
     */
    "isMaxSizeUnlimited"?: boolean;
    /**
     * Specifies whether the tablespace is the default tablespace.
     *
     */
    "isDefault"?: boolean;
}
export declare namespace UpdateTablespaceDetails {
    enum Type {
        Permanent = "PERMANENT",
        Temporary = "TEMPORARY"
    }
    enum Status {
        ReadOnly = "READ_ONLY",
        ReadWrite = "READ_WRITE"
    }
    function getJsonObj(obj: UpdateTablespaceDetails): object;
    function getDeserializedJsonObj(obj: UpdateTablespaceDetails): object;
}
