/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The type of work request operation.
 **/
export declare enum WorkRequestOperationType {
    CreateDbManagementPrivateEndpoint = "CREATE_DB_MANAGEMENT_PRIVATE_ENDPOINT",
    DeleteDbManagementPrivateEndpoint = "DELETE_DB_MANAGEMENT_PRIVATE_ENDPOINT",
    CreateDbSystemDiscovery = "CREATE_DB_SYSTEM_DISCOVERY",
    CreateDbSystem = "CREATE_DB_SYSTEM",
    UpdateDbSystem = "UPDATE_DB_SYSTEM",
    DbSystemEnableDbmgmt = "DB_SYSTEM_ENABLE_DBMGMT",
    DbSystemDisableDbmgmt = "DB_SYSTEM_DISABLE_DBMGMT",
    DeleteDbSystem = "DELETE_DB_SYSTEM",
    UpdateExternalDbSystemConnector = "UPDATE_EXTERNAL_DB_SYSTEM_CONNECTOR",
    ChangeExternalDbSystemCompartment = "CHANGE_EXTERNAL_DB_SYSTEM_COMPARTMENT",
    DisableExadataInfrasturcture = "DISABLE_EXADATA_INFRASTURCTURE",
    EnableExadataInfrastructure = "ENABLE_EXADATA_INFRASTRUCTURE",
    DeleteExadataInfrastructure = "DELETE_EXADATA_INFRASTRUCTURE",
    ChangeExadataCompartment = "CHANGE_EXADATA_COMPARTMENT",
    EnableSqlWatch = "ENABLE_SQL_WATCH",
    DisableSqlWatch = "DISABLE_SQL_WATCH",
    ModifySqlWatch = "MODIFY_SQL_WATCH",
    EnableDblm = "ENABLE_DBLM",
    DisableDblm = "DISABLE_DBLM",
    ModifyDblm = "MODIFY_DBLM",
    EnableDbmgmt = "ENABLE_DBMGMT",
    DisableDbmgmt = "DISABLE_DBMGMT",
    ModifyDbmgmt = "MODIFY_DBMGMT",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace WorkRequestOperationType {
    function getJsonObj(obj: WorkRequestOperationType): WorkRequestOperationType;
    function getDeserializedJsonObj(obj: WorkRequestOperationType): WorkRequestOperationType;
}
