"use strict";
/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkRequestResourceActionType = void 0;
/**
 * The way in which this resource is affected by the work tracked in the work request.
 * A resource being created, updated, or deleted will remain in the IN_PROGRESS state until
 * work is complete for that resource at which point it will transition to CREATED, UPDATED,
 * or DELETED, respectively.
 *
 **/
var WorkRequestResourceActionType;
(function (WorkRequestResourceActionType) {
    WorkRequestResourceActionType["Created"] = "CREATED";
    WorkRequestResourceActionType["Updated"] = "UPDATED";
    WorkRequestResourceActionType["Deleted"] = "DELETED";
    WorkRequestResourceActionType["InProgress"] = "IN_PROGRESS";
    WorkRequestResourceActionType["Related"] = "RELATED";
    WorkRequestResourceActionType["Failed"] = "FAILED";
    WorkRequestResourceActionType["Accepted"] = "ACCEPTED";
    WorkRequestResourceActionType["Enabled"] = "ENABLED";
    WorkRequestResourceActionType["Disabled"] = "DISABLED";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    WorkRequestResourceActionType["UnknownValue"] = "UNKNOWN_VALUE";
})(WorkRequestResourceActionType = exports.WorkRequestResourceActionType || (exports.WorkRequestResourceActionType = {}));
(function (WorkRequestResourceActionType) {
    function getJsonObj(obj) {
        return obj;
    }
    WorkRequestResourceActionType.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    WorkRequestResourceActionType.getDeserializedJsonObj = getDeserializedJsonObj;
})(WorkRequestResourceActionType = exports.WorkRequestResourceActionType || (exports.WorkRequestResourceActionType = {}));
//# sourceMappingURL=work-request-resource-action-type.js.map