/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The resource that is created or operated on by a work request.
 */
export interface WorkRequestSubResource {
    /**
     * The name of the subresource entity.
     */
    "entityName": string;
    /**
     * The resource type the work request affects.
     */
    "entityType": string;
    /**
     * The way in which this resource is affected by the work tracked in the work request.
     * A resource being created, updated, or deleted will remain in the IN_PROGRESS state until
     * work is complete for that resource at which point it will transition to CREATED, UPDATED,
     * or DELETED, respectively.
     *
     */
    "actionType": model.WorkRequestResourceActionType;
    /**
     * The OCID or other unique identifier of the resource the work request affects.
     */
    "identifier"?: string;
    /**
     * The URI path that is used in a GET request to access the resource metadata.
     */
    "entityUri"?: string;
    /**
     * Description of the entity
     */
    "description"?: string;
}
export declare namespace WorkRequestSubResource {
    function getJsonObj(obj: WorkRequestSubResource): object;
    function getDeserializedJsonObj(obj: WorkRequestSubResource): object;
}
