/**
 *
 *
 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/databasemanagement/GetSqlExecutionPlan.ts.html |here} to see how to use GetSqlExecutionPlanRequest.
 */
export interface GetSqlExecutionPlanRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Managed Database.
     */
    "managedDatabaseId": string;
    /**
     * The SQL tuning task identifier. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     */
    "sqlTuningAdvisorTaskId": number;
    /**
     * The SQL object ID for the SQL tuning task. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     */
    "sqlObjectId": number;
    /**
     * The attribute of the SQL execution plan.
     */
    "attribute": GetSqlExecutionPlanRequest.Attribute;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The OCID of the Named Credential.
     */
    "opcNamedCredentialId"?: string;
}
export declare namespace GetSqlExecutionPlanRequest {
    enum Attribute {
        Original = "ORIGINAL",
        OriginalWithAdjustedCost = "ORIGINAL_WITH_ADJUSTED_COST",
        UsingSqlProfile = "USING_SQL_PROFILE",
        UsingNewIndices = "USING_NEW_INDICES",
        UsingParallelExecution = "USING_PARALLEL_EXECUTION"
    }
}
