/**
 *
 *
 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/databasemanagement/GetSqlTuningAdvisorTaskSummaryReport.ts.html |here} to see how to use GetSqlTuningAdvisorTaskSummaryReportRequest.
 */
export interface GetSqlTuningAdvisorTaskSummaryReportRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Managed Database.
     */
    "managedDatabaseId": string;
    /**
     * The SQL tuning task identifier. This is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     */
    "sqlTuningAdvisorTaskId": number;
    /**
     * How far back the API will search for begin and end exec id. Unused if neither exec ids nor time filter query params are supplied. This is applicable only for Auto SQL Tuning tasks.
     */
    "searchPeriod"?: GetSqlTuningAdvisorTaskSummaryReportRequest.SearchPeriod;
    /**
     * The optional greater than or equal to query parameter to filter the timestamp. This is applicable only for Auto SQL Tuning tasks.
     */
    "timeGreaterThanOrEqualTo"?: Date;
    /**
     * The optional less than or equal to query parameter to filter the timestamp. This is applicable only for Auto SQL Tuning tasks.
     */
    "timeLessThanOrEqualTo"?: Date;
    /**
     * The optional greater than or equal to filter on the execution ID related to a specific SQL Tuning Advisor task. This is applicable only for Auto SQL Tuning tasks.
     */
    "beginExecIdGreaterThanOrEqualTo"?: number;
    /**
     * The optional less than or equal to query parameter to filter on the execution ID related to a specific SQL Tuning Advisor task. This is applicable only for Auto SQL Tuning tasks.
     */
    "endExecIdLessThanOrEqualTo"?: number;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The OCID of the Named Credential.
     */
    "opcNamedCredentialId"?: string;
}
export declare namespace GetSqlTuningAdvisorTaskSummaryReportRequest {
    enum SearchPeriod {
        Last24Hr = "LAST_24HR",
        Last7Day = "LAST_7DAY",
        Last31Day = "LAST_31DAY",
        SinceLast = "SINCE_LAST",
        All = "ALL"
    }
}
