"use strict";
/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummarizeAwrDbCpuUsagesRequest = exports.ListWorkRequestsRequest = exports.ListWorkRequestLogsRequest = exports.ListWorkRequestErrorsRequest = exports.ListUsersRequest = exports.ListTablespacesRequest = exports.ListSystemPrivilegesRequest = exports.ListSqlPlanBaselinesRequest = exports.ListSqlPlanBaselineJobsRequest = exports.ListRolesRequest = exports.ListProxyUsersRequest = exports.ListProxiedForUsersRequest = exports.ListOptimizerStatisticsCollectionOperationsRequest = exports.ListObjectPrivilegesRequest = exports.ListNamedCredentialsRequest = exports.ListManagedDatabasesRequest = exports.ListManagedDatabaseGroupsRequest = exports.ListJobsRequest = exports.ListJobRunsRequest = exports.ListJobExecutionsRequest = exports.ListExternalListenersRequest = exports.ListExternalListenerServicesRequest = exports.ListExternalExadataStorageServersRequest = exports.ListExternalExadataStorageConnectorsRequest = exports.ListExternalExadataInfrastructuresRequest = exports.ListExternalDbSystemsRequest = exports.ListExternalDbSystemDiscoveriesRequest = exports.ListExternalDbSystemConnectorsRequest = exports.ListExternalDbNodesRequest = exports.ListExternalDbHomesRequest = exports.ListExternalDatabasesRequest = exports.ListExternalClustersRequest = exports.ListExternalClusterInstancesRequest = exports.ListExternalAsmsRequest = exports.ListExternalAsmUsersRequest = exports.ListExternalAsmInstancesRequest = exports.ListExternalAsmDiskGroupsRequest = exports.ListDbManagementPrivateEndpointsRequest = exports.ListDatabaseParametersRequest = exports.ListDataAccessContainersRequest = exports.ListCursorCacheStatementsRequest = exports.ListConsumerGroupPrivilegesRequest = exports.ListAwrDbsRequest = exports.ListAwrDbSnapshotsRequest = exports.ListAssociatedDatabasesRequest = exports.ListAsmPropertiesRequest = exports.GetDatabaseFleetHealthMetricsRequest = exports.GetAwrDbSqlReportRequest = exports.GetAwrDbReportRequest = exports.AddmTasksRequest = void 0;
exports.ListSqlTuningSetsRequest = exports.ListSqlTuningAdvisorTasksRequest = exports.ListSqlTuningAdvisorTaskRecommendationsRequest = exports.ListSqlTuningAdvisorTaskFindingsRequest = exports.GetSqlTuningAdvisorTaskSummaryReportRequest = exports.GetSqlExecutionPlanRequest = exports.ListManagedMySqlDatabasesRequest = exports.ListManagedMySqlDatabaseSqlDataRequest = exports.ListManagedMySqlDatabaseConfigurationDataRequest = exports.SummarizeAttentionLogCountsRequest = exports.SummarizeAlertLogCountsRequest = exports.ListAttentionLogsRequest = exports.ListAlertLogsRequest = exports.SummarizeJobExecutionsStatusesRequest = exports.SummarizeAwrDbWaitEventsRequest = exports.SummarizeAwrDbWaitEventBucketsRequest = exports.SummarizeAwrDbTopWaitEventsRequest = exports.SummarizeAwrDbSysstatsRequest = exports.SummarizeAwrDbSnapshotRangesRequest = exports.SummarizeAwrDbParametersRequest = exports.SummarizeAwrDbParameterChangesRequest = exports.SummarizeAwrDbMetricsRequest = void 0;
const AddmTasksRequest = __importStar(require("./addm-tasks-request"));
exports.AddmTasksRequest = AddmTasksRequest.AddmTasksRequest;
const GetAwrDbReportRequest = __importStar(require("./get-awr-db-report-request"));
exports.GetAwrDbReportRequest = GetAwrDbReportRequest.GetAwrDbReportRequest;
const GetAwrDbSqlReportRequest = __importStar(require("./get-awr-db-sql-report-request"));
exports.GetAwrDbSqlReportRequest = GetAwrDbSqlReportRequest.GetAwrDbSqlReportRequest;
const GetDatabaseFleetHealthMetricsRequest = __importStar(require("./get-database-fleet-health-metrics-request"));
exports.GetDatabaseFleetHealthMetricsRequest = GetDatabaseFleetHealthMetricsRequest.GetDatabaseFleetHealthMetricsRequest;
const ListAsmPropertiesRequest = __importStar(require("./list-asm-properties-request"));
exports.ListAsmPropertiesRequest = ListAsmPropertiesRequest.ListAsmPropertiesRequest;
const ListAssociatedDatabasesRequest = __importStar(require("./list-associated-databases-request"));
exports.ListAssociatedDatabasesRequest = ListAssociatedDatabasesRequest.ListAssociatedDatabasesRequest;
const ListAwrDbSnapshotsRequest = __importStar(require("./list-awr-db-snapshots-request"));
exports.ListAwrDbSnapshotsRequest = ListAwrDbSnapshotsRequest.ListAwrDbSnapshotsRequest;
const ListAwrDbsRequest = __importStar(require("./list-awr-dbs-request"));
exports.ListAwrDbsRequest = ListAwrDbsRequest.ListAwrDbsRequest;
const ListConsumerGroupPrivilegesRequest = __importStar(require("./list-consumer-group-privileges-request"));
exports.ListConsumerGroupPrivilegesRequest = ListConsumerGroupPrivilegesRequest.ListConsumerGroupPrivilegesRequest;
const ListCursorCacheStatementsRequest = __importStar(require("./list-cursor-cache-statements-request"));
exports.ListCursorCacheStatementsRequest = ListCursorCacheStatementsRequest.ListCursorCacheStatementsRequest;
const ListDataAccessContainersRequest = __importStar(require("./list-data-access-containers-request"));
exports.ListDataAccessContainersRequest = ListDataAccessContainersRequest.ListDataAccessContainersRequest;
const ListDatabaseParametersRequest = __importStar(require("./list-database-parameters-request"));
exports.ListDatabaseParametersRequest = ListDatabaseParametersRequest.ListDatabaseParametersRequest;
const ListDbManagementPrivateEndpointsRequest = __importStar(require("./list-db-management-private-endpoints-request"));
exports.ListDbManagementPrivateEndpointsRequest = ListDbManagementPrivateEndpointsRequest.ListDbManagementPrivateEndpointsRequest;
const ListExternalAsmDiskGroupsRequest = __importStar(require("./list-external-asm-disk-groups-request"));
exports.ListExternalAsmDiskGroupsRequest = ListExternalAsmDiskGroupsRequest.ListExternalAsmDiskGroupsRequest;
const ListExternalAsmInstancesRequest = __importStar(require("./list-external-asm-instances-request"));
exports.ListExternalAsmInstancesRequest = ListExternalAsmInstancesRequest.ListExternalAsmInstancesRequest;
const ListExternalAsmUsersRequest = __importStar(require("./list-external-asm-users-request"));
exports.ListExternalAsmUsersRequest = ListExternalAsmUsersRequest.ListExternalAsmUsersRequest;
const ListExternalAsmsRequest = __importStar(require("./list-external-asms-request"));
exports.ListExternalAsmsRequest = ListExternalAsmsRequest.ListExternalAsmsRequest;
const ListExternalClusterInstancesRequest = __importStar(require("./list-external-cluster-instances-request"));
exports.ListExternalClusterInstancesRequest = ListExternalClusterInstancesRequest.ListExternalClusterInstancesRequest;
const ListExternalClustersRequest = __importStar(require("./list-external-clusters-request"));
exports.ListExternalClustersRequest = ListExternalClustersRequest.ListExternalClustersRequest;
const ListExternalDatabasesRequest = __importStar(require("./list-external-databases-request"));
exports.ListExternalDatabasesRequest = ListExternalDatabasesRequest.ListExternalDatabasesRequest;
const ListExternalDbHomesRequest = __importStar(require("./list-external-db-homes-request"));
exports.ListExternalDbHomesRequest = ListExternalDbHomesRequest.ListExternalDbHomesRequest;
const ListExternalDbNodesRequest = __importStar(require("./list-external-db-nodes-request"));
exports.ListExternalDbNodesRequest = ListExternalDbNodesRequest.ListExternalDbNodesRequest;
const ListExternalDbSystemConnectorsRequest = __importStar(require("./list-external-db-system-connectors-request"));
exports.ListExternalDbSystemConnectorsRequest = ListExternalDbSystemConnectorsRequest.ListExternalDbSystemConnectorsRequest;
const ListExternalDbSystemDiscoveriesRequest = __importStar(require("./list-external-db-system-discoveries-request"));
exports.ListExternalDbSystemDiscoveriesRequest = ListExternalDbSystemDiscoveriesRequest.ListExternalDbSystemDiscoveriesRequest;
const ListExternalDbSystemsRequest = __importStar(require("./list-external-db-systems-request"));
exports.ListExternalDbSystemsRequest = ListExternalDbSystemsRequest.ListExternalDbSystemsRequest;
const ListExternalExadataInfrastructuresRequest = __importStar(require("./list-external-exadata-infrastructures-request"));
exports.ListExternalExadataInfrastructuresRequest = ListExternalExadataInfrastructuresRequest.ListExternalExadataInfrastructuresRequest;
const ListExternalExadataStorageConnectorsRequest = __importStar(require("./list-external-exadata-storage-connectors-request"));
exports.ListExternalExadataStorageConnectorsRequest = ListExternalExadataStorageConnectorsRequest.ListExternalExadataStorageConnectorsRequest;
const ListExternalExadataStorageServersRequest = __importStar(require("./list-external-exadata-storage-servers-request"));
exports.ListExternalExadataStorageServersRequest = ListExternalExadataStorageServersRequest.ListExternalExadataStorageServersRequest;
const ListExternalListenerServicesRequest = __importStar(require("./list-external-listener-services-request"));
exports.ListExternalListenerServicesRequest = ListExternalListenerServicesRequest.ListExternalListenerServicesRequest;
const ListExternalListenersRequest = __importStar(require("./list-external-listeners-request"));
exports.ListExternalListenersRequest = ListExternalListenersRequest.ListExternalListenersRequest;
const ListJobExecutionsRequest = __importStar(require("./list-job-executions-request"));
exports.ListJobExecutionsRequest = ListJobExecutionsRequest.ListJobExecutionsRequest;
const ListJobRunsRequest = __importStar(require("./list-job-runs-request"));
exports.ListJobRunsRequest = ListJobRunsRequest.ListJobRunsRequest;
const ListJobsRequest = __importStar(require("./list-jobs-request"));
exports.ListJobsRequest = ListJobsRequest.ListJobsRequest;
const ListManagedDatabaseGroupsRequest = __importStar(require("./list-managed-database-groups-request"));
exports.ListManagedDatabaseGroupsRequest = ListManagedDatabaseGroupsRequest.ListManagedDatabaseGroupsRequest;
const ListManagedDatabasesRequest = __importStar(require("./list-managed-databases-request"));
exports.ListManagedDatabasesRequest = ListManagedDatabasesRequest.ListManagedDatabasesRequest;
const ListNamedCredentialsRequest = __importStar(require("./list-named-credentials-request"));
exports.ListNamedCredentialsRequest = ListNamedCredentialsRequest.ListNamedCredentialsRequest;
const ListObjectPrivilegesRequest = __importStar(require("./list-object-privileges-request"));
exports.ListObjectPrivilegesRequest = ListObjectPrivilegesRequest.ListObjectPrivilegesRequest;
const ListOptimizerStatisticsCollectionOperationsRequest = __importStar(require("./list-optimizer-statistics-collection-operations-request"));
exports.ListOptimizerStatisticsCollectionOperationsRequest = ListOptimizerStatisticsCollectionOperationsRequest.ListOptimizerStatisticsCollectionOperationsRequest;
const ListProxiedForUsersRequest = __importStar(require("./list-proxied-for-users-request"));
exports.ListProxiedForUsersRequest = ListProxiedForUsersRequest.ListProxiedForUsersRequest;
const ListProxyUsersRequest = __importStar(require("./list-proxy-users-request"));
exports.ListProxyUsersRequest = ListProxyUsersRequest.ListProxyUsersRequest;
const ListRolesRequest = __importStar(require("./list-roles-request"));
exports.ListRolesRequest = ListRolesRequest.ListRolesRequest;
const ListSqlPlanBaselineJobsRequest = __importStar(require("./list-sql-plan-baseline-jobs-request"));
exports.ListSqlPlanBaselineJobsRequest = ListSqlPlanBaselineJobsRequest.ListSqlPlanBaselineJobsRequest;
const ListSqlPlanBaselinesRequest = __importStar(require("./list-sql-plan-baselines-request"));
exports.ListSqlPlanBaselinesRequest = ListSqlPlanBaselinesRequest.ListSqlPlanBaselinesRequest;
const ListSystemPrivilegesRequest = __importStar(require("./list-system-privileges-request"));
exports.ListSystemPrivilegesRequest = ListSystemPrivilegesRequest.ListSystemPrivilegesRequest;
const ListTablespacesRequest = __importStar(require("./list-tablespaces-request"));
exports.ListTablespacesRequest = ListTablespacesRequest.ListTablespacesRequest;
const ListUsersRequest = __importStar(require("./list-users-request"));
exports.ListUsersRequest = ListUsersRequest.ListUsersRequest;
const ListWorkRequestErrorsRequest = __importStar(require("./list-work-request-errors-request"));
exports.ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
const ListWorkRequestLogsRequest = __importStar(require("./list-work-request-logs-request"));
exports.ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
const ListWorkRequestsRequest = __importStar(require("./list-work-requests-request"));
exports.ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
const SummarizeAwrDbCpuUsagesRequest = __importStar(require("./summarize-awr-db-cpu-usages-request"));
exports.SummarizeAwrDbCpuUsagesRequest = SummarizeAwrDbCpuUsagesRequest.SummarizeAwrDbCpuUsagesRequest;
const SummarizeAwrDbMetricsRequest = __importStar(require("./summarize-awr-db-metrics-request"));
exports.SummarizeAwrDbMetricsRequest = SummarizeAwrDbMetricsRequest.SummarizeAwrDbMetricsRequest;
const SummarizeAwrDbParameterChangesRequest = __importStar(require("./summarize-awr-db-parameter-changes-request"));
exports.SummarizeAwrDbParameterChangesRequest = SummarizeAwrDbParameterChangesRequest.SummarizeAwrDbParameterChangesRequest;
const SummarizeAwrDbParametersRequest = __importStar(require("./summarize-awr-db-parameters-request"));
exports.SummarizeAwrDbParametersRequest = SummarizeAwrDbParametersRequest.SummarizeAwrDbParametersRequest;
const SummarizeAwrDbSnapshotRangesRequest = __importStar(require("./summarize-awr-db-snapshot-ranges-request"));
exports.SummarizeAwrDbSnapshotRangesRequest = SummarizeAwrDbSnapshotRangesRequest.SummarizeAwrDbSnapshotRangesRequest;
const SummarizeAwrDbSysstatsRequest = __importStar(require("./summarize-awr-db-sysstats-request"));
exports.SummarizeAwrDbSysstatsRequest = SummarizeAwrDbSysstatsRequest.SummarizeAwrDbSysstatsRequest;
const SummarizeAwrDbTopWaitEventsRequest = __importStar(require("./summarize-awr-db-top-wait-events-request"));
exports.SummarizeAwrDbTopWaitEventsRequest = SummarizeAwrDbTopWaitEventsRequest.SummarizeAwrDbTopWaitEventsRequest;
const SummarizeAwrDbWaitEventBucketsRequest = __importStar(require("./summarize-awr-db-wait-event-buckets-request"));
exports.SummarizeAwrDbWaitEventBucketsRequest = SummarizeAwrDbWaitEventBucketsRequest.SummarizeAwrDbWaitEventBucketsRequest;
const SummarizeAwrDbWaitEventsRequest = __importStar(require("./summarize-awr-db-wait-events-request"));
exports.SummarizeAwrDbWaitEventsRequest = SummarizeAwrDbWaitEventsRequest.SummarizeAwrDbWaitEventsRequest;
const SummarizeJobExecutionsStatusesRequest = __importStar(require("./summarize-job-executions-statuses-request"));
exports.SummarizeJobExecutionsStatusesRequest = SummarizeJobExecutionsStatusesRequest.SummarizeJobExecutionsStatusesRequest;
const ListAlertLogsRequest = __importStar(require("./list-alert-logs-request"));
exports.ListAlertLogsRequest = ListAlertLogsRequest.ListAlertLogsRequest;
const ListAttentionLogsRequest = __importStar(require("./list-attention-logs-request"));
exports.ListAttentionLogsRequest = ListAttentionLogsRequest.ListAttentionLogsRequest;
const SummarizeAlertLogCountsRequest = __importStar(require("./summarize-alert-log-counts-request"));
exports.SummarizeAlertLogCountsRequest = SummarizeAlertLogCountsRequest.SummarizeAlertLogCountsRequest;
const SummarizeAttentionLogCountsRequest = __importStar(require("./summarize-attention-log-counts-request"));
exports.SummarizeAttentionLogCountsRequest = SummarizeAttentionLogCountsRequest.SummarizeAttentionLogCountsRequest;
const ListManagedMySqlDatabaseConfigurationDataRequest = __importStar(require("./list-managed-my-sql-database-configuration-data-request"));
exports.ListManagedMySqlDatabaseConfigurationDataRequest = ListManagedMySqlDatabaseConfigurationDataRequest.ListManagedMySqlDatabaseConfigurationDataRequest;
const ListManagedMySqlDatabaseSqlDataRequest = __importStar(require("./list-managed-my-sql-database-sql-data-request"));
exports.ListManagedMySqlDatabaseSqlDataRequest = ListManagedMySqlDatabaseSqlDataRequest.ListManagedMySqlDatabaseSqlDataRequest;
const ListManagedMySqlDatabasesRequest = __importStar(require("./list-managed-my-sql-databases-request"));
exports.ListManagedMySqlDatabasesRequest = ListManagedMySqlDatabasesRequest.ListManagedMySqlDatabasesRequest;
const GetSqlExecutionPlanRequest = __importStar(require("./get-sql-execution-plan-request"));
exports.GetSqlExecutionPlanRequest = GetSqlExecutionPlanRequest.GetSqlExecutionPlanRequest;
const GetSqlTuningAdvisorTaskSummaryReportRequest = __importStar(require("./get-sql-tuning-advisor-task-summary-report-request"));
exports.GetSqlTuningAdvisorTaskSummaryReportRequest = GetSqlTuningAdvisorTaskSummaryReportRequest.GetSqlTuningAdvisorTaskSummaryReportRequest;
const ListSqlTuningAdvisorTaskFindingsRequest = __importStar(require("./list-sql-tuning-advisor-task-findings-request"));
exports.ListSqlTuningAdvisorTaskFindingsRequest = ListSqlTuningAdvisorTaskFindingsRequest.ListSqlTuningAdvisorTaskFindingsRequest;
const ListSqlTuningAdvisorTaskRecommendationsRequest = __importStar(require("./list-sql-tuning-advisor-task-recommendations-request"));
exports.ListSqlTuningAdvisorTaskRecommendationsRequest = ListSqlTuningAdvisorTaskRecommendationsRequest.ListSqlTuningAdvisorTaskRecommendationsRequest;
const ListSqlTuningAdvisorTasksRequest = __importStar(require("./list-sql-tuning-advisor-tasks-request"));
exports.ListSqlTuningAdvisorTasksRequest = ListSqlTuningAdvisorTasksRequest.ListSqlTuningAdvisorTasksRequest;
const ListSqlTuningSetsRequest = __importStar(require("./list-sql-tuning-sets-request"));
exports.ListSqlTuningSetsRequest = ListSqlTuningSetsRequest.ListSqlTuningSetsRequest;
//# sourceMappingURL=index.js.map