/**
 *
 *
 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/databasemanagement/ListManagedMySqlDatabaseSqlData.ts.html |here} to see how to use ListManagedMySqlDatabaseSqlDataRequest.
 */
export interface ListManagedMySqlDatabaseSqlDataRequest extends common.BaseRequest {
    /**
     * The OCID of the Managed MySQL Database.
     */
    "managedMySqlDatabaseId": string;
    /**
     * The start time of the time range to retrieve the health metrics of a Managed Database
     * in UTC in ISO-8601 format, which is \"yyyy-MM-dd'T'hh:mm:ss.sss'Z'\".
     *
     */
    "startTime": string;
    /**
     * The end time of the time range to retrieve the health metrics of a Managed Database
     * in UTC in ISO-8601 format, which is \"yyyy-MM-dd'T'hh:mm:ss.sss'Z'\".
     *
     */
    "endTime": string;
    /**
     * The parameter to filter results by key criteria which include :
     * - AVG_TIMER_WAIT
     * - SUM_TIMER_WAIT
     * - COUNT_STAR
     * - SUM_ERRORS
     * - SUM_ROWS_AFFECTED
     * - SUM_ROWS_SENT
     * - SUM_ROWS_EXAMINED
     * - SUM_CREATED_TMP_TABLES
     * - SUM_NO_INDEX_USED
     * - SUM_NO_GOOD_INDEX_USED
     * - FIRST_SEEN
     * - LAST_SEEN
     * - HEATWAVE_OFFLOADED
     * - HEATWAVE_OUT_OF_MEMORY
     *
     */
    "filterColumn"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The maximum number of records returned in the paginated response.
     */
    "limit"?: number;
    /**
     * The page token representing the page from where the next set of paginated results
     * are retrieved. This is usually retrieved from a previous list call.
     *
     */
    "page"?: string;
    /**
     * The field to sort information by. Only one sortOrder can be used. The default sort order
     * for \u2018TIMECREATED\u2019 is descending and the default sort order for \u2018NAME\u2019 is ascending.
     * The \u2018NAME\u2019 sort order is case-sensitive.
     *
     */
    "sortBy"?: ListManagedMySqlDatabaseSqlDataRequest.SortBy;
    /**
     * The option to sort information in ascending (\u2018ASC\u2019) or descending (\u2018DESC\u2019) order. Ascending order is the default order.
     */
    "sortOrder"?: model.SortOrders;
}
export declare namespace ListManagedMySqlDatabaseSqlDataRequest {
    enum SortBy {
        Timecreated = "TIMECREATED",
        Name = "NAME"
    }
}
