/**
 *
 *
 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/databasemanagement/ListSqlPlanBaselines.ts.html |here} to see how to use ListSqlPlanBaselinesRequest.
 */
export interface ListSqlPlanBaselinesRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Managed Database.
     */
    "managedDatabaseId": string;
    /**
     * A filter to return only SQL plan baselines that match the plan name.
     */
    "planName"?: string;
    /**
     * A filter to return all the SQL plan baselines for the specified SQL handle.
     */
    "sqlHandle"?: string;
    /**
     * A filter to return all the SQL plan baselines that match the SQL text. By default, the search
     * is case insensitive. To run an exact or case-sensitive search, double-quote the search string.
     * You may also use the '%' symbol as a wildcard.
     *
     */
    "sqlText"?: string;
    /**
     * A filter to return only SQL plan baselines that are either enabled or not enabled.
     * By default, all SQL plan baselines are returned.
     *
     */
    "isEnabled"?: boolean;
    /**
     * A filter to return only SQL plan baselines that are either accepted or not accepted.
     * By default, all SQL plan baselines are returned.
     *
     */
    "isAccepted"?: boolean;
    /**
     * A filter to return only SQL plan baselines that were either reproduced or
     * not reproduced by the optimizer. By default, all SQL plan baselines are returned.
     *
     */
    "isReproduced"?: boolean;
    /**
     * A filter to return only SQL plan baselines that are either fixed or not fixed.
     * By default, all SQL plan baselines are returned.
     *
     */
    "isFixed"?: boolean;
    /**
     * A filter to return only SQL plan baselines that are either adaptive or not adaptive.
     * By default, all SQL plan baselines are returned.
     *
     */
    "isAdaptive"?: boolean;
    /**
     * A filter to return all the SQL plan baselines that match the origin.
     */
    "origin"?: model.SqlPlanBaselineOrigin;
    /**
     * The page token representing the page from where the next set of paginated results
     * are retrieved. This is usually retrieved from a previous list call.
     *
     */
    "page"?: string;
    /**
     * The maximum number of records returned in the paginated response.
     */
    "limit"?: number;
    /**
     * The option to sort the SQL plan baseline summary data.
     */
    "sortBy"?: ListSqlPlanBaselinesRequest.SortBy;
    /**
     * The option to sort information in ascending (\u2018ASC\u2019) or descending (\u2018DESC\u2019) order. Descending order is the default order.
     */
    "sortOrder"?: model.SortOrders;
    /**
     * A filter to return only SQL plan baselines that are either auto-purged or not auto-purged.
     * By default, all SQL plan baselines are returned.
     *
     */
    "isAutoPurged"?: boolean;
    /**
     * A filter to return only SQL plan baselines whose last execution time is
     * after the specified value. By default, all SQL plan baselines are returned.
     *
     */
    "timeLastExecutedGreaterThan"?: Date;
    /**
     * A filter to return only SQL plan baselines whose last execution time is
     * before the specified value. By default, all SQL plan baselines are returned.
     *
     */
    "timeLastExecutedLessThan"?: Date;
    /**
     * A filter to return only SQL plan baselines that are not executed till now.
     * By default, all SQL plan baselines are returned.
     *
     */
    "isNeverExecuted"?: boolean;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The OCID of the Named Credential.
     */
    "opcNamedCredentialId"?: string;
}
export declare namespace ListSqlPlanBaselinesRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        TimeLastModified = "timeLastModified",
        TimeLastExecuted = "timeLastExecuted"
    }
}
