/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Premigration Advisor report details.
 *
 */
export interface AdvisorReport {
    "reportLocationDetails"?: model.AdvisorReportLocationDetails;
    /**
     * Premigration Advisor result.
     *
     */
    "result": model.AdvisorResults;
    /**
     * Number of Fatal results in the advisor report.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfFatal": number;
    /**
     * Number of Fatal Blocker results in the advisor report.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfFatalBlockers": number;
    /**
     * Number of Warning results in the advisor report.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfWarnings": number;
    /**
     * Number of Informational results in the advisor report.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfInformationalResults": number;
}
export declare namespace AdvisorReport {
    function getJsonObj(obj: AdvisorReport): object;
    function getDeserializedJsonObj(obj: AdvisorReport): object;
}
