"use strict";
/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateMySqlMigrationDetails = void 0;
const model = __importStar(require("../model"));
var CreateMySqlMigrationDetails;
(function (CreateMySqlMigrationDetails) {
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.CreateMigrationDetails.getJsonObj(obj))), {
            "dataTransferMediumDetails": obj.dataTransferMediumDetails
                ? model.CreateMySqlDataTransferMediumDetails.getJsonObj(obj.dataTransferMediumDetails)
                : undefined,
            "initialLoadSettings": obj.initialLoadSettings
                ? model.CreateMySqlInitialLoadSettings.getJsonObj(obj.initialLoadSettings)
                : undefined,
            "advisorSettings": obj.advisorSettings
                ? model.CreateMySqlAdvisorSettings.getJsonObj(obj.advisorSettings)
                : undefined,
            "excludeObjects": obj.excludeObjects
                ? obj.excludeObjects.map(item => {
                    return model.MySqlDatabaseObject.getJsonObj(item);
                })
                : undefined,
            "includeObjects": obj.includeObjects
                ? obj.includeObjects.map(item => {
                    return model.MySqlDatabaseObject.getJsonObj(item);
                })
                : undefined,
            "hubDetails": obj.hubDetails
                ? model.CreateGoldenGateHubDetails.getJsonObj(obj.hubDetails)
                : undefined,
            "ggsDetails": obj.ggsDetails
                ? model.CreateMySqlGgsDeploymentDetails.getJsonObj(obj.ggsDetails)
                : undefined
        });
        return jsonObj;
    }
    CreateMySqlMigrationDetails.getJsonObj = getJsonObj;
    CreateMySqlMigrationDetails.databaseCombination = "MYSQL";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.CreateMigrationDetails.getDeserializedJsonObj(obj))), {
            "dataTransferMediumDetails": obj.dataTransferMediumDetails
                ? model.CreateMySqlDataTransferMediumDetails.getDeserializedJsonObj(obj.dataTransferMediumDetails)
                : undefined,
            "initialLoadSettings": obj.initialLoadSettings
                ? model.CreateMySqlInitialLoadSettings.getDeserializedJsonObj(obj.initialLoadSettings)
                : undefined,
            "advisorSettings": obj.advisorSettings
                ? model.CreateMySqlAdvisorSettings.getDeserializedJsonObj(obj.advisorSettings)
                : undefined,
            "excludeObjects": obj.excludeObjects
                ? obj.excludeObjects.map(item => {
                    return model.MySqlDatabaseObject.getDeserializedJsonObj(item);
                })
                : undefined,
            "includeObjects": obj.includeObjects
                ? obj.includeObjects.map(item => {
                    return model.MySqlDatabaseObject.getDeserializedJsonObj(item);
                })
                : undefined,
            "hubDetails": obj.hubDetails
                ? model.CreateGoldenGateHubDetails.getDeserializedJsonObj(obj.hubDetails)
                : undefined,
            "ggsDetails": obj.ggsDetails
                ? model.CreateMySqlGgsDeploymentDetails.getDeserializedJsonObj(obj.ggsDetails)
                : undefined
        });
        return jsonObj;
    }
    CreateMySqlMigrationDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateMySqlMigrationDetails = exports.CreateMySqlMigrationDetails || (exports.CreateMySqlMigrationDetails = {}));
//# sourceMappingURL=create-my-sql-migration-details.js.map