/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Create Migration resource parameters.
 */
export interface CreateOracleMigrationDetails extends model.CreateMigrationDetails {
    "dataTransferMediumDetails"?: model.CreateOracleDbLinkDataTransferMediumDetails | model.CreateOracleNfsDataTransferMediumDetails | model.CreateOracleObjectStorageDataTransferMediumDetails | model.CreateOracleAwsS3DataTransferMediumDetails;
    "initialLoadSettings"?: model.CreateOracleInitialLoadSettings;
    "advisorSettings"?: model.CreateOracleAdvisorSettings;
    "hubDetails"?: model.CreateGoldenGateHubDetails;
    "ggsDetails"?: model.CreateOracleGgsDeploymentDetails;
    /**
     * List of Migration Parameter objects.
     */
    "advancedParameters"?: Array<model.MigrationParameterDetails>;
    /**
     * The OCID of the resource being referenced.
     */
    "sourceContainerDatabaseConnectionId"?: string;
    /**
     * Database objects to exclude from migration, cannot be specified alongside 'includeObjects'
     *
     */
    "excludeObjects"?: Array<model.OracleDatabaseObject>;
    /**
     * Database objects to include from migration, cannot be specified alongside 'excludeObjects'
     */
    "includeObjects"?: Array<model.OracleDatabaseObject>;
    /**
     * Specifies the database objects to be excluded from the migration in bulk.
     * The definition accepts input in a CSV format, newline separated for each entry.
     * More details can be found in the documentation.
     *
     */
    "bulkIncludeExcludeData"?: string;
    "databaseCombination": string;
}
export declare namespace CreateOracleMigrationDetails {
    function getJsonObj(obj: CreateOracleMigrationDetails, isParentJsonObj?: boolean): object;
    const databaseCombination = "ORACLE";
    function getDeserializedJsonObj(obj: CreateOracleMigrationDetails, isParentJsonObj?: boolean): object;
}
