"use strict";
/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTargetTypeTablespaceDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var CreateTargetTypeTablespaceDetails;
(function (CreateTargetTypeTablespaceDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "targetType" in obj && obj.targetType) {
            switch (obj.targetType) {
                case "NON_ADB_AUTOCREATE":
                    return model.CreateNonADBAutoCreateTablespaceDetails.getJsonObj(jsonObj, true);
                case "NON_ADB_REMAP":
                    return model.CreateNonADBRemapTablespaceDetails.getJsonObj(jsonObj, true);
                case "ADB_D_REMAP":
                    return model.CreateADBDedicatedRemapTargetTablespaceDetails.getJsonObj(jsonObj, true);
                case "ADB_S_REMAP":
                    return model.CreateADBServerlesTablespaceDetails.getJsonObj(jsonObj, true);
                case "ADB_D_AUTOCREATE":
                    return model.CreateADBDedicatedAutoCreateTablespaceDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.targetType}`);
            }
        }
        return jsonObj;
    }
    CreateTargetTypeTablespaceDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "targetType" in obj && obj.targetType) {
            switch (obj.targetType) {
                case "NON_ADB_AUTOCREATE":
                    return model.CreateNonADBAutoCreateTablespaceDetails.getDeserializedJsonObj(jsonObj, true);
                case "NON_ADB_REMAP":
                    return model.CreateNonADBRemapTablespaceDetails.getDeserializedJsonObj(jsonObj, true);
                case "ADB_D_REMAP":
                    return model.CreateADBDedicatedRemapTargetTablespaceDetails.getDeserializedJsonObj(jsonObj, true);
                case "ADB_S_REMAP":
                    return model.CreateADBServerlesTablespaceDetails.getDeserializedJsonObj(jsonObj, true);
                case "ADB_D_AUTOCREATE":
                    return model.CreateADBDedicatedAutoCreateTablespaceDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.targetType}`);
            }
        }
        return jsonObj;
    }
    CreateTargetTypeTablespaceDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateTargetTypeTablespaceDetails = exports.CreateTargetTypeTablespaceDetails || (exports.CreateTargetTypeTablespaceDetails = {}));
//# sourceMappingURL=create-target-type-tablespace-details.js.map