/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Defines remapping to be applied to objects as they are processed.
 * Refer to [METADATA_REMAP Procedure ](https://docs.oracle.com/en/database/oracle/oracle-database/19/arpls/DBMS_DATAPUMP.html#GUID-0FC32790-91E6-4781-87A3-229DE024CB3D)
 *
 */
export interface MetadataRemap {
    /**
     * Type of remap. Refer to [METADATA_REMAP Procedure ](https://docs.oracle.com/en/database/oracle/oracle-database/19/arpls/DBMS_DATAPUMP.html#GUID-0FC32790-91E6-4781-87A3-229DE024CB3D)
     *
     */
    "type": MetadataRemap.Type;
    /**
     * Specifies the value which needs to be reset.
     */
    "oldValue": string;
    /**
     * Specifies the new value that oldValue should be translated into.
     */
    "newValue": string;
}
export declare namespace MetadataRemap {
    enum Type {
        Schema = "SCHEMA",
        Tablespace = "TABLESPACE",
        Datafile = "DATAFILE",
        Table = "TABLE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MetadataRemap): object;
    function getDeserializedJsonObj(obj: MetadataRemap): object;
}
