/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Migration resource
 */
export interface MigrationSummary {
    /**
     * The OCID of the resource being referenced.
     */
    "id": string;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName": string;
    /**
     * The OCID of the resource being referenced.
     */
    "compartmentId": string;
    /**
     * The type of the migration to be performed.
     * Example: ONLINE if no downtime is preferred for a migration. This method uses Oracle GoldenGate for replication.
     *
     */
    "type": model.MigrationTypes;
    /**
     * The OCID of the resource being referenced.
     */
    "sourceDatabaseConnectionId": string;
    /**
     * The OCID of the resource being referenced.
     */
    "targetDatabaseConnectionId": string;
    /**
     * The OCID of the resource being referenced.
     */
    "executingJobId"?: string;
    /**
     * An RFC3339 formatted datetime string such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeCreated": Date;
    /**
     * An RFC3339 formatted datetime string such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeUpdated"?: Date;
    /**
     * An RFC3339 formatted datetime string such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeLastMigration"?: Date;
    /**
     * The current state of the Migration resource.
     */
    "lifecycleState": model.MigrationLifecycleStates;
    /**
     * Additional status related to the execution and current state of the Migration.
     */
    "lifecycleDetails"?: model.MigrationStatus;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see Resource Tags. Example: {\"Department\": \"Finance\"}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    "databaseCombination": string;
}
export declare namespace MigrationSummary {
    function getJsonObj(obj: MigrationSummary): object;
    function getDeserializedJsonObj(obj: MigrationSummary): object;
}
