/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Database objects to include or exclude from migration
 */
export interface MySqlDatabaseObjectSummary {
    /**
     * Object status.
     */
    "objectStatus"?: model.ObjectStatus;
    /**
     * Schema of the object (regular expression is allowed)
     */
    "schema": string;
    /**
     * Name of the object (regular expression is allowed)
     */
    "objectName": string;
    /**
     * Type of object to exclude.
     * If not specified, matching owners and object names of type TABLE would be excluded.
     *
     */
    "type"?: string;
}
export declare namespace MySqlDatabaseObjectSummary {
    function getJsonObj(obj: MySqlDatabaseObjectSummary): object;
    function getDeserializedJsonObj(obj: MySqlDatabaseObjectSummary): object;
}
