/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Lists the database objects that participate in this migration.
 */
export interface MySqlMigrationObjectCollection extends model.MigrationObjectCollection {
    /**
     * An array of database objects that are either included or excluded from the migration.
     */
    "items": Array<model.MySqlDatabaseObjectSummary>;
    /**
     * Specifies the database objects to be excluded from the migration in bulk.
     * The definition accepts input in a CSV format, newline separated for each entry.
     * More details can be found in the documentation.
     *
     */
    "bulkIncludeExcludeData"?: string;
    "databaseCombination": string;
}
export declare namespace MySqlMigrationObjectCollection {
    function getJsonObj(obj: MySqlMigrationObjectCollection, isParentJsonObj?: boolean): object;
    const databaseCombination = "MYSQL";
    function getDeserializedJsonObj(obj: MySqlMigrationObjectCollection, isParentJsonObj?: boolean): object;
}
