"use strict";
/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MySqlMigration = void 0;
const model = __importStar(require("../model"));
var MySqlMigration;
(function (MySqlMigration) {
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj ? obj : model.Migration.getJsonObj(obj))), {
            "dataTransferMediumDetails": obj.dataTransferMediumDetails
                ? model.MySqlDataTransferMediumDetails.getJsonObj(obj.dataTransferMediumDetails)
                : undefined,
            "initialLoadSettings": obj.initialLoadSettings
                ? model.MySqlInitialLoadSettings.getJsonObj(obj.initialLoadSettings)
                : undefined,
            "advisorSettings": obj.advisorSettings
                ? model.MySqlAdvisorSettings.getJsonObj(obj.advisorSettings)
                : undefined,
            "hubDetails": obj.hubDetails
                ? model.GoldenGateHubDetails.getJsonObj(obj.hubDetails)
                : undefined,
            "ggsDetails": obj.ggsDetails
                ? model.MySqlGgsDeploymentDetails.getJsonObj(obj.ggsDetails)
                : undefined
        });
        return jsonObj;
    }
    MySqlMigration.getJsonObj = getJsonObj;
    MySqlMigration.databaseCombination = "MYSQL";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj ? obj : model.Migration.getDeserializedJsonObj(obj))), {
            "dataTransferMediumDetails": obj.dataTransferMediumDetails
                ? model.MySqlDataTransferMediumDetails.getDeserializedJsonObj(obj.dataTransferMediumDetails)
                : undefined,
            "initialLoadSettings": obj.initialLoadSettings
                ? model.MySqlInitialLoadSettings.getDeserializedJsonObj(obj.initialLoadSettings)
                : undefined,
            "advisorSettings": obj.advisorSettings
                ? model.MySqlAdvisorSettings.getDeserializedJsonObj(obj.advisorSettings)
                : undefined,
            "hubDetails": obj.hubDetails
                ? model.GoldenGateHubDetails.getDeserializedJsonObj(obj.hubDetails)
                : undefined,
            "ggsDetails": obj.ggsDetails
                ? model.MySqlGgsDeploymentDetails.getDeserializedJsonObj(obj.ggsDetails)
                : undefined
        });
        return jsonObj;
    }
    MySqlMigration.getDeserializedJsonObj = getDeserializedJsonObj;
})(MySqlMigration = exports.MySqlMigration || (exports.MySqlMigration = {}));
//# sourceMappingURL=my-sql-migration.js.map