/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Represents the metadata of a MySQL Connection.
 */
export interface MysqlConnection extends model.Connection {
    /**
     * The type of MySQL source or target connection.
     * Example: OCI_MYSQL represents OCI MySQL HeatWave Database Service
     *
     */
    "technologyType": MysqlConnection.TechnologyType;
    /**
     * The IP Address of the host.
     */
    "host"?: string;
    /**
     * The port to be used for the connection. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
    /**
     * The name of the database being referenced.
     */
    "databaseName"?: string;
    /**
     * Security Protocol to be used for the connection.
     */
    "securityProtocol": MysqlConnection.SecurityProtocol;
    /**
     * SSL mode to be used for the connection.
     */
    "sslMode"?: MysqlConnection.SslMode;
    /**
     * An array of name-value pair attribute entries.
     */
    "additionalAttributes"?: Array<model.NameValuePair>;
    /**
     * The OCID of the database system being referenced.
     *
     */
    "dbSystemId"?: string;
    "connectionType": string;
}
export declare namespace MysqlConnection {
    enum TechnologyType {
        AmazonAuroraMysql = "AMAZON_AURORA_MYSQL",
        AmazonRdsMysql = "AMAZON_RDS_MYSQL",
        AzureMysql = "AZURE_MYSQL",
        GoogleCloudSqlMysql = "GOOGLE_CLOUD_SQL_MYSQL",
        MysqlServer = "MYSQL_SERVER",
        OciMysql = "OCI_MYSQL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum SecurityProtocol {
        Plain = "PLAIN",
        Tls = "TLS",
        Mtls = "MTLS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum SslMode {
        Disabled = "DISABLED",
        Preferred = "PREFERRED",
        Required = "REQUIRED",
        VerifyCa = "VERIFY_CA",
        VerifyIdentity = "VERIFY_IDENTITY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MysqlConnection, isParentJsonObj?: boolean): object;
    const connectionType = "MYSQL";
    function getDeserializedJsonObj(obj: MysqlConnection, isParentJsonObj?: boolean): object;
}
