/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * AWS S3 bucket details used for source Connection resources with RDS_ORACLE type.
 * Only supported for source Connection resources with RDS_ORACLE type.
 *
 */
export interface OracleAwsS3DataTransferMediumDetails extends model.OracleDataTransferMediumDetails {
    /**
     * S3 bucket name.
     */
    "name"?: string;
    /**
     * AWS region code where the S3 bucket is located.
     * Region code should match the documented available regions:
     * https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/using-regions-availability-zones.html#concepts-available-regions
     *
     */
    "region"?: string;
    /**
     * AWS access key credentials identifier
     * Details: https://docs.aws.amazon.com/general/latest/gr/aws-sec-cred-types.html#access-keys-and-secret-access-keys
     *
     */
    "accessKeyId"?: string;
    /**
     * AWS secret access key credentials
     * Details: https://docs.aws.amazon.com/general/latest/gr/aws-sec-cred-types.html#access-keys-and-secret-access-keys
     *
     */
    "secretAccessKey"?: string;
    "objectStorageBucket"?: model.ObjectStoreBucket;
    "type": string;
}
export declare namespace OracleAwsS3DataTransferMediumDetails {
    function getJsonObj(obj: OracleAwsS3DataTransferMediumDetails, isParentJsonObj?: boolean): object;
    const type = "AWS_S3";
    function getDeserializedJsonObj(obj: OracleAwsS3DataTransferMediumDetails, isParentJsonObj?: boolean): object;
}
