"use strict";
/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OracleDataTransferMediumDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var OracleDataTransferMediumDetails;
(function (OracleDataTransferMediumDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "DBLINK":
                    return model.OracleDbLinkDataTransferMediumDetails.getJsonObj(jsonObj, true);
                case "OBJECT_STORAGE":
                    return model.OracleObjectStorageDataTransferMediumDetails.getJsonObj(jsonObj, true);
                case "AWS_S3":
                    return model.OracleAwsS3DataTransferMediumDetails.getJsonObj(jsonObj, true);
                case "NFS":
                    return model.OracleNfsDataTransferMediumDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    OracleDataTransferMediumDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "DBLINK":
                    return model.OracleDbLinkDataTransferMediumDetails.getDeserializedJsonObj(jsonObj, true);
                case "OBJECT_STORAGE":
                    return model.OracleObjectStorageDataTransferMediumDetails.getDeserializedJsonObj(jsonObj, true);
                case "AWS_S3":
                    return model.OracleAwsS3DataTransferMediumDetails.getDeserializedJsonObj(jsonObj, true);
                case "NFS":
                    return model.OracleNfsDataTransferMediumDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    OracleDataTransferMediumDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(OracleDataTransferMediumDetails = exports.OracleDataTransferMediumDetails || (exports.OracleDataTransferMediumDetails = {}));
//# sourceMappingURL=oracle-data-transfer-medium-details.js.map