/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Oracle Migration resource
 */
export interface OracleMigration extends model.Migration {
    "dataTransferMediumDetails"?: model.OracleDbLinkDataTransferMediumDetails | model.OracleObjectStorageDataTransferMediumDetails | model.OracleAwsS3DataTransferMediumDetails | model.OracleNfsDataTransferMediumDetails;
    "initialLoadSettings"?: model.OracleInitialLoadSettings;
    "advisorSettings"?: model.OracleAdvisorSettings;
    "hubDetails"?: model.GoldenGateHubDetails;
    "ggsDetails"?: model.OracleGgsDeploymentDetails;
    /**
     * The OCID of the resource being referenced.
     */
    "sourceContainerDatabaseConnectionId"?: string;
    /**
     * List of Migration Parameter objects.
     */
    "advancedParameters"?: Array<model.MigrationParameterDetails>;
    "databaseCombination": string;
}
export declare namespace OracleMigration {
    function getJsonObj(obj: OracleMigration, isParentJsonObj?: boolean): object;
    const databaseCombination = "ORACLE";
    function getDeserializedJsonObj(obj: OracleMigration, isParentJsonObj?: boolean): object;
}
