"use strict";
/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrimaryKeyCompatibility = void 0;
/**
 * Primary Key Compatibility option.
 * IGNORE_MISSING_PKS - Make the instance, schema, or table dump utility ignore any missing
 *   primary keys when the dump is carried out,
 * CREATE_INVISIBLE_PKS - Add a flag in the dump metadata to notify MySQL Shell\u2019s dump loading utility to add
 *   primary keys in invisible columns, for each table that does not contain a primary key.
 *
 **/
var PrimaryKeyCompatibility;
(function (PrimaryKeyCompatibility) {
    PrimaryKeyCompatibility["None"] = "NONE";
    PrimaryKeyCompatibility["IgnoreMissingPks"] = "IGNORE_MISSING_PKS";
    PrimaryKeyCompatibility["CreateInvisiblePks"] = "CREATE_INVISIBLE_PKS";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    PrimaryKeyCompatibility["UnknownValue"] = "UNKNOWN_VALUE";
})(PrimaryKeyCompatibility = exports.PrimaryKeyCompatibility || (exports.PrimaryKeyCompatibility = {}));
(function (PrimaryKeyCompatibility) {
    function getJsonObj(obj) {
        return obj;
    }
    PrimaryKeyCompatibility.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    PrimaryKeyCompatibility.getDeserializedJsonObj = getDeserializedJsonObj;
})(PrimaryKeyCompatibility = exports.PrimaryKeyCompatibility || (exports.PrimaryKeyCompatibility = {}));
//# sourceMappingURL=primary-key-compatibility.js.map