/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The specific database technology for a type of database connection.
 * Example: OCI_AUTONOMOUS_DATABASE for an ORACLE connection type.
 *
 **/
export declare enum TechnologyType {
    OciAutonomousDatabase = "OCI_AUTONOMOUS_DATABASE",
    OciMysql = "OCI_MYSQL",
    OracleDatabase = "ORACLE_DATABASE",
    OracleExadata = "ORACLE_EXADATA",
    AmazonRdsOracle = "AMAZON_RDS_ORACLE",
    AmazonAuroraMysql = "AMAZON_AURORA_MYSQL",
    AmazonRdsMysql = "AMAZON_RDS_MYSQL",
    AzureMysql = "AZURE_MYSQL",
    GoogleCloudSqlMysql = "GOOGLE_CLOUD_SQL_MYSQL",
    MysqlServer = "MYSQL_SERVER"
}
export declare namespace TechnologyType {
    function getJsonObj(obj: TechnologyType): TechnologyType;
    function getDeserializedJsonObj(obj: TechnologyType): TechnologyType;
}
