/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about Oracle GoldenGate Microservices.
 */
export interface UpdateGoldenGateHubDetails {
    "restAdminCredentials"?: model.UpdateAdminCredentials;
    /**
     * Endpoint URL.
     */
    "url"?: string;
    /**
     * The OCID of the resource being referenced.
     */
    "computeId"?: string;
    /**
     * The OCID of the resource being referenced.
     */
    "vaultId"?: string;
    /**
     * The OCID of the resource being referenced.
     */
    "keyId"?: string;
    "extract"?: model.UpdateExtract;
    "replicat"?: model.UpdateReplicat;
    /**
     * ODMS will monitor GoldenGate end-to-end latency until the lag time is lower than the specified value in seconds.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "acceptableLag"?: number;
}
export declare namespace UpdateGoldenGateHubDetails {
    function getJsonObj(obj: UpdateGoldenGateHubDetails): object;
    function getDeserializedJsonObj(obj: UpdateGoldenGateHubDetails): object;
}
