/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to update a MySQL Connection.
 */
export interface UpdateMysqlConnectionDetails extends model.UpdateConnectionDetails {
    /**
     * The IP Address of the host.
     */
    "host"?: string;
    /**
     * The port to be used for the connection. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
    /**
     * The name of the database being referenced.
     */
    "databaseName"?: string;
    /**
     * Security Type for MySQL.
     */
    "securityProtocol"?: string;
    /**
     * SSL modes for MySQL.
     */
    "sslMode"?: string;
    /**
     * Database Certificate - The base64 encoded content of mysql.pem file
     * containing the server public key (for 1 and 2-way SSL).
     *
     */
    "sslCa"?: string;
    /**
     * Certificates revoked by certificate authorities (CA).
     * Server certificate must not be on this list (for 1 and 2-way SSL).
     * Note: This is an optional and that too only applicable if TLS/MTLS option is selected.
     *
     */
    "sslCrl"?: string;
    /**
     * Client Certificate - The base64 encoded content of client-cert.pem file
     * containing the client public key (for 2-way SSL).
     *
     */
    "sslCert"?: string;
    /**
     * Client Key - The client-key.pem containing the client private key (for 2-way SSL).
     */
    "sslKey"?: string;
    /**
     * An array of name-value pair attribute entries.
     */
    "additionalAttributes"?: Array<model.NameValuePair>;
    /**
     * The OCID of the database system being referenced.
     *
     */
    "dbSystemId"?: string;
    "connectionType": string;
}
export declare namespace UpdateMysqlConnectionDetails {
    function getJsonObj(obj: UpdateMysqlConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "MYSQL";
    function getDeserializedJsonObj(obj: UpdateMysqlConnectionDetails, isParentJsonObj?: boolean): object;
}
