/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Optional settings for Data Pump Export and Import jobs
 */
export interface UpdateOracleInitialLoadSettings {
    "dataPumpParameters"?: model.UpdateDataPumpParameters;
    "tablespaceDetails"?: model.UpdateTargetDefaultsRemapTablespaceDetails | model.UpdateADBDedicatedRemapTargetTablespaceDetails | model.UpdateNonADBRemapTablespaceDetails | model.UpdateNonADBAutoCreateTablespaceDetails | model.UpdateADBDedicatedAutoCreateTablespaceDetails | model.UpdateADBServerlesTablespaceDetails | model.UpdateTargetDefaultsAutoCreateTablespaceDetails;
    "exportDirectoryObject"?: model.UpdateDirectoryObject;
    "importDirectoryObject"?: model.UpdateDirectoryObject;
    /**
     * Oracle Job Mode
     */
    "jobMode": model.JobModeOracle;
    /**
     * Defines remapping to be applied to objects as they are processed.
     *
     */
    "metadataRemaps"?: Array<model.MetadataRemap>;
}
export declare namespace UpdateOracleInitialLoadSettings {
    function getJsonObj(obj: UpdateOracleInitialLoadSettings): object;
    function getDeserializedJsonObj(obj: UpdateOracleInitialLoadSettings): object;
}
