/**
 * Database Migration API
 * Use the Oracle Cloud Infrastructure Database Migration APIs to perform database migration operations.
 * OpenAPI spec version: 20230518
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A resource that is created or operated on by an asynchronous operation that is tracked by
 * a work request.
 *
 */
export interface WorkRequestResource {
    /**
     * The way in which this resource was affected by the operation that spawned the work
     * request.
     *
     */
    "actionType": WorkRequestResource.ActionType;
    /**
     * The resource type the work request affects.
     *
     */
    "entityType": string;
    /**
     * An [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) or other unique identifier for the
     * resource.
     *
     */
    "identifier": string;
    /**
     * The URI path that you can use for a GET request to access the resource metadata.
     *
     */
    "entityUri"?: string;
}
export declare namespace WorkRequestResource {
    enum ActionType {
        Created = "CREATED",
        Updated = "UPDATED",
        Deleted = "DELETED",
        Related = "RELATED",
        InProgress = "IN_PROGRESS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
