"use strict";
/**
 * Database Tools
 * Use the Database Tools API to manage connections, private endpoints, and work requests in the Database Tools service.
 * OpenAPI spec version: 20201005
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseToolsConnection = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var DatabaseToolsConnection;
(function (DatabaseToolsConnection) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.ResourceLock.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "ORACLE_DATABASE":
                    return model.DatabaseToolsConnectionOracleDatabase.getJsonObj(jsonObj, true);
                case "POSTGRESQL":
                    return model.DatabaseToolsConnectionPostgresql.getJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.DatabaseToolsConnectionMySql.getJsonObj(jsonObj, true);
                case "GENERIC_JDBC":
                    return model.DatabaseToolsConnectionGenericJdbc.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    DatabaseToolsConnection.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.ResourceLock.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "ORACLE_DATABASE":
                    return model.DatabaseToolsConnectionOracleDatabase.getDeserializedJsonObj(jsonObj, true);
                case "POSTGRESQL":
                    return model.DatabaseToolsConnectionPostgresql.getDeserializedJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.DatabaseToolsConnectionMySql.getDeserializedJsonObj(jsonObj, true);
                case "GENERIC_JDBC":
                    return model.DatabaseToolsConnectionGenericJdbc.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    DatabaseToolsConnection.getDeserializedJsonObj = getDeserializedJsonObj;
})(DatabaseToolsConnection = exports.DatabaseToolsConnection || (exports.DatabaseToolsConnection = {}));
//# sourceMappingURL=database-tools-connection.js.map