/**
 * Database Tools
 * Use the Database Tools API to manage connections, private endpoints, and work requests in the Database Tools service.
 * OpenAPI spec version: 20201005
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Connection validation result.
 */
export interface ValidateDatabaseToolsConnectionResult {
    /**
     * A short code that defines the result of the validation, meant for programmatic parsing. The value OK indicates that the validation was successful.
     */
    "code": string;
    /**
     * A human-readable message that describes the result of the validation.
     */
    "message": string;
    /**
     * A human-readable message that describes possible causes for the validation error.
     */
    "cause"?: string;
    /**
     * A human-readable message that suggests a remedial action to resolve the validation error.
     */
    "action"?: string;
    "type": string;
}
export declare namespace ValidateDatabaseToolsConnectionResult {
    function getJsonObj(obj: ValidateDatabaseToolsConnectionResult): object;
    function getDeserializedJsonObj(obj: ValidateDatabaseToolsConnectionResult): object;
}
