/**
 * Data Catalog API
 * Use the Data Catalog APIs to collect, organize, find, access, understand, enrich, and activate technical, business, and operational metadata.
For more information, see [Data Catalog](https://docs.oracle.com/iaas/data-catalog/home.htm).

 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Enum Representing various data types allowed for the custom property
 * TEXT - String data type
 * RICH_TEXT - Rich text to hold long descriptions and formatted values
 * NUMBER - Numeric Data type
 * BOOLEAN - Boolean type with allowed values of true or false
 * DATE - Date data type
 *
 **/
export declare enum CustomPropertyDataType {
    Text = "TEXT",
    RichText = "RICH_TEXT",
    Boolean = "BOOLEAN",
    Number = "NUMBER",
    Date = "DATE",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace CustomPropertyDataType {
    function getJsonObj(obj: CustomPropertyDataType): CustomPropertyDataType;
    function getDeserializedJsonObj(obj: CustomPropertyDataType): CustomPropertyDataType;
}
