/**
 * Data Catalog API
 * Use the Data Catalog APIs to collect, organize, find, access, understand, enrich, and activate technical, business, and operational metadata.
For more information, see [Data Catalog](https://docs.oracle.com/iaas/data-catalog/home.htm).

 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Aggregation/facets on properties of data object.
 */
export interface FacetedSearchAggregation {
    /**
     * Name of data object property
     */
    "type"?: string;
    /**
     * Count of number of data objects having property.
     */
    "aggregation"?: {
        [key: string]: number;
    };
    /**
     * Data type of object property.
     */
    "dataType"?: string;
    /**
     * Type of property that indicates if it was defined by the user or system.
     * CUSTOM_PROPERTY is defined by the user on a data object.
     * DEFAULT_PROPERTY is defined by the system on a data object.
     *
     */
    "propertyType"?: FacetedSearchAggregation.PropertyType;
}
export declare namespace FacetedSearchAggregation {
    enum PropertyType {
        CustomProperty = "CUSTOM_PROPERTY",
        DefaultProperty = "DEFAULT_PROPERTY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: FacetedSearchAggregation): object;
    function getDeserializedJsonObj(obj: FacetedSearchAggregation): object;
}
