/**
 * Data Catalog API
 * Use the Data Catalog APIs to collect, organize, find, access, understand, enrich, and activate technical, business, and operational metadata.
For more information, see [Data Catalog](https://docs.oracle.com/iaas/data-catalog/home.htm).

 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Object with string filter criteria
 */
export interface FacetedSearchStringFilterRequest {
    /**
     * String/boolean/numerical field name that needs to be filtered by.
     * Acceptable field names: CatalogType, AttributeType, FolderType, DataAssetType, CreatedBy, UpdatedBy, Term, Tag, DataAssetName, LifeCycleState.
     *
     */
    "field"?: string;
    /**
     * Array of values that the search results needs to be filtered by.
     * Acceptable values for field 'CatalogType': DataAsset, Folder, DataEntity, Attribute, Term, Category, Glossary, Pattern, Job, Schedule, CustomProperty.
     * For other fields, acceptable values can be derived by inspecting the data object.
     *
     */
    "values"?: Array<string>;
}
export declare namespace FacetedSearchStringFilterRequest {
    function getJsonObj(obj: FacetedSearchStringFilterRequest): object;
    function getDeserializedJsonObj(obj: FacetedSearchStringFilterRequest): object;
}
