/**
 * Data Catalog API
 * Use the Data Catalog APIs to collect, organize, find, access, understand, enrich, and activate technical, business, and operational metadata.
For more information, see [Data Catalog](https://docs.oracle.com/iaas/data-catalog/home.htm).

 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Lifecycle state for jobs.
 * ACTIVE    - The job is active and will execute based on it's schedule information.
 * INACTIVE  - The job is inactive and will not execute based on it's schedule until it is ACTIVE.
 * EXPIRED - The job's schedule has expired and will not result in any further executions. This is a terminal state.
 *
 **/
export declare enum JobLifecycleState {
    Active = "ACTIVE",
    Inactive = "INACTIVE",
    Expired = "EXPIRED",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace JobLifecycleState {
    function getJsonObj(obj: JobLifecycleState): JobLifecycleState;
    function getDeserializedJsonObj(obj: JobLifecycleState): JobLifecycleState;
}
