/**
 * Data Catalog API
 * Use the Data Catalog APIs to collect, organize, find, access, understand, enrich, and activate technical, business, and operational metadata.
For more information, see [Data Catalog](https://docs.oracle.com/iaas/data-catalog/home.htm).

 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Job metric summary.
 */
export interface JobMetricSummary {
    /**
     * Key of the job metric that is immutable.
     */
    "key": string;
    /**
     * Detailed description of the metric.
     */
    "description"?: string;
    /**
     * The unique key of the parent job execution for which the job metric resource was created.
     */
    "jobExecutionKey"?: string;
    /**
     * URI to the job metric instance in the API.
     */
    "uri"?: string;
    /**
     * The date and time the job metric was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * Example: {@code 2019-03-25T21:10:29.600Z}
     *
     */
    "timeCreated"?: Date;
    /**
     * The time the metric was logged or captured in the system where the job executed.
     * An [RFC3339](https://tools.ietf.org/html/rfc3339) formatted datetime string.
     *
     */
    "timeInserted"?: Date;
    /**
     * Category of this metric.
     */
    "category"?: string;
    /**
     * A user-friendly display name. Does not have to be unique, and it's changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName"?: string;
    /**
     * Sub category of this metric under the category. Used for aggregating values. May be null.
     */
    "subCategory"?: string;
    /**
     * Unit of this metric.
     */
    "unit"?: string;
    /**
     * Value of this metric.
     */
    "value"?: string;
    /**
     * Batch key for grouping, may be null.
     */
    "batchKey"?: string;
}
export declare namespace JobMetricSummary {
    function getJsonObj(obj: JobMetricSummary): object;
    function getDeserializedJsonObj(obj: JobMetricSummary): object;
}
