/**
 * Data Catalog API
 * Use the Data Catalog APIs to collect, organize, find, access, understand, enrich, and activate technical, business, and operational metadata.
For more information, see [Data Catalog](https://docs.oracle.com/iaas/data-catalog/home.htm).

 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details regarding a specific object and its relationship to the referencing object.
 */
export interface ObjectRelationship {
    /**
     * Type of relationship with the referencing object.
     */
    "relationshipType"?: string;
    /**
     * Unique id of the object.
     */
    "key"?: string;
    /**
     * Name of the object.
     */
    "name"?: string;
    /**
     * Type name of the object. Type names can be found via the '/types' endpoint.
     */
    "typeName"?: string;
    /**
     * Type key of the object. Type keys can be found via the '/types' endpoint.
     */
    "typeKey"?: string;
    /**
     * The date and time the relationship was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * Example: {@code 2019-03-25T21:10:29.600Z}
     *
     */
    "timeCreated"?: Date;
    /**
     * The last time a change was made to this reference. An [RFC3339](https://tools.ietf.org/html/rfc3339) formatted datetime string.
     *
     */
    "timeUpdated"?: Date;
    /**
     * Full path of the object.
     */
    "path"?: string;
    /**
     * Key of the parent object for the resource.
     */
    "parentKey"?: string;
    /**
     * Full path of the parent object.
     */
    "parentPath"?: string;
}
export declare namespace ObjectRelationship {
    function getJsonObj(obj: ObjectRelationship): object;
    function getDeserializedJsonObj(obj: ObjectRelationship): object;
}
