/**
 * Data Catalog API
 * Use the Data Catalog APIs to collect, organize, find, access, understand, enrich, and activate technical, business, and operational metadata.
For more information, see [Data Catalog](https://docs.oracle.com/iaas/data-catalog/home.htm).

 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The list of potential matches returned from the suggest operation for the given input text. The size of the list will be determined
 * by the limit parameter.
 *
 */
export interface SuggestResults {
    /**
     * Total number of items returned. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalCount": number;
    /**
     * Time taken to compute the result, in milliseconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "searchLatencyInMs"?: number;
    /**
     * Input string for which the potential matches are computed.
     */
    "inputText": string;
    /**
     * List of suggestions.
     */
    "items"?: Array<model.SuggestListItem>;
}
export declare namespace SuggestResults {
    function getJsonObj(obj: SuggestResults): object;
    function getDeserializedJsonObj(obj: SuggestResults): object;
}
