/**
 *
 *
 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datacatalog/GetEntity.ts.html |here} to see how to use GetEntityRequest.
 */
export interface GetEntityRequest extends common.BaseRequest {
    /**
     * Unique catalog identifier.
     */
    "catalogId": string;
    /**
     * Unique data asset key.
     */
    "dataAssetKey": string;
    /**
     * Unique entity key.
     */
    "entityKey": string;
    /**
     * Indicates whether the list of objects and their relationships to this object will be provided in the response.
     */
    "isIncludeObjectRelationships"?: boolean;
    /**
     * Specifies the fields to return in an entity response.
     *
     */
    "fields"?: Array<GetEntityRequest.Fields>;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace GetEntityRequest {
    enum Fields {
        Key = "key",
        DisplayName = "displayName",
        Description = "description",
        DataAssetKey = "dataAssetKey",
        TimeCreated = "timeCreated",
        TimeUpdated = "timeUpdated",
        CreatedById = "createdById",
        UpdatedById = "updatedById",
        LifecycleState = "lifecycleState",
        ExternalKey = "externalKey",
        TimeExternal = "timeExternal",
        TimeStatusUpdated = "timeStatusUpdated",
        IsLogical = "isLogical",
        IsPartition = "isPartition",
        FolderKey = "folderKey",
        FolderName = "folderName",
        TypeKey = "typeKey",
        Path = "path",
        HarvestStatus = "harvestStatus",
        LastJobKey = "lastJobKey",
        Uri = "uri",
        Properties = "properties"
    }
}
