/**
 *
 *
 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datacatalog/GetTerm.ts.html |here} to see how to use GetTermRequest.
 */
export interface GetTermRequest extends common.BaseRequest {
    /**
     * Unique catalog identifier.
     */
    "catalogId": string;
    /**
     * Unique glossary key.
     */
    "glossaryKey": string;
    /**
     * Unique glossary term key.
     */
    "termKey": string;
    /**
     * Specifies the fields to return in a term response.
     *
     */
    "fields"?: Array<GetTermRequest.Fields>;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace GetTermRequest {
    enum Fields {
        Key = "key",
        DisplayName = "displayName",
        Description = "description",
        GlossaryKey = "glossaryKey",
        ParentTermKey = "parentTermKey",
        IsAllowedToHaveChildTerms = "isAllowedToHaveChildTerms",
        Path = "path",
        LifecycleState = "lifecycleState",
        TimeCreated = "timeCreated",
        TimeUpdated = "timeUpdated",
        CreatedById = "createdById",
        UpdatedById = "updatedById",
        Owner = "owner",
        WorkflowStatus = "workflowStatus",
        Uri = "uri",
        RelatedTerms = "relatedTerms",
        AssociatedObjectCount = "associatedObjectCount",
        AssociatedObjects = "associatedObjects"
    }
}
