/**
 *
 *
 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datacatalog/ListCustomProperties.ts.html |here} to see how to use ListCustomPropertiesRequest.
 */
export interface ListCustomPropertiesRequest extends common.BaseRequest {
    /**
     * Unique catalog identifier.
     */
    "catalogId": string;
    /**
     * Unique namespace identifier.
     */
    "namespaceId": string;
    /**
     * A filter to return only resources that match the entire display name given. The match is not case sensitive.
     */
    "displayName"?: string;
    /**
     * A filter to return only resources that match display name pattern given. The match is not case sensitive.
     * For Example : /folders?displayNameContains=Cu.*
     * The above would match all folders with display name that starts with \"Cu\" or has the pattern \"Cu\" anywhere in between.
     *
     */
    "displayNameContains"?: string;
    /**
     * Return the custom properties which has specified data types
     *
     */
    "dataTypes"?: Array<model.CustomPropertyDataType>;
    /**
     * A filter to return only resources that match the entire type name given. The match is not case sensitive
     */
    "typeName"?: Array<ListCustomPropertiesRequest.TypeName>;
    /**
     * A filter to return only resources that match the specified lifecycle state. The value is case insensitive.
     */
    "lifecycleState"?: model.LifecycleState;
    /**
     * Time that the resource was created. An [RFC3339](https://tools.ietf.org/html/rfc3339) formatted datetime string.
     */
    "timeCreated"?: Date;
    /**
     * Time that the resource was updated. An [RFC3339](https://tools.ietf.org/html/rfc3339) formatted datetime string.
     */
    "timeUpdated"?: Date;
    /**
     * OCID of the user who created the resource.
     */
    "createdById"?: string;
    /**
     * OCID of the user who updated the resource.
     */
    "updatedById"?: string;
    /**
     * Specifies the fields to return in a custom property summary response.
     *
     */
    "fields"?: Array<ListCustomPropertiesRequest.Fields>;
    /**
     * The sort order to use, either 'asc' or 'desc'.
     */
    "sortOrder"?: ListCustomPropertiesRequest.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for USAGECOUNT and DISPLAYNAME is Ascending
     *
     */
    "sortBy"?: ListCustomPropertiesRequest.SortBy;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListCustomPropertiesRequest {
    enum TypeName {
        DataAsset = "DATA_ASSET",
        AutonomousDataWarehouse = "AUTONOMOUS_DATA_WAREHOUSE",
        Hive = "HIVE",
        Kafka = "KAFKA",
        Mysql = "MYSQL",
        OracleObjectStorage = "ORACLE_OBJECT_STORAGE",
        AutonomousTransactionProcessing = "AUTONOMOUS_TRANSACTION_PROCESSING",
        Oracle = "ORACLE",
        Postgresql = "POSTGRESQL",
        MicrosoftAzureSqlDatabase = "MICROSOFT_AZURE_SQL_DATABASE",
        MicrosoftSqlServer = "MICROSOFT_SQL_SERVER",
        IbmDb2 = "IBM_DB2",
        DataEntity = "DATA_ENTITY",
        LogicalEntity = "LOGICAL_ENTITY",
        Table = "TABLE",
        View = "VIEW",
        Attribute = "ATTRIBUTE",
        Folder = "FOLDER",
        OracleAnalyticsSubjectAreaColumn = "ORACLE_ANALYTICS_SUBJECT_AREA_COLUMN",
        OracleAnalyticsLogicalColumn = "ORACLE_ANALYTICS_LOGICAL_COLUMN",
        OracleAnalyticsPhysicalColumn = "ORACLE_ANALYTICS_PHYSICAL_COLUMN",
        OracleAnalyticsAnalysisColumn = "ORACLE_ANALYTICS_ANALYSIS_COLUMN",
        OracleAnalyticsServer = "ORACLE_ANALYTICS_SERVER",
        OracleAnalyticsCloud = "ORACLE_ANALYTICS_CLOUD",
        OracleAnalyticsSubjectArea = "ORACLE_ANALYTICS_SUBJECT_AREA",
        OracleAnalyticsDashboard = "ORACLE_ANALYTICS_DASHBOARD",
        OracleAnalyticsBusinessModel = "ORACLE_ANALYTICS_BUSINESS_MODEL",
        OracleAnalyticsPhysicalDatabase = "ORACLE_ANALYTICS_PHYSICAL_DATABASE",
        OracleAnalyticsPhysicalSchema = "ORACLE_ANALYTICS_PHYSICAL_SCHEMA",
        OracleAnalyticsPresentationTable = "ORACLE_ANALYTICS_PRESENTATION_TABLE",
        OracleAnalyticsLogicalTable = "ORACLE_ANALYTICS_LOGICAL_TABLE",
        OracleAnalyticsPhysicalTable = "ORACLE_ANALYTICS_PHYSICAL_TABLE",
        OracleAnalyticsAnalysis = "ORACLE_ANALYTICS_ANALYSIS",
        DatabaseSchema = "DATABASE_SCHEMA",
        Topic = "TOPIC",
        Connection = "CONNECTION",
        Glossary = "GLOSSARY",
        Term = "TERM",
        Category = "CATEGORY",
        File = "FILE",
        Bucket = "BUCKET",
        Message = "MESSAGE",
        UnrecognizedFile = "UNRECOGNIZED_FILE"
    }
    enum Fields {
        Key = "key",
        DisplayName = "displayName",
        Description = "description",
        DataType = "dataType",
        NamespaceName = "namespaceName",
        LifecycleState = "lifecycleState",
        TimeCreated = "timeCreated"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        Displayname = "DISPLAYNAME",
        Usagecount = "USAGECOUNT"
    }
}
