/**
 *
 *
 * OpenAPI spec version: 20190325
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datacatalog/Recommendations.ts.html |here} to see how to use RecommendationsRequest.
 */
export interface RecommendationsRequest extends common.BaseRequest {
    /**
     * Unique catalog identifier.
     */
    "catalogId": string;
    /**
     * A filter used to return only recommendations of the specified type.
     */
    "recommendationType": Array<model.RecommendationType>;
    /**
     * A filter used to provide the unique identifier of the source object, for which a list of recommendations will be returned for review.
     */
    "sourceObjectKey": string;
    /**
     * A filter used to provide the type of the source object, for which a list of recommendations will be returned for review.
     */
    "sourceObjectType": model.RecommendationResourceType;
    /**
     * A filter used to return only recommendations having the requested status.
     */
    "recommendationStatus"?: model.RecommendationStatus;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
