/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { DataFlowClient } from "./client";
export declare class DataFlowWaiter {
    private client;
    private readonly config?;
    constructor(client: DataFlowClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forApplication till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetApplicationResponse | null (null in case of 404 response)
     */
    forApplication(request: serviceRequests.GetApplicationRequest, ...targetStates: models.ApplicationLifecycleState[]): Promise<serviceResponses.GetApplicationResponse | null>;
    /**
     * Waits forPool till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetPoolResponse | null (null in case of 404 response)
     */
    forPool(request: serviceRequests.GetPoolRequest, ...targetStates: models.PoolLifecycleState[]): Promise<serviceResponses.GetPoolResponse | null>;
    /**
     * Waits forPrivateEndpoint till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetPrivateEndpointResponse | null (null in case of 404 response)
     */
    forPrivateEndpoint(request: serviceRequests.GetPrivateEndpointRequest, ...targetStates: models.PrivateEndpointLifecycleState[]): Promise<serviceResponses.GetPrivateEndpointResponse | null>;
    /**
     * Waits forRun till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetRunResponse
     */
    forRun(request: serviceRequests.GetRunRequest, ...targetStates: models.RunLifecycleState[]): Promise<serviceResponses.GetRunResponse>;
    /**
     * Waits forSqlEndpoint till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetSqlEndpointResponse | null (null in case of 404 response)
     */
    forSqlEndpoint(request: serviceRequests.GetSqlEndpointRequest, ...targetStates: models.SqlEndpointLifecycleState[]): Promise<serviceResponses.GetSqlEndpointResponse | null>;
    /**
     * Waits forStatement till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetStatementResponse
     */
    forStatement(request: serviceRequests.GetStatementRequest, ...targetStates: models.StatementLifecycleState[]): Promise<serviceResponses.GetStatementResponse>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
