/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about a new SQL Endpoint.
 */
export interface CreateSqlEndpointDetails {
    /**
     * The identifier of the compartment used with the SQL Endpoint.
     */
    "compartmentId": string;
    /**
     * The SQL Endpoint name, which can be changed.
     */
    "displayName": string;
    /**
     * The description of CreateSQLEndpointDetails.
     */
    "description"?: string;
    /**
     * The version of the SQL Endpoint.
     */
    "sqlEndpointVersion": string;
    /**
     * The shape of the SQL Endpoint driver instance.
     */
    "driverShape": string;
    "driverShapeConfig"?: model.ShapeConfig;
    /**
     * The shape of the SQL Endpoint worker instance.
     */
    "executorShape": string;
    "executorShapeConfig"?: model.ShapeConfig;
    /**
     * The minimum number of executors. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minExecutorCount": number;
    /**
     * The maximum number of executors. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxExecutorCount": number;
    /**
     * Metastore OCID
     */
    "metastoreId": string;
    /**
     * OCI lake OCID
     */
    "lakeId": string;
    /**
     * The warehouse bucket URI. It is a Oracle Cloud Infrastructure Object Storage bucket URI as defined here https://docs.oracle.com/en/cloud/paas/atp-cloud/atpud/object-storage-uris.html
     */
    "warehouseBucketUri": string;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * The Spark configuration passed to the running process.
     * See https://spark.apache.org/docs/latest/configuration.html#available-properties.
     * Example: { \"spark.app.name\" : \"My App Name\", \"spark.shuffle.io.maxRetries\" : \"4\" }
     * Note: Not all Spark properties are permitted to be set.  Attempting to set a property that is
     * not allowed to be overwritten will cause a 400 status to be returned.
     *
     */
    "sparkAdvancedConfigurations"?: {
        [key: string]: string;
    };
    "networkConfiguration": model.SqlEndpointVcnConfig | model.SqlEndpointSecureAccessConfig;
}
export declare namespace CreateSqlEndpointDetails {
    function getJsonObj(obj: CreateSqlEndpointDetails): object;
    function getDeserializedJsonObj(obj: CreateSqlEndpointDetails): object;
}
