"use strict";
/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatementOutputData = exports.StatementOutput = exports.StatementLifecycleState = exports.StatementCollection = exports.Statement = exports.SqlEndpointSummary = exports.SqlEndpointNetworkConfiguration = exports.SqlEndpointLifecycleState = exports.SqlEndpointCollection = exports.SqlEndpoint = exports.ShapeConfig = exports.SecureAccessControlRule = exports.Scan = exports.RunSummary = exports.RunLogSummary = exports.RunLifecycleState = exports.Run = exports.PrivateEndpointSummary = exports.PrivateEndpointLifecycleState = exports.PrivateEndpointCollection = exports.PrivateEndpoint = exports.PoolSummary = exports.PoolSchedule = exports.PoolMetrics = exports.PoolLifecycleState = exports.PoolConfig = exports.PoolCollection = exports.Pool = exports.NodeCount = exports.NetworkType = exports.IpNotationType = exports.DayOfWeek = exports.CreateStatementDetails = exports.CreateSqlEndpointDetails = exports.CreateRunDetails = exports.CreatePrivateEndpointDetails = exports.CreatePoolDetails = exports.CreateApplicationDetails = exports.ChangeSqlEndpointCompartmentDetails = exports.ChangeRunCompartmentDetails = exports.ChangePrivateEndpointCompartmentDetails = exports.ChangePoolCompartmentDetails = exports.ChangeApplicationCompartmentDetails = exports.ApplicationType = exports.ApplicationSummary = exports.ApplicationParameter = exports.ApplicationLogConfig = exports.ApplicationLifecycleState = exports.ApplicationLanguage = exports.Application = void 0;
exports.TextPlainStatementOutputData = exports.TextHtmlStatementOutputData = exports.SqlEndpointVcnConfig = exports.SqlEndpointSecureAccessConfig = exports.ImagePngStatementOutputData = exports.WorkRequestSummary = exports.WorkRequestStatus = exports.WorkRequestResource = exports.WorkRequestOperation = exports.WorkRequestLogCollection = exports.WorkRequestLog = exports.WorkRequestErrorCollection = exports.WorkRequestError = exports.WorkRequestCollection = exports.WorkRequest = exports.UpdateSqlEndpointDetails = exports.UpdateRunDetails = exports.UpdatePrivateEndpointDetails = exports.UpdatePoolDetails = exports.UpdateApplicationDetails = exports.StatementSummary = void 0;
const Application = __importStar(require("./application"));
exports.Application = Application.Application;
const ApplicationLanguage = __importStar(require("./application-language"));
exports.ApplicationLanguage = ApplicationLanguage.ApplicationLanguage;
const ApplicationLifecycleState = __importStar(require("./application-lifecycle-state"));
exports.ApplicationLifecycleState = ApplicationLifecycleState.ApplicationLifecycleState;
const ApplicationLogConfig = __importStar(require("./application-log-config"));
exports.ApplicationLogConfig = ApplicationLogConfig.ApplicationLogConfig;
const ApplicationParameter = __importStar(require("./application-parameter"));
exports.ApplicationParameter = ApplicationParameter.ApplicationParameter;
const ApplicationSummary = __importStar(require("./application-summary"));
exports.ApplicationSummary = ApplicationSummary.ApplicationSummary;
const ApplicationType = __importStar(require("./application-type"));
exports.ApplicationType = ApplicationType.ApplicationType;
const ChangeApplicationCompartmentDetails = __importStar(require("./change-application-compartment-details"));
exports.ChangeApplicationCompartmentDetails = ChangeApplicationCompartmentDetails.ChangeApplicationCompartmentDetails;
const ChangePoolCompartmentDetails = __importStar(require("./change-pool-compartment-details"));
exports.ChangePoolCompartmentDetails = ChangePoolCompartmentDetails.ChangePoolCompartmentDetails;
const ChangePrivateEndpointCompartmentDetails = __importStar(require("./change-private-endpoint-compartment-details"));
exports.ChangePrivateEndpointCompartmentDetails = ChangePrivateEndpointCompartmentDetails.ChangePrivateEndpointCompartmentDetails;
const ChangeRunCompartmentDetails = __importStar(require("./change-run-compartment-details"));
exports.ChangeRunCompartmentDetails = ChangeRunCompartmentDetails.ChangeRunCompartmentDetails;
const ChangeSqlEndpointCompartmentDetails = __importStar(require("./change-sql-endpoint-compartment-details"));
exports.ChangeSqlEndpointCompartmentDetails = ChangeSqlEndpointCompartmentDetails.ChangeSqlEndpointCompartmentDetails;
const CreateApplicationDetails = __importStar(require("./create-application-details"));
exports.CreateApplicationDetails = CreateApplicationDetails.CreateApplicationDetails;
const CreatePoolDetails = __importStar(require("./create-pool-details"));
exports.CreatePoolDetails = CreatePoolDetails.CreatePoolDetails;
const CreatePrivateEndpointDetails = __importStar(require("./create-private-endpoint-details"));
exports.CreatePrivateEndpointDetails = CreatePrivateEndpointDetails.CreatePrivateEndpointDetails;
const CreateRunDetails = __importStar(require("./create-run-details"));
exports.CreateRunDetails = CreateRunDetails.CreateRunDetails;
const CreateSqlEndpointDetails = __importStar(require("./create-sql-endpoint-details"));
exports.CreateSqlEndpointDetails = CreateSqlEndpointDetails.CreateSqlEndpointDetails;
const CreateStatementDetails = __importStar(require("./create-statement-details"));
exports.CreateStatementDetails = CreateStatementDetails.CreateStatementDetails;
const DayOfWeek = __importStar(require("./day-of-week"));
exports.DayOfWeek = DayOfWeek.DayOfWeek;
const IpNotationType = __importStar(require("./ip-notation-type"));
exports.IpNotationType = IpNotationType.IpNotationType;
const NetworkType = __importStar(require("./network-type"));
exports.NetworkType = NetworkType.NetworkType;
const NodeCount = __importStar(require("./node-count"));
exports.NodeCount = NodeCount.NodeCount;
const Pool = __importStar(require("./pool"));
exports.Pool = Pool.Pool;
const PoolCollection = __importStar(require("./pool-collection"));
exports.PoolCollection = PoolCollection.PoolCollection;
const PoolConfig = __importStar(require("./pool-config"));
exports.PoolConfig = PoolConfig.PoolConfig;
const PoolLifecycleState = __importStar(require("./pool-lifecycle-state"));
exports.PoolLifecycleState = PoolLifecycleState.PoolLifecycleState;
const PoolMetrics = __importStar(require("./pool-metrics"));
exports.PoolMetrics = PoolMetrics.PoolMetrics;
const PoolSchedule = __importStar(require("./pool-schedule"));
exports.PoolSchedule = PoolSchedule.PoolSchedule;
const PoolSummary = __importStar(require("./pool-summary"));
exports.PoolSummary = PoolSummary.PoolSummary;
const PrivateEndpoint = __importStar(require("./private-endpoint"));
exports.PrivateEndpoint = PrivateEndpoint.PrivateEndpoint;
const PrivateEndpointCollection = __importStar(require("./private-endpoint-collection"));
exports.PrivateEndpointCollection = PrivateEndpointCollection.PrivateEndpointCollection;
const PrivateEndpointLifecycleState = __importStar(require("./private-endpoint-lifecycle-state"));
exports.PrivateEndpointLifecycleState = PrivateEndpointLifecycleState.PrivateEndpointLifecycleState;
const PrivateEndpointSummary = __importStar(require("./private-endpoint-summary"));
exports.PrivateEndpointSummary = PrivateEndpointSummary.PrivateEndpointSummary;
const Run = __importStar(require("./run"));
exports.Run = Run.Run;
const RunLifecycleState = __importStar(require("./run-lifecycle-state"));
exports.RunLifecycleState = RunLifecycleState.RunLifecycleState;
const RunLogSummary = __importStar(require("./run-log-summary"));
exports.RunLogSummary = RunLogSummary.RunLogSummary;
const RunSummary = __importStar(require("./run-summary"));
exports.RunSummary = RunSummary.RunSummary;
const Scan = __importStar(require("./scan"));
exports.Scan = Scan.Scan;
const SecureAccessControlRule = __importStar(require("./secure-access-control-rule"));
exports.SecureAccessControlRule = SecureAccessControlRule.SecureAccessControlRule;
const ShapeConfig = __importStar(require("./shape-config"));
exports.ShapeConfig = ShapeConfig.ShapeConfig;
const SqlEndpoint = __importStar(require("./sql-endpoint"));
exports.SqlEndpoint = SqlEndpoint.SqlEndpoint;
const SqlEndpointCollection = __importStar(require("./sql-endpoint-collection"));
exports.SqlEndpointCollection = SqlEndpointCollection.SqlEndpointCollection;
const SqlEndpointLifecycleState = __importStar(require("./sql-endpoint-lifecycle-state"));
exports.SqlEndpointLifecycleState = SqlEndpointLifecycleState.SqlEndpointLifecycleState;
const SqlEndpointNetworkConfiguration = __importStar(require("./sql-endpoint-network-configuration"));
exports.SqlEndpointNetworkConfiguration = SqlEndpointNetworkConfiguration.SqlEndpointNetworkConfiguration;
const SqlEndpointSummary = __importStar(require("./sql-endpoint-summary"));
exports.SqlEndpointSummary = SqlEndpointSummary.SqlEndpointSummary;
const Statement = __importStar(require("./statement"));
exports.Statement = Statement.Statement;
const StatementCollection = __importStar(require("./statement-collection"));
exports.StatementCollection = StatementCollection.StatementCollection;
const StatementLifecycleState = __importStar(require("./statement-lifecycle-state"));
exports.StatementLifecycleState = StatementLifecycleState.StatementLifecycleState;
const StatementOutput = __importStar(require("./statement-output"));
exports.StatementOutput = StatementOutput.StatementOutput;
const StatementOutputData = __importStar(require("./statement-output-data"));
exports.StatementOutputData = StatementOutputData.StatementOutputData;
const StatementSummary = __importStar(require("./statement-summary"));
exports.StatementSummary = StatementSummary.StatementSummary;
const UpdateApplicationDetails = __importStar(require("./update-application-details"));
exports.UpdateApplicationDetails = UpdateApplicationDetails.UpdateApplicationDetails;
const UpdatePoolDetails = __importStar(require("./update-pool-details"));
exports.UpdatePoolDetails = UpdatePoolDetails.UpdatePoolDetails;
const UpdatePrivateEndpointDetails = __importStar(require("./update-private-endpoint-details"));
exports.UpdatePrivateEndpointDetails = UpdatePrivateEndpointDetails.UpdatePrivateEndpointDetails;
const UpdateRunDetails = __importStar(require("./update-run-details"));
exports.UpdateRunDetails = UpdateRunDetails.UpdateRunDetails;
const UpdateSqlEndpointDetails = __importStar(require("./update-sql-endpoint-details"));
exports.UpdateSqlEndpointDetails = UpdateSqlEndpointDetails.UpdateSqlEndpointDetails;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestCollection = __importStar(require("./work-request-collection"));
exports.WorkRequestCollection = WorkRequestCollection.WorkRequestCollection;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestErrorCollection = __importStar(require("./work-request-error-collection"));
exports.WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
const WorkRequestLog = __importStar(require("./work-request-log"));
exports.WorkRequestLog = WorkRequestLog.WorkRequestLog;
const WorkRequestLogCollection = __importStar(require("./work-request-log-collection"));
exports.WorkRequestLogCollection = WorkRequestLogCollection.WorkRequestLogCollection;
const WorkRequestOperation = __importStar(require("./work-request-operation"));
exports.WorkRequestOperation = WorkRequestOperation.WorkRequestOperation;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestStatus = __importStar(require("./work-request-status"));
exports.WorkRequestStatus = WorkRequestStatus.WorkRequestStatus;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const ImagePngStatementOutputData = __importStar(require("./image-png-statement-output-data"));
exports.ImagePngStatementOutputData = ImagePngStatementOutputData.ImagePngStatementOutputData;
const SqlEndpointSecureAccessConfig = __importStar(require("./sql-endpoint-secure-access-config"));
exports.SqlEndpointSecureAccessConfig = SqlEndpointSecureAccessConfig.SqlEndpointSecureAccessConfig;
const SqlEndpointVcnConfig = __importStar(require("./sql-endpoint-vcn-config"));
exports.SqlEndpointVcnConfig = SqlEndpointVcnConfig.SqlEndpointVcnConfig;
const TextHtmlStatementOutputData = __importStar(require("./text-html-statement-output-data"));
exports.TextHtmlStatementOutputData = TextHtmlStatementOutputData.TextHtmlStatementOutputData;
const TextPlainStatementOutputData = __importStar(require("./text-plain-statement-output-data"));
exports.TextPlainStatementOutputData = TextPlainStatementOutputData.TextPlainStatementOutputData;
//# sourceMappingURL=index.js.map