/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An object with a logical shape and count of the number of nodes with that shape.
 *
 */
export interface NodeCount {
    /**
     * The compute shape of the nodes that the count is for.
     *
     */
    "logicalShape"?: string;
    /**
     * The node count of this compute shape.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count"?: number;
}
export declare namespace NodeCount {
    function getJsonObj(obj: NodeCount): object;
    function getDeserializedJsonObj(obj: NodeCount): object;
}
