/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object containing the details about the compute shapes and number of compute instances to provison.
 *
 */
export interface PoolConfig {
    /**
     * The compute shape of the resources you would like to provision.
     *
     */
    "shape"?: string;
    "shapeConfig"?: model.ShapeConfig;
    /**
     * Minimum number of compute instances in the pool for a given compute shape.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "min"?: number;
    /**
     * Maximum number of compute instances in the pool for a given compute shape.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "max"?: number;
}
export declare namespace PoolConfig {
    function getJsonObj(obj: PoolConfig): object;
    function getDeserializedJsonObj(obj: PoolConfig): object;
}
