/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A collection of metrics related to a particular pool.
 *
 */
export interface PoolMetrics {
    /**
     * The last time this pool was started.
     *
     */
    "timeLastStarted"?: Date;
    /**
     * The last time this pool was stopped.
     *
     */
    "timeLastStopped"?: Date;
    /**
     * The last time a run used this pool.
     *
     */
    "timeLastUsed"?: Date;
    /**
     * The last time the mertics were updated for this.
     *
     */
    "timeLastMetricsUpdated"?: Date;
    /**
     * The number of runs that are currently running that are using this pool.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "activeRunsCount"?: number;
    /**
     * A count of the nodes that are currently being used for each shape in this pool.
     *
     */
    "activelyUsedNodeCount"?: Array<model.NodeCount>;
}
export declare namespace PoolMetrics {
    function getJsonObj(obj: PoolMetrics): object;
    function getDeserializedJsonObj(obj: PoolMetrics): object;
}
