/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Definition of when pool auto start or stop for a given day of a week.
 */
export interface PoolSchedule {
    /**
     * Day of the week SUN-SAT
     *
     */
    "dayOfWeek"?: model.DayOfWeek;
    /**
     * Hour of the day to start or stop pool. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "startTime"?: number;
    /**
     * Hour of the day to stop the pool. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "stopTime"?: number;
}
export declare namespace PoolSchedule {
    function getJsonObj(obj: PoolSchedule): object;
    function getDeserializedJsonObj(obj: PoolSchedule): object;
}
