/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Access control rules for secure access selection.
 */
export interface SqlEndpointSecureAccessConfig extends model.SqlEndpointNetworkConfiguration {
    /**
     * A list of SecureAccessControlRule's to which access is limited to
     */
    "accessControlRules"?: Array<model.SecureAccessControlRule>;
    /**
     * Ip Address of public endpoint
     */
    "publicEndpointIp"?: string;
    "networkType": string;
}
export declare namespace SqlEndpointSecureAccessConfig {
    function getJsonObj(obj: SqlEndpointSecureAccessConfig, isParentJsonObj?: boolean): object;
    const networkType = "SECURE_ACCESS";
    function getDeserializedJsonObj(obj: SqlEndpointSecureAccessConfig, isParentJsonObj?: boolean): object;
}
