/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The execution output of a statement.
 *
 */
export interface StatementOutput {
    "data"?: model.ImagePngStatementOutputData | model.TextHtmlStatementOutputData | model.TextPlainStatementOutputData;
    /**
     * Status of the statement output.
     *
     */
    "status"?: StatementOutput.Status;
    /**
     * The name of the error in the statement output.
     *
     */
    "errorName"?: string;
    /**
     * The value of the error in the statement output.
     *
     */
    "errorValue"?: string;
    /**
     * The traceback of the statement output.
     *
     */
    "traceback"?: Array<string>;
}
export declare namespace StatementOutput {
    enum Status {
        Ok = "OK",
        Error = "ERROR",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: StatementOutput): object;
    function getDeserializedJsonObj(obj: StatementOutput): object;
}
