/**
 * Data Flow API
 * Use the Data Flow APIs to run any Apache Spark application at any scale without deploying or managing any infrastructure.

 * OpenAPI spec version: 20200129
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A resource related to a Data Flow work request.
 *
 */
export interface WorkRequestResource {
    /**
     * The way in which this resource is affected by the work tracked in the work request.
     *
     */
    "actionType": WorkRequestResource.ActionType;
    /**
     * The id of a work request resource object.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "id"?: number;
    /**
     * The id of the releated resource. See resourceType to identity the specific type of resource.
     *
     */
    "resourceId": string;
    /**
     * The type of resource.  See resourceId for the id of the specific resource.
     *
     */
    "resourceType": string;
    /**
     * The URI path that the user can use to get access to the resource metadata
     *
     */
    "resourceUri"?: string;
    /**
     * The OCID of a work request.
     *
     */
    "workRequestid"?: string;
}
export declare namespace WorkRequestResource {
    enum ActionType {
        Created = "CREATED",
        Updated = "UPDATED",
        Deleted = "DELETED",
        Inprogress = "INPROGRESS",
        Related = "RELATED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
