/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Properties to configure reading from BICC.
 */
export interface BiccReadAttributes extends model.AbstractReadAttribute {
    /**
     * The fetch size for reading. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fetchSize"?: number;
    /**
     * Extraction Strategy - FULL|INCREMENTAL
     */
    "extractStrategy"?: BiccReadAttributes.ExtractStrategy;
    "externalStorage"?: model.ExternalStorage;
    /**
     * Date from where extract should start
     */
    "initialExtractDate"?: Date;
    /**
     * Date last extracted
     */
    "lastExtractDate"?: Date;
    "modelType": string;
}
export declare namespace BiccReadAttributes {
    enum ExtractStrategy {
        Full = "FULL",
        Incremental = "INCREMENTAL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: BiccReadAttributes, isParentJsonObj?: boolean): object;
    const modelType = "BICC_READ_ATTRIBUTE";
    function getDeserializedJsonObj(obj: BiccReadAttributes, isParentJsonObj?: boolean): object;
}
