/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The configurable properties of an object type.
 */
export interface ConfigParameterDefinition {
    "parameterType"?: model.ArrayType | model.ConfiguredType | model.JavaType | model.DynamicType | model.DerivedType | model.DataType | model.MaterializedCompositeType | model.MapType | model.CompositeType;
    /**
     * This object represents the configurable properties for an object type.
     */
    "parameterName"?: string;
    /**
     * A user defined description for the object.
     */
    "description"?: string;
    /**
     * The default value for the parameter.
     */
    "defaultValue"?: any;
    /**
     * The parameter class field name.
     */
    "classFieldName"?: string;
    /**
     * Specifies whether the parameter is static or not.
     */
    "isStatic"?: boolean;
    /**
     * Specifies whether the parameter is a class field or not.
     */
    "isClassFieldValue"?: boolean;
}
export declare namespace ConfigParameterDefinition {
    function getJsonObj(obj: ConfigParameterDefinition): object;
    function getDeserializedJsonObj(obj: ConfigParameterDefinition): object;
}
