/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for the FUSION_APP data asset type.
 */
export interface CreateDataAssetFromFusionApp extends model.CreateDataAssetDetails {
    /**
     * The generic JDBC host name.
     */
    "serviceUrl"?: string;
    "defaultConnection"?: model.CreateConnectionFromOracleSiebel | model.CreateConnectionFromAmazonS3 | model.CreateConnectionFromBICC | model.CreateConnectionFromAtp | model.CreateConnectionFromHdfs | model.CreateConnectionFromMySqlHeatWave | model.CreateConnectionFromRestBasicAuth | model.CreateConnectionFromOracle | model.CreateConnectionFromOraclePeopleSoft | model.CreateConnectionFromOracleEbs | model.CreateConnectionFromMySQL | model.CreateConnectionFromJdbc | model.CreateConnectionFromBIP | model.CreateConnectionFromOAuth2 | model.CreateConnectionFromAdwc | model.CreateConnectionFromRestNoAuth | model.CreateConnectionFromObjectStorage | model.CreateConnectionFromLake;
    "stagingDataAsset"?: model.DataAssetSummaryFromObjectStorage;
    "stagingConnection"?: model.ConnectionSummaryFromObjectStorage;
    "bucketSchema"?: model.Schema;
    "modelType": string;
}
export declare namespace CreateDataAssetFromFusionApp {
    function getJsonObj(obj: CreateDataAssetFromFusionApp, isParentJsonObj?: boolean): object;
    const modelType = "FUSION_APP_DATA_ASSET";
    function getDeserializedJsonObj(obj: CreateDataAssetFromFusionApp, isParentJsonObj?: boolean): object;
}
