/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of export request. Export is supported using three ways.
 * First, when objectKeys are provided, export of those objects take place.
 * Second, when filter are provided, all the objects based on the filter provided are exported.
 * Third, when neither objectKeys nor filters are provided, we export all the design objects for the workspace.
 *
 */
export interface CreateExportRequestDetails {
    /**
     * Name of the Object Storage bucket where the object will be exported.
     */
    "bucketName": string;
    /**
     * Name of the exported zip file.
     */
    "fileName"?: string;
    /**
     * Optional parameter to point to object storage tenancy (if using Object Storage of different tenancy)
     */
    "objectStorageTenancyId"?: string;
    /**
     * Region of the object storage (if using object storage of different region)
     */
    "objectStorageRegion"?: string;
    /**
     * Flag to control whether to overwrite the object if it is already present at the provided object storage location.
     */
    "isObjectOverwriteEnabled"?: boolean;
    /**
     * Field is used to specify which object keys to export
     */
    "objectKeys"?: Array<string>;
    /**
     * This field controls if the references will be exported along with the objects
     */
    "areReferencesIncluded"?: boolean;
    /**
     * Filters for exported objects
     */
    "filters"?: Array<string>;
}
export declare namespace CreateExportRequestDetails {
    function getJsonObj(obj: CreateExportRequestDetails): object;
    function getDeserializedJsonObj(obj: CreateExportRequestDetails): object;
}
