/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The CSV format attribute.
 */
export interface CsvFormatAttribute extends model.AbstractFormatAttribute {
    /**
     * The encoding for the file.
     */
    "encoding"?: string;
    /**
     * The escape character for the CSV format.
     */
    "escapeCharacter"?: string;
    /**
     * The delimiter for the CSV format.
     */
    "delimiter"?: string;
    /**
     * The quote character for the CSV format.
     */
    "quoteCharacter"?: string;
    /**
     * Defines whether the file has a header row.
     */
    "hasHeader"?: boolean;
    /**
     * Format for timestamp information.
     */
    "timestampFormat"?: string;
    "modelType": string;
}
export declare namespace CsvFormatAttribute {
    function getJsonObj(obj: CsvFormatAttribute, isParentJsonObj?: boolean): object;
    const modelType = "CSV_FORMAT";
    function getDeserializedJsonObj(obj: CsvFormatAttribute, isParentJsonObj?: boolean): object;
}
