/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for the Autonomous Data Warehouse data asset type.
 */
export interface DataAssetFromAdwcDetails extends model.DataAsset {
    /**
     * The Autonomous Data Warehouse instance service name.
     */
    "serviceName"?: string;
    /**
     * Array of service names that are available for selection in the serviceName property.
     */
    "serviceNames"?: Array<string>;
    /**
     * The Autonomous Data Warehouse driver class.
     */
    "driverClass"?: string;
    "defaultConnection"?: model.ConnectionFromAdwcDetails;
    "stagingDataAsset"?: model.DataAssetFromJdbc | model.DataAssetFromOracleDetails | model.DataAssetFromAmazonS3 | model.DataAssetFromMySqlHeatWave | model.DataAssetFromMySQL | model.DataAssetFromOraclePeopleSoftDetails | model.DataAssetFromOracleEbsDetails | model.DataAssetFromRestDetails | model.DataAssetFromAdwcDetails | model.DataAssetFromHdfsDetails | model.DataAssetFromOracleSiebelDetails | model.DataAssetFromObjectStorageDetails | model.DataAssetFromFusionApp | model.DataAssetFromLakeDetails | model.DataAssetFromAtpDetails;
    "stagingConnection"?: model.ConnectionFromAmazonS3 | model.ConnectionFromBIP | model.ConnectionFromMySQL | model.ConnectionFromOAuth2 | model.ConnectionFromJdbc | model.ConnectionFromBICC | model.ConnectionFromMySqlHeatWave | model.ConnectionFromRestBasicAuth | model.ConnectionFromObjectStorage | model.ConnectionFromAdwc | model.ConnectionFromAtp | model.ConnectionFromOracle | model.ConnectionFromOraclePeopleSoft | model.ConnectionFromHdfs | model.ConnectionFromOracleEbs | model.ConnectionFromOracleSiebel | model.ConnectionFromRestNoAuth | model.ConnectionFromLake;
    "bucketSchema"?: model.Schema;
    "modelType": string;
}
export declare namespace DataAssetFromAdwcDetails {
    function getJsonObj(obj: DataAssetFromAdwcDetails, isParentJsonObj?: boolean): object;
    const modelType = "ORACLE_ADWC_DATA_ASSET";
    function getDeserializedJsonObj(obj: DataAssetFromAdwcDetails, isParentJsonObj?: boolean): object;
}
