"use strict";
/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataAssetFromOraclePeopleSoftDetails = void 0;
const model = __importStar(require("../model"));
var DataAssetFromOraclePeopleSoftDetails;
(function (DataAssetFromOraclePeopleSoftDetails) {
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.DataAsset.getJsonObj(obj))), {
            "walletSecret": obj.walletSecret
                ? model.SensitiveAttribute.getJsonObj(obj.walletSecret)
                : undefined,
            "walletPasswordSecret": obj.walletPasswordSecret
                ? model.SensitiveAttribute.getJsonObj(obj.walletPasswordSecret)
                : undefined,
            "defaultConnection": obj.defaultConnection
                ? model.ConnectionFromOraclePeopleSoftDetails.getJsonObj(obj.defaultConnection)
                : undefined
        });
        return jsonObj;
    }
    DataAssetFromOraclePeopleSoftDetails.getJsonObj = getJsonObj;
    DataAssetFromOraclePeopleSoftDetails.modelType = "ORACLE_PEOPLESOFT_DATA_ASSET";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.DataAsset.getDeserializedJsonObj(obj))), {
            "walletSecret": obj.walletSecret
                ? model.SensitiveAttribute.getDeserializedJsonObj(obj.walletSecret)
                : undefined,
            "walletPasswordSecret": obj.walletPasswordSecret
                ? model.SensitiveAttribute.getDeserializedJsonObj(obj.walletPasswordSecret)
                : undefined,
            "defaultConnection": obj.defaultConnection
                ? model.ConnectionFromOraclePeopleSoftDetails.getDeserializedJsonObj(obj.defaultConnection)
                : undefined
        });
        return jsonObj;
    }
    DataAssetFromOraclePeopleSoftDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(DataAssetFromOraclePeopleSoftDetails = exports.DataAssetFromOraclePeopleSoftDetails || (exports.DataAssetFromOraclePeopleSoftDetails = {}));
//# sourceMappingURL=data-asset-from-oracle-people-soft-details.js.map