/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The table entity data entity.
 */
export interface DataEntityFromTableEntityDetails extends model.DataEntityDetails {
    /**
     * The object key.
     */
    "key"?: string;
    /**
     * The object's model version.
     */
    "modelVersion"?: string;
    "parentRef"?: model.ParentReference;
    /**
     * Free form text without any restriction on permitted characters. Name can have letters, numbers, and special characters. The value is editable and is restricted to 1000 characters.
     */
    "name"?: string;
    /**
     * Detailed description for the object.
     */
    "description"?: string;
    /**
     * The version of the object that is used to track changes in the object instance. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "objectVersion"?: number;
    /**
     * The external key for the object.
     */
    "externalKey"?: string;
    "shape"?: model.Shape;
    /**
     * The shape ID.
     */
    "shapeId"?: string;
    "types"?: model.TypeLibrary;
    /**
     * The entity type.
     */
    "entityType"?: DataEntityFromTableEntityDetails.EntityType;
    /**
     * Specifies other type label.
     */
    "otherTypeLabel"?: string;
    /**
     * An array of unique keys.
     */
    "uniqueKeys"?: Array<model.UniqueKey>;
    /**
     * An array of foreign keys.
     */
    "foreignKeys"?: Array<model.ForeignKey>;
    /**
     * The resource name.
     */
    "resourceName"?: string;
    /**
     * The status of an object that can be set to value 1 for shallow references across objects, other values reserved. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "objectStatus"?: number;
    /**
     * Value can only contain upper case letters, underscore and numbers. It should begin with upper case letter or underscore. The value can be modified.
     */
    "identifier"?: string;
    "modelType": string;
}
export declare namespace DataEntityFromTableEntityDetails {
    enum EntityType {
        Table = "TABLE",
        View = "VIEW",
        File = "FILE",
        Queue = "QUEUE",
        Stream = "STREAM",
        Other = "OTHER"
    }
    function getJsonObj(obj: DataEntityFromTableEntityDetails, isParentJsonObj?: boolean): object;
    const modelType = "TABLE_ENTITY";
    function getDeserializedJsonObj(obj: DataEntityFromTableEntityDetails, isParentJsonObj?: boolean): object;
}
