/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Derive entity object
 */
export interface DerivedEntity extends model.DataEntity {
    /**
     * The object key.
     */
    "key"?: string;
    /**
     * The object's model version.
     */
    "modelVersion"?: string;
    "parentRef"?: model.ParentReference;
    /**
     * Free form text without any restriction on permitted characters. Name can have letters, numbers, and special characters. The value is editable and is restricted to 1000 characters.
     */
    "name"?: string;
    /**
     * The version of the object that is used to track changes in the object instance. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "objectVersion"?: number;
    "shape"?: model.Shape;
    /**
     * The shape ID.
     */
    "shapeId"?: string;
    /**
     * The resource name.
     */
    "resourceName"?: string;
    /**
     * The status of an object that can be set to value 1 for shallow reference across objects, other values reserved. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "objectStatus"?: number;
    /**
     * Value can only contain upper case letters, underscore, and numbers. It should begin with upper case letter or underscore. The value can be modified.
     */
    "identifier"?: string;
    "refDataObject"?: model.ReferencedDataObjectFromAPI | model.ReferencedDataObjectFromProcedure;
    /**
     * Determines whether entity is treated as source or target
     */
    "mode"?: DerivedEntity.Mode;
    /**
     * Property-bag (key-value pairs where key is Shape Field resource name and value is object)
     */
    "derivedProperties"?: {
        [key: string]: any;
    };
    "modelType": string;
}
export declare namespace DerivedEntity {
    enum Mode {
        In = "IN",
        Out = "OUT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DerivedEntity, isParentJsonObj?: boolean): object;
    const modelType = "DERIVED_ENTITY";
    function getDeserializedJsonObj(obj: DerivedEntity, isParentJsonObj?: boolean): object;
}
