/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A named field map.
 */
export interface DirectNamedFieldMap extends model.FieldMap {
    /**
     * The object key.
     */
    "key"?: string;
    /**
     * The object's model version.
     */
    "modelVersion"?: string;
    "parentRef"?: model.ParentReference;
    "configValues"?: model.ConfigValues;
    /**
     * Deprecated - Reference to a typed object.
     */
    "sourceTypedObject"?: string;
    /**
     * Deprecated - Reference to a typed object
     */
    "targetTypedObject"?: string;
    "sourceScopeReference"?: model.ScopeReference;
    "targetScopeReference"?: model.ScopeReference;
    /**
     * The source field name.
     */
    "sourceFieldName"?: string;
    /**
     * The target field name.
     */
    "targetFieldName"?: string;
    /**
     * The status of an object that can be set to value 1 for shallow references across objects, other values reserved. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "objectStatus"?: number;
    "modelType": string;
}
export declare namespace DirectNamedFieldMap {
    function getJsonObj(obj: DirectNamedFieldMap, isParentJsonObj?: boolean): object;
    const modelType = "DIRECT_NAMED_FIELD_MAP";
    function getDeserializedJsonObj(obj: DirectNamedFieldMap, isParentJsonObj?: boolean): object;
}
