/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * This is used to specify runtime parameters for data entities such as files that need both the data entity and the format.
 */
export interface EnrichedEntity {
    "entity"?: model.DataEntityFromTable | model.DataEntityFromDataStore | model.DataEntityFromObject | model.DataEntityFromView | model.DataEntityFromSql | model.DataEntityFromFile | model.DerivedEntity;
    "dataFormat"?: model.DataFormat;
    /**
     * The model type for the entity which is referenced.
     */
    "modelType"?: string;
    "parentRef"?: model.ParentReference;
}
export declare namespace EnrichedEntity {
    function getJsonObj(obj: EnrichedEntity): object;
    function getDeserializedJsonObj(obj: EnrichedEntity): object;
}
