/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about external published task validation.
 */
export interface ExternalPublicationValidation {
    /**
     * Total number of validation messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalMessageCount"?: number;
    /**
     * Total number of validation error messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "errorMessageCount"?: number;
    /**
     * Total number of validation warning messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "warnMessageCount"?: number;
    /**
     * Total number of validation information messages. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "infoMessageCount"?: number;
    /**
     * Detailed information of the data flow object validation.
     */
    "validationMessages"?: {
        [key: string]: Array<model.ValidationMessage>;
    };
    /**
     * Objects use a 36 character key as unique ID. It is system generated and cannot be modified.
     */
    "key"?: string;
}
export declare namespace ExternalPublicationValidation {
    function getJsonObj(obj: ExternalPublicationValidation): object;
    function getDeserializedJsonObj(obj: ExternalPublicationValidation): object;
}
