/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The flatten type handler.
 */
export interface FlattenTypeHandler extends model.DynamicTypeHandler {
    /**
     * The key of the object.
     */
    "key"?: string;
    /**
     * The model version of an object.
     */
    "modelVersion"?: string;
    "parentRef"?: model.ParentReference;
    /**
     * Reference key for the typed object.
     */
    "scope"?: string;
    /**
     * Contains a key for referencing the flattenDetails information.
     */
    "flattenDetails"?: string;
    "configValues"?: model.ConfigValues;
    /**
     * The status of an object that can be set to value 1 for shallow references across objects, other values reserved. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "objectStatus"?: number;
    "modelType": string;
}
export declare namespace FlattenTypeHandler {
    function getJsonObj(obj: FlattenTypeHandler, isParentJsonObj?: boolean): object;
    const modelType = "FLATTEN_TYPE_HANDLER";
    function getDeserializedJsonObj(obj: FlattenTypeHandler, isParentJsonObj?: boolean): object;
}
