/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of the objects to imported.
 */
export interface ImportObjectMetadataSummary {
    /**
     * Old key of the object
     */
    "oldKey"?: string;
    /**
     * New key of the object
     */
    "newKey"?: string;
    /**
     * Name of the object
     */
    "name"?: string;
    /**
     * Object identifier
     */
    "identifier"?: string;
    /**
     * Object type
     */
    "objectType"?: string;
    /**
     * Object version
     */
    "objectVersion"?: string;
    /**
     * Aggregator key
     */
    "aggregatorKey"?: string;
    /**
     * Object name path
     */
    "namePath"?: string;
    /**
     * time at which this object was last updated. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "timeUpdatedInMillis"?: number;
    /**
     * Object resolution action
     */
    "resolutionAction"?: ImportObjectMetadataSummary.ResolutionAction;
}
export declare namespace ImportObjectMetadataSummary {
    enum ResolutionAction {
        Created = "CREATED",
        Retained = "RETAINED",
        Duplicated = "DUPLICATED",
        Replaced = "REPLACED",
        Excluded = "EXCLUDED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ImportObjectMetadataSummary): object;
    function getDeserializedJsonObj(obj: ImportObjectMetadataSummary): object;
}
