/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Data Entity clause for Incremental Read operation.
 */
export interface IncrementalDataEntityClause {
    /**
     * Name of incremental data entity filter.
     */
    "incrementalDataEntityName": string;
    /**
     * Value of incremental data entity filter.
     */
    "incrementalDataEntityValue": {
        [key: string]: string;
    };
    /**
     * Incremental comparator symbol.
     */
    "incrementalComparator": IncrementalDataEntityClause.IncrementalComparator;
}
export declare namespace IncrementalDataEntityClause {
    enum IncrementalComparator {
        Lessthan = "LESSTHAN",
        Greaterthan = "GREATERTHAN",
        Equals = "EQUALS",
        Lessthanequals = "LESSTHANEQUALS",
        Greaterthanequals = "GREATERTHANEQUALS",
        Startswith = "STARTSWITH",
        Contains = "CONTAINS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: IncrementalDataEntityClause): object;
    function getDeserializedJsonObj(obj: IncrementalDataEntityClause): object;
}
