/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Represents the start of a pipeline.
 */
export interface MergeOperator extends model.Operator {
    /**
     * The merge condition. The conditions are
     * ALL_SUCCESS - All the preceeding operators need to be successful.
     * ALL_FAILED - All the preceeding operators should have failed.
     * ALL_COMPLETE - All the preceeding operators should have completed. It could have executed successfully or failed.
     * ONE_SUCCESS - Atleast one of the preceeding operators should have succeeded.
     * ONE_FAILED - Atleast one of the preceeding operators should have failed.
     *
     */
    "triggerRule"?: MergeOperator.TriggerRule;
    "modelType": string;
}
export declare namespace MergeOperator {
    enum TriggerRule {
        AllSuccess = "ALL_SUCCESS",
        AllFailed = "ALL_FAILED",
        AllComplete = "ALL_COMPLETE",
        OneSuccess = "ONE_SUCCESS",
        OneFailed = "ONE_FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MergeOperator, isParentJsonObj?: boolean): object;
    const modelType = "MERGE_OPERATOR";
    function getDeserializedJsonObj(obj: MergeOperator, isParentJsonObj?: boolean): object;
}
