/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * This is the reference summary information.
 */
export interface ReferenceSummary {
    /**
     * The reference's key, key of the object that is being used by a published object or its dependents.
     */
    "key"?: string;
    /**
     * The name of reference object.
     */
    "name"?: string;
    /**
     * The identifier of reference object.
     */
    "identifier"?: string;
    /**
     * The identifier path of reference object.
     */
    "identifierPath"?: string;
    /**
     * The description of reference object.
     */
    "description"?: string;
    /**
     * The type of reference object.
     */
    "type"?: ReferenceSummary.Type;
    /**
     * The target object referenced. References are made to data assets and child references are made to connections. The type defining this reference is mentioned in the property type.
     */
    "targetObject"?: any;
    /**
     * The aggregator of reference object.
     */
    "aggregatorKey"?: string;
    /**
     * List of published objects where this is used.
     */
    "usedBy"?: Array<model.ReferenceUsedBy>;
    /**
     * List of references that are dependent on this reference.
     */
    "childReferences"?: Array<model.ChildReference>;
}
export declare namespace ReferenceSummary {
    enum Type {
        OracleDataAsset = "ORACLE_DATA_ASSET",
        OracleObjectStorageDataAsset = "ORACLE_OBJECT_STORAGE_DATA_ASSET",
        OracleAtpDataAsset = "ORACLE_ATP_DATA_ASSET",
        OracleAdwcDataAsset = "ORACLE_ADWC_DATA_ASSET",
        MysqlDataAsset = "MYSQL_DATA_ASSET",
        GenericJdbcDataAsset = "GENERIC_JDBC_DATA_ASSET",
        FusionAppDataAsset = "FUSION_APP_DATA_ASSET",
        AmazonS3DataAsset = "AMAZON_S3_DATA_ASSET",
        Schema = "SCHEMA",
        IntegrationTask = "INTEGRATION_TASK",
        DataLoaderTask = "DATA_LOADER_TASK",
        SqlTask = "SQL_TASK",
        OciDataflowTask = "OCI_DATAFLOW_TASK",
        PipelineTask = "PIPELINE_TASK",
        RestTask = "REST_TASK",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ReferenceSummary): object;
    function getDeserializedJsonObj(obj: ReferenceSummary): object;
}
