/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Properties related to a resource.
 */
export interface ResourceConfiguration {
    /**
     * The version of the spark used while creating an Oracle Cloud Infrastructure Data Flow application.
     */
    "sparkVersion": string;
    /**
     * The VM shape of the driver used while creating an Oracle Cloud Infrastructure Data Flow application. It sets the driver cores and memory.
     */
    "driverShape": string;
    /**
     * The shape of the executor used while creating an Oracle Cloud Infrastructure Data Flow application. It sets the executor cores and memory.
     */
    "executorShape": string;
    /**
     * Number of executor VMs requested while creating an Oracle Cloud Infrastructure Data Flow application. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalExecutors": number;
}
export declare namespace ResourceConfiguration {
    function getJsonObj(obj: ResourceConfiguration): object;
    function getDeserializedJsonObj(obj: ResourceConfiguration): object;
}
