/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The {@code ScopeReference} class is a base class for any model object that wraps a scope reference to a TypedObject.
 */
export interface ScopeReference {
    /**
     * A key or shallow reference to an object.  For direct reference, it points to the actual scope object.  For BOUND_ENTITY_SHAPE or BOUND_ENTITY_SHAPE_FIELD, it points to the source or target operator.   For OCI_FUNCTION_INPUT_SHAPE or OCI_FUNCTION_OUTPUT_SHAPE, it points to the OCI Function object.
     */
    "referenceObject": string;
    /**
     * The reference type for this reference.  Set to null for a direct reference, for indirect references set to a type of association such as \"BOUND_ENTITY_SHAPE\".   Current known reference type values are \"BOUND_ENTITY_SHAPE\", \"BOUND_ENTITY_SHAPE_FIELD\", \"OCI_FUNCTION_INPUT_SHAPE\", \"OCI_FUNCTION_OUTPUT_SHAPE\"
     */
    "referenceType"?: ScopeReference.ReferenceType;
    /**
     * The referenced object name for this reference.  Set to the field name if the referenceType is BOUND_ENTITY_SHAPE_FIELD, else set to null.
     */
    "refObjectName"?: string;
}
export declare namespace ScopeReference {
    enum ReferenceType {
        DirectRef = "DIRECT_REF",
        BoundEntityShape = "BOUND_ENTITY_SHAPE",
        BoundEntityShapeField = "BOUND_ENTITY_SHAPE_FIELD",
        OciFunctionInputShape = "OCI_FUNCTION_INPUT_SHAPE",
        OciFunctionOutputShape = "OCI_FUNCTION_OUTPUT_SHAPE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ScopeReference): object;
    function getDeserializedJsonObj(obj: ScopeReference): object;
}
