"use strict";
/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskRun = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var TaskRun;
(function (TaskRun) {
    let Status;
    (function (Status) {
        Status["NotStarted"] = "NOT_STARTED";
        Status["Queued"] = "QUEUED";
        Status["Running"] = "RUNNING";
        Status["Terminating"] = "TERMINATING";
        Status["Terminated"] = "TERMINATED";
        Status["Success"] = "SUCCESS";
        Status["Error"] = "ERROR";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Status["UnknownValue"] = "UNKNOWN_VALUE";
    })(Status = TaskRun.Status || (TaskRun.Status = {}));
    let ExpectedDurationUnit;
    (function (ExpectedDurationUnit) {
        ExpectedDurationUnit["Seconds"] = "SECONDS";
        ExpectedDurationUnit["Minutes"] = "MINUTES";
        ExpectedDurationUnit["Hours"] = "HOURS";
        ExpectedDurationUnit["Days"] = "DAYS";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        ExpectedDurationUnit["UnknownValue"] = "UNKNOWN_VALUE";
    })(ExpectedDurationUnit = TaskRun.ExpectedDurationUnit || (TaskRun.ExpectedDurationUnit = {}));
    let AuthMode;
    (function (AuthMode) {
        AuthMode["Obo"] = "OBO";
        AuthMode["ResourcePrincipal"] = "RESOURCE_PRINCIPAL";
        AuthMode["UserCertificate"] = "USER_CERTIFICATE";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        AuthMode["UnknownValue"] = "UNKNOWN_VALUE";
    })(AuthMode = TaskRun.AuthMode || (TaskRun.AuthMode = {}));
    let TaskType;
    (function (TaskType) {
        TaskType["IntegrationTask"] = "INTEGRATION_TASK";
        TaskType["DataLoaderTask"] = "DATA_LOADER_TASK";
        TaskType["PipelineTask"] = "PIPELINE_TASK";
        TaskType["SqlTask"] = "SQL_TASK";
        TaskType["OciDataflowTask"] = "OCI_DATAFLOW_TASK";
        TaskType["RestTask"] = "REST_TASK";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        TaskType["UnknownValue"] = "UNKNOWN_VALUE";
    })(TaskType = TaskRun.TaskType || (TaskRun.TaskType = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "parentRef": obj.parentRef ? model.ParentReference.getJsonObj(obj.parentRef) : undefined,
            "configProvider": obj.configProvider
                ? model.ConfigProvider.getJsonObj(obj.configProvider)
                : undefined,
            "taskSchedule": obj.taskSchedule
                ? model.TaskSchedule.getJsonObj(obj.taskSchedule)
                : undefined,
            "outputs": obj.outputs
                ? common.mapContainer(obj.outputs, model.ParameterValue.getJsonObj)
                : undefined,
            "metadata": obj.metadata ? model.ObjectMetadata.getJsonObj(obj.metadata) : undefined
        });
        return jsonObj;
    }
    TaskRun.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "parentRef": obj.parentRef
                ? model.ParentReference.getDeserializedJsonObj(obj.parentRef)
                : undefined,
            "configProvider": obj.configProvider
                ? model.ConfigProvider.getDeserializedJsonObj(obj.configProvider)
                : undefined,
            "taskSchedule": obj.taskSchedule
                ? model.TaskSchedule.getDeserializedJsonObj(obj.taskSchedule)
                : undefined,
            "outputs": obj.outputs
                ? common.mapContainer(obj.outputs, model.ParameterValue.getDeserializedJsonObj)
                : undefined,
            "metadata": obj.metadata
                ? model.ObjectMetadata.getDeserializedJsonObj(obj.metadata)
                : undefined
        });
        return jsonObj;
    }
    TaskRun.getDeserializedJsonObj = getDeserializedJsonObj;
})(TaskRun = exports.TaskRun || (exports.TaskRun = {}));
//# sourceMappingURL=task-run.js.map