/**
 * Data Integration API
 * Use the Data Integration API to organize your data integration projects, create data flows, pipelines and tasks, and then publish, schedule, and run tasks that extract, transform, and load data. For more information, see [Data Integration](https://docs.oracle.com/iaas/data-integration/home.htm).
 * OpenAPI spec version: 20200430
 * Contact: di_dis_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Application references that need to be updated.
 */
export interface UpdateReferenceDetails {
    /**
     * A list of options such as {@code ignoreObjectOnError}.
     */
    "options"?: {
        [key: string]: string;
    };
    /**
     * The new target object to reference. This can be of type {@code DataAsset}, {@code Schema} or {@code Task}. In case of {@code DataAsset}, the child references can be of type {@code Connection}.
     */
    "targetObject"?: any;
    /**
     * The list of child references that also need to be updated.
     */
    "childReferences"?: Array<model.ChildReferenceDetail>;
}
export declare namespace UpdateReferenceDetails {
    function getJsonObj(obj: UpdateReferenceDetails): object;
    function getDeserializedJsonObj(obj: UpdateReferenceDetails): object;
}
