/**
 * Data Labeling Management API
 * Use Data Labeling Management API to create, list, edit & delete datasets.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Specifies the export format to be used for exporting snapshot.
 */
export interface ExportFormat {
    /**
     * Name of export format.
     */
    "name"?: ExportFormat.Name;
    /**
     * Version of export format.
     */
    "version"?: ExportFormat.Version;
}
export declare namespace ExportFormat {
    enum Name {
        Jsonl = "JSONL",
        JsonlConsolidated = "JSONL_CONSOLIDATED",
        Conll = "CONLL",
        Spacy = "SPACY",
        Coco = "COCO",
        Yolo = "YOLO",
        PascalVoc = "PASCAL_VOC",
        JsonlCompactPlusContent = "JSONL_COMPACT_PLUS_CONTENT"
    }
    enum Version {
        V2003 = "V2003",
        V5 = "V5"
    }
    function getJsonObj(obj: ExportFormat): object;
    function getDeserializedJsonObj(obj: ExportFormat): object;
}
