/**
 * Data Labeling Management API
 * Use Data Labeling Management API to create, list, edit & delete datasets.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Allows outputting the latest records paired with annotations and write them to object storage.
 */
export interface SnapshotDatasetDetails {
    /**
     * Whether annotations are to be included in the export dataset digest.
     */
    "areAnnotationsIncluded": boolean;
    /**
     * Whether to include records that have yet to be annotated in the export dataset digest.
     */
    "areUnannotatedRecordsIncluded": boolean;
    "exportDetails": model.ObjectStorageSnapshotExportDetails;
    "exportFormat"?: model.ExportFormat;
}
export declare namespace SnapshotDatasetDetails {
    function getJsonObj(obj: SnapshotDatasetDetails): object;
    function getDeserializedJsonObj(obj: SnapshotDatasetDetails): object;
}
