/**
 * Data Labeling API
 * Use Data Labeling API to create Annotations on Images, Texts & Documents, and generate snapshots.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Aggregation entities are required by the API consistency guidelines for API Consistency Guidelines#AnalyticsAPIs.  These are used to summarize annotations for a given dataset and will be used to populate UI elements.  Aggregations need to have the fields that identify the exact scope that they're summarizing.  Any filters applied to the list API, have to show up in the aggregation.
 */
export interface AnnotationAnalyticsAggregationCollection {
    /**
     * The list of annotation entities.
     */
    "items": Array<model.AnnotationAnalyticsAggregation>;
}
export declare namespace AnnotationAnalyticsAggregationCollection {
    function getJsonObj(obj: AnnotationAnalyticsAggregationCollection): object;
    function getDeserializedJsonObj(obj: AnnotationAnalyticsAggregationCollection): object;
}
