/**
 * Data Labeling API
 * Use Data Labeling API to create Annotations on Images, Texts & Documents, and generate snapshots.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * This is an extensible entity type for users, and the base entity type for some annotation formats.
 */
export interface GenericEntity extends model.Entity {
    "documentEntityMetadata"?: model.DocumentEntityMetadata;
    /**
     * A collection of label entities.
     */
    "labels": Array<model.Label>;
    /**
     * A simple key-value pair that is applied without any predefined name, type, or scope. It exists for cross-compatibility only.
     * For example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "extendedMetadata"?: {
        [key: string]: string;
    };
    "entityType": string;
}
export declare namespace GenericEntity {
    function getJsonObj(obj: GenericEntity, isParentJsonObj?: boolean): object;
    const entityType = "GENERIC";
    function getDeserializedJsonObj(obj: GenericEntity, isParentJsonObj?: boolean): object;
}
