/**
 * Data Labeling API
 * Use Data Labeling API to create Annotations on Images, Texts & Documents, and generate snapshots.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * File format details used for importing dataset
 */
export interface ImportFormat {
    /**
     * Name of import format
     */
    "name": ImportFormat.Name;
    /**
     * Version of import format
     */
    "version"?: ImportFormat.Version;
}
export declare namespace ImportFormat {
    enum Name {
        JsonlConsolidated = "JSONL_CONSOLIDATED",
        JsonlCompactPlusContent = "JSONL_COMPACT_PLUS_CONTENT",
        Conll = "CONLL",
        Spacy = "SPACY",
        Coco = "COCO",
        Yolo = "YOLO",
        PascalVoc = "PASCAL_VOC",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Version {
        V2003 = "V2003",
        V5 = "V5",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ImportFormat): object;
    function getDeserializedJsonObj(obj: ImportFormat): object;
}
