/**
 * Data Labeling API
 * Use Data Labeling API to create Annotations on Images, Texts & Documents, and generate snapshots.
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the dataset location in object storage. This requires that all records are in this bucket, and under this prefix. We do not support a dataset with objects in arbitrary locations across buckets or prefixes.
 *
 */
export interface ObjectStorageDatasetSourceDetails extends model.DatasetSourceDetails {
    /**
     * The namespace of the bucket that contains the dataset data source.
     */
    "namespace": string;
    /**
     * The object storage bucket that contains the dataset data source.
     */
    "bucket": string;
    /**
     * A common path prefix shared by the objects that make up the dataset. Except for the CSV file type, records are not generated for the objects whose names exactly match with the prefix.
     */
    "prefix"?: string;
    "sourceType": string;
}
export declare namespace ObjectStorageDatasetSourceDetails {
    function getJsonObj(obj: ObjectStorageDatasetSourceDetails, isParentJsonObj?: boolean): object;
    const sourceType = "OBJECT_STORAGE";
    function getDeserializedJsonObj(obj: ObjectStorageDatasetSourceDetails, isParentJsonObj?: boolean): object;
}
