/**
 *
 *
 * OpenAPI spec version: 20211001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datalabelingservicedataplane/ListRecords.ts.html |here} to see how to use ListRecordsRequest.
 */
export interface ListRecordsRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * Filter the results by the OCID of the dataset.
     */
    "datasetId": string;
    /**
     * A filter to return only resources whose lifecycleState matches the given lifecycleState.
     */
    "lifecycleState"?: string;
    /**
     * The name of the record.
     */
    "name"?: string;
    /**
     * The unique OCID identifier.
     */
    "id"?: string;
    /**
     * Whether the record has been labeled and has associated annotations.
     */
    "isLabeled"?: boolean;
    /**
     * Lets the user filter records based on the related annotations.
     *
     */
    "annotationLabelsContains"?: Array<string>;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrders;
    /**
     * The field to sort by. Only one sort order may be provided. The default order for timeCreated is descending. The default order for name is ascending. If no value is specified, timeCreated is used by default.
     *
     */
    "sortBy"?: ListRecordsRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListRecordsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        Name = "name"
    }
}
