/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Represents audit policies with corresponding audit provisioning conditions.
 */
export interface AuditConditions {
    /**
     * Indicates the audit policy name. Refer to the [documentation](https://docs.oracle.com/en/cloud/paas/data-safe/udscs/audit-policies.html#GUID-361A9A9A-7C21-4F5A-8945-9B3A0C472827) for seeded audit policy names. For custom policies, refer to the user-defined policy name created in the target database.
     *
     */
    "auditPolicyName": string;
    /**
     * Indicates whether the privileged user list is managed by Data Safe.
     */
    "isPrivUsersManagedByDataSafe": boolean;
    /**
     * Indicates whether the Data Safe user activity on the target database will be audited by the policy.
     */
    "isDataSafeServiceAccountAudited": boolean;
    /**
     * Indicates the users/roles in the target database for which the audit policy is enforced, and the success/failure event condition to generate the audit event..
     */
    "enableConditions"?: Array<model.EnableConditions>;
}
export declare namespace AuditConditions {
    function getJsonObj(obj: AuditConditions): object;
    function getDeserializedJsonObj(obj: AuditConditions): object;
}
