/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of aggregation dimensions used for summarizing audit trails.
 */
export interface AuditTrailDimensions {
    /**
     * The location represents the source of audit records that provides documentary evidence of the sequence of activities in the target database.
     */
    "location"?: string;
    /**
     * The current state of the audit trail.
     */
    "lifecycleState"?: model.AuditTrailLifecycleState;
    /**
     * The current sub-state of the audit trail..
     */
    "status"?: string;
    /**
     * The OCID of the Data Safe target for which the audit trail is created.
     */
    "targetId"?: string;
}
export declare namespace AuditTrailDimensions {
    function getJsonObj(obj: AuditTrailDimensions): object;
    function getDeserializedJsonObj(obj: AuditTrailDimensions): object;
}
