/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Represents the audit data volume collected by Data Safe from the target database for the specified audit profile.
 *
 */
export interface AvailableAuditVolumeSummary {
    /**
     * The OCID of the audit profile resource.
     */
    "auditProfileId": string;
    /**
     * The OCID of the audit trail.
     */
    "auditTrailId"?: string;
    /**
     * Unique name of the database associated to the peer target database.
     */
    "databaseUniqueName"?: string;
    /**
     * Audit trail location on the target database from where the audit data is being collected by Data Safe.
     */
    "trailLocation": string;
    /**
     * Represents the month under consideration for which aggregated audit data volume available at the target is computed.
     * This field will be the UTC start of the day of the first day of the month for which the aggregate count corresponds to, in the format defined by RFC3339..
     * For instance, the value of 01-01-2021T00:00:00Z represents Jan 2021.
     *
     */
    "monthInConsideration": Date;
    /**
     * Represents the aggregated audit data volume available in the audit trails on the target database which is yet to be collected by Data Safe for the specified month.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "volume": number;
}
export declare namespace AvailableAuditVolumeSummary {
    function getJsonObj(obj: AvailableAuditVolumeSummary): object;
    function getDeserializedJsonObj(obj: AvailableAuditVolumeSummary): object;
}
