/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details for calculating audit data volume on target.
 */
export interface CalculateAuditVolumeAvailableDetails {
    /**
     * The date from which the audit trail must start collecting data in UTC, in the format defined by RFC3339. If not specified, this will default to the date based on the retention period.
     */
    "auditCollectionStartTime"?: Date;
    /**
     * The trail locations for which the audit data volume has to be calculated.
     */
    "trailLocations"?: Array<string>;
    /**
     * Unique name of the database associated to the peer target database.
     */
    "databaseUniqueName"?: string;
}
export declare namespace CalculateAuditVolumeAvailableDetails {
    function getJsonObj(obj: CalculateAuditVolumeAvailableDetails): object;
    function getDeserializedJsonObj(obj: CalculateAuditVolumeAvailableDetails): object;
}
