/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for the audit retention months to be modified.
 */
export interface ChangeRetentionDetails {
    /**
     * Indicates the number of months the audit records will be stored online in Oracle Data Safe audit repository for
     * immediate reporting and analysis. Minimum: 1; Maximum:12 months
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "onlineMonths"?: number;
    /**
     * Indicates the number of months the audit records will be stored offline in the Data Safe audit archive.
     * Minimum: 0; Maximum: 72 months.
     * If you have a requirement to store the audit data even longer in archive, please contact the Oracle Support.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "offlineMonths"?: number;
    /**
     * Indicates whether audit retention settings like online and offline months is set at the
     * target level overriding the global audit retention settings.
     *
     */
    "isOverrideGlobalRetentionSetting"?: boolean;
}
export declare namespace ChangeRetentionDetails {
    function getJsonObj(obj: ChangeRetentionDetails): object;
    function getDeserializedJsonObj(obj: ChangeRetentionDetails): object;
}
