/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The volume data point for audit data collected by datasafe.
 */
export interface CollectedAuditVolumeSummary {
    /**
     * The OCID of the audit profile resource.
     */
    "auditProfileId": string;
    /**
     * Represents the month under consideration in which the aggregated audit data volume collected by Data Safe is displayed.
     * This field will be the UTC start of the day of the first day of the month for which the aggregate count corresponds to, in the format defined by RFC3339..
     * For instance, the value of 01-01-2021T00:00:00Z represents Jan 2021.
     *
     */
    "monthInConsideration": Date;
    /**
     * The audit data volume collected by Data Safe and is available online in repository. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "onlineVolume": number;
    /**
     * The audit data volume collected by Data Safe and is available in archive storage. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "archivedVolume": number;
}
export declare namespace CollectedAuditVolumeSummary {
    function getJsonObj(obj: CollectedAuditVolumeSummary): object;
    function getDeserializedJsonObj(obj: CollectedAuditVolumeSummary): object;
}
