/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details to create a library masking format, which can have one or more format entries. A format
 * entry can be a basic masking format such as Random Number, or it can be a library masking format.
 * The combined output of all the format entries is used for masking. It provides the flexibility
 * to define a masking format that can generate different parts of a data value separately and then
 * combine them to get the final data value for masking. Note that you cannot define masking
 * condition in a library masking format.
 *
 */
export interface CreateLibraryMaskingFormatDetails {
    /**
     * The display name of the library masking format. The name does not have to be unique, and it's changeable.
     */
    "displayName"?: string;
    /**
     * The OCID of the compartment where the library masking format should be created.
     */
    "compartmentId": string;
    /**
     * The description of the library masking format.
     */
    "description"?: string;
    /**
     * An array of OCIDs of the sensitive types compatible with the library masking format. It helps track the sensitive types for which the library masking format is being created.
     *
     */
    "sensitiveTypeIds"?: Array<string>;
    /**
     * An array of format entries. The combined output of all the format entries is used for masking.
     */
    "formatEntries": Array<model.FormatEntry>;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateLibraryMaskingFormatDetails {
    function getJsonObj(obj: CreateLibraryMaskingFormatDetails): object;
    function getDeserializedJsonObj(obj: CreateLibraryMaskingFormatDetails): object;
}
