/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to create a new SDM masking policy difference.
 */
export interface CreateSdmMaskingPolicyDifferenceDetails {
    /**
     * The type of the SDM masking policy difference. It defines the difference scope.
     * NEW identifies new sensitive columns in the sensitive data model that are not in the masking policy.
     * DELETED identifies columns that are present in the masking policy but have been deleted from the sensitive data model.
     * MODIFIED identifies columns that are present in the sensitive data model as well as the masking policy but some of their attributes have been modified.
     * ALL covers all the above three scenarios and reports new, deleted and modified columns.
     *
     */
    "differenceType"?: string;
    /**
     * The OCID of the masking policy. Note that if the masking policy is not associated with an SDM, CreateSdmMaskingPolicyDifference
     * operation won't be allowed.
     *
     */
    "maskingPolicyId": string;
    /**
     * The OCID of the compartment where the SDM masking policy difference resource should be created.
     */
    "compartmentId": string;
    /**
     * A user-friendly name for the SDM masking policy difference. Does not have to be unique, and it is changeable. Avoid entering confidential information.
     */
    "displayName"?: string;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateSdmMaskingPolicyDifferenceDetails {
    function getJsonObj(obj: CreateSdmMaskingPolicyDifferenceDetails): object;
    function getDeserializedJsonObj(obj: CreateSdmMaskingPolicyDifferenceDetails): object;
}
