/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for SQL collection creation.
 */
export interface CreateSqlCollectionDetails {
    /**
     * The display name of the SQL collection. The name does not have to be unique, and it is changeable.
     */
    "displayName"?: string;
    /**
     * The description of the SQL collection.
     */
    "description"?: string;
    /**
     * The OCID of the compartment containing the SQL collection.
     */
    "compartmentId": string;
    /**
     * The OCID of the target corresponding to the security policy deployment.
     */
    "targetId": string;
    /**
     * Specifies if the SqlCollection has to be started after creation. Enabled indicates that the SqlCollection will be started after creation.
     */
    "status"?: CreateSqlCollectionDetails.Status;
    /**
     * The database user name.
     */
    "dbUserName": string;
    /**
     * Specifies the level of SQL that will be collected.
     * USER_ISSUED_SQL - User issued SQL statements only.
     * ALL_SQL - Includes all SQL statements including SQL statement issued inside PL/SQL units.
     *
     */
    "sqlLevel"?: CreateSqlCollectionDetails.SqlLevel;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateSqlCollectionDetails {
    enum Status {
        Enabled = "ENABLED",
        Disabled = "DISABLED"
    }
    enum SqlLevel {
        UserIssuedSql = "USER_ISSUED_SQL",
        AllSql = "ALL_SQL"
    }
    function getJsonObj(obj: CreateSqlCollectionDetails): object;
    function getDeserializedJsonObj(obj: CreateSqlCollectionDetails): object;
}
