/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details used to create a new target-alert policy association.
 *
 */
export interface CreateTargetAlertPolicyAssociationDetails {
    /**
     * The OCID of the alert policy.
     */
    "policyId": string;
    /**
     * The OCID of the target.
     */
    "targetId": string;
    /**
     * The display name of the target-alert policy association.
     */
    "displayName"?: string;
    /**
     * Describes the target-alert policy association.
     */
    "description"?: string;
    /**
     * The OCID of the compartment where the target-alert policy association is created.
     */
    "compartmentId": string;
    /**
     * Indicates if the target-alert policy association is enabled or disabled by user.
     */
    "isEnabled": boolean;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateTargetAlertPolicyAssociationDetails {
    function getJsonObj(obj: CreateTargetAlertPolicyAssociationDetails): object;
    function getDeserializedJsonObj(obj: CreateTargetAlertPolicyAssociationDetails): object;
}
