/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the cloud database to be registered as a target database in Data Safe.
 */
export interface DatabaseCloudServiceDetails extends model.DatabaseDetails {
    /**
     * The OCID of the VM cluster in which the database is running.
     */
    "vmClusterId"?: string;
    /**
     * The OCID of the cloud database registered as a target database in Data Safe.
     */
    "dbSystemId"?: string;
    /**
     * The port number of the database listener. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "listenerPort"?: number;
    /**
     * The database service name.
     */
    "serviceName": string;
    "databaseType": string;
}
export declare namespace DatabaseCloudServiceDetails {
    function getJsonObj(obj: DatabaseCloudServiceDetails, isParentJsonObj?: boolean): object;
    const databaseType = "DATABASE_CLOUD_SERVICE";
    function getDeserializedJsonObj(obj: DatabaseCloudServiceDetails, isParentJsonObj?: boolean): object;
}
