/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
* The Deterministic Encryption (Date) masking format encrypts column data using a cryptographic
* key and Advanced Encryption Standard (AES 128). It can be used to encrypt date columns only.
* It requires a range of dates as input defined by the startDate and endDate attributes. The
* start date must be less than or equal to the end date.
* <p>
The original column values in all the rows must be within the specified date range. The
* encrypted values are also within the specified range. Therefore, to ensure uniqueness, the
* total number of dates in the range must be greater than or equal to the number of distinct
* original values in the column. If an original value is not in the specified date range, it
* might not produce a one-to-one mapping. All non-confirming values are mapped to a single
* encrypted value, thereby producing a many-to-one mapping.
* <p>
Deterministic Encryption (Date) is a format-preserving, deterministic and reversible masking
* format, which requires a seed value while submitting a masking work request. Passing the
* same seed value when masking multiple times or masking different databases ensures that
* the data is masked deterministically. To learn more, check Deterministic Encryption in the
* Data Safe documentation.
*
*/
export interface DeterministicEncryptionDateFormatEntry extends model.FormatEntry {
    /**
     * The lower bound of the range within which all the original column values fall.
     * The start date must be less than or equal to the end date.
     *
     */
    "startDate": Date;
    /**
     * The upper bound of the range within which all the original column values fall.
     * The end date must be greater than or equal to the start date.
     *
     */
    "endDate": Date;
    "type": string;
}
export declare namespace DeterministicEncryptionDateFormatEntry {
    function getJsonObj(obj: DeterministicEncryptionDateFormatEntry, isParentJsonObj?: boolean): object;
    const type = "DETERMINISTIC_ENCRYPTION_DATE";
    function getDeserializedJsonObj(obj: DeterministicEncryptionDateFormatEntry, isParentJsonObj?: boolean): object;
}
