/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Results of the comparison of an item between two security assessments.
 *
 */
export interface Diffs {
    "current"?: model.Finding;
    "baseline"?: model.Finding;
    /**
     * This array identifies the items that are present in the baseline, but are missing from the current assessment.
     */
    "removedItems"?: Array<string>;
    /**
     * This array identifies the items that are present in the current assessment, but are missing from the baseline.
     */
    "addedItems"?: Array<string>;
    /**
     * This array contains the items that are present in both the current assessment and the baseline, but are different in the two assessments.
     *
     */
    "modifiedItems"?: Array<string>;
    /**
     * The severity of this diff.
     */
    "severity"?: Diffs.Severity;
}
export declare namespace Diffs {
    enum Severity {
        High = "HIGH",
        Medium = "MEDIUM",
        Low = "LOW",
        Evaluate = "EVALUATE",
        Advisory = "ADVISORY",
        Pass = "PASS",
        Deferred = "DEFERRED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Diffs): object;
    function getDeserializedJsonObj(obj: Diffs): object;
}
