/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of a discovery job.
 */
export interface DiscoveryJobSummary {
    /**
     * The OCID of the discovery job.
     */
    "id": string;
    /**
     * The display name of the discovery job.
     */
    "displayName": string;
    /**
     * The date and time the discovery job started, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeStarted": Date;
    /**
     * The date and time the discovery job finished, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeFinished": Date;
    /**
     * The OCID of the sensitive data model associated with the discovery job.
     */
    "sensitiveDataModelId": string;
    /**
     * The OCID of the target database associated with the discovery job.
     */
    "targetId": string;
    /**
     * The current state of the discovery job.
     */
    "lifecycleState": model.DiscoveryLifecycleState;
    /**
     * The type of discovery.
     */
    "discoveryType": string;
    /**
     * The OCID of the compartment to contain the discovery job.
     */
    "compartmentId": string;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace DiscoveryJobSummary {
    function getJsonObj(obj: DiscoveryJobSummary): object;
    function getDeserializedJsonObj(obj: DiscoveryJobSummary): object;
}
