/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The scope of analytics data.
 */
export interface FindingAnalyticsDimensions {
    /**
     * Each finding in security assessment has an associated key (think of key as a finding's name).
     * For a given finding, the key will be the same across targets. The user can use these keys to filter the findings.
     *
     */
    "key"?: string;
    /**
     * The category of the top finding.
     */
    "topFindingCategory"?: string;
    /**
     * The short title of the finding.
     */
    "title"?: string;
    /**
     * The status of the top finding.
     * All findings will have \"severity\" to indicate the risk level, but only top findings will have \"status\".
     * Possible status: Pass / Risk (Low, Medium, High)/ Evaluate / Advisory / Deferred
     * Instead of having \"Low, Medium, High\" in severity, \"Risk\" will include these three situations in status.
     *
     */
    "topFindingStatus"?: FindingAnalyticsDimensions.TopFindingStatus;
    /**
     * The severity (risk level) of the finding.
     */
    "severity"?: FindingAnalyticsDimensions.Severity;
    /**
     * The OCID of the target database.
     */
    "targetId"?: string;
}
export declare namespace FindingAnalyticsDimensions {
    enum TopFindingStatus {
        Risk = "RISK",
        Evaluate = "EVALUATE",
        Advisory = "ADVISORY",
        Pass = "PASS",
        Deferred = "DEFERRED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Severity {
        High = "HIGH",
        Medium = "MEDIUM",
        Low = "LOW",
        Evaluate = "EVALUATE",
        Advisory = "ADVISORY",
        Pass = "PASS",
        Deferred = "DEFERRED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: FindingAnalyticsDimensions): object;
    function getDeserializedJsonObj(obj: FindingAnalyticsDimensions): object;
}
