/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of information about the analytics data of findings or top findings.
 * It includes details such as metric name, findinKey,
 * title (topFindingCategory for top finding), severity (topFindingStatus for top finding) and targetId.
 *
 */
export interface FindingAnalyticsSummary {
    /**
     * The name of the aggregation metric.
     */
    "metricName": FindingAnalyticsSummary.MetricName;
    "dimensions"?: model.FindingAnalyticsDimensions;
    /**
     * The total count for the aggregation metric. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count": number;
}
export declare namespace FindingAnalyticsSummary {
    enum MetricName {
        TopFindingStats = "TOP_FINDING_STATS",
        FindingStats = "FINDING_STATS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: FindingAnalyticsSummary): object;
    function getDeserializedJsonObj(obj: FindingAnalyticsSummary): object;
}
