/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * SQL Firewall policy details.
 */
export interface FirewallPolicyEntryDetails extends model.EntryDetails {
    /**
     * The time the the SQL Firewall policy was generated on the target database, in the format defined by RFC3339.
     */
    "timeGenerated": Date;
    /**
     * The last date and time the status of the SQL Firewall policy was updated on the target database, in the format defined by RFC3339.
     */
    "timeStatusUpdated"?: Date;
    "entryType": string;
}
export declare namespace FirewallPolicyEntryDetails {
    function getJsonObj(obj: FirewallPolicyEntryDetails, isParentJsonObj?: boolean): object;
    const entryType = "FIREWALL_POLICY";
    function getDeserializedJsonObj(obj: FirewallPolicyEntryDetails, isParentJsonObj?: boolean): object;
}
