/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Fixed Number masking format uses a constant number for masking. To learn more,
 * check Fixed Number in the Data Safe documentation.
 *
 */
export interface FixedNumberFormatEntry extends model.FormatEntry {
    /**
     * The constant number to be used for masking. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fixedNumber": number;
    "type": string;
}
export declare namespace FixedNumberFormatEntry {
    function getJsonObj(obj: FixedNumberFormatEntry, isParentJsonObj?: boolean): object;
    const type = "FIXED_NUMBER";
    function getDeserializedJsonObj(obj: FixedNumberFormatEntry, isParentJsonObj?: boolean): object;
}
