"use strict";
/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormatEntry = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var FormatEntry;
(function (FormatEntry) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "RANDOM_STRING":
                    return model.RandomStringFormatEntry.getJsonObj(jsonObj, true);
                case "DETERMINISTIC_SUBSTITUTION":
                    return model.DeterministicSubstitutionFormatEntry.getJsonObj(jsonObj, true);
                case "DETERMINISTIC_ENCRYPTION":
                    return model.DeterministicEncryptionFormatEntry.getJsonObj(jsonObj, true);
                case "RANDOM_DECIMAL_NUMBER":
                    return model.RandomDecimalNumberFormatEntry.getJsonObj(jsonObj, true);
                case "RANDOM_SUBSTITUTION":
                    return model.RandomSubstitutionFormatEntry.getJsonObj(jsonObj, true);
                case "POST_PROCESSING_FUNCTION":
                    return model.PPFFormatEntry.getJsonObj(jsonObj, true);
                case "NULL_VALUE":
                    return model.NullValueFormatEntry.getJsonObj(jsonObj, true);
                case "FIXED_NUMBER":
                    return model.FixedNumberFormatEntry.getJsonObj(jsonObj, true);
                case "REGULAR_EXPRESSION":
                    return model.RegularExpressionFormatEntry.getJsonObj(jsonObj, true);
                case "USER_DEFINED_FUNCTION":
                    return model.UDFFormatEntry.getJsonObj(jsonObj, true);
                case "SHUFFLE":
                    return model.ShuffleFormatEntry.getJsonObj(jsonObj, true);
                case "FIXED_STRING":
                    return model.FixedStringFormatEntry.getJsonObj(jsonObj, true);
                case "TRUNCATE_TABLE":
                    return model.TruncateTableFormatEntry.getJsonObj(jsonObj, true);
                case "LIBRARY_MASKING_FORMAT":
                    return model.LibraryMaskingFormatEntry.getJsonObj(jsonObj, true);
                case "SQL_EXPRESSION":
                    return model.SQLExpressionFormatEntry.getJsonObj(jsonObj, true);
                case "DETERMINISTIC_ENCRYPTION_DATE":
                    return model.DeterministicEncryptionDateFormatEntry.getJsonObj(jsonObj, true);
                case "RANDOM_DIGITS":
                    return model.RandomDigitsFormatEntry.getJsonObj(jsonObj, true);
                case "DELETE_ROWS":
                    return model.DeleteRowsFormatEntry.getJsonObj(jsonObj, true);
                case "SUBSTRING":
                    return model.SubstringFormatEntry.getJsonObj(jsonObj, true);
                case "PATTERN":
                    return model.PatternFormatEntry.getJsonObj(jsonObj, true);
                case "RANDOM_NUMBER":
                    return model.RandomNumberFormatEntry.getJsonObj(jsonObj, true);
                case "PRESERVE_ORIGINAL_DATA":
                    return model.PreserveOriginalDataFormatEntry.getJsonObj(jsonObj, true);
                case "RANDOM_DATE":
                    return model.RandomDateFormatEntry.getJsonObj(jsonObj, true);
                case "RANDOM_LIST":
                    return model.RandomListFormatEntry.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    FormatEntry.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "RANDOM_STRING":
                    return model.RandomStringFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "DETERMINISTIC_SUBSTITUTION":
                    return model.DeterministicSubstitutionFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "DETERMINISTIC_ENCRYPTION":
                    return model.DeterministicEncryptionFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "RANDOM_DECIMAL_NUMBER":
                    return model.RandomDecimalNumberFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "RANDOM_SUBSTITUTION":
                    return model.RandomSubstitutionFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "POST_PROCESSING_FUNCTION":
                    return model.PPFFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "NULL_VALUE":
                    return model.NullValueFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "FIXED_NUMBER":
                    return model.FixedNumberFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "REGULAR_EXPRESSION":
                    return model.RegularExpressionFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "USER_DEFINED_FUNCTION":
                    return model.UDFFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "SHUFFLE":
                    return model.ShuffleFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "FIXED_STRING":
                    return model.FixedStringFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "TRUNCATE_TABLE":
                    return model.TruncateTableFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "LIBRARY_MASKING_FORMAT":
                    return model.LibraryMaskingFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "SQL_EXPRESSION":
                    return model.SQLExpressionFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "DETERMINISTIC_ENCRYPTION_DATE":
                    return model.DeterministicEncryptionDateFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "RANDOM_DIGITS":
                    return model.RandomDigitsFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "DELETE_ROWS":
                    return model.DeleteRowsFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "SUBSTRING":
                    return model.SubstringFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "PATTERN":
                    return model.PatternFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "RANDOM_NUMBER":
                    return model.RandomNumberFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "PRESERVE_ORIGINAL_DATA":
                    return model.PreserveOriginalDataFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "RANDOM_DATE":
                    return model.RandomDateFormatEntry.getDeserializedJsonObj(jsonObj, true);
                case "RANDOM_LIST":
                    return model.RandomListFormatEntry.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    FormatEntry.getDeserializedJsonObj = getDeserializedJsonObj;
})(FormatEntry = exports.FormatEntry || (exports.FormatEntry = {}));
//# sourceMappingURL=format-entry.js.map