/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The summary of user grants.
 */
export interface GrantSummary {
    /**
     * The unique key of a user grant.
     */
    "key": string;
    /**
     * The name of a user grant.
     */
    "grantName"?: string;
    /**
     * The type of a user grant.
     */
    "privilegeType"?: GrantSummary.PrivilegeType;
    /**
     * The privilege category.
     */
    "privilegeCategory"?: GrantSummary.PrivilegeCategory;
    /**
     * The grant depth level of the indirect grant.
     * An indirectly granted role/privilege is granted to the user through another role.
     * The depth level indicates how deep a privilege is within the grant hierarchy.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "depthLevel"?: number;
}
export declare namespace GrantSummary {
    enum PrivilegeType {
        SystemPrivilege = "SYSTEM_PRIVILEGE",
        ObjectPrivilege = "OBJECT_PRIVILEGE",
        AdminPrivilege = "ADMIN_PRIVILEGE",
        Role = "ROLE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum PrivilegeCategory {
        Critical = "CRITICAL",
        High = "HIGH",
        Medium = "MEDIUM",
        Low = "LOW",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: GrantSummary): object;
    function getDeserializedJsonObj(obj: GrantSummary): object;
}
