/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of a masking policy health report.
 */
export interface MaskingPolicyHealthReportSummary {
    /**
     * The OCID of the health report.
     */
    "id": string;
    /**
     * The OCID of the masking policy.
     */
    "maskingPolicyId": string;
    /**
     * The OCID of the target database for which this report was created.
     */
    "targetId": string;
    /**
     * The OCID of the compartment that contains the health report.
     */
    "compartmentId": string;
    /**
     * The display name of the health report.
     */
    "displayName": string;
    /**
     * The date and time the report was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     *
     */
    "timeCreated": Date;
    /**
     * The current state of the health report.
     */
    "lifecycleState": string;
    /**
     * The description of the masking health report.
     */
    "description"?: string;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags": {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags": {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace MaskingPolicyHealthReportSummary {
    function getJsonObj(obj: MaskingPolicyHealthReportSummary): object;
    function getDeserializedJsonObj(obj: MaskingPolicyHealthReportSummary): object;
}
