/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The attributes of a sensitive column that have been modified in the target database. It's populated only in the case
 * of MODIFIED discovery results and shows the new values of the modified attributes.
 *
 */
export interface ModifiedAttributes {
    /**
     * Unique keys identifying the columns that are application-level (non-dictionary) children of the sensitive column.
     */
    "appDefinedChildColumnKeys"?: Array<string>;
    /**
     * Unique keys identifying the columns that are database-level (dictionary-defined) children of the sensitive column.
     */
    "dbDefinedChildColumnKeys"?: Array<string>;
}
export declare namespace ModifiedAttributes {
    function getJsonObj(obj: ModifiedAttributes): object;
    function getDeserializedJsonObj(obj: ModifiedAttributes): object;
}
