/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Pattern masking format randomly selects values according to pattern
 * to replace the original values.
 * Rules
 * Max Generated Data Length 30 characters
 * Use '%c' for a random lowercase letter
 * Use '%C' for a random uppercase letter
 * Use '%u[]' for a random character out of all characters enclosed in []
 * Use '%%' for a '%'
 * Use '%d' for a random digit
 * Use '%nd','%nc', '%nC', or '%nu[]' n random letters or digits or characters enclosed in [], n can be 0-9 only
 * Any other character will be included as it is
 * Examples
 * %3d-%5C will generate 416-JQPCS
 * %3d-%5c will generate 392-dehco
 * %u[$^#] will generate $
 * %%%3d will generate %704
 *
 */
export interface PatternFormatEntry extends model.FormatEntry {
    /**
     * The pattern that should be used to mask data.
     */
    "pattern": string;
    "type": string;
}
export declare namespace PatternFormatEntry {
    function getJsonObj(obj: PatternFormatEntry, isParentJsonObj?: boolean): object;
    const type = "PATTERN";
    function getDeserializedJsonObj(obj: PatternFormatEntry, isParentJsonObj?: boolean): object;
}
