/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the peer target database in Data Safe.
 */
export interface PeerTargetDatabase {
    /**
     * The display name of the peer target database in Data Safe.
     */
    "displayName": string;
    /**
     * The description of the peer target database in Data Safe.
     */
    "description"?: string;
    /**
     * The secondary key assigned for the peer target database in Data Safe. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "key": number;
    /**
     * The OCID of the Data Guard Association resource in which the database associated to the peer target database is considered as peer database to the primary database.
     */
    "dataguardAssociationId": string;
    /**
     * The date and time of the peer target database registration in Data Safe.
     */
    "timeCreated": Date;
    /**
     * Role of the database associated to the peer target database.
     */
    "role"?: string;
    /**
     * Unique name of the database associated to the peer target database.
     */
    "databaseUniqueName"?: string;
    "databaseDetails": model.InstalledDatabaseDetails | model.AutonomousDatabaseDetails | model.DatabaseCloudServiceDetails;
    "tlsConfig"?: model.TlsConfig;
    /**
     * The current state of the peer target database in Data Safe.
     */
    "lifecycleState": model.TargetDatabaseLifecycleState;
    /**
     * Details about the current state of the peer target database in Data Safe.
     */
    "lifecycleDetails"?: string;
}
export declare namespace PeerTargetDatabase {
    function getJsonObj(obj: PeerTargetDatabase): object;
    function getDeserializedJsonObj(obj: PeerTargetDatabase): object;
}
