/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Random Number masking format generates random and unique integers within
 * a range. The range is defined by the startValue and endValue attributes. The
 * start value must be less than or equal to the end value. When masking columns
 * with uniqueness constraint, ensure that the range is sufficient enough to
 * generate unique values. To learn more, check Random Number in the Data Safe
 * documentation.
 *
 */
export interface RandomNumberFormatEntry extends model.FormatEntry {
    /**
     * The lower bound of the range within which random numbers should be
     * generated. It must be less than or equal to the end value. It
     * supports input of long type.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "startValue": number;
    /**
     * The upper bound of the range within which random numbers should be
     * generated. It must be greater than or equal to the start value.
     * It supports input of long type.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "endValue": number;
    "type": string;
}
export declare namespace RandomNumberFormatEntry {
    function getJsonObj(obj: RandomNumberFormatEntry, isParentJsonObj?: boolean): object;
    const type = "RANDOM_NUMBER";
    function getDeserializedJsonObj(obj: RandomNumberFormatEntry, isParentJsonObj?: boolean): object;
}
