/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for the audit report schedule.
 */
export interface ScheduleAuditReportDetails extends model.ReportDetails {
    /**
     * Specifies the limit on the number of rows in the report. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rowLimit"?: number;
    /**
     * The time span of records in report to be scheduled.
     * <period-value><period>
     * Allowed period strings - \"H\",\"D\",\"M\",\"Y\"
     * Each of the above fields potentially introduce constraints. A workRequest is created only
     * when period-value satisfies all the constraints. Constraints introduced:
     * 1. period = H (The allowed range for period-value is [1, 23])
     * 2. period = D (The allowed range for period-value is [1, 30])
     * 3. period = M (The allowed range for period-value is [1, 11])
     * 4. period = Y (The minimum period-value is 1)
     *
     */
    "recordTimeSpan": string;
    "reportType": string;
}
export declare namespace ScheduleAuditReportDetails {
    function getJsonObj(obj: ScheduleAuditReportDetails, isParentJsonObj?: boolean): object;
    const reportType = "AUDIT";
    function getDeserializedJsonObj(obj: ScheduleAuditReportDetails, isParentJsonObj?: boolean): object;
}
