/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of a SDM masking policy difference.
 */
export interface SdmMaskingPolicyDifferenceSummary {
    /**
     * The OCID of the SDM masking policy difference.
     */
    "id": string;
    /**
     * The OCID of the compartment to contain the SDM masking policy difference.
     */
    "compartmentId": string;
    /**
     * The display name of the SDM masking policy difference.
     */
    "displayName": string;
    /**
     * The date and time the SDM masking policy difference was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     *
     */
    "timeCreated": Date;
    /**
     * The date and time the SDM masking policy difference creation started, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeCreationStarted": Date;
    /**
     * The OCID of the sensitive data model associated with the SDM masking policy difference.
     */
    "sensitiveDataModelId": string;
    /**
     * The OCID of the masking policy associated with the SDM masking policy difference.
     */
    "maskingPolicyId": string;
    /**
     * The current state of the SDM masking policy difference.
     */
    "lifecycleState": string;
    /**
     * The type of difference.
     */
    "differenceType": string;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace SdmMaskingPolicyDifferenceSummary {
    function getJsonObj(obj: SdmMaskingPolicyDifferenceSummary): object;
    function getDeserializedJsonObj(obj: SdmMaskingPolicyDifferenceSummary): object;
}
