/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The results of the comparison between two security assessment resources.
 *
 */
export interface SecurityAssessmentComparisonPerTarget {
    /**
     * The OCID of the target that is used as a baseline in this comparison.
     */
    "baselineTargetId"?: string;
    /**
     * The OCID of the target to be compared against the baseline target.
     */
    "currentTargetId"?: string;
    /**
     * A comparison between findings belonging to Auditing category.
     */
    "auditing"?: Array<model.Diffs>;
    /**
     * A comparison between findings belonging to Authorization Control category.
     */
    "authorizationControl"?: Array<model.Diffs>;
    /**
     * Comparison between findings belonging to Data Encryption category.
     */
    "dataEncryption"?: Array<model.Diffs>;
    /**
     * Comparison between findings belonging to Database Configuration category.
     */
    "dbConfiguration"?: Array<model.Diffs>;
    /**
     * Comparison between findings belonging to Fine-Grained Access Control category.
     */
    "fineGrainedAccessControl"?: Array<model.Diffs>;
    /**
     * Comparison between findings belonging to Privileges and Roles category.
     */
    "privilegesAndRoles"?: Array<model.Diffs>;
    /**
     * Comparison between findings belonging to User Accounts category.
     */
    "userAccounts"?: Array<model.Diffs>;
}
export declare namespace SecurityAssessmentComparisonPerTarget {
    function getJsonObj(obj: SecurityAssessmentComparisonPerTarget): object;
    function getDeserializedJsonObj(obj: SecurityAssessmentComparisonPerTarget): object;
}
