/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides a list of the differences in a comparison of the security assessment with the baseline value.
 *
 */
export interface SecurityAssessmentComparison {
    /**
     * The OCID of the security assessment that is being compared with a baseline security assessment.
     */
    "id"?: string;
    /**
     * The OCID of the security assessment that is set as a baseline.
     */
    "baselineId"?: string;
    /**
     * The current state of the security assessment comparison.
     */
    "lifecycleState": SecurityAssessmentComparison.LifecycleState;
    /**
     * The date and time when the security assessment comparison was created. Conforms to the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeCreated": Date;
    /**
     * A target-based comparison between two security assessments.
     */
    "targets"?: Array<model.SecurityAssessmentComparisonPerTarget>;
}
export declare namespace SecurityAssessmentComparison {
    enum LifecycleState {
        Creating = "CREATING",
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SecurityAssessmentComparison): object;
    function getDeserializedJsonObj(obj: SecurityAssessmentComparison): object;
}
