/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The scope of analytics data.
 */
export interface SecurityFeatureAnalyticsDimensions {
    /**
     * The name of the security feature.
     */
    "securityFeature"?: SecurityFeatureAnalyticsDimensions.SecurityFeature;
}
export declare namespace SecurityFeatureAnalyticsDimensions {
    enum SecurityFeature {
        UnifiedAudit = "UNIFIED_AUDIT",
        FineGrainedAudit = "FINE_GRAINED_AUDIT",
        TraditionalAudit = "TRADITIONAL_AUDIT",
        DatabaseVault = "DATABASE_VAULT",
        PrivilegeAnalysis = "PRIVILEGE_ANALYSIS",
        TablespaceEncryption = "TABLESPACE_ENCRYPTION",
        ColumnEncryption = "COLUMN_ENCRYPTION",
        NetworkEncryption = "NETWORK_ENCRYPTION",
        PasswordAuthentication = "PASSWORD_AUTHENTICATION",
        GlobalAuthentication = "GLOBAL_AUTHENTICATION",
        ExternalAuthentication = "EXTERNAL_AUTHENTICATION",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SecurityFeatureAnalyticsDimensions): object;
    function getDeserializedJsonObj(obj: SecurityFeatureAnalyticsDimensions): object;
}
