/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of database security feature analytics data.
 */
export interface SecurityFeatureAnalyticsSummary {
    /**
     * The name of the aggregation metric.
     */
    "metricName": SecurityFeatureAnalyticsSummary.MetricName;
    "dimensions"?: model.SecurityFeatureAnalyticsDimensions;
    /**
     * The total count for the aggregation metric. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count": number;
}
export declare namespace SecurityFeatureAnalyticsSummary {
    enum MetricName {
        SecurityFeatureStats = "SECURITY_FEATURE_STATS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SecurityFeatureAnalyticsSummary): object;
    function getDeserializedJsonObj(obj: SecurityFeatureAnalyticsSummary): object;
}
