/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The resource represents the state of a specific entry type deployment on a target.
 *
 */
export interface SecurityPolicyEntryStateSummary {
    /**
     * Unique id of the security policy entry state.
     */
    "id": string;
    /**
     * The OCID of the security policy entry associated.
     */
    "securityPolicyEntryId": string;
    /**
     * The OCID of the security policy deployment associated.
     */
    "securityPolicyDeploymentId"?: string;
    /**
     * The current deployment status of the security policy deployment and the security policy entry associated.
     */
    "deploymentStatus": model.SecurityPolicyEntryStateDeploymentStatus;
}
export declare namespace SecurityPolicyEntryStateSummary {
    function getJsonObj(obj: SecurityPolicyEntryStateSummary): object;
    function getDeserializedJsonObj(obj: SecurityPolicyEntryStateSummary): object;
}
