/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of a sensitive object present in a sensitive data model.
 */
export interface SensitiveObjectSummary {
    /**
     * The database schema that contains the sensitive column.
     */
    "schemaName": string;
    /**
     * The database object that contains the sensitive column.
     */
    "objectName": string;
    /**
     * The type of the database object that contains the sensitive column.
     */
    "objectType": model.ObjectType;
}
export declare namespace SensitiveObjectSummary {
    function getJsonObj(obj: SensitiveObjectSummary): object;
    function getDeserializedJsonObj(obj: SensitiveObjectSummary): object;
}
