/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Shuffle masking format randomly shuffles values within a column. It
 * can also be used to shuffle column data within discrete units, or groups,
 * where there is a relationship among the members of each group. To learn more,
 * check Shuffle in the Data Safe documentation. The Shuffle masking format
 * randomly shuffles values within a column. It can also be used to shuffle
 * column data within discrete units, or groups, where there is a relationship
 * among the members of each group. To learn more, check Shuffle in the
 * Data Safe documentation.
 *
 */
export interface ShuffleFormatEntry extends model.FormatEntry {
    /**
     * One or more reference columns to be used to group column values so that
     * they can be shuffled within their own group. The grouping columns and
     * the column to be masked must belong to the same table.
     *
     */
    "groupingColumns"?: Array<string>;
    "type": string;
}
export declare namespace ShuffleFormatEntry {
    function getJsonObj(obj: ShuffleFormatEntry, isParentJsonObj?: boolean): object;
    const type = "SHUFFLE";
    function getDeserializedJsonObj(obj: ShuffleFormatEntry, isParentJsonObj?: boolean): object;
}
