/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The dimensions available for SQL Firewall allow SQL analytics.
 */
export interface SqlFirewallAllowedSqlDimensions {
    /**
     * The OCID of the SQL Firewall policy corresponding to the SQL Firewall allowed SQL.
     */
    "sqlFirewallPolicyId"?: string;
    /**
     * Specifies the level of SQL included for this SQL Firewall policy.
     * USER_ISSUED_SQL - User issued SQL statements only.
     * ALL_SQL - Includes all SQL statements including SQL statement issued inside PL/SQL units.
     *
     */
    "sqlLevel"?: SqlFirewallAllowedSqlDimensions.SqlLevel;
    /**
     * The database user name.
     */
    "dbUserName"?: string;
    /**
     * The current state of the SQL Firewall allowed SQL.
     */
    "lifecycleState"?: model.SqlFirewallAllowedSqlLifecycleState;
}
export declare namespace SqlFirewallAllowedSqlDimensions {
    enum SqlLevel {
        UserIssuedSql = "USER_ISSUED_SQL",
        AllSql = "ALL_SQL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SqlFirewallAllowedSqlDimensions): object;
    function getDeserializedJsonObj(obj: SqlFirewallAllowedSqlDimensions): object;
}
