/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The dimensions available for SQL Firewall policy analytics.
 */
export interface SqlFirewallPolicyDimensions {
    /**
     * The OCID of the security policy corresponding to the SQL Firewall policy.
     */
    "securityPolicyId"?: string;
    /**
     * Specifies the SQL Firewall policy enforcement option.
     */
    "enforcementScope"?: SqlFirewallPolicyDimensions.EnforcementScope;
    /**
     * Specifies the mode in which the SQL Firewall policy is enabled.
     */
    "violationAction"?: SqlFirewallPolicyDimensions.ViolationAction;
    /**
     * The current state of the SQL Firewall policy.
     */
    "lifecycleState"?: model.SqlFirewallPolicyLifecycleState;
}
export declare namespace SqlFirewallPolicyDimensions {
    enum EnforcementScope {
        EnforceContext = "ENFORCE_CONTEXT",
        EnforceSql = "ENFORCE_SQL",
        EnforceAll = "ENFORCE_ALL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum ViolationAction {
        Block = "BLOCK",
        Observe = "OBSERVE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SqlFirewallPolicyDimensions): object;
    function getDeserializedJsonObj(obj: SqlFirewallPolicyDimensions): object;
}
