/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of the aggregation dimensions used for summarizing SQL violations.
 */
export interface SqlFirewallViolationAggregationDimensions {
    /**
     * The time of the SQL violation occurrence in the target database.
     */
    "operationTime"?: Array<Date>;
    /**
     * The name of the database user.
     */
    "dbUserName"?: Array<string>;
    /**
     * The OCID of the target database.
     */
    "targetId"?: Array<string>;
    /**
     * The name of the target database.
     */
    "targetName"?: Array<string>;
    /**
     * The application from which the SQL violation was generated. Examples SQL Plus or SQL Developer.
     */
    "clientProgram"?: Array<string>;
    /**
     * The name of the action executed by the user on the target database, for example, ALTER, CREATE, DROP.
     */
    "operation"?: Array<string>;
    /**
     * The name of the operating system user for the database session.
     */
    "clientOsUserName"?: Array<string>;
    /**
     * Indicates whether SQL or context violation.
     */
    "violationCause"?: Array<string>;
    /**
     * The IP address of the host from which the session was spawned.
     */
    "clientIp"?: Array<string>;
    /**
     * The action taken for this SQL violation.
     */
    "violationAction"?: Array<string>;
    /**
     * Specifies the level of SQL included for this SQL Firewall policy.
     * USER_ISSUED_SQL - User issued SQL statements only.
     * ALL_SQL - Includes all SQL statements including SQL statement issued inside PL/SQL units.
     *
     */
    "sqlLevel"?: Array<SqlFirewallViolationAggregationDimensions.SqlLevel>;
}
export declare namespace SqlFirewallViolationAggregationDimensions {
    enum SqlLevel {
        UserIssuedSql = "USER_ISSUED_SQL",
        AllSql = "ALL_SQL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SqlFirewallViolationAggregationDimensions): object;
    function getDeserializedJsonObj(obj: SqlFirewallViolationAggregationDimensions): object;
}
