/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the audit report.
 */
export interface Summary {
    /**
     * Name of the report summary.
     */
    "name": string;
    /**
     * Indicates if the summary is hidden. Values can either be 'true' or 'false'.
     */
    "isHidden"?: boolean;
    /**
     * Specifies the order in which the summary must be displayed. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "displayOrder": number;
    /**
     * A comma-delimited string that specifies the names of the fields by which the records must be aggregated to get the summary.
     */
    "groupByFieldName"?: string;
    /**
     * Name of the key or count of object.
     */
    "countOf"?: string;
    /**
     * Additional scim filters used to get the specific summary.
     */
    "scimFilter"?: string;
}
export declare namespace Summary {
    function getJsonObj(obj: Summary): object;
    function getDeserializedJsonObj(obj: Summary): object;
}
