/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of target to alert policy association.
 */
export interface TargetAlertPolicyAssociationSummary {
    /**
     * The OCID of the target-alert policy association.
     */
    "id": string;
    /**
     * The display name of the target-alert policy association.
     */
    "displayName"?: string;
    /**
     * Describes the target-alert policy association.
     */
    "description"?: string;
    /**
     * The OCID of the alert policy.
     */
    "policyId"?: string;
    /**
     * The OCID of the target on which alert policy is to be applied.
     */
    "targetId"?: string;
    /**
     * Indicates if the target-alert policy association is enabled or disabled by user.
     */
    "isEnabled"?: boolean;
    /**
     * The OCID of the compartment that contains the target-alert policy association.
     */
    "compartmentId": string;
    /**
     * Creation date and time of the target-alert policy association, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeCreated": Date;
    /**
     * Last date and time the target-alert policy association was updated, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeUpdated": Date;
    /**
     * The current state of the target-alert policy association.
     */
    "lifecycleState": model.AlertPolicyLifecycleState;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace TargetAlertPolicyAssociationSummary {
    function getJsonObj(obj: TargetAlertPolicyAssociationSummary): object;
    function getDeserializedJsonObj(obj: TargetAlertPolicyAssociationSummary): object;
}
