/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The lifecycle state of the target database.
 * - CREATING - Represents that the target database is creating.
 * - UPDATING - Represents that the target database is updating.
 * - ACTIVE - Represents that the target database is active.
 * - INACTIVE - Represents that the target database is inactive.
 * - DELETING - Represents that the target database is deleting.
 * - DELETED - Represents that the target database is deleted.
 * - NEEDS_ATTENTION - Represents that the target database needs user attention.
 * - FAILED - Represents that the target database is failed.
 *
 **/
export declare enum TargetDatabaseLifecycleState {
    Creating = "CREATING",
    Updating = "UPDATING",
    Active = "ACTIVE",
    Inactive = "INACTIVE",
    Deleting = "DELETING",
    Deleted = "DELETED",
    NeedsAttention = "NEEDS_ATTENTION",
    Failed = "FAILED",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace TargetDatabaseLifecycleState {
    function getJsonObj(obj: TargetDatabaseLifecycleState): TargetDatabaseLifecycleState;
    function getDeserializedJsonObj(obj: TargetDatabaseLifecycleState): TargetDatabaseLifecycleState;
}
