/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The User Defined Function masking format lets you define your own logic to
 * mask column data. The return value of the user-defined function is used to
 * replace the original values. The user-defined function has a fixed signature
 * and is a PL/SQL function that can be invoked in a SELECT statement. To learn
 * more, check User Defined Function in the Data Safe documentation.
 *
 */
export interface UDFFormatEntry extends model.FormatEntry {
    /**
     * The user-defined function in SCHEMA_NAME.PACKAGE_NAME.FUNCTION_NAME format.
     * It can be a standalone or packaged function, so PACKAGE_NAME is optional.
     *
     */
    "userDefinedFunction": string;
    "type": string;
}
export declare namespace UDFFormatEntry {
    function getJsonObj(obj: UDFFormatEntry, isParentJsonObj?: boolean): object;
    const type = "USER_DEFINED_FUNCTION";
    function getDeserializedJsonObj(obj: UDFFormatEntry, isParentJsonObj?: boolean): object;
}
