/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details to update a library masking format. Note that updating the formatEntries attribute replaces all the existing masking format
 * entries with the specified format entries.
 *
 */
export interface UpdateLibraryMaskingFormatDetails {
    /**
     * The display name of the library masking format. The name does not have to be unique, and it's changeable.
     */
    "displayName"?: string;
    /**
     * The description of the library masking format.
     */
    "description"?: string;
    /**
     * An array of OCIDs of the sensitive types compatible with the library masking format.
     */
    "sensitiveTypeIds"?: Array<string>;
    /**
     * An array of format entries. The combined output of all the format entries is used for masking.
     */
    "formatEntries"?: Array<model.FormatEntry>;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace UpdateLibraryMaskingFormatDetails {
    function getJsonObj(obj: UpdateLibraryMaskingFormatDetails): object;
    function getDeserializedJsonObj(obj: UpdateLibraryMaskingFormatDetails): object;
}
