/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details to update a sensitive type with regular expressions.
 */
export interface UpdateSensitiveTypePatternDetails extends model.UpdateSensitiveTypeDetails {
    /**
     * A regular expression to be used by data discovery for matching column names.
     */
    "namePattern"?: string;
    /**
     * A regular expression to be used by data discovery for matching column comments.
     */
    "commentPattern"?: string;
    /**
     * A regular expression to be used by data discovery for matching column data values.
     */
    "dataPattern"?: string;
    /**
     * The search type indicating how the column name, comment and data patterns should be used by data discovery.
     * [Learn more](https://docs.oracle.com/en/cloud/paas/data-safe/udscs/sensitive-types.html#GUID-1D1AD98E-B93F-4FF2-80AE-CB7D8A14F6CC).
     *
     */
    "searchType"?: string;
    /**
     * The OCID of the library masking format that should be used to mask the sensitive columns associated with the sensitive type.
     */
    "defaultMaskingFormatId"?: string;
    "entityType": string;
}
export declare namespace UpdateSensitiveTypePatternDetails {
    function getJsonObj(obj: UpdateSensitiveTypePatternDetails, isParentJsonObj?: boolean): object;
    const entityType = "SENSITIVE_TYPE";
    function getDeserializedJsonObj(obj: UpdateSensitiveTypePatternDetails, isParentJsonObj?: boolean): object;
}
