/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details to update the SQL Firewall config.
 *
 */
export interface UpdateSqlFirewallConfigDetails {
    /**
     * Specifies whether the firewall is enabled or disabled on the target database.
     */
    "status"?: UpdateSqlFirewallConfigDetails.Status;
    /**
     * Specifies whether Data Safe should automatically purge the violation logs
     * from the database after collecting the violation logs and persisting on Data Safe.
     *
     */
    "violationLogAutoPurge"?: UpdateSqlFirewallConfigDetails.ViolationLogAutoPurge;
    /**
     * Specifies whether the firewall should include or exclude the database internal job activities.
     */
    "excludeJob"?: UpdateSqlFirewallConfigDetails.ExcludeJob;
}
export declare namespace UpdateSqlFirewallConfigDetails {
    enum Status {
        Enabled = "ENABLED",
        Disabled = "DISABLED"
    }
    enum ViolationLogAutoPurge {
        Enabled = "ENABLED",
        Disabled = "DISABLED"
    }
    enum ExcludeJob {
        Excluded = "EXCLUDED",
        Included = "INCLUDED"
    }
    function getJsonObj(obj: UpdateSqlFirewallConfigDetails): object;
    function getDeserializedJsonObj(obj: UpdateSqlFirewallConfigDetails): object;
}
