/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides a list of differences for user assessment when compared with the baseline value.
 */
export interface UserAssessmentComparison {
    /**
     * The current state of the user assessment comparison.
     */
    "lifecycleState": UserAssessmentComparison.LifecycleState;
    /**
     * The date and time the user assessment comparison was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeCreated": Date;
    /**
     * List containing maps as values.
     * Example: {@code {\"Operations\": [ {\"CostCenter\": \"42\"} ] }}
     *
     */
    "summary"?: Array<any>;
}
export declare namespace UserAssessmentComparison {
    enum LifecycleState {
        Creating = "CREATING",
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: UserAssessmentComparison): object;
    function getDeserializedJsonObj(obj: UserAssessmentComparison): object;
}
