/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details of a particular user.
 *
 */
export interface UserDetails {
    /**
     * The name of the user.
     */
    "name"?: string;
    /**
     * The status of the user account.
     */
    "status"?: string;
    /**
     * The name of the profile assigned to the user.
     */
    "profile"?: string;
    /**
     * The default tablespace of the user.
     */
    "tablespace"?: string;
    /**
     * Indicates whether or not the user is predefined by ORACLE.
     */
    "isUserPredefinedByOracle"?: boolean;
    /**
     * The authentication type of the user.
     */
    "authenticationType"?: UserDetails.AuthenticationType;
}
export declare namespace UserDetails {
    enum AuthenticationType {
        Password = "PASSWORD",
        None = "NONE"
    }
    function getJsonObj(obj: UserDetails): object;
    function getDeserializedJsonObj(obj: UserDetails): object;
}
