/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datasafe/ListColumns.ts.html |here} to see how to use ListColumnsRequest.
 */
export interface ListColumnsRequest extends common.BaseRequest {
    /**
     * The OCID of the Data Safe target database.
     */
    "targetDatabaseId": string;
    /**
     * Unique identifier for the request.
     */
    "opcRequestId"?: string;
    /**
     * For list pagination. The maximum number of items to return per page in a paginated \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "limit"?: number;
    /**
     * For list pagination. The page token representing the page at which to start retrieving results. It is usually retrieved from a previous \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "page"?: string;
    /**
     * A filter to return only items related to specific schema name.
     */
    "schemaName"?: Array<string>;
    /**
     * A filter to return only items related to specific table name.
     */
    "tableName"?: Array<string>;
    /**
     * A filter to return only a specific column based on column name.
     */
    "columnName"?: Array<string>;
    /**
     * A filter to return only items related to specific datatype.
     */
    "datatype"?: Array<string>;
    /**
     * The sort order to use, either ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: ListColumnsRequest.SortOrder;
    /**
     * The field used for sorting. Only one sorting order (sortOrder) can be specified.
     *
     */
    "sortBy"?: ListColumnsRequest.SortBy;
    /**
     * A filter to return only items if schema name contains a specific string.
     */
    "schemaNameContains"?: string;
    /**
     * A filter to return only items if table name contains a specific string.
     */
    "tableNameContains"?: string;
    /**
     * A filter to return only items if column name contains a specific string.
     */
    "columnNameContains"?: string;
}
export declare namespace ListColumnsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        Schemaname = "SCHEMANAME",
        Tablename = "TABLENAME",
        Columnname = "COLUMNNAME",
        Datatype = "DATATYPE"
    }
}
