/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datasafe/ListDifferenceColumns.ts.html |here} to see how to use ListDifferenceColumnsRequest.
 */
export interface ListDifferenceColumnsRequest extends common.BaseRequest {
    /**
     * The OCID of the SDM masking policy difference.
     */
    "sdmMaskingPolicyDifferenceId": string;
    /**
     * A filter to return only the SDM masking policy difference columns that match the specified difference type
     */
    "differenceType"?: string;
    /**
     * A filter to return only the SDM masking policy difference columns that match the specified planned action.
     */
    "plannedAction"?: string;
    /**
     * A filter to return the SDM masking policy difference columns based on the value of their syncStatus attribute.
     */
    "syncStatus"?: string;
    /**
     * A filter to return only items related to specific schema name.
     */
    "schemaName"?: Array<string>;
    /**
     * A filter to return only items related to a specific object name.
     */
    "objectName"?: Array<string>;
    /**
     * A filter to return only a specific column based on column name.
     */
    "columnName"?: Array<string>;
    /**
     * The sort order to use, either ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: ListDifferenceColumnsRequest.SortOrder;
    /**
     * The field to sort by. You can specify only one sorting parameter (sortOrder). The default order for schemaName is descending.
     * The default order for differenceType, schemaName, objectName, columnName and plannedAction is ascending.
     *
     */
    "sortBy"?: ListDifferenceColumnsRequest.SortBy;
    /**
     * Unique identifier for the request.
     */
    "opcRequestId"?: string;
    /**
     * For list pagination. The maximum number of items to return per page in a paginated \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "limit"?: number;
    /**
     * For list pagination. The page token representing the page at which to start retrieving results. It is usually retrieved from a previous \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "page"?: string;
}
export declare namespace ListDifferenceColumnsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        DifferenceType = "differenceType",
        SchemaName = "schemaName",
        ObjectName = "objectName",
        ColumnName = "columnName",
        PlannedAction = "plannedAction"
    }
}
