/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datasafe/ListFindingsChangeAuditLogs.ts.html |here} to see how to use ListFindingsChangeAuditLogsRequest.
 */
export interface ListFindingsChangeAuditLogsRequest extends common.BaseRequest {
    /**
     * The OCID of the security assessment.
     */
    "securityAssessmentId": string;
    /**
     * A filter to return only findings of a particular risk level.
     */
    "severity"?: ListFindingsChangeAuditLogsRequest.Severity;
    /**
     * The unique key that identifies the finding. It is a string and unique within a security assessment.
     */
    "findingKey"?: string;
    /**
     * The unique title that identifies the finding. It is a string and unique within a security assessment.
     */
    "findingTitle"?: string;
    /**
     * A filter to check findings whose risks were deferred by the user.
     */
    "isRiskDeferred"?: boolean;
    /**
     * A filter to check which user modified the risk level of the finding.
     */
    "modifiedBy"?: string;
    /**
     * For list pagination. The maximum number of items to return per page in a paginated \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "limit"?: number;
    /**
     * For list pagination. The page token representing the page at which to start retrieving results. It is usually retrieved from a previous \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: ListFindingsChangeAuditLogsRequest.SortOrder;
    /**
     * The field to sort by. You can specify only one sort order(sortOrder). The default order for timeUpdated is descending.
     *
     */
    "sortBy"?: ListFindingsChangeAuditLogsRequest.SortBy;
    /**
     * Specifying {@code TimeValidUntilGreaterThanOrEqualToQueryParam} parameter
     * will retrieve all items for which the risk level modification by user will
     * no longer be valid greater than the date and time specified,
     * in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * <p>
     **Example:** 2016-12-19T00:00:00.000Z
     *
     */
    "timeValidUntilGreaterThanOrEqualTo"?: Date;
    /**
     * Specifying {@code TimeValidUntilLessThanQueryParam} parameter
     * will retrieve all items for which the risk level modification by user will
     * be valid until less than the date and time specified,
     * in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * <p>
     **Example:** 2016-12-19T00:00:00.000Z
     *
     */
    "timeValidUntilLessThan"?: Date;
    /**
     * Search for resources that were updated after a specific date.
     * Specifying this parameter corresponding {@code timeUpdatedGreaterThanOrEqualTo}
     * parameter will retrieve all resources updated after the
     * specified created date, in \"YYYY-MM-ddThh:mmZ\" format with a Z offset, as
     * defined by RFC 3339.
     *
     */
    "timeUpdatedGreaterThanOrEqualTo"?: Date;
    /**
     * Search for resources that were updated before a specific date.
     * Specifying this parameter corresponding {@code timeUpdatedLessThan}
     * parameter will retrieve all resources updated before the
     * specified created date, in \"YYYY-MM-ddThh:mmZ\" format with a Z offset, as
     * defined by RFC 3339.
     *
     */
    "timeUpdatedLessThan"?: Date;
    /**
     * Unique identifier for the request.
     */
    "opcRequestId"?: string;
}
export declare namespace ListFindingsChangeAuditLogsRequest {
    enum Severity {
        High = "HIGH",
        Medium = "MEDIUM",
        Low = "LOW",
        Evaluate = "EVALUATE",
        Advisory = "ADVISORY",
        Pass = "PASS",
        Deferred = "DEFERRED"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        TimeUpdated = "timeUpdated",
        ModifiedBy = "modifiedBy",
        IsRiskDeferred = "isRiskDeferred",
        TimeValidUntil = "timeValidUntil"
    }
}
