/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datasafe/ListGrants.ts.html |here} to see how to use ListGrantsRequest.
 */
export interface ListGrantsRequest extends common.BaseRequest {
    /**
     * The OCID of the user assessment.
     */
    "userAssessmentId": string;
    /**
     * The unique user key. This is a system-generated identifier. ListUsers gets the user key for a user.
     */
    "userKey": string;
    /**
     * A filter to return only items that match the specified user grant key.
     */
    "grantKey"?: string;
    /**
     * A filter to return only items that match the specified user grant name.
     */
    "grantName"?: string;
    /**
     * A filter to return only items that match the specified privilege grant type.
     */
    "privilegeType"?: string;
    /**
     * A filter to return only items that match the specified user privilege category.
     */
    "privilegeCategory"?: string;
    /**
     * A filter to return only items that match the specified user grant depth level.
     */
    "depthLevel"?: number;
    /**
     * A filter to return only items that are at a level greater than or equal to the specified user grant depth level.
     */
    "depthLevelGreaterThanOrEqualTo"?: number;
    /**
     * A filter to return only items that are at a level less than the specified user grant depth level.
     */
    "depthLevelLessThan"?: number;
    /**
     * For list pagination. The maximum number of items to return per page in a paginated \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "limit"?: number;
    /**
     * For list pagination. The page token representing the page at which to start retrieving results. It is usually retrieved from a previous \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: ListGrantsRequest.SortOrder;
    /**
     * The field to sort by. You can specify only one sort order (sortOrder). The default order for grantName is ascending.
     *
     */
    "sortBy"?: ListGrantsRequest.SortBy;
    /**
     * Unique identifier for the request.
     */
    "opcRequestId"?: string;
}
export declare namespace ListGrantsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        GrantName = "grantName",
        GrantType = "grantType",
        PrivilegeCategory = "privilegeCategory",
        DepthLevel = "depthLevel",
        Key = "key"
    }
}
