/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datasafe/ListMaskingColumns.ts.html |here} to see how to use ListMaskingColumnsRequest.
 */
export interface ListMaskingColumnsRequest extends common.BaseRequest {
    /**
     * The OCID of the masking policy.
     */
    "maskingPolicyId": string;
    /**
     * For list pagination. The maximum number of items to return per page in a paginated \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "limit"?: number;
    /**
     * For list pagination. The page token representing the page at which to start retrieving results. It is usually retrieved from a previous \"List\" call. For details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/usingapi.htm#nine).
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: ListMaskingColumnsRequest.SortOrder;
    /**
     * The field to sort by. You can specify only one sorting parameter (sortOrder). The default order for timeCreated is descending.
     * The default order for other fields is ascending.
     *
     */
    "sortBy"?: ListMaskingColumnsRequest.SortBy;
    /**
     * A filter to return only the resources that match the specified lifecycle states.
     */
    "maskingColumnLifecycleState"?: model.MaskingColumnLifecycleState;
    /**
     * A filter to return only resources that match the specified data types.
     */
    "dataType"?: Array<ListMaskingColumnsRequest.DataType>;
    /**
     * A filter to return only items related to specific schema name.
     */
    "schemaName"?: Array<string>;
    /**
     * A filter to return only items related to a specific object name.
     */
    "objectName"?: Array<string>;
    /**
     * A filter to return only a specific column based on column name.
     */
    "columnName"?: Array<string>;
    /**
     * A filter to return only items related to a specific object type.
     */
    "objectType"?: Array<ListMaskingColumnsRequest.ObjectType>;
    /**
     * A filter to return only the resources that match the specified masking column group.
     */
    "maskingColumnGroup"?: Array<string>;
    /**
     * A filter to return only items related to a specific sensitive type OCID.
     */
    "sensitiveTypeId"?: string;
    /**
     * A filter to return the masking column resources based on the value of their isMaskingEnabled attribute.
     * A value of true returns only those columns for which masking is enabled. A value of false returns only those columns
     * for which masking is disabled. Omitting this parameter returns all the masking columns in a masking policy.
     *
     */
    "isMaskingEnabled"?: boolean;
    /**
     * A filter to return masking columns based on whether the assigned masking formats need a
     * seed value for masking. A value of true returns those masking columns that are using
     * Deterministic Encryption or Deterministic Substitution masking format.
     *
     */
    "isSeedRequired"?: boolean;
    /**
     * A filter to return only the resources that were created after the specified date and time, as defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
     * <p>
     **Example:** 2016-12-19T16:39:57.600Z
     *
     */
    "timeCreatedGreaterThanOrEqualTo"?: Date;
    /**
     * Search for resources that were created before a specific date.
     * Specifying this parameter corresponding {@code timeCreatedLessThan}
     * parameter will retrieve all resources created before the
     * specified created date, in \"YYYY-MM-ddThh:mmZ\" format with a Z offset, as
     * defined by RFC 3339.
     * <p>
     **Example:** 2016-12-19T16:39:57.600Z
     *
     */
    "timeCreatedLessThan"?: Date;
    /**
     * Search for resources that were updated after a specific date.
     * Specifying this parameter corresponding {@code timeUpdatedGreaterThanOrEqualTo}
     * parameter will retrieve all resources updated after the
     * specified created date, in \"YYYY-MM-ddThh:mmZ\" format with a Z offset, as
     * defined by RFC 3339.
     *
     */
    "timeUpdatedGreaterThanOrEqualTo"?: Date;
    /**
     * Search for resources that were updated before a specific date.
     * Specifying this parameter corresponding {@code timeUpdatedLessThan}
     * parameter will retrieve all resources updated before the
     * specified created date, in \"YYYY-MM-ddThh:mmZ\" format with a Z offset, as
     * defined by RFC 3339.
     *
     */
    "timeUpdatedLessThan"?: Date;
    /**
     * Unique identifier for the request.
     */
    "opcRequestId"?: string;
}
export declare namespace ListMaskingColumnsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        TimeCreated = "timeCreated",
        SchemaName = "schemaName",
        ObjectName = "objectName",
        DataType = "dataType"
    }
    enum DataType {
        Character = "CHARACTER",
        Date = "DATE",
        Lob = "LOB",
        Numeric = "NUMERIC"
    }
    enum ObjectType {
        All = "ALL",
        Table = "TABLE",
        EditioningView = "EDITIONING_VIEW"
    }
}
