/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/datasafe/UpdateMaskingColumn.ts.html |here} to see how to use UpdateMaskingColumnRequest.
 */
export interface UpdateMaskingColumnRequest extends common.BaseRequest {
    /**
     * The unique key that identifies the masking column. It's numeric and unique within a masking policy.
     */
    "maskingColumnKey": string;
    /**
     * The OCID of the masking policy.
     */
    "maskingPolicyId": string;
    /**
     * Details to update a masking column.
     */
    "updateMaskingColumnDetails": model.UpdateMaskingColumnDetails;
    /**
     * For optimistic concurrency control. In the PUT or DELETE call
     * for a resource, set the if-match parameter to the value of the
     * etag from a previous GET or POST response for that resource.
     * The resource will be updated or deleted only if the etag you
     * provide matches the resource's current etag value.
     *
     */
    "ifMatch"?: string;
    /**
     * Unique identifier for the request.
     */
    "opcRequestId"?: string;
}
