/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The shape config to launch a fast launch capable job instance
 */
export interface FastLaunchJobConfigSummary {
    /**
     * The name of the fast launch job config
     *
     */
    "name": string;
    /**
     * The name of the fast launch job shape.
     *
     */
    "shapeName": string;
    /**
     * The number of cores associated with this fast launch job shape.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "coreCount": number;
    /**
     * The number of cores associated with this fast launch job shape.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs": number;
    /**
     * The family that the compute shape belongs to.
     *
     */
    "shapeSeries": FastLaunchJobConfigSummary.ShapeSeries;
    /**
     * The managed egress support
     *
     */
    "managedEgressSupport": FastLaunchJobConfigSummary.ManagedEgressSupport;
}
export declare namespace FastLaunchJobConfigSummary {
    enum ShapeSeries {
        AmdRome = "AMD_ROME",
        IntelSkylake = "INTEL_SKYLAKE",
        NvidiaGpu = "NVIDIA_GPU",
        Generic = "GENERIC",
        Legacy = "LEGACY",
        Arm = "ARM",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum ManagedEgressSupport {
        Required = "REQUIRED",
        Supported = "SUPPORTED",
        Unsupported = "UNSUPPORTED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: FastLaunchJobConfigSummary): object;
    function getDeserializedJsonObj(obj: FastLaunchJobConfigSummary): object;
}
