/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Instance pool based model deployment system data.
 */
export interface InstancePoolModelDeploymentSystemData extends model.ModelDeploymentSystemData {
    /**
     * This value is the current count of the model deployment instances. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "currentInstanceCount"?: number;
    "systemInfraType": string;
}
export declare namespace InstancePoolModelDeploymentSystemData {
    function getJsonObj(obj: InstancePoolModelDeploymentSystemData, isParentJsonObj?: boolean): object;
    const systemInfraType = "INSTANCE_POOL";
    function getDeserializedJsonObj(obj: InstancePoolModelDeploymentSystemData, isParentJsonObj?: boolean): object;
}
