/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for the model-deployment instance shape configuration.
 */
export interface ModelDeploymentInstanceShapeConfigDetails {
    /**
     * A model-deployment instance of type VM.Standard.E3.Flex or VM.Standard.E4.Flex allows the ocpu count to be specified with in the range of 1 to 64 ocpu. VM.Standard3.Flex OCPU range is between 1 to 32 ocpu and for VM.Optimized3.Flex OCPU range is 1 to 18 ocpu.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ocpus"?: number;
    /**
     * A model-deployment instance of type VM.Standard.E3.Flex or VM.Standard.E4.Flex allows the memory to be specified with in the range of 6 to 1024 GB. VM.Standard3.Flex memory range is between 6 to 512 GB and VM.Optimized3.Flex memory range is between 6 to 256 GB.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "memoryInGBs"?: number;
    /**
     * The baseline OCPU utilization for a subcore burstable VM instance. If this attribute is left blank, it will default to {@code BASELINE_1_1}.
     * The following values are supported:
     *   BASELINE_1_8 - baseline usage is 1/8 of an OCPU.
     *   BASELINE_1_2 - baseline usage is 1/2 of an OCPU.
     *   BASELINE_1_1 - baseline usage is an entire OCPU. This represents a non-burstable instance.
     *
     */
    "cpuBaseline"?: ModelDeploymentInstanceShapeConfigDetails.CpuBaseline;
}
export declare namespace ModelDeploymentInstanceShapeConfigDetails {
    enum CpuBaseline {
        Baseline18 = "BASELINE_1_8",
        Baseline12 = "BASELINE_1_2",
        Baseline11 = "BASELINE_1_1",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ModelDeploymentInstanceShapeConfigDetails): object;
    function getDeserializedJsonObj(obj: ModelDeploymentInstanceShapeConfigDetails): object;
}
