/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The type of step where user provides the container details for an execution engine managed by the pipelines service.
 */
export interface PipelineContainerStepDetails extends model.PipelineStepDetails {
    "stepInfrastructureConfigurationDetails"?: model.PipelineInfrastructureConfigurationDetails;
    "stepContainerConfigurationDetails": model.PipelineOcirContainerConfigurationDetails;
    /**
     * A flag to indicate whether the artifact has been uploaded for this step or not.
     */
    "isArtifactUploaded"?: boolean;
    "stepType": string;
}
export declare namespace PipelineContainerStepDetails {
    function getJsonObj(obj: PipelineContainerStepDetails, isParentJsonObj?: boolean): object;
    const stepType = "CONTAINER";
    function getDeserializedJsonObj(obj: PipelineContainerStepDetails, isParentJsonObj?: boolean): object;
}
