/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The default pipeline configuration.
 */
export interface PipelineDefaultConfigurationDetails extends model.PipelineConfigurationDetails {
    /**
     * A time bound for the execution of the entire Pipeline. Timer starts when the Pipeline Run is in progress. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maximumRuntimeInMinutes"?: number;
    /**
     * Environment variables to set for steps in the pipeline.
     */
    "environmentVariables"?: {
        [key: string]: string;
    };
    /**
     * The command line arguments to set for steps in the pipeline.
     *
     */
    "commandLineArguments"?: string;
    "type": string;
}
export declare namespace PipelineDefaultConfigurationDetails {
    function getJsonObj(obj: PipelineDefaultConfigurationDetails, isParentJsonObj?: boolean): object;
    const type = "DEFAULT";
    function getDeserializedJsonObj(obj: PipelineDefaultConfigurationDetails, isParentJsonObj?: boolean): object;
}
