/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The infrastructure configuration details of a pipeline or a step.
 */
export interface PipelineInfrastructureConfigurationDetails {
    /**
     * The shape used to launch the instance for all step runs in the pipeline.
     */
    "shapeName": string;
    /**
     * The size of the block storage volume to attach to the instance.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "blockStorageSizeInGBs": number;
    /**
     * The subnet to create a secondary vnic in to attach to the instance running the pipeline step.
     *
     */
    "subnetId"?: string;
    "shapeConfigDetails"?: model.PipelineShapeConfigDetails;
}
export declare namespace PipelineInfrastructureConfigurationDetails {
    function getJsonObj(obj: PipelineInfrastructureConfigurationDetails): object;
    function getDeserializedJsonObj(obj: PipelineInfrastructureConfigurationDetails): object;
}
