/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The pipeline log configuration details.
 */
export interface PipelineLogConfigurationDetails {
    /**
     * If customer logging is enabled for pipeline.
     */
    "enableLogging"?: boolean;
    /**
     * If automatic on-behalf-of log object creation is enabled for pipeline runs.
     */
    "enableAutoLogCreation"?: boolean;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the log group.
     */
    "logGroupId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the log.
     */
    "logId"?: string;
}
export declare namespace PipelineLogConfigurationDetails {
    function getJsonObj(obj: PipelineLogConfigurationDetails): object;
    function getDeserializedJsonObj(obj: PipelineLogConfigurationDetails): object;
}
