/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Container configuration based on image stored in OCI Container Registry.
 */
export interface PipelineOcirContainerConfigurationDetails extends model.PipelineContainerConfigurationDetails {
    /**
     * The full path to the Oracle Container Repository (OCIR) registry, image, and tag in a canonical format.
     *
     */
    "image": string;
    /**
     * The container image run [CMD](https://docs.docker.com/engine/reference/builder/#cmd) as a list of strings.
     * Use {@code CMD} as arguments to the {@code ENTRYPOINT} or the only command to run in the absence of an {@code ENTRYPOINT}.
     * The combined size of {@code CMD} and {@code ENTRYPOINT} must be less than 2048 bytes.
     *
     */
    "cmd"?: Array<string>;
    /**
     * The container image run [ENTRYPOINT](https://docs.docker.com/engine/reference/builder/#entrypoint) as a list of strings.
     * Accept the {@code CMD} as extra arguments.
     * The combined size of {@code CMD} and {@code ENTRYPOINT} must be less than 2048 bytes.
     * More information on how {@code CMD} and {@code ENTRYPOINT} interact are [here](https://docs.docker.com/engine/reference/builder/#understand-how-cmd-and-entrypoint-interact).
     *
     */
    "entrypoint"?: Array<string>;
    /**
     * The digest of the container image. For example,
     * {@code sha256:881303a6b2738834d795a32b4a98eb0e5e3d1cad590a712d1e04f9b2fa90a030}
     *
     */
    "imageDigest"?: string;
    /**
     * OCID of the container image signature
     */
    "imageSignatureId"?: string;
    "containerType": string;
}
export declare namespace PipelineOcirContainerConfigurationDetails {
    function getJsonObj(obj: PipelineOcirContainerConfigurationDetails, isParentJsonObj?: boolean): object;
    const containerType = "OCIR_CONTAINER";
    function getDeserializedJsonObj(obj: PipelineOcirContainerConfigurationDetails, isParentJsonObj?: boolean): object;
}
