"use strict";
/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PipelineStepRun = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var PipelineStepRun;
(function (PipelineStepRun) {
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["Waiting"] = "WAITING";
        LifecycleState["Accepted"] = "ACCEPTED";
        LifecycleState["InProgress"] = "IN_PROGRESS";
        LifecycleState["Failed"] = "FAILED";
        LifecycleState["Succeeded"] = "SUCCEEDED";
        LifecycleState["Canceling"] = "CANCELING";
        LifecycleState["Canceled"] = "CANCELED";
        LifecycleState["Deleted"] = "DELETED";
        LifecycleState["Skipped"] = "SKIPPED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleState = PipelineStepRun.LifecycleState || (PipelineStepRun.LifecycleState = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "stepType" in obj && obj.stepType) {
            switch (obj.stepType) {
                case "CONTAINER":
                    return model.PipelineContainerStepRun.getJsonObj(jsonObj, true);
                case "CUSTOM_SCRIPT":
                    return model.PipelineCustomScriptStepRun.getJsonObj(jsonObj, true);
                case "ML_JOB":
                    return model.PipelineMLJobStepRun.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.stepType}`);
            }
        }
        return jsonObj;
    }
    PipelineStepRun.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "stepType" in obj && obj.stepType) {
            switch (obj.stepType) {
                case "CONTAINER":
                    return model.PipelineContainerStepRun.getDeserializedJsonObj(jsonObj, true);
                case "CUSTOM_SCRIPT":
                    return model.PipelineCustomScriptStepRun.getDeserializedJsonObj(jsonObj, true);
                case "ML_JOB":
                    return model.PipelineMLJobStepRun.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.stepType}`);
            }
        }
        return jsonObj;
    }
    PipelineStepRun.getDeserializedJsonObj = getDeserializedJsonObj;
})(PipelineStepRun = exports.PipelineStepRun || (exports.PipelineStepRun = {}));
//# sourceMappingURL=pipeline-step-run.js.map