/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The scaling configuration for the predefined metric expression rule.
 *
 */
export interface PredefinedExpressionThresholdScalingConfiguration extends model.ScalingConfiguration {
    /**
     * A metric value at which the scaling operation will be triggered.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "threshold": number;
    "scalingConfigurationType": string;
}
export declare namespace PredefinedExpressionThresholdScalingConfiguration {
    function getJsonObj(obj: PredefinedExpressionThresholdScalingConfiguration, isParentJsonObj?: boolean): object;
    const scalingConfigurationType = "THRESHOLD";
    function getDeserializedJsonObj(obj: PredefinedExpressionThresholdScalingConfiguration, isParentJsonObj?: boolean): object;
}
