/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An expression built using CPU or Memory metrics for triggering an autoscaling action on the model deployment.
 *
 */
export interface PredefinedMetricExpressionRule extends model.MetricExpressionRule {
    /**
     * Metric type
     *
     */
    "metricType": PredefinedMetricExpressionRule.MetricType;
    "scaleInConfiguration": model.PredefinedExpressionThresholdScalingConfiguration;
    "scaleOutConfiguration": model.PredefinedExpressionThresholdScalingConfiguration;
    "metricExpressionRuleType": string;
}
export declare namespace PredefinedMetricExpressionRule {
    enum MetricType {
        CpuUtilization = "CPU_UTILIZATION",
        MemoryUtilization = "MEMORY_UTILIZATION",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: PredefinedMetricExpressionRule, isParentJsonObj?: boolean): object;
    const metricExpressionRuleType = "PREDEFINED_EXPRESSION";
    function getDeserializedJsonObj(obj: PredefinedMetricExpressionRule, isParentJsonObj?: boolean): object;
}
