"use strict";
/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PredefinedMetricExpressionRule = void 0;
const model = __importStar(require("../model"));
var PredefinedMetricExpressionRule;
(function (PredefinedMetricExpressionRule) {
    let MetricType;
    (function (MetricType) {
        MetricType["CpuUtilization"] = "CPU_UTILIZATION";
        MetricType["MemoryUtilization"] = "MEMORY_UTILIZATION";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        MetricType["UnknownValue"] = "UNKNOWN_VALUE";
    })(MetricType = PredefinedMetricExpressionRule.MetricType || (PredefinedMetricExpressionRule.MetricType = {}));
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.MetricExpressionRule.getJsonObj(obj))), {
            "scaleInConfiguration": obj.scaleInConfiguration
                ? model.PredefinedExpressionThresholdScalingConfiguration.getJsonObj(obj.scaleInConfiguration)
                : undefined,
            "scaleOutConfiguration": obj.scaleOutConfiguration
                ? model.PredefinedExpressionThresholdScalingConfiguration.getJsonObj(obj.scaleOutConfiguration)
                : undefined
        });
        return jsonObj;
    }
    PredefinedMetricExpressionRule.getJsonObj = getJsonObj;
    PredefinedMetricExpressionRule.metricExpressionRuleType = "PREDEFINED_EXPRESSION";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.MetricExpressionRule.getDeserializedJsonObj(obj))), {
            "scaleInConfiguration": obj.scaleInConfiguration
                ? model.PredefinedExpressionThresholdScalingConfiguration.getDeserializedJsonObj(obj.scaleInConfiguration)
                : undefined,
            "scaleOutConfiguration": obj.scaleOutConfiguration
                ? model.PredefinedExpressionThresholdScalingConfiguration.getDeserializedJsonObj(obj.scaleOutConfiguration)
                : undefined
        });
        return jsonObj;
    }
    PredefinedMetricExpressionRule.getDeserializedJsonObj = getDeserializedJsonObj;
})(PredefinedMetricExpressionRule = exports.PredefinedMetricExpressionRule || (exports.PredefinedMetricExpressionRule = {}));
//# sourceMappingURL=predefined-metric-expression-rule.js.map