/**
 * Secure Desktops API
 * Create and manage cloud-hosted desktops which can be accessed from a web browser or installed client.

 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides information about a desktop within a desktop pool, such as if it is assigned to a user, the state, owner, desktop pool, resource id, and time created.
 *
 */
export interface DesktopPoolDesktopSummary {
    /**
     * The state of the desktop.
     */
    "lifecycleState": model.LifecycleState;
    /**
     * The OCID of the compute resource used by this desktop.
     */
    "instanceId": string;
    /**
     * The owner of the desktop.
     */
    "userName"?: string;
    /**
     * The OCID of the desktop.
     */
    "desktopId": string;
    /**
     * Indicates whether the desktop is assigned to a user.
     */
    "isAssigned": boolean;
    /**
     * The date and time the resource was created.
     */
    "timeCreated": Date;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace DesktopPoolDesktopSummary {
    function getJsonObj(obj: DesktopPoolDesktopSummary): object;
    function getDeserializedJsonObj(obj: DesktopPoolDesktopSummary): object;
}
