/**
 * Secure Desktops API
 * Create and manage cloud-hosted desktops which can be accessed from a web browser or installed client.

 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides information about a volume within the desktop pool.
 */
export interface DesktopPoolVolumeSummary {
    /**
     * The OCID of the desktop pool volume.
     */
    "id": string;
    /**
     * The name of the desktop pool volume.
     */
    "name": string;
    /**
     * The state of the desktop pool volume.
     */
    "lifecycleState": DesktopPoolVolumeSummary.LifecycleState;
    /**
     * The owner of the desktop pool volume.
     */
    "userName": string;
    /**
     * The OCID of the desktop pool to which this volume belongs.
     */
    "poolId"?: string;
    /**
     * The availability domain of the desktop pool.
     */
    "availabilityDomain": string;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace DesktopPoolVolumeSummary {
    enum LifecycleState {
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DesktopPoolVolumeSummary): object;
    function getDeserializedJsonObj(obj: DesktopPoolVolumeSummary): object;
}
