/**
 *
 *
 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/desktops/ListWorkRequests.ts.html |here} to see how to use ListWorkRequestsRequest.
 */
export interface ListWorkRequestsRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment of the desktop pool.
     */
    "compartmentId": string;
    /**
     * The ID of the asynchronous work request.
     */
    "workRequestId"?: string;
    /**
     * A filter to return only resources their lifecycleState matches the given OperationStatus.
     */
    "status"?: model.OperationStatus;
    /**
     * The ID of the resource affected by the work request.
     */
    "resourceId"?: string;
    /**
     * The unique identifier of the request.
     */
    "opcRequestId"?: string;
    /**
     * For list pagination.
     */
    "page"?: string;
    /**
     * The maximum number of results to return.
     */
    "limit"?: number;
    /**
     * A field to indicate the sort order.
     */
    "sortOrder"?: ListWorkRequestsRequest.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending.
     *
     */
    "sortBy"?: ListWorkRequestsRequest.SortBy;
}
export declare namespace ListWorkRequestsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        TimeAccepted = "timeAccepted"
    }
}
