/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { DevopsClient } from "./client";
export declare class DevopsWaiter {
    private client;
    private readonly config?;
    constructor(client: DevopsClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forBuildPipeline till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetBuildPipelineResponse | null (null in case of 404 response)
     */
    forBuildPipeline(request: serviceRequests.GetBuildPipelineRequest, ...targetStates: models.BuildPipeline.LifecycleState[]): Promise<serviceResponses.GetBuildPipelineResponse | null>;
    /**
     * Waits forBuildPipelineStage till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetBuildPipelineStageResponse | null (null in case of 404 response)
     */
    forBuildPipelineStage(request: serviceRequests.GetBuildPipelineStageRequest, ...targetStates: models.BuildPipelineStage.LifecycleState[]): Promise<serviceResponses.GetBuildPipelineStageResponse | null>;
    /**
     * Waits forBuildRun till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetBuildRunResponse
     */
    forBuildRun(request: serviceRequests.GetBuildRunRequest, ...targetStates: models.BuildRun.LifecycleState[]): Promise<serviceResponses.GetBuildRunResponse>;
    /**
     * Waits forConnection till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetConnectionResponse
     */
    forConnection(request: serviceRequests.GetConnectionRequest, ...targetStates: models.Connection.LifecycleState[]): Promise<serviceResponses.GetConnectionResponse>;
    /**
     * Waits forDeployArtifact till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDeployArtifactResponse | null (null in case of 404 response)
     */
    forDeployArtifact(request: serviceRequests.GetDeployArtifactRequest, ...targetStates: models.DeployArtifact.LifecycleState[]): Promise<serviceResponses.GetDeployArtifactResponse | null>;
    /**
     * Waits forDeployEnvironment till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDeployEnvironmentResponse | null (null in case of 404 response)
     */
    forDeployEnvironment(request: serviceRequests.GetDeployEnvironmentRequest, ...targetStates: models.DeployEnvironment.LifecycleState[]): Promise<serviceResponses.GetDeployEnvironmentResponse | null>;
    /**
     * Waits forDeployPipeline till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDeployPipelineResponse | null (null in case of 404 response)
     */
    forDeployPipeline(request: serviceRequests.GetDeployPipelineRequest, ...targetStates: models.DeployPipeline.LifecycleState[]): Promise<serviceResponses.GetDeployPipelineResponse | null>;
    /**
     * Waits forDeployStage till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDeployStageResponse | null (null in case of 404 response)
     */
    forDeployStage(request: serviceRequests.GetDeployStageRequest, ...targetStates: models.DeployStage.LifecycleState[]): Promise<serviceResponses.GetDeployStageResponse | null>;
    /**
     * Waits forDeployment till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetDeploymentResponse
     */
    forDeployment(request: serviceRequests.GetDeploymentRequest, ...targetStates: models.Deployment.LifecycleState[]): Promise<serviceResponses.GetDeploymentResponse>;
    /**
     * Waits forProject till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetProjectResponse | null (null in case of 404 response)
     */
    forProject(request: serviceRequests.GetProjectRequest, ...targetStates: models.Project.LifecycleState[]): Promise<serviceResponses.GetProjectResponse | null>;
    /**
     * Waits forRepository till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetRepositoryResponse | null (null in case of 404 response)
     */
    forRepository(request: serviceRequests.GetRepositoryRequest, ...targetStates: models.Repository.LifecycleState[]): Promise<serviceResponses.GetRepositoryResponse | null>;
    /**
     * Waits forTrigger till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetTriggerResponse
     */
    forTrigger(request: serviceRequests.GetTriggerRequest, ...targetStates: models.Trigger.LifecycleState[]): Promise<serviceResponses.GetTriggerResponse>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
