/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Parameter name for which the values will be supplied at the time of running the build.
 */
export interface BuildPipelineParameter {
    /**
     * Name of the parameter (case-sensitive). Parameter name must be ^[a-zA-Z][a-zA-Z_0-9]*$.
     * Example: 'Build_Pipeline_param' is not same as 'build_pipeline_Param'
     *
     */
    "name": string;
    /**
     * Default value of the parameter.
     */
    "defaultValue": string;
    /**
     * Description of the parameter.
     */
    "description"?: string;
}
export declare namespace BuildPipelineParameter {
    function getJsonObj(obj: BuildPipelineParameter): object;
    function getDeserializedJsonObj(obj: BuildPipelineParameter): object;
}
