/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the instance group canary deployment load balancer traffic shift stage.
 */
export interface ComputeInstanceGroupCanaryTrafficShiftDeployStage extends model.DeployStage {
    /**
     * The OCID of an upstream compute instance group canary deployment stage ID in this pipeline.
     */
    "computeInstanceGroupCanaryDeployStageId": string;
    "rolloutPolicy": model.LoadBalancerTrafficShiftRolloutPolicy;
    "deployStageType": string;
}
export declare namespace ComputeInstanceGroupCanaryTrafficShiftDeployStage {
    function getJsonObj(obj: ComputeInstanceGroupCanaryTrafficShiftDeployStage, isParentJsonObj?: boolean): object;
    const deployStageType = "COMPUTE_INSTANCE_GROUP_CANARY_TRAFFIC_SHIFT";
    function getDeserializedJsonObj(obj: ComputeInstanceGroupCanaryTrafficShiftDeployStage, isParentJsonObj?: boolean): object;
}
