/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies a failure policy by percentage for a compute instance group rolling deployment stage.
 */
export interface ComputeInstanceGroupFailurePolicyByPercentage extends model.ComputeInstanceGroupFailurePolicy {
    /**
     * The failure percentage threshold, which when reached or exceeded sets the stage as Failed. Percentage is computed as the ceiling value of the number of failed instances over the total count of the instances in the group. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "failurePercentage": number;
    "policyType": string;
}
export declare namespace ComputeInstanceGroupFailurePolicyByPercentage {
    function getJsonObj(obj: ComputeInstanceGroupFailurePolicyByPercentage, isParentJsonObj?: boolean): object;
    const policyType = "COMPUTE_INSTANCE_GROUP_FAILURE_POLICY_BY_PERCENTAGE";
    function getDeserializedJsonObj(obj: ComputeInstanceGroupFailurePolicyByPercentage, isParentJsonObj?: boolean): object;
}
