"use strict";
/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectionSummary = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var ConnectionSummary;
(function (ConnectionSummary) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "lastConnectionValidationResult": obj.lastConnectionValidationResult
                ? model.ConnectionValidationResult.getJsonObj(obj.lastConnectionValidationResult)
                : undefined
        });
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "BITBUCKET_CLOUD_APP_PASSWORD":
                    return model.BitbucketCloudAppPasswordConnectionSummary.getJsonObj(jsonObj, true);
                case "VBS_ACCESS_TOKEN":
                    return model.VbsAccessTokenConnectionSummary.getJsonObj(jsonObj, true);
                case "GITHUB_ACCESS_TOKEN":
                    return model.GithubAccessTokenConnectionSummary.getJsonObj(jsonObj, true);
                case "GITLAB_ACCESS_TOKEN":
                    return model.GitlabAccessTokenConnectionSummary.getJsonObj(jsonObj, true);
                case "BITBUCKET_SERVER_ACCESS_TOKEN":
                    return model.BitbucketServerTokenConnectionSummary.getJsonObj(jsonObj, true);
                case "GITLAB_SERVER_ACCESS_TOKEN":
                    return model.GitlabServerAccessTokenConnectionSummary.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    ConnectionSummary.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "lastConnectionValidationResult": obj.lastConnectionValidationResult
                ? model.ConnectionValidationResult.getDeserializedJsonObj(obj.lastConnectionValidationResult)
                : undefined
        });
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "BITBUCKET_CLOUD_APP_PASSWORD":
                    return model.BitbucketCloudAppPasswordConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "VBS_ACCESS_TOKEN":
                    return model.VbsAccessTokenConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "GITHUB_ACCESS_TOKEN":
                    return model.GithubAccessTokenConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "GITLAB_ACCESS_TOKEN":
                    return model.GitlabAccessTokenConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "BITBUCKET_SERVER_ACCESS_TOKEN":
                    return model.BitbucketServerTokenConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                case "GITLAB_SERVER_ACCESS_TOKEN":
                    return model.GitlabServerAccessTokenConnectionSummary.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    ConnectionSummary.getDeserializedJsonObj = getDeserializedJsonObj;
})(ConnectionSummary = exports.ConnectionSummary || (exports.ConnectionSummary = {}));
//# sourceMappingURL=connection-summary.js.map