/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of a new deployment to be created that will run a single stage of the pipeline.
 */
export interface CreateSingleDeployStageDeploymentDetails extends model.CreateDeploymentDetails {
    /**
     * Specifies the OCID of the stage to be redeployed.
     */
    "deployStageId": string;
    "deploymentArguments"?: model.DeploymentArgumentCollection;
    "deployStageOverrideArguments"?: model.DeployStageOverrideArgumentCollection;
    "deployArtifactOverrideArguments"?: model.DeployArtifactOverrideArgumentCollection;
    "deploymentType": string;
}
export declare namespace CreateSingleDeployStageDeploymentDetails {
    function getJsonObj(obj: CreateSingleDeployStageDeploymentDetails, isParentJsonObj?: boolean): object;
    const deploymentType = "SINGLE_STAGE_DEPLOYMENT";
    function getDeserializedJsonObj(obj: CreateSingleDeployStageDeploymentDetails, isParentJsonObj?: boolean): object;
}
