/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about stage execution for each target environment.
 */
export interface DeployStageExecutionProgressDetails {
    /**
     * The function ID, instance ID or the cluster ID. For Wait stage it will be the stage ID.
     */
    "targetId"?: string;
    /**
     * Group for the target environment for example, the batch number for an Instance Group deployment.
     */
    "targetGroup"?: string;
    /**
     * Details about all the steps for one target environment.
     */
    "steps"?: Array<model.DeployStageExecutionStep>;
    /**
     * Details about all the rollback steps for one target environment.
     */
    "rollbackSteps"?: Array<model.DeployStageExecutionStep>;
}
export declare namespace DeployStageExecutionProgressDetails {
    function getJsonObj(obj: DeployStageExecutionProgressDetails): object;
    function getDeserializedJsonObj(obj: DeployStageExecutionProgressDetails): object;
}
