/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about the execution progress of a stage in a deployment.
 */
export interface DeployStageExecutionProgress {
    /**
     * Stage display name. Avoid entering confidential information.
     */
    "deployStageDisplayName"?: string;
    /**
     * The OCID of the stage.
     */
    "deployStageId"?: string;
    /**
     * Time the stage started executing. Format defined by [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339).
     */
    "timeStarted"?: Date;
    /**
     * Time the stage finished executing. Format defined by [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339).
     */
    "timeFinished"?: Date;
    /**
     * The current state of the stage.
     */
    "status"?: DeployStageExecutionProgress.Status;
    "deployStagePredecessors"?: model.DeployStagePredecessorCollection;
    /**
     * Details about stage execution for all the target environments.
     */
    "deployStageExecutionProgressDetails"?: Array<model.DeployStageExecutionProgressDetails>;
    "deployStageType": string;
}
export declare namespace DeployStageExecutionProgress {
    enum Status {
        Accepted = "ACCEPTED",
        InProgress = "IN_PROGRESS",
        Failed = "FAILED",
        Succeeded = "SUCCEEDED",
        Canceling = "CANCELING",
        Canceled = "CANCELED",
        RollbackInProgress = "ROLLBACK_IN_PROGRESS",
        RollbackSucceeded = "ROLLBACK_SUCCEEDED",
        RollbackFailed = "ROLLBACK_FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DeployStageExecutionProgress): object;
    function getDeserializedJsonObj(obj: DeployStageExecutionProgress): object;
}
