/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies details of build run through DevOps code repository.
 */
export interface DevopsCodeRepositoryBuildRunSource extends model.BuildRunSource {
    /**
     * The trigger that invoked the build run.
     */
    "triggerId": string;
    "triggerInfo": model.TriggerInfo;
    /**
     * The DevOps code repository identifier that invoked the build run.
     */
    "repositoryId": string;
    "sourceType": string;
}
export declare namespace DevopsCodeRepositoryBuildRunSource {
    function getJsonObj(obj: DevopsCodeRepositoryBuildRunSource, isParentJsonObj?: boolean): object;
    const sourceType = "DEVOPS_CODE_REPOSITORY";
    function getDeserializedJsonObj(obj: DevopsCodeRepositoryBuildRunSource, isParentJsonObj?: boolean): object;
}
