/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details about a line within the difference.
 */
export interface DiffLineDetails {
    /**
     * The number of a line in the base version. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "baseLine"?: number;
    /**
     * The number of a line in the target version. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "targetLine"?: number;
    /**
     * The contents of a line.
     */
    "lineContent"?: string;
    /**
     * Indicates whether a line in a conflicted section of the difference is from the base version, the target version, or if its just a marker indicating the beginning, middle, or end of a conflicted section.
     */
    "conflictMarker"?: DiffLineDetails.ConflictMarker;
}
export declare namespace DiffLineDetails {
    enum ConflictMarker {
        Base = "BASE",
        Target = "TARGET",
        Marker = "MARKER",
        None = "NONE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DiffLineDetails): object;
    function getDeserializedJsonObj(obj: DiffLineDetails): object;
}
