/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Entry for description of change on a file.
 */
export interface DiffResponseEntry {
    /**
     * Type of change made to file.
     */
    "changeType": string;
    /**
     * The type of the changed object.
     */
    "objectType"?: string;
    /**
     * The ID of the commit where the change is coming from.
     */
    "commitId"?: string;
    /**
     * The path on the target to the changed object.
     */
    "oldPath"?: string;
    /**
     * The path on the source to the changed object.
     */
    "newPath"?: string;
    /**
     * The ID of the changed object on the target.
     */
    "oldId"?: string;
    /**
     * The ID of the changed object on the source.
     */
    "newId"?: string;
    /**
     * The URL of the changed object.
     */
    "url"?: string;
    /**
     * The number of lines added in whole difference. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "addedLinesCount"?: number;
    /**
     * The number of lines deleted in whole difference. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "deletedLinesCount"?: number;
    /**
     * Indicates whether the changed file contains conflicts.
     */
    "areConflictsInFile"?: boolean;
}
export declare namespace DiffResponseEntry {
    function getJsonObj(obj: DiffResponseEntry): object;
    function getDeserializedJsonObj(obj: DiffResponseEntry): object;
}
