/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the generic artifacts delivered through the Deliver Artifacts stage.
 */
export interface GenericDeliveredArtifact extends model.DeliveredArtifact {
    /**
     * The OCID of the artifact registry repository used by the DeliverArtifactStage
     */
    "artifactRepositoryId"?: string;
    /**
     * The OCID of the artifact pushed by the Deliver Artifacts stage.
     */
    "deliveredArtifactId": string;
    /**
     * Path of the repository where artifact was pushed
     */
    "path"?: string;
    /**
     * Version of the artifact pushed
     */
    "version"?: string;
    "artifactType": string;
}
export declare namespace GenericDeliveredArtifact {
    function getJsonObj(obj: GenericDeliveredArtifact, isParentJsonObj?: boolean): object;
    const artifactType = "GENERIC_ARTIFACT";
    function getDeserializedJsonObj(obj: GenericDeliveredArtifact, isParentJsonObj?: boolean): object;
}
