/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies Helm command spec details
 */
export interface HelmCommandSpecArtifactSource extends model.DeployArtifactSource {
    /**
     * The Helm commands to be executed, base 64 encoded
     */
    "base64EncodedContent": string;
    /**
     * Specifies types of artifact sources.
     */
    "helmArtifactSourceType": HelmCommandSpecArtifactSource.HelmArtifactSourceType;
    "deployArtifactSourceType": string;
}
export declare namespace HelmCommandSpecArtifactSource {
    enum HelmArtifactSourceType {
        Inline = "INLINE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: HelmCommandSpecArtifactSource, isParentJsonObj?: boolean): object;
    const deployArtifactSourceType = "HELM_COMMAND_SPEC";
    function getDeserializedJsonObj(obj: HelmCommandSpecArtifactSource, isParentJsonObj?: boolean): object;
}
