/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Specifies configuration for load balancer traffic shift stages.
 * The load balancer specified here should be an Application load balancer type.
 * Network load balancers are not supported.
 *
 */
export interface LoadBalancerConfig {
    /**
     * The OCID of the load balancer.
     */
    "loadBalancerId": string;
    /**
     * Name of the load balancer listener.
     */
    "listenerName": string;
    /**
     * Listen port for the backend server. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "backendPort"?: number;
}
export declare namespace LoadBalancerConfig {
    function getJsonObj(obj: LoadBalancerConfig): object;
    function getDeserializedJsonObj(obj: LoadBalancerConfig): object;
}
