/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies load balancer traffic shift stage.
 */
export interface LoadBalancerTrafficShiftDeployStage extends model.DeployStage {
    "blueBackendIps": model.BackendSetIpCollection;
    "greenBackendIps": model.BackendSetIpCollection;
    /**
     * Specifies the target or destination backend set. Example: BLUE - Traffic from the existing backends of managed Load Balance Listener to blue Backend IPs, as per rolloutPolicy. GREEN - Traffic from the existing backends of managed Load Balance Listener to green Backend IPs as per rolloutPolicy.
     */
    "trafficShiftTarget": LoadBalancerTrafficShiftDeployStage.TrafficShiftTarget;
    "rolloutPolicy": model.LoadBalancerTrafficShiftRolloutPolicy;
    "loadBalancerConfig": model.LoadBalancerConfig;
    "rollbackPolicy"?: model.NoDeployStageRollbackPolicy | model.AutomatedDeployStageRollbackPolicy;
    "deployStageType": string;
}
export declare namespace LoadBalancerTrafficShiftDeployStage {
    enum TrafficShiftTarget {
        AutoSelect = "AUTO_SELECT",
        Blue = "BLUE",
        Green = "GREEN",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: LoadBalancerTrafficShiftDeployStage, isParentJsonObj?: boolean): object;
    const deployStageType = "LOAD_BALANCER_TRAFFIC_SHIFT";
    function getDeserializedJsonObj(obj: LoadBalancerTrafficShiftDeployStage, isParentJsonObj?: boolean): object;
}
