/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the NGINX canary release strategy.
 */
export interface NginxCanaryStrategy extends model.OkeCanaryStrategy {
    /**
     * Canary namespace to be used for Kubernetes canary deployment. Example: canary - Name of the Canary namespace.
     */
    "namespace": string;
    /**
     * Name of the Ingress resource.
     */
    "ingressName": string;
    "strategyType": string;
}
export declare namespace NginxCanaryStrategy {
    function getJsonObj(obj: NginxCanaryStrategy, isParentJsonObj?: boolean): object;
    const strategyType = "NGINX_CANARY_STRATEGY";
    function getDeserializedJsonObj(obj: NginxCanaryStrategy, isParentJsonObj?: boolean): object;
}
