/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the Container Engine for Kubernetes (OKE) cluster Blue-Green deployment stage.
 */
export interface OkeBlueGreenDeployStageExecutionProgress extends model.DeployStageExecutionProgress {
    /**
     * Namespace either environment A or environment B where artifacts are deployed. Example:  blue - Name of the namespace where blue artifacts were deployed. green - Name of the namespace where green artifacts were deployed.
     */
    "namespace"?: string;
    "deployStageType": string;
}
export declare namespace OkeBlueGreenDeployStageExecutionProgress {
    function getJsonObj(obj: OkeBlueGreenDeployStageExecutionProgress, isParentJsonObj?: boolean): object;
    const deployStageType = "OKE_BLUE_GREEN_DEPLOYMENT";
    function getDeserializedJsonObj(obj: OkeBlueGreenDeployStageExecutionProgress, isParentJsonObj?: boolean): object;
}
