/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the Container Engine for Kubernetes (OKE) cluster canary deployment traffic shift stage.
 */
export interface OkeCanaryTrafficShiftDeployStage extends model.DeployStage {
    /**
     * The OCID of an upstream OKE canary deployment stage in this pipeline.
     */
    "okeCanaryDeployStageId": string;
    "rolloutPolicy": model.LoadBalancerTrafficShiftRolloutPolicy;
    "deployStageType": string;
}
export declare namespace OkeCanaryTrafficShiftDeployStage {
    function getJsonObj(obj: OkeCanaryTrafficShiftDeployStage, isParentJsonObj?: boolean): object;
    const deployStageType = "OKE_CANARY_TRAFFIC_SHIFT";
    function getDeserializedJsonObj(obj: OkeCanaryTrafficShiftDeployStage, isParentJsonObj?: boolean): object;
}
