"use strict";
/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperationType = void 0;
/**
 * Possible operation types.
 **/
var OperationType;
(function (OperationType) {
    OperationType["CreateProject"] = "CREATE_PROJECT";
    OperationType["UpdateProject"] = "UPDATE_PROJECT";
    OperationType["DeleteProject"] = "DELETE_PROJECT";
    OperationType["MoveProject"] = "MOVE_PROJECT";
    OperationType["CreateDeployPipeline"] = "CREATE_DEPLOY_PIPELINE";
    OperationType["UpdateDeployPipeline"] = "UPDATE_DEPLOY_PIPELINE";
    OperationType["DeleteDeployPipeline"] = "DELETE_DEPLOY_PIPELINE";
    OperationType["CreateDeployStage"] = "CREATE_DEPLOY_STAGE";
    OperationType["UpdateDeployStage"] = "UPDATE_DEPLOY_STAGE";
    OperationType["DeleteDeployStage"] = "DELETE_DEPLOY_STAGE";
    OperationType["CreateDeployArtifact"] = "CREATE_DEPLOY_ARTIFACT";
    OperationType["UpdateDeployArtifact"] = "UPDATE_DEPLOY_ARTIFACT";
    OperationType["DeleteDeployArtifact"] = "DELETE_DEPLOY_ARTIFACT";
    OperationType["CreateDeployEnvironment"] = "CREATE_DEPLOY_ENVIRONMENT";
    OperationType["UpdateDeployEnvironment"] = "UPDATE_DEPLOY_ENVIRONMENT";
    OperationType["DeleteDeployEnvironment"] = "DELETE_DEPLOY_ENVIRONMENT";
    OperationType["CreateDeployment"] = "CREATE_DEPLOYMENT";
    OperationType["UpdateDeployment"] = "UPDATE_DEPLOYMENT";
    OperationType["DeleteDeployment"] = "DELETE_DEPLOYMENT";
    OperationType["CreateBuildPipeline"] = "CREATE_BUILD_PIPELINE";
    OperationType["UpdateBuildPipeline"] = "UPDATE_BUILD_PIPELINE";
    OperationType["DeleteBuildPipeline"] = "DELETE_BUILD_PIPELINE";
    OperationType["CreateBuildPipelineStage"] = "CREATE_BUILD_PIPELINE_STAGE";
    OperationType["UpdateBuildPipelineStage"] = "UPDATE_BUILD_PIPELINE_STAGE";
    OperationType["DeleteBuildPipelineStage"] = "DELETE_BUILD_PIPELINE_STAGE";
    OperationType["CreateConnection"] = "CREATE_CONNECTION";
    OperationType["UpdateConnection"] = "UPDATE_CONNECTION";
    OperationType["DeleteConnection"] = "DELETE_CONNECTION";
    OperationType["CreateTrigger"] = "CREATE_TRIGGER";
    OperationType["UpdateTrigger"] = "UPDATE_TRIGGER";
    OperationType["DeleteTrigger"] = "DELETE_TRIGGER";
    OperationType["ExecuteTrigger"] = "EXECUTE_TRIGGER";
    OperationType["CreateRepository"] = "CREATE_REPOSITORY";
    OperationType["UpdateRepository"] = "UPDATE_REPOSITORY";
    OperationType["DeleteRepository"] = "DELETE_REPOSITORY";
    OperationType["MirrorRepository"] = "MIRROR_REPOSITORY";
    OperationType["ScheduleCascadingProjectDeletion"] = "SCHEDULE_CASCADING_PROJECT_DELETION";
    OperationType["CancelScheduledCascadingProjectDeletion"] = "CANCEL_SCHEDULED_CASCADING_PROJECT_DELETION";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    OperationType["UnknownValue"] = "UNKNOWN_VALUE";
})(OperationType = exports.OperationType || (exports.OperationType = {}));
(function (OperationType) {
    function getJsonObj(obj) {
        return obj;
    }
    OperationType.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    OperationType.getDeserializedJsonObj = getDeserializedJsonObj;
})(OperationType = exports.OperationType || (exports.OperationType = {}));
//# sourceMappingURL=operation-type.js.map