/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for associating a DR protection group with a peer DR protection group.
 */
export interface AssociateDrProtectionGroupDetails {
    /**
      * The OCID of the peer DR protection group.
  * <p>
  Example: {@code ocid1.drprotectiongroup.oc1..uniqueID}
  *
      */
    "peerId"?: string;
    /**
      * The region of the peer DR protection group.
  * <p>
  Example: {@code us-ashburn-1}
  *
      */
    "peerRegion"?: string;
    /**
      * The role of the DR protection group.
  * <p>
  Example: {@code STANDBY}
  *
      */
    "role": model.DrProtectionGroupRole;
}
export declare namespace AssociateDrProtectionGroupDetails {
    function getJsonObj(obj: AssociateDrProtectionGroupDetails): object;
    function getDeserializedJsonObj(obj: AssociateDrProtectionGroupDetails): object;
}
