/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for creating a DR protection group.
 */
export interface CreateDrProtectionGroupDetails {
    /**
      * The OCID of the compartment in which to create the DR protection group.
  * <p>
  Example: {@code ocid1.compartment.oc1..uniqueID}
  *
      */
    "compartmentId": string;
    /**
      * The display name of the DR protection group.
  * <p>
  Example: {@code EBS PHX Group}
  *
      */
    "displayName": string;
    "logLocation": model.CreateObjectStorageLogLocationDetails;
    "association"?: model.AssociateDrProtectionGroupDetails;
    /**
     * A list of DR protection group members.
     *
     */
    "members"?: Array<model.CreateDrProtectionGroupMemberDetails>;
    /**
      * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace.
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateDrProtectionGroupDetails {
    function getJsonObj(obj: CreateDrProtectionGroupDetails): object;
    function getDeserializedJsonObj(obj: CreateDrProtectionGroupDetails): object;
}
