/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Create properties for a load balancer member.
 */
export interface CreateDrProtectionGroupMemberLoadBalancerDetails extends model.CreateDrProtectionGroupMemberDetails {
    /**
      * The OCID of the destination load balancer.
  * <p>
  Example: {@code ocid1.loadbalancer.oc1..uniqueID}
  *
      */
    "destinationLoadBalancerId"?: string;
    /**
     * A list of backend set mappings that are used to transfer or update backends during DR.
     *
     */
    "backendSetMappings"?: Array<model.LoadBalancerBackendSetMappingDetails>;
    "memberType": string;
}
export declare namespace CreateDrProtectionGroupMemberLoadBalancerDetails {
    function getJsonObj(obj: CreateDrProtectionGroupMemberLoadBalancerDetails, isParentJsonObj?: boolean): object;
    const memberType = "LOAD_BALANCER";
    function getDeserializedJsonObj(obj: CreateDrProtectionGroupMemberLoadBalancerDetails, isParentJsonObj?: boolean): object;
}
