"use strict";
/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrPlanGroupType = void 0;
/**
 * The types of groups in a DR plan.
 * - USER_DEFINED - DR plan group whose contents are defined by the user.
 * - BUILT_IN - DR plan group whose contents are pre-defined by the service.  These groups cannot be modified by the user.
 * - BUILT_IN_PRECHECK - DR plan precheck group whose contents are pre-defined by the service. These groups cannot be modified by the user.
 * - USER_DEFINED_PAUSE - DR plan user-defined pause group.
 *
 **/
var DrPlanGroupType;
(function (DrPlanGroupType) {
    DrPlanGroupType["UserDefined"] = "USER_DEFINED";
    DrPlanGroupType["BuiltIn"] = "BUILT_IN";
    DrPlanGroupType["BuiltInPrecheck"] = "BUILT_IN_PRECHECK";
    DrPlanGroupType["UserDefinedPause"] = "USER_DEFINED_PAUSE";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    DrPlanGroupType["UnknownValue"] = "UNKNOWN_VALUE";
})(DrPlanGroupType = exports.DrPlanGroupType || (exports.DrPlanGroupType = {}));
(function (DrPlanGroupType) {
    function getJsonObj(obj) {
        return obj;
    }
    DrPlanGroupType.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    DrPlanGroupType.getDeserializedJsonObj = getDeserializedJsonObj;
})(DrPlanGroupType = exports.DrPlanGroupType || (exports.DrPlanGroupType = {}));
//# sourceMappingURL=dr-plan-group-type.js.map