/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of a group in a DR plan.
 */
export interface DrPlanGroup {
    /**
      * The unique id of the group. Must not be modified by user.
  * <p>
  Example: {@code sgid1.group..uniqueID}
  *
      */
    "id": string;
    /**
      * The group type.
  * <p>
  Example: {@code BUILT_IN}
  *
      */
    "type": model.DrPlanGroupType;
    /**
      * The display name of the group.
  * <p>
  Example: {@code DATABASE_SWITCHOVER}
  *
      */
    "displayName": string;
    /**
      * A flag indicating whether this group should be enabled for execution.
  * This flag is only applicable to the {@code USER_DEFINED_PAUSE} group. The flag should be null for the remaining group types.
  * <p>
  Example: {@code true}
  *
      */
    "isPauseEnabled"?: boolean;
    /**
     * The list of steps in the group.
     *
     */
    "steps": Array<model.DrPlanStep>;
}
export declare namespace DrPlanGroup {
    function getJsonObj(obj: DrPlanGroup): object;
    function getDeserializedJsonObj(obj: DrPlanGroup): object;
}
