"use strict";
/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrPlanStepType = void 0;
/**
 * The types of steps in a DR plan.
 *
 **/
var DrPlanStepType;
(function (DrPlanStepType) {
    DrPlanStepType["ComputeInstanceStopPrecheck"] = "COMPUTE_INSTANCE_STOP_PRECHECK";
    DrPlanStepType["ComputeInstanceLaunchPrecheck"] = "COMPUTE_INSTANCE_LAUNCH_PRECHECK";
    DrPlanStepType["ComputeInstanceTerminatePrecheck"] = "COMPUTE_INSTANCE_TERMINATE_PRECHECK";
    DrPlanStepType["ComputeInstanceRemovePrecheck"] = "COMPUTE_INSTANCE_REMOVE_PRECHECK";
    DrPlanStepType["VolumeGroupRestoreSwitchoverPrecheck"] = "VOLUME_GROUP_RESTORE_SWITCHOVER_PRECHECK";
    DrPlanStepType["VolumeGroupRestoreFailoverPrecheck"] = "VOLUME_GROUP_RESTORE_FAILOVER_PRECHECK";
    DrPlanStepType["DatabaseSwitchoverPrecheck"] = "DATABASE_SWITCHOVER_PRECHECK";
    DrPlanStepType["DatabaseFailoverPrecheck"] = "DATABASE_FAILOVER_PRECHECK";
    DrPlanStepType["AutonomousDatabaseSwitchoverPrecheck"] = "AUTONOMOUS_DATABASE_SWITCHOVER_PRECHECK";
    DrPlanStepType["AutonomousDatabaseFailoverPrecheck"] = "AUTONOMOUS_DATABASE_FAILOVER_PRECHECK";
    DrPlanStepType["UserDefinedPrecheck"] = "USER_DEFINED_PRECHECK";
    DrPlanStepType["ComputeInstanceLaunch"] = "COMPUTE_INSTANCE_LAUNCH";
    DrPlanStepType["ComputeInstanceStop"] = "COMPUTE_INSTANCE_STOP";
    DrPlanStepType["ComputeInstanceTerminate"] = "COMPUTE_INSTANCE_TERMINATE";
    DrPlanStepType["ComputeInstanceRemove"] = "COMPUTE_INSTANCE_REMOVE";
    DrPlanStepType["DatabaseSwitchover"] = "DATABASE_SWITCHOVER";
    DrPlanStepType["DatabaseFailover"] = "DATABASE_FAILOVER";
    DrPlanStepType["AutonomousDatabaseSwitchover"] = "AUTONOMOUS_DATABASE_SWITCHOVER";
    DrPlanStepType["AutonomousDatabaseFailover"] = "AUTONOMOUS_DATABASE_FAILOVER";
    DrPlanStepType["VolumeGroupRestoreSwitchover"] = "VOLUME_GROUP_RESTORE_SWITCHOVER";
    DrPlanStepType["VolumeGroupRestoreFailover"] = "VOLUME_GROUP_RESTORE_FAILOVER";
    DrPlanStepType["VolumeGroupReverse"] = "VOLUME_GROUP_REVERSE";
    DrPlanStepType["VolumeGroupDelete"] = "VOLUME_GROUP_DELETE";
    DrPlanStepType["VolumeGroupRemove"] = "VOLUME_GROUP_REMOVE";
    DrPlanStepType["VolumeGroupTerminate"] = "VOLUME_GROUP_TERMINATE";
    DrPlanStepType["UserDefined"] = "USER_DEFINED";
    DrPlanStepType["VolumeGroupRestoreStartDrillPrecheck"] = "VOLUME_GROUP_RESTORE_START_DRILL_PRECHECK";
    DrPlanStepType["VolumeGroupRemovePrecheck"] = "VOLUME_GROUP_REMOVE_PRECHECK";
    DrPlanStepType["VolumeGroupTerminatePrecheck"] = "VOLUME_GROUP_TERMINATE_PRECHECK";
    DrPlanStepType["VolumeGroupRestoreStartDrill"] = "VOLUME_GROUP_RESTORE_START_DRILL";
    DrPlanStepType["AutonomousDatabaseCreateClonePrecheck"] = "AUTONOMOUS_DATABASE_CREATE_CLONE_PRECHECK";
    DrPlanStepType["AutonomousDatabaseDeleteClonePrecheck"] = "AUTONOMOUS_DATABASE_DELETE_CLONE_PRECHECK";
    DrPlanStepType["LoadBalancerUpdatePrimaryBackendSetPrecheck"] = "LOAD_BALANCER_UPDATE_PRIMARY_BACKEND_SET_PRECHECK";
    DrPlanStepType["LoadBalancerUpdateStandbyBackendSetPrecheck"] = "LOAD_BALANCER_UPDATE_STANDBY_BACKEND_SET_PRECHECK";
    DrPlanStepType["FileSystemSwitchoverPrecheck"] = "FILE_SYSTEM_SWITCHOVER_PRECHECK";
    DrPlanStepType["FileSystemFailoverPrecheck"] = "FILE_SYSTEM_FAILOVER_PRECHECK";
    DrPlanStepType["FileSystemStartDrillPrecheck"] = "FILE_SYSTEM_START_DRILL_PRECHECK";
    DrPlanStepType["FileSystemStopDrillPrecheck"] = "FILE_SYSTEM_STOP_DRILL_PRECHECK";
    DrPlanStepType["FileSystemRemovePrecheck"] = "FILE_SYSTEM_REMOVE_PRECHECK";
    DrPlanStepType["FileSystemTerminatePrecheck"] = "FILE_SYSTEM_TERMINATE_PRECHECK";
    DrPlanStepType["FileSystemMountPrecheck"] = "FILE_SYSTEM_MOUNT_PRECHECK";
    DrPlanStepType["FileSystemUnmountPrecheck"] = "FILE_SYSTEM_UNMOUNT_PRECHECK";
    DrPlanStepType["ComputeInstanceStartPrecheck"] = "COMPUTE_INSTANCE_START_PRECHECK";
    DrPlanStepType["ComputeInstanceAttachBlockVolumesPrecheck"] = "COMPUTE_INSTANCE_ATTACH_BLOCK_VOLUMES_PRECHECK";
    DrPlanStepType["ComputeInstanceDetachBlockVolumesPrecheck"] = "COMPUTE_INSTANCE_DETACH_BLOCK_VOLUMES_PRECHECK";
    DrPlanStepType["ComputeInstanceMountBlockVolumesPrecheck"] = "COMPUTE_INSTANCE_MOUNT_BLOCK_VOLUMES_PRECHECK";
    DrPlanStepType["ComputeInstanceUnmountBlockVolumesPrecheck"] = "COMPUTE_INSTANCE_UNMOUNT_BLOCK_VOLUMES_PRECHECK";
    DrPlanStepType["ComputeCapacityReservationStartDrillPrecheck"] = "COMPUTE_CAPACITY_RESERVATION_START_DRILL_PRECHECK";
    DrPlanStepType["ComputeCapacityAvailabilityStartDrillPrecheck"] = "COMPUTE_CAPACITY_AVAILABILITY_START_DRILL_PRECHECK";
    DrPlanStepType["AutonomousDatabaseCreateClone"] = "AUTONOMOUS_DATABASE_CREATE_CLONE";
    DrPlanStepType["AutonomousDatabaseDeleteClone"] = "AUTONOMOUS_DATABASE_DELETE_CLONE";
    DrPlanStepType["LoadBalancerUpdatePrimaryBackendSet"] = "LOAD_BALANCER_UPDATE_PRIMARY_BACKEND_SET";
    DrPlanStepType["LoadBalancerUpdateStandbyBackendSet"] = "LOAD_BALANCER_UPDATE_STANDBY_BACKEND_SET";
    DrPlanStepType["FileSystemSwitchover"] = "FILE_SYSTEM_SWITCHOVER";
    DrPlanStepType["FileSystemFailover"] = "FILE_SYSTEM_FAILOVER";
    DrPlanStepType["FileSystemRemove"] = "FILE_SYSTEM_REMOVE";
    DrPlanStepType["FileSystemReverse"] = "FILE_SYSTEM_REVERSE";
    DrPlanStepType["FileSystemTerminate"] = "FILE_SYSTEM_TERMINATE";
    DrPlanStepType["FileSystemStartDrill"] = "FILE_SYSTEM_START_DRILL";
    DrPlanStepType["FileSystemStopDrill"] = "FILE_SYSTEM_STOP_DRILL";
    DrPlanStepType["ComputeInstanceStart"] = "COMPUTE_INSTANCE_START";
    DrPlanStepType["ComputeInstanceAttachBlockVolumes"] = "COMPUTE_INSTANCE_ATTACH_BLOCK_VOLUMES";
    DrPlanStepType["ComputeInstanceDetachBlockVolumes"] = "COMPUTE_INSTANCE_DETACH_BLOCK_VOLUMES";
    DrPlanStepType["FileSystemMount"] = "FILE_SYSTEM_MOUNT";
    DrPlanStepType["FileSystemUnmount"] = "FILE_SYSTEM_UNMOUNT";
    DrPlanStepType["ComputeCapacityReservationSwitchoverPrecheck"] = "COMPUTE_CAPACITY_RESERVATION_SWITCHOVER_PRECHECK";
    DrPlanStepType["ComputeCapacityReservationFailoverPrecheck"] = "COMPUTE_CAPACITY_RESERVATION_FAILOVER_PRECHECK";
    DrPlanStepType["ComputeCapacityAvailabilitySwitchoverPrecheck"] = "COMPUTE_CAPACITY_AVAILABILITY_SWITCHOVER_PRECHECK";
    DrPlanStepType["ComputeCapacityAvailabilityFailoverPrecheck"] = "COMPUTE_CAPACITY_AVAILABILITY_FAILOVER_PRECHECK";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    DrPlanStepType["UnknownValue"] = "UNKNOWN_VALUE";
})(DrPlanStepType = exports.DrPlanStepType || (exports.DrPlanStepType = {}));
(function (DrPlanStepType) {
    function getJsonObj(obj) {
        return obj;
    }
    DrPlanStepType.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    DrPlanStepType.getDeserializedJsonObj = getDeserializedJsonObj;
})(DrPlanStepType = exports.DrPlanStepType || (exports.DrPlanStepType = {}));
//# sourceMappingURL=dr-plan-step-type.js.map