"use strict";
/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrPlanType = void 0;
/**
 * The types of DR plan that can be created, updated, or deleted by the user.
 * - SWITCHOVER - Switchover from primary to standby.
 * - FAILOVER - Failover to standby.
 * - START_DRILL - Start DR Drill.
 * - STOP_DRILL - Stop DR Drill.
 *
 **/
var DrPlanType;
(function (DrPlanType) {
    DrPlanType["Switchover"] = "SWITCHOVER";
    DrPlanType["Failover"] = "FAILOVER";
    DrPlanType["StartDrill"] = "START_DRILL";
    DrPlanType["StopDrill"] = "STOP_DRILL";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    DrPlanType["UnknownValue"] = "UNKNOWN_VALUE";
})(DrPlanType = exports.DrPlanType || (exports.DrPlanType = {}));
(function (DrPlanType) {
    function getJsonObj(obj) {
        return obj;
    }
    DrPlanType.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    DrPlanType.getDeserializedJsonObj = getDeserializedJsonObj;
})(DrPlanType = exports.DrPlanType || (exports.DrPlanType = {}));
//# sourceMappingURL=dr-plan-type.js.map