"use strict";
/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrProtectionGroupLifecycleState = void 0;
/**
 * The lifecycle states of a DR protection group.
 * - CREATING - DR protection group is being created.
 * - ACTIVE - DR protection group is active and available for operations.
 * - UPDATING - DR protection group is being updated and is not available for operations.
 * - INACTIVE - The DR protection group is locked because a DR Drill is in progress.
 * - NEEDS_ATTENTION - DR protection group needs user attention.
 * - DELETING - DR protection group is being deleted.
 * - DELETED - DR protection group has been deleted.
 * - FAILED - DR protection group is in a failed state.
 *
 **/
var DrProtectionGroupLifecycleState;
(function (DrProtectionGroupLifecycleState) {
    DrProtectionGroupLifecycleState["Creating"] = "CREATING";
    DrProtectionGroupLifecycleState["Active"] = "ACTIVE";
    DrProtectionGroupLifecycleState["Updating"] = "UPDATING";
    DrProtectionGroupLifecycleState["Inactive"] = "INACTIVE";
    DrProtectionGroupLifecycleState["NeedsAttention"] = "NEEDS_ATTENTION";
    DrProtectionGroupLifecycleState["Deleting"] = "DELETING";
    DrProtectionGroupLifecycleState["Deleted"] = "DELETED";
    DrProtectionGroupLifecycleState["Failed"] = "FAILED";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    DrProtectionGroupLifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
})(DrProtectionGroupLifecycleState = exports.DrProtectionGroupLifecycleState || (exports.DrProtectionGroupLifecycleState = {}));
(function (DrProtectionGroupLifecycleState) {
    function getJsonObj(obj) {
        return obj;
    }
    DrProtectionGroupLifecycleState.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    DrProtectionGroupLifecycleState.getDeserializedJsonObj = getDeserializedJsonObj;
})(DrProtectionGroupLifecycleState = exports.DrProtectionGroupLifecycleState || (exports.DrProtectionGroupLifecycleState = {}));
//# sourceMappingURL=dr-protection-group-lifecycle-state.js.map