/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The properties for a Base Database or Exadata Database member of a DR protection group.
 *
 */
export interface DrProtectionGroupMemberDatabase extends model.DrProtectionGroupMember {
    /**
      * The OCID of the vault secret where the database SYSDBA password is stored.
  * This password is used for performing database DR operations.
  * <p>
  Example: {@code ocid1.vaultsecret.oc1..uniqueID}
  *
      */
    "passwordVaultSecretId"?: string;
    "memberType": string;
}
export declare namespace DrProtectionGroupMemberDatabase {
    function getJsonObj(obj: DrProtectionGroupMemberDatabase, isParentJsonObj?: boolean): object;
    const memberType = "DATABASE";
    function getDeserializedJsonObj(obj: DrProtectionGroupMemberDatabase, isParentJsonObj?: boolean): object;
}
