"use strict";
/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrProtectionGroupCollection = exports.DrProtectionGroup = exports.DrPlanUserDefinedStep = exports.DrPlanType = exports.DrPlanSummary = exports.DrPlanStepType = exports.DrPlanStepExecutionStatus = exports.DrPlanStepExecution = exports.DrPlanStepErrorMode = exports.DrPlanStep = exports.DrPlanLifecycleState = exports.DrPlanGroupType = exports.DrPlanGroupExecutionStatus = exports.DrPlanGroupExecution = exports.DrPlanGroup = exports.DrPlanExecutionType = exports.DrPlanExecutionSummary = exports.DrPlanExecutionOptions = exports.DrPlanExecutionOptionDetails = exports.DrPlanExecutionLifecycleState = exports.DrPlanExecutionControlDetails = exports.DrPlanExecutionCollection = exports.DrPlanExecution = exports.DrPlanCollection = exports.DrPlan = exports.DisassociateDrProtectionGroupDetails = exports.CreateObjectStorageLogLocationDetails = exports.CreateFileSystemUnmountDetails = exports.CreateFileSystemMountDetails = exports.CreateDrProtectionGroupMemberDetails = exports.CreateDrProtectionGroupDetails = exports.CreateDrPlanExecutionDetails = exports.CreateDrPlanDetails = exports.CreateComputeInstanceNonMovableFileSystemOperationDetails = exports.CreateComputeInstanceNonMovableBlockVolumeOperationDetails = exports.CreateComputeInstanceMovableFileSystemOperationDetails = exports.CreateBlockVolumeMountDetails = exports.CreateBlockVolumeAttachmentDetails = exports.ComputeInstanceVnicMappingDetails = exports.ComputeInstanceVnicMapping = exports.ComputeInstanceNonMovableFileSystemOperation = exports.ComputeInstanceNonMovableBlockVolumeOperation = exports.ComputeInstanceMovableVnicMappingDetails = exports.ComputeInstanceMovableVnicMapping = exports.ComputeInstanceMovableFileSystemOperation = exports.ChangeDrProtectionGroupCompartmentDetails = exports.BlockVolumeMountDetails = exports.BlockVolumeAttachmentDetails = exports.AssociateDrProtectionGroupDetails = exports.ActionType = void 0;
exports.CreateDrProtectionGroupMemberComputeInstanceMovableDetails = exports.CreateDrProtectionGroupMemberComputeInstanceDetails = exports.CreateDrProtectionGroupMemberAutonomousDatabaseDetails = exports.CancelDrPlanExecutionDetails = exports.WorkRequestSummaryCollection = exports.WorkRequestSummary = exports.WorkRequestResource = exports.WorkRequestLogEntryCollection = exports.WorkRequestLogEntry = exports.WorkRequestErrorCollection = exports.WorkRequestError = exports.WorkRequest = exports.UpdateObjectStorageScriptLocationDetails = exports.UpdateObjectStorageLogLocationDetails = exports.UpdateFileSystemUnmountDetails = exports.UpdateFileSystemMountDetails = exports.UpdateDrProtectionGroupRoleDetails = exports.UpdateDrProtectionGroupMemberDetails = exports.UpdateDrProtectionGroupDetails = exports.UpdateDrPlanUserDefinedStepDetails = exports.UpdateDrPlanStepDetails = exports.UpdateDrPlanGroupDetails = exports.UpdateDrPlanExecutionDetails = exports.UpdateDrPlanDetails = exports.UpdateComputeInstanceNonMovableFileSystemOperationDetails = exports.UpdateComputeInstanceNonMovableBlockVolumeOperationDetails = exports.UpdateComputeInstanceMovableFileSystemOperationDetails = exports.UpdateBlockVolumeMountDetails = exports.UpdateBlockVolumeAttachmentDetails = exports.SortOrder = exports.RetryDrPlanExecutionDetails = exports.OperationType = exports.OperationStatus = exports.ObjectStorageScriptLocation = exports.ObjectStorageLogLocation = exports.NetworkLoadBalancerBackendSetMappingDetails = exports.NetworkLoadBalancerBackendSetMapping = exports.LoadBalancerBackendSetMappingDetails = exports.LoadBalancerBackendSetMapping = exports.IgnoreDrPlanExecutionDetails = exports.FileSystemUnmountDetails = exports.FileSystemMountDetails = exports.FileSystemExportMappingDetails = exports.FileSystemExportMapping = exports.DrProtectionGroupSummary = exports.DrProtectionGroupRole = exports.DrProtectionGroupMemberType = exports.DrProtectionGroupMember = exports.DrProtectionGroupLifecycleSubState = exports.DrProtectionGroupLifecycleState = void 0;
exports.UpdateInvokeFunctionPrecheckStepDetails = exports.UpdateDrProtectionGroupMemberVolumeGroupDetails = exports.UpdateDrProtectionGroupMemberNetworkLoadBalancerDetails = exports.UpdateDrProtectionGroupMemberLoadBalancerDetails = exports.UpdateDrProtectionGroupMemberFileSystemDetails = exports.UpdateDrProtectionGroupMemberDatabaseDetails = exports.UpdateDrProtectionGroupMemberComputeInstanceNonMovableDetails = exports.UpdateDrProtectionGroupMemberComputeInstanceMovableDetails = exports.UpdateDrProtectionGroupMemberComputeInstanceDetails = exports.UpdateDrProtectionGroupMemberAutonomousDatabaseDetails = exports.SwitchoverPrecheckExecutionOptions = exports.SwitchoverPrecheckExecutionOptionDetails = exports.SwitchoverExecutionOptions = exports.SwitchoverExecutionOptionDetails = exports.StopDrillPrecheckExecutionOptions = exports.StopDrillPrecheckExecutionOptionDetails = exports.StopDrillExecutionOptions = exports.StopDrillExecutionOptionDetails = exports.StartDrillPrecheckExecutionOptions = exports.StartDrillPrecheckExecutionOptionDetails = exports.StartDrillExecutionOptions = exports.StartDrillExecutionOptionDetails = exports.RunObjectStoreScriptUserDefinedStep = exports.RunLocalScriptUserDefinedStep = exports.ResumeDrPlanExecutionDetails = exports.PauseDrPlanExecutionDetails = exports.ObjectStoreScriptPrecheckStep = exports.LocalScriptPrecheckStep = exports.InvokeFunctionStep = exports.InvokeFunctionPrecheckStep = exports.FailoverPrecheckExecutionOptions = exports.FailoverPrecheckExecutionOptionDetails = exports.FailoverExecutionOptions = exports.FailoverExecutionOptionDetails = exports.DrProtectionGroupMemberVolumeGroup = exports.DrProtectionGroupMemberNetworkLoadBalancer = exports.DrProtectionGroupMemberLoadBalancer = exports.DrProtectionGroupMemberFileSystem = exports.DrProtectionGroupMemberDatabase = exports.DrProtectionGroupMemberComputeInstanceNonMovable = exports.DrProtectionGroupMemberComputeInstanceMovable = exports.DrProtectionGroupMemberComputeInstance = exports.DrProtectionGroupMemberAutonomousDatabase = exports.DisassociateDrProtectionGroupDefaultDetails = exports.CreateDrProtectionGroupMemberVolumeGroupDetails = exports.CreateDrProtectionGroupMemberNetworkLoadBalancerDetails = exports.CreateDrProtectionGroupMemberLoadBalancerDetails = exports.CreateDrProtectionGroupMemberFileSystemDetails = exports.CreateDrProtectionGroupMemberDatabaseDetails = exports.CreateDrProtectionGroupMemberComputeInstanceNonMovableDetails = void 0;
exports.UpdateRunObjectStoreScriptUserDefinedStepDetails = exports.UpdateRunLocalScriptUserDefinedStepDetails = exports.UpdateObjectStoreScriptPrecheckStepDetails = exports.UpdateLocalScriptPrecheckStepDetails = exports.UpdateInvokeFunctionUserDefinedStepDetails = void 0;
const ActionType = __importStar(require("./action-type"));
exports.ActionType = ActionType.ActionType;
const AssociateDrProtectionGroupDetails = __importStar(require("./associate-dr-protection-group-details"));
exports.AssociateDrProtectionGroupDetails = AssociateDrProtectionGroupDetails.AssociateDrProtectionGroupDetails;
const BlockVolumeAttachmentDetails = __importStar(require("./block-volume-attachment-details"));
exports.BlockVolumeAttachmentDetails = BlockVolumeAttachmentDetails.BlockVolumeAttachmentDetails;
const BlockVolumeMountDetails = __importStar(require("./block-volume-mount-details"));
exports.BlockVolumeMountDetails = BlockVolumeMountDetails.BlockVolumeMountDetails;
const ChangeDrProtectionGroupCompartmentDetails = __importStar(require("./change-dr-protection-group-compartment-details"));
exports.ChangeDrProtectionGroupCompartmentDetails = ChangeDrProtectionGroupCompartmentDetails.ChangeDrProtectionGroupCompartmentDetails;
const ComputeInstanceMovableFileSystemOperation = __importStar(require("./compute-instance-movable-file-system-operation"));
exports.ComputeInstanceMovableFileSystemOperation = ComputeInstanceMovableFileSystemOperation.ComputeInstanceMovableFileSystemOperation;
const ComputeInstanceMovableVnicMapping = __importStar(require("./compute-instance-movable-vnic-mapping"));
exports.ComputeInstanceMovableVnicMapping = ComputeInstanceMovableVnicMapping.ComputeInstanceMovableVnicMapping;
const ComputeInstanceMovableVnicMappingDetails = __importStar(require("./compute-instance-movable-vnic-mapping-details"));
exports.ComputeInstanceMovableVnicMappingDetails = ComputeInstanceMovableVnicMappingDetails.ComputeInstanceMovableVnicMappingDetails;
const ComputeInstanceNonMovableBlockVolumeOperation = __importStar(require("./compute-instance-non-movable-block-volume-operation"));
exports.ComputeInstanceNonMovableBlockVolumeOperation = ComputeInstanceNonMovableBlockVolumeOperation.ComputeInstanceNonMovableBlockVolumeOperation;
const ComputeInstanceNonMovableFileSystemOperation = __importStar(require("./compute-instance-non-movable-file-system-operation"));
exports.ComputeInstanceNonMovableFileSystemOperation = ComputeInstanceNonMovableFileSystemOperation.ComputeInstanceNonMovableFileSystemOperation;
const ComputeInstanceVnicMapping = __importStar(require("./compute-instance-vnic-mapping"));
exports.ComputeInstanceVnicMapping = ComputeInstanceVnicMapping.ComputeInstanceVnicMapping;
const ComputeInstanceVnicMappingDetails = __importStar(require("./compute-instance-vnic-mapping-details"));
exports.ComputeInstanceVnicMappingDetails = ComputeInstanceVnicMappingDetails.ComputeInstanceVnicMappingDetails;
const CreateBlockVolumeAttachmentDetails = __importStar(require("./create-block-volume-attachment-details"));
exports.CreateBlockVolumeAttachmentDetails = CreateBlockVolumeAttachmentDetails.CreateBlockVolumeAttachmentDetails;
const CreateBlockVolumeMountDetails = __importStar(require("./create-block-volume-mount-details"));
exports.CreateBlockVolumeMountDetails = CreateBlockVolumeMountDetails.CreateBlockVolumeMountDetails;
const CreateComputeInstanceMovableFileSystemOperationDetails = __importStar(require("./create-compute-instance-movable-file-system-operation-details"));
exports.CreateComputeInstanceMovableFileSystemOperationDetails = CreateComputeInstanceMovableFileSystemOperationDetails.CreateComputeInstanceMovableFileSystemOperationDetails;
const CreateComputeInstanceNonMovableBlockVolumeOperationDetails = __importStar(require("./create-compute-instance-non-movable-block-volume-operation-details"));
exports.CreateComputeInstanceNonMovableBlockVolumeOperationDetails = CreateComputeInstanceNonMovableBlockVolumeOperationDetails.CreateComputeInstanceNonMovableBlockVolumeOperationDetails;
const CreateComputeInstanceNonMovableFileSystemOperationDetails = __importStar(require("./create-compute-instance-non-movable-file-system-operation-details"));
exports.CreateComputeInstanceNonMovableFileSystemOperationDetails = CreateComputeInstanceNonMovableFileSystemOperationDetails.CreateComputeInstanceNonMovableFileSystemOperationDetails;
const CreateDrPlanDetails = __importStar(require("./create-dr-plan-details"));
exports.CreateDrPlanDetails = CreateDrPlanDetails.CreateDrPlanDetails;
const CreateDrPlanExecutionDetails = __importStar(require("./create-dr-plan-execution-details"));
exports.CreateDrPlanExecutionDetails = CreateDrPlanExecutionDetails.CreateDrPlanExecutionDetails;
const CreateDrProtectionGroupDetails = __importStar(require("./create-dr-protection-group-details"));
exports.CreateDrProtectionGroupDetails = CreateDrProtectionGroupDetails.CreateDrProtectionGroupDetails;
const CreateDrProtectionGroupMemberDetails = __importStar(require("./create-dr-protection-group-member-details"));
exports.CreateDrProtectionGroupMemberDetails = CreateDrProtectionGroupMemberDetails.CreateDrProtectionGroupMemberDetails;
const CreateFileSystemMountDetails = __importStar(require("./create-file-system-mount-details"));
exports.CreateFileSystemMountDetails = CreateFileSystemMountDetails.CreateFileSystemMountDetails;
const CreateFileSystemUnmountDetails = __importStar(require("./create-file-system-unmount-details"));
exports.CreateFileSystemUnmountDetails = CreateFileSystemUnmountDetails.CreateFileSystemUnmountDetails;
const CreateObjectStorageLogLocationDetails = __importStar(require("./create-object-storage-log-location-details"));
exports.CreateObjectStorageLogLocationDetails = CreateObjectStorageLogLocationDetails.CreateObjectStorageLogLocationDetails;
const DisassociateDrProtectionGroupDetails = __importStar(require("./disassociate-dr-protection-group-details"));
exports.DisassociateDrProtectionGroupDetails = DisassociateDrProtectionGroupDetails.DisassociateDrProtectionGroupDetails;
const DrPlan = __importStar(require("./dr-plan"));
exports.DrPlan = DrPlan.DrPlan;
const DrPlanCollection = __importStar(require("./dr-plan-collection"));
exports.DrPlanCollection = DrPlanCollection.DrPlanCollection;
const DrPlanExecution = __importStar(require("./dr-plan-execution"));
exports.DrPlanExecution = DrPlanExecution.DrPlanExecution;
const DrPlanExecutionCollection = __importStar(require("./dr-plan-execution-collection"));
exports.DrPlanExecutionCollection = DrPlanExecutionCollection.DrPlanExecutionCollection;
const DrPlanExecutionControlDetails = __importStar(require("./dr-plan-execution-control-details"));
exports.DrPlanExecutionControlDetails = DrPlanExecutionControlDetails.DrPlanExecutionControlDetails;
const DrPlanExecutionLifecycleState = __importStar(require("./dr-plan-execution-lifecycle-state"));
exports.DrPlanExecutionLifecycleState = DrPlanExecutionLifecycleState.DrPlanExecutionLifecycleState;
const DrPlanExecutionOptionDetails = __importStar(require("./dr-plan-execution-option-details"));
exports.DrPlanExecutionOptionDetails = DrPlanExecutionOptionDetails.DrPlanExecutionOptionDetails;
const DrPlanExecutionOptions = __importStar(require("./dr-plan-execution-options"));
exports.DrPlanExecutionOptions = DrPlanExecutionOptions.DrPlanExecutionOptions;
const DrPlanExecutionSummary = __importStar(require("./dr-plan-execution-summary"));
exports.DrPlanExecutionSummary = DrPlanExecutionSummary.DrPlanExecutionSummary;
const DrPlanExecutionType = __importStar(require("./dr-plan-execution-type"));
exports.DrPlanExecutionType = DrPlanExecutionType.DrPlanExecutionType;
const DrPlanGroup = __importStar(require("./dr-plan-group"));
exports.DrPlanGroup = DrPlanGroup.DrPlanGroup;
const DrPlanGroupExecution = __importStar(require("./dr-plan-group-execution"));
exports.DrPlanGroupExecution = DrPlanGroupExecution.DrPlanGroupExecution;
const DrPlanGroupExecutionStatus = __importStar(require("./dr-plan-group-execution-status"));
exports.DrPlanGroupExecutionStatus = DrPlanGroupExecutionStatus.DrPlanGroupExecutionStatus;
const DrPlanGroupType = __importStar(require("./dr-plan-group-type"));
exports.DrPlanGroupType = DrPlanGroupType.DrPlanGroupType;
const DrPlanLifecycleState = __importStar(require("./dr-plan-lifecycle-state"));
exports.DrPlanLifecycleState = DrPlanLifecycleState.DrPlanLifecycleState;
const DrPlanStep = __importStar(require("./dr-plan-step"));
exports.DrPlanStep = DrPlanStep.DrPlanStep;
const DrPlanStepErrorMode = __importStar(require("./dr-plan-step-error-mode"));
exports.DrPlanStepErrorMode = DrPlanStepErrorMode.DrPlanStepErrorMode;
const DrPlanStepExecution = __importStar(require("./dr-plan-step-execution"));
exports.DrPlanStepExecution = DrPlanStepExecution.DrPlanStepExecution;
const DrPlanStepExecutionStatus = __importStar(require("./dr-plan-step-execution-status"));
exports.DrPlanStepExecutionStatus = DrPlanStepExecutionStatus.DrPlanStepExecutionStatus;
const DrPlanStepType = __importStar(require("./dr-plan-step-type"));
exports.DrPlanStepType = DrPlanStepType.DrPlanStepType;
const DrPlanSummary = __importStar(require("./dr-plan-summary"));
exports.DrPlanSummary = DrPlanSummary.DrPlanSummary;
const DrPlanType = __importStar(require("./dr-plan-type"));
exports.DrPlanType = DrPlanType.DrPlanType;
const DrPlanUserDefinedStep = __importStar(require("./dr-plan-user-defined-step"));
exports.DrPlanUserDefinedStep = DrPlanUserDefinedStep.DrPlanUserDefinedStep;
const DrProtectionGroup = __importStar(require("./dr-protection-group"));
exports.DrProtectionGroup = DrProtectionGroup.DrProtectionGroup;
const DrProtectionGroupCollection = __importStar(require("./dr-protection-group-collection"));
exports.DrProtectionGroupCollection = DrProtectionGroupCollection.DrProtectionGroupCollection;
const DrProtectionGroupLifecycleState = __importStar(require("./dr-protection-group-lifecycle-state"));
exports.DrProtectionGroupLifecycleState = DrProtectionGroupLifecycleState.DrProtectionGroupLifecycleState;
const DrProtectionGroupLifecycleSubState = __importStar(require("./dr-protection-group-lifecycle-sub-state"));
exports.DrProtectionGroupLifecycleSubState = DrProtectionGroupLifecycleSubState.DrProtectionGroupLifecycleSubState;
const DrProtectionGroupMember = __importStar(require("./dr-protection-group-member"));
exports.DrProtectionGroupMember = DrProtectionGroupMember.DrProtectionGroupMember;
const DrProtectionGroupMemberType = __importStar(require("./dr-protection-group-member-type"));
exports.DrProtectionGroupMemberType = DrProtectionGroupMemberType.DrProtectionGroupMemberType;
const DrProtectionGroupRole = __importStar(require("./dr-protection-group-role"));
exports.DrProtectionGroupRole = DrProtectionGroupRole.DrProtectionGroupRole;
const DrProtectionGroupSummary = __importStar(require("./dr-protection-group-summary"));
exports.DrProtectionGroupSummary = DrProtectionGroupSummary.DrProtectionGroupSummary;
const FileSystemExportMapping = __importStar(require("./file-system-export-mapping"));
exports.FileSystemExportMapping = FileSystemExportMapping.FileSystemExportMapping;
const FileSystemExportMappingDetails = __importStar(require("./file-system-export-mapping-details"));
exports.FileSystemExportMappingDetails = FileSystemExportMappingDetails.FileSystemExportMappingDetails;
const FileSystemMountDetails = __importStar(require("./file-system-mount-details"));
exports.FileSystemMountDetails = FileSystemMountDetails.FileSystemMountDetails;
const FileSystemUnmountDetails = __importStar(require("./file-system-unmount-details"));
exports.FileSystemUnmountDetails = FileSystemUnmountDetails.FileSystemUnmountDetails;
const IgnoreDrPlanExecutionDetails = __importStar(require("./ignore-dr-plan-execution-details"));
exports.IgnoreDrPlanExecutionDetails = IgnoreDrPlanExecutionDetails.IgnoreDrPlanExecutionDetails;
const LoadBalancerBackendSetMapping = __importStar(require("./load-balancer-backend-set-mapping"));
exports.LoadBalancerBackendSetMapping = LoadBalancerBackendSetMapping.LoadBalancerBackendSetMapping;
const LoadBalancerBackendSetMappingDetails = __importStar(require("./load-balancer-backend-set-mapping-details"));
exports.LoadBalancerBackendSetMappingDetails = LoadBalancerBackendSetMappingDetails.LoadBalancerBackendSetMappingDetails;
const NetworkLoadBalancerBackendSetMapping = __importStar(require("./network-load-balancer-backend-set-mapping"));
exports.NetworkLoadBalancerBackendSetMapping = NetworkLoadBalancerBackendSetMapping.NetworkLoadBalancerBackendSetMapping;
const NetworkLoadBalancerBackendSetMappingDetails = __importStar(require("./network-load-balancer-backend-set-mapping-details"));
exports.NetworkLoadBalancerBackendSetMappingDetails = NetworkLoadBalancerBackendSetMappingDetails.NetworkLoadBalancerBackendSetMappingDetails;
const ObjectStorageLogLocation = __importStar(require("./object-storage-log-location"));
exports.ObjectStorageLogLocation = ObjectStorageLogLocation.ObjectStorageLogLocation;
const ObjectStorageScriptLocation = __importStar(require("./object-storage-script-location"));
exports.ObjectStorageScriptLocation = ObjectStorageScriptLocation.ObjectStorageScriptLocation;
const OperationStatus = __importStar(require("./operation-status"));
exports.OperationStatus = OperationStatus.OperationStatus;
const OperationType = __importStar(require("./operation-type"));
exports.OperationType = OperationType.OperationType;
const RetryDrPlanExecutionDetails = __importStar(require("./retry-dr-plan-execution-details"));
exports.RetryDrPlanExecutionDetails = RetryDrPlanExecutionDetails.RetryDrPlanExecutionDetails;
const SortOrder = __importStar(require("./sort-order"));
exports.SortOrder = SortOrder.SortOrder;
const UpdateBlockVolumeAttachmentDetails = __importStar(require("./update-block-volume-attachment-details"));
exports.UpdateBlockVolumeAttachmentDetails = UpdateBlockVolumeAttachmentDetails.UpdateBlockVolumeAttachmentDetails;
const UpdateBlockVolumeMountDetails = __importStar(require("./update-block-volume-mount-details"));
exports.UpdateBlockVolumeMountDetails = UpdateBlockVolumeMountDetails.UpdateBlockVolumeMountDetails;
const UpdateComputeInstanceMovableFileSystemOperationDetails = __importStar(require("./update-compute-instance-movable-file-system-operation-details"));
exports.UpdateComputeInstanceMovableFileSystemOperationDetails = UpdateComputeInstanceMovableFileSystemOperationDetails.UpdateComputeInstanceMovableFileSystemOperationDetails;
const UpdateComputeInstanceNonMovableBlockVolumeOperationDetails = __importStar(require("./update-compute-instance-non-movable-block-volume-operation-details"));
exports.UpdateComputeInstanceNonMovableBlockVolumeOperationDetails = UpdateComputeInstanceNonMovableBlockVolumeOperationDetails.UpdateComputeInstanceNonMovableBlockVolumeOperationDetails;
const UpdateComputeInstanceNonMovableFileSystemOperationDetails = __importStar(require("./update-compute-instance-non-movable-file-system-operation-details"));
exports.UpdateComputeInstanceNonMovableFileSystemOperationDetails = UpdateComputeInstanceNonMovableFileSystemOperationDetails.UpdateComputeInstanceNonMovableFileSystemOperationDetails;
const UpdateDrPlanDetails = __importStar(require("./update-dr-plan-details"));
exports.UpdateDrPlanDetails = UpdateDrPlanDetails.UpdateDrPlanDetails;
const UpdateDrPlanExecutionDetails = __importStar(require("./update-dr-plan-execution-details"));
exports.UpdateDrPlanExecutionDetails = UpdateDrPlanExecutionDetails.UpdateDrPlanExecutionDetails;
const UpdateDrPlanGroupDetails = __importStar(require("./update-dr-plan-group-details"));
exports.UpdateDrPlanGroupDetails = UpdateDrPlanGroupDetails.UpdateDrPlanGroupDetails;
const UpdateDrPlanStepDetails = __importStar(require("./update-dr-plan-step-details"));
exports.UpdateDrPlanStepDetails = UpdateDrPlanStepDetails.UpdateDrPlanStepDetails;
const UpdateDrPlanUserDefinedStepDetails = __importStar(require("./update-dr-plan-user-defined-step-details"));
exports.UpdateDrPlanUserDefinedStepDetails = UpdateDrPlanUserDefinedStepDetails.UpdateDrPlanUserDefinedStepDetails;
const UpdateDrProtectionGroupDetails = __importStar(require("./update-dr-protection-group-details"));
exports.UpdateDrProtectionGroupDetails = UpdateDrProtectionGroupDetails.UpdateDrProtectionGroupDetails;
const UpdateDrProtectionGroupMemberDetails = __importStar(require("./update-dr-protection-group-member-details"));
exports.UpdateDrProtectionGroupMemberDetails = UpdateDrProtectionGroupMemberDetails.UpdateDrProtectionGroupMemberDetails;
const UpdateDrProtectionGroupRoleDetails = __importStar(require("./update-dr-protection-group-role-details"));
exports.UpdateDrProtectionGroupRoleDetails = UpdateDrProtectionGroupRoleDetails.UpdateDrProtectionGroupRoleDetails;
const UpdateFileSystemMountDetails = __importStar(require("./update-file-system-mount-details"));
exports.UpdateFileSystemMountDetails = UpdateFileSystemMountDetails.UpdateFileSystemMountDetails;
const UpdateFileSystemUnmountDetails = __importStar(require("./update-file-system-unmount-details"));
exports.UpdateFileSystemUnmountDetails = UpdateFileSystemUnmountDetails.UpdateFileSystemUnmountDetails;
const UpdateObjectStorageLogLocationDetails = __importStar(require("./update-object-storage-log-location-details"));
exports.UpdateObjectStorageLogLocationDetails = UpdateObjectStorageLogLocationDetails.UpdateObjectStorageLogLocationDetails;
const UpdateObjectStorageScriptLocationDetails = __importStar(require("./update-object-storage-script-location-details"));
exports.UpdateObjectStorageScriptLocationDetails = UpdateObjectStorageScriptLocationDetails.UpdateObjectStorageScriptLocationDetails;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestErrorCollection = __importStar(require("./work-request-error-collection"));
exports.WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestLogEntryCollection = __importStar(require("./work-request-log-entry-collection"));
exports.WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const WorkRequestSummaryCollection = __importStar(require("./work-request-summary-collection"));
exports.WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
const CancelDrPlanExecutionDetails = __importStar(require("./cancel-dr-plan-execution-details"));
exports.CancelDrPlanExecutionDetails = CancelDrPlanExecutionDetails.CancelDrPlanExecutionDetails;
const CreateDrProtectionGroupMemberAutonomousDatabaseDetails = __importStar(require("./create-dr-protection-group-member-autonomous-database-details"));
exports.CreateDrProtectionGroupMemberAutonomousDatabaseDetails = CreateDrProtectionGroupMemberAutonomousDatabaseDetails.CreateDrProtectionGroupMemberAutonomousDatabaseDetails;
const CreateDrProtectionGroupMemberComputeInstanceDetails = __importStar(require("./create-dr-protection-group-member-compute-instance-details"));
exports.CreateDrProtectionGroupMemberComputeInstanceDetails = CreateDrProtectionGroupMemberComputeInstanceDetails.CreateDrProtectionGroupMemberComputeInstanceDetails;
const CreateDrProtectionGroupMemberComputeInstanceMovableDetails = __importStar(require("./create-dr-protection-group-member-compute-instance-movable-details"));
exports.CreateDrProtectionGroupMemberComputeInstanceMovableDetails = CreateDrProtectionGroupMemberComputeInstanceMovableDetails.CreateDrProtectionGroupMemberComputeInstanceMovableDetails;
const CreateDrProtectionGroupMemberComputeInstanceNonMovableDetails = __importStar(require("./create-dr-protection-group-member-compute-instance-non-movable-details"));
exports.CreateDrProtectionGroupMemberComputeInstanceNonMovableDetails = CreateDrProtectionGroupMemberComputeInstanceNonMovableDetails.CreateDrProtectionGroupMemberComputeInstanceNonMovableDetails;
const CreateDrProtectionGroupMemberDatabaseDetails = __importStar(require("./create-dr-protection-group-member-database-details"));
exports.CreateDrProtectionGroupMemberDatabaseDetails = CreateDrProtectionGroupMemberDatabaseDetails.CreateDrProtectionGroupMemberDatabaseDetails;
const CreateDrProtectionGroupMemberFileSystemDetails = __importStar(require("./create-dr-protection-group-member-file-system-details"));
exports.CreateDrProtectionGroupMemberFileSystemDetails = CreateDrProtectionGroupMemberFileSystemDetails.CreateDrProtectionGroupMemberFileSystemDetails;
const CreateDrProtectionGroupMemberLoadBalancerDetails = __importStar(require("./create-dr-protection-group-member-load-balancer-details"));
exports.CreateDrProtectionGroupMemberLoadBalancerDetails = CreateDrProtectionGroupMemberLoadBalancerDetails.CreateDrProtectionGroupMemberLoadBalancerDetails;
const CreateDrProtectionGroupMemberNetworkLoadBalancerDetails = __importStar(require("./create-dr-protection-group-member-network-load-balancer-details"));
exports.CreateDrProtectionGroupMemberNetworkLoadBalancerDetails = CreateDrProtectionGroupMemberNetworkLoadBalancerDetails.CreateDrProtectionGroupMemberNetworkLoadBalancerDetails;
const CreateDrProtectionGroupMemberVolumeGroupDetails = __importStar(require("./create-dr-protection-group-member-volume-group-details"));
exports.CreateDrProtectionGroupMemberVolumeGroupDetails = CreateDrProtectionGroupMemberVolumeGroupDetails.CreateDrProtectionGroupMemberVolumeGroupDetails;
const DisassociateDrProtectionGroupDefaultDetails = __importStar(require("./disassociate-dr-protection-group-default-details"));
exports.DisassociateDrProtectionGroupDefaultDetails = DisassociateDrProtectionGroupDefaultDetails.DisassociateDrProtectionGroupDefaultDetails;
const DrProtectionGroupMemberAutonomousDatabase = __importStar(require("./dr-protection-group-member-autonomous-database"));
exports.DrProtectionGroupMemberAutonomousDatabase = DrProtectionGroupMemberAutonomousDatabase.DrProtectionGroupMemberAutonomousDatabase;
const DrProtectionGroupMemberComputeInstance = __importStar(require("./dr-protection-group-member-compute-instance"));
exports.DrProtectionGroupMemberComputeInstance = DrProtectionGroupMemberComputeInstance.DrProtectionGroupMemberComputeInstance;
const DrProtectionGroupMemberComputeInstanceMovable = __importStar(require("./dr-protection-group-member-compute-instance-movable"));
exports.DrProtectionGroupMemberComputeInstanceMovable = DrProtectionGroupMemberComputeInstanceMovable.DrProtectionGroupMemberComputeInstanceMovable;
const DrProtectionGroupMemberComputeInstanceNonMovable = __importStar(require("./dr-protection-group-member-compute-instance-non-movable"));
exports.DrProtectionGroupMemberComputeInstanceNonMovable = DrProtectionGroupMemberComputeInstanceNonMovable.DrProtectionGroupMemberComputeInstanceNonMovable;
const DrProtectionGroupMemberDatabase = __importStar(require("./dr-protection-group-member-database"));
exports.DrProtectionGroupMemberDatabase = DrProtectionGroupMemberDatabase.DrProtectionGroupMemberDatabase;
const DrProtectionGroupMemberFileSystem = __importStar(require("./dr-protection-group-member-file-system"));
exports.DrProtectionGroupMemberFileSystem = DrProtectionGroupMemberFileSystem.DrProtectionGroupMemberFileSystem;
const DrProtectionGroupMemberLoadBalancer = __importStar(require("./dr-protection-group-member-load-balancer"));
exports.DrProtectionGroupMemberLoadBalancer = DrProtectionGroupMemberLoadBalancer.DrProtectionGroupMemberLoadBalancer;
const DrProtectionGroupMemberNetworkLoadBalancer = __importStar(require("./dr-protection-group-member-network-load-balancer"));
exports.DrProtectionGroupMemberNetworkLoadBalancer = DrProtectionGroupMemberNetworkLoadBalancer.DrProtectionGroupMemberNetworkLoadBalancer;
const DrProtectionGroupMemberVolumeGroup = __importStar(require("./dr-protection-group-member-volume-group"));
exports.DrProtectionGroupMemberVolumeGroup = DrProtectionGroupMemberVolumeGroup.DrProtectionGroupMemberVolumeGroup;
const FailoverExecutionOptionDetails = __importStar(require("./failover-execution-option-details"));
exports.FailoverExecutionOptionDetails = FailoverExecutionOptionDetails.FailoverExecutionOptionDetails;
const FailoverExecutionOptions = __importStar(require("./failover-execution-options"));
exports.FailoverExecutionOptions = FailoverExecutionOptions.FailoverExecutionOptions;
const FailoverPrecheckExecutionOptionDetails = __importStar(require("./failover-precheck-execution-option-details"));
exports.FailoverPrecheckExecutionOptionDetails = FailoverPrecheckExecutionOptionDetails.FailoverPrecheckExecutionOptionDetails;
const FailoverPrecheckExecutionOptions = __importStar(require("./failover-precheck-execution-options"));
exports.FailoverPrecheckExecutionOptions = FailoverPrecheckExecutionOptions.FailoverPrecheckExecutionOptions;
const InvokeFunctionPrecheckStep = __importStar(require("./invoke-function-precheck-step"));
exports.InvokeFunctionPrecheckStep = InvokeFunctionPrecheckStep.InvokeFunctionPrecheckStep;
const InvokeFunctionStep = __importStar(require("./invoke-function-step"));
exports.InvokeFunctionStep = InvokeFunctionStep.InvokeFunctionStep;
const LocalScriptPrecheckStep = __importStar(require("./local-script-precheck-step"));
exports.LocalScriptPrecheckStep = LocalScriptPrecheckStep.LocalScriptPrecheckStep;
const ObjectStoreScriptPrecheckStep = __importStar(require("./object-store-script-precheck-step"));
exports.ObjectStoreScriptPrecheckStep = ObjectStoreScriptPrecheckStep.ObjectStoreScriptPrecheckStep;
const PauseDrPlanExecutionDetails = __importStar(require("./pause-dr-plan-execution-details"));
exports.PauseDrPlanExecutionDetails = PauseDrPlanExecutionDetails.PauseDrPlanExecutionDetails;
const ResumeDrPlanExecutionDetails = __importStar(require("./resume-dr-plan-execution-details"));
exports.ResumeDrPlanExecutionDetails = ResumeDrPlanExecutionDetails.ResumeDrPlanExecutionDetails;
const RunLocalScriptUserDefinedStep = __importStar(require("./run-local-script-user-defined-step"));
exports.RunLocalScriptUserDefinedStep = RunLocalScriptUserDefinedStep.RunLocalScriptUserDefinedStep;
const RunObjectStoreScriptUserDefinedStep = __importStar(require("./run-object-store-script-user-defined-step"));
exports.RunObjectStoreScriptUserDefinedStep = RunObjectStoreScriptUserDefinedStep.RunObjectStoreScriptUserDefinedStep;
const StartDrillExecutionOptionDetails = __importStar(require("./start-drill-execution-option-details"));
exports.StartDrillExecutionOptionDetails = StartDrillExecutionOptionDetails.StartDrillExecutionOptionDetails;
const StartDrillExecutionOptions = __importStar(require("./start-drill-execution-options"));
exports.StartDrillExecutionOptions = StartDrillExecutionOptions.StartDrillExecutionOptions;
const StartDrillPrecheckExecutionOptionDetails = __importStar(require("./start-drill-precheck-execution-option-details"));
exports.StartDrillPrecheckExecutionOptionDetails = StartDrillPrecheckExecutionOptionDetails.StartDrillPrecheckExecutionOptionDetails;
const StartDrillPrecheckExecutionOptions = __importStar(require("./start-drill-precheck-execution-options"));
exports.StartDrillPrecheckExecutionOptions = StartDrillPrecheckExecutionOptions.StartDrillPrecheckExecutionOptions;
const StopDrillExecutionOptionDetails = __importStar(require("./stop-drill-execution-option-details"));
exports.StopDrillExecutionOptionDetails = StopDrillExecutionOptionDetails.StopDrillExecutionOptionDetails;
const StopDrillExecutionOptions = __importStar(require("./stop-drill-execution-options"));
exports.StopDrillExecutionOptions = StopDrillExecutionOptions.StopDrillExecutionOptions;
const StopDrillPrecheckExecutionOptionDetails = __importStar(require("./stop-drill-precheck-execution-option-details"));
exports.StopDrillPrecheckExecutionOptionDetails = StopDrillPrecheckExecutionOptionDetails.StopDrillPrecheckExecutionOptionDetails;
const StopDrillPrecheckExecutionOptions = __importStar(require("./stop-drill-precheck-execution-options"));
exports.StopDrillPrecheckExecutionOptions = StopDrillPrecheckExecutionOptions.StopDrillPrecheckExecutionOptions;
const SwitchoverExecutionOptionDetails = __importStar(require("./switchover-execution-option-details"));
exports.SwitchoverExecutionOptionDetails = SwitchoverExecutionOptionDetails.SwitchoverExecutionOptionDetails;
const SwitchoverExecutionOptions = __importStar(require("./switchover-execution-options"));
exports.SwitchoverExecutionOptions = SwitchoverExecutionOptions.SwitchoverExecutionOptions;
const SwitchoverPrecheckExecutionOptionDetails = __importStar(require("./switchover-precheck-execution-option-details"));
exports.SwitchoverPrecheckExecutionOptionDetails = SwitchoverPrecheckExecutionOptionDetails.SwitchoverPrecheckExecutionOptionDetails;
const SwitchoverPrecheckExecutionOptions = __importStar(require("./switchover-precheck-execution-options"));
exports.SwitchoverPrecheckExecutionOptions = SwitchoverPrecheckExecutionOptions.SwitchoverPrecheckExecutionOptions;
const UpdateDrProtectionGroupMemberAutonomousDatabaseDetails = __importStar(require("./update-dr-protection-group-member-autonomous-database-details"));
exports.UpdateDrProtectionGroupMemberAutonomousDatabaseDetails = UpdateDrProtectionGroupMemberAutonomousDatabaseDetails.UpdateDrProtectionGroupMemberAutonomousDatabaseDetails;
const UpdateDrProtectionGroupMemberComputeInstanceDetails = __importStar(require("./update-dr-protection-group-member-compute-instance-details"));
exports.UpdateDrProtectionGroupMemberComputeInstanceDetails = UpdateDrProtectionGroupMemberComputeInstanceDetails.UpdateDrProtectionGroupMemberComputeInstanceDetails;
const UpdateDrProtectionGroupMemberComputeInstanceMovableDetails = __importStar(require("./update-dr-protection-group-member-compute-instance-movable-details"));
exports.UpdateDrProtectionGroupMemberComputeInstanceMovableDetails = UpdateDrProtectionGroupMemberComputeInstanceMovableDetails.UpdateDrProtectionGroupMemberComputeInstanceMovableDetails;
const UpdateDrProtectionGroupMemberComputeInstanceNonMovableDetails = __importStar(require("./update-dr-protection-group-member-compute-instance-non-movable-details"));
exports.UpdateDrProtectionGroupMemberComputeInstanceNonMovableDetails = UpdateDrProtectionGroupMemberComputeInstanceNonMovableDetails.UpdateDrProtectionGroupMemberComputeInstanceNonMovableDetails;
const UpdateDrProtectionGroupMemberDatabaseDetails = __importStar(require("./update-dr-protection-group-member-database-details"));
exports.UpdateDrProtectionGroupMemberDatabaseDetails = UpdateDrProtectionGroupMemberDatabaseDetails.UpdateDrProtectionGroupMemberDatabaseDetails;
const UpdateDrProtectionGroupMemberFileSystemDetails = __importStar(require("./update-dr-protection-group-member-file-system-details"));
exports.UpdateDrProtectionGroupMemberFileSystemDetails = UpdateDrProtectionGroupMemberFileSystemDetails.UpdateDrProtectionGroupMemberFileSystemDetails;
const UpdateDrProtectionGroupMemberLoadBalancerDetails = __importStar(require("./update-dr-protection-group-member-load-balancer-details"));
exports.UpdateDrProtectionGroupMemberLoadBalancerDetails = UpdateDrProtectionGroupMemberLoadBalancerDetails.UpdateDrProtectionGroupMemberLoadBalancerDetails;
const UpdateDrProtectionGroupMemberNetworkLoadBalancerDetails = __importStar(require("./update-dr-protection-group-member-network-load-balancer-details"));
exports.UpdateDrProtectionGroupMemberNetworkLoadBalancerDetails = UpdateDrProtectionGroupMemberNetworkLoadBalancerDetails.UpdateDrProtectionGroupMemberNetworkLoadBalancerDetails;
const UpdateDrProtectionGroupMemberVolumeGroupDetails = __importStar(require("./update-dr-protection-group-member-volume-group-details"));
exports.UpdateDrProtectionGroupMemberVolumeGroupDetails = UpdateDrProtectionGroupMemberVolumeGroupDetails.UpdateDrProtectionGroupMemberVolumeGroupDetails;
const UpdateInvokeFunctionPrecheckStepDetails = __importStar(require("./update-invoke-function-precheck-step-details"));
exports.UpdateInvokeFunctionPrecheckStepDetails = UpdateInvokeFunctionPrecheckStepDetails.UpdateInvokeFunctionPrecheckStepDetails;
const UpdateInvokeFunctionUserDefinedStepDetails = __importStar(require("./update-invoke-function-user-defined-step-details"));
exports.UpdateInvokeFunctionUserDefinedStepDetails = UpdateInvokeFunctionUserDefinedStepDetails.UpdateInvokeFunctionUserDefinedStepDetails;
const UpdateLocalScriptPrecheckStepDetails = __importStar(require("./update-local-script-precheck-step-details"));
exports.UpdateLocalScriptPrecheckStepDetails = UpdateLocalScriptPrecheckStepDetails.UpdateLocalScriptPrecheckStepDetails;
const UpdateObjectStoreScriptPrecheckStepDetails = __importStar(require("./update-object-store-script-precheck-step-details"));
exports.UpdateObjectStoreScriptPrecheckStepDetails = UpdateObjectStoreScriptPrecheckStepDetails.UpdateObjectStoreScriptPrecheckStepDetails;
const UpdateRunLocalScriptUserDefinedStepDetails = __importStar(require("./update-run-local-script-user-defined-step-details"));
exports.UpdateRunLocalScriptUserDefinedStepDetails = UpdateRunLocalScriptUserDefinedStepDetails.UpdateRunLocalScriptUserDefinedStepDetails;
const UpdateRunObjectStoreScriptUserDefinedStepDetails = __importStar(require("./update-run-object-store-script-user-defined-step-details"));
exports.UpdateRunObjectStoreScriptUserDefinedStepDetails = UpdateRunObjectStoreScriptUserDefinedStepDetails.UpdateRunObjectStoreScriptUserDefinedStepDetails;
//# sourceMappingURL=index.js.map