/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details for attaching or detaching a block volume.
 *
 */
export interface UpdateBlockVolumeAttachmentDetails {
    /**
      * The OCID of the reference compute instance from which to obtain the attachment details for the volume.
  * This reference compute instance is from the peer DR protection group.
  * <p>
  Example: {@code ocid1.instance.oc1..uniqueID}
  *
      */
    "volumeAttachmentReferenceInstanceId"?: string;
}
export declare namespace UpdateBlockVolumeAttachmentDetails {
    function getJsonObj(obj: UpdateBlockVolumeAttachmentDetails): object;
    function getDeserializedJsonObj(obj: UpdateBlockVolumeAttachmentDetails): object;
}
