/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for updating a DR plan step.
 */
export interface UpdateDrPlanStepDetails {
    /**
      * The unique id of the step.
  * <p>
  Example: {@code sgid1.step..uniqueID}
  *
      */
    "id"?: string;
    /**
      * The display name of the step in a group.
  * <p>
  Example: {@code My_STEP_3A - EBS Start - STAGE A}
  *
      */
    "displayName"?: string;
    /**
     * The error mode for this step.
     * The default error mode for the step is {@code STOP_ON_ERROR}.
     *
     */
    "errorMode"?: model.DrPlanStepErrorMode;
    /**
      * The timeout in seconds for executing this step.
  * When creating a new step, if no timeout is specified, the default timeout is set to {@code 3600} seconds.
  * <p>
  Example: {@code 600}
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "timeout"?: number;
    /**
      * A flag indicating whether this step should be enabled for execution.
  * The default value for the isEnabled flag is {@code true}.
  * <p>
  Example: {@code true}
  *
      */
    "isEnabled"?: boolean;
    "userDefinedStep"?: model.UpdateLocalScriptPrecheckStepDetails | model.UpdateInvokeFunctionPrecheckStepDetails | model.UpdateInvokeFunctionUserDefinedStepDetails | model.UpdateRunObjectStoreScriptUserDefinedStepDetails | model.UpdateObjectStoreScriptPrecheckStepDetails | model.UpdateRunLocalScriptUserDefinedStepDetails;
}
export declare namespace UpdateDrPlanStepDetails {
    function getJsonObj(obj: UpdateDrPlanStepDetails): object;
    function getDeserializedJsonObj(obj: UpdateDrPlanStepDetails): object;
}
