/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for updating a Run Local Script step.
 *
 */
export interface UpdateRunLocalScriptUserDefinedStepDetails extends model.UpdateDrPlanUserDefinedStepDetails {
    /**
      * The OCID of the instance on which this script or command should be executed.
  * <p>
  **For moving instances:** *runOnInstanceId* must be the OCID of the instance in the region where the
  * instance is currently present.
  * <p>
  **For non-moving instances:** *runOnInstanceId* must be the OCID of the non-moving instance.
  * <p>
  Example: {@code ocid1.instance.oc1..uniqueID}
  *
      */
    "runOnInstanceId": string;
    /**
      * The script name and arguments.
  * <p>
  Example: {@code /usr/bin/python3 /home/opc/scripts/my_app_script.py arg1 arg2 arg3}
  *
      */
    "scriptCommand": string;
    /**
      * The userid on the instance to be used for executing the script or command.
  * <p>
  Example: {@code opc}
  *
      */
    "runAsUser"?: string;
    "stepType": string;
}
export declare namespace UpdateRunLocalScriptUserDefinedStepDetails {
    function getJsonObj(obj: UpdateRunLocalScriptUserDefinedStepDetails, isParentJsonObj?: boolean): object;
    const stepType = "RUN_LOCAL_SCRIPT";
    function getDeserializedJsonObj(obj: UpdateRunLocalScriptUserDefinedStepDetails, isParentJsonObj?: boolean): object;
}
