"use strict";
/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DnsClient = exports.DnsApiKeys = void 0;
const common = require("oci-common");
const model = __importStar(require("./model"));
const oci_common_1 = require("oci-common");
const dns_waiter_1 = require("./dns-waiter");
const oci_common_2 = require("oci-common");
const Breaker = require("opossum");
// ===============================================
// This file is autogenerated - Please do not edit
// ===============================================
var DnsApiKeys;
(function (DnsApiKeys) {
})(DnsApiKeys = exports.DnsApiKeys || (exports.DnsApiKeys = {}));
/**
 * This service client uses {@link common.CircuitBreaker.DefaultConfiguration} for all the operations by default if no circuit breaker configuration is defined by the user.
 */
class DnsClient {
    constructor(params, clientConfiguration) {
        this["_realmSpecificEndpointTemplateEnabled"] = undefined;
        this["_endpoint"] = "";
        this["_defaultHeaders"] = {};
        this._circuitBreaker = null;
        this._httpOptions = undefined;
        this._bodyDuplexMode = undefined;
        this.targetService = "Dns";
        this._regionId = "";
        this._lastSetRegionOrRegionId = "";
        const requestSigner = params.authenticationDetailsProvider
            ? new common.DefaultRequestSigner(params.authenticationDetailsProvider)
            : null;
        if (clientConfiguration) {
            this._clientConfiguration = clientConfiguration;
            this._circuitBreaker = clientConfiguration.circuitBreaker
                ? clientConfiguration.circuitBreaker.circuit
                : null;
            this._httpOptions = clientConfiguration.httpOptions
                ? clientConfiguration.httpOptions
                : undefined;
            this._bodyDuplexMode = clientConfiguration.bodyDuplexMode
                ? clientConfiguration.bodyDuplexMode
                : undefined;
        }
        if (!oci_common_2.developerToolConfiguration.isServiceEnabled("dns")) {
            let errmsg = "The developerToolConfiguration configuration disabled this service, this behavior is controlled by developerToolConfiguration.ociEnabledServiceSet variable. Please check if your local developer_tool_configuration file has configured the service you're targeting or contact the cloud provider on the availability of this service : ";
            throw errmsg.concat("dns");
        }
        // if circuit breaker is not created, check if circuit breaker system is enabled to use default circuit breaker
        const specCircuitBreakerEnabled = true;
        if (!this._circuitBreaker &&
            common.utils.isCircuitBreakerSystemEnabled(clientConfiguration) &&
            (specCircuitBreakerEnabled || common.CircuitBreaker.DefaultCircuitBreakerOverriden)) {
            this._circuitBreaker = new common.CircuitBreaker().circuit;
        }
        this._httpClient =
            params.httpClient ||
                new common.FetchHttpClient(requestSigner, this._circuitBreaker, this._httpOptions, this._bodyDuplexMode);
        if (params.authenticationDetailsProvider &&
            common.isRegionProvider(params.authenticationDetailsProvider)) {
            const provider = params.authenticationDetailsProvider;
            if (provider.getRegion()) {
                this.region = provider.getRegion();
            }
        }
    }
    /**
     * Get the endpoint that is being used to call (ex, https://www.example.com).
     */
    get endpoint() {
        return this._endpoint;
    }
    /**
     * Sets the endpoint to call (ex, https://www.example.com).
     * @param endpoint The endpoint of the service.
     */
    set endpoint(endpoint) {
        this._endpoint = endpoint;
        this._endpoint = this._endpoint + "/20180115";
        if (this.logger)
            this.logger.info(`DnsClient endpoint set to ${this._endpoint}`);
    }
    get logger() {
        return common.LOG.logger;
    }
    /**
     * Determines whether realm specific endpoint should be used or not.
     * Set realmSpecificEndpointTemplateEnabled to "true" if the user wants to enable use of realm specific endpoint template, otherwise set it to "false"
     * @param realmSpecificEndpointTemplateEnabled flag to enable the use of realm specific endpoint template
     */
    set useRealmSpecificEndpointTemplate(realmSpecificEndpointTemplateEnabled) {
        this._realmSpecificEndpointTemplateEnabled = realmSpecificEndpointTemplateEnabled;
        if (this.logger)
            this.logger.info(`realmSpecificEndpointTemplateEnabled set to ${this._realmSpecificEndpointTemplateEnabled}`);
        if (this._lastSetRegionOrRegionId === common.Region.REGION_STRING) {
            this.endpoint = common.EndpointBuilder.createEndpointFromRegion(DnsClient.serviceEndpointTemplate, this._region, DnsClient.endpointServiceName);
        }
        else if (this._lastSetRegionOrRegionId === common.Region.REGION_ID_STRING) {
            this.endpoint = common.EndpointBuilder.createEndpointFromRegionId(DnsClient.serviceEndpointTemplate, this._regionId, DnsClient.endpointServiceName);
        }
    }
    /**
     * Sets the region to call (ex, Region.US_PHOENIX_1).
     * Note, this will call {@link #endpoint(String) endpoint} after resolving the endpoint.
     * @param region The region of the service.
     */
    set region(region) {
        this._region = region;
        this.endpoint = common.EndpointBuilder.createEndpointFromRegion(DnsClient.serviceEndpointTemplate, region, DnsClient.endpointServiceName);
        this._lastSetRegionOrRegionId = common.Region.REGION_STRING;
    }
    /**
     * Sets the regionId to call (ex, 'us-phoenix-1').
     *
     * Note, this will first try to map the region ID to a known Region and call {@link #region(Region) region}.
     * If no known Region could be determined, it will create an endpoint assuming its in default Realm OC1
     * and then call {@link #endpoint(String) endpoint}.
     * @param regionId The public region ID.
     */
    set regionId(regionId) {
        this._regionId = regionId;
        this.endpoint = common.EndpointBuilder.createEndpointFromRegionId(DnsClient.serviceEndpointTemplate, regionId, DnsClient.endpointServiceName);
        this._lastSetRegionOrRegionId = common.Region.REGION_ID_STRING;
    }
    /**
     * Creates a new DnsWaiter for resources for this service.
     *
     * @param workRequestClient The work request service client used to query for work request status
     * @param config The waiter configuration for termination and delay strategy
     * @return The service waiters.
     */
    createWaiters(workRequestClient, config) {
        this._waiters = new dns_waiter_1.DnsWaiter(this, workRequestClient, config);
        return this._waiters;
    }
    /**
     * Gets the waiters available for resources for this service.
     *
     * @return The service waiters.
     */
    getWaiters() {
        if (this._waiters) {
            return this._waiters;
        }
        throw Error("Waiters do not exist. Please create waiters.");
    }
    /**
     * Shutdown the circuit breaker used by the client when it is no longer needed
     */
    shutdownCircuitBreaker() {
        if (this._circuitBreaker) {
            this._circuitBreaker.shutdown();
        }
    }
    /**
     * Close the client once it is no longer needed
     */
    close() {
        this.shutdownCircuitBreaker();
    }
    /**
       * Moves a resolver into a different compartment along with its protected default view and any endpoints.
  * <p>
  Zones in the default view are not moved. VCN-dedicated resolvers are initially created in the same compartment
  * as their corresponding VCN, but can then be moved to a different compartment.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param ChangeResolverCompartmentRequest
       * @return ChangeResolverCompartmentResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ChangeResolverCompartment.ts.html |here} to see how to use ChangeResolverCompartment API.
       */
    changeResolverCompartment(changeResolverCompartmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#changeResolverCompartment.");
            const operationName = "changeResolverCompartment";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Resolver/ChangeResolverCompartment";
            const pathParams = {
                "{resolverId}": changeResolverCompartmentRequest.resolverId
            };
            const queryParams = {
                "scope": changeResolverCompartmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": changeResolverCompartmentRequest.ifMatch,
                "opc-retry-token": changeResolverCompartmentRequest.opcRetryToken,
                "opc-request-id": changeResolverCompartmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, changeResolverCompartmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}/actions/changeCompartment",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(changeResolverCompartmentRequest.changeResolverCompartmentDetails, "ChangeResolverCompartmentDetails", model.ChangeResolverCompartmentDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Moves a steering policy into a different compartment.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param ChangeSteeringPolicyCompartmentRequest
     * @return ChangeSteeringPolicyCompartmentResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ChangeSteeringPolicyCompartment.ts.html |here} to see how to use ChangeSteeringPolicyCompartment API.
     */
    changeSteeringPolicyCompartment(changeSteeringPolicyCompartmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#changeSteeringPolicyCompartment.");
            const operationName = "changeSteeringPolicyCompartment";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/SteeringPolicy/ChangeSteeringPolicyCompartment";
            const pathParams = {
                "{steeringPolicyId}": changeSteeringPolicyCompartmentRequest.steeringPolicyId
            };
            const queryParams = {
                "scope": changeSteeringPolicyCompartmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": changeSteeringPolicyCompartmentRequest.ifMatch,
                "opc-retry-token": changeSteeringPolicyCompartmentRequest.opcRetryToken,
                "opc-request-id": changeSteeringPolicyCompartmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, changeSteeringPolicyCompartmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicies/{steeringPolicyId}/actions/changeCompartment",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(changeSteeringPolicyCompartmentRequest.changeSteeringPolicyCompartmentDetails, "ChangeSteeringPolicyCompartmentDetails", model.ChangeSteeringPolicyCompartmentDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Moves a TSIG key into a different compartment.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param ChangeTsigKeyCompartmentRequest
     * @return ChangeTsigKeyCompartmentResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ChangeTsigKeyCompartment.ts.html |here} to see how to use ChangeTsigKeyCompartment API.
     */
    changeTsigKeyCompartment(changeTsigKeyCompartmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#changeTsigKeyCompartment.");
            const operationName = "changeTsigKeyCompartment";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/TsigKey/ChangeTsigKeyCompartment";
            const pathParams = {
                "{tsigKeyId}": changeTsigKeyCompartmentRequest.tsigKeyId
            };
            const queryParams = {
                "scope": changeTsigKeyCompartmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": changeTsigKeyCompartmentRequest.ifMatch,
                "opc-retry-token": changeTsigKeyCompartmentRequest.opcRetryToken,
                "opc-request-id": changeTsigKeyCompartmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, changeTsigKeyCompartmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/tsigKeys/{tsigKeyId}/actions/changeCompartment",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(changeTsigKeyCompartmentRequest.changeTsigKeyCompartmentDetails, "ChangeTsigKeyCompartmentDetails", model.ChangeTsigKeyCompartmentDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Moves a view into a different compartment.
  * <p>
  To change the compartment of a protected view, change the compartment of its corresponding resolver.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param ChangeViewCompartmentRequest
       * @return ChangeViewCompartmentResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ChangeViewCompartment.ts.html |here} to see how to use ChangeViewCompartment API.
       */
    changeViewCompartment(changeViewCompartmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#changeViewCompartment.");
            const operationName = "changeViewCompartment";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/View/ChangeViewCompartment";
            const pathParams = {
                "{viewId}": changeViewCompartmentRequest.viewId
            };
            const queryParams = {
                "scope": changeViewCompartmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": changeViewCompartmentRequest.ifMatch,
                "opc-retry-token": changeViewCompartmentRequest.opcRetryToken,
                "opc-request-id": changeViewCompartmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, changeViewCompartmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/views/{viewId}/actions/changeCompartment",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(changeViewCompartmentRequest.changeViewCompartmentDetails, "ChangeViewCompartmentDetails", model.ChangeViewCompartmentDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Moves a zone into a different compartment.
  * <p>
  Protected zones cannot have their compartment changed. When the zone name is provided as a path
  * parameter and `PRIVATE` is used for the scope query parameter then the viewId query parameter is
  * required.
  * <p>
  **Note:** All SteeringPolicyAttachment objects associated with this zone will also be moved into
  * the provided compartment.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param ChangeZoneCompartmentRequest
       * @return ChangeZoneCompartmentResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ChangeZoneCompartment.ts.html |here} to see how to use ChangeZoneCompartment API.
       */
    changeZoneCompartment(changeZoneCompartmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#changeZoneCompartment.");
            const operationName = "changeZoneCompartment";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Zone/ChangeZoneCompartment";
            const pathParams = {
                "{zoneId}": changeZoneCompartmentRequest.zoneId
            };
            const queryParams = {
                "scope": changeZoneCompartmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": changeZoneCompartmentRequest.ifMatch,
                "opc-retry-token": changeZoneCompartmentRequest.opcRetryToken,
                "opc-request-id": changeZoneCompartmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, changeZoneCompartmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneId}/actions/changeCompartment",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(changeZoneCompartmentRequest.changeZoneCompartmentDetails, "ChangeZoneCompartmentDetails", model.ChangeZoneCompartmentDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Creates a new resolver endpoint in the same compartment as the resolver.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param CreateResolverEndpointRequest
     * @return CreateResolverEndpointResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/CreateResolverEndpoint.ts.html |here} to see how to use CreateResolverEndpoint API.
     */
    createResolverEndpoint(createResolverEndpointRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#createResolverEndpoint.");
            const operationName = "createResolverEndpoint";
            const apiReferenceLink = "";
            const pathParams = {
                "{resolverId}": createResolverEndpointRequest.resolverId
            };
            const queryParams = {
                "scope": createResolverEndpointRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-retry-token": createResolverEndpointRequest.opcRetryToken,
                "opc-request-id": createResolverEndpointRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, createResolverEndpointRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}/endpoints",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(createResolverEndpointRequest.createResolverEndpointDetails, "CreateResolverEndpointDetails", model.CreateResolverEndpointDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "resolverEndpoint",
                    bodyModel: model.ResolverEndpoint,
                    type: "model.ResolverEndpoint",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("Location"),
                            key: "location",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Creates a new steering policy in the specified compartment. For more information on
     * creating policies with templates, see [Traffic Management API Guide](https://docs.cloud.oracle.com/iaas/Content/TrafficManagement/Concepts/trafficmanagementapi.htm).
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param CreateSteeringPolicyRequest
     * @return CreateSteeringPolicyResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/CreateSteeringPolicy.ts.html |here} to see how to use CreateSteeringPolicy API.
     */
    createSteeringPolicy(createSteeringPolicyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#createSteeringPolicy.");
            const operationName = "createSteeringPolicy";
            const apiReferenceLink = "";
            const pathParams = {};
            const queryParams = {
                "scope": createSteeringPolicyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-retry-token": createSteeringPolicyRequest.opcRetryToken,
                "opc-request-id": createSteeringPolicyRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, createSteeringPolicyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicies",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(createSteeringPolicyRequest.createSteeringPolicyDetails, "CreateSteeringPolicyDetails", model.CreateSteeringPolicyDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "steeringPolicy",
                    bodyModel: model.SteeringPolicy,
                    type: "model.SteeringPolicy",
                    responseHeaders: [
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("Location"),
                            key: "location",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Creates a new attachment between a steering policy and a domain, giving the
  * policy permission to answer queries for the specified domain. A steering policy must
  * be attached to a domain for the policy to answer DNS queries for that domain.
  * <p>
  For the purposes of access control, the attachment is automatically placed
  * into the same compartment as the domain's zone.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param CreateSteeringPolicyAttachmentRequest
       * @return CreateSteeringPolicyAttachmentResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/CreateSteeringPolicyAttachment.ts.html |here} to see how to use CreateSteeringPolicyAttachment API.
       */
    createSteeringPolicyAttachment(createSteeringPolicyAttachmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#createSteeringPolicyAttachment.");
            const operationName = "createSteeringPolicyAttachment";
            const apiReferenceLink = "";
            const pathParams = {};
            const queryParams = {
                "scope": createSteeringPolicyAttachmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-retry-token": createSteeringPolicyAttachmentRequest.opcRetryToken,
                "opc-request-id": createSteeringPolicyAttachmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, createSteeringPolicyAttachmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicyAttachments",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(createSteeringPolicyAttachmentRequest.createSteeringPolicyAttachmentDetails, "CreateSteeringPolicyAttachmentDetails", model.CreateSteeringPolicyAttachmentDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "steeringPolicyAttachment",
                    bodyModel: model.SteeringPolicyAttachment,
                    type: "model.SteeringPolicyAttachment",
                    responseHeaders: [
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("Location"),
                            key: "location",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Creates a new TSIG key in the specified compartment. There is no
     * `opc-retry-token` header since TSIG key names must be globally unique.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param CreateTsigKeyRequest
     * @return CreateTsigKeyResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/CreateTsigKey.ts.html |here} to see how to use CreateTsigKey API.
     */
    createTsigKey(createTsigKeyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#createTsigKey.");
            const operationName = "createTsigKey";
            const apiReferenceLink = "";
            const pathParams = {};
            const queryParams = {
                "scope": createTsigKeyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": createTsigKeyRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, createTsigKeyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/tsigKeys",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(createTsigKeyRequest.createTsigKeyDetails, "CreateTsigKeyDetails", model.CreateTsigKeyDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "tsigKey",
                    bodyModel: model.TsigKey,
                    type: "model.TsigKey",
                    responseHeaders: [
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("Location"),
                            key: "location",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Creates a new view in the specified compartment.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param CreateViewRequest
     * @return CreateViewResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/CreateView.ts.html |here} to see how to use CreateView API.
     */
    createView(createViewRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#createView.");
            const operationName = "createView";
            const apiReferenceLink = "";
            const pathParams = {};
            const queryParams = {
                "scope": createViewRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-retry-token": createViewRequest.opcRetryToken,
                "opc-request-id": createViewRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, createViewRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/views",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(createViewRequest.createViewDetails, "CreateViewDetails", model.CreateViewDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "view",
                    bodyModel: model.View,
                    type: "model.View",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("Location"),
                            key: "location",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Creates a new zone in the specified compartment.
  * <p>
  Private zones must have a zone type of `PRIMARY`. Creating a private zone at or under `oraclevcn.com`
  * within the default protected view of a VCN-dedicated resolver is not permitted.
  *
       * This operation does not retry by default if the user has not defined a retry configuration.
       * @param CreateZoneRequest
       * @return CreateZoneResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/CreateZone.ts.html |here} to see how to use CreateZone API.
       */
    createZone(createZoneRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#createZone.");
            const operationName = "createZone";
            const apiReferenceLink = "";
            const pathParams = {};
            const queryParams = {
                "compartmentId": createZoneRequest.compartmentId,
                "scope": createZoneRequest.scope,
                "viewId": createZoneRequest.viewId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": createZoneRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, createZoneRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones",
                method: "POST",
                bodyContent: common.ObjectSerializer.serialize(createZoneRequest.createZoneDetails, "CreateZoneBaseDetails", model.CreateZoneBaseDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "zone",
                    bodyModel: model.Zone,
                    type: "model.Zone",
                    responseHeaders: [
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("Location"),
                            key: "location",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Creates a new zone from a zone file in the specified compartment. Not supported for private zones.
     *
     * This operation does not retry by default if the user has not defined a retry configuration.
     * @param CreateZoneFromZoneFileRequest
     * @return CreateZoneFromZoneFileResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/CreateZoneFromZoneFile.ts.html |here} to see how to use CreateZoneFromZoneFile API.
     */
    createZoneFromZoneFile(createZoneFromZoneFileRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#createZoneFromZoneFile.");
            const operationName = "createZoneFromZoneFile";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Zone/CreateZoneFromZoneFile";
            const pathParams = {};
            const queryParams = {
                "compartmentId": createZoneFromZoneFileRequest.compartmentId,
                "scope": createZoneFromZoneFileRequest.scope,
                "viewId": createZoneFromZoneFileRequest.viewId
            };
            let headerParams = {
                "opc-request-id": createZoneFromZoneFileRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, createZoneFromZoneFileRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/actions/createZoneFromZoneFile",
                method: "POST",
                bodyContent: createZoneFromZoneFileRequest.createZoneFromZoneFileDetails,
                pathParams: pathParams,
                headerParams: headerParams,
                backupBinaryBody: retrier.backUpBinaryBody,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "zone",
                    bodyModel: model.Zone,
                    type: "model.Zone",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("Location"),
                            key: "location",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Deletes all records at the specified zone and domain.
  * <p>
  When the zone name is provided as a path parameter and `PRIVATE` is used for the scope query parameter
  * then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param DeleteDomainRecordsRequest
       * @return DeleteDomainRecordsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteDomainRecords.ts.html |here} to see how to use DeleteDomainRecords API.
       */
    deleteDomainRecords(deleteDomainRecordsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteDomainRecords.");
            const operationName = "deleteDomainRecords";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Records/DeleteDomainRecords";
            const pathParams = {
                "{zoneNameOrId}": deleteDomainRecordsRequest.zoneNameOrId,
                "{domain}": deleteDomainRecordsRequest.domain
            };
            const queryParams = {
                "scope": deleteDomainRecordsRequest.scope,
                "viewId": deleteDomainRecordsRequest.viewId,
                "compartmentId": deleteDomainRecordsRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteDomainRecordsRequest.ifMatch,
                "If-Unmodified-Since": deleteDomainRecordsRequest.ifUnmodifiedSince,
                "opc-request-id": deleteDomainRecordsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteDomainRecordsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Deletes all records in the specified RRSet.
  * <p>
  When the zone name is provided as a path parameter and `PRIVATE` is used for the scope
  * query parameter then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param DeleteRRSetRequest
       * @return DeleteRRSetResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteRRSet.ts.html |here} to see how to use DeleteRRSet API.
       */
    deleteRRSet(deleteRRSetRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteRRSet.");
            const operationName = "deleteRRSet";
            const apiReferenceLink = "";
            const pathParams = {
                "{zoneNameOrId}": deleteRRSetRequest.zoneNameOrId,
                "{domain}": deleteRRSetRequest.domain,
                "{rtype}": deleteRRSetRequest.rtype
            };
            const queryParams = {
                "compartmentId": deleteRRSetRequest.compartmentId,
                "scope": deleteRRSetRequest.scope,
                "viewId": deleteRRSetRequest.viewId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteRRSetRequest.ifMatch,
                "If-Unmodified-Since": deleteRRSetRequest.ifUnmodifiedSince,
                "opc-request-id": deleteRRSetRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteRRSetRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}/{rtype}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Deletes the specified resolver endpoint.
  * <p>
  Note that attempting to delete a resolver endpoint in the DELETED lifecycle state will result in
  * a `404` response to be consistent with other operations of the API. Resolver endpoints may not
  * be deleted if they are referenced by a resolver rule.
  *
       * This operation does not retry by default if the user has not defined a retry configuration.
       * @param DeleteResolverEndpointRequest
       * @return DeleteResolverEndpointResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteResolverEndpoint.ts.html |here} to see how to use DeleteResolverEndpoint API.
       */
    deleteResolverEndpoint(deleteResolverEndpointRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteResolverEndpoint.");
            const operationName = "deleteResolverEndpoint";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/ResolverEndpoint/DeleteResolverEndpoint";
            const pathParams = {
                "{resolverId}": deleteResolverEndpointRequest.resolverId,
                "{resolverEndpointName}": deleteResolverEndpointRequest.resolverEndpointName
            };
            const queryParams = {
                "scope": deleteResolverEndpointRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteResolverEndpointRequest.ifMatch,
                "If-Unmodified-Since": deleteResolverEndpointRequest.ifUnmodifiedSince,
                "opc-request-id": deleteResolverEndpointRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteResolverEndpointRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}/endpoints/{resolverEndpointName}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Deletes the specified steering policy.
  * <p>
  A `204` response indicates that the delete has been successful.
  * Deletion will fail if the policy is attached to any zones. To detach a
  * policy from a zone, see `DeleteSteeringPolicyAttachment`.
  *
       * This operation does not retry by default if the user has not defined a retry configuration.
       * @param DeleteSteeringPolicyRequest
       * @return DeleteSteeringPolicyResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteSteeringPolicy.ts.html |here} to see how to use DeleteSteeringPolicy API.
       */
    deleteSteeringPolicy(deleteSteeringPolicyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteSteeringPolicy.");
            const operationName = "deleteSteeringPolicy";
            const apiReferenceLink = "";
            const pathParams = {
                "{steeringPolicyId}": deleteSteeringPolicyRequest.steeringPolicyId
            };
            const queryParams = {
                "scope": deleteSteeringPolicyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteSteeringPolicyRequest.ifMatch,
                "If-Unmodified-Since": deleteSteeringPolicyRequest.ifUnmodifiedSince,
                "opc-request-id": deleteSteeringPolicyRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteSteeringPolicyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicies/{steeringPolicyId}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Deletes the specified steering policy attachment.
     * A `204` response indicates that the delete has been successful.
     *
     * This operation does not retry by default if the user has not defined a retry configuration.
     * @param DeleteSteeringPolicyAttachmentRequest
     * @return DeleteSteeringPolicyAttachmentResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteSteeringPolicyAttachment.ts.html |here} to see how to use DeleteSteeringPolicyAttachment API.
     */
    deleteSteeringPolicyAttachment(deleteSteeringPolicyAttachmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteSteeringPolicyAttachment.");
            const operationName = "deleteSteeringPolicyAttachment";
            const apiReferenceLink = "";
            const pathParams = {
                "{steeringPolicyAttachmentId}": deleteSteeringPolicyAttachmentRequest.steeringPolicyAttachmentId
            };
            const queryParams = {
                "scope": deleteSteeringPolicyAttachmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteSteeringPolicyAttachmentRequest.ifMatch,
                "If-Unmodified-Since": deleteSteeringPolicyAttachmentRequest.ifUnmodifiedSince,
                "opc-request-id": deleteSteeringPolicyAttachmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteSteeringPolicyAttachmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicyAttachments/{steeringPolicyAttachmentId}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Deletes the specified TSIG key.
     *
     * This operation does not retry by default if the user has not defined a retry configuration.
     * @param DeleteTsigKeyRequest
     * @return DeleteTsigKeyResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteTsigKey.ts.html |here} to see how to use DeleteTsigKey API.
     */
    deleteTsigKey(deleteTsigKeyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteTsigKey.");
            const operationName = "deleteTsigKey";
            const apiReferenceLink = "";
            const pathParams = {
                "{tsigKeyId}": deleteTsigKeyRequest.tsigKeyId
            };
            const queryParams = {
                "scope": deleteTsigKeyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteTsigKeyRequest.ifMatch,
                "If-Unmodified-Since": deleteTsigKeyRequest.ifUnmodifiedSince,
                "opc-request-id": deleteTsigKeyRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteTsigKeyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/tsigKeys/{tsigKeyId}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Deletes the specified view.
  * <p>
  Note that attempting to delete a view in the DELETED lifecycleState will result in a `404`
  * response to be consistent with other operations of the API. Views cannot be
  * deleted if they are referenced by non-deleted zones or resolvers.
  * Protected views cannot be deleted.
  *
       * This operation does not retry by default if the user has not defined a retry configuration.
       * @param DeleteViewRequest
       * @return DeleteViewResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteView.ts.html |here} to see how to use DeleteView API.
       */
    deleteView(deleteViewRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteView.");
            const operationName = "deleteView";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/View/DeleteView";
            const pathParams = {
                "{viewId}": deleteViewRequest.viewId
            };
            const queryParams = {
                "scope": deleteViewRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteViewRequest.ifMatch,
                "If-Unmodified-Since": deleteViewRequest.ifUnmodifiedSince,
                "opc-request-id": deleteViewRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteViewRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/views/{viewId}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Deletes the specified zone and all its steering policy attachments.
  * <p>
  A `204` response indicates that the zone has been successfully deleted. Protected zones cannot be deleted.
  * When the zone name is provided as a path parameter and `PRIVATE` is used for the scope query parameter
  * then the viewId query parameter is required.
  *
       * This operation does not retry by default if the user has not defined a retry configuration.
       * @param DeleteZoneRequest
       * @return DeleteZoneResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/DeleteZone.ts.html |here} to see how to use DeleteZone API.
       */
    deleteZone(deleteZoneRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#deleteZone.");
            const operationName = "deleteZone";
            const apiReferenceLink = "";
            const pathParams = {
                "{zoneNameOrId}": deleteZoneRequest.zoneNameOrId
            };
            const queryParams = {
                "scope": deleteZoneRequest.scope,
                "viewId": deleteZoneRequest.viewId,
                "compartmentId": deleteZoneRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": deleteZoneRequest.ifMatch,
                "If-Unmodified-Since": deleteZoneRequest.ifUnmodifiedSince,
                "opc-request-id": deleteZoneRequest.opcRequestId
            };
            const specRetryConfiguration = common.NoRetryConfigurationDetails;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, deleteZoneRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}",
                method: "DELETE",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Gets a list of all records at the specified zone and domain.
  * <p>
  The results are sorted by `rtype` in alphabetical order by default. You can optionally filter and/or sort
  * the results using the listed parameters. When the zone name is provided as a path parameter and `PRIVATE`
  * is used for the scope query parameter then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param GetDomainRecordsRequest
       * @return GetDomainRecordsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetDomainRecords.ts.html |here} to see how to use GetDomainRecords API.
       */
    getDomainRecords(getDomainRecordsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getDomainRecords.");
            const operationName = "getDomainRecords";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Records/GetDomainRecords";
            const pathParams = {
                "{zoneNameOrId}": getDomainRecordsRequest.zoneNameOrId,
                "{domain}": getDomainRecordsRequest.domain
            };
            const queryParams = {
                "limit": getDomainRecordsRequest.limit,
                "page": getDomainRecordsRequest.page,
                "zoneVersion": getDomainRecordsRequest.zoneVersion,
                "rtype": getDomainRecordsRequest.rtype,
                "scope": getDomainRecordsRequest.scope,
                "viewId": getDomainRecordsRequest.viewId,
                "sortBy": getDomainRecordsRequest.sortBy,
                "sortOrder": getDomainRecordsRequest.sortOrder,
                "compartmentId": getDomainRecordsRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getDomainRecordsRequest.ifNoneMatch,
                "If-Modified-Since": getDomainRecordsRequest.ifModifiedSince,
                "opc-request-id": getDomainRecordsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getDomainRecordsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of getDomainRecordsRecordIterator function.
     * Creates a new async iterator which will iterate over the models.Record objects
     * contained in responses from the getDomainRecords operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getAllDomainRecords(request) {
        return oci_common_1.genericPaginateRecords(request, req => this.getDomainRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken), res => res.recordCollection.items || []);
    }
    /**
     * NOTE: This function is deprecated in favor of getDomainRecordsResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the getDomainRecords operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getAllDomainRecordsResponses(request) {
        return oci_common_1.genericPaginateResponses(request, req => this.getDomainRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken));
    }
    /**
     * Creates a new async iterator which will iterate over the models.Record objects
     * contained in responses from the getDomainRecords operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getDomainRecordsRecordIterator(request) {
        return oci_common_1.genericPaginateRecords(request, req => this.getDomainRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken), res => res.recordCollection.items || []);
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the getDomainRecords operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getDomainRecordsResponseIterator(request) {
        return oci_common_1.genericPaginateResponses(request, req => this.getDomainRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken));
    }
    /**
       * Gets a list of all records in the specified RRSet.
  * <p>
  The results are sorted by `recordHash` by default. When the zone name is provided as a path parameter
  * and `PRIVATE` is used for the scope query parameter then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param GetRRSetRequest
       * @return GetRRSetResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetRRSet.ts.html |here} to see how to use GetRRSet API.
       */
    getRRSet(getRRSetRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getRRSet.");
            const operationName = "getRRSet";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/RRSet/GetRRSet";
            const pathParams = {
                "{zoneNameOrId}": getRRSetRequest.zoneNameOrId,
                "{domain}": getRRSetRequest.domain,
                "{rtype}": getRRSetRequest.rtype
            };
            const queryParams = {
                "limit": getRRSetRequest.limit,
                "page": getRRSetRequest.page,
                "zoneVersion": getRRSetRequest.zoneVersion,
                "compartmentId": getRRSetRequest.compartmentId,
                "scope": getRRSetRequest.scope,
                "viewId": getRRSetRequest.viewId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getRRSetRequest.ifNoneMatch,
                "If-Modified-Since": getRRSetRequest.ifModifiedSince,
                "opc-request-id": getRRSetRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getRRSetRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}/{rtype}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "rRSet",
                    bodyModel: model.RRSet,
                    type: "model.RRSet",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of getRRSetRecordIterator function.
     * Creates a new async iterator which will iterate over the models.Record objects
     * contained in responses from the getRRSet operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getAllRRSet(request) {
        return oci_common_1.genericPaginateRecords(request, req => this.getRRSet(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken), res => res.rRSet.items || []);
    }
    /**
     * NOTE: This function is deprecated in favor of getRRSetResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the getRRSet operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getAllRRSetResponses(request) {
        return oci_common_1.genericPaginateResponses(request, req => this.getRRSet(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken));
    }
    /**
     * Creates a new async iterator which will iterate over the models.Record objects
     * contained in responses from the getRRSet operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getRRSetRecordIterator(request) {
        return oci_common_1.genericPaginateRecords(request, req => this.getRRSet(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken), res => res.rRSet.items || []);
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the getRRSet operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getRRSetResponseIterator(request) {
        return oci_common_1.genericPaginateResponses(request, req => this.getRRSet(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken));
    }
    /**
       * Gets information about a specific resolver.
  * <p>
  Note that attempting to get a resolver in the DELETED lifecycleState will result in a `404`
  * response to be consistent with other operations of the API.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param GetResolverRequest
       * @return GetResolverResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetResolver.ts.html |here} to see how to use GetResolver API.
       */
    getResolver(getResolverRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getResolver.");
            const operationName = "getResolver";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Resolver/GetResolver";
            const pathParams = {
                "{resolverId}": getResolverRequest.resolverId
            };
            const queryParams = {
                "scope": getResolverRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Modified-Since": getResolverRequest.ifModifiedSince,
                "If-None-Match": getResolverRequest.ifNoneMatch,
                "opc-request-id": getResolverRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getResolverRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "resolver",
                    bodyModel: model.Resolver,
                    type: "model.Resolver",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Gets information about a specific resolver endpoint.
  * <p>
  Note that attempting to get a resolver endpoint in the DELETED lifecycle state will result
  * in a `404` response to be consistent with other operations of the API.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param GetResolverEndpointRequest
       * @return GetResolverEndpointResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetResolverEndpoint.ts.html |here} to see how to use GetResolverEndpoint API.
       */
    getResolverEndpoint(getResolverEndpointRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getResolverEndpoint.");
            const operationName = "getResolverEndpoint";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/ResolverEndpoint/GetResolverEndpoint";
            const pathParams = {
                "{resolverId}": getResolverEndpointRequest.resolverId,
                "{resolverEndpointName}": getResolverEndpointRequest.resolverEndpointName
            };
            const queryParams = {
                "scope": getResolverEndpointRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Modified-Since": getResolverEndpointRequest.ifModifiedSince,
                "If-None-Match": getResolverEndpointRequest.ifNoneMatch,
                "opc-request-id": getResolverEndpointRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getResolverEndpointRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}/endpoints/{resolverEndpointName}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "resolverEndpoint",
                    bodyModel: model.ResolverEndpoint,
                    type: "model.ResolverEndpoint",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Gets information about the specified steering policy.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param GetSteeringPolicyRequest
     * @return GetSteeringPolicyResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetSteeringPolicy.ts.html |here} to see how to use GetSteeringPolicy API.
     */
    getSteeringPolicy(getSteeringPolicyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getSteeringPolicy.");
            const operationName = "getSteeringPolicy";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/SteeringPolicy/GetSteeringPolicy";
            const pathParams = {
                "{steeringPolicyId}": getSteeringPolicyRequest.steeringPolicyId
            };
            const queryParams = {
                "scope": getSteeringPolicyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getSteeringPolicyRequest.ifNoneMatch,
                "If-Modified-Since": getSteeringPolicyRequest.ifModifiedSince,
                "opc-request-id": getSteeringPolicyRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getSteeringPolicyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicies/{steeringPolicyId}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "steeringPolicy",
                    bodyModel: model.SteeringPolicy,
                    type: "model.SteeringPolicy",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Gets information about the specified steering policy attachment.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param GetSteeringPolicyAttachmentRequest
     * @return GetSteeringPolicyAttachmentResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetSteeringPolicyAttachment.ts.html |here} to see how to use GetSteeringPolicyAttachment API.
     */
    getSteeringPolicyAttachment(getSteeringPolicyAttachmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getSteeringPolicyAttachment.");
            const operationName = "getSteeringPolicyAttachment";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/SteeringPolicyAttachment/GetSteeringPolicyAttachment";
            const pathParams = {
                "{steeringPolicyAttachmentId}": getSteeringPolicyAttachmentRequest.steeringPolicyAttachmentId
            };
            const queryParams = {
                "scope": getSteeringPolicyAttachmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getSteeringPolicyAttachmentRequest.ifNoneMatch,
                "If-Modified-Since": getSteeringPolicyAttachmentRequest.ifModifiedSince,
                "opc-request-id": getSteeringPolicyAttachmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getSteeringPolicyAttachmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicyAttachments/{steeringPolicyAttachmentId}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "steeringPolicyAttachment",
                    bodyModel: model.SteeringPolicyAttachment,
                    type: "model.SteeringPolicyAttachment",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Gets information about the specified TSIG key.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param GetTsigKeyRequest
     * @return GetTsigKeyResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetTsigKey.ts.html |here} to see how to use GetTsigKey API.
     */
    getTsigKey(getTsigKeyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getTsigKey.");
            const operationName = "getTsigKey";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/TsigKey/GetTsigKey";
            const pathParams = {
                "{tsigKeyId}": getTsigKeyRequest.tsigKeyId
            };
            const queryParams = {
                "scope": getTsigKeyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getTsigKeyRequest.ifNoneMatch,
                "If-Modified-Since": getTsigKeyRequest.ifModifiedSince,
                "opc-request-id": getTsigKeyRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getTsigKeyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/tsigKeys/{tsigKeyId}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "tsigKey",
                    bodyModel: model.TsigKey,
                    type: "model.TsigKey",
                    responseHeaders: [
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Gets information about a specific view.
  * <p>
  Note that attempting to get a
  * view in the DELETED lifecycleState will result in a `404` response to be
  * consistent with other operations of the API.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param GetViewRequest
       * @return GetViewResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetView.ts.html |here} to see how to use GetView API.
       */
    getView(getViewRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getView.");
            const operationName = "getView";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/View/GetView";
            const pathParams = {
                "{viewId}": getViewRequest.viewId
            };
            const queryParams = {
                "scope": getViewRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Modified-Since": getViewRequest.ifModifiedSince,
                "If-None-Match": getViewRequest.ifNoneMatch,
                "opc-request-id": getViewRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getViewRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/views/{viewId}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "view",
                    bodyModel: model.View,
                    type: "model.View",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Gets information about the specified zone, including its creation date, zone type, and serial.
  * <p>
  When the zone name is provided as a path parameter and `PRIVATE` is used for the scope query
  * parameter then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param GetZoneRequest
       * @return GetZoneResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetZone.ts.html |here} to see how to use GetZone API.
       */
    getZone(getZoneRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getZone.");
            const operationName = "getZone";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Zone/GetZone";
            const pathParams = {
                "{zoneNameOrId}": getZoneRequest.zoneNameOrId
            };
            const queryParams = {
                "scope": getZoneRequest.scope,
                "viewId": getZoneRequest.viewId,
                "compartmentId": getZoneRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getZoneRequest.ifNoneMatch,
                "If-Modified-Since": getZoneRequest.ifModifiedSince,
                "opc-request-id": getZoneRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getZoneRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "zone",
                    bodyModel: model.Zone,
                    type: "model.Zone",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Gets the requested zone's zone file.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param GetZoneContentRequest
     * @return GetZoneContentResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetZoneContent.ts.html |here} to see how to use GetZoneContent API.
     */
    getZoneContent(getZoneContentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getZoneContent.");
            const operationName = "getZoneContent";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Zone/GetZoneContent";
            const pathParams = {
                "{zoneNameOrId}": getZoneContentRequest.zoneNameOrId
            };
            const queryParams = {
                "scope": getZoneContentRequest.scope,
                "viewId": getZoneContentRequest.viewId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getZoneContentRequest.ifNoneMatch,
                "If-Modified-Since": getZoneContentRequest.ifModifiedSince,
                "opc-request-id": getZoneContentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getZoneContentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/content",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: response.body,
                    bodyKey: "value",
                    bodyModel: "string",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Gets all records in the specified zone.
  * <p>
  The results are sorted by `domain` in alphabetical order by default. For more information about records,
  * see [Resource Record (RR) TYPEs](https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-4).
  * When the zone name is provided as a path parameter and `PRIVATE` is used for the scope query parameter
  * then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param GetZoneRecordsRequest
       * @return GetZoneRecordsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/GetZoneRecords.ts.html |here} to see how to use GetZoneRecords API.
       */
    getZoneRecords(getZoneRecordsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#getZoneRecords.");
            const operationName = "getZoneRecords";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Records/GetZoneRecords";
            const pathParams = {
                "{zoneNameOrId}": getZoneRecordsRequest.zoneNameOrId
            };
            const queryParams = {
                "limit": getZoneRecordsRequest.limit,
                "page": getZoneRecordsRequest.page,
                "zoneVersion": getZoneRecordsRequest.zoneVersion,
                "domain": getZoneRecordsRequest.domain,
                "domainContains": getZoneRecordsRequest.domainContains,
                "rtype": getZoneRecordsRequest.rtype,
                "sortBy": getZoneRecordsRequest.sortBy,
                "sortOrder": getZoneRecordsRequest.sortOrder,
                "compartmentId": getZoneRecordsRequest.compartmentId,
                "scope": getZoneRecordsRequest.scope,
                "viewId": getZoneRecordsRequest.viewId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-None-Match": getZoneRecordsRequest.ifNoneMatch,
                "If-Modified-Since": getZoneRecordsRequest.ifModifiedSince,
                "opc-request-id": getZoneRecordsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, getZoneRecordsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of getZoneRecordsRecordIterator function.
     * Creates a new async iterator which will iterate over the models.Record objects
     * contained in responses from the getZoneRecords operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getAllZoneRecords(request) {
        return oci_common_1.genericPaginateRecords(request, req => this.getZoneRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken), res => res.recordCollection.items || []);
    }
    /**
     * NOTE: This function is deprecated in favor of getZoneRecordsResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the getZoneRecords operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getAllZoneRecordsResponses(request) {
        return oci_common_1.genericPaginateResponses(request, req => this.getZoneRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken));
    }
    /**
     * Creates a new async iterator which will iterate over the models.Record objects
     * contained in responses from the getZoneRecords operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getZoneRecordsRecordIterator(request) {
        return oci_common_1.genericPaginateRecords(request, req => this.getZoneRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken), res => res.recordCollection.items || []);
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the getZoneRecords operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    getZoneRecordsResponseIterator(request) {
        return oci_common_1.genericPaginateResponses(request, req => this.getZoneRecords(req), res => res.opcNextPage, (req, nextPageToken) => (req.page = nextPageToken));
    }
    /**
     * Gets a list of all endpoints within a resolver. The collection can be filtered by name or lifecycle state.
     * It can be sorted on creation time or name both in ASC or DESC order. Note that when no lifecycleState
     * query parameter is provided, the collection does not include resolver endpoints in the DELETED
     * lifecycle state to be consistent with other operations of the API.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param ListResolverEndpointsRequest
     * @return ListResolverEndpointsResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListResolverEndpoints.ts.html |here} to see how to use ListResolverEndpoints API.
     */
    listResolverEndpoints(listResolverEndpointsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listResolverEndpoints.");
            const operationName = "listResolverEndpoints";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/ResolverEndpoint/ListResolverEndpoints";
            const pathParams = {
                "{resolverId}": listResolverEndpointsRequest.resolverId
            };
            const queryParams = {
                "name": listResolverEndpointsRequest.name,
                "page": listResolverEndpointsRequest.page,
                "limit": listResolverEndpointsRequest.limit,
                "sortOrder": listResolverEndpointsRequest.sortOrder,
                "sortBy": listResolverEndpointsRequest.sortBy,
                "lifecycleState": listResolverEndpointsRequest.lifecycleState,
                "scope": listResolverEndpointsRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listResolverEndpointsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listResolverEndpointsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}/endpoints",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.ResolverEndpointSummary,
                    type: "Array<model.ResolverEndpointSummary>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listResolverEndpointsRecordIterator function.
     * Creates a new async iterator which will iterate over the models.ResolverEndpointSummary objects
     * contained in responses from the listResolverEndpoints operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllResolverEndpoints(request) {
        return oci_common_1.paginateRecords(request, req => this.listResolverEndpoints(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listResolverEndpointsResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listResolverEndpoints operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllResolverEndpointsResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listResolverEndpoints(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.ResolverEndpointSummary objects
     * contained in responses from the listResolverEndpoints operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listResolverEndpointsRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listResolverEndpoints(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listResolverEndpoints operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listResolverEndpointsResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listResolverEndpoints(req));
    }
    /**
       * Gets a list of all resolvers within a compartment.
  * <p>
  The collection can be filtered by display name, id, or lifecycle state. It can be sorted
  * on creation time or displayName both in ASC or DESC order. Note that when no lifecycleState
  * query parameter is provided, the collection does not include resolvers in the DELETED
  * lifecycleState to be consistent with other operations of the API.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param ListResolversRequest
       * @return ListResolversResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListResolvers.ts.html |here} to see how to use ListResolvers API.
       */
    listResolvers(listResolversRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listResolvers.");
            const operationName = "listResolvers";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Resolver/ListResolvers";
            const pathParams = {};
            const queryParams = {
                "compartmentId": listResolversRequest.compartmentId,
                "displayName": listResolversRequest.displayName,
                "id": listResolversRequest.id,
                "page": listResolversRequest.page,
                "limit": listResolversRequest.limit,
                "sortOrder": listResolversRequest.sortOrder,
                "sortBy": listResolversRequest.sortBy,
                "lifecycleState": listResolversRequest.lifecycleState,
                "scope": listResolversRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listResolversRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listResolversRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.ResolverSummary,
                    type: "Array<model.ResolverSummary>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listResolversRecordIterator function.
     * Creates a new async iterator which will iterate over the models.ResolverSummary objects
     * contained in responses from the listResolvers operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllResolvers(request) {
        return oci_common_1.paginateRecords(request, req => this.listResolvers(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listResolversResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listResolvers operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllResolversResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listResolvers(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.ResolverSummary objects
     * contained in responses from the listResolvers operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listResolversRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listResolvers(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listResolvers operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listResolversResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listResolvers(req));
    }
    /**
     * Gets a list of all steering policies in the specified compartment.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param ListSteeringPoliciesRequest
     * @return ListSteeringPoliciesResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListSteeringPolicies.ts.html |here} to see how to use ListSteeringPolicies API.
     */
    listSteeringPolicies(listSteeringPoliciesRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listSteeringPolicies.");
            const operationName = "listSteeringPolicies";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/SteeringPolicy/ListSteeringPolicies";
            const pathParams = {};
            const queryParams = {
                "limit": listSteeringPoliciesRequest.limit,
                "page": listSteeringPoliciesRequest.page,
                "compartmentId": listSteeringPoliciesRequest.compartmentId,
                "id": listSteeringPoliciesRequest.id,
                "displayName": listSteeringPoliciesRequest.displayName,
                "displayNameContains": listSteeringPoliciesRequest.displayNameContains,
                "healthCheckMonitorId": listSteeringPoliciesRequest.healthCheckMonitorId,
                "timeCreatedGreaterThanOrEqualTo": listSteeringPoliciesRequest.timeCreatedGreaterThanOrEqualTo,
                "timeCreatedLessThan": listSteeringPoliciesRequest.timeCreatedLessThan,
                "template": listSteeringPoliciesRequest.template,
                "lifecycleState": listSteeringPoliciesRequest.lifecycleState,
                "sortBy": listSteeringPoliciesRequest.sortBy,
                "sortOrder": listSteeringPoliciesRequest.sortOrder,
                "scope": listSteeringPoliciesRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listSteeringPoliciesRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listSteeringPoliciesRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicies",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.SteeringPolicySummary,
                    type: "Array<model.SteeringPolicySummary>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listSteeringPoliciesRecordIterator function.
     * Creates a new async iterator which will iterate over the models.SteeringPolicySummary objects
     * contained in responses from the listSteeringPolicies operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllSteeringPolicies(request) {
        return oci_common_1.paginateRecords(request, req => this.listSteeringPolicies(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listSteeringPoliciesResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listSteeringPolicies operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllSteeringPoliciesResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listSteeringPolicies(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.SteeringPolicySummary objects
     * contained in responses from the listSteeringPolicies operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listSteeringPoliciesRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listSteeringPolicies(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listSteeringPolicies operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listSteeringPoliciesResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listSteeringPolicies(req));
    }
    /**
     * Lists the steering policy attachments in the specified compartment.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param ListSteeringPolicyAttachmentsRequest
     * @return ListSteeringPolicyAttachmentsResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListSteeringPolicyAttachments.ts.html |here} to see how to use ListSteeringPolicyAttachments API.
     */
    listSteeringPolicyAttachments(listSteeringPolicyAttachmentsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listSteeringPolicyAttachments.");
            const operationName = "listSteeringPolicyAttachments";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/SteeringPolicyAttachment/ListSteeringPolicyAttachments";
            const pathParams = {};
            const queryParams = {
                "limit": listSteeringPolicyAttachmentsRequest.limit,
                "page": listSteeringPolicyAttachmentsRequest.page,
                "compartmentId": listSteeringPolicyAttachmentsRequest.compartmentId,
                "id": listSteeringPolicyAttachmentsRequest.id,
                "displayName": listSteeringPolicyAttachmentsRequest.displayName,
                "steeringPolicyId": listSteeringPolicyAttachmentsRequest.steeringPolicyId,
                "zoneId": listSteeringPolicyAttachmentsRequest.zoneId,
                "domain": listSteeringPolicyAttachmentsRequest.domain,
                "domainContains": listSteeringPolicyAttachmentsRequest.domainContains,
                "timeCreatedGreaterThanOrEqualTo": listSteeringPolicyAttachmentsRequest.timeCreatedGreaterThanOrEqualTo,
                "timeCreatedLessThan": listSteeringPolicyAttachmentsRequest.timeCreatedLessThan,
                "lifecycleState": listSteeringPolicyAttachmentsRequest.lifecycleState,
                "sortBy": listSteeringPolicyAttachmentsRequest.sortBy,
                "sortOrder": listSteeringPolicyAttachmentsRequest.sortOrder,
                "scope": listSteeringPolicyAttachmentsRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listSteeringPolicyAttachmentsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listSteeringPolicyAttachmentsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicyAttachments",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.SteeringPolicyAttachmentSummary,
                    type: "Array<model.SteeringPolicyAttachmentSummary>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listSteeringPolicyAttachmentsRecordIterator function.
     * Creates a new async iterator which will iterate over the models.SteeringPolicyAttachmentSummary objects
     * contained in responses from the listSteeringPolicyAttachments operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllSteeringPolicyAttachments(request) {
        return oci_common_1.paginateRecords(request, req => this.listSteeringPolicyAttachments(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listSteeringPolicyAttachmentsResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listSteeringPolicyAttachments operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllSteeringPolicyAttachmentsResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listSteeringPolicyAttachments(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.SteeringPolicyAttachmentSummary objects
     * contained in responses from the listSteeringPolicyAttachments operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listSteeringPolicyAttachmentsRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listSteeringPolicyAttachments(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listSteeringPolicyAttachments operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listSteeringPolicyAttachmentsResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listSteeringPolicyAttachments(req));
    }
    /**
     * Gets a list of all TSIG keys in the specified compartment.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param ListTsigKeysRequest
     * @return ListTsigKeysResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListTsigKeys.ts.html |here} to see how to use ListTsigKeys API.
     */
    listTsigKeys(listTsigKeysRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listTsigKeys.");
            const operationName = "listTsigKeys";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/TsigKey/ListTsigKeys";
            const pathParams = {};
            const queryParams = {
                "limit": listTsigKeysRequest.limit,
                "page": listTsigKeysRequest.page,
                "compartmentId": listTsigKeysRequest.compartmentId,
                "id": listTsigKeysRequest.id,
                "name": listTsigKeysRequest.name,
                "lifecycleState": listTsigKeysRequest.lifecycleState,
                "sortBy": listTsigKeysRequest.sortBy,
                "sortOrder": listTsigKeysRequest.sortOrder,
                "scope": listTsigKeysRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listTsigKeysRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listTsigKeysRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/tsigKeys",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.TsigKeySummary,
                    type: "Array<model.TsigKeySummary>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listTsigKeysRecordIterator function.
     * Creates a new async iterator which will iterate over the models.TsigKeySummary objects
     * contained in responses from the listTsigKeys operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllTsigKeys(request) {
        return oci_common_1.paginateRecords(request, req => this.listTsigKeys(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listTsigKeysResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listTsigKeys operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllTsigKeysResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listTsigKeys(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.TsigKeySummary objects
     * contained in responses from the listTsigKeys operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listTsigKeysRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listTsigKeys(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listTsigKeys operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listTsigKeysResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listTsigKeys(req));
    }
    /**
       * Gets a list of all views within a compartment.
  * <p>
  The collection can be filtered by display name, id, or lifecycle state. It can be sorted
  * on creation time or displayName both in ASC or DESC order. Note that when no lifecycleState
  * query parameter is provided, the collection does not include views in the DELETED
  * lifecycleState to be consistent with other operations of the API.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param ListViewsRequest
       * @return ListViewsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListViews.ts.html |here} to see how to use ListViews API.
       */
    listViews(listViewsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listViews.");
            const operationName = "listViews";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/View/ListViews";
            const pathParams = {};
            const queryParams = {
                "compartmentId": listViewsRequest.compartmentId,
                "displayName": listViewsRequest.displayName,
                "id": listViewsRequest.id,
                "page": listViewsRequest.page,
                "limit": listViewsRequest.limit,
                "sortOrder": listViewsRequest.sortOrder,
                "sortBy": listViewsRequest.sortBy,
                "lifecycleState": listViewsRequest.lifecycleState,
                "scope": listViewsRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listViewsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listViewsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/views",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.ViewSummary,
                    type: "Array<model.ViewSummary>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listViewsRecordIterator function.
     * Creates a new async iterator which will iterate over the models.ViewSummary objects
     * contained in responses from the listViews operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllViews(request) {
        return oci_common_1.paginateRecords(request, req => this.listViews(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listViewsResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listViews operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllViewsResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listViews(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.ViewSummary objects
     * contained in responses from the listViews operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listViewsRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listViews(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listViews operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listViewsResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listViews(req));
    }
    /**
     * Gets a list of IP addresses of OCI nameservers for inbound and outbound transfer of zones in the specified
     * compartment (which must be the root compartment of a tenancy) that transfer zone data with external master or
     * downstream nameservers.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param ListZoneTransferServersRequest
     * @return ListZoneTransferServersResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListZoneTransferServers.ts.html |here} to see how to use ListZoneTransferServers API.
     */
    listZoneTransferServers(listZoneTransferServersRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listZoneTransferServers.");
            const operationName = "listZoneTransferServers";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/ZoneTransferServer/ListZoneTransferServers";
            const pathParams = {};
            const queryParams = {
                "compartmentId": listZoneTransferServersRequest.compartmentId,
                "scope": listZoneTransferServersRequest.scope,
                "page": listZoneTransferServersRequest.page
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listZoneTransferServersRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listZoneTransferServersRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zoneTransferServers",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.ZoneTransferServer,
                    type: "Array<model.ZoneTransferServer>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listZoneTransferServersRecordIterator function.
     * Creates a new async iterator which will iterate over the models.ZoneTransferServer objects
     * contained in responses from the listZoneTransferServers operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllZoneTransferServers(request) {
        return oci_common_1.paginateRecords(request, req => this.listZoneTransferServers(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listZoneTransferServersResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listZoneTransferServers operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllZoneTransferServersResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listZoneTransferServers(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.ZoneTransferServer objects
     * contained in responses from the listZoneTransferServers operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listZoneTransferServersRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listZoneTransferServers(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listZoneTransferServers operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listZoneTransferServersResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listZoneTransferServers(req));
    }
    /**
       * Gets a list of all zones in the specified compartment.
  * <p>
  The collection can be filtered by name, time created, scope, associated view, and zone type.
  * Filtering by view is only supported for private zones.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param ListZonesRequest
       * @return ListZonesResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/ListZones.ts.html |here} to see how to use ListZones API.
       */
    listZones(listZonesRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#listZones.");
            const operationName = "listZones";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Zone/ListZones";
            const pathParams = {};
            const queryParams = {
                "limit": listZonesRequest.limit,
                "page": listZonesRequest.page,
                "compartmentId": listZonesRequest.compartmentId,
                "name": listZonesRequest.name,
                "nameContains": listZonesRequest.nameContains,
                "zoneType": listZonesRequest.zoneType,
                "timeCreatedGreaterThanOrEqualTo": listZonesRequest.timeCreatedGreaterThanOrEqualTo,
                "timeCreatedLessThan": listZonesRequest.timeCreatedLessThan,
                "lifecycleState": listZonesRequest.lifecycleState,
                "sortBy": listZonesRequest.sortBy,
                "sortOrder": listZonesRequest.sortOrder,
                "scope": listZonesRequest.scope,
                "viewId": listZonesRequest.viewId,
                "tsigKeyId": listZonesRequest.tsigKeyId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "opc-request-id": listZonesRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, listZonesRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones",
                method: "GET",
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "items",
                    bodyModel: model.ZoneSummary,
                    type: "Array<model.ZoneSummary>",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * NOTE: This function is deprecated in favor of listZonesRecordIterator function.
     * Creates a new async iterator which will iterate over the models.ZoneSummary objects
     * contained in responses from the listZones operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllZones(request) {
        return oci_common_1.paginateRecords(request, req => this.listZones(req));
    }
    /**
     * NOTE: This function is deprecated in favor of listZonesResponseIterator function.
     * Creates a new async iterator which will iterate over the responses received from the listZones operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listAllZonesResponses(request) {
        return oci_common_1.paginateResponses(request, req => this.listZones(req));
    }
    /**
     * Creates a new async iterator which will iterate over the models.ZoneSummary objects
     * contained in responses from the listZones operation. This iterator will fetch more data from the
     * server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listZonesRecordIterator(request) {
        return oci_common_1.paginateRecords(request, req => this.listZones(req));
    }
    /**
     * Creates a new async iterator which will iterate over the responses received from the listZones operation. This iterator
     * will fetch more data from the server as needed.
     *
     * @param request a request which can be sent to the service operation
     */
    listZonesResponseIterator(request) {
        return oci_common_1.paginateResponses(request, req => this.listZones(req));
    }
    /**
       * Updates records in the specified zone at a domain.
  * <p>
  You can update one record or all records for the specified zone depending on the changes provided in the
  * request body. You can also add or remove records using this function. When the zone name is provided as
  * a path parameter and `PRIVATE` is used for the scope query parameter then the viewId query parameter is
  * required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param PatchDomainRecordsRequest
       * @return PatchDomainRecordsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/PatchDomainRecords.ts.html |here} to see how to use PatchDomainRecords API.
       */
    patchDomainRecords(patchDomainRecordsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#patchDomainRecords.");
            const operationName = "patchDomainRecords";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Records/PatchDomainRecords";
            const pathParams = {
                "{zoneNameOrId}": patchDomainRecordsRequest.zoneNameOrId,
                "{domain}": patchDomainRecordsRequest.domain
            };
            const queryParams = {
                "scope": patchDomainRecordsRequest.scope,
                "viewId": patchDomainRecordsRequest.viewId,
                "compartmentId": patchDomainRecordsRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": patchDomainRecordsRequest.ifMatch,
                "If-Unmodified-Since": patchDomainRecordsRequest.ifUnmodifiedSince,
                "opc-request-id": patchDomainRecordsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, patchDomainRecordsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}",
                method: "PATCH",
                bodyContent: common.ObjectSerializer.serialize(patchDomainRecordsRequest.patchDomainRecordsDetails, "PatchDomainRecordsDetails", model.PatchDomainRecordsDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Updates records in the specified RRSet.
  * <p>
  When the zone name is provided as a path parameter and `PRIVATE` is used for the scope query
  * parameter then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param PatchRRSetRequest
       * @return PatchRRSetResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/PatchRRSet.ts.html |here} to see how to use PatchRRSet API.
       */
    patchRRSet(patchRRSetRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#patchRRSet.");
            const operationName = "patchRRSet";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/RRSet/PatchRRSet";
            const pathParams = {
                "{zoneNameOrId}": patchRRSetRequest.zoneNameOrId,
                "{domain}": patchRRSetRequest.domain,
                "{rtype}": patchRRSetRequest.rtype
            };
            const queryParams = {
                "scope": patchRRSetRequest.scope,
                "viewId": patchRRSetRequest.viewId,
                "compartmentId": patchRRSetRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": patchRRSetRequest.ifMatch,
                "If-Unmodified-Since": patchRRSetRequest.ifUnmodifiedSince,
                "opc-request-id": patchRRSetRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, patchRRSetRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}/{rtype}",
                method: "PATCH",
                bodyContent: common.ObjectSerializer.serialize(patchRRSetRequest.patchRRSetDetails, "PatchRRSetDetails", model.PatchRRSetDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Updates a collection of records in the specified zone.
  * <p>
  You can update one record or all records for the specified zone depending on the changes provided in the
  * request body. You can also add or remove records using this function. When the zone name is provided as
  * a path parameter and `PRIVATE` is used for the scope query parameter then the viewId query parameter is
  * required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param PatchZoneRecordsRequest
       * @return PatchZoneRecordsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/PatchZoneRecords.ts.html |here} to see how to use PatchZoneRecords API.
       */
    patchZoneRecords(patchZoneRecordsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#patchZoneRecords.");
            const operationName = "patchZoneRecords";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Records/PatchZoneRecords";
            const pathParams = {
                "{zoneNameOrId}": patchZoneRecordsRequest.zoneNameOrId
            };
            const queryParams = {
                "scope": patchZoneRecordsRequest.scope,
                "viewId": patchZoneRecordsRequest.viewId,
                "compartmentId": patchZoneRecordsRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": patchZoneRecordsRequest.ifMatch,
                "If-Unmodified-Since": patchZoneRecordsRequest.ifUnmodifiedSince,
                "opc-request-id": patchZoneRecordsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, patchZoneRecordsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records",
                method: "PATCH",
                bodyContent: common.ObjectSerializer.serialize(patchZoneRecordsRequest.patchZoneRecordsDetails, "PatchZoneRecordsDetails", model.PatchZoneRecordsDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Replaces records in the specified zone at a domain with the records specified in the request body.
  * <p>
  If a specified record does not exist, it will be created. If the record exists, then it will be updated to
  * represent the record in the body of the request. If a record in the zone does not exist in the request body,
  * the record will be removed from the zone. When the zone name is provided as a path parameter and `PRIVATE`
  * is used for the scope query parameter then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param UpdateDomainRecordsRequest
       * @return UpdateDomainRecordsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateDomainRecords.ts.html |here} to see how to use UpdateDomainRecords API.
       */
    updateDomainRecords(updateDomainRecordsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateDomainRecords.");
            const operationName = "updateDomainRecords";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Records/UpdateDomainRecords";
            const pathParams = {
                "{zoneNameOrId}": updateDomainRecordsRequest.zoneNameOrId,
                "{domain}": updateDomainRecordsRequest.domain
            };
            const queryParams = {
                "scope": updateDomainRecordsRequest.scope,
                "viewId": updateDomainRecordsRequest.viewId,
                "compartmentId": updateDomainRecordsRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateDomainRecordsRequest.ifMatch,
                "If-Unmodified-Since": updateDomainRecordsRequest.ifUnmodifiedSince,
                "opc-request-id": updateDomainRecordsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateDomainRecordsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateDomainRecordsRequest.updateDomainRecordsDetails, "UpdateDomainRecordsDetails", model.UpdateDomainRecordsDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Replaces records in the specified RRSet.
  * <p>
  When the zone name is provided as a path parameter and `PRIVATE` is used for the scope
  * query parameter then the viewId query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param UpdateRRSetRequest
       * @return UpdateRRSetResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateRRSet.ts.html |here} to see how to use UpdateRRSet API.
       */
    updateRRSet(updateRRSetRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateRRSet.");
            const operationName = "updateRRSet";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/RRSet/UpdateRRSet";
            const pathParams = {
                "{zoneNameOrId}": updateRRSetRequest.zoneNameOrId,
                "{domain}": updateRRSetRequest.domain,
                "{rtype}": updateRRSetRequest.rtype
            };
            const queryParams = {
                "scope": updateRRSetRequest.scope,
                "viewId": updateRRSetRequest.viewId,
                "compartmentId": updateRRSetRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateRRSetRequest.ifMatch,
                "If-Unmodified-Since": updateRRSetRequest.ifUnmodifiedSince,
                "opc-request-id": updateRRSetRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateRRSetRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records/{domain}/{rtype}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateRRSetRequest.updateRRSetDetails, "UpdateRRSetDetails", model.UpdateRRSetDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Updates the specified resolver with your new information.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param UpdateResolverRequest
     * @return UpdateResolverResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateResolver.ts.html |here} to see how to use UpdateResolver API.
     */
    updateResolver(updateResolverRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateResolver.");
            const operationName = "updateResolver";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Resolver/UpdateResolver";
            const pathParams = {
                "{resolverId}": updateResolverRequest.resolverId
            };
            const queryParams = {
                "scope": updateResolverRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateResolverRequest.ifMatch,
                "If-Unmodified-Since": updateResolverRequest.ifUnmodifiedSince,
                "opc-request-id": updateResolverRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateResolverRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateResolverRequest.updateResolverDetails, "UpdateResolverDetails", model.UpdateResolverDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "resolver",
                    bodyModel: model.Resolver,
                    type: "model.Resolver",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Updates the specified resolver endpoint with your new information.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param UpdateResolverEndpointRequest
     * @return UpdateResolverEndpointResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateResolverEndpoint.ts.html |here} to see how to use UpdateResolverEndpoint API.
     */
    updateResolverEndpoint(updateResolverEndpointRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateResolverEndpoint.");
            const operationName = "updateResolverEndpoint";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/ResolverEndpoint/UpdateResolverEndpoint";
            const pathParams = {
                "{resolverId}": updateResolverEndpointRequest.resolverId,
                "{resolverEndpointName}": updateResolverEndpointRequest.resolverEndpointName
            };
            const queryParams = {
                "scope": updateResolverEndpointRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateResolverEndpointRequest.ifMatch,
                "If-Unmodified-Since": updateResolverEndpointRequest.ifUnmodifiedSince,
                "opc-request-id": updateResolverEndpointRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateResolverEndpointRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/resolvers/{resolverId}/endpoints/{resolverEndpointName}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateResolverEndpointRequest.updateResolverEndpointDetails, "UpdateResolverEndpointDetails", model.UpdateResolverEndpointDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "resolverEndpoint",
                    bodyModel: model.ResolverEndpoint,
                    type: "model.ResolverEndpoint",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Updates the configuration of the specified steering policy.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param UpdateSteeringPolicyRequest
     * @return UpdateSteeringPolicyResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateSteeringPolicy.ts.html |here} to see how to use UpdateSteeringPolicy API.
     */
    updateSteeringPolicy(updateSteeringPolicyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateSteeringPolicy.");
            const operationName = "updateSteeringPolicy";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/SteeringPolicy/UpdateSteeringPolicy";
            const pathParams = {
                "{steeringPolicyId}": updateSteeringPolicyRequest.steeringPolicyId
            };
            const queryParams = {
                "scope": updateSteeringPolicyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateSteeringPolicyRequest.ifMatch,
                "If-Unmodified-Since": updateSteeringPolicyRequest.ifUnmodifiedSince,
                "opc-request-id": updateSteeringPolicyRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateSteeringPolicyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicies/{steeringPolicyId}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateSteeringPolicyRequest.updateSteeringPolicyDetails, "UpdateSteeringPolicyDetails", model.UpdateSteeringPolicyDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "steeringPolicy",
                    bodyModel: model.SteeringPolicy,
                    type: "model.SteeringPolicy",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Updates the specified steering policy attachment with your new information.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param UpdateSteeringPolicyAttachmentRequest
     * @return UpdateSteeringPolicyAttachmentResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateSteeringPolicyAttachment.ts.html |here} to see how to use UpdateSteeringPolicyAttachment API.
     */
    updateSteeringPolicyAttachment(updateSteeringPolicyAttachmentRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateSteeringPolicyAttachment.");
            const operationName = "updateSteeringPolicyAttachment";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/SteeringPolicyAttachment/UpdateSteeringPolicyAttachment";
            const pathParams = {
                "{steeringPolicyAttachmentId}": updateSteeringPolicyAttachmentRequest.steeringPolicyAttachmentId
            };
            const queryParams = {
                "scope": updateSteeringPolicyAttachmentRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateSteeringPolicyAttachmentRequest.ifMatch,
                "If-Unmodified-Since": updateSteeringPolicyAttachmentRequest.ifUnmodifiedSince,
                "opc-request-id": updateSteeringPolicyAttachmentRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateSteeringPolicyAttachmentRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/steeringPolicyAttachments/{steeringPolicyAttachmentId}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateSteeringPolicyAttachmentRequest.updateSteeringPolicyAttachmentDetails, "UpdateSteeringPolicyAttachmentDetails", model.UpdateSteeringPolicyAttachmentDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "steeringPolicyAttachment",
                    bodyModel: model.SteeringPolicyAttachment,
                    type: "model.SteeringPolicyAttachment",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Updates the specified TSIG key.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param UpdateTsigKeyRequest
     * @return UpdateTsigKeyResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateTsigKey.ts.html |here} to see how to use UpdateTsigKey API.
     */
    updateTsigKey(updateTsigKeyRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateTsigKey.");
            const operationName = "updateTsigKey";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/TsigKey/UpdateTsigKey";
            const pathParams = {
                "{tsigKeyId}": updateTsigKeyRequest.tsigKeyId
            };
            const queryParams = {
                "scope": updateTsigKeyRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateTsigKeyRequest.ifMatch,
                "If-Unmodified-Since": updateTsigKeyRequest.ifUnmodifiedSince,
                "opc-request-id": updateTsigKeyRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateTsigKeyRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/tsigKeys/{tsigKeyId}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateTsigKeyRequest.updateTsigKeyDetails, "UpdateTsigKeyDetails", model.UpdateTsigKeyDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "tsigKey",
                    bodyModel: model.TsigKey,
                    type: "model.TsigKey",
                    responseHeaders: [
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
     * Updates the specified view with your new information.
     *
     * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
     * @param UpdateViewRequest
     * @return UpdateViewResponse
     * @throws OciError when an error occurs
     * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateView.ts.html |here} to see how to use UpdateView API.
     */
    updateView(updateViewRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateView.");
            const operationName = "updateView";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/View/UpdateView";
            const pathParams = {
                "{viewId}": updateViewRequest.viewId
            };
            const queryParams = {
                "scope": updateViewRequest.scope
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateViewRequest.ifMatch,
                "If-Unmodified-Since": updateViewRequest.ifUnmodifiedSince,
                "opc-request-id": updateViewRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateViewRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/views/{viewId}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateViewRequest.updateViewDetails, "UpdateViewDetails", model.UpdateViewDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "view",
                    bodyModel: model.View,
                    type: "model.View",
                    responseHeaders: [
                        {
                            value: response.headers.get("etag"),
                            key: "etag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Updates the zone with the specified information.
  * <p>
  Global secondary zones may have their external masters updated. For more information about secondary
  * zones, see [Manage DNS Service Zone](https://docs.cloud.oracle.com/iaas/Content/DNS/Tasks/managingdnszones.htm). When the zone name
  * is provided as a path parameter and `PRIVATE` is used for the scope query parameter then the viewId
  * query parameter is required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param UpdateZoneRequest
       * @return UpdateZoneResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateZone.ts.html |here} to see how to use UpdateZone API.
       */
    updateZone(updateZoneRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateZone.");
            const operationName = "updateZone";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Zone/UpdateZone";
            const pathParams = {
                "{zoneNameOrId}": updateZoneRequest.zoneNameOrId
            };
            const queryParams = {
                "scope": updateZoneRequest.scope,
                "viewId": updateZoneRequest.viewId,
                "compartmentId": updateZoneRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateZoneRequest.ifMatch,
                "If-Unmodified-Since": updateZoneRequest.ifUnmodifiedSince,
                "opc-request-id": updateZoneRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateZoneRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateZoneRequest.updateZoneDetails, "UpdateZoneDetails", model.UpdateZoneDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "zone",
                    bodyModel: model.Zone,
                    type: "model.Zone",
                    responseHeaders: [
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-work-request-id"),
                            key: "opcWorkRequestId",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
    /**
       * Replaces records in the specified zone with the records specified in the request body.
  * <p>
  If a specified record does not exist, it will be created. If the record exists, then it will be updated
  * to represent the record in the body of the request. If a record in the zone does not exist in the
  * request body, the record will be removed from the zone. When the zone name is provided as a path
  * parameter and `PRIVATE` is used for the scope query parameter then the viewId query parameter is
  * required.
  *
       * This operation uses {@link common.OciSdkDefaultRetryConfiguration} by default if no retry configuration is defined by the user.
       * @param UpdateZoneRecordsRequest
       * @return UpdateZoneRecordsResponse
       * @throws OciError when an error occurs
       * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/dns/UpdateZoneRecords.ts.html |here} to see how to use UpdateZoneRecords API.
       */
    updateZoneRecords(updateZoneRecordsRequest) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.logger)
                this.logger.debug("Calling operation DnsClient#updateZoneRecords.");
            const operationName = "updateZoneRecords";
            const apiReferenceLink = "https://docs.oracle.com/iaas/api/#/en/dns/20180115/Records/UpdateZoneRecords";
            const pathParams = {
                "{zoneNameOrId}": updateZoneRecordsRequest.zoneNameOrId
            };
            const queryParams = {
                "scope": updateZoneRecordsRequest.scope,
                "viewId": updateZoneRecordsRequest.viewId,
                "compartmentId": updateZoneRecordsRequest.compartmentId
            };
            let headerParams = {
                "Content-Type": common.Constants.APPLICATION_JSON,
                "If-Match": updateZoneRecordsRequest.ifMatch,
                "If-Unmodified-Since": updateZoneRecordsRequest.ifUnmodifiedSince,
                "opc-request-id": updateZoneRecordsRequest.opcRequestId
            };
            const specRetryConfiguration = common.OciSdkDefaultRetryConfiguration;
            const retrier = oci_common_2.GenericRetrier.createPreferredRetrier(this._clientConfiguration ? this._clientConfiguration.retryConfiguration : undefined, updateZoneRecordsRequest.retryConfiguration, specRetryConfiguration);
            if (this.logger)
                retrier.logger = this.logger;
            const request = yield oci_common_2.composeRequest({
                baseEndpoint: this._endpoint,
                defaultHeaders: this._defaultHeaders,
                path: "/zones/{zoneNameOrId}/records",
                method: "PUT",
                bodyContent: common.ObjectSerializer.serialize(updateZoneRecordsRequest.updateZoneRecordsDetails, "UpdateZoneRecordsDetails", model.UpdateZoneRecordsDetails.getJsonObj),
                pathParams: pathParams,
                headerParams: headerParams,
                queryParams: queryParams
            });
            try {
                const response = yield retrier.makeServiceCall(this._httpClient, request, this.targetService, operationName, apiReferenceLink);
                const sdkResponse = oci_common_2.composeResponse({
                    responseObject: {},
                    body: yield response.json(),
                    bodyKey: "recordCollection",
                    bodyModel: model.RecordCollection,
                    type: "model.RecordCollection",
                    responseHeaders: [
                        {
                            value: response.headers.get("opc-next-page"),
                            key: "opcNextPage",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("opc-total-items"),
                            key: "opcTotalItems",
                            dataType: "number"
                        },
                        {
                            value: response.headers.get("opc-request-id"),
                            key: "opcRequestId",
                            dataType: "string"
                        },
                        {
                            value: response.headers.get("ETag"),
                            key: "eTag",
                            dataType: "string"
                        }
                    ]
                });
                return sdkResponse;
            }
            catch (err) {
                throw err;
            }
        });
    }
}
exports.DnsClient = DnsClient;
DnsClient.serviceEndpointTemplate = "https://dns.{region}.oci.{secondLevelDomain}";
DnsClient.endpointServiceName = "";
//# sourceMappingURL=client.js.map