/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The body for either defining a new zone or migrating a zone from migrationSource. This is determined by the migrationSource discriminator.
 * NONE indicates creation of a new zone (default). DYNECT indicates migration from a DynECT zone.
 * <p>
 **Warning:** Oracle recommends that you avoid using any confidential information when you supply string values using the API.
 *
 */
export interface CreateZoneBaseDetails {
    /**
      * The name of the zone.
  * <p>
  Global zone names must be unique across all other zones within the realm. Private zone names must be unique
  * within their view.
  * <p>
  Unicode characters will be converted into punycode, see [RFC 3492](https://tools.ietf.org/html/rfc3492).
  *
      */
    "name": string;
    /**
     * The OCID of the compartment containing the zone.
     */
    "compartmentId": string;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
  * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
  * <p>
  
  * **Example:** {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a namespace.
  * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
  * <p>
  
  * **Example:** {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    "migrationSource": string;
}
export declare namespace CreateZoneBaseDetails {
    function getJsonObj(obj: CreateZoneBaseDetails): object;
    function getDeserializedJsonObj(obj: CreateZoneBaseDetails): object;
}
