/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The body for defining a new zone.
 * <p>
 **Warning:** Oracle recommends that you avoid using any confidential information when you supply string values using the API.
 *
 */
export interface CreateZoneDetails extends model.CreateZoneBaseDetails {
    /**
     * The type of the zone. Must be either {@code PRIMARY} or {@code SECONDARY}. {@code SECONDARY} is only supported for GLOBAL
     * zones.
     *
     */
    "zoneType"?: CreateZoneDetails.ZoneType;
    /**
     * This value will be null for zones in the global DNS.
     *
     */
    "viewId"?: string;
    /**
     * The scope of the zone.
     */
    "scope"?: model.Scope;
    /**
     * External master servers for the zone. {@code externalMasters} becomes a
     * required parameter when the {@code zoneType} value is {@code SECONDARY}.
     *
     */
    "externalMasters"?: Array<model.ExternalMaster>;
    /**
     * External secondary servers for the zone.
     * This field is currently not supported when {@code zoneType} is {@code SECONDARY} or {@code scope} is {@code PRIVATE}.
     *
     */
    "externalDownstreams"?: Array<model.ExternalDownstream>;
    "migrationSource": string;
}
export declare namespace CreateZoneDetails {
    enum ZoneType {
        Primary = "PRIMARY",
        Secondary = "SECONDARY"
    }
    function getJsonObj(obj: CreateZoneDetails, isParentJsonObj?: boolean): object;
    const migrationSource = "NONE";
    function getDeserializedJsonObj(obj: CreateZoneDetails, isParentJsonObj?: boolean): object;
}
