/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface SteeringPolicyLimitRuleCase {
    /**
     * An expression that uses conditions at the time of a DNS query to indicate
     * whether a case matches. Conditions may include the geographical location, IP
     * subnet, or ASN the DNS query originated. **Example:** If you have an
     * office that uses the subnet {@code 192.0.2.0/24} you could use a {@code caseCondition}
     * expression {@code query.client.address in ('192.0.2.0/24')} to define a case that
     * matches queries from that office.
     *
     */
    "caseCondition"?: string;
    /**
     * The number of answers allowed to remain after the limit rule has been processed, keeping only the
     * first of the remaining answers in the list. Example: If the {@code count} property is set to {@code 2} and
     * four answers remain before the limit rule is processed, only the first two answers in the list will
     * remain after the limit rule has been processed.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count": number;
}
export declare namespace SteeringPolicyLimitRuleCase {
    function getJsonObj(obj: SteeringPolicyLimitRuleCase): object;
    function getDeserializedJsonObj(obj: SteeringPolicyLimitRuleCase): object;
}
