"use strict";
/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SteeringPolicyRule = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var SteeringPolicyRule;
(function (SteeringPolicyRule) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "ruleType" in obj && obj.ruleType) {
            switch (obj.ruleType) {
                case "FILTER":
                    return model.SteeringPolicyFilterRule.getJsonObj(jsonObj, true);
                case "WEIGHTED":
                    return model.SteeringPolicyWeightedRule.getJsonObj(jsonObj, true);
                case "LIMIT":
                    return model.SteeringPolicyLimitRule.getJsonObj(jsonObj, true);
                case "HEALTH":
                    return model.SteeringPolicyHealthRule.getJsonObj(jsonObj, true);
                case "PRIORITY":
                    return model.SteeringPolicyPriorityRule.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.ruleType}`);
            }
        }
        return jsonObj;
    }
    SteeringPolicyRule.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "ruleType" in obj && obj.ruleType) {
            switch (obj.ruleType) {
                case "FILTER":
                    return model.SteeringPolicyFilterRule.getDeserializedJsonObj(jsonObj, true);
                case "WEIGHTED":
                    return model.SteeringPolicyWeightedRule.getDeserializedJsonObj(jsonObj, true);
                case "LIMIT":
                    return model.SteeringPolicyLimitRule.getDeserializedJsonObj(jsonObj, true);
                case "HEALTH":
                    return model.SteeringPolicyHealthRule.getDeserializedJsonObj(jsonObj, true);
                case "PRIORITY":
                    return model.SteeringPolicyPriorityRule.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.ruleType}`);
            }
        }
        return jsonObj;
    }
    SteeringPolicyRule.getDeserializedJsonObj = getDeserializedJsonObj;
})(SteeringPolicyRule = exports.SteeringPolicyRule || (exports.SteeringPolicyRule = {}));
//# sourceMappingURL=steering-policy-rule.js.map