/**
 * DNS API
 * API for the DNS service. Use this API to manage DNS zones, records, and other DNS resources.
For more information, see [Overview of the DNS Service](/iaas/Content/DNS/Concepts/dnszonemanagement.htm).

 * OpenAPI spec version: 20180115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An OCI nameserver that transfers zone data with external nameservers.
 *
 */
export interface ZoneTransferServer {
    /**
     * The server's IP address (IPv4 or IPv6).
     */
    "address": string;
    /**
     * The server's port.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
    /**
     * A Boolean flag indicating whether or not the server is a zone data transfer source.
     *
     */
    "isTransferSource"?: boolean;
    /**
     * A Boolean flag indicating whether or not the server is a zone data transfer destination.
     *
     */
    "isTransferDestination"?: boolean;
}
export declare namespace ZoneTransferServer {
    function getJsonObj(obj: ZoneTransferServer): object;
    function getDeserializedJsonObj(obj: ZoneTransferServer): object;
}
