/**
 * Data Transfer Service API
 * Data Transfer Service API Specification
 * OpenAPI spec version: 1.0.017
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
export interface UpdateTransferApplianceDetails {
    "lifecycleState"?: UpdateTransferApplianceDetails.LifecycleState;
    "customerShippingAddress"?: model.ShippingAddress;
    /**
     * Expected return date from customer for the device, time portion should be zero.
     */
    "expectedReturnDate"?: Date;
    /**
     * Start time for the window to pickup the device from customer.
     */
    "pickupWindowStartTime"?: Date;
    /**
     * End time for the window to pickup the device from customer.
     */
    "pickupWindowEndTime"?: Date;
    /**
     * Minimum storage capacity of the device, in terabytes. Valid options are 50, 95 and 150. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minimumStorageCapacityInTerabytes"?: number;
}
export declare namespace UpdateTransferApplianceDetails {
    enum LifecycleState {
        Preparing = "PREPARING",
        Finalized = "FINALIZED",
        ReturnLabelRequested = "RETURN_LABEL_REQUESTED",
        ReturnLabelGenerating = "RETURN_LABEL_GENERATING",
        ReturnLabelAvailable = "RETURN_LABEL_AVAILABLE",
        Deleted = "DELETED",
        CustomerNeverReceived = "CUSTOMER_NEVER_RECEIVED",
        Cancelled = "CANCELLED"
    }
    function getJsonObj(obj: UpdateTransferApplianceDetails): object;
    function getDeserializedJsonObj(obj: UpdateTransferApplianceDetails): object;
}
