"use strict";
/**
 * Email Delivery API
 * Use the Email Delivery API to do the necessary set up to send high-volume and application-generated emails through the OCI Email Delivery service.
For more information, see [Overview of the Email Delivery Service](/iaas/Content/Email/Concepts/overview.htm).

 **Note:** Write actions (POST, UPDATE, DELETE) may take several minutes to propagate and be reflected by the API.
 If a subsequent read request fails to reflect your changes, wait a few minutes and try again.

 * OpenAPI spec version: 20170907
 * Contact: email-dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperationType = void 0;
/**
 * Possible operation types.
 **/
var OperationType;
(function (OperationType) {
    OperationType["CreateDkim"] = "CREATE_DKIM";
    OperationType["DeleteDkim"] = "DELETE_DKIM";
    OperationType["MoveDkim"] = "MOVE_DKIM";
    OperationType["UpdateDkim"] = "UPDATE_DKIM";
    OperationType["CreateEmailDomain"] = "CREATE_EMAIL_DOMAIN";
    OperationType["DeleteEmailDomain"] = "DELETE_EMAIL_DOMAIN";
    OperationType["MoveEmailDomain"] = "MOVE_EMAIL_DOMAIN";
    OperationType["UpdateEmailDomain"] = "UPDATE_EMAIL_DOMAIN";
    OperationType["CreateReturnPath"] = "CREATE_RETURN_PATH";
    OperationType["DeleteReturnPath"] = "DELETE_RETURN_PATH";
    OperationType["UpdateReturnPath"] = "UPDATE_RETURN_PATH";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    OperationType["UnknownValue"] = "UNKNOWN_VALUE";
})(OperationType = exports.OperationType || (exports.OperationType = {}));
(function (OperationType) {
    function getJsonObj(obj) {
        return obj;
    }
    OperationType.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    OperationType.getDeserializedJsonObj = getDeserializedJsonObj;
})(OperationType = exports.OperationType || (exports.OperationType = {}));
//# sourceMappingURL=operation-type.js.map