/**
 *
 *
 * OpenAPI spec version: 20170907
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/email/ListEmailReturnPaths.ts.html |here} to see how to use ListEmailReturnPathsRequest.
 */
export interface ListEmailReturnPathsRequest extends common.BaseRequest {
    /**
     * The request ID for tracing from the system
     */
    "opcRequestId"?: string;
    /**
     * The OCID for the compartment.
     */
    "compartmentId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Email Domain to which this Email Return Path belongs.
     *
     */
    "parentResourceId"?: string;
    /**
     * A filter to only return resources that match the given id exactly.
     *
     */
    "id"?: string;
    /**
     * A filter to only return resources that match the given name exactly.
     *
     */
    "name"?: string;
    /**
     * For list pagination. The maximum number of results per page, or items to return in a
     * paginated \"List\" call. {@code 1} is the minimum, {@code 1000} is the maximum. For important details about
     * how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "limit"?: number;
    /**
     * For list pagination. The value of the opc-next-page response header from the previous \"List\" call.
     * For important details about how pagination works,
     * see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending or descending order.
     *
     */
    "sortOrder"?: model.SortOrder;
    /**
     * Filter returned list by specified lifecycle state. This parameter is case-insensitive.
     *
     */
    "lifecycleState"?: string;
    /**
   * Specifies the attribute with which to sort the return paths.
  * <p>
  Default: {@code TIMECREATED}
  * <p>
  * **TIMECREATED:** Sorts by timeCreated.
  * * **NAME:** Sorts by name.
  * * **ID:** Sorts by id.
  *
   */
    "sortBy"?: ListEmailReturnPathsRequest.SortBy;
}
export declare namespace ListEmailReturnPathsRequest {
    enum SortBy {
        Timecreated = "TIMECREATED",
        Id = "ID",
        Name = "NAME"
    }
}
