/**
 * Email Delivery API
 * Use the Email Delivery API to do the necessary set up to send high-volume and application-generated emails through the OCI Email Delivery service.
For more information, see [Overview of the Email Delivery Service](/iaas/Content/Email/Concepts/overview.htm).

 **Note:** Write actions (POST, UPDATE, DELETE) may take several minutes to propagate and be reflected by the API.
 If a subsequent read request fails to reflect your changes, wait a few minutes and try again.

 * OpenAPI spec version: 20170907
 * Contact: email-dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ChangeEmailDomainCompartmentResponse from "./change-email-domain-compartment-response";
export import ChangeEmailDomainCompartmentResponse = ChangeEmailDomainCompartmentResponse.ChangeEmailDomainCompartmentResponse;
import * as ChangeSenderCompartmentResponse from "./change-sender-compartment-response";
export import ChangeSenderCompartmentResponse = ChangeSenderCompartmentResponse.ChangeSenderCompartmentResponse;
import * as CreateDkimResponse from "./create-dkim-response";
export import CreateDkimResponse = CreateDkimResponse.CreateDkimResponse;
import * as CreateEmailDomainResponse from "./create-email-domain-response";
export import CreateEmailDomainResponse = CreateEmailDomainResponse.CreateEmailDomainResponse;
import * as CreateEmailReturnPathResponse from "./create-email-return-path-response";
export import CreateEmailReturnPathResponse = CreateEmailReturnPathResponse.CreateEmailReturnPathResponse;
import * as CreateSenderResponse from "./create-sender-response";
export import CreateSenderResponse = CreateSenderResponse.CreateSenderResponse;
import * as CreateSuppressionResponse from "./create-suppression-response";
export import CreateSuppressionResponse = CreateSuppressionResponse.CreateSuppressionResponse;
import * as DeleteDkimResponse from "./delete-dkim-response";
export import DeleteDkimResponse = DeleteDkimResponse.DeleteDkimResponse;
import * as DeleteEmailDomainResponse from "./delete-email-domain-response";
export import DeleteEmailDomainResponse = DeleteEmailDomainResponse.DeleteEmailDomainResponse;
import * as DeleteEmailReturnPathResponse from "./delete-email-return-path-response";
export import DeleteEmailReturnPathResponse = DeleteEmailReturnPathResponse.DeleteEmailReturnPathResponse;
import * as DeleteSenderResponse from "./delete-sender-response";
export import DeleteSenderResponse = DeleteSenderResponse.DeleteSenderResponse;
import * as DeleteSuppressionResponse from "./delete-suppression-response";
export import DeleteSuppressionResponse = DeleteSuppressionResponse.DeleteSuppressionResponse;
import * as GetDkimResponse from "./get-dkim-response";
export import GetDkimResponse = GetDkimResponse.GetDkimResponse;
import * as GetEmailConfigurationResponse from "./get-email-configuration-response";
export import GetEmailConfigurationResponse = GetEmailConfigurationResponse.GetEmailConfigurationResponse;
import * as GetEmailDomainResponse from "./get-email-domain-response";
export import GetEmailDomainResponse = GetEmailDomainResponse.GetEmailDomainResponse;
import * as GetEmailReturnPathResponse from "./get-email-return-path-response";
export import GetEmailReturnPathResponse = GetEmailReturnPathResponse.GetEmailReturnPathResponse;
import * as GetSenderResponse from "./get-sender-response";
export import GetSenderResponse = GetSenderResponse.GetSenderResponse;
import * as GetSuppressionResponse from "./get-suppression-response";
export import GetSuppressionResponse = GetSuppressionResponse.GetSuppressionResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as ListDkimsResponse from "./list-dkims-response";
export import ListDkimsResponse = ListDkimsResponse.ListDkimsResponse;
import * as ListEmailDomainsResponse from "./list-email-domains-response";
export import ListEmailDomainsResponse = ListEmailDomainsResponse.ListEmailDomainsResponse;
import * as ListEmailReturnPathsResponse from "./list-email-return-paths-response";
export import ListEmailReturnPathsResponse = ListEmailReturnPathsResponse.ListEmailReturnPathsResponse;
import * as ListSendersResponse from "./list-senders-response";
export import ListSendersResponse = ListSendersResponse.ListSendersResponse;
import * as ListSuppressionsResponse from "./list-suppressions-response";
export import ListSuppressionsResponse = ListSuppressionsResponse.ListSuppressionsResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as UpdateDkimResponse from "./update-dkim-response";
export import UpdateDkimResponse = UpdateDkimResponse.UpdateDkimResponse;
import * as UpdateEmailDomainResponse from "./update-email-domain-response";
export import UpdateEmailDomainResponse = UpdateEmailDomainResponse.UpdateEmailDomainResponse;
import * as UpdateEmailReturnPathResponse from "./update-email-return-path-response";
export import UpdateEmailReturnPathResponse = UpdateEmailReturnPathResponse.UpdateEmailReturnPathResponse;
import * as UpdateSenderResponse from "./update-sender-response";
export import UpdateSenderResponse = UpdateSenderResponse.UpdateSenderResponse;
