/**
 * Email Delivery Submission API
 * Use the Email Delivery API to send high-volume and application-generated emails.
For more information, see [Overview of the Email Delivery Service](/iaas/Content/Email/Concepts/overview.htm).

 * OpenAPI spec version: 20220926
 * Contact: email-dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Response object that is returned to sender upon successfully submitting the email request.
 */
export interface EmailSubmittedResponse {
    /**
     * The unique ID for the email's Message-ID header used for service log correlation. The submission will return an error if the syntax is not a valid RFC 5322 Message-ID. This will be generated if not provided.
     * Example: sdiofu234qwermls24fd@mail.example.com
     *
     */
    "messageId": string;
    /**
     * Email Delivery generated unique Envelope ID of the email submission. If you need to contact Email Delivery about a particular request, please provide the Envelope ID.
     */
    "envelopeId": string;
    /**
     * Return list of suppressed email addresses.
     */
    "suppressedRecipients": Array<model.EmailAddress>;
}
export declare namespace EmailSubmittedResponse {
    function getJsonObj(obj: EmailSubmittedResponse): object;
    function getDeserializedJsonObj(obj: EmailSubmittedResponse): object;
}
