/**
 * Email Delivery Submission API
 * Use the Email Delivery API to send high-volume and application-generated emails.
For more information, see [Overview of the Email Delivery Service](/iaas/Content/Email/Concepts/overview.htm).

 * OpenAPI spec version: 20220926
 * Contact: email-dev_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The destination for the email, composed of To, CC, and BCC fields.
 * NOTE: At least one of To, CC, and BCC must be provided. And max 50 recipients are allowed across the To:, CC: and BCC: fields.
 *
 */
export interface Recipients {
    /**
     * Array of To address.
     */
    "to"?: Array<model.EmailAddress>;
    /**
     * Array of CC address.
     */
    "cc"?: Array<model.EmailAddress>;
    /**
     * Array of BCC address. Bcc headers can only be viewed by non bcc recipients.
     */
    "bcc"?: Array<model.EmailAddress>;
}
export declare namespace Recipients {
    function getJsonObj(obj: Recipients): object;
    function getDeserializedJsonObj(obj: Recipients): object;
}
