/**
 * EM Warehouse API
 * Use the EM Warehouse API to manage EM Warehouse data collection.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The resource usage information.
 */
export interface ResourceUsage {
    /**
     * operations Insights Warehouse Identifier
     */
    "operationsInsightsWarehouseId": string;
    /**
     * Unique identifier that is immutable on creation
     */
    "id": string;
    /**
     * EmInstanceCount Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "emInstanceCount"?: number;
    /**
     * EmInstance Target count Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "targetsCount"?: number;
    /**
     * List of emInstances
     */
    "emInstances"?: Array<model.EmInstancesDetails>;
    /**
     * schema name
     */
    "schemaName"?: string;
}
export declare namespace ResourceUsage {
    function getJsonObj(obj: ResourceUsage): object;
    function getDeserializedJsonObj(obj: ResourceUsage): object;
}
