/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/events/ListRules.ts.html |here} to see how to use ListRulesRequest.
 */
export interface ListRulesRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment to which this rule belongs.
     *
     */
    "compartmentId": string;
    /**
     * The maximum number of items to return. 1 is the minimum, 50 is the maximum.
     * Default: 10
     *
     */
    "limit"?: number;
    /**
     * For list pagination. The value of the opc-next-page response header from the previous
     * \"List\" call. For important details about how pagination works, see
     * [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
   * A filter to return only rules that match the lifecycle state in this parameter.
  * <p>
  Example: {@code Creating}
  *
   */
    "lifecycleState"?: string;
    /**
   * A filter to return only rules with descriptions that match the displayName string
  * in this parameter.
  * <p>
  Example: {@code \"This rule sends a notification upon completion of DbaaS backup.\"}
  *
   */
    "displayName"?: string;
    /**
   * Specifies the attribute with which to sort the rules.
  * <p>
  Default: {@code timeCreated}
  * <p>
  * **TIME_CREATED:** Sorts by timeCreated.
  * * **DISPLAY_NAME:** Sorts by displayName.
  * * **ID:** Sorts by id.
  *
   */
    "sortBy"?: ListRulesRequest.SortBy;
    /**
     * Specifies sort order.
     * <p>
     * **ASC:** Ascending sort order.
     * * **DESC:** Descending sort order.
     *
     */
    "sortOrder"?: ListRulesRequest.SortOrder;
    /**
     * The unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListRulesRequest {
    enum SortBy {
        TimeCreated = "TIME_CREATED",
        Id = "ID",
        DisplayName = "DISPLAY_NAME"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
