/**
 * File Storage API
 * Use the File Storage service API to manage file systems, mount targets, and snapshots.
For more information, see [Overview of File Storage](/iaas/Content/File/Concepts/filestorageoverview.htm).

 * OpenAPI spec version: 20171215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Secret details of keytabs in Vault.
 */
export interface KeyTabSecretDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the keytab secret in the Vault.
     */
    "keyTabSecretId": string;
    /**
     * Version of the keytab secret in the Vault to use. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "currentKeyTabSecretVersion": number;
    /**
     * Version of the keytab secret in the Vault to use as a backup. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "backupKeyTabSecretVersion"?: number;
}
export declare namespace KeyTabSecretDetails {
    function getJsonObj(obj: KeyTabSecretDetails): object;
    function getDeserializedJsonObj(obj: KeyTabSecretDetails): object;
}
