/**
 * File Storage API
 * Use the File Storage service API to manage file systems, mount targets, and snapshots.
For more information, see [Overview of File Storage](/iaas/Content/File/Concepts/filestorageoverview.htm).

 * OpenAPI spec version: 20171215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for updating the export.
 */
export interface UpdateExportDetails {
    /**
     * Whether or not the export should use ID mapping for Unix groups rather than the group list provided within an NFS request's RPC header. When this flag is true the Unix UID from the RPC header is used to retrieve the list of secondary groups from a the ID mapping subsystem. The primary GID is always taken from the RPC header. If ID mapping is not configured, incorrectly configured, unavailable, or cannot be used to determine a list of secondary groups then an empty secondary group list is used for authorization. If the number of groups exceeds the limit of 256 groups, the list retrieved from LDAP is truncated to the first 256 groups read.
     */
    "isIdmapGroupsForSysAuth"?: boolean;
    /**
      * New export options for the export.
  * <p>
  **Setting to the empty array will make the export invisible to all clients.**
  * <p>
  Leaving unset will leave the {@code exportOptions} unchanged.
  *
      */
    "exportOptions"?: Array<model.ClientOptions>;
}
export declare namespace UpdateExportDetails {
    function getJsonObj(obj: UpdateExportDetails): object;
    function getDeserializedJsonObj(obj: UpdateExportDetails): object;
}
