/**
 *
 *
 * OpenAPI spec version: 20171215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/filestorage/DeleteReplication.ts.html |here} to see how to use DeleteReplicationRequest.
 */
export interface DeleteReplicationRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the replication.
     */
    "replicationId": string;
    /**
     * For optimistic concurrency control. In the PUT or DELETE call
     * for a resource, set the {@code if-match} parameter to the value of the
     * etag from a previous GET or POST response for that resource.
     * The resource will be updated or deleted only if the etag you
     * provide matches the resource's current etag value.
     *
     */
    "ifMatch"?: string;
    /**
     * Unique identifier for the request.
     * If you need to contact Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * You can choose a mode for deleting the replication resource.
     * - {@code FINISH_CYCLE_IF_CAPTURING_OR_APPLYING} Before deleting, complete the current delta cycle. If cycle is idle, delete immediately. Safest option.
     * - {@code ONE_MORE_CYCLE} Before deleting, complete the current delta cycle, and initiate one more cycle. If cycle is idle, initiate one more cycle. Use for lossless failover.
     * - {@code FINISH_CYCLE_IF_APPLYING} Before deleting, finish applying. If cycle is idle or capturing, delete immediately. Fastest option.
     *
     */
    "deleteMode"?: DeleteReplicationRequest.DeleteMode;
}
export declare namespace DeleteReplicationRequest {
    enum DeleteMode {
        FinishCycleIfCapturingOrApplying = "FINISH_CYCLE_IF_CAPTURING_OR_APPLYING",
        OneMoreCycle = "ONE_MORE_CYCLE",
        FinishCycleIfApplying = "FINISH_CYCLE_IF_APPLYING"
    }
}
