/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * 'DB' type Exadata Fleet Update Collection details.
 *
 */
export interface DbCollection extends model.FsuCollection {
    /**
     * Database Major Version of targets to be included in the Exadata Fleet Update Collection.
     * https://docs.oracle.com/en-us/iaas/api/#/en/database/20160918/DbVersionSummary/ListDbVersions
     * Only Database targets that match the version specified in this value would be added to the Exadata Fleet Update Collection.
     *
     */
    "sourceMajorVersion": model.DbSourceMajorVersions;
    "fleetDiscovery": model.DbDiscoveryResults | model.DbSearchQueryDiscovery | model.DbTargetListDiscovery | model.DbFiltersDiscovery;
    "type": string;
}
export declare namespace DbCollection {
    function getJsonObj(obj: DbCollection, isParentJsonObj?: boolean): object;
    const type = "DB";
    function getDeserializedJsonObj(obj: DbCollection, isParentJsonObj?: boolean): object;
}
