"use strict";
/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DbFleetDiscoveryFilter = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var DbFleetDiscoveryFilter;
(function (DbFleetDiscoveryFilter) {
    let Mode;
    (function (Mode) {
        Mode["Include"] = "INCLUDE";
        Mode["Exclude"] = "EXCLUDE";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Mode["UnknownValue"] = "UNKNOWN_VALUE";
    })(Mode = DbFleetDiscoveryFilter.Mode || (DbFleetDiscoveryFilter.Mode = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "DEFINED_TAG":
                    return model.DbDefinedTagsFilter.getJsonObj(jsonObj, true);
                case "DB_UNIQUE_NAME":
                    return model.DbUniqueNameFilter.getJsonObj(jsonObj, true);
                case "VERSION":
                    return model.DbVersionFilter.getJsonObj(jsonObj, true);
                case "RESOURCE_ID":
                    return model.DbResourceIdFilter.getJsonObj(jsonObj, true);
                case "DB_HOME_NAME":
                    return model.DbHomeNameFilter.getJsonObj(jsonObj, true);
                case "COMPARTMENT_ID":
                    return model.DbCompartmentIdFilter.getJsonObj(jsonObj, true);
                case "DB_NAME":
                    return model.DbNameFilter.getJsonObj(jsonObj, true);
                case "FREEFORM_TAG":
                    return model.DbFreeformTagsFilter.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    DbFleetDiscoveryFilter.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "DEFINED_TAG":
                    return model.DbDefinedTagsFilter.getDeserializedJsonObj(jsonObj, true);
                case "DB_UNIQUE_NAME":
                    return model.DbUniqueNameFilter.getDeserializedJsonObj(jsonObj, true);
                case "VERSION":
                    return model.DbVersionFilter.getDeserializedJsonObj(jsonObj, true);
                case "RESOURCE_ID":
                    return model.DbResourceIdFilter.getDeserializedJsonObj(jsonObj, true);
                case "DB_HOME_NAME":
                    return model.DbHomeNameFilter.getDeserializedJsonObj(jsonObj, true);
                case "COMPARTMENT_ID":
                    return model.DbCompartmentIdFilter.getDeserializedJsonObj(jsonObj, true);
                case "DB_NAME":
                    return model.DbNameFilter.getDeserializedJsonObj(jsonObj, true);
                case "FREEFORM_TAG":
                    return model.DbFreeformTagsFilter.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    DbFleetDiscoveryFilter.getDeserializedJsonObj = getDeserializedJsonObj;
})(DbFleetDiscoveryFilter = exports.DbFleetDiscoveryFilter || (exports.DbFleetDiscoveryFilter = {}));
//# sourceMappingURL=db-fleet-discovery-filter.js.map