"use strict";
/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FsuCycle = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var FsuCycle;
(function (FsuCycle) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "nextActionToExecute": obj.nextActionToExecute
                ? obj.nextActionToExecute.map(item => {
                    return model.NextActionToExecuteDetails.getJsonObj(item);
                })
                : undefined,
            "goalVersionDetails": obj.goalVersionDetails
                ? model.FsuGoalVersionDetails.getJsonObj(obj.goalVersionDetails)
                : undefined,
            "batchingStrategy": obj.batchingStrategy
                ? model.BatchingStrategyDetails.getJsonObj(obj.batchingStrategy)
                : undefined,
            "stageActionSchedule": obj.stageActionSchedule
                ? model.ScheduleDetails.getJsonObj(obj.stageActionSchedule)
                : undefined,
            "applyActionSchedule": obj.applyActionSchedule
                ? model.ScheduleDetails.getJsonObj(obj.applyActionSchedule)
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "PATCH":
                    return model.PatchFsuCycle.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    FsuCycle.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "nextActionToExecute": obj.nextActionToExecute
                ? obj.nextActionToExecute.map(item => {
                    return model.NextActionToExecuteDetails.getDeserializedJsonObj(item);
                })
                : undefined,
            "goalVersionDetails": obj.goalVersionDetails
                ? model.FsuGoalVersionDetails.getDeserializedJsonObj(obj.goalVersionDetails)
                : undefined,
            "batchingStrategy": obj.batchingStrategy
                ? model.BatchingStrategyDetails.getDeserializedJsonObj(obj.batchingStrategy)
                : undefined,
            "stageActionSchedule": obj.stageActionSchedule
                ? model.ScheduleDetails.getDeserializedJsonObj(obj.stageActionSchedule)
                : undefined,
            "applyActionSchedule": obj.applyActionSchedule
                ? model.ScheduleDetails.getDeserializedJsonObj(obj.applyActionSchedule)
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "PATCH":
                    return model.PatchFsuCycle.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    FsuCycle.getDeserializedJsonObj = getDeserializedJsonObj;
})(FsuCycle = exports.FsuCycle || (exports.FsuCycle = {}));
//# sourceMappingURL=fsu-cycle.js.map