"use strict";
/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FsuGoalVersionDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var FsuGoalVersionDetails;
(function (FsuGoalVersionDetails) {
    let HomePolicy;
    (function (HomePolicy) {
        HomePolicy["CreateNew"] = "CREATE_NEW";
        HomePolicy["UseExisting"] = "USE_EXISTING";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        HomePolicy["UnknownValue"] = "UNKNOWN_VALUE";
    })(HomePolicy = FsuGoalVersionDetails.HomePolicy || (FsuGoalVersionDetails.HomePolicy = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "VERSION":
                    return model.VersionFsuTargetDetails.getJsonObj(jsonObj, true);
                case "IMAGE_ID":
                    return model.ImageIdFsuTargetDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    FsuGoalVersionDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "VERSION":
                    return model.VersionFsuTargetDetails.getDeserializedJsonObj(jsonObj, true);
                case "IMAGE_ID":
                    return model.ImageIdFsuTargetDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    FsuGoalVersionDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(FsuGoalVersionDetails = exports.FsuGoalVersionDetails || (exports.FsuGoalVersionDetails = {}));
//# sourceMappingURL=fsu-goal-version-details.js.map