/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the next Exadata Fleet Update Action to execute in a Maintenance Cycle.
 *
 */
export interface NextActionToExecuteDetails {
    /**
     * Type of Exadata Fleet Update Action
     *
     */
    "type": model.DetailedActionTypes;
    /**
     * The date and time the Exadata Fleet Update Action is expected to start. Null if no Action has been scheduled.
     * [RFC 3339](https://tools.ietf.org/rfc/rfc3339), section 14.29.
     *
     */
    "timeToStart"?: Date;
}
export declare namespace NextActionToExecuteDetails {
    function getJsonObj(obj: NextActionToExecuteDetails): object;
    function getDeserializedJsonObj(obj: NextActionToExecuteDetails): object;
}
