/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible operation types.
 **/
export declare enum OperationType {
    CreateDiscovery = "CREATE_DISCOVERY",
    DeleteDiscovery = "DELETE_DISCOVERY",
    CreateCollection = "CREATE_COLLECTION",
    UpdateCollection = "UPDATE_COLLECTION",
    DeleteCollection = "DELETE_COLLECTION",
    MoveCollection = "MOVE_COLLECTION",
    AddTargetsToCollection = "ADD_TARGETS_TO_COLLECTION",
    RemoveTargetsInCollection = "REMOVE_TARGETS_IN_COLLECTION",
    CreateMaintenanceCycle = "CREATE_MAINTENANCE_CYCLE",
    UpdateMaintenanceCycle = "UPDATE_MAINTENANCE_CYCLE",
    DeleteMaintenanceCycle = "DELETE_MAINTENANCE_CYCLE",
    MoveMaintenanceCycle = "MOVE_MAINTENANCE_CYCLE",
    CloneMaintenanceCycle = "CLONE_MAINTENANCE_CYCLE",
    CreateAction = "CREATE_ACTION",
    UpdateAction = "UPDATE_ACTION",
    DeleteAction = "DELETE_ACTION",
    MoveAction = "MOVE_ACTION",
    PatchAction = "PATCH_ACTION",
    CleanupAction = "CLEANUP_ACTION",
    RollbackAndRemoveAction = "ROLLBACK_AND_REMOVE_ACTION",
    ApplyAction = "APPLY_ACTION",
    PrecheckAction = "PRECHECK_ACTION",
    StageAction = "STAGE_ACTION",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace OperationType {
    function getJsonObj(obj: OperationType): OperationType;
    function getDeserializedJsonObj(obj: OperationType): OperationType;
}
