/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Rollback Exadata Fleet Update Action details.
 * This would rollback the specified targets to the source version before patching and remove them from the Collection.
 *
 */
export interface RollbackAction extends model.FsuAction {
    /**
     * OCID identifier for the Exadata Fleet Update Cycle the Action will be part of.
     *
     */
    "fsuCycleId": string;
    /**
     * OCID identifier for the Exadata Fleet Update Action.
     *
     */
    "relatedFsuActionId"?: string;
    "scheduleDetails"?: model.StartTimeScheduleDetails;
    "progress"?: model.FsuActionProgressDetails;
    "details"?: model.ListOfTargetsRollbackDetails | model.FailedJobsRollbackDetails;
    "type": string;
}
export declare namespace RollbackAction {
    function getJsonObj(obj: RollbackAction, isParentJsonObj?: boolean): object;
    const type = "ROLLBACK_AND_REMOVE_TARGET";
    function getDeserializedJsonObj(obj: RollbackAction, isParentJsonObj?: boolean): object;
}
