/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of a target member of a Exadata Fleet Update Collection.
 *
 */
export interface TargetSummary {
    "target"?: model.VmClusterTargetSummary | model.CloudVmClusterTargetSummary | model.DatabaseTargetSummary;
    /**
     * Current version of the target
     *
     */
    "currentVersion"?: string;
    /**
     * Status of the target in the Exadata Fleet Update Collection.
     *
     */
    "status"?: TargetSummary.Status;
    /**
     * Exadata Fleet Update Job OCID executing an action in the target. Null if no job is being executed.
     *
     */
    "executingFsuJobId"?: string;
    /**
     * Active Exadata Fleet Update Cycle OCID. Null if no Cycle is active that has this target as member.
     *
     */
    "activeFsuCycleId"?: string;
    "progress"?: model.TargetProgressSummary;
}
export declare namespace TargetSummary {
    enum Status {
        Idle = "IDLE",
        ExecutingJob = "EXECUTING_JOB",
        JobFailed = "JOB_FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TargetSummary): object;
    function getDeserializedJsonObj(obj: TargetSummary): object;
}
