"use strict";
/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateBatchingStrategyDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var UpdateBatchingStrategyDetails;
(function (UpdateBatchingStrategyDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "SEQUENTIAL":
                    return model.UpdateSequentialBatchingStrategyDetails.getJsonObj(jsonObj, true);
                case "NON_ROLLING":
                    return model.UpdateNonRollingBatchingStrategyDetails.getJsonObj(jsonObj, true);
                case "SERVICE_AVAILABILITY_FACTOR":
                    return model.UpdateServiceAvailabilityFactorBatchingStrategyDetails.getJsonObj(jsonObj, true);
                case "FIFTY_FIFTY":
                    return model.UpdateFiftyFiftyBatchingStrategyDetails.getJsonObj(jsonObj, true);
                case "NONE":
                    return model.NoneBatchingStrategyDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    UpdateBatchingStrategyDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "SEQUENTIAL":
                    return model.UpdateSequentialBatchingStrategyDetails.getDeserializedJsonObj(jsonObj, true);
                case "NON_ROLLING":
                    return model.UpdateNonRollingBatchingStrategyDetails.getDeserializedJsonObj(jsonObj, true);
                case "SERVICE_AVAILABILITY_FACTOR":
                    return model.UpdateServiceAvailabilityFactorBatchingStrategyDetails.getDeserializedJsonObj(jsonObj, true);
                case "FIFTY_FIFTY":
                    return model.UpdateFiftyFiftyBatchingStrategyDetails.getDeserializedJsonObj(jsonObj, true);
                case "NONE":
                    return model.NoneBatchingStrategyDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    UpdateBatchingStrategyDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(UpdateBatchingStrategyDetails = exports.UpdateBatchingStrategyDetails || (exports.UpdateBatchingStrategyDetails = {}));
//# sourceMappingURL=update-batching-strategy-details.js.map