/**
 *
 *
 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/fleetsoftwareupdate/ListFsuDiscoveryTargets.ts.html |here} to see how to use ListFsuDiscoveryTargetsRequest.
 */
export interface ListFsuDiscoveryTargetsRequest extends common.BaseRequest {
    /**
     * Unique Exadata Fleet Update Discovery identifier.
     *
     */
    "fsuDiscoveryId": string;
    /**
     * The ID of the compartment in which to list resources.
     *
     */
    "compartmentId"?: string;
    /**
     * A filter to return a resource whose target OCID matches the given OCID.
     *
     */
    "targetId"?: string;
    /**
     * A filter to return only entries whose status matches the given status.
     *
     */
    "status"?: ListFsuDiscoveryTargetsRequest.Status;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results.
     * This must come from the {@code opc-next-page} header field of a previous response.
     *
     */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided.
     *
     */
    "sortBy"?: ListFsuDiscoveryTargetsRequest.SortBy;
    /**
     * The client request ID for tracing.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListFsuDiscoveryTargetsRequest {
    enum Status {
        Idle = "IDLE",
        ExecutingJob = "EXECUTING_JOB",
        JobFailed = "JOB_FAILED"
    }
    enum SortBy {
        CurrentVersion = "currentVersion",
        Status = "status"
    }
}
