/**
 * Functions Service API
 * API for the Functions service.

 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details about the required and optional Function configurations needed for proper performance of the PBF.
 */
export interface ConfigDetails {
    /**
     * The key name of the config param.
     */
    "key": string;
    /**
     * Details about why this config is required and what it will be used for.
     */
    "description": string;
    /**
     * Is this a required config or an optional one. Requests with required config params missing will be rejected.
     */
    "isOptional"?: boolean;
}
export declare namespace ConfigDetails {
    function getJsonObj(obj: ConfigDetails): object;
    function getDeserializedJsonObj(obj: ConfigDetails): object;
}
