/**
 * Functions Service API
 * API for the Functions service.

 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The source of the Function which is based on a Pre-Built Function Listing (PbfListing).
 *
 */
export interface PreBuiltFunctionSourceDetails extends model.FunctionSourceDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the PbfListing this
     * function is sourced from.
     *
     */
    "pbfListingId": string;
    "sourceType": string;
}
export declare namespace PreBuiltFunctionSourceDetails {
    function getJsonObj(obj: PreBuiltFunctionSourceDetails, isParentJsonObj?: boolean): object;
    const sourceType = "PRE_BUILT_FUNCTIONS";
    function getDeserializedJsonObj(obj: PreBuiltFunctionSourceDetails, isParentJsonObj?: boolean): object;
}
