/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/functions/ListPbfListingVersions.ts.html |here} to see how to use ListPbfListingVersionsRequest.
 */
export interface ListPbfListingVersionsRequest extends common.BaseRequest {
    /**
     * unique PbfListing identifier
     */
    "pbfListingId": string;
    /**
     * unique PbfListingVersion identifier
     */
    "pbfListingVersionId"?: string;
    /**
     * Matches a PbfListingVersion based on a provided semantic version name for a PbfListingVersion.
     * Each PbfListingVersion name is unique with respect to its associated PbfListing.
     *
     */
    "name"?: string;
    /**
     * Matches the current version (the most recently added version with an Active
     * lifecycleState) associated with a PbfListing.
     *
     */
    "isCurrentVersion"?: boolean;
    /**
     * A filter to return only resources their lifecycleState matches the given lifecycleState.
     */
    "lifecycleState"?: string;
    /**
   * The maximum number of items to return. 1 is the minimum, 50 is the maximum.
  * <p>
  Default: 10
  *
   */
    "limit"?: number;
    /**
     * The pagination token for a list query returned by a previous operation
     *
     */
    "page"?: string;
    /**
     * Specifies sort order.
     * <p>
     * **ASC:** Ascending sort order.
     * * **DESC:** Descending sort order.
     *
     */
    "sortOrder"?: ListPbfListingVersionsRequest.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending.
     *
     */
    "sortBy"?: ListPbfListingVersionsRequest.SortBy;
    /**
     * The unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListPbfListingVersionsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        TimeCreated = "timeCreated",
        Name = "name"
    }
}
