/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/functions/ListPbfListings.ts.html |here} to see how to use ListPbfListingsRequest.
 */
export interface ListPbfListingsRequest extends common.BaseRequest {
    /**
     * unique PbfListing identifier
     */
    "pbfListingId"?: string;
    /**
     * A filter to return only resources that match the entire PBF name given.
     */
    "name"?: string;
    /**
     * A filter to return only resources that contain the supplied filter text in the PBF name given.
     */
    "nameContains"?: string;
    /**
     * A filter to return only resources that start with the supplied filter text in the PBF name given.
     */
    "nameStartsWith"?: string;
    /**
     * A filter to return only resources that match the service trigger sources of a PBF.
     */
    "trigger"?: Array<string>;
    /**
     * A filter to return only resources their lifecycleState matches the given lifecycleState.
     */
    "lifecycleState"?: string;
    /**
   * The maximum number of items to return. 1 is the minimum, 50 is the maximum.
  * <p>
  Default: 10
  *
   */
    "limit"?: number;
    /**
     * The pagination token for a list query returned by a previous operation
     *
     */
    "page"?: string;
    /**
     * Specifies sort order.
     * <p>
     * **ASC:** Ascending sort order.
     * * **DESC:** Descending sort order.
     *
     */
    "sortOrder"?: ListPbfListingsRequest.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending.
     *
     */
    "sortBy"?: ListPbfListingsRequest.SortBy;
    /**
     * The unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListPbfListingsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        TimeCreated = "timeCreated",
        Name = "name"
    }
}
