/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object that represents the action of configuring an access control rule. Access control rules permit access
 * to application resources based on user-specified match conditions. This rule applies only to HTTP listeners.
 * **NOTES:**
 * *  If you do not specify any access control rules, the default rule is to allow all traffic.
 * *  If you add access control rules, the load balancer denies any traffic that does not match the rules.
 * *  Maximum of two match conditions can be specified in a rule.
 * *  You can specify this rule only with the following {@code RuleCondition} combinations:
 * *  {@code SOURCE_IP_ADDRESS}
 * *  {@code SOURCE_VCN_ID}
 * *  {@code SOURCE_VCN_ID\", \"SOURCE_VCN_IP_ADDRESS}
 *
 */
export interface AllowRule extends model.Rule {
    "conditions": Array<model.RuleCondition>;
    /**
     * A brief description of the access control rule. Avoid entering confidential information.
     * example: {@code 192.168.0.0/16 and 2001:db8::/32 are trusted clients. Whitelist them.}
     *
     */
    "description"?: string;
    "action": string;
}
export declare namespace AllowRule {
    function getJsonObj(obj: AllowRule, isParentJsonObj?: boolean): object;
    const action = "ALLOW";
    function getDeserializedJsonObj(obj: AllowRule, isParentJsonObj?: boolean): object;
}
