/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Status of capabilities that can be enabled for an environment family.
 */
export interface Capabilities {
    /**
     * Indicates whether data masking is enabled for the environment family. When enabled, data masking activities are supported.
     */
    "isDataMaskingEnabled"?: boolean;
    /**
     * Indicates whether Break Glass is enabled for the environment family.
     */
    "isBreakGlassEnabled"?: boolean;
    /**
     * Indicates whether customers can use their own encryption keys.
     */
    "isByokEnabled"?: boolean;
}
export declare namespace Capabilities {
    function getJsonObj(obj: Capabilities): object;
    function getDeserializedJsonObj(obj: Capabilities): object;
}
