/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The configuration details of the FusionEnvironment. For more information about these fields, see [Managing Environments](https://docs.cloud.oracle.com/iaas/Content/fusion-applications/manage-environment.htm).
 */
export interface CreateFusionEnvironmentDetails {
    /**
     * FusionEnvironment Identifier can be renamed.
     */
    "displayName": string;
    "maintenancePolicy"?: model.MaintenancePolicy;
    /**
     * The unique identifier (OCID) of the compartment where the Fusion Environment is located.
     */
    "compartmentId": string;
    /**
     * The unique identifier (OCID) of the Fusion Environment Family that the Fusion Environment belongs to.
     */
    "fusionEnvironmentFamilyId": string;
    /**
     * The type of environment. Valid values are Production, Test, or Development.
     */
    "fusionEnvironmentType": string;
    /**
     * byok kms keyId
     */
    "kmsKeyId"?: string;
    /**
     * DNS prefix.
     */
    "dnsPrefix"?: string;
    /**
     * Language packs.
     */
    "additionalLanguagePacks"?: Array<string>;
    /**
     * Rules.
     */
    "rules"?: Array<model.Rule>;
    "createFusionEnvironmentAdminUserDetails": model.CreateFusionEnvironmentAdminUserDetails;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateFusionEnvironmentDetails {
    function getJsonObj(obj: CreateFusionEnvironmentDetails): object;
    function getDeserializedJsonObj(obj: CreateFusionEnvironmentDetails): object;
}
