/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The policy that specifies the maintenance and upgrade preferences for an environment. For more information about the options, see [Understanding Environment Maintenance](https://docs.cloud.oracle.com/iaas/Content/fusion-applications/plan-environment-family.htm#about-env-maintenance).
 */
export interface FamilyMaintenancePolicy {
    /**
     * The quarterly maintenance month group schedule of the Fusion environment family.
     */
    "quarterlyUpgradeBeginTimes"?: string;
    /**
     * When True, monthly patching is enabled for the environment family.
     */
    "isMonthlyPatchingEnabled"?: boolean;
    /**
     * Option to upgrade both production and non-production environments at the same time. When set to PROD both types of environnments are upgraded on the production schedule. When set to NON_PROD both types of environments are upgraded on the non-production schedule.
     */
    "concurrentMaintenance"?: FamilyMaintenancePolicy.ConcurrentMaintenance;
}
export declare namespace FamilyMaintenancePolicy {
    enum ConcurrentMaintenance {
        Prod = "PROD",
        NonProd = "NON_PROD",
        Disabled = "DISABLED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: FamilyMaintenancePolicy): object;
    function getDeserializedJsonObj(obj: FamilyMaintenancePolicy): object;
}
