/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The policy that specifies the maintenance and upgrade preferences for an environment. For more information about the options, see [Understanding Environment Maintenance](https://docs.cloud.oracle.com/iaas/Content/fusion-applications/plan-environment-family.htm#about-env-maintenance).
 */
export interface GetMaintenancePolicyDetails {
    "quarterlyUpgradeBeginTimes"?: model.QuarterlyUpgradeBeginTimes;
    /**
     * Whether the Fusion environment will be updated monthly or updated on the quarterly cycle. This setting overrides the monthly patching setting of its Fusion environment family.
     */
    "monthlyPatchingOverride"?: string;
    /**
     * User choice to upgrade both production and non-production environments at the same time. Overrides the Fusion environment family setting.
     */
    "environmentMaintenanceOverride"?: string;
}
export declare namespace GetMaintenancePolicyDetails {
    function getJsonObj(obj: GetMaintenancePolicyDetails): object;
    function getDeserializedJsonObj(obj: GetMaintenancePolicyDetails): object;
}
