/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Determines the quarterly upgrade begin times (monthly maintenance group schedule ) of the Fusion environment.
 */
export interface QuarterlyUpgradeBeginTimes {
    /**
     * Determines if the maintenance schedule of the Fusion environment is inherited from the Fusion environment family.
     */
    "overrideType"?: QuarterlyUpgradeBeginTimes.OverrideType;
    /**
     * The frequency and month when maintenance occurs for the Fusion environment.
     */
    "beginTimesValue"?: string;
}
export declare namespace QuarterlyUpgradeBeginTimes {
    enum OverrideType {
        Overridden = "OVERRIDDEN",
        Inherited = "INHERITED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: QuarterlyUpgradeBeginTimes): object;
    function getDeserializedJsonObj(obj: QuarterlyUpgradeBeginTimes): object;
}
