/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the refresh activity.
 */
export interface RefreshActivitySummary {
    /**
     * The unique identifier (OCID) of the refresh activity. Can't be changed after creation.
     */
    "id": string;
    /**
     * A friendly name for the refresh activity. Can be changed later.
     */
    "displayName": string;
    /**
     * The OCID of the Fusion environment that is the source environment for the refresh.
     */
    "sourceFusionEnvironmentId": string;
    /**
     * The date and time of the most recent source environment backup used for the environment refresh.
     */
    "timeOfRestorationPoint"?: Date;
    /**
     * The current state of the refresh activity. Valid values are Scheduled, In progress , Failed, Completed.
     */
    "lifecycleState": string;
    /**
     * The time the refresh activity is scheduled to start. An RFC3339 formatted datetime string.
     */
    "timeScheduledStart": Date;
    /**
     * The time the refresh activity is scheduled to end. An RFC3339 formatted datetime string.
     */
    "timeExpectedFinish": Date;
    /**
     * The time the refresh activity actually completed / cancelled / failed. An RFC3339 formatted datetime string.
     */
    "timeFinished"?: Date;
    /**
     * Service availability / impact during refresh activity execution, up down
     */
    "serviceAvailability": string;
    /**
     * The time the refresh activity record was created. An RFC3339 formatted datetime string.
     */
    "timeAccepted"?: Date;
    /**
     * The time the refresh activity record was updated. An RFC3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * Details of refresh investigation information, each item represents a different issue.
     */
    "refreshIssueDetailsList"?: Array<model.RefreshIssueDetails>;
}
export declare namespace RefreshActivitySummary {
    function getJsonObj(obj: RefreshActivitySummary): object;
    function getDeserializedJsonObj(obj: RefreshActivitySummary): object;
}
