/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the ServiceInstance.
 */
export interface ServiceAttachmentSummary {
    /**
     * Unique identifier that is immutable on creation
     */
    "id": string;
    /**
     * ServiceInstance Identifier, can be renamed
     */
    "displayName": string;
    /**
     * Type of the service.
     */
    "serviceInstanceType": string;
    /**
     * The ID of the service instance created that can be used to identify this on the service control plane
     */
    "serviceInstanceId"?: string;
    /**
     * Service URL of the instance
     */
    "serviceUrl"?: string;
    /**
     * The time the service instance was created. An RFC3339 formatted datetime string
     */
    "timeCreated"?: Date;
    /**
     * The time the serivce instance was updated. An RFC3339 formatted datetime string
     */
    "timeUpdated"?: Date;
    /**
     * The current state of the ServiceInstance.
     */
    "lifecycleState": string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * Whether this service is provisioned due to the customer being subscribed to a specific SKU
     */
    "isSkuBased": boolean;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace ServiceAttachmentSummary {
    function getJsonObj(obj: ServiceAttachmentSummary): object;
    function getDeserializedJsonObj(obj: ServiceAttachmentSummary): object;
}
