/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An access control rule condition that requires a match on the specified source IP address or address range.
 *
 */
export interface SourceIpAddressCondition extends model.RuleCondition {
    /**
     * An IPv4 or IPv6 address range that the source IP address of an incoming packet must match.
     * The service accepts only classless inter-domain routing (CIDR) format (x.x.x.x/y or x:x::x/y) strings.
     * Specify 0.0.0.0/0 or ::/0 to match all incoming traffic.
     * example: \"192.168.0.0/16\"
     *
     */
    "attributeValue": string;
    "attributeName": string;
}
export declare namespace SourceIpAddressCondition {
    function getJsonObj(obj: SourceIpAddressCondition, isParentJsonObj?: boolean): object;
    const attributeName = "SOURCE_IP_ADDRESS";
    function getDeserializedJsonObj(obj: SourceIpAddressCondition, isParentJsonObj?: boolean): object;
}
