/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An access control rule condition that requires a match on the specified source VCN OCID.
 *
 */
export interface SourceVcnIdCondition extends model.RuleCondition {
    /**
     * The OCID of the originating VCN that an incoming packet must match.
     * You can use this condition in conjunction with {@code SourceVcnIpAddressCondition}.
     * **NOTE:** If you define this condition for a rule without a {@code SourceVcnIpAddressCondition}, this condition
     * matches all incoming traffic in the specified VCN.
     *
     */
    "attributeValue": string;
    "attributeName": string;
}
export declare namespace SourceVcnIdCondition {
    function getJsonObj(obj: SourceVcnIdCondition, isParentJsonObj?: boolean): object;
    const attributeName = "SOURCE_VCN_ID";
    function getDeserializedJsonObj(obj: SourceVcnIdCondition, isParentJsonObj?: boolean): object;
}
