/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An access control rule condition that requires a match on the specified source VCN and IP address range.
 * This condition must be used only in conjunction with {@code SourceVcnIdCondition}.
 *
 */
export interface SourceVcnIpAddressCondition extends model.RuleCondition {
    /**
     * An IPv4 address range that the original client IP address (in the context of the specified VCN) of an
     * incoming packet must match.
     * The service accepts only classless inter-domain routing (CIDR) format (x.x.x.x/y) strings.
     * Specify 0.0.0.0/0 to match all incoming traffic in the customer VCN.
     *
     */
    "attributeValue": string;
    "attributeName": string;
}
export declare namespace SourceVcnIpAddressCondition {
    function getJsonObj(obj: SourceVcnIpAddressCondition, isParentJsonObj?: boolean): object;
    const attributeName = "SOURCE_VCN_IP_ADDRESS";
    function getDeserializedJsonObj(obj: SourceVcnIpAddressCondition, isParentJsonObj?: boolean): object;
}
