/**
 * Fusion Applications Environment Management API
 * Use the Fusion Applications Environment Management API to manage the environments where your Fusion Applications run. For more information, see the [Fusion Applications Environment Management documentation](/iaas/Content/fusion-applications/home.htm).
 * OpenAPI spec version: 20211201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Subscription information for compartmentId. Only root compartments are allowed.
 */
export interface Subscription {
    /**
     * OCID of the subscription details for particular root compartment or tenancy.
     */
    "id": string;
    /**
     * Subscription id.
     */
    "classicSubscriptionId": string;
    /**
     * The type of subscription, such as 'CLOUDCM'/'SAAS'/'CRM', etc.
     */
    "serviceName": string;
    /**
     * Lifecycle state of the subscription.
     */
    "lifecycleState"?: Subscription.LifecycleState;
    /**
     * Subscription resource intermediate states.
     */
    "lifecycleDetails"?: Subscription.LifecycleDetails;
    /**
     * Stock keeping unit.
     */
    "skus": Array<model.SubscriptionSku>;
}
export declare namespace Subscription {
    enum LifecycleState {
        Creating = "CREATING",
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        Updating = "UPDATING",
        Deleting = "DELETING",
        Deleted = "DELETED",
        Failed = "FAILED",
        NeedsAttention = "NEEDS_ATTENTION",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum LifecycleDetails {
        Active = "ACTIVE",
        Purged = "PURGED",
        Canceled = "CANCELED",
        PaidPurged = "PAID_PURGED",
        Initialized = "INITIALIZED",
        SoftTerminated = "SOFT_TERMINATED",
        Disabled = "DISABLED",
        BeginTermination = "BEGIN_TERMINATION",
        Migrated = "MIGRATED",
        PendingCancelation = "PENDING_CANCELATION",
        Archived = "ARCHIVED",
        NonRecoverable = "NON_RECOVERABLE",
        BeginSoftTermination = "BEGIN_SOFT_TERMINATION",
        Activated = "ACTIVATED",
        AccessDisabled = "ACCESS_DISABLED",
        PendingRegistration = "PENDING_REGISTRATION",
        Terminated = "TERMINATED",
        Relocating = "RELOCATING",
        Deprovisioned = "DEPROVISIONED",
        Provisioned = "PROVISIONED",
        BeginTerminationPassive = "BEGIN_TERMINATION_PASSIVE",
        Locked = "LOCKED",
        PendingDeprovisioning = "PENDING_DEPROVISIONING",
        Registered = "REGISTERED",
        Cancelled = "CANCELLED",
        Expired = "EXPIRED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Subscription): object;
    function getDeserializedJsonObj(obj: Subscription): object;
}
