"use strict";
/**
 * Generative AI Service Management API
 * OCI Generative AI is a fully managed service that provides a set of state-of-the-art, customizable large language models (LLMs) that cover a wide range of use cases for text generation, summarization, and text embeddings.

Use the Generative AI service management API to create and manage [dedicated AI clusters](#/en/generative-ai/latest/DedicatedAiCluster/), [endpoints](#/en/generative-ai/latest/Endpoint/), [custom models](#/en/generative-ai/latest/Model/), and [work requests](#/en/generative-ai/latest/WorkRequest/) in the Generative AI service. For example, create a custom model by fine-tuning an out-of-the-box model using your own data, on a fine-tuning dedicated AI cluster. Then, create a hosting dedicated AI cluster with an endpoint to host your custom model.

To access your custom model endpoints, or to try the out-of-the-box models to generate text, summarize, and create text embeddings see the [Generative AI Inference API](/#/en/generative-ai-inference/latest/).

To learn more about the service, see the [Generative AI documentation](/iaas/Content/generative-ai/home.htm).

 * OpenAPI spec version: 20231130
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TrainingConfig = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var TrainingConfig;
(function (TrainingConfig) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "trainingConfigType" in obj && obj.trainingConfigType) {
            switch (obj.trainingConfigType) {
                case "LORA_TRAINING_CONFIG":
                    return model.LoraTrainingConfig.getJsonObj(jsonObj, true);
                case "VANILLA_TRAINING_CONFIG":
                    return model.VanillaTrainingConfig.getJsonObj(jsonObj, true);
                case "TFEW_TRAINING_CONFIG":
                    return model.TFewTrainingConfig.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.trainingConfigType}`);
            }
        }
        return jsonObj;
    }
    TrainingConfig.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "trainingConfigType" in obj && obj.trainingConfigType) {
            switch (obj.trainingConfigType) {
                case "LORA_TRAINING_CONFIG":
                    return model.LoraTrainingConfig.getDeserializedJsonObj(jsonObj, true);
                case "VANILLA_TRAINING_CONFIG":
                    return model.VanillaTrainingConfig.getDeserializedJsonObj(jsonObj, true);
                case "TFEW_TRAINING_CONFIG":
                    return model.TFewTrainingConfig.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.trainingConfigType}`);
            }
        }
        return jsonObj;
    }
    TrainingConfig.getDeserializedJsonObj = getDeserializedJsonObj;
})(TrainingConfig = exports.TrainingConfig || (exports.TrainingConfig = {}));
//# sourceMappingURL=training-config.js.map