/**
 * Generative AI Service Management API
 * OCI Generative AI is a fully managed service that provides a set of state-of-the-art, customizable large language models (LLMs) that cover a wide range of use cases for text generation, summarization, and text embeddings.

Use the Generative AI service management API to create and manage [dedicated AI clusters](#/en/generative-ai/latest/DedicatedAiCluster/), [endpoints](#/en/generative-ai/latest/Endpoint/), [custom models](#/en/generative-ai/latest/Model/), and [work requests](#/en/generative-ai/latest/WorkRequest/) in the Generative AI service. For example, create a custom model by fine-tuning an out-of-the-box model using your own data, on a fine-tuning dedicated AI cluster. Then, create a hosting dedicated AI cluster with an endpoint to host your custom model.

To access your custom model endpoints, or to try the out-of-the-box models to generate text, summarize, and create text embeddings see the [Generative AI Inference API](/#/en/generative-ai-inference/latest/).

To learn more about the service, see the [Generative AI documentation](/iaas/Content/generative-ai/home.htm).

 * OpenAPI spec version: 20231130
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ChangeDedicatedAiClusterCompartmentResponse from "./change-dedicated-ai-cluster-compartment-response";
export import ChangeDedicatedAiClusterCompartmentResponse = ChangeDedicatedAiClusterCompartmentResponse.ChangeDedicatedAiClusterCompartmentResponse;
import * as ChangeEndpointCompartmentResponse from "./change-endpoint-compartment-response";
export import ChangeEndpointCompartmentResponse = ChangeEndpointCompartmentResponse.ChangeEndpointCompartmentResponse;
import * as ChangeModelCompartmentResponse from "./change-model-compartment-response";
export import ChangeModelCompartmentResponse = ChangeModelCompartmentResponse.ChangeModelCompartmentResponse;
import * as CreateDedicatedAiClusterResponse from "./create-dedicated-ai-cluster-response";
export import CreateDedicatedAiClusterResponse = CreateDedicatedAiClusterResponse.CreateDedicatedAiClusterResponse;
import * as CreateEndpointResponse from "./create-endpoint-response";
export import CreateEndpointResponse = CreateEndpointResponse.CreateEndpointResponse;
import * as CreateModelResponse from "./create-model-response";
export import CreateModelResponse = CreateModelResponse.CreateModelResponse;
import * as DeleteDedicatedAiClusterResponse from "./delete-dedicated-ai-cluster-response";
export import DeleteDedicatedAiClusterResponse = DeleteDedicatedAiClusterResponse.DeleteDedicatedAiClusterResponse;
import * as DeleteEndpointResponse from "./delete-endpoint-response";
export import DeleteEndpointResponse = DeleteEndpointResponse.DeleteEndpointResponse;
import * as DeleteModelResponse from "./delete-model-response";
export import DeleteModelResponse = DeleteModelResponse.DeleteModelResponse;
import * as GetDedicatedAiClusterResponse from "./get-dedicated-ai-cluster-response";
export import GetDedicatedAiClusterResponse = GetDedicatedAiClusterResponse.GetDedicatedAiClusterResponse;
import * as GetEndpointResponse from "./get-endpoint-response";
export import GetEndpointResponse = GetEndpointResponse.GetEndpointResponse;
import * as GetModelResponse from "./get-model-response";
export import GetModelResponse = GetModelResponse.GetModelResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as ListDedicatedAiClustersResponse from "./list-dedicated-ai-clusters-response";
export import ListDedicatedAiClustersResponse = ListDedicatedAiClustersResponse.ListDedicatedAiClustersResponse;
import * as ListEndpointsResponse from "./list-endpoints-response";
export import ListEndpointsResponse = ListEndpointsResponse.ListEndpointsResponse;
import * as ListModelsResponse from "./list-models-response";
export import ListModelsResponse = ListModelsResponse.ListModelsResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as UpdateDedicatedAiClusterResponse from "./update-dedicated-ai-cluster-response";
export import UpdateDedicatedAiClusterResponse = UpdateDedicatedAiClusterResponse.UpdateDedicatedAiClusterResponse;
import * as UpdateEndpointResponse from "./update-endpoint-response";
export import UpdateEndpointResponse = UpdateEndpointResponse.UpdateEndpointResponse;
import * as UpdateModelResponse from "./update-model-response";
export import UpdateModelResponse = UpdateModelResponse.UpdateModelResponse;
