/**
 * Globally Distributed Database
 * Use the Globally Distributed Database service APIs to create and manage distributed databases.
 * OpenAPI spec version: 20230301
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details required for creation of ATP-D based catalog.
 */
export interface CreateDedicatedCatalogDetail {
    "encryptionKeyDetails"?: model.DedicatedShardOrCatalogEncryptionKeyDetails;
    /**
     * Admin password for the catalog database.
     */
    "adminPassword": string;
    /**
     * The compute count for the catalog database. It has to be in multiple of 2. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "computeCount": number;
    /**
     * The data disk group size to be allocated in GBs for the catalog database. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dataStorageSizeInGbs": number;
    /**
     * Determines the auto-scaling mode for the catalog database.
     */
    "isAutoScalingEnabled": boolean;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the cloud Autonomous Exadata VM Cluster.
     */
    "cloudAutonomousVmClusterId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the peer cloud Autonomous Exadata VM Cluster.
     */
    "peerCloudAutonomousVmClusterId"?: string;
}
export declare namespace CreateDedicatedCatalogDetail {
    function getJsonObj(obj: CreateDedicatedCatalogDetail): object;
    function getDeserializedJsonObj(obj: CreateDedicatedCatalogDetail): object;
}
