/**
 * Globally Distributed Database
 * Use the Globally Distributed Database service APIs to create and manage distributed databases.
 * OpenAPI spec version: 20230301
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details required for creation of ATP-D based shard.
 */
export interface CreateDedicatedShardDetail {
    "encryptionKeyDetails"?: model.DedicatedShardOrCatalogEncryptionKeyDetails;
    /**
     * Admin password for shard database.
     */
    "adminPassword": string;
    /**
     * The compute count for the shard database. It has to be in multiples of 2. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "computeCount": number;
    /**
     * The data disk group size to be allocated in GBs for the shard database. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dataStorageSizeInGbs": number;
    /**
     * The shard space name for the shard database. Shard space for existing shard cannot be changed, once shard is created.
     * Shard space name shall be used while creation of new shards. For User defined sharding, every shard must have a unique
     * shard space name. For system defined sharding, shard space name is not required.
     *
     */
    "shardSpace"?: string;
    /**
     * Determines the auto-scaling mode for the shard database.
     */
    "isAutoScalingEnabled": boolean;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the cloud Autonomous Exadata VM Cluster.
     */
    "cloudAutonomousVmClusterId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the peer cloud Autonomous Exadata VM Cluster.
     */
    "peerCloudAutonomousVmClusterId"?: string;
}
export declare namespace CreateDedicatedShardDetail {
    function getJsonObj(obj: CreateDedicatedShardDetail): object;
    function getDeserializedJsonObj(obj: CreateDedicatedShardDetail): object;
}
