/**
 * Globally Distributed Database
 * Use the Globally Distributed Database service APIs to create and manage distributed databases.
 * OpenAPI spec version: 20230301
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details required for fetch sharded cloud autonomous vm clusters.
 */
export interface FetchShardableCloudAutonomousVmClustersDetails {
    /**
     * Compartment id of cloud autonomous vm clusters.
     */
    "compartmentId": string;
    /**
     * Lifecycle states for shardable Cloud autonomous vm cluster.
     */
    "lifecycleState"?: FetchShardableCloudAutonomousVmClustersDetails.LifecycleState;
    /**
     * Detailed message for the lifecycle state.
     */
    "lifecycleStateDetails"?: string;
    /**
     * List only clusters for which atleast given minimum CDB count is available. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minimumAvailableCdbCount"?: number;
    /**
     * Flag to indicate of response shall also include clusters for which no more capacity is left to create new resources.
     */
    "areDepletedClustersIncluded"?: boolean;
    /**
     * Region code of regions for which sharded cloud autonomous vm clusters need to be fetched.
     */
    "regions"?: Array<string>;
}
export declare namespace FetchShardableCloudAutonomousVmClustersDetails {
    enum LifecycleState {
        Active = "ACTIVE",
        Failed = "FAILED",
        NeedsAttention = "NEEDS_ATTENTION",
        Inactive = "INACTIVE",
        Deleting = "DELETING",
        Deleted = "DELETED",
        Updating = "UPDATING",
        Creating = "CREATING",
        Unavailable = "UNAVAILABLE"
    }
    function getJsonObj(obj: FetchShardableCloudAutonomousVmClustersDetails): object;
    function getDeserializedJsonObj(obj: FetchShardableCloudAutonomousVmClustersDetails): object;
}
