/**
 * Globally Distributed Database
 * Use the Globally Distributed Database service APIs to create and manage distributed databases.
 * OpenAPI spec version: 20230301
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of global service manager(GSM also known as shard director) instances for sharded database.
 */
export interface GsmDetails {
    /**
     * Name of the GSM instance
     */
    "name": string;
    /**
     * The compute count for the GSM instance. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "computeCount": number;
    /**
     * The data disk group size to be allocated in GBs. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dataStorageSizeInGbs": number;
    /**
     * The time the GSM instance was created. An RFC3339 formatted datetime string
     */
    "timeCreated": Date;
    /**
     * The time the GSM instance was last updated. An RFC3339 formatted datetime string
     */
    "timeUpdated": Date;
    /**
     * The time the ssl certificate associated with GSM expires. An RFC3339 formatted datetime string
     */
    "timeSslCertificateExpires"?: Date;
    /**
     * Status of shard or catalog or gsm for the sharded database.
     */
    "status": GsmDetails.Status;
    /**
     * Identifier of the underlying supporting resource.
     *
     */
    "supportingResourceId"?: string;
    /**
     * Additional metadata related to GSM's underlying supporting resource.
     */
    "metadata"?: {
        [key: string]: any;
    };
}
export declare namespace GsmDetails {
    enum Status {
        Failed = "FAILED",
        Deleting = "DELETING",
        Deleted = "DELETED",
        Updating = "UPDATING",
        Creating = "CREATING",
        Created = "CREATED",
        ReadyForConfiguration = "READY_FOR_CONFIGURATION",
        Configured = "CONFIGURED",
        NeedsAttention = "NEEDS_ATTENTION",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: GsmDetails): object;
    function getDeserializedJsonObj(obj: GsmDetails): object;
}
