/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for collecting deployment diagnostic
 *
 */
export interface CollectDeploymentDiagnosticDetails {
    /**
     * Name of namespace that serves as a container for all of your buckets
     */
    "namespaceName": string;
    /**
     * Name of the bucket where the object is to be uploaded in the object storage
     */
    "bucketName": string;
    /**
     * Prefix of the diagnostic collected and uploaded to object storage
     */
    "diagnosticNamePrefix": string;
    /**
     * The time from which the diagnostic collection should collect the logs. The format is defined by [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     */
    "timeDiagnosticStart"?: Date;
    /**
     * The time until which the diagnostic collection should collect the logs. The format is defined by [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     */
    "timeDiagnosticEnd"?: Date;
}
export declare namespace CollectDeploymentDiagnosticDetails {
    function getJsonObj(obj: CollectDeploymentDiagnosticDetails): object;
    function getDeserializedJsonObj(obj: CollectDeploymentDiagnosticDetails): object;
}
