"use strict";
/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateConnectionDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var CreateConnectionDetails;
(function (CreateConnectionDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.AddResourceLockDetails.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "POSTGRESQL":
                    return model.CreatePostgresqlConnectionDetails.getJsonObj(jsonObj, true);
                case "KAFKA_SCHEMA_REGISTRY":
                    return model.CreateKafkaSchemaRegistryConnectionDetails.getJsonObj(jsonObj, true);
                case "MICROSOFT_SQLSERVER":
                    return model.CreateMicrosoftSqlserverConnectionDetails.getJsonObj(jsonObj, true);
                case "JAVA_MESSAGE_SERVICE":
                    return model.CreateJavaMessageServiceConnectionDetails.getJsonObj(jsonObj, true);
                case "GOOGLE_BIGQUERY":
                    return model.CreateGoogleBigQueryConnectionDetails.getJsonObj(jsonObj, true);
                case "AMAZON_KINESIS":
                    return model.CreateAmazonKinesisConnectionDetails.getJsonObj(jsonObj, true);
                case "SNOWFLAKE":
                    return model.CreateSnowflakeConnectionDetails.getJsonObj(jsonObj, true);
                case "AZURE_DATA_LAKE_STORAGE":
                    return model.CreateAzureDataLakeStorageConnectionDetails.getJsonObj(jsonObj, true);
                case "MONGODB":
                    return model.CreateMongoDbConnectionDetails.getJsonObj(jsonObj, true);
                case "AMAZON_S3":
                    return model.CreateAmazonS3ConnectionDetails.getJsonObj(jsonObj, true);
                case "HDFS":
                    return model.CreateHdfsConnectionDetails.getJsonObj(jsonObj, true);
                case "OCI_OBJECT_STORAGE":
                    return model.CreateOciObjectStorageConnectionDetails.getJsonObj(jsonObj, true);
                case "DB2":
                    return model.CreateDb2ConnectionDetails.getJsonObj(jsonObj, true);
                case "ELASTICSEARCH":
                    return model.CreateElasticsearchConnectionDetails.getJsonObj(jsonObj, true);
                case "AZURE_SYNAPSE_ANALYTICS":
                    return model.CreateAzureSynapseConnectionDetails.getJsonObj(jsonObj, true);
                case "REDIS":
                    return model.CreateRedisConnectionDetails.getJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.CreateMysqlConnectionDetails.getJsonObj(jsonObj, true);
                case "GENERIC":
                    return model.CreateGenericConnectionDetails.getJsonObj(jsonObj, true);
                case "GOOGLE_CLOUD_STORAGE":
                    return model.CreateGoogleCloudStorageConnectionDetails.getJsonObj(jsonObj, true);
                case "KAFKA":
                    return model.CreateKafkaConnectionDetails.getJsonObj(jsonObj, true);
                case "ORACLE":
                    return model.CreateOracleConnectionDetails.getJsonObj(jsonObj, true);
                case "GOLDENGATE":
                    return model.CreateGoldenGateConnectionDetails.getJsonObj(jsonObj, true);
                case "AMAZON_REDSHIFT":
                    return model.CreateAmazonRedshiftConnectionDetails.getJsonObj(jsonObj, true);
                case "ORACLE_NOSQL":
                    return model.CreateOracleNosqlConnectionDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    CreateConnectionDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.AddResourceLockDetails.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "POSTGRESQL":
                    return model.CreatePostgresqlConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "KAFKA_SCHEMA_REGISTRY":
                    return model.CreateKafkaSchemaRegistryConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "MICROSOFT_SQLSERVER":
                    return model.CreateMicrosoftSqlserverConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "JAVA_MESSAGE_SERVICE":
                    return model.CreateJavaMessageServiceConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GOOGLE_BIGQUERY":
                    return model.CreateGoogleBigQueryConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AMAZON_KINESIS":
                    return model.CreateAmazonKinesisConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "SNOWFLAKE":
                    return model.CreateSnowflakeConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AZURE_DATA_LAKE_STORAGE":
                    return model.CreateAzureDataLakeStorageConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "MONGODB":
                    return model.CreateMongoDbConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AMAZON_S3":
                    return model.CreateAmazonS3ConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "HDFS":
                    return model.CreateHdfsConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "OCI_OBJECT_STORAGE":
                    return model.CreateOciObjectStorageConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "DB2":
                    return model.CreateDb2ConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "ELASTICSEARCH":
                    return model.CreateElasticsearchConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AZURE_SYNAPSE_ANALYTICS":
                    return model.CreateAzureSynapseConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "REDIS":
                    return model.CreateRedisConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.CreateMysqlConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GENERIC":
                    return model.CreateGenericConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GOOGLE_CLOUD_STORAGE":
                    return model.CreateGoogleCloudStorageConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "KAFKA":
                    return model.CreateKafkaConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "ORACLE":
                    return model.CreateOracleConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GOLDENGATE":
                    return model.CreateGoldenGateConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AMAZON_REDSHIFT":
                    return model.CreateAmazonRedshiftConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "ORACLE_NOSQL":
                    return model.CreateOracleNosqlConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    CreateConnectionDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateConnectionDetails = exports.CreateConnectionDetails || (exports.CreateConnectionDetails = {}));
//# sourceMappingURL=create-connection-details.js.map