/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about a new Google Cloud Storage Connection.
 *
 */
export interface CreateGoogleCloudStorageConnectionDetails extends model.CreateConnectionDetails {
    /**
     * The Google Cloud Storage technology type.
     */
    "technologyType": string;
    /**
     * The base64 encoded content of the service account key file containing
     * the credentials required to use Google Cloud Storage.
     *
     */
    "serviceAccountKeyFile": string;
    "connectionType": string;
}
export declare namespace CreateGoogleCloudStorageConnectionDetails {
    function getJsonObj(obj: CreateGoogleCloudStorageConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "GOOGLE_CLOUD_STORAGE";
    function getDeserializedJsonObj(obj: CreateGoogleCloudStorageConnectionDetails, isParentJsonObj?: boolean): object;
}
