/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about a new MongoDB Connection.
 *
 */
export interface CreateMongoDbConnectionDetails extends model.CreateConnectionDetails {
    /**
     * The MongoDB technology type.
     */
    "technologyType": string;
    /**
     * MongoDB connection string.
     * e.g.: 'mongodb://mongodb0.example.com:27017/recordsrecords'
     *
     */
    "connectionString"?: string;
    /**
     * The username Oracle GoldenGate uses to connect to the database.
     * This username must already exist and be available by the database to be connected to.
     *
     */
    "username"?: string;
    /**
     * The password Oracle GoldenGate uses to connect the associated database.
     *
     */
    "password"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Oracle Autonomous Json Database.
     *
     */
    "databaseId"?: string;
    "connectionType": string;
}
export declare namespace CreateMongoDbConnectionDetails {
    function getJsonObj(obj: CreateMongoDbConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "MONGODB";
    function getDeserializedJsonObj(obj: CreateMongoDbConnectionDetails, isParentJsonObj?: boolean): object;
}
