"use strict";
/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Deployment = void 0;
const model = __importStar(require("../model"));
var Deployment;
(function (Deployment) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.ResourceLock.getJsonObj(item);
                })
                : undefined,
            "oggData": obj.oggData ? model.OggDeployment.getJsonObj(obj.oggData) : undefined,
            "deploymentDiagnosticData": obj.deploymentDiagnosticData
                ? model.DeploymentDiagnosticData.getJsonObj(obj.deploymentDiagnosticData)
                : undefined,
            "maintenanceWindow": obj.maintenanceWindow
                ? model.MaintenanceWindow.getJsonObj(obj.maintenanceWindow)
                : undefined,
            "maintenanceConfiguration": obj.maintenanceConfiguration
                ? model.MaintenanceConfiguration.getJsonObj(obj.maintenanceConfiguration)
                : undefined,
            "ingressIps": obj.ingressIps
                ? obj.ingressIps.map(item => {
                    return model.IngressIpDetails.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Deployment.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "locks": obj.locks
                ? obj.locks.map(item => {
                    return model.ResourceLock.getDeserializedJsonObj(item);
                })
                : undefined,
            "oggData": obj.oggData
                ? model.OggDeployment.getDeserializedJsonObj(obj.oggData)
                : undefined,
            "deploymentDiagnosticData": obj.deploymentDiagnosticData
                ? model.DeploymentDiagnosticData.getDeserializedJsonObj(obj.deploymentDiagnosticData)
                : undefined,
            "maintenanceWindow": obj.maintenanceWindow
                ? model.MaintenanceWindow.getDeserializedJsonObj(obj.maintenanceWindow)
                : undefined,
            "maintenanceConfiguration": obj.maintenanceConfiguration
                ? model.MaintenanceConfiguration.getDeserializedJsonObj(obj.maintenanceConfiguration)
                : undefined,
            "ingressIps": obj.ingressIps
                ? obj.ingressIps.map(item => {
                    return model.IngressIpDetails.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Deployment.getDeserializedJsonObj = getDeserializedJsonObj;
})(Deployment = exports.Deployment || (exports.Deployment = {}));
//# sourceMappingURL=deployment.js.map