/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the Elasticsearch Connection.
 *
 */
export interface ElasticsearchConnectionSummary extends model.ConnectionSummary {
    /**
     * The Elasticsearch technology type.
     */
    "technologyType": string;
    /**
     * Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional.
     * If port is not specified, it defaults to 9200.
     * Used for establishing the initial connection to the Elasticsearch cluster.
     * Example: {@code \"server1.example.com:4000,server2.example.com:4000\"}
     *
     */
    "servers": string;
    /**
     * Security protocol for Elasticsearch.
     */
    "securityProtocol": string;
    /**
     * Authentication type for Elasticsearch.
     */
    "authenticationType": string;
    /**
     * The username Oracle GoldenGate uses to connect the associated system of the given technology.
     * This username must already exist and be available by the system/application to be connected to
     * and must conform to the case sensitivty requirments defined in it.
     *
     */
    "username"?: string;
    "connectionType": string;
}
export declare namespace ElasticsearchConnectionSummary {
    function getJsonObj(obj: ElasticsearchConnectionSummary, isParentJsonObj?: boolean): object;
    const connectionType = "ELASTICSEARCH";
    function getDeserializedJsonObj(obj: ElasticsearchConnectionSummary, isParentJsonObj?: boolean): object;
}
