/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Metadata required to import wallet to deployment
 *
 */
export interface ImportDeploymentWalletDetails {
    /**
     * Refers to the customer's vault OCID.
     * If provided, it references a vault where GoldenGate can manage secrets. Customers must add policies to permit GoldenGate
     * to manage secrets contained within this vault.
     *
     */
    "vaultId": string;
    /**
     * The OCID of the customer's GoldenGate Service Secret.
     * If provided, it references a key that customers will be required to ensure the policies are established
     * to permit GoldenGate to use this Secret.
     *
     */
    "newWalletSecretId": string;
    /**
     * Name of the secret with which secret is shown in vault
     */
    "walletBackupSecretName"?: string;
    /**
     * Refers to the customer's master key OCID.
     * If provided, it references a key to manage secrets. Customers must add policies to permit GoldenGate to use this key.
     *
     */
    "masterEncryptionKeyId"?: string;
    /**
     * Metadata about this specific object.
     *
     */
    "description"?: string;
}
export declare namespace ImportDeploymentWalletDetails {
    function getJsonObj(obj: ImportDeploymentWalletDetails): object;
    function getDeserializedJsonObj(obj: ImportDeploymentWalletDetails): object;
}
