/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Deployment message Summary.
 *
 */
export interface MessageSummary {
    /**
     * The deployment Message Id.
     *
     */
    "id": string;
    /**
     * The deployment Message in plain text with optional HTML anchor tags.
     *
     */
    "deploymentMessage": string;
    /**
     * The deployment Message Status.
     *
     */
    "deploymentMessageStatus": MessageSummary.DeploymentMessageStatus;
}
export declare namespace MessageSummary {
    enum DeploymentMessageStatus {
        Info = "INFO",
        Warning = "WARNING",
        Error = "ERROR",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MessageSummary): object;
    function getDeserializedJsonObj(obj: MessageSummary): object;
}
