/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the Oracle NoSQL Connection.
 *
 */
export interface OracleNosqlConnectionSummary extends model.ConnectionSummary {
    /**
     * The Oracle NoSQL technology type.
     */
    "technologyType": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the related OCI tenancy.
     *
     */
    "tenancyId"?: string;
    /**
     * The name of the region. e.g.: us-ashburn-1
     *
     */
    "region"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the OCI user who will access the Oracle NoSQL database.
     * The user must have write access to the table they want to connect to.
     *
     */
    "userId": string;
    "connectionType": string;
}
export declare namespace OracleNosqlConnectionSummary {
    function getJsonObj(obj: OracleNosqlConnectionSummary, isParentJsonObj?: boolean): object;
    const connectionType = "ORACLE_NOSQL";
    function getDeserializedJsonObj(obj: OracleNosqlConnectionSummary, isParentJsonObj?: boolean): object;
}
