/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the TrailFiles.
 *
 */
export interface TrailFileSummary {
    /**
     * The TrailFile Id.
     *
     */
    "trailFileId": string;
    /**
     * An object's Display Name.
     *
     */
    "displayName"?: string;
    /**
     * The size of the backup stored in object storage (in bytes)
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sizeInBytes"?: number;
    /**
     * The time the resource was last updated. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeLastUpdated"?: Date;
    /**
     * Number of sequences for a specific trail file
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numberOfSequences"?: number;
    /**
     * Minimum sequence number
     *
     */
    "minSequenceNumber"?: string;
    /**
     * Maximum sequence number
     *
     */
    "maxSequenceNumber"?: string;
    /**
     * Producer Process Name if any.
     *
     */
    "producer"?: string;
    /**
     * array of consumer process names
     *
     */
    "consumers"?: Array<string>;
}
export declare namespace TrailFileSummary {
    function getJsonObj(obj: TrailFileSummary): object;
    function getDeserializedJsonObj(obj: TrailFileSummary): object;
}
