/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to update a Azure Data Lake Storage Connection.
 *
 */
export interface UpdateAzureDataLakeStorageConnectionDetails extends model.UpdateConnectionDetails {
    /**
     * Used authentication mechanism to access Azure Data Lake Storage.
     *
     */
    "authenticationType"?: string;
    /**
     * Sets the Azure storage account name.
     *
     */
    "accountName"?: string;
    /**
     * Azure storage account key. This property is required when 'authenticationType' is set to 'SHARED_KEY'.
     * e.g.: pa3WbhVATzj56xD4DH1VjOUhApRGEGHvOo58eQJVWIzX+j8j4CUVFcTjpIqDSRaSa1Wo2LbWY5at+AStEgLOIQ==
     *
     */
    "accountKey"?: string;
    /**
     * Credential that uses a shared access signature (SAS) to authenticate to an Azure Service. This property is
     * required when 'authenticationType' is set to 'SHARED_ACCESS_SIGNATURE'.
     * e.g.: ?sv=2020-06-08&ss=bfqt&srt=sco&sp=rwdlacupyx&se=2020-09-10T20:27:28Z&st=2022-08-05T12:27:28Z&spr=https&sig=C1IgHsiLBmTSStYkXXGLTP8it0xBrArcgCqOsZbXwIQ%3D
     *
     */
    "sasToken"?: string;
    /**
     * Azure tenant ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'.
     * e.g.: 14593954-d337-4a61-a364-9f758c64f97f
     *
     */
    "azureTenantId"?: string;
    /**
     * Azure client ID of the application. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'.
     * e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
     *
     */
    "clientId"?: string;
    /**
     * Azure client secret (aka application password) for authentication. This property is required when 'authenticationType' is set to 'AZURE_ACTIVE_DIRECTORY'.
     * e.g.: dO29Q~F5-VwnA.lZdd11xFF_t5NAXCaGwDl9NbT1
     *
     */
    "clientSecret"?: string;
    /**
     * Azure Storage service endpoint.
     * e.g: https://test.blob.core.windows.net
     *
     */
    "endpoint"?: string;
    "connectionType": string;
}
export declare namespace UpdateAzureDataLakeStorageConnectionDetails {
    function getJsonObj(obj: UpdateAzureDataLakeStorageConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "AZURE_DATA_LAKE_STORAGE";
    function getDeserializedJsonObj(obj: UpdateAzureDataLakeStorageConnectionDetails, isParentJsonObj?: boolean): object;
}
