"use strict";
/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateConnectionDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var UpdateConnectionDetails;
(function (UpdateConnectionDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "ELASTICSEARCH":
                    return model.UpdateElasticsearchConnectionDetails.getJsonObj(jsonObj, true);
                case "GOOGLE_BIGQUERY":
                    return model.UpdateGoogleBigQueryConnectionDetails.getJsonObj(jsonObj, true);
                case "ORACLE":
                    return model.UpdateOracleConnectionDetails.getJsonObj(jsonObj, true);
                case "AMAZON_REDSHIFT":
                    return model.UpdateAmazonRedshiftConnectionDetails.getJsonObj(jsonObj, true);
                case "OCI_OBJECT_STORAGE":
                    return model.UpdateOciObjectStorageConnectionDetails.getJsonObj(jsonObj, true);
                case "REDIS":
                    return model.UpdateRedisConnectionDetails.getJsonObj(jsonObj, true);
                case "MONGODB":
                    return model.UpdateMongoDbConnectionDetails.getJsonObj(jsonObj, true);
                case "GOOGLE_CLOUD_STORAGE":
                    return model.UpdateGoogleCloudStorageConnectionDetails.getJsonObj(jsonObj, true);
                case "AZURE_DATA_LAKE_STORAGE":
                    return model.UpdateAzureDataLakeStorageConnectionDetails.getJsonObj(jsonObj, true);
                case "AMAZON_KINESIS":
                    return model.UpdateAmazonKinesisConnectionDetails.getJsonObj(jsonObj, true);
                case "JAVA_MESSAGE_SERVICE":
                    return model.UpdateJavaMessageServiceConnectionDetails.getJsonObj(jsonObj, true);
                case "GOLDENGATE":
                    return model.UpdateGoldenGateConnectionDetails.getJsonObj(jsonObj, true);
                case "POSTGRESQL":
                    return model.UpdatePostgresqlConnectionDetails.getJsonObj(jsonObj, true);
                case "MICROSOFT_SQLSERVER":
                    return model.UpdateMicrosoftSqlserverConnectionDetails.getJsonObj(jsonObj, true);
                case "ORACLE_NOSQL":
                    return model.UpdateOracleNosqlConnectionDetails.getJsonObj(jsonObj, true);
                case "KAFKA_SCHEMA_REGISTRY":
                    return model.UpdateKafkaSchemaRegistryConnectionDetails.getJsonObj(jsonObj, true);
                case "AMAZON_S3":
                    return model.UpdateAmazonS3ConnectionDetails.getJsonObj(jsonObj, true);
                case "SNOWFLAKE":
                    return model.UpdateSnowflakeConnectionDetails.getJsonObj(jsonObj, true);
                case "HDFS":
                    return model.UpdateHdfsConnectionDetails.getJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.UpdateMysqlConnectionDetails.getJsonObj(jsonObj, true);
                case "KAFKA":
                    return model.UpdateKafkaConnectionDetails.getJsonObj(jsonObj, true);
                case "DB2":
                    return model.UpdateDb2ConnectionDetails.getJsonObj(jsonObj, true);
                case "GENERIC":
                    return model.UpdateGenericConnectionDetails.getJsonObj(jsonObj, true);
                case "AZURE_SYNAPSE_ANALYTICS":
                    return model.UpdateAzureSynapseConnectionDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    UpdateConnectionDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "connectionType" in obj && obj.connectionType) {
            switch (obj.connectionType) {
                case "ELASTICSEARCH":
                    return model.UpdateElasticsearchConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GOOGLE_BIGQUERY":
                    return model.UpdateGoogleBigQueryConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "ORACLE":
                    return model.UpdateOracleConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AMAZON_REDSHIFT":
                    return model.UpdateAmazonRedshiftConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "OCI_OBJECT_STORAGE":
                    return model.UpdateOciObjectStorageConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "REDIS":
                    return model.UpdateRedisConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "MONGODB":
                    return model.UpdateMongoDbConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GOOGLE_CLOUD_STORAGE":
                    return model.UpdateGoogleCloudStorageConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AZURE_DATA_LAKE_STORAGE":
                    return model.UpdateAzureDataLakeStorageConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AMAZON_KINESIS":
                    return model.UpdateAmazonKinesisConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "JAVA_MESSAGE_SERVICE":
                    return model.UpdateJavaMessageServiceConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GOLDENGATE":
                    return model.UpdateGoldenGateConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "POSTGRESQL":
                    return model.UpdatePostgresqlConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "MICROSOFT_SQLSERVER":
                    return model.UpdateMicrosoftSqlserverConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "ORACLE_NOSQL":
                    return model.UpdateOracleNosqlConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "KAFKA_SCHEMA_REGISTRY":
                    return model.UpdateKafkaSchemaRegistryConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AMAZON_S3":
                    return model.UpdateAmazonS3ConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "SNOWFLAKE":
                    return model.UpdateSnowflakeConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "HDFS":
                    return model.UpdateHdfsConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "MYSQL":
                    return model.UpdateMysqlConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "KAFKA":
                    return model.UpdateKafkaConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "DB2":
                    return model.UpdateDb2ConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "GENERIC":
                    return model.UpdateGenericConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                case "AZURE_SYNAPSE_ANALYTICS":
                    return model.UpdateAzureSynapseConnectionDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.connectionType}`);
            }
        }
        return jsonObj;
    }
    UpdateConnectionDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(UpdateConnectionDetails = exports.UpdateConnectionDetails || (exports.UpdateConnectionDetails = {}));
//# sourceMappingURL=update-connection-details.js.map