/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to update a DB2 Connection.
 *
 */
export interface UpdateDb2ConnectionDetails extends model.UpdateConnectionDetails {
    /**
     * The name of the database.
     *
     */
    "databaseName"?: string;
    /**
     * The name or address of a host.
     *
     */
    "host"?: string;
    /**
     * The port of an endpoint usually specified for a connection.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
    /**
     * The username Oracle GoldenGate uses to connect to the DB2 database.
     * This username must already exist and be available by the DB2 to be connected to.
     *
     */
    "username"?: string;
    /**
     * The password Oracle GoldenGate uses to connect the associated DB2 database.
     *
     */
    "password"?: string;
    /**
     * An array of name-value pair attribute entries.
     * Used as additional parameters in connection string.
     *
     */
    "additionalAttributes"?: Array<model.NameValuePair>;
    /**
     * Security protocol for the DB2 database.
     */
    "securityProtocol"?: string;
    /**
     * The base64 encoded keystore file created at the client containing the server certificate / CA root certificate.
     *
     */
    "sslClientKeystoredb"?: string;
    /**
     * The base64 encoded keystash file which contains the encrypted password to the key database file.
     *
     */
    "sslClientKeystash"?: string;
    /**
     * The base64 encoded file which contains the self-signed server certificate / Certificate Authority (CA) certificate.
     *
     */
    "sslServerCertificate"?: string;
    "connectionType": string;
}
export declare namespace UpdateDb2ConnectionDetails {
    function getJsonObj(obj: UpdateDb2ConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "DB2";
    function getDeserializedJsonObj(obj: UpdateDb2ConnectionDetails, isParentJsonObj?: boolean): object;
}
