/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to update a Elasticsearch Connection.
 *
 */
export interface UpdateElasticsearchConnectionDetails extends model.UpdateConnectionDetails {
    /**
     * Comma separated list of Elasticsearch server addresses, specified as host:port entries, where :port is optional.
     * If port is not specified, it defaults to 9200.
     * Used for establishing the initial connection to the Elasticsearch cluster.
     * Example: {@code \"server1.example.com:4000,server2.example.com:4000\"}
     *
     */
    "servers"?: string;
    /**
     * Security protocol for Elasticsearch.
     */
    "securityProtocol"?: string;
    /**
     * Authentication type for Elasticsearch.
     */
    "authenticationType"?: string;
    /**
     * The username Oracle GoldenGate uses to connect the associated system of the given technology.
     * This username must already exist and be available by the system/application to be connected to
     * and must conform to the case sensitivty requirments defined in it.
     *
     */
    "username"?: string;
    /**
     * The password Oracle GoldenGate uses to connect the associated system of the given technology.
     * It must conform to the specific security requirements including length, case sensitivity, and so on.
     *
     */
    "password"?: string;
    /**
     * Fingerprint required by TLS security protocol.
     * Eg.: '6152b2dfbff200f973c5074a5b91d06ab3b472c07c09a1ea57bb7fd406cdce9c'
     *
     */
    "fingerprint"?: string;
    "connectionType": string;
}
export declare namespace UpdateElasticsearchConnectionDetails {
    function getJsonObj(obj: UpdateElasticsearchConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "ELASTICSEARCH";
    function getDeserializedJsonObj(obj: UpdateElasticsearchConnectionDetails, isParentJsonObj?: boolean): object;
}
