/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to update a Microsoft SQL Server Connection.
 *
 */
export interface UpdateMicrosoftSqlserverConnectionDetails extends model.UpdateConnectionDetails {
    /**
     * The name of the database.
     *
     */
    "databaseName"?: string;
    /**
     * The name or address of a host.
     *
     */
    "host"?: string;
    /**
     * The port of an endpoint usually specified for a connection.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
    /**
     * The username Oracle GoldenGate uses to connect to the Microsoft SQL Server.
     * This username must already exist and be available by the Microsoft SQL Server to be connected to.
     *
     */
    "username"?: string;
    /**
     * The password Oracle GoldenGate uses to connect the associated Microsoft SQL Server.
     *
     */
    "password"?: string;
    /**
     * An array of name-value pair attribute entries.
     * Used as additional parameters in connection string.
     *
     */
    "additionalAttributes"?: Array<model.NameValuePair>;
    /**
     * Security Type for Microsoft SQL Server.
     */
    "securityProtocol"?: string;
    /**
     * Database Certificate - The base64 encoded content of a .pem or .crt file.
     * containing the server public key (for 1-way SSL).
     *
     */
    "sslCa"?: string;
    /**
     * If set to true, the driver validates the certificate that is sent by the database server.
     *
     */
    "shouldValidateServerCertificate"?: boolean;
    /**
      * Deprecated: this field will be removed in future versions. Either specify the private IP in the connectionString or host
  * field, or make sure the host name is resolvable in the target VCN.
  * <p>
  The private IP address of the connection's endpoint in the customer's VCN, typically a
  * database endpoint or a big data endpoint (e.g. Kafka bootstrap server).
  * In case the privateIp is provided, the subnetId must also be provided.
  * In case the privateIp (and the subnetId) is not provided it is assumed the datasource is publicly accessible.
  * In case the connection is accessible only privately, the lack of privateIp will result in not being able to access the connection.
  *
      */
    "privateIp"?: string;
    "connectionType": string;
}
export declare namespace UpdateMicrosoftSqlserverConnectionDetails {
    function getJsonObj(obj: UpdateMicrosoftSqlserverConnectionDetails, isParentJsonObj?: boolean): object;
    const connectionType = "MICROSOFT_SQLSERVER";
    function getDeserializedJsonObj(obj: UpdateMicrosoftSqlserverConnectionDetails, isParentJsonObj?: boolean): object;
}
