/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The API operations that create and configure GoldenGate resources do not take effect
 * immediately. In these cases, the operation spawns an asynchronous workflow to fulfill the
 * request. Work requests provide visibility into the status of these in-progress, long-running
 * asynchronous workflows.
 *
 */
export interface WorkRequest {
    /**
     * The work request's operation type.
     *
     */
    "operationType": model.OperationType;
    /**
     * Status of current work request.
     *
     */
    "status": model.OperationStatus;
    /**
     * The id of the work request.
     *
     */
    "id": string;
    /**
     * The ocid of the compartment that contains the work request. Work requests should be scoped
     * to the same compartment as the resource the work request affects. If the work request
     * affects multiple resources, and those resources are not in the same compartment, it is up
     * to the service team to pick the primary resource whose compartment should be used.
     *
     */
    "compartmentId": string;
    /**
     * The resources affected by this work request.
     *
     */
    "resources": Array<model.WorkRequestResource>;
    /**
     * Percentage of the request completed.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete": number;
    /**
     * The date and time the request was created. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeAccepted": Date;
    /**
     * The date and time the request was started. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeStarted"?: Date;
    /**
     * The date and time the request was finished. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeFinished"?: Date;
}
export declare namespace WorkRequest {
    function getJsonObj(obj: WorkRequest): object;
    function getDeserializedJsonObj(obj: WorkRequest): object;
}
