/**
 * GovernanceRulesControlPlane API
 * A description of the GovernanceRulesControlPlane API
 * OpenAPI spec version: 20220504
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the inclusion criterion.
 */
export interface InclusionCriterionSummary {
    /**
     * The Oracle ID ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the inclusion criterion.
     */
    "id": string;
    /**
     * The Oracle ID ([OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)) of the governance rule. Every inclusion criterion is associated with a governance rule.
     */
    "governanceRuleId": string;
    /**
     * Type of inclusion criterion - TENANCY, ALL or TAG. We support TENANCY and ALL for now.
     */
    "type": string;
    "association"?: model.TenancyAssociation;
    /**
     * The current state of the inclusion criterion.
     */
    "lifecycleState": string;
    /**
      * Date and time the inclusion criterion was created. An RFC3339 formatted datetime string.
  * <p>
  Example: {@code 2016-08-25T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
    /**
      * Date and time the inclusion criterion was updated. An RFC3339 formatted datetime string.
  * <p>
  Example: {@code 2016-08-25T21:10:29.600Z}
  *
      */
    "timeUpdated": Date;
}
export declare namespace InclusionCriterionSummary {
    function getJsonObj(obj: InclusionCriterionSummary): object;
    function getDeserializedJsonObj(obj: InclusionCriterionSummary): object;
}
