/**
 * Health Checks API
 * API for the Health Checks service. Use this API to manage endpoint probes and monitors.
For more information, see
[Overview of the Health Checks Service](/iaas/Content/HealthChecks/Concepts/healthchecks.htm).

 * OpenAPI spec version: 20180501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The DNS resolution results.
 */
export interface DNS {
    /**
     * Total DNS resolution duration, in milliseconds. Calculated using {@code domainLookupEnd}
     * minus {@code domainLookupStart}.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "domainLookupDuration"?: number;
    /**
     * The addresses returned by DNS resolution.
     */
    "addresses"?: Array<string>;
}
export declare namespace DNS {
    function getJsonObj(obj: DNS): object;
    function getDeserializedJsonObj(obj: DNS): object;
}
