/**
 * Identity and Access Management Service API
 * Use the Identity and Access Management Service API to manage users, groups, identity domains, compartments, policies, tagging, and limits. For information about managing users, groups, compartments, and policies, see [Identity and Access Management (without identity domains)](/iaas/Content/Identity/Concepts/overview.htm). For information about tagging and service limits, see [Tagging](/iaas/Content/Tagging/Concepts/taggingoverview.htm) and [Service Limits](/iaas/Content/General/Concepts/servicelimits.htm). For information about creating, modifying, and deleting identity domains, see [Identity and Access Management (with identity domains)](/iaas/Content/Identity/home.htm).
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface BulkEditOperationDetails {
    /**
     * An enum-like description of the type of operation.
     * <p>
     * {@code ADD_WHERE_ABSENT} adds a defined tag only if the tag does not already exist on the resource.
     * * {@code SET_WHERE_PRESENT} updates the value for a defined tag only if the tag is present on the resource.
     * * {@code ADD_OR_SET} combines the first two operations to add a defined tag if it does not already exist on the resource
     * or update the value for a defined tag only if the tag is present on the resource.
     * * {@code REMOVE} removes the defined tag from the resource. The tag is removed from the resource regardless of the tag value.
     *
     */
    "operationType": BulkEditOperationDetails.OperationType;
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags": {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace BulkEditOperationDetails {
    enum OperationType {
        AddWhereAbsent = "ADD_WHERE_ABSENT",
        SetWherePresent = "SET_WHERE_PRESENT",
        AddOrSet = "ADD_OR_SET",
        Remove = "REMOVE"
    }
    function getJsonObj(obj: BulkEditOperationDetails): object;
    function getDeserializedJsonObj(obj: BulkEditOperationDetails): object;
}
