/**
 * Identity and Access Management Service API
 * Use the Identity and Access Management Service API to manage users, groups, identity domains, compartments, policies, tagging, and limits. For information about managing users, groups, compartments, and policies, see [Identity and Access Management (without identity domains)](/iaas/Content/Identity/Concepts/overview.htm). For information about tagging and service limits, see [Tagging](/iaas/Content/Tagging/Concepts/taggingoverview.htm) and [Service Limits](/iaas/Content/General/Concepts/servicelimits.htm). For information about creating, modifying, and deleting identity domains, see [Identity and Access Management (with identity domains)](/iaas/Content/Identity/home.htm).
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * (For tenancies that support identity domains) Identity domain replication states.
 */
export interface DomainReplication {
    /**
     * The version number indicating the value of kievTxnId, starting from which the identity domain replication events need to be returned. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "opcWaterMark": number;
    /**
     * A custom value defining the order of records with the same kievTxnId. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "txnSeqNumber": number;
    /**
     * The identity domain's replication state.
     */
    "domainReplicationStates": Array<model.DomainReplicationStates>;
}
export declare namespace DomainReplication {
    function getJsonObj(obj: DomainReplication): object;
    function getDeserializedJsonObj(obj: DomainReplication): object;
}
