/**
 *
 *
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/identity/ListCompartments.ts.html |here} to see how to use ListCompartmentsRequest.
 */
export interface ListCompartmentsRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment (remember that the tenancy is simply the root compartment).
     *
     */
    "compartmentId": string;
    /**
     * The value of the {@code opc-next-page} response header from the previous \"List\" call.
     *
     */
    "page"?: string;
    /**
     * The maximum number of items to return in a paginated \"List\" call.
     *
     */
    "limit"?: number;
    /**
   * Valid values are {@code ANY} and {@code ACCESSIBLE}. Default is {@code ANY}.
  * Setting this to {@code ACCESSIBLE} returns only those compartments for which the
  * user has INSPECT permissions directly or indirectly (permissions can be on a
  * resource in a subcompartment). For the compartments on which the user indirectly has
  * INSPECT permissions, a restricted set of fields is returned.
  * <p>
  When set to {@code ANY} permissions are not checked.
  *
   */
    "accessLevel"?: ListCompartmentsRequest.AccessLevel;
    /**
     * Default is false. Can only be set to true when performing
     * ListCompartments on the tenancy (root compartment).
     * When set to true, the hierarchy of compartments is traversed
     * and all compartments and subcompartments in the tenancy are
     * returned depending on the the setting of {@code accessLevel}.
     *
     */
    "compartmentIdInSubtree"?: boolean;
    /**
     * A filter to only return resources that match the given name exactly.
     *
     */
    "name"?: string;
    /**
     * The field to sort by. You can provide one sort order ({@code sortOrder}). Default order for
     * TIMECREATED is descending. Default order for NAME is ascending. The NAME
     * sort order is case sensitive.
     * <p>
     **Note:** In general, some \"List\" operations (for example, {@code ListInstances}) let you
     * optionally filter by Availability Domain if the scope of the resource type is within a
     * single Availability Domain. If you call one of these \"List\" operations without specifying
     * an Availability Domain, the resources are grouped by Availability Domain, then sorted.
     *
     */
    "sortBy"?: ListCompartmentsRequest.SortBy;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}). The NAME sort order
     * is case sensitive.
     *
     */
    "sortOrder"?: ListCompartmentsRequest.SortOrder;
    /**
     * A filter to only return resources that match the given lifecycle state.  The state value is case-insensitive.
     *
     */
    "lifecycleState"?: string;
}
export declare namespace ListCompartmentsRequest {
    enum AccessLevel {
        Any = "ANY",
        Accessible = "ACCESSIBLE"
    }
    enum SortBy {
        Timecreated = "TIMECREATED",
        Name = "NAME"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
