/**
 * Identity and Access Management Service API
 * Use the Identity and Access Management Service API to manage users, groups, identity domains, compartments, policies, tagging, and limits. For information about managing users, groups, compartments, and policies, see [Identity and Access Management (without identity domains)](/iaas/Content/Identity/Concepts/overview.htm). For information about tagging and service limits, see [Tagging](/iaas/Content/Tagging/Concepts/taggingoverview.htm) and [Service Limits](/iaas/Content/General/Concepts/servicelimits.htm). For information about creating, modifying, and deleting identity domains, see [Identity and Access Management (with identity domains)](/iaas/Content/Identity/home.htm).
 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActivateDomainResponse from "./activate-domain-response";
export import ActivateDomainResponse = ActivateDomainResponse.ActivateDomainResponse;
import * as ActivateMfaTotpDeviceResponse from "./activate-mfa-totp-device-response";
export import ActivateMfaTotpDeviceResponse = ActivateMfaTotpDeviceResponse.ActivateMfaTotpDeviceResponse;
import * as AddTagDefaultLockResponse from "./add-tag-default-lock-response";
export import AddTagDefaultLockResponse = AddTagDefaultLockResponse.AddTagDefaultLockResponse;
import * as AddTagNamespaceLockResponse from "./add-tag-namespace-lock-response";
export import AddTagNamespaceLockResponse = AddTagNamespaceLockResponse.AddTagNamespaceLockResponse;
import * as AddUserToGroupResponse from "./add-user-to-group-response";
export import AddUserToGroupResponse = AddUserToGroupResponse.AddUserToGroupResponse;
import * as AssembleEffectiveTagSetResponse from "./assemble-effective-tag-set-response";
export import AssembleEffectiveTagSetResponse = AssembleEffectiveTagSetResponse.AssembleEffectiveTagSetResponse;
import * as BulkDeleteResourcesResponse from "./bulk-delete-resources-response";
export import BulkDeleteResourcesResponse = BulkDeleteResourcesResponse.BulkDeleteResourcesResponse;
import * as BulkDeleteTagsResponse from "./bulk-delete-tags-response";
export import BulkDeleteTagsResponse = BulkDeleteTagsResponse.BulkDeleteTagsResponse;
import * as BulkEditTagsResponse from "./bulk-edit-tags-response";
export import BulkEditTagsResponse = BulkEditTagsResponse.BulkEditTagsResponse;
import * as BulkMoveResourcesResponse from "./bulk-move-resources-response";
export import BulkMoveResourcesResponse = BulkMoveResourcesResponse.BulkMoveResourcesResponse;
import * as CascadeDeleteTagNamespaceResponse from "./cascade-delete-tag-namespace-response";
export import CascadeDeleteTagNamespaceResponse = CascadeDeleteTagNamespaceResponse.CascadeDeleteTagNamespaceResponse;
import * as ChangeDomainCompartmentResponse from "./change-domain-compartment-response";
export import ChangeDomainCompartmentResponse = ChangeDomainCompartmentResponse.ChangeDomainCompartmentResponse;
import * as ChangeDomainLicenseTypeResponse from "./change-domain-license-type-response";
export import ChangeDomainLicenseTypeResponse = ChangeDomainLicenseTypeResponse.ChangeDomainLicenseTypeResponse;
import * as ChangeTagNamespaceCompartmentResponse from "./change-tag-namespace-compartment-response";
export import ChangeTagNamespaceCompartmentResponse = ChangeTagNamespaceCompartmentResponse.ChangeTagNamespaceCompartmentResponse;
import * as CreateAuthTokenResponse from "./create-auth-token-response";
export import CreateAuthTokenResponse = CreateAuthTokenResponse.CreateAuthTokenResponse;
import * as CreateCompartmentResponse from "./create-compartment-response";
export import CreateCompartmentResponse = CreateCompartmentResponse.CreateCompartmentResponse;
import * as CreateCustomerSecretKeyResponse from "./create-customer-secret-key-response";
export import CreateCustomerSecretKeyResponse = CreateCustomerSecretKeyResponse.CreateCustomerSecretKeyResponse;
import * as CreateDbCredentialResponse from "./create-db-credential-response";
export import CreateDbCredentialResponse = CreateDbCredentialResponse.CreateDbCredentialResponse;
import * as CreateDomainResponse from "./create-domain-response";
export import CreateDomainResponse = CreateDomainResponse.CreateDomainResponse;
import * as CreateDynamicGroupResponse from "./create-dynamic-group-response";
export import CreateDynamicGroupResponse = CreateDynamicGroupResponse.CreateDynamicGroupResponse;
import * as CreateGroupResponse from "./create-group-response";
export import CreateGroupResponse = CreateGroupResponse.CreateGroupResponse;
import * as CreateIdentityProviderResponse from "./create-identity-provider-response";
export import CreateIdentityProviderResponse = CreateIdentityProviderResponse.CreateIdentityProviderResponse;
import * as CreateIdpGroupMappingResponse from "./create-idp-group-mapping-response";
export import CreateIdpGroupMappingResponse = CreateIdpGroupMappingResponse.CreateIdpGroupMappingResponse;
import * as CreateMfaTotpDeviceResponse from "./create-mfa-totp-device-response";
export import CreateMfaTotpDeviceResponse = CreateMfaTotpDeviceResponse.CreateMfaTotpDeviceResponse;
import * as CreateNetworkSourceResponse from "./create-network-source-response";
export import CreateNetworkSourceResponse = CreateNetworkSourceResponse.CreateNetworkSourceResponse;
import * as CreateOAuthClientCredentialResponse from "./create-oauth-client-credential-response";
export import CreateOAuthClientCredentialResponse = CreateOAuthClientCredentialResponse.CreateOAuthClientCredentialResponse;
import * as CreateOrResetUIPasswordResponse from "./create-or-reset-uipassword-response";
export import CreateOrResetUIPasswordResponse = CreateOrResetUIPasswordResponse.CreateOrResetUIPasswordResponse;
import * as CreatePolicyResponse from "./create-policy-response";
export import CreatePolicyResponse = CreatePolicyResponse.CreatePolicyResponse;
import * as CreateRegionSubscriptionResponse from "./create-region-subscription-response";
export import CreateRegionSubscriptionResponse = CreateRegionSubscriptionResponse.CreateRegionSubscriptionResponse;
import * as CreateSmtpCredentialResponse from "./create-smtp-credential-response";
export import CreateSmtpCredentialResponse = CreateSmtpCredentialResponse.CreateSmtpCredentialResponse;
import * as CreateSwiftPasswordResponse from "./create-swift-password-response";
export import CreateSwiftPasswordResponse = CreateSwiftPasswordResponse.CreateSwiftPasswordResponse;
import * as CreateTagResponse from "./create-tag-response";
export import CreateTagResponse = CreateTagResponse.CreateTagResponse;
import * as CreateTagDefaultResponse from "./create-tag-default-response";
export import CreateTagDefaultResponse = CreateTagDefaultResponse.CreateTagDefaultResponse;
import * as CreateTagNamespaceResponse from "./create-tag-namespace-response";
export import CreateTagNamespaceResponse = CreateTagNamespaceResponse.CreateTagNamespaceResponse;
import * as CreateUserResponse from "./create-user-response";
export import CreateUserResponse = CreateUserResponse.CreateUserResponse;
import * as DeactivateDomainResponse from "./deactivate-domain-response";
export import DeactivateDomainResponse = DeactivateDomainResponse.DeactivateDomainResponse;
import * as DeleteApiKeyResponse from "./delete-api-key-response";
export import DeleteApiKeyResponse = DeleteApiKeyResponse.DeleteApiKeyResponse;
import * as DeleteAuthTokenResponse from "./delete-auth-token-response";
export import DeleteAuthTokenResponse = DeleteAuthTokenResponse.DeleteAuthTokenResponse;
import * as DeleteCompartmentResponse from "./delete-compartment-response";
export import DeleteCompartmentResponse = DeleteCompartmentResponse.DeleteCompartmentResponse;
import * as DeleteCustomerSecretKeyResponse from "./delete-customer-secret-key-response";
export import DeleteCustomerSecretKeyResponse = DeleteCustomerSecretKeyResponse.DeleteCustomerSecretKeyResponse;
import * as DeleteDbCredentialResponse from "./delete-db-credential-response";
export import DeleteDbCredentialResponse = DeleteDbCredentialResponse.DeleteDbCredentialResponse;
import * as DeleteDomainResponse from "./delete-domain-response";
export import DeleteDomainResponse = DeleteDomainResponse.DeleteDomainResponse;
import * as DeleteDynamicGroupResponse from "./delete-dynamic-group-response";
export import DeleteDynamicGroupResponse = DeleteDynamicGroupResponse.DeleteDynamicGroupResponse;
import * as DeleteGroupResponse from "./delete-group-response";
export import DeleteGroupResponse = DeleteGroupResponse.DeleteGroupResponse;
import * as DeleteIdentityProviderResponse from "./delete-identity-provider-response";
export import DeleteIdentityProviderResponse = DeleteIdentityProviderResponse.DeleteIdentityProviderResponse;
import * as DeleteIdpGroupMappingResponse from "./delete-idp-group-mapping-response";
export import DeleteIdpGroupMappingResponse = DeleteIdpGroupMappingResponse.DeleteIdpGroupMappingResponse;
import * as DeleteMfaTotpDeviceResponse from "./delete-mfa-totp-device-response";
export import DeleteMfaTotpDeviceResponse = DeleteMfaTotpDeviceResponse.DeleteMfaTotpDeviceResponse;
import * as DeleteNetworkSourceResponse from "./delete-network-source-response";
export import DeleteNetworkSourceResponse = DeleteNetworkSourceResponse.DeleteNetworkSourceResponse;
import * as DeleteOAuthClientCredentialResponse from "./delete-oauth-client-credential-response";
export import DeleteOAuthClientCredentialResponse = DeleteOAuthClientCredentialResponse.DeleteOAuthClientCredentialResponse;
import * as DeletePolicyResponse from "./delete-policy-response";
export import DeletePolicyResponse = DeletePolicyResponse.DeletePolicyResponse;
import * as DeleteSmtpCredentialResponse from "./delete-smtp-credential-response";
export import DeleteSmtpCredentialResponse = DeleteSmtpCredentialResponse.DeleteSmtpCredentialResponse;
import * as DeleteSwiftPasswordResponse from "./delete-swift-password-response";
export import DeleteSwiftPasswordResponse = DeleteSwiftPasswordResponse.DeleteSwiftPasswordResponse;
import * as DeleteTagResponse from "./delete-tag-response";
export import DeleteTagResponse = DeleteTagResponse.DeleteTagResponse;
import * as DeleteTagDefaultResponse from "./delete-tag-default-response";
export import DeleteTagDefaultResponse = DeleteTagDefaultResponse.DeleteTagDefaultResponse;
import * as DeleteTagNamespaceResponse from "./delete-tag-namespace-response";
export import DeleteTagNamespaceResponse = DeleteTagNamespaceResponse.DeleteTagNamespaceResponse;
import * as DeleteUserResponse from "./delete-user-response";
export import DeleteUserResponse = DeleteUserResponse.DeleteUserResponse;
import * as EnableReplicationToRegionResponse from "./enable-replication-to-region-response";
export import EnableReplicationToRegionResponse = EnableReplicationToRegionResponse.EnableReplicationToRegionResponse;
import * as GenerateTotpSeedResponse from "./generate-totp-seed-response";
export import GenerateTotpSeedResponse = GenerateTotpSeedResponse.GenerateTotpSeedResponse;
import * as GetAuthenticationPolicyResponse from "./get-authentication-policy-response";
export import GetAuthenticationPolicyResponse = GetAuthenticationPolicyResponse.GetAuthenticationPolicyResponse;
import * as GetCompartmentResponse from "./get-compartment-response";
export import GetCompartmentResponse = GetCompartmentResponse.GetCompartmentResponse;
import * as GetDomainResponse from "./get-domain-response";
export import GetDomainResponse = GetDomainResponse.GetDomainResponse;
import * as GetDynamicGroupResponse from "./get-dynamic-group-response";
export import GetDynamicGroupResponse = GetDynamicGroupResponse.GetDynamicGroupResponse;
import * as GetGroupResponse from "./get-group-response";
export import GetGroupResponse = GetGroupResponse.GetGroupResponse;
import * as GetIamWorkRequestResponse from "./get-iam-work-request-response";
export import GetIamWorkRequestResponse = GetIamWorkRequestResponse.GetIamWorkRequestResponse;
import * as GetIdentityProviderResponse from "./get-identity-provider-response";
export import GetIdentityProviderResponse = GetIdentityProviderResponse.GetIdentityProviderResponse;
import * as GetIdpGroupMappingResponse from "./get-idp-group-mapping-response";
export import GetIdpGroupMappingResponse = GetIdpGroupMappingResponse.GetIdpGroupMappingResponse;
import * as GetMfaTotpDeviceResponse from "./get-mfa-totp-device-response";
export import GetMfaTotpDeviceResponse = GetMfaTotpDeviceResponse.GetMfaTotpDeviceResponse;
import * as GetNetworkSourceResponse from "./get-network-source-response";
export import GetNetworkSourceResponse = GetNetworkSourceResponse.GetNetworkSourceResponse;
import * as GetPolicyResponse from "./get-policy-response";
export import GetPolicyResponse = GetPolicyResponse.GetPolicyResponse;
import * as GetStandardTagTemplateResponse from "./get-standard-tag-template-response";
export import GetStandardTagTemplateResponse = GetStandardTagTemplateResponse.GetStandardTagTemplateResponse;
import * as GetTagResponse from "./get-tag-response";
export import GetTagResponse = GetTagResponse.GetTagResponse;
import * as GetTagDefaultResponse from "./get-tag-default-response";
export import GetTagDefaultResponse = GetTagDefaultResponse.GetTagDefaultResponse;
import * as GetTagNamespaceResponse from "./get-tag-namespace-response";
export import GetTagNamespaceResponse = GetTagNamespaceResponse.GetTagNamespaceResponse;
import * as GetTaggingWorkRequestResponse from "./get-tagging-work-request-response";
export import GetTaggingWorkRequestResponse = GetTaggingWorkRequestResponse.GetTaggingWorkRequestResponse;
import * as GetTenancyResponse from "./get-tenancy-response";
export import GetTenancyResponse = GetTenancyResponse.GetTenancyResponse;
import * as GetUserResponse from "./get-user-response";
export import GetUserResponse = GetUserResponse.GetUserResponse;
import * as GetUserGroupMembershipResponse from "./get-user-group-membership-response";
export import GetUserGroupMembershipResponse = GetUserGroupMembershipResponse.GetUserGroupMembershipResponse;
import * as GetUserUIPasswordInformationResponse from "./get-user-uipassword-information-response";
export import GetUserUIPasswordInformationResponse = GetUserUIPasswordInformationResponse.GetUserUIPasswordInformationResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as ImportStandardTagsResponse from "./import-standard-tags-response";
export import ImportStandardTagsResponse = ImportStandardTagsResponse.ImportStandardTagsResponse;
import * as ListAllowedDomainLicenseTypesResponse from "./list-allowed-domain-license-types-response";
export import ListAllowedDomainLicenseTypesResponse = ListAllowedDomainLicenseTypesResponse.ListAllowedDomainLicenseTypesResponse;
import * as ListApiKeysResponse from "./list-api-keys-response";
export import ListApiKeysResponse = ListApiKeysResponse.ListApiKeysResponse;
import * as ListAuthTokensResponse from "./list-auth-tokens-response";
export import ListAuthTokensResponse = ListAuthTokensResponse.ListAuthTokensResponse;
import * as ListAvailabilityDomainsResponse from "./list-availability-domains-response";
export import ListAvailabilityDomainsResponse = ListAvailabilityDomainsResponse.ListAvailabilityDomainsResponse;
import * as ListBulkActionResourceTypesResponse from "./list-bulk-action-resource-types-response";
export import ListBulkActionResourceTypesResponse = ListBulkActionResourceTypesResponse.ListBulkActionResourceTypesResponse;
import * as ListBulkEditTagsResourceTypesResponse from "./list-bulk-edit-tags-resource-types-response";
export import ListBulkEditTagsResourceTypesResponse = ListBulkEditTagsResourceTypesResponse.ListBulkEditTagsResourceTypesResponse;
import * as ListCompartmentsResponse from "./list-compartments-response";
export import ListCompartmentsResponse = ListCompartmentsResponse.ListCompartmentsResponse;
import * as ListCostTrackingTagsResponse from "./list-cost-tracking-tags-response";
export import ListCostTrackingTagsResponse = ListCostTrackingTagsResponse.ListCostTrackingTagsResponse;
import * as ListCustomerSecretKeysResponse from "./list-customer-secret-keys-response";
export import ListCustomerSecretKeysResponse = ListCustomerSecretKeysResponse.ListCustomerSecretKeysResponse;
import * as ListDbCredentialsResponse from "./list-db-credentials-response";
export import ListDbCredentialsResponse = ListDbCredentialsResponse.ListDbCredentialsResponse;
import * as ListDomainsResponse from "./list-domains-response";
export import ListDomainsResponse = ListDomainsResponse.ListDomainsResponse;
import * as ListDynamicGroupsResponse from "./list-dynamic-groups-response";
export import ListDynamicGroupsResponse = ListDynamicGroupsResponse.ListDynamicGroupsResponse;
import * as ListFaultDomainsResponse from "./list-fault-domains-response";
export import ListFaultDomainsResponse = ListFaultDomainsResponse.ListFaultDomainsResponse;
import * as ListGroupsResponse from "./list-groups-response";
export import ListGroupsResponse = ListGroupsResponse.ListGroupsResponse;
import * as ListIamWorkRequestErrorsResponse from "./list-iam-work-request-errors-response";
export import ListIamWorkRequestErrorsResponse = ListIamWorkRequestErrorsResponse.ListIamWorkRequestErrorsResponse;
import * as ListIamWorkRequestLogsResponse from "./list-iam-work-request-logs-response";
export import ListIamWorkRequestLogsResponse = ListIamWorkRequestLogsResponse.ListIamWorkRequestLogsResponse;
import * as ListIamWorkRequestsResponse from "./list-iam-work-requests-response";
export import ListIamWorkRequestsResponse = ListIamWorkRequestsResponse.ListIamWorkRequestsResponse;
import * as ListIdentityProviderGroupsResponse from "./list-identity-provider-groups-response";
export import ListIdentityProviderGroupsResponse = ListIdentityProviderGroupsResponse.ListIdentityProviderGroupsResponse;
import * as ListIdentityProvidersResponse from "./list-identity-providers-response";
export import ListIdentityProvidersResponse = ListIdentityProvidersResponse.ListIdentityProvidersResponse;
import * as ListIdpGroupMappingsResponse from "./list-idp-group-mappings-response";
export import ListIdpGroupMappingsResponse = ListIdpGroupMappingsResponse.ListIdpGroupMappingsResponse;
import * as ListMfaTotpDevicesResponse from "./list-mfa-totp-devices-response";
export import ListMfaTotpDevicesResponse = ListMfaTotpDevicesResponse.ListMfaTotpDevicesResponse;
import * as ListNetworkSourcesResponse from "./list-network-sources-response";
export import ListNetworkSourcesResponse = ListNetworkSourcesResponse.ListNetworkSourcesResponse;
import * as ListOAuthClientCredentialsResponse from "./list-oauth-client-credentials-response";
export import ListOAuthClientCredentialsResponse = ListOAuthClientCredentialsResponse.ListOAuthClientCredentialsResponse;
import * as ListPoliciesResponse from "./list-policies-response";
export import ListPoliciesResponse = ListPoliciesResponse.ListPoliciesResponse;
import * as ListRegionSubscriptionsResponse from "./list-region-subscriptions-response";
export import ListRegionSubscriptionsResponse = ListRegionSubscriptionsResponse.ListRegionSubscriptionsResponse;
import * as ListRegionsResponse from "./list-regions-response";
export import ListRegionsResponse = ListRegionsResponse.ListRegionsResponse;
import * as ListSmtpCredentialsResponse from "./list-smtp-credentials-response";
export import ListSmtpCredentialsResponse = ListSmtpCredentialsResponse.ListSmtpCredentialsResponse;
import * as ListStandardTagNamespacesResponse from "./list-standard-tag-namespaces-response";
export import ListStandardTagNamespacesResponse = ListStandardTagNamespacesResponse.ListStandardTagNamespacesResponse;
import * as ListSwiftPasswordsResponse from "./list-swift-passwords-response";
export import ListSwiftPasswordsResponse = ListSwiftPasswordsResponse.ListSwiftPasswordsResponse;
import * as ListTagDefaultsResponse from "./list-tag-defaults-response";
export import ListTagDefaultsResponse = ListTagDefaultsResponse.ListTagDefaultsResponse;
import * as ListTagNamespacesResponse from "./list-tag-namespaces-response";
export import ListTagNamespacesResponse = ListTagNamespacesResponse.ListTagNamespacesResponse;
import * as ListTaggingWorkRequestErrorsResponse from "./list-tagging-work-request-errors-response";
export import ListTaggingWorkRequestErrorsResponse = ListTaggingWorkRequestErrorsResponse.ListTaggingWorkRequestErrorsResponse;
import * as ListTaggingWorkRequestLogsResponse from "./list-tagging-work-request-logs-response";
export import ListTaggingWorkRequestLogsResponse = ListTaggingWorkRequestLogsResponse.ListTaggingWorkRequestLogsResponse;
import * as ListTaggingWorkRequestsResponse from "./list-tagging-work-requests-response";
export import ListTaggingWorkRequestsResponse = ListTaggingWorkRequestsResponse.ListTaggingWorkRequestsResponse;
import * as ListTagsResponse from "./list-tags-response";
export import ListTagsResponse = ListTagsResponse.ListTagsResponse;
import * as ListUserGroupMembershipsResponse from "./list-user-group-memberships-response";
export import ListUserGroupMembershipsResponse = ListUserGroupMembershipsResponse.ListUserGroupMembershipsResponse;
import * as ListUsersResponse from "./list-users-response";
export import ListUsersResponse = ListUsersResponse.ListUsersResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as MoveCompartmentResponse from "./move-compartment-response";
export import MoveCompartmentResponse = MoveCompartmentResponse.MoveCompartmentResponse;
import * as RecoverCompartmentResponse from "./recover-compartment-response";
export import RecoverCompartmentResponse = RecoverCompartmentResponse.RecoverCompartmentResponse;
import * as RemoveTagDefaultLockResponse from "./remove-tag-default-lock-response";
export import RemoveTagDefaultLockResponse = RemoveTagDefaultLockResponse.RemoveTagDefaultLockResponse;
import * as RemoveTagNamespaceLockResponse from "./remove-tag-namespace-lock-response";
export import RemoveTagNamespaceLockResponse = RemoveTagNamespaceLockResponse.RemoveTagNamespaceLockResponse;
import * as RemoveUserFromGroupResponse from "./remove-user-from-group-response";
export import RemoveUserFromGroupResponse = RemoveUserFromGroupResponse.RemoveUserFromGroupResponse;
import * as ResetIdpScimClientResponse from "./reset-idp-scim-client-response";
export import ResetIdpScimClientResponse = ResetIdpScimClientResponse.ResetIdpScimClientResponse;
import * as UpdateAuthTokenResponse from "./update-auth-token-response";
export import UpdateAuthTokenResponse = UpdateAuthTokenResponse.UpdateAuthTokenResponse;
import * as UpdateAuthenticationPolicyResponse from "./update-authentication-policy-response";
export import UpdateAuthenticationPolicyResponse = UpdateAuthenticationPolicyResponse.UpdateAuthenticationPolicyResponse;
import * as UpdateCompartmentResponse from "./update-compartment-response";
export import UpdateCompartmentResponse = UpdateCompartmentResponse.UpdateCompartmentResponse;
import * as UpdateCustomerSecretKeyResponse from "./update-customer-secret-key-response";
export import UpdateCustomerSecretKeyResponse = UpdateCustomerSecretKeyResponse.UpdateCustomerSecretKeyResponse;
import * as UpdateDomainResponse from "./update-domain-response";
export import UpdateDomainResponse = UpdateDomainResponse.UpdateDomainResponse;
import * as UpdateDynamicGroupResponse from "./update-dynamic-group-response";
export import UpdateDynamicGroupResponse = UpdateDynamicGroupResponse.UpdateDynamicGroupResponse;
import * as UpdateGroupResponse from "./update-group-response";
export import UpdateGroupResponse = UpdateGroupResponse.UpdateGroupResponse;
import * as UpdateIdentityProviderResponse from "./update-identity-provider-response";
export import UpdateIdentityProviderResponse = UpdateIdentityProviderResponse.UpdateIdentityProviderResponse;
import * as UpdateIdpGroupMappingResponse from "./update-idp-group-mapping-response";
export import UpdateIdpGroupMappingResponse = UpdateIdpGroupMappingResponse.UpdateIdpGroupMappingResponse;
import * as UpdateNetworkSourceResponse from "./update-network-source-response";
export import UpdateNetworkSourceResponse = UpdateNetworkSourceResponse.UpdateNetworkSourceResponse;
import * as UpdateOAuthClientCredentialResponse from "./update-oauth-client-credential-response";
export import UpdateOAuthClientCredentialResponse = UpdateOAuthClientCredentialResponse.UpdateOAuthClientCredentialResponse;
import * as UpdatePolicyResponse from "./update-policy-response";
export import UpdatePolicyResponse = UpdatePolicyResponse.UpdatePolicyResponse;
import * as UpdateSmtpCredentialResponse from "./update-smtp-credential-response";
export import UpdateSmtpCredentialResponse = UpdateSmtpCredentialResponse.UpdateSmtpCredentialResponse;
import * as UpdateSwiftPasswordResponse from "./update-swift-password-response";
export import UpdateSwiftPasswordResponse = UpdateSwiftPasswordResponse.UpdateSwiftPasswordResponse;
import * as UpdateTagResponse from "./update-tag-response";
export import UpdateTagResponse = UpdateTagResponse.UpdateTagResponse;
import * as UpdateTagDefaultResponse from "./update-tag-default-response";
export import UpdateTagDefaultResponse = UpdateTagDefaultResponse.UpdateTagDefaultResponse;
import * as UpdateTagNamespaceResponse from "./update-tag-namespace-response";
export import UpdateTagNamespaceResponse = UpdateTagNamespaceResponse.UpdateTagNamespaceResponse;
import * as UpdateUserResponse from "./update-user-response";
export import UpdateUserResponse = UpdateUserResponse.UpdateUserResponse;
import * as UpdateUserCapabilitiesResponse from "./update-user-capabilities-response";
export import UpdateUserCapabilitiesResponse = UpdateUserCapabilitiesResponse.UpdateUserCapabilitiesResponse;
import * as UpdateUserStateResponse from "./update-user-state-response";
export import UpdateUserStateResponse = UpdateUserStateResponse.UpdateUserStateResponse;
import * as UploadApiKeyResponse from "./upload-api-key-response";
export import UploadApiKeyResponse = UploadApiKeyResponse.UploadApiKeyResponse;
