"use strict";
/**
 * Identity and Access Management Data Plane API
 * APIs for managing identity data plane services. For example, use this API to create a scoped-access security token. To manage identity domains (for example, creating or deleting an identity domain) or to manage resources (for example, users and groups) within the default identity domain, see [IAM API](https://docs.oracle.com/iaas/api/#/en/identity/).
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CostTrackingTag = void 0;
var CostTrackingTag;
(function (CostTrackingTag) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "Tag_Namespace_Id": obj.tagNamespaceId,
            "Tag_Namespace_Name": obj.tagNamespaceName,
            "Tag_Definition_Id": obj.tagDefinitionId,
            "Tag_Definition_Name": obj.tagDefinitionName
        });
        delete jsonObj.tagNamespaceId;
        delete jsonObj.tagNamespaceName;
        delete jsonObj.tagDefinitionId;
        delete jsonObj.tagDefinitionName;
        return jsonObj;
    }
    CostTrackingTag.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "tagNamespaceId": obj["Tag_Namespace_Id"],
            "tagNamespaceName": obj["Tag_Namespace_Name"],
            "tagDefinitionId": obj["Tag_Definition_Id"],
            "tagDefinitionName": obj["Tag_Definition_Name"]
        });
        delete jsonObj["Tag_Namespace_Id"];
        delete jsonObj["Tag_Namespace_Name"];
        delete jsonObj["Tag_Definition_Id"];
        delete jsonObj["Tag_Definition_Name"];
        return jsonObj;
    }
    CostTrackingTag.getDeserializedJsonObj = getDeserializedJsonObj;
})(CostTrackingTag = exports.CostTrackingTag || (exports.CostTrackingTag = {}));
//# sourceMappingURL=cost-tracking-tag.js.map