/**
 * Identity and Access Management Data Plane API
 * APIs for managing identity data plane services. For example, use this API to create a scoped-access security token. To manage identity domains (for example, creating or deleting an identity domain) or to manage resources (for example, users and groups) within the default identity domain, see [IAM API](https://docs.oracle.com/iaas/api/#/en/identity/).
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Request parameters in body for obtaining a user principal session token (UPST) for self.
 */
export interface GenerateUserSecurityTokenDetails {
    /**
     * The user-owned public key in PEM format that corresponds to the RSA key pair used for signing requests.
     * The user also owns the corresponding private key. This public key will be put inside the user
     * security token by the auth service after successful validation of the request.
     *
     */
    "publicKey": string;
    /**
     * User session expiration in minutes to which the requested user principal session token (UPST) is bounded.
     * Valid values are from 5 to 60 for all realms.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sessionExpirationInMinutes"?: number;
}
export declare namespace GenerateUserSecurityTokenDetails {
    function getJsonObj(obj: GenerateUserSecurityTokenDetails): object;
    function getDeserializedJsonObj(obj: GenerateUserSecurityTokenDetails): object;
}
