/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * This extension defines attributes specific to Apps that represent instances of Multicloud Service App
 */
export interface AppExtensionMulticloudServiceAppApp {
    /**
     * Specifies the service type for which the application is configured for multicloud integration. For applicable external service types, app will invoke multicloud service for runtime operations
     * <p>
     **Added In:** 2301202328
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: true
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - mutability: immutable
     *  - required: true
     *  - returned: request
     *  - type: string
     *  - uniqueness: none
     */
    "multicloudServiceType": AppExtensionMulticloudServiceAppApp.MulticloudServiceType;
    /**
     * The multicloud platform service URL which the application will invoke for runtime operations such as AWSCredentials api invocation
     * <p>
     **Added In:** 2301202328
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - mutability: immutable
     *  - required: false
     *  - returned: request
     *  - type: string
     *  - uniqueness: none
     */
    "multicloudPlatformUrl"?: string;
}
export declare namespace AppExtensionMulticloudServiceAppApp {
    enum MulticloudServiceType {
        AwsCognito = "AWSCognito",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AppExtensionMulticloudServiceAppApp): object;
    function getDeserializedJsonObj(obj: AppExtensionMulticloudServiceAppApp): object;
}
