"use strict";
/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppGrants = void 0;
var AppGrants;
(function (AppGrants) {
    let GranteeType;
    (function (GranteeType) {
        GranteeType["User"] = "User";
        GranteeType["Group"] = "Group";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        GranteeType["UnknownValue"] = "UNKNOWN_VALUE";
    })(GranteeType = AppGrants.GranteeType || (AppGrants.GranteeType = {}));
    let GrantMechanism;
    (function (GrantMechanism) {
        GrantMechanism["ImportApproleMembers"] = "IMPORT_APPROLE_MEMBERS";
        GrantMechanism["AdministratorToUser"] = "ADMINISTRATOR_TO_USER";
        GrantMechanism["AdministratorToGroup"] = "ADMINISTRATOR_TO_GROUP";
        GrantMechanism["ServiceManagerToUser"] = "SERVICE_MANAGER_TO_USER";
        GrantMechanism["AdministratorToApp"] = "ADMINISTRATOR_TO_APP";
        GrantMechanism["ServiceManagerToApp"] = "SERVICE_MANAGER_TO_APP";
        GrantMechanism["OpcInfraToApp"] = "OPC_INFRA_TO_APP";
        GrantMechanism["GroupMembership"] = "GROUP_MEMBERSHIP";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        GrantMechanism["UnknownValue"] = "UNKNOWN_VALUE";
    })(GrantMechanism = AppGrants.GrantMechanism || (AppGrants.GrantMechanism = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "$ref": obj.ref
        });
        delete jsonObj.ref;
        return jsonObj;
    }
    AppGrants.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "ref": obj["$ref"]
        });
        delete jsonObj["$ref"];
        return jsonObj;
    }
    AppGrants.getDeserializedJsonObj = getDeserializedJsonObj;
})(AppGrants = exports.AppGrants || (exports.AppGrants = {}));
//# sourceMappingURL=app-grants.js.map