/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Each value of this attribute describes an attribute of Group that will be sent in a Security Assertion Markup Language (SAML) assertion.
 * <p>
 **Deprecated Since: 18.2.2**
 * <p>
 **SCIM++ Properties:**
 *  - caseExact: false
 *  - idcsCompositeKey: [name]
 *  - idcsSearchable: false
 *  - idcsValuePersistedInOtherAttribute: true
 *  - multiValued: true
 *  - mutability: readWrite
 *  - required: false
 *  - returned: default
 *  - type: complex
 *  - uniqueness: none
 */
export interface AppGroupAssertionAttributes {
    /**
     * The attribute represents the name of the attribute that will be used in the Security Assertion Markup Language (SAML) assertion
     * <p>
     **Deprecated Since: 18.2.2**
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: false
     *  - idcsSearchable: false
     *  - idcsValuePersistedInOtherAttribute: true
     *  - multiValued: false
     *  - mutability: readWrite
     *  - required: true
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "name": string;
    /**
     * Indicates the format of the assertion attribute.
     * <p>
     **Deprecated Since: 18.2.2**
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: true
     *  - idcsSearchable: false
     *  - idcsValuePersistedInOtherAttribute: true
     *  - multiValued: false
     *  - mutability: readWrite
     *  - required: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "format"?: string;
    /**
     * Indicates the filter types that are supported for the Group assertion attributes.
     * <p>
     **Deprecated Since: 18.2.2**
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: false
     *  - idcsSearchable: false
     *  - idcsValuePersistedInOtherAttribute: true
     *  - multiValued: false
     *  - mutability: readWrite
     *  - required: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "condition"?: string;
    /**
     * Indicates the group name that are supported for the group assertion attributes.
     * <p>
     **Deprecated Since: 18.2.2**
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: true
     *  - idcsSearchable: false
     *  - idcsValuePersistedInOtherAttribute: true
     *  - multiValued: false
     *  - mutability: readWrite
     *  - required: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "groupName"?: string;
}
export declare namespace AppGroupAssertionAttributes {
    function getJsonObj(obj: AppGroupAssertionAttributes): object;
    function getDeserializedJsonObj(obj: AppGroupAssertionAttributes): object;
}
