/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Extension schema for error messages providing more details with the exception status.
 * Returns messageId corresponding to the detailed error message and optionally additional data related to the error condition - for example reason for authentication failure such as user is disabled or locked.
 */
export interface ExtensionMessagesError {
    /**
     * Internal error keyword pointing to the exception status message. REQUIRED.
     */
    "messageId"?: string;
    /**
     * Contains Map based additional data for the exception message (as key-value pair). All keys and values are in string format.
     */
    "additionalData"?: any;
}
export declare namespace ExtensionMessagesError {
    function getJsonObj(obj: ExtensionMessagesError): object;
    function getDeserializedJsonObj(obj: ExtensionMessagesError): object;
}
