/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Controls whether a user can update themselves or not via User related APIs
 */
export interface ExtensionSelfChangeUser {
    /**
     * If true, allows requesting user to update themselves. If false, requesting user can't update themself (default).
     * <p>
     **Added In:** 2205182039
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - mutability: writeOnly
     *  - required: false
     *  - returned: never
     *  - type: boolean
     *  - uniqueness: none
     */
    "allowSelfChange"?: boolean;
}
export declare namespace ExtensionSelfChangeUser {
    function getJsonObj(obj: ExtensionSelfChangeUser): object;
    function getDeserializedJsonObj(obj: ExtensionSelfChangeUser): object;
}
