"use strict";
/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentityProvider = void 0;
const model = __importStar(require("../model"));
var IdentityProvider;
(function (IdentityProvider) {
    let IdcsPreventedOperations;
    (function (IdcsPreventedOperations) {
        IdcsPreventedOperations["Replace"] = "replace";
        IdcsPreventedOperations["Update"] = "update";
        IdcsPreventedOperations["Delete"] = "delete";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        IdcsPreventedOperations["UnknownValue"] = "UNKNOWN_VALUE";
    })(IdcsPreventedOperations = IdentityProvider.IdcsPreventedOperations || (IdentityProvider.IdcsPreventedOperations = {}));
    let AuthnRequestBinding;
    (function (AuthnRequestBinding) {
        AuthnRequestBinding["Redirect"] = "Redirect";
        AuthnRequestBinding["Post"] = "Post";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        AuthnRequestBinding["UnknownValue"] = "UNKNOWN_VALUE";
    })(AuthnRequestBinding = IdentityProvider.AuthnRequestBinding || (IdentityProvider.AuthnRequestBinding = {}));
    let LogoutBinding;
    (function (LogoutBinding) {
        LogoutBinding["Redirect"] = "Redirect";
        LogoutBinding["Post"] = "Post";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LogoutBinding["UnknownValue"] = "UNKNOWN_VALUE";
    })(LogoutBinding = IdentityProvider.LogoutBinding || (IdentityProvider.LogoutBinding = {}));
    let SignatureHashAlgorithm;
    (function (SignatureHashAlgorithm) {
        SignatureHashAlgorithm["Sha1"] = "SHA-1";
        SignatureHashAlgorithm["Sha256"] = "SHA-256";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        SignatureHashAlgorithm["UnknownValue"] = "UNKNOWN_VALUE";
    })(SignatureHashAlgorithm = IdentityProvider.SignatureHashAlgorithm || (IdentityProvider.SignatureHashAlgorithm = {}));
    let JitUserProvGroupAssignmentMethod;
    (function (JitUserProvGroupAssignmentMethod) {
        JitUserProvGroupAssignmentMethod["Overwrite"] = "Overwrite";
        JitUserProvGroupAssignmentMethod["Merge"] = "Merge";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        JitUserProvGroupAssignmentMethod["UnknownValue"] = "UNKNOWN_VALUE";
    })(JitUserProvGroupAssignmentMethod = IdentityProvider.JitUserProvGroupAssignmentMethod || (IdentityProvider.JitUserProvGroupAssignmentMethod = {}));
    let JitUserProvGroupMappingMode;
    (function (JitUserProvGroupMappingMode) {
        JitUserProvGroupMappingMode["Implicit"] = "implicit";
        JitUserProvGroupMappingMode["Explicit"] = "explicit";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        JitUserProvGroupMappingMode["UnknownValue"] = "UNKNOWN_VALUE";
    })(JitUserProvGroupMappingMode = IdentityProvider.JitUserProvGroupMappingMode || (IdentityProvider.JitUserProvGroupMappingMode = {}));
    let UserMappingMethod;
    (function (UserMappingMethod) {
        UserMappingMethod["NameIdToUserAttribute"] = "NameIDToUserAttribute";
        UserMappingMethod["AssertionAttributeToUserAttribute"] = "AssertionAttributeToUserAttribute";
        UserMappingMethod["CorrelationPolicyRule"] = "CorrelationPolicyRule";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UserMappingMethod["UnknownValue"] = "UNKNOWN_VALUE";
    })(UserMappingMethod = IdentityProvider.UserMappingMethod || (IdentityProvider.UserMappingMethod = {}));
    let Type;
    (function (Type) {
        Type["Saml"] = "SAML";
        Type["Social"] = "SOCIAL";
        Type["Iwa"] = "IWA";
        Type["X509"] = "X509";
        Type["Local"] = "LOCAL";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Type["UnknownValue"] = "UNKNOWN_VALUE";
    })(Type = IdentityProvider.Type || (IdentityProvider.Type = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "meta": obj.meta ? model.Meta.getJsonObj(obj.meta) : undefined,
            "idcsCreatedBy": obj.idcsCreatedBy
                ? model.IdcsCreatedBy.getJsonObj(obj.idcsCreatedBy)
                : undefined,
            "idcsLastModifiedBy": obj.idcsLastModifiedBy
                ? model.IdcsLastModifiedBy.getJsonObj(obj.idcsLastModifiedBy)
                : undefined,
            "tags": obj.tags
                ? obj.tags.map(item => {
                    return model.Tags.getJsonObj(item);
                })
                : undefined,
            "jitUserProvGroupMappings": obj.jitUserProvGroupMappings
                ? obj.jitUserProvGroupMappings.map(item => {
                    return model.IdentityProviderJitUserProvGroupMappings.getJsonObj(item);
                })
                : undefined,
            "jitUserProvAttributes": obj.jitUserProvAttributes
                ? model.IdentityProviderJitUserProvAttributes.getJsonObj(obj.jitUserProvAttributes)
                : undefined,
            "jitUserProvAssignedGroups": obj.jitUserProvAssignedGroups
                ? obj.jitUserProvAssignedGroups.map(item => {
                    return model.IdentityProviderJitUserProvAssignedGroups.getJsonObj(item);
                })
                : undefined,
            "correlationPolicy": obj.correlationPolicy
                ? model.IdentityProviderCorrelationPolicy.getJsonObj(obj.correlationPolicy)
                : undefined,
            "urn:ietf:params:scim:schemas:oracle:idcs:extension:social:IdentityProvider": obj.urnIetfParamsScimSchemasOracleIdcsExtensionSocialIdentityProvider
                ? model.ExtensionSocialIdentityProvider.getJsonObj(obj.urnIetfParamsScimSchemasOracleIdcsExtensionSocialIdentityProvider)
                : undefined,
            "urn:ietf:params:scim:schemas:oracle:idcs:extension:x509:IdentityProvider": obj.urnIetfParamsScimSchemasOracleIdcsExtensionX509IdentityProvider
                ? model.ExtensionX509IdentityProvider.getJsonObj(obj.urnIetfParamsScimSchemasOracleIdcsExtensionX509IdentityProvider)
                : undefined
        });
        delete jsonObj
            .urnIetfParamsScimSchemasOracleIdcsExtensionSocialIdentityProvider;
        delete jsonObj
            .urnIetfParamsScimSchemasOracleIdcsExtensionX509IdentityProvider;
        return jsonObj;
    }
    IdentityProvider.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "meta": obj.meta ? model.Meta.getDeserializedJsonObj(obj.meta) : undefined,
            "idcsCreatedBy": obj.idcsCreatedBy
                ? model.IdcsCreatedBy.getDeserializedJsonObj(obj.idcsCreatedBy)
                : undefined,
            "idcsLastModifiedBy": obj.idcsLastModifiedBy
                ? model.IdcsLastModifiedBy.getDeserializedJsonObj(obj.idcsLastModifiedBy)
                : undefined,
            "tags": obj.tags
                ? obj.tags.map(item => {
                    return model.Tags.getDeserializedJsonObj(item);
                })
                : undefined,
            "jitUserProvGroupMappings": obj.jitUserProvGroupMappings
                ? obj.jitUserProvGroupMappings.map(item => {
                    return model.IdentityProviderJitUserProvGroupMappings.getDeserializedJsonObj(item);
                })
                : undefined,
            "jitUserProvAttributes": obj.jitUserProvAttributes
                ? model.IdentityProviderJitUserProvAttributes.getDeserializedJsonObj(obj.jitUserProvAttributes)
                : undefined,
            "jitUserProvAssignedGroups": obj.jitUserProvAssignedGroups
                ? obj.jitUserProvAssignedGroups.map(item => {
                    return model.IdentityProviderJitUserProvAssignedGroups.getDeserializedJsonObj(item);
                })
                : undefined,
            "correlationPolicy": obj.correlationPolicy
                ? model.IdentityProviderCorrelationPolicy.getDeserializedJsonObj(obj.correlationPolicy)
                : undefined,
            "urnIetfParamsScimSchemasOracleIdcsExtensionSocialIdentityProvider": obj["urn:ietf:params:scim:schemas:oracle:idcs:extension:social:IdentityProvider"]
                ? model.ExtensionSocialIdentityProvider.getDeserializedJsonObj(obj["urn:ietf:params:scim:schemas:oracle:idcs:extension:social:IdentityProvider"])
                : undefined,
            "urnIetfParamsScimSchemasOracleIdcsExtensionX509IdentityProvider": obj["urn:ietf:params:scim:schemas:oracle:idcs:extension:x509:IdentityProvider"]
                ? model.ExtensionX509IdentityProvider.getDeserializedJsonObj(obj["urn:ietf:params:scim:schemas:oracle:idcs:extension:x509:IdentityProvider"])
                : undefined
        });
        delete jsonObj["urn:ietf:params:scim:schemas:oracle:idcs:extension:social:IdentityProvider"];
        delete jsonObj["urn:ietf:params:scim:schemas:oracle:idcs:extension:x509:IdentityProvider"];
        return jsonObj;
    }
    IdentityProvider.getDeserializedJsonObj = getDeserializedJsonObj;
})(IdentityProvider = exports.IdentityProvider || (exports.IdentityProvider = {}));
//# sourceMappingURL=identity-provider.js.map