"use strict";
/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MyAuthenticationFactorInitiator = void 0;
const model = __importStar(require("../model"));
var MyAuthenticationFactorInitiator;
(function (MyAuthenticationFactorInitiator) {
    let IdcsPreventedOperations;
    (function (IdcsPreventedOperations) {
        IdcsPreventedOperations["Replace"] = "replace";
        IdcsPreventedOperations["Update"] = "update";
        IdcsPreventedOperations["Delete"] = "delete";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        IdcsPreventedOperations["UnknownValue"] = "UNKNOWN_VALUE";
    })(IdcsPreventedOperations = MyAuthenticationFactorInitiator.IdcsPreventedOperations || (MyAuthenticationFactorInitiator.IdcsPreventedOperations = {}));
    let AuthFactor;
    (function (AuthFactor) {
        AuthFactor["Email"] = "EMAIL";
        AuthFactor["Totp"] = "TOTP";
        AuthFactor["Push"] = "PUSH";
        AuthFactor["Sms"] = "SMS";
        AuthFactor["Voice"] = "VOICE";
        AuthFactor["PhoneCall"] = "PHONE_CALL";
        AuthFactor["Thirdparty"] = "THIRDPARTY";
        AuthFactor["FidoAuthenticator"] = "FIDO_AUTHENTICATOR";
        AuthFactor["YubicoOtp"] = "YUBICO_OTP";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        AuthFactor["UnknownValue"] = "UNKNOWN_VALUE";
    })(AuthFactor = MyAuthenticationFactorInitiator.AuthFactor || (MyAuthenticationFactorInitiator.AuthFactor = {}));
    let Type;
    (function (Type) {
        Type["Saml"] = "SAML";
        Type["Oidc"] = "OIDC";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Type["UnknownValue"] = "UNKNOWN_VALUE";
    })(Type = MyAuthenticationFactorInitiator.Type || (MyAuthenticationFactorInitiator.Type = {}));
    let Scenario;
    (function (Scenario) {
        Scenario["Enrollment"] = "ENROLLMENT";
        Scenario["Authentication"] = "AUTHENTICATION";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Scenario["UnknownValue"] = "UNKNOWN_VALUE";
    })(Scenario = MyAuthenticationFactorInitiator.Scenario || (MyAuthenticationFactorInitiator.Scenario = {}));
    let PreferenceType;
    (function (PreferenceType) {
        PreferenceType["Passwordless"] = "PASSWORDLESS";
        PreferenceType["Mfa"] = "MFA";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        PreferenceType["UnknownValue"] = "UNKNOWN_VALUE";
    })(PreferenceType = MyAuthenticationFactorInitiator.PreferenceType || (MyAuthenticationFactorInitiator.PreferenceType = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "meta": obj.meta ? model.Meta.getJsonObj(obj.meta) : undefined,
            "idcsCreatedBy": obj.idcsCreatedBy
                ? model.IdcsCreatedBy.getJsonObj(obj.idcsCreatedBy)
                : undefined,
            "idcsLastModifiedBy": obj.idcsLastModifiedBy
                ? model.IdcsLastModifiedBy.getJsonObj(obj.idcsLastModifiedBy)
                : undefined,
            "tags": obj.tags
                ? obj.tags.map(item => {
                    return model.Tags.getJsonObj(item);
                })
                : undefined,
            "thirdPartyFactor": obj.thirdPartyFactor
                ? model.MyAuthenticationFactorInitiatorThirdPartyFactor.getJsonObj(obj.thirdPartyFactor)
                : undefined,
            "additionalAttributes": obj.additionalAttributes
                ? obj.additionalAttributes.map(item => {
                    return model.MyAuthenticationFactorInitiatorAdditionalAttributes.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    MyAuthenticationFactorInitiator.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "meta": obj.meta ? model.Meta.getDeserializedJsonObj(obj.meta) : undefined,
            "idcsCreatedBy": obj.idcsCreatedBy
                ? model.IdcsCreatedBy.getDeserializedJsonObj(obj.idcsCreatedBy)
                : undefined,
            "idcsLastModifiedBy": obj.idcsLastModifiedBy
                ? model.IdcsLastModifiedBy.getDeserializedJsonObj(obj.idcsLastModifiedBy)
                : undefined,
            "tags": obj.tags
                ? obj.tags.map(item => {
                    return model.Tags.getDeserializedJsonObj(item);
                })
                : undefined,
            "thirdPartyFactor": obj.thirdPartyFactor
                ? model.MyAuthenticationFactorInitiatorThirdPartyFactor.getDeserializedJsonObj(obj.thirdPartyFactor)
                : undefined,
            "additionalAttributes": obj.additionalAttributes
                ? obj.additionalAttributes.map(item => {
                    return model.MyAuthenticationFactorInitiatorAdditionalAttributes.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    MyAuthenticationFactorInitiator.getDeserializedJsonObj = getDeserializedJsonObj;
})(MyAuthenticationFactorInitiator = exports.MyAuthenticationFactorInitiator || (exports.MyAuthenticationFactorInitiator = {}));
//# sourceMappingURL=my-authentication-factor-initiator.js.map