/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Approvals created for this request.
 */
export interface MyRequestApprovalDetails {
    /**
     * Approver Id
     * <p>
     **Added In:** 2307071836
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     *  - mutability: readOnly
     */
    "approverId"?: string;
    /**
     * Approver display name
     * <p>
     **Added In:** 2307071836
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     *  - mutability: readOnly
     */
    "approverDisplayName"?: string;
    /**
     * Approval Justification
     * <p>
     **Added In:** 2307071836
     * <p>
     **SCIM++ Properties:**
     *  - multiValued: false
     *  - idcsSearchable: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     *  - mutability: readOnly
     */
    "justification"?: string;
    /**
     * Approval Status
     * <p>
     **Added In:** 2307071836
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     *  - mutability: readOnly
     */
    "status"?: string;
    /**
     * Approval Order
     * <p>
     **Added In:** 2307071836
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - returned: default
     *  - type: integer
     *  - uniqueness: none
     *  - mutability: readOnly Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "order"?: number;
    /**
     * Approval Type (Escalation or Regular)
     * <p>
     **Added In:** 2307071836
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     *  - mutability: readOnly
     */
    "approvalType"?: string;
    /**
     * Approval Update Time
     * <p>
     **Added In:** 2307071836
     * <p>
     **SCIM++ Properties:**
     *  - multiValued: false
     *  - idcsSearchable: false
     *  - returned: default
     *  - type: dateTime
     *  - uniqueness: none
     *  - mutability: readOnly
     */
    "timeUpdated"?: string;
}
export declare namespace MyRequestApprovalDetails {
    function getJsonObj(obj: MyRequestApprovalDetails): object;
    function getDeserializedJsonObj(obj: MyRequestApprovalDetails): object;
}
