/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * This attribute gives a maps for resolving Resource Type after reading it's value from \"csvColumnForResolvingResourceType\" attribute
 */
export interface SchemaResolveValueUsingResourceType {
    /**
     * Specifies the value which should be resolved by a Resource type.
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: false
     *  - multiValued: false
     *  - mutability: readWrite
     *  - required: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "valueToBeResolved"?: string;
    /**
     * Specifies the Resource type with which the value given in \\\"valueToBeResolved\\\" attribute should be resolved
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: false
     *  - multiValued: false
     *  - mutability: readWrite
     *  - required: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "resolveBy"?: string;
}
export declare namespace SchemaResolveValueUsingResourceType {
    function getJsonObj(obj: SchemaResolveValueUsingResourceType): object;
    function getDeserializedJsonObj(obj: SchemaResolveValueUsingResourceType): object;
}
