/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * User Attributes
 */
export interface SelfRegistrationProfileUserAttributes {
    /**
     * name of the attribute
     * <p>
     **SCIM++ Properties:**
     *  - caseExact: true
     *  - idcsSearchable: true
     *  - multiValued: false
     *  - mutability: readWrite
     *  - required: true
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "value": string;
    /**
     * **SCIM++ Properties:**
     * - idcsSearchable: true
     * - multiValued: false
     * - mutability: readWrite
     * - required: false
     * - returned: default
     * - type: string
     * - uniqueness: none
     * Fully Qualified Attribute Name
     */
    "fullyQualifiedAttributeName"?: string;
    /**
     * **SCIM++ Properties:**
     * - idcsSearchable: true
     * - multiValued: false
     * - mutability: readWrite
     * - required: true
     * - returned: default
     * - type: integer
     * - uniqueness: none
     * Sequence Number for the attribute  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "seqNumber": number;
    /**
     * If this attribute can be deleted
     * <p>
     **SCIM++ Properties:**
     *  - idcsSearchable: false
     *  - multiValued: false
     *  - mutability: readOnly
     *  - required: false
     *  - returned: default
     *  - type: boolean
     *  - uniqueness: none
     */
    "deletable"?: boolean;
    /**
     * Metadata of the user attribute
     * <p>
     **Added In:** 18.1.6
     * <p>
     **SCIM++ Properties:**
     *  - multiValued: false
     *  - mutability: readOnly
     *  - required: false
     *  - returned: default
     *  - type: string
     *  - uniqueness: none
     */
    "metadata"?: string;
}
export declare namespace SelfRegistrationProfileUserAttributes {
    function getJsonObj(obj: SelfRegistrationProfileUserAttributes): object;
    function getDeserializedJsonObj(obj: SelfRegistrationProfileUserAttributes): object;
}
