/**
 * Java Management Service API
 * API for the Java Management Service. Use this API to view, create, and manage Fleets.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information about the agent.
 *
 */
export interface Agent {
    /**
     * The name of the agent.
     */
    "displayName": string;
    /**
     * The agent type.
     */
    "type": model.AgentType;
    /**
     * The java version.
     */
    "javaVersion": string;
    /**
     * The security status of the Java Runtime.
     */
    "javaSecurityStatus": model.JreSecurityStatus;
    /**
     * A list of plugins installed on this agent.
     *
     */
    "plugins": Array<model.Plugin>;
}
export declare namespace Agent {
    function getJsonObj(obj: Agent): object;
    function getDeserializedJsonObj(obj: Agent): object;
}
