/**
 * Java Management Service API
 * API for the Java Management Service. Use this API to view, create, and manage Fleets.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Diagnosis of a resource needed by the fleet.
 */
export interface FleetDiagnosisSummary {
    /**
     * The type of the resource needed by the fleet.
     * This is the role of a resource in the fleet. Use the OCID to determine the actual OCI
     * resource type such as log group or log.
     *
     */
    "resourceType": FleetDiagnosisSummary.ResourceType;
    /**
     * The OCID of the external resouce needed by the fleet.
     */
    "resourceId"?: string;
    /**
     * The state of the resource. The resource state is ACTIVE when it works properly for the fleet.
     * In case it would cause an issue for the fleet function, the state is INACTIVE.
     * When JMS can't locate the resource, the state is NOT_FOUND.
     * OTHER covers other cases, such as a temporarily network issue that prevents JMS from detecting the
     * resource. Check the resourceDiagnosis for details.
     *
     */
    "resourceState"?: FleetDiagnosisSummary.ResourceState;
    /**
     * The diagnosis message.
     */
    "resourceDiagnosis"?: string;
}
export declare namespace FleetDiagnosisSummary {
    enum ResourceType {
        InventoryLog = "INVENTORY_LOG",
        OperationLog = "OPERATION_LOG",
        CryptoSummarizedLog = "CRYPTO_SUMMARIZED_LOG",
        AnalysisOssBucket = "ANALYSIS_OSS_BUCKET",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum ResourceState {
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        NotFound = "NOT_FOUND",
        Other = "OTHER",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: FleetDiagnosisSummary): object;
    function getDeserializedJsonObj(obj: FleetDiagnosisSummary): object;
}
