/**
 * Java Management Service API
 * API for the Java Management Service. Use this API to view, create, and manage Fleets.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Metadata of a Performance Tuning Analysis result. The analysis result is stored as the Object Storage object.
 */
export interface PerformanceTuningAnalysisResult {
    /**
     * The OCID to identify this analysis results.
     */
    "id": string;
    /**
     * The OCID of the work request to start the analysis.
     */
    "workRequestId"?: string;
    /**
     * The fleet OCID.
     */
    "fleetId": string;
    /**
     * The OCID of the application for which the report has been generated.
     */
    "applicationId": string;
    /**
     * The internal identifier of the application installation for which the report has been generated.
     */
    "applicationInstallationId": string;
    /**
     * The installation path of the application for which the report has been generated.
     */
    "applicationInstallationPath": string;
    /**
     * Total number of warnings reported by the analysis. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "warningCount": number;
    /**
     * Result of the analysis based on whether warnings have been found or not.
     */
    "result": model.PerformanceTuningResultStatus;
    /**
     * The managed instance OCID.
     */
    "managedInstanceId": string;
    /**
     * The hostname of the managed instance.
     */
    "hostName": string;
    /**
     * The name of the application for which the report has been generated.
     */
    "applicationName": string;
    /**
     * The Object Storage namespace of this analysis result.
     */
    "namespace": string;
    /**
     * The Object Storage bucket name of this analysis result.
     */
    "bucketName": string;
    /**
     * The Object Storage object name of this analysis result.
     */
    "objectName": string;
    /**
     * The time the result is compiled.
     */
    "timeCreated": Date;
    /**
     * The time the JFR capture started.
     */
    "timeStarted": Date;
    /**
     * The time the JFR capture finished.
     */
    "timeFinished": Date;
}
export declare namespace PerformanceTuningAnalysisResult {
    function getJsonObj(obj: PerformanceTuningAnalysisResult): object;
    function getDeserializedJsonObj(obj: PerformanceTuningAnalysisResult): object;
}
