/**
 * Java Management Service API
 * API for the Java Management Service. Use this API to view, create, and manage Fleets.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details object containing advanced feature configurations to be updated.
 * Ensure that the namespace and bucket storage are created prior to turning on the JfrRecording or CryptoEventAnalysis feature.
 *
 */
export interface UpdateFleetAdvancedFeatureConfigurationDetails {
    /**
     * Namespace for the Fleet advanced feature.
     */
    "analyticNamespace"?: string;
    /**
     * Bucket name required to store JFR and related data.
     */
    "analyticBucketName"?: string;
    "lcm"?: model.Lcm;
    "cryptoEventAnalysis"?: model.CryptoEventAnalysis;
    "advancedUsageTracking"?: model.AdvancedUsageTracking;
    "jfrRecording"?: model.JfrRecording;
    "performanceTuningAnalysis"?: model.PerformanceTuningAnalysis;
    "javaMigrationAnalysis"?: model.JavaMigrationAnalysis;
}
export declare namespace UpdateFleetAdvancedFeatureConfigurationDetails {
    function getJsonObj(obj: UpdateFleetAdvancedFeatureConfigurationDetails): object;
    function getDeserializedJsonObj(obj: UpdateFleetAdvancedFeatureConfigurationDetails): object;
}
