/**
 *
 *
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/jms/SummarizeJreUsage.ts.html |here} to see how to use SummarizeJreUsageRequest.
 */
export interface SummarizeJreUsageRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the Fleet.
     */
    "fleetId": string;
    /**
     * The Fleet-unique identifier of the related Java Runtime.
     */
    "jreId"?: string;
    /**
     * The vendor of the Java Runtime.
     */
    "jreVendor"?: string;
    /**
     * The distribution of the Java Runtime.
     */
    "jreDistribution"?: string;
    /**
     * The version of the Java Runtime.
     */
    "jreVersion"?: string;
    /**
     * The Fleet-unique identifier of the related application.
     */
    "applicationId"?: string;
    /**
     * The Fleet-unique identifier of the related managed instance.
     */
    "managedInstanceId"?: string;
    /**
     * Additional fields to include into the returned model on top of the required ones.
     * This parameter can also include 'approximateApplicationCount', 'approximateInstallationCount' and 'approximateManagedInstanceCount'.
     * For example 'approximateApplicationCount,approximateManagedInstanceCount'.
     *
     */
    "fields"?: Array<model.SummarizeJreUsageFields>;
    /**
     * The start of the time period during which resources are searched (formatted according to [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339)).
     */
    "timeStart"?: Date;
    /**
     * The end of the time period during which resources are searched (formatted according to [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339)).
     */
    "timeEnd"?: Date;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort JRE usages. Only one sort order may be provided.
     * Default order for _timeFirstSeen_, _timeLastSeen_, and _version_ is **descending**.
     * Default order for _timeFirstSeen_, _timeLastSeen_, _version_, _approximateInstallationCount_,
     * _approximateApplicationCount_ and _approximateManagedInstanceCount_  is **descending**.
     * Default order for _distribution_, _vendor_, and _osName_ is **ascending**.
     * If no value is specified _timeLastSeen_ is default.
     *
     */
    "sortBy"?: model.JreSortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The operating system type.
     */
    "osFamily"?: Array<model.OsFamily>;
    /**
     * The security status of the Java Runtime.
     */
    "jreSecurityStatus"?: model.JreSecurityStatus;
}
