/**
 * Java Management Service Download API
 * The APIs for the <a href="https://docs.oracle.com/en-us/iaas/jms/doc/java-download.html">Java Download</a> feature of Java Management Service.
 * OpenAPI spec version: 20230601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { JavaDownloadClient } from "./client";
export declare class JavaDownloadWaiter {
    private client;
    private readonly config?;
    constructor(client: JavaDownloadClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forJavaDownloadReport till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetJavaDownloadReportResponse | null (null in case of 404 response)
     */
    forJavaDownloadReport(request: serviceRequests.GetJavaDownloadReportRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetJavaDownloadReportResponse | null>;
    /**
     * Waits forJavaDownloadToken till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetJavaDownloadTokenResponse | null (null in case of 404 response)
     */
    forJavaDownloadToken(request: serviceRequests.GetJavaDownloadTokenRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetJavaDownloadTokenResponse | null>;
    /**
     * Waits forJavaLicenseAcceptanceRecord till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetJavaLicenseAcceptanceRecordResponse | null (null in case of 404 response)
     */
    forJavaLicenseAcceptanceRecord(request: serviceRequests.GetJavaLicenseAcceptanceRecordRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetJavaLicenseAcceptanceRecordResponse | null>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
