/**
 * Java Management Service Download API
 * The APIs for the <a href="https://docs.oracle.com/en-us/iaas/jms/doc/java-download.html">Java Download</a> feature of Java Management Service.
 * OpenAPI spec version: 20230601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Count of Java downloads aggregated by the specified type.
 */
export interface JavaDownloadCountAggregation {
    /**
     * Count of Java downloads. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "downloadCount": number;
    /**
     * The Java family version.
     */
    "familyVersion"?: string;
    /**
     * The Java family display name.
     */
    "familyDisplayName"?: string;
    /**
     * The Java release version. Applicable only to {@code JAVA_RELEASE} aggregationType.
     */
    "releaseVersion"?: string;
    /**
     * The target Operating System family for the artifact. Applicable only to {@code PLATFORM} aggregationType.
     */
    "osFamily"?: string;
    /**
     * The target Operating System architecture for the artifact. Applicable only to {@code PLATFORM} aggregationType.
     */
    "architecture"?: string;
    /**
     * The package type (typically the file extension) of the artifact. Applicable only to {@code PLATFORM} aggregationType.
     */
    "packageType"?: string;
    /**
     * Additional information about the package type. Applicable only to {@code PLATFORM} aggregationType.
     */
    "packageTypeDetail"?: string;
}
export declare namespace JavaDownloadCountAggregation {
    function getJsonObj(obj: JavaDownloadCountAggregation): object;
    function getDeserializedJsonObj(obj: JavaDownloadCountAggregation): object;
}
