/**
 * Java Management Service Download API
 * The APIs for the <a href="https://docs.oracle.com/en-us/iaas/jms/doc/java-download.html">Java Download</a> feature of Java Management Service.
 * OpenAPI spec version: 20230601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A summary of Java artifact download in a tenancy.
 */
export interface JavaDownloadRecordSummary {
    /**
     * The Java family version identifier.
     */
    "familyVersion"?: string;
    /**
     * The Java family display name.
     */
    "familyDisplayName"?: string;
    /**
     * The Java release version identifier.
     */
    "releaseVersion"?: string;
    /**
     * The target Operating System family for the artifact.
     */
    "osFamily"?: string;
    /**
     * The target Operating System architecture for the artifact.
     */
    "architecture"?: string;
    /**
     * The package type (typically the file extension) of the artifact.
     */
    "packageType"?: string;
    /**
     * Additional information about the package type.
     */
    "packageTypeDetail"?: string;
    /**
     * Identifier of the source that downloaded the artifact.
     */
    "downloadSourceId": string;
    /**
     * Timestamp of download.
     */
    "timeDownloaded": Date;
    /**
     * Type of download.
     */
    "downloadType": string;
}
export declare namespace JavaDownloadRecordSummary {
    function getJsonObj(obj: JavaDownloadRecordSummary): object;
    function getDeserializedJsonObj(obj: JavaDownloadRecordSummary): object;
}
