/**
 *
 *
 * OpenAPI spec version: 20230601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/jmsjavadownloads/ListJavaDownloadRecords.ts.html |here} to see how to use ListJavaDownloadRecordsRequest.
 */
export interface ListJavaDownloadRecordsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the tenancy.
     *
     */
    "compartmentId": string;
    /**
     * Unique Java family version identifier.
     */
    "familyVersion"?: string;
    /**
     * Unique Java release version identifier.
     */
    "releaseVersion"?: string;
    /**
     * Target Operating System family of the artifact.
     */
    "osFamily"?: string;
    /**
     * Target Operating System architecture of the artifact.
     */
    "architecture"?: string;
    /**
     * Packaging type detail of the artifact.
     */
    "packageTypeDetail"?: string;
    /**
     * The start of the time period for which reports are searched (formatted according to [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339)).
     */
    "timeStart"?: Date;
    /**
     * The end of the time period for which reports are searched (formatted according to [RFC3339](https://datatracker.ietf.org/doc/html/rfc3339)).
     */
    "timeEnd"?: Date;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * If no value is specified _timeDownloaded_ is default.
     *
     */
    "sortBy"?: model.JavaDownloadRecordSortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
