/**
 *
 *
 * OpenAPI spec version: 20230601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/jmsjavadownloads/ListJavaLicenseAcceptanceRecords.ts.html |here} to see how to use ListJavaLicenseAcceptanceRecordsRequest.
 */
export interface ListJavaLicenseAcceptanceRecordsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the tenancy.
     *
     */
    "compartmentId": string;
    /**
     * A filter to return only resources that match the user principal detail.
     * The search string can be any of the property values from the {@link #principal(PrincipalRequest) principal} object.
     * This object is used as response datatype for the {@code createdBy} and {@code lastUpdatedBy} fields in applicable resource.
     *
     */
    "searchByUser"?: string;
    /**
     * Unique Java license acceptance record identifier.
     */
    "id"?: string;
    /**
     * Unique Java license type.
     */
    "licenseType"?: model.LicenseType;
    /**
     * The status of license acceptance.
     */
    "status"?: model.LicenseAcceptanceStatus;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. The token is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. If no value is specified, _timeAccepted_ is the default.
     *
     */
    "sortBy"?: model.LicenseAcceptanceSortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
