/**
 * Vault Key Management API
 * Use the Key Management API to manage vaults and keys. For more information, see [Managing Vaults](/Content/KeyManagement/Tasks/managingvaults.htm) and [Managing Keys](/Content/KeyManagement/Tasks/managingkeys.htm).

 * OpenAPI spec version: release
 * Contact: sparta_kms_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary about metadata of external key manager to be returned to the customer as a response.
 */
export interface ExternalKeyManagerMetadataSummary {
    /**
     * Vendor of the external key manager.
     */
    "vendor"?: string;
    /**
     * URL of the vault on external key manager.
     */
    "externalVaultEndpointUrl": string;
    /**
     * OCID of the private endpoint.
     */
    "privateEndpointId": string;
    "oauthMetadataSummary"?: model.OauthMetadataSummary;
}
export declare namespace ExternalKeyManagerMetadataSummary {
    function getJsonObj(obj: ExternalKeyManagerMetadataSummary): object;
    function getDeserializedJsonObj(obj: ExternalKeyManagerMetadataSummary): object;
}
