/**
 * Vault Key Management API
 * Use the Key Management API to manage vaults and keys. For more information, see [Managing Vaults](/Content/KeyManagement/Tasks/managingvaults.htm) and [Managing Keys](/Content/KeyManagement/Tasks/managingkeys.htm).

 * OpenAPI spec version: release
 * Contact: sparta_kms_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Key reference data to be returned to the customer as a response.
 */
export interface ExternalKeyReferenceDetails {
    /**
     * ExternalKeyId refers to the globally unique key Id associated with the key created in external vault in CTM.
     */
    "externalKeyId": string;
    /**
     * Key version ID associated with the external key.
     */
    "externalKeyVersionId": string;
}
export declare namespace ExternalKeyReferenceDetails {
    function getJsonObj(obj: ExternalKeyReferenceDetails): object;
    function getDeserializedJsonObj(obj: ExternalKeyReferenceDetails): object;
}
