/**
 * Vault Key Management API
 * Use the Key Management API to manage vaults and keys. For more information, see [Managing Vaults](/Content/KeyManagement/Tasks/managingvaults.htm) and [Managing Keys](/Content/KeyManagement/Tasks/managingkeys.htm).

 * OpenAPI spec version: release
 * Contact: sparta_kms_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Dedicated KMS-HSM Partition Management
 */
export interface HsmPartition {
    /**
     * The OCID of the HSM resource.
     */
    "id": string;
    /**
     * The OCID of the compartment that contains a particular HSM resource.
     */
    "compartmentId": string;
    /**
     * Details of PortNumber and PortType.
     */
    "portInformation": Array<model.PortInformation>;
    /**
      * The date and time a HSMPartition was created, expressed in [RFC 3339](https://tools.ietf.org/html/rfc3339) timestamp format.
  * <p>
  Example: {@code 2018-04-03T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
    /**
      * The date and time a HSMPartition was updated, expressed in [RFC 3339](https://tools.ietf.org/html/rfc3339) timestamp format.
  * <p>
  Example: {@code 2018-04-03T21:10:29.600Z}
  *
      */
    "timeUpdated": Date;
    /**
     * The HSMPartition's current lifecycle state.
     */
    "lifecycleState": HsmPartition.LifecycleState;
}
export declare namespace HsmPartition {
    enum LifecycleState {
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        Activating = "ACTIVATING",
        ActivationRequired = "ACTIVATION_REQUIRED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: HsmPartition): object;
    function getDeserializedJsonObj(obj: HsmPartition): object;
}
