/**
 * License Manager API
 * Use the License Manager API to manage product licenses and license records. For more information, see [License Manager Overview](/iaas/Content/LicenseManager/Concepts/licensemanageroverview.htm).
 * OpenAPI spec version: 20220430
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Overview of product license and resources usage.
 */
export interface LicenseMetric {
    /**
     * Total number of product licenses in a particular compartment.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalProductLicenseCount": number;
    /**
     * Total number of BYOL instances in a particular compartment.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalByolInstanceCount": number;
    /**
     * Total number of License Included (LI) instances in a particular compartment.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalLicenseIncludedInstanceCount": number;
    /**
     * Total number of license records that will expire within 90 days in a particular compartment.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "licenseRecordExpiringSoonCount": number;
}
export declare namespace LicenseMetric {
    function getJsonObj(obj: LicenseMetric): object;
    function getDeserializedJsonObj(obj: LicenseMetric): object;
}
