/**
 * License Manager API
 * Use the License Manager API to manage product licenses and license records. For more information, see [License Manager Overview](/iaas/Content/LicenseManager/Concepts/licensemanageroverview.htm).
 * OpenAPI spec version: 20220430
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of the top utilized product licenses.
 *
 */
export interface TopUtilizedProductLicenseSummary {
    /**
     * The product license [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm).
     */
    "productLicenseId": string;
    /**
     * The product type.
     */
    "productType": string;
    /**
     * The product license unit.
     */
    "unitType": model.LicenseUnit;
    /**
     * Number of license units consumed. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalUnitsConsumed": number;
    /**
     * Total number of license units in the product license provided by the user. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalLicenseUnitCount": number;
    /**
     * Specifies if the license unit count is unlimited.
     */
    "isUnlimited": boolean;
    /**
     * The current product license status.
     */
    "status": model.Status;
}
export declare namespace TopUtilizedProductLicenseSummary {
    function getJsonObj(obj: TopUtilizedProductLicenseSummary): object;
    function getDeserializedJsonObj(obj: TopUtilizedProductLicenseSummary): object;
}
