/**
 * License Manager API
 * Use the License Manager API to manage product licenses and license records. For more information, see [License Manager Overview](/iaas/Content/LicenseManager/Concepts/licensemanageroverview.htm).
 * OpenAPI spec version: 20220430
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of a top utlized resource.
 *
 */
export interface TopUtilizedResourceSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the resource.
     */
    "resourceId": string;
    /**
     * Resource canonical name.
     */
    "resourceName": string;
    /**
     * The compartment [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) that contains the resource.
     */
    "resourceCompartmentId": string;
    /**
     * The display name of the compartment that contains the resource.
     */
    "resourceCompartmentName": string;
    /**
     * Number of license units consumed by the resource. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalUnits": number;
    /**
     * The resource unit.
     */
    "unitType": model.ResourceUnit;
}
export declare namespace TopUtilizedResourceSummary {
    function getJsonObj(obj: TopUtilizedResourceSummary): object;
    function getDeserializedJsonObj(obj: TopUtilizedResourceSummary): object;
}
