/**
 *
 *
 * OpenAPI spec version: 20220430
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/licensemanager/ListLicenseRecords.ts.html |here} to see how to use ListLicenseRecordsRequest.
 */
export interface ListLicenseRecordsRequest extends common.BaseRequest {
    /**
     * Unique product license identifier.
     */
    "productLicenseId": string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * The sort order to use, whether {@code ASC} or {@code DESC}.
     */
    "sortOrder"?: ListLicenseRecordsRequest.SortOrder;
    /**
   * Specifies the attribute with which to sort the rules.
  * <p>
  Default: {@code expirationDate}
  * <p>
  * **expirationDate:** Sorts by expiration date of the license record.
  *
   */
    "sortBy"?: ListLicenseRecordsRequest.SortBy;
}
export declare namespace ListLicenseRecordsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        ExpirationDate = "expirationDate"
    }
}
