/**
 * Service Limits APIs
 * APIs that interact with the resource limits of a specific resource type.
 * OpenAPI spec version: 20181025
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Request payload to add lock to the resource. The FULL lock type allows no modifications (delete, create, update).
 *   The DELETE lock type allows all modifications, but delete is not allowed.
 *
 */
export interface AddLockDetails {
    /**
     * Lock type.
     */
    "type": AddLockDetails.Type;
    /**
     * The resource ID that is locking this resource. Indicates that deleting this resource removes the lock.
     *
     */
    "relatedResourceId"?: string;
    /**
     * A message added by the lock creator. The message typically gives an
     * indication of why the resource is locked.
     *
     */
    "message"?: string;
}
export declare namespace AddLockDetails {
    enum Type {
        Full = "FULL",
        Delete = "DELETE"
    }
    function getJsonObj(obj: AddLockDetails): object;
    function getDeserializedJsonObj(obj: AddLockDetails): object;
}
