/**
 * Service Limits APIs
 * APIs that interact with the resource limits of a specific resource type.
 * OpenAPI spec version: 20181025
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Resource locks prevent certain APIs from being called for the resource.
 * A full lock prevents both updating and deleting the resource. A lock delete
 * prevents deleting the resource.
 *
 */
export interface ResourceLock {
    /**
     * Lock type.
     */
    "type": ResourceLock.Type;
    /**
     * The resource ID that is locking this resource. Indicates that deleting this resource removes the lock.
     *
     */
    "relatedResourceId"?: string;
    /**
     * A message added by the lock creator. The message typically gives an
     * indication of why the resource is locked.
     *
     */
    "message"?: string;
    /**
     * Indicates when the lock was created, in the format defined by RFC 3339.
     */
    "timeCreated"?: Date;
}
export declare namespace ResourceLock {
    enum Type {
        Full = "FULL",
        Delete = "DELETE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ResourceLock): object;
    function getDeserializedJsonObj(obj: ResourceLock): object;
}
