/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The health status of the specified backend server as reported by the primary and standby load balancers.
 *
 */
export interface BackendHealth {
    /**
     * The general health status of the specified backend server as reported by the primary and standby load balancers.
     * <p>
     *   **OK:** Both health checks returned {@code OK}.
     * <p>
     *   **WARNING:** One health check returned {@code OK} and one did not.
     * <p>
     *   **CRITICAL:** Neither health check returned {@code OK}.
     * <p>
     *   **UNKNOWN:** One or both health checks returned {@code UNKNOWN}, or the system was unable to retrieve metrics at this time.
     *
     */
    "status": BackendHealth.Status;
    /**
     * A list of the most recent health check results returned for the specified backend server.
     *
     */
    "healthCheckResults": Array<model.HealthCheckResult>;
}
export declare namespace BackendHealth {
    enum Status {
        Ok = "OK",
        Warning = "WARNING",
        Critical = "CRITICAL",
        Unknown = "UNKNOWN",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: BackendHealth): object;
    function getDeserializedJsonObj(obj: BackendHealth): object;
}
