/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Configuration details for the connection between the client and backend servers.
 *
 */
export interface ConnectionConfiguration {
    /**
      * The maximum idle time, in seconds, allowed between two successive receive or two successive send operations
  * between the client and backend servers. A send operation does not reset the timer for receive operations. A
  * receive operation does not reset the timer for send operations.
  * <p>
  For more information, see [Connection Configuration](https://docs.cloud.oracle.com/Content/Balance/Reference/connectionreuse.htm#ConnectionConfiguration).
  * <p>
  Example: {@code 1200}
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "idleTimeout": number;
    /**
      * The backend TCP Proxy Protocol version.
  * <p>
  Example: {@code 1}
  *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
      */
    "backendTcpProxyProtocolVersion"?: number;
}
export declare namespace ConnectionConfiguration {
    function getJsonObj(obj: ConnectionConfiguration): object;
    function getDeserializedJsonObj(obj: ConnectionConfiguration): object;
}
