/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Action to forward requests to a given backend set.
 *
 */
export interface ForwardToBackendSet extends model.Action {
    /**
      * Name of the backend set the listener will forward the traffic to.
  * <p>
  Example: {@code backendSetForImages}
  *
      */
    "backendSetName": string;
    "name": string;
}
export declare namespace ForwardToBackendSet {
    function getJsonObj(obj: ForwardToBackendSet, isParentJsonObj?: boolean): object;
    const name = "FORWARD_TO_BACKENDSET";
    function getDeserializedJsonObj(obj: ForwardToBackendSet, isParentJsonObj?: boolean): object;
}
