/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A load balancer IP address.
 */
export interface IpAddress {
    /**
      * An IP address.
  * <p>
  Example: {@code 192.168.0.3}
  *
      */
    "ipAddress": string;
    /**
      * Whether the IP address is public or private.
  * <p>
  If \"true\", the IP address is public and accessible from the internet.
  * <p>
  If \"false\", the IP address is private and accessible only from within the associated VCN.
  *
      */
    "isPublic"?: boolean;
    "reservedIp"?: model.ReservedIP;
}
export declare namespace IpAddress {
    function getJsonObj(obj: IpAddress): object;
    function getDeserializedJsonObj(obj: IpAddress): object;
}
