/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object that represents the action of configuring an IP max connection rule which specifies
 * how many connections IPs can make to a listener.
 *
 */
export interface IpBasedMaxConnectionsRule extends model.Rule {
    /**
     * The maximum number of connections that the any IP can make to a listener unless the IP is mentioned
     * in maxConnections. If no defaultMaxConnections is specified the default is unlimited.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "defaultMaxConnections"?: number;
    /**
     * An array of IPs that have a maxConnection setting different than the default and what
     * that maxConnection setting is
     *
     */
    "ipMaxConnections"?: Array<model.IpMaxConnections>;
    "action": string;
}
export declare namespace IpBasedMaxConnectionsRule {
    function getJsonObj(obj: IpBasedMaxConnectionsRule, isParentJsonObj?: boolean): object;
    const action = "IP_BASED_MAX_CONNECTIONS";
    function getDeserializedJsonObj(obj: IpBasedMaxConnectionsRule, isParentJsonObj?: boolean): object;
}
