/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The type of matching to apply to incoming URIs.
 */
export interface PathMatchType {
    /**
      * Specifies how the load balancing service compares a {@link #pathRoute(PathRouteRequest) pathRoute}
  * object's {@code path} string against the incoming URI.
  * <p>
  *  **EXACT_MATCH** - Looks for a {@code path} string that exactly matches the incoming URI path.
  * <p>
  *  **FORCE_LONGEST_PREFIX_MATCH** - Looks for the {@code path} string with the best, longest match of the beginning
  *    portion of the incoming URI path.
  * <p>
  *  **PREFIX_MATCH** - Looks for a {@code path} string that matches the beginning portion of the incoming URI path.
  * <p>
  *  **SUFFIX_MATCH** - Looks for a {@code path} string that matches the ending portion of the incoming URI path.
  * <p>
  For a full description of how the system handles {@code matchType} in a path route set containing multiple rules, see
  * [Managing Request Routing](https://docs.cloud.oracle.com/Content/Balance/Tasks/managingrequest.htm).
  *
      */
    "matchType": PathMatchType.MatchType;
}
export declare namespace PathMatchType {
    enum MatchType {
        ExactMatch = "EXACT_MATCH",
        ForceLongestPrefixMatch = "FORCE_LONGEST_PREFIX_MATCH",
        PrefixMatch = "PREFIX_MATCH",
        SuffixMatch = "SUFFIX_MATCH",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: PathMatchType): object;
    function getDeserializedJsonObj(obj: PathMatchType): object;
}
