/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A named ordered list of routing rules that is applied to a listener.
 * <p>
 **Warning:** Oracle recommends that you avoid using any confidential information when you supply string values using the API.
 *
 */
export interface RoutingPolicy {
    /**
      * The unique name for this list of routing rules. Avoid entering confidential information.
  * <p>
  Example: {@code example_routing_policy}
  *
      */
    "name": string;
    /**
     * The version of the language in which {@code condition} of {@code rules} are composed.
     *
     */
    "conditionLanguageVersion": RoutingPolicy.ConditionLanguageVersion;
    /**
     * The ordered list of routing rules.
     */
    "rules": Array<model.RoutingRule>;
}
export declare namespace RoutingPolicy {
    enum ConditionLanguageVersion {
        V1 = "V1",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: RoutingPolicy): object;
    function getDeserializedJsonObj(obj: RoutingPolicy): object;
}
