/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A routing rule examines an incoming request, routing matching requests to the specified backend set.
 * Routing rules apply only to HTTP and HTTPS requests. They have no effect on TCP requests.
 *
 */
export interface RoutingRule {
    /**
     * A unique name for the routing policy rule. Avoid entering confidential information.
     *
     */
    "name": string;
    /**
     * A routing rule to evaluate defined conditions against the incoming HTTP request and perform an action.
     *
     */
    "condition": string;
    /**
     * A list of actions to be applied when conditions of the routing rule are met.
     *
     */
    "actions": Array<model.Action>;
}
export declare namespace RoutingRule {
    function getJsonObj(obj: RoutingRule): object;
    function getDeserializedJsonObj(obj: RoutingRule): object;
}
