"use strict";
/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuleCondition = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var RuleCondition;
(function (RuleCondition) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "attributeName" in obj && obj.attributeName) {
            switch (obj.attributeName) {
                case "SOURCE_VCN_ID":
                    return model.SourceVcnIdCondition.getJsonObj(jsonObj, true);
                case "SOURCE_IP_ADDRESS":
                    return model.SourceIpAddressCondition.getJsonObj(jsonObj, true);
                case "PATH":
                    return model.PathMatchCondition.getJsonObj(jsonObj, true);
                case "SOURCE_VCN_IP_ADDRESS":
                    return model.SourceVcnIpAddressCondition.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.attributeName}`);
            }
        }
        return jsonObj;
    }
    RuleCondition.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "attributeName" in obj && obj.attributeName) {
            switch (obj.attributeName) {
                case "SOURCE_VCN_ID":
                    return model.SourceVcnIdCondition.getDeserializedJsonObj(jsonObj, true);
                case "SOURCE_IP_ADDRESS":
                    return model.SourceIpAddressCondition.getDeserializedJsonObj(jsonObj, true);
                case "PATH":
                    return model.PathMatchCondition.getDeserializedJsonObj(jsonObj, true);
                case "SOURCE_VCN_IP_ADDRESS":
                    return model.SourceVcnIpAddressCondition.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.attributeName}`);
            }
        }
        return jsonObj;
    }
    RuleCondition.getDeserializedJsonObj = getDeserializedJsonObj;
})(RuleCondition = exports.RuleCondition || (exports.RuleCondition = {}));
//# sourceMappingURL=rule-condition.js.map