/**
 * Load Balancing API
 * API for the Load Balancing service. Use this API to manage load balancers, backend sets, and related items. For more
information, see [Overview of Load Balancing](/iaas/Content/Balance/Concepts/balanceoverview.htm).

 * OpenAPI spec version: 20170115
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
export interface UpdateLoadBalancerShapeDetails {
    /**
      * The new shape name for the load balancer.
  * <p>
  Allowed values are :
  *   *  10Mbps
  *   *  100Mbps
  *   *  400Mbps
  *   *  8000Mbps
  *   *  Flexible
  * <p>
    Example: {@code flexible}
  * <p>
    * NOTE: Fixed shapes 10Mbps, 100Mbps, 400Mbps, 8000Mbps will be deprecated after May 2023. This api
  *   * will only support {@code Flexible} shape after that date.
  *
      */
    "shapeName": string;
    /**
     * The configuration details to update load balancer to a different profile.
     *
     */
    "shapeDetails"?: model.ShapeDetails;
}
export declare namespace UpdateLoadBalancerShapeDetails {
    function getJsonObj(obj: UpdateLoadBalancerShapeDetails): object;
    function getDeserializedJsonObj(obj: UpdateLoadBalancerShapeDetails): object;
}
