/**
 * Managed Access API
 * Use the Managed Access API to approve access requests, create and manage templates, and manage resource approval settings. For more information, see [Managed Access Overview](https://docs.oracle.com/iaas/Content/managed-access/home.htm).

Use the table of contents and search tool to explore the Managed Access API.

 * OpenAPI spec version: 20220126
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Defined by partner while creating a lockbox. These attributes provides context for creating access request
 */
export interface AccessContextAttribute {
    /**
     * The name of the context attribute
     */
    "name": string;
    /**
     * The description of the context attribute
     */
    "description"?: string;
    /**
     * An optional default value used when access request context value is not provided
     */
    "defaultValue"?: string;
    /**
     * List of context attribute values.
     */
    "values"?: Array<string>;
}
export declare namespace AccessContextAttribute {
    function getJsonObj(obj: AccessContextAttribute): object;
    function getDeserializedJsonObj(obj: AccessContextAttribute): object;
}
