/**
 * Managed Access API
 * Use the Managed Access API to approve access requests, create and manage templates, and manage resource approval settings. For more information, see [Managed Access Overview](https://docs.oracle.com/iaas/Content/managed-access/home.htm).

Use the table of contents and search tool to explore the Managed Access API.

 * OpenAPI spec version: 20220126
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The log of the action taken by different persona on the access request, e.g. approve/deny/revoke
 */
export interface ActivityLog {
    /**
     * User OCID of the persona
     */
    "userId"?: string;
    /**
     * Level of the persona
     */
    "userLevel"?: model.PersonaLevel;
    /**
     * The action take by persona
     */
    "action"?: model.AccessRequestActionType;
    /**
     * The action justification or details.
     */
    "message"?: string;
    /**
     * The time the action was taken. Format is defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * Example: {@code 2020-01-25T21:10:29.600Z}
     *
     */
    "timeUpdated"?: Date;
}
export declare namespace ActivityLog {
    function getJsonObj(obj: ActivityLog): object;
    function getDeserializedJsonObj(obj: ActivityLog): object;
}
