/**
 * Managed Access API
 * Use the Managed Access API to approve access requests, create and manage templates, and manage resource approval settings. For more information, see [Managed Access Overview](https://docs.oracle.com/iaas/Content/managed-access/home.htm).

Use the table of contents and search tool to explore the Managed Access API.

 * OpenAPI spec version: 20220126
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The configuration details for a new access request.
 * We don't accept a compartmentId parameter because it is implied to be the same as the lockbox as a subsidiary resource.
 * The requestorId is also based on the caller user info.
 *
 */
export interface CreateAccessRequestDetails {
    /**
     * The unique identifier (OCID) of the lockbox box that the access request is associated with which is immutable.
     */
    "lockboxId": string;
    /**
     * The name of the access request.
     */
    "displayName"?: string;
    /**
     * The rationale for requesting the access request.
     */
    "description": string;
    /**
     * The context object containing the access request specific details.
     */
    "context"?: {
        [key: string]: string;
    };
    /**
     * The maximum amount of time operator has access to associated resources.
     */
    "accessDuration": string;
}
export declare namespace CreateAccessRequestDetails {
    function getJsonObj(obj: CreateAccessRequestDetails): object;
    function getDeserializedJsonObj(obj: CreateAccessRequestDetails): object;
}
