"use strict";
/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractColumn = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var AbstractColumn;
(function (AbstractColumn) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "values": obj.values
                ? obj.values.map(item => {
                    return model.FieldValue.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "TIME_COLUMN":
                    return model.TimeColumn.getJsonObj(jsonObj, true);
                case "CLASSIFY_COLUMN":
                    return model.ClassifyColumn.getJsonObj(jsonObj, true);
                case "TREND_COLUMN":
                    return model.TrendColumn.getJsonObj(jsonObj, true);
                case "TIME_STATS_COLUMN":
                    return model.TimeStatsColumn.getJsonObj(jsonObj, true);
                case "TIME_CLUSTER_COLUMN":
                    return model.TimeClusterColumn.getJsonObj(jsonObj, true);
                case "COLUMN":
                    return model.Column.getJsonObj(jsonObj, true);
                case "TIME_CLUSTER_DATA_COLUMN":
                    return model.TimeClusterDataColumn.getJsonObj(jsonObj, true);
                case "TIME_STATS_DATA_COLUMN":
                    return model.TimeStatsDataColumn.getJsonObj(jsonObj, true);
                case "TABLE_COLUMN":
                    return model.TableColumn.getJsonObj(jsonObj, true);
                case "CHART_COLUMN":
                    return model.ChartColumn.getJsonObj(jsonObj, true);
                case "CHART_DATA_COLUMN":
                    return model.ChartDataColumn.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    AbstractColumn.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "values": obj.values
                ? obj.values.map(item => {
                    return model.FieldValue.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "TIME_COLUMN":
                    return model.TimeColumn.getDeserializedJsonObj(jsonObj, true);
                case "CLASSIFY_COLUMN":
                    return model.ClassifyColumn.getDeserializedJsonObj(jsonObj, true);
                case "TREND_COLUMN":
                    return model.TrendColumn.getDeserializedJsonObj(jsonObj, true);
                case "TIME_STATS_COLUMN":
                    return model.TimeStatsColumn.getDeserializedJsonObj(jsonObj, true);
                case "TIME_CLUSTER_COLUMN":
                    return model.TimeClusterColumn.getDeserializedJsonObj(jsonObj, true);
                case "COLUMN":
                    return model.Column.getDeserializedJsonObj(jsonObj, true);
                case "TIME_CLUSTER_DATA_COLUMN":
                    return model.TimeClusterDataColumn.getDeserializedJsonObj(jsonObj, true);
                case "TIME_STATS_DATA_COLUMN":
                    return model.TimeStatsDataColumn.getDeserializedJsonObj(jsonObj, true);
                case "TABLE_COLUMN":
                    return model.TableColumn.getDeserializedJsonObj(jsonObj, true);
                case "CHART_COLUMN":
                    return model.ChartColumn.getDeserializedJsonObj(jsonObj, true);
                case "CHART_DATA_COLUMN":
                    return model.ChartDataColumn.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    AbstractColumn.getDeserializedJsonObj = getDeserializedJsonObj;
})(AbstractColumn = exports.AbstractColumn || (exports.AbstractColumn = {}));
//# sourceMappingURL=abstract-column.js.map