"use strict";
/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractCommandDescriptor = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var AbstractCommandDescriptor;
(function (AbstractCommandDescriptor) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "referencedFields": obj.referencedFields
                ? obj.referencedFields.map(item => {
                    return model.AbstractField.getJsonObj(item);
                })
                : undefined,
            "declaredFields": obj.declaredFields
                ? obj.declaredFields.map(item => {
                    return model.AbstractField.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "name" in obj && obj.name) {
            switch (obj.name) {
                case "TOP":
                    return model.TopCommandDescriptor.getJsonObj(jsonObj, true);
                case "HIGHLIGHT":
                    return model.HighlightCommandDescriptor.getJsonObj(jsonObj, true);
                case "STATS":
                    return model.StatsCommandDescriptor.getJsonObj(jsonObj, true);
                case "TAIL":
                    return model.TailCommandDescriptor.getJsonObj(jsonObj, true);
                case "SEQUENCE":
                    return model.SequenceCommandDescriptor.getJsonObj(jsonObj, true);
                case "OUTLIER":
                    return model.OutlierCommandDescriptor.getJsonObj(jsonObj, true);
                case "DEMO_MODE":
                    return model.DemoModeCommandDescriptor.getJsonObj(jsonObj, true);
                case "FIELD_SUMMARY":
                    return model.FieldSummaryCommandDescriptor.getJsonObj(jsonObj, true);
                case "GEO_STATS":
                    return model.GeoStatsCommandDescriptor.getJsonObj(jsonObj, true);
                case "MAP":
                    return model.MapCommandDescriptor.getJsonObj(jsonObj, true);
                case "HIGHLIGHT_GROUPS":
                    return model.HighlightGroupsCommandDescriptor.getJsonObj(jsonObj, true);
                case "DEDUP":
                    return model.DedupCommandDescriptor.getJsonObj(jsonObj, true);
                case "TIME_STATS":
                    return model.TimeStatsCommandDescriptor.getJsonObj(jsonObj, true);
                case "CLUSTER":
                    return model.ClusterCommandDescriptor.getJsonObj(jsonObj, true);
                case "DELETE":
                    return model.DeleteCommandDescriptor.getJsonObj(jsonObj, true);
                case "SEARCH":
                    return model.SearchCommandDescriptor.getJsonObj(jsonObj, true);
                case "BUCKET":
                    return model.BucketCommandDescriptor.getJsonObj(jsonObj, true);
                case "RARE":
                    return model.RareCommandDescriptor.getJsonObj(jsonObj, true);
                case "ADD_INSIGHTS":
                    return model.AddInsightsCommandDescriptor.getJsonObj(jsonObj, true);
                case "LINK":
                    return model.LinkCommandDescriptor.getJsonObj(jsonObj, true);
                case "SORT":
                    return model.SortCommandDescriptor.getJsonObj(jsonObj, true);
                case "HIGHLIGHT_ROWS":
                    return model.HighlightRowsCommandDescriptor.getJsonObj(jsonObj, true);
                case "MACRO":
                    return model.MacroCommandDescriptor.getJsonObj(jsonObj, true);
                case "EVAL":
                    return model.EvalCommandDescriptor.getJsonObj(jsonObj, true);
                case "RENAME":
                    return model.RenameCommandDescriptor.getJsonObj(jsonObj, true);
                case "XML_EXTRACT":
                    return model.XmlExtractCommandDescriptor.getJsonObj(jsonObj, true);
                case "MULTI_SEARCH":
                    return model.MultiSearchCommandDescriptor.getJsonObj(jsonObj, true);
                case "CREATETABLE":
                    return model.CreateTableCommandDescriptor.getJsonObj(jsonObj, true);
                case "COMPARE":
                    return model.CompareCommandDescriptor.getJsonObj(jsonObj, true);
                case "TIME_COMPARE":
                    return model.TimeCompareCommandDescriptor.getJsonObj(jsonObj, true);
                case "MODULE":
                    return model.ModuleCommandDescriptor.getJsonObj(jsonObj, true);
                case "REGEX":
                    return model.RegexCommandDescriptor.getJsonObj(jsonObj, true);
                case "DELTA":
                    return model.DeltaCommandDescriptor.getJsonObj(jsonObj, true);
                case "LOOKUP":
                    return model.LookupCommandDescriptor.getJsonObj(jsonObj, true);
                case "JSON_EXTRACT":
                    return model.JsonExtractCommandDescriptor.getJsonObj(jsonObj, true);
                case "EVENT_STATS":
                    return model.EventStatsCommandDescriptor.getJsonObj(jsonObj, true);
                case "WHERE":
                    return model.WhereCommandDescriptor.getJsonObj(jsonObj, true);
                case "CLUSTER_SPLIT":
                    return model.ClusterSplitCommandDescriptor.getJsonObj(jsonObj, true);
                case "FREQUENT":
                    return model.FrequentCommandDescriptor.getJsonObj(jsonObj, true);
                case "CLUSTER_DETAILS":
                    return model.ClusterDetailsCommandDescriptor.getJsonObj(jsonObj, true);
                case "CLUSTER_COMPARE":
                    return model.ClusterCompareCommandDescriptor.getJsonObj(jsonObj, true);
                case "COMMAND":
                    return model.CommandDescriptor.getJsonObj(jsonObj, true);
                case "DISTINCT":
                    return model.DistinctCommandDescriptor.getJsonObj(jsonObj, true);
                case "EXTRACT":
                    return model.ExtractCommandDescriptor.getJsonObj(jsonObj, true);
                case "NLP":
                    return model.NlpCommandDescriptor.getJsonObj(jsonObj, true);
                case "BOTTOM":
                    return model.BottomCommandDescriptor.getJsonObj(jsonObj, true);
                case "FIELDS":
                    return model.FieldsCommandDescriptor.getJsonObj(jsonObj, true);
                case "ANOMALY":
                    return model.AnomalyCommandDescriptor.getJsonObj(jsonObj, true);
                case "CLASSIFY":
                    return model.ClassifyCommandDescriptor.getJsonObj(jsonObj, true);
                case "LINK_DETAILS":
                    return model.LinkDetailsCommandDescriptor.getJsonObj(jsonObj, true);
                case "SEARCH_LOOKUP":
                    return model.SearchLookupCommandDescriptor.getJsonObj(jsonObj, true);
                case "HEAD":
                    return model.HeadCommandDescriptor.getJsonObj(jsonObj, true);
                case "CREATE_VIEW":
                    return model.CreateViewCommandDescriptor.getJsonObj(jsonObj, true);
                case "TIME_CLUSTER":
                    return model.TimeClusterCommandDescriptor.getJsonObj(jsonObj, true);
                case "ADD_FIELDS":
                    return model.AddFieldsCommandDescriptor.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.name}`);
            }
        }
        return jsonObj;
    }
    AbstractCommandDescriptor.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "referencedFields": obj.referencedFields
                ? obj.referencedFields.map(item => {
                    return model.AbstractField.getDeserializedJsonObj(item);
                })
                : undefined,
            "declaredFields": obj.declaredFields
                ? obj.declaredFields.map(item => {
                    return model.AbstractField.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "name" in obj && obj.name) {
            switch (obj.name) {
                case "TOP":
                    return model.TopCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "HIGHLIGHT":
                    return model.HighlightCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "STATS":
                    return model.StatsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "TAIL":
                    return model.TailCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "SEQUENCE":
                    return model.SequenceCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "OUTLIER":
                    return model.OutlierCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "DEMO_MODE":
                    return model.DemoModeCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "FIELD_SUMMARY":
                    return model.FieldSummaryCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "GEO_STATS":
                    return model.GeoStatsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "MAP":
                    return model.MapCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "HIGHLIGHT_GROUPS":
                    return model.HighlightGroupsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "DEDUP":
                    return model.DedupCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "TIME_STATS":
                    return model.TimeStatsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "CLUSTER":
                    return model.ClusterCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "DELETE":
                    return model.DeleteCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "SEARCH":
                    return model.SearchCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "BUCKET":
                    return model.BucketCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "RARE":
                    return model.RareCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "ADD_INSIGHTS":
                    return model.AddInsightsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "LINK":
                    return model.LinkCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "SORT":
                    return model.SortCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "HIGHLIGHT_ROWS":
                    return model.HighlightRowsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "MACRO":
                    return model.MacroCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "EVAL":
                    return model.EvalCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "RENAME":
                    return model.RenameCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "XML_EXTRACT":
                    return model.XmlExtractCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "MULTI_SEARCH":
                    return model.MultiSearchCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "CREATETABLE":
                    return model.CreateTableCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "COMPARE":
                    return model.CompareCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "TIME_COMPARE":
                    return model.TimeCompareCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "MODULE":
                    return model.ModuleCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "REGEX":
                    return model.RegexCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "DELTA":
                    return model.DeltaCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "LOOKUP":
                    return model.LookupCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "JSON_EXTRACT":
                    return model.JsonExtractCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "EVENT_STATS":
                    return model.EventStatsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "WHERE":
                    return model.WhereCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "CLUSTER_SPLIT":
                    return model.ClusterSplitCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "FREQUENT":
                    return model.FrequentCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "CLUSTER_DETAILS":
                    return model.ClusterDetailsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "CLUSTER_COMPARE":
                    return model.ClusterCompareCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "COMMAND":
                    return model.CommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "DISTINCT":
                    return model.DistinctCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "EXTRACT":
                    return model.ExtractCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "NLP":
                    return model.NlpCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "BOTTOM":
                    return model.BottomCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "FIELDS":
                    return model.FieldsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "ANOMALY":
                    return model.AnomalyCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "CLASSIFY":
                    return model.ClassifyCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "LINK_DETAILS":
                    return model.LinkDetailsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "SEARCH_LOOKUP":
                    return model.SearchLookupCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "HEAD":
                    return model.HeadCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "CREATE_VIEW":
                    return model.CreateViewCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "TIME_CLUSTER":
                    return model.TimeClusterCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                case "ADD_FIELDS":
                    return model.AddFieldsCommandDescriptor.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.name}`);
            }
        }
        return jsonObj;
    }
    AbstractCommandDescriptor.getDeserializedJsonObj = getDeserializedJsonObj;
})(AbstractCommandDescriptor = exports.AbstractCommandDescriptor || (exports.AbstractCommandDescriptor = {}));
//# sourceMappingURL=abstract-command-descriptor.js.map