/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Command descriptor for querylanguage CLASSIFY command.
 *
 */
export interface ClassifyCommandDescriptor extends model.AbstractCommandDescriptor {
    /**
     * Value specified in CLASSIFY command in queryString if set limits the results returned to top N.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "topCount"?: number;
    /**
     * Value specified in CLASSIFY command in queryString if set limits the results returned to bottom N.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "bottomCount"?: number;
    /**
     * Fields specified in CLASSIFY command in queryString if set include / exclude fields in correlate results.
     *
     */
    "correlate"?: Array<model.FieldsAddRemoveField>;
    "name": string;
}
export declare namespace ClassifyCommandDescriptor {
    function getJsonObj(obj: ClassifyCommandDescriptor, isParentJsonObj?: boolean): object;
    const name = "CLASSIFY";
    function getDeserializedJsonObj(obj: ClassifyCommandDescriptor, isParentJsonObj?: boolean): object;
}
