/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Command descriptor for querylanguage CLUSTERCOMPARE command.
 *
 */
export interface ClusterCompareCommandDescriptor extends model.AbstractCommandDescriptor {
    /**
     * To shift time range of main query backwards using a relative time expression e.g -24hrs. E.g compare against the previous 24 hrs.
     *
     */
    "timeShift"?: string;
    /**
     * Start time to apply to base line query if specified.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "timeStart"?: number;
    /**
     * End time to apply to base line query if specified.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "timeEnd"?: number;
    /**
     * Option to calculate trends of each cluster if specified.
     *
     */
    "shouldIncludeTrends"?: boolean;
    /**
     * Option to control the size of buckets in the histogram e.g 8hrs  - each bar other than first and last should represent 8hr time span. Will be adjusted to a larger span if time range is very large.
     *
     */
    "span"?: string;
    /**
     * Query to use to compute base line to compare top level query results against to identify differences if specified.
     *
     */
    "baselineQuery"?: string;
    "name": string;
}
export declare namespace ClusterCompareCommandDescriptor {
    function getJsonObj(obj: ClusterCompareCommandDescriptor, isParentJsonObj?: boolean): object;
    const name = "CLUSTER_COMPARE";
    function getDeserializedJsonObj(obj: ClusterCompareCommandDescriptor, isParentJsonObj?: boolean): object;
}
