/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The result of a comparison of two lines in the two content input strings.
 */
export interface CompareLineResult {
    /**
     * A line from the content on the left. This may be empty if there is no matching line on
     * the left for a line in the right content.
     *
     */
    "leftContent"?: string;
    /**
     * A line from the content on the right. This may be empty if there is no matching line on
     * the right for a line in the left content.
     *
     */
    "rightContent"?: string;
    /**
     * The result of the line comparison. An empty string means the lines being compared are the
     * same. A pipe, |, means the lines are different, and a caret, > or <, means the
     * line is only found either on the right or the left.
     *
     */
    "diffType"?: string;
    /**
     * A comma delimited set of indices that identify which characters are different from those
     * in the right string.
     *
     */
    "leftIndices"?: string;
    /**
     * A comma delimited set of indices that identify which characters are different from those
     * in the left string.
     *
     */
    "rightIndices"?: string;
}
export declare namespace CompareLineResult {
    function getJsonObj(obj: CompareLineResult): object;
    function getDeserializedJsonObj(obj: CompareLineResult): object;
}
