/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for a new enterprise manager bridge to be added.
 */
export interface CreateLogAnalyticsEmBridgeDetails {
    /**
     * Log analytics enterprise manager bridge display name.
     *
     */
    "displayName": string;
    /**
     * A description for log analytics enterprise manager bridge.
     *
     */
    "description"?: string;
    /**
     * Compartment Identifier [OCID] (https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm).
     */
    "compartmentId": string;
    /**
     * Compartment for entities created from enterprise manager.
     *
     */
    "emEntitiesCompartmentId": string;
    /**
     * Object store bucket name where enterprise manager harvested entities will be uploaded.
     */
    "bucketName": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateLogAnalyticsEmBridgeDetails {
    function getJsonObj(obj: CreateLogAnalyticsEmBridgeDetails): object;
    function getDeserializedJsonObj(obj: CreateLogAnalyticsEmBridgeDetails): object;
}
