/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object containing credential details to authenticate/authorize a REST request.
 */
export interface EndpointCredentials {
    /**
     * The credential type. NONE indicates credentials are not needed to access the endpoint.
     * BASIC_AUTH represents a username and password based model. TOKEN could be static or dynamic.
     * In case of dynamic tokens, also specify the endpoint from which the token must be fetched.
     *
     */
    "credentialType"?: EndpointCredentials.CredentialType;
    /**
     * The named credential name on the management agent.
     */
    "credentialName"?: string;
    "credentialEndpoint"?: model.CredentialEndpoint;
}
export declare namespace EndpointCredentials {
    enum CredentialType {
        None = "NONE",
        BasicAuth = "BASIC_AUTH",
        StaticToken = "STATIC_TOKEN",
        DynamicToken = "DYNAMIC_TOKEN",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: EndpointCredentials): object;
    function getDeserializedJsonObj(obj: EndpointCredentials): object;
}
