/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object containing details to make a REST request.
 */
export interface EndpointRequest {
    /**
     * The endpoint method - GET or POST.
     */
    "method"?: EndpointRequest.Method;
    /**
     * The request URL.
     */
    "url": string;
    /**
     * The request content type.
     */
    "contentType"?: string;
    /**
     * The request payload, applicable for POST requests.
     */
    "payload"?: string;
    /**
     * The request headers represented as a list of name-value pairs.
     */
    "headers"?: Array<model.NameValuePair>;
    /**
     * The request form parameters represented as a list of name-value pairs.
     */
    "formParameters"?: Array<model.NameValuePair>;
}
export declare namespace EndpointRequest {
    enum Method {
        Get = "GET",
        Post = "POST",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: EndpointRequest): object;
    function getDeserializedJsonObj(obj: EndpointRequest): object;
}
