/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Query builder filter action to apply edit to queryString.
 *
 */
export interface Filter {
    /**
     * Field filter references when inserting filter into the query string. Field must be a valid logging analytics out-of-the-box field, virtual field calculated in the query or a user defined field.
     *
     */
    "fieldName"?: string;
    /**
     * Field values that will be inserted into the query string for the specified fieldName. Please note all values should reflect the fields data type otherwise the insert is subject to fail.
     *
     */
    "values"?: Array<any>;
    /**
     * Operator to apply when editing the query string.
     *
     */
    "operator": Filter.Operator;
}
export declare namespace Filter {
    enum Operator {
        Clear = "CLEAR",
        Replace = "REPLACE",
        Equals = "EQUALS",
        NotEquals = "NOT_EQUALS",
        StartsWith = "STARTS_WITH",
        DoesNotStartWith = "DOES_NOT_START_WITH",
        EndsWith = "ENDS_WITH",
        DoesNotEndWith = "DOES_NOT_END_WITH",
        Contains = "CONTAINS",
        DoesNotContain = "DOES_NOT_CONTAIN",
        IsLessThan = "IS_LESS_THAN",
        IsLessThanOrEqualTo = "IS_LESS_THAN_OR_EQUAL_TO",
        IsGreaterThan = "IS_GREATER_THAN",
        IsGreaterThanOrEqualTo = "IS_GREATER_THAN_OR_EQUAL_TO",
        IsBetween = "IS_BETWEEN",
        IsNotBetween = "IS_NOT_BETWEEN",
        AddSubquery = "ADD_SUBQUERY",
        ClearSubquery = "CLEAR_SUBQUERY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Filter): object;
    function getDeserializedJsonObj(obj: Filter): object;
}
