/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Command descriptor for querylanguage GEOSTATS command.  This is similiar to STATS with some built in functions for City, State and Country by Coordinates.
 *
 */
export interface GeoStatsCommandDescriptor extends model.AbstractCommandDescriptor {
    /**
     * Indicates which coordinates to show.  Either client, server, client and server or custom. If custom is specified at least one of  coordinatesField, regionField or countryField is required. Defaults to client.
     *
     */
    "include"?: GeoStatsCommandDescriptor.Include;
    /**
     * The city field to use. Only applicable when include = CUSTOM.
     *
     */
    "cityField"?: model.FieldsAddRemoveField | model.FunctionField | model.Field | model.SortField;
    /**
     * The region field to use. Only applicable when include = CUSTOM.
     *
     */
    "regionField"?: model.FieldsAddRemoveField | model.FunctionField | model.Field | model.SortField;
    /**
     * The country field to use. Only applicable when include = CUSTOM.
     *
     */
    "countryField"?: model.FieldsAddRemoveField | model.FunctionField | model.Field | model.SortField;
    /**
     * The continent field to use. Only applicable when include = CUSTOM.
     *
     */
    "continentField"?: model.FieldsAddRemoveField | model.FunctionField | model.Field | model.SortField;
    /**
     * The coordinates field to use. Only applicable when include = CUSTOM.
     *
     */
    "coordinatesField"?: model.FieldsAddRemoveField | model.FunctionField | model.Field | model.SortField;
    /**
     * Group by fields if specified in the query string.  Required if include = CUSTOM.
     *
     */
    "groupByFields"?: Array<model.AbstractField>;
    /**
     * Statistical functions specified in the query string. At least 1 is required for a GEOSTATS command.
     *
     */
    "functions"?: Array<model.FunctionField>;
    "name": string;
}
export declare namespace GeoStatsCommandDescriptor {
    enum Include {
        Client = "CLIENT",
        Server = "SERVER",
        ClientAndServer = "CLIENT_AND_SERVER",
        Custom = "CUSTOM",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: GeoStatsCommandDescriptor, isParentJsonObj?: boolean): object;
    const name = "GEO_STATS";
    function getDeserializedJsonObj(obj: GeoStatsCommandDescriptor, isParentJsonObj?: boolean): object;
}
