/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Command descriptor for querylanguage HIGHLIGHTGROUPS command.
 *
 */
export interface HighlightGroupsCommandDescriptor extends model.AbstractCommandDescriptor {
    /**
     * User specified color to highlight matches with if found.
     *
     */
    "color"?: string;
    /**
     * User specified priority assigned to highlighted matches if found.
     *
     */
    "priority"?: string;
    /**
     * List of fields to search for terms or phrases to highlight.  If not specified all string fields are scanned.
     *
     */
    "matchOnly"?: Array<string>;
    /**
     * List of fields to search for terms or phrases to highlight.
     *
     */
    "fields"?: Array<string>;
    /**
     * List of terms or phrases to highlight if found.
     *
     */
    "keywords"?: Array<string>;
    /**
     * List of subQueries specified as highlightgroups command arguments
     *
     */
    "subQueries"?: Array<model.ParseQueryOutput>;
    "name": string;
}
export declare namespace HighlightGroupsCommandDescriptor {
    function getJsonObj(obj: HighlightGroupsCommandDescriptor, isParentJsonObj?: boolean): object;
    const name = "HIGHLIGHT_GROUPS";
    function getDeserializedJsonObj(obj: HighlightGroupsCommandDescriptor, isParentJsonObj?: boolean): object;
}
