/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The additional field condition(s) to evaluate for an ingest time rule.
 */
export interface IngestTimeRuleAdditionalFieldCondition {
    /**
     * The additional field name to be evaluated.
     */
    "conditionField": string;
    /**
     * The operator to be used for evaluating the additional field.
     */
    "conditionOperator": IngestTimeRuleAdditionalFieldCondition.ConditionOperator;
    /**
     * The additional field value to be evaluated.
     */
    "conditionValue": string;
}
export declare namespace IngestTimeRuleAdditionalFieldCondition {
    enum ConditionOperator {
        Contains = "CONTAINS",
        ContainsIgnoreCase = "CONTAINS_IGNORE_CASE",
        ContainsRegex = "CONTAINS_REGEX",
        ContainsOneofRegexes = "CONTAINS_ONEOF_REGEXES",
        EndsWith = "ENDS_WITH",
        Equal = "EQUAL",
        EqualIgnoreCase = "EQUAL_IGNORE_CASE",
        In = "IN",
        InIgnoreCase = "IN_IGNORE_CASE",
        NotContains = "NOT_CONTAINS",
        NotEqual = "NOT_EQUAL",
        NotIn = "NOT_IN",
        NotNull = "NOT_NULL",
        StartsWith = "STARTS_WITH",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: IngestTimeRuleAdditionalFieldCondition): object;
    function getDeserializedJsonObj(obj: IngestTimeRuleAdditionalFieldCondition): object;
}
