/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * source summary
 */
export interface LabelSourceSummary {
    /**
     * The source display name.
     */
    "sourceDisplayName"?: string;
    /**
     * The source internal name.
     */
    "sourceName"?: string;
    /**
     * The source unique identifier. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sourceId"?: number;
    /**
     * The label operator.
     */
    "labelOperatorName"?: string;
    /**
     * The label condition.
     */
    "labelCondition"?: string;
    /**
     * String representation of the label condition.
     *
     */
    "conditionString"?: string;
    "conditionBlock"?: model.ConditionBlock;
    /**
     * The label field display name.
     */
    "labelFieldDisplayname"?: string;
    /**
     * The label field name.
     */
    "labelFieldName"?: string;
}
export declare namespace LabelSourceSummary {
    function getJsonObj(obj: LabelSourceSummary): object;
    function getDeserializedJsonObj(obj: LabelSourceSummary): object;
}
