/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * LogAnalyticsAssociationParameter
 */
export interface LogAnalyticsAssociationParameter {
    /**
     * The agent unique identifier.
     */
    "agentId"?: string;
    /**
     * The entity type.
     */
    "entityType"?: string;
    /**
     * The entity unique identifier.
     */
    "entityId"?: string;
    /**
     * The source name.
     */
    "sourceId"?: string;
    /**
     * The source display name.
     */
    "sourceDisplayName"?: string;
    /**
     * The source type.
     */
    "sourceType"?: string;
    /**
     * The status.  Either FAILED or SUCCEEDED.
     */
    "status"?: LogAnalyticsAssociationParameter.Status;
    /**
     * The status description.
     */
    "statusDescription"?: string;
    /**
     * A list of association properties.
     */
    "associationProperties"?: Array<model.AssociationProperty>;
    /**
     * A list of missing properties.
     */
    "missingProperties"?: Array<string>;
    /**
     * A list of requried properties.
     */
    "requiredProperties"?: Array<string>;
}
export declare namespace LogAnalyticsAssociationParameter {
    enum Status {
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: LogAnalyticsAssociationParameter): object;
    function getDeserializedJsonObj(obj: LogAnalyticsAssociationParameter): object;
}
