/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Log-Analytics EM Bridge counts summary.
 *
 */
export interface LogAnalyticsEmBridgeSummaryReport {
    /**
     * Compartment Identifier [OCID] (https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm).
     */
    "compartmentId": string;
    /**
     * Total number of ACTIVE enterprise manager bridges.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "activeEmBridgeCount": number;
    /**
     * Number of enterprise manager bridges in CREATING state.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "creatingEmBridgeCount": number;
    /**
     * Number of enterprise manager bridges in NEEDS_ATTENTION state.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "needsAttentionEmBridgeCount": number;
    /**
     * Number of enterprise manager bridges in DELETED state.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "deletedEmBridgeCount": number;
    /**
     * Total number of enterprise manager bridges.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalEmBridgeCount": number;
}
export declare namespace LogAnalyticsEmBridgeSummaryReport {
    function getJsonObj(obj: LogAnalyticsEmBridgeSummaryReport): object;
    function getDeserializedJsonObj(obj: LogAnalyticsEmBridgeSummaryReport): object;
}
