/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * LogAnalyticsParserFunction
 */
export interface LogAnalyticsParserFunction {
    "parserMetaPlugin"?: model.LogAnalyticsParserMetaPlugin;
    /**
     * The parser function unique identifier. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "parserFunctionId"?: number;
    /**
     * The parser function internal name.
     */
    "parserFunctionName"?: string;
    /**
     * A flag inidcating whether or not the parser function is enabled.
     *
     */
    "isEnabled"?: boolean;
    /**
     * The system flag.  A value of false denotes a custom, or user
     * defined object.  A value of true denotes a built in object.
     *
     */
    "isSystem"?: boolean;
    /**
     * The associated parser unique identifier. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "parserId"?: number;
    /**
     * The associated parser internal name.
     */
    "parserName"?: string;
    /**
     * The plugin internal name.
     */
    "parserMetaPluginName"?: string;
    /**
     * The parser function priority. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "parserFunctionPriority"?: number;
    /**
     * The parser function parameter list.
     */
    "parserFunctionParameters"?: Array<model.LogAnalyticsParserFunctionParameter>;
}
export declare namespace LogAnalyticsParserFunction {
    function getJsonObj(obj: LogAnalyticsParserFunction): object;
    function getDeserializedJsonObj(obj: LogAnalyticsParserFunction): object;
}
