/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * LogAnalyticsSource
 */
export interface LogAnalyticsSource {
    /**
     * The label alert conditions.
     */
    "labelConditions"?: Array<model.LogAnalyticsSourceLabelCondition>;
    /**
     * The association count. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "associationCount"?: number;
    /**
     * The association entities.
     */
    "associationEntity"?: Array<model.LogAnalyticsAssociation>;
    /**
     * The data filter definitions.
     */
    "dataFilterDefinitions"?: Array<model.LogAnalyticsSourceDataFilter>;
    /**
     * The database credential.
     */
    "databaseCredential"?: string;
    /**
     * The extended field definitions.
     */
    "extendedFieldDefinitions"?: Array<model.LogAnalyticsSourceExtendedFieldDefinition>;
    /**
     * A flag indicating whether or not this is a cloud source.
     *
     */
    "isForCloud"?: boolean;
    /**
     * The labels associated with the source.
     */
    "labels"?: Array<model.LogAnalyticsLabelView>;
    /**
     * The metric definitions.
     */
    "metricDefinitions"?: Array<model.LogAnalyticsMetric>;
    /**
     * The metric source map.
     */
    "metrics"?: Array<model.LogAnalyticsSourceMetric>;
    /**
     * The built in parsers associated with source.
     */
    "oobParsers"?: Array<model.LogAnalyticsParser>;
    /**
     * The source parameters.
     */
    "parameters"?: Array<model.LogAnalyticsParameter>;
    /**
     * The pattern count. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "patternCount"?: number;
    /**
     * The source patterns.
     */
    "patterns"?: Array<model.LogAnalyticsSourcePattern>;
    /**
     * The source description.
     */
    "description"?: string;
    /**
     * The source display name.
     */
    "displayName"?: string;
    /**
     * The source edit version. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "editVersion"?: number;
    /**
     * The source functions.
     */
    "functions"?: Array<model.LogAnalyticsSourceFunction>;
    /**
     * The source unique identifier. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sourceId"?: number;
    /**
     * The source internal name.
     */
    "name"?: string;
    /**
     * A flag indicating whether or not the source content is secure.
     *
     */
    "isSecureContent"?: boolean;
    /**
     * The system flag.  A value of false denotes a custom, or user
     * defined object.  A value of true denotes a built in object.
     *
     */
    "isSystem"?: boolean;
    /**
     * The list of parsers used by the source.
     */
    "parsers"?: Array<model.LogAnalyticsParser>;
    /**
     * A flag indicating whether or not the source is marked for auto-association.
     *
     */
    "isAutoAssociationEnabled"?: boolean;
    /**
     * A flag indicating whether or not the auto-association state should be overriden.
     *
     */
    "isAutoAssociationOverride"?: boolean;
    /**
     * The rule unique identifier. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ruleId"?: number;
    /**
     * The source type internal name.
     */
    "typeName"?: string;
    /**
     * The source type name.
     */
    "typeDisplayName"?: string;
    /**
     * The source warning configuration. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "warningConfig"?: number;
    /**
     * The source metadata fields.
     */
    "metadataFields"?: Array<model.LogAnalyticsSourceMetadataField>;
    /**
     * The labls used by the source.
     */
    "labelDefinitions"?: Array<model.LogAnalyticsLabelDefinition>;
    /**
     * The entity types.
     */
    "entityTypes"?: Array<model.LogAnalyticsSourceEntityType>;
    /**
     * A flag indicating whether or not the source has a time zone override.
     *
     */
    "isTimezoneOverride"?: boolean;
    /**
     * An array of custom parsers.
     */
    "userParsers"?: Array<model.LogAnalyticsParser>;
    /**
     * The last updated date.
     */
    "timeUpdated"?: Date;
    /**
     * An array of event types.
     */
    "eventTypes"?: Array<model.EventType>;
    /**
     * An array of categories assigned to this source.
     * The isSystem flag denotes if each category assignment is user-created or Oracle-defined.
     *
     */
    "categories"?: Array<model.LogAnalyticsCategory>;
    /**
     * An array of REST API endpoints for log collection.
     */
    "endpoints"?: Array<model.LogAnalyticsEndpoint>;
    /**
     * A list of source properties.
     */
    "sourceProperties"?: Array<model.LogAnalyticsProperty>;
}
export declare namespace LogAnalyticsSource {
    function getJsonObj(obj: LogAnalyticsSource): object;
    function getDeserializedJsonObj(obj: LogAnalyticsSource): object;
}
