/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The LOG_LIST type endpoint configuration. The list of logs is first fetched using the listEndpoint configuration,
 * and then the logs are subsequently fetched using the logEndpoints, which reference the list endpoint response.
 * For time based incremental collection, specify the START_TIME macro with the desired time format,
 * example: {START_TIME:yyMMddHHmmssZ}.
 * For offset based incremental collection, specify the START_OFFSET macro with offset identifier in the API response,
 * example: {START_OFFSET:$.offset}
 *
 */
export interface LogListTypeEndpoint extends model.LogAnalyticsEndpoint {
    "listEndpoint": model.LogListEndpoint;
    /**
     * Log endpoints, which reference the listEndpoint response, to fetch log data.
     *
     */
    "logEndpoints": Array<model.LogEndpoint>;
    "endpointType": string;
}
export declare namespace LogListTypeEndpoint {
    function getJsonObj(obj: LogListTypeEndpoint, isParentJsonObj?: boolean): object;
    const endpointType = "LOG_LIST";
    function getDeserializedJsonObj(obj: LogListTypeEndpoint, isParentJsonObj?: boolean): object;
}
