/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * This is the information about overlapping recall requests
 */
export interface OverlappingRecallSummary {
    /**
     * This is the start of the time range of the archival data
     */
    "timeDataStarted": Date;
    /**
     * This is the end of the time range of the archival data
     */
    "timeDataEnded": Date;
    /**
     * This is the time when the recall operation was started for this recall request
     */
    "timeStarted": Date;
    /**
     * This is the status of the recall
     */
    "status": model.RecallStatus;
    /**
     * This is the purpose of the recall
     */
    "purpose": string;
    /**
     * This is the query associated with the recall
     */
    "queryString": string;
    /**
     * This is the list of logsets associated with this recall
     */
    "logSets": string;
    /**
     * This is the user who initiated the recall request
     */
    "createdBy": string;
    /**
     * This is the id of the associated recalled data collection Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "collectionId": number;
    /**
     * This is the id for the recall request Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recallId": number;
}
export declare namespace OverlappingRecallSummary {
    function getJsonObj(obj: OverlappingRecallSummary): object;
    function getDeserializedJsonObj(obj: OverlappingRecallSummary): object;
}
