/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Returns a parser agnostic breakdown of a query string for client query string introspection.
 *
 */
export interface ParseQueryOutput {
    /**
     * Display string formatted by query builder of user specified query string.
     *
     */
    "displayQueryString": string;
    /**
     * Internal string formatted by query builder of user specified query string.
     *
     */
    "internalQueryString": string;
    /**
     * List of columns returned by the specified query string as result output.
     *
     */
    "columns"?: Array<model.AbstractColumn>;
    /**
     * Operation response time.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "responseTimeInMs"?: number;
    "timeFilter"?: model.TimeRange;
    /**
     * List of querylanguage command descriptors, describing the specfied query string.
     *
     */
    "commands"?: Array<model.AbstractCommandDescriptor>;
}
export declare namespace ParseQueryOutput {
    function getJsonObj(obj: ParseQueryOutput): object;
    function getDeserializedJsonObj(obj: ParseQueryOutput): object;
}
