/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * This is the recall related data size for the given timeframe
 *
 */
export interface RecalledDataSize {
    /**
     * This is the start of the time range of the archival data
     */
    "timeDataStarted": Date;
    /**
     * This is the end of the time range of the archival data
     */
    "timeDataEnded": Date;
    /**
     * This is the size of the recalled data Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recalledDataInBytes": number;
    /**
     * This is the size of the archival data not recalled yet Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "notRecalledDataInBytes": number;
}
export declare namespace RecalledDataSize {
    function getJsonObj(obj: RecalledDataSize): object;
    function getDeserializedJsonObj(obj: RecalledDataSize): object;
}
