/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * RegexMatchResult
 */
export interface RegexMatchResult {
    /**
     * The matched log entry end index. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "matchedLogEntryEndIndex"?: number;
    /**
     * The regular expression score. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "regexScore"?: number;
    /**
     * The regular expression steps information.
     */
    "regexStepsInfo"?: Array<model.StepInfo>;
    /**
     * The regular expression step count. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "stepCount"?: number;
    /**
     * The regular expression match information.
     */
    "subRegexesMatchInfo"?: {
        [key: string]: model.MatchInfo;
    };
}
export declare namespace RegexMatchResult {
    function getJsonObj(obj: RegexMatchResult): object;
    function getDeserializedJsonObj(obj: RegexMatchResult): object;
}
