/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * This is the input used to release recalled data
 *
 */
export interface ReleaseRecalledDataDetails {
    /**
     * This is the compartment OCID for permission checking
     */
    "compartmentId": string;
    /**
     * This is the end of the time interval
     */
    "timeDataEnded": Date;
    /**
     * This is the start of the time interval
     */
    "timeDataStarted": Date;
    /**
     * This is the type of the recalled data to be released
     */
    "dataType"?: model.StorageDataType;
    /**
     * This is the id for the recalled data collection to be released.
     * If specified, only this collection will be released
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "collectionId"?: number;
}
export declare namespace ReleaseRecalledDataDetails {
    function getJsonObj(obj: ReleaseRecalledDataDetails): object;
    function getDeserializedJsonObj(obj: ReleaseRecalledDataDetails): object;
}
