/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Result column that contains a table within each row.
 *
 */
export interface TableColumn extends model.AbstractColumn {
    /**
     * Column descriptors for the table result.
     *
     */
    "columns"?: Array<model.AbstractColumn>;
    /**
     * Results data of the table.
     *
     */
    "result"?: Array<{
        [key: string]: any;
    }>;
    /**
     * True if query did not complete processing all data.
     *
     */
    "arePartialResults"?: boolean;
    "type": string;
}
export declare namespace TableColumn {
    function getJsonObj(obj: TableColumn, isParentJsonObj?: boolean): object;
    const type = "TABLE_COLUMN";
    function getDeserializedJsonObj(obj: TableColumn, isParentJsonObj?: boolean): object;
}
