/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Column returned by querylanguage TIMECLUSTER command.
 *
 */
export interface TimeClusterColumn extends model.AbstractColumn {
    /**
     * Time span between each timestamp in the timeseries datapoints.
     *
     */
    "intervalGap"?: string;
    /**
     * List of timestamps making up the timeseries datapoints.
     *
     */
    "intervals"?: Array<number>;
    /**
     * Group by columns specified in the command.
     *
     */
    "groupByColumns"?: Array<model.AbstractColumn>;
    /**
     * Timeseries clusters identified by the command.
     *
     */
    "clusters"?: {
        [key: string]: model.TimeStatsCluster;
    };
    /**
     * List of series data sets for each statistical function specified in the command.
     *
     */
    "series"?: Array<model.TimeClusterDataColumn>;
    "type": string;
}
export declare namespace TimeClusterColumn {
    function getJsonObj(obj: TimeClusterColumn, isParentJsonObj?: boolean): object;
    const type = "TIME_CLUSTER_COLUMN";
    function getDeserializedJsonObj(obj: TimeClusterColumn, isParentJsonObj?: boolean): object;
}
