/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Command descriptor for querylanguage TIMECLUSTER command.
 *
 */
export interface TimeClusterCommandDescriptor extends model.AbstractCommandDescriptor {
    /**
     * Optional timestamp datatype field if specified. Default field is 'Start Time'.
     *
     */
    "time"?: model.FieldsAddRemoveField | model.FunctionField | model.Field | model.SortField;
    /**
     * Option to control the size of buckets in the timeseries. Will be adjusted to a larger span if time range is very large.
     *
     */
    "span"?: string;
    /**
     * Group by fields specified in the query string.
     *
     */
    "groupByFields"?: Array<model.AbstractField>;
    /**
     * Statistical functions specified in the query string. Atleast 1 is required for a TIMECLUSTER command.
     *
     */
    "functions"?: Array<model.FunctionField>;
    "name": string;
}
export declare namespace TimeClusterCommandDescriptor {
    function getJsonObj(obj: TimeClusterCommandDescriptor, isParentJsonObj?: boolean): object;
    const name = "TIME_CLUSTER";
    function getDeserializedJsonObj(obj: TimeClusterCommandDescriptor, isParentJsonObj?: boolean): object;
}
