/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A data series specific to a particular TIMESTATS output field.
 *
 */
export interface TimeStatsDataColumn extends model.AbstractColumn {
    /**
     * Column descriptors for the TIMESTATS result.
     *
     */
    "columns"?: Array<model.AbstractColumn>;
    /**
     * Results of the TIMESTATS command.
     *
     */
    "result"?: Array<{
        [key: string]: any;
    }>;
    /**
     * Number of timeseries returned by the query.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "resultCount"?: number;
    /**
     * Number of timeseries retrieved by the query.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalCount"?: number;
    /**
     * True if query did not complete processing all data.
     *
     */
    "partialResults"?: boolean;
    "type": string;
}
export declare namespace TimeStatsDataColumn {
    function getJsonObj(obj: TimeStatsDataColumn, isParentJsonObj?: boolean): object;
    const type = "TIME_STATS_DATA_COLUMN";
    function getDeserializedJsonObj(obj: TimeStatsDataColumn, isParentJsonObj?: boolean): object;
}
