/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Configuration details of the bucket that stores unprocessed payloads.
 *
 */
export interface UnprocessedDataBucket {
    /**
     * Object Storage namespace.
     */
    "namespace": string;
    /**
     * Name of the Object Storage bucket.
     */
    "bucketName": string;
    /**
     * Flag that specifies if this configuration is enabled or not.
     *
     */
    "isEnabled"?: boolean;
    /**
     * The time when this record is created. An RFC3339 formatted datetime string.
     */
    "timeCreated"?: Date;
    /**
     * The latest time when this record is updated. An RFC3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
}
export declare namespace UnprocessedDataBucket {
    function getJsonObj(obj: UnprocessedDataBucket): object;
    function getDeserializedJsonObj(obj: UnprocessedDataBucket): object;
}
