/**
 * LogAnalytics API
 * The LogAnalytics API for the LogAnalytics service.

 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * UpsertLogAnalyticsParserDetails
 */
export interface UpsertLogAnalyticsParserDetails {
    /**
     * The content.
     */
    "content"?: string;
    /**
     * The parser description.
     */
    "description"?: string;
    /**
     * The parser display name.
     */
    "displayName"?: string;
    /**
     * The parser edit version. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "editVersion"?: number;
    /**
     * The encoding.
     */
    "encoding"?: string;
    /**
     * Example content.
     */
    "exampleContent"?: string;
    /**
     * The parser fields.
     */
    "fieldMaps"?: Array<model.LogAnalyticsParserField>;
    /**
     * The footer regular expression.
     */
    "footerContent"?: string;
    /**
     * The header content.
     */
    "headerContent"?: string;
    /**
     * The parser internal name.
     */
    "name"?: string;
    /**
     * A flag indicating if this is a default parser.
     *
     */
    "isDefault"?: boolean;
    /**
     * A flag indicating if this is a single line content parser.
     *
     */
    "isSingleLineContent"?: boolean;
    /**
     * The system flag.  A value of false denotes a custom, or user
     * defined object.  A value of true denotes a built in object.
     *
     */
    "isSystem"?: boolean;
    /**
     * The language.
     */
    "language"?: string;
    /**
     * The log type test request version. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "logTypeTestRequestVersion"?: number;
    /**
     * The line characters for the parser to ignore.
     */
    "parserIgnorelineCharacters"?: string;
    /**
     * The parser sequence. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "parserSequence"?: number;
    /**
     * The time zone.
     */
    "parserTimezone"?: string;
    /**
     * A flag indicating whther or not the parser is write once.
     *
     */
    "isParserWrittenOnce"?: boolean;
    /**
     * The parser function list.
     */
    "parserFunctions"?: Array<model.LogAnalyticsParserFunction>;
    /**
     * A flag indicating whether or not to tokenize the original text.
     *
     */
    "shouldTokenizeOriginalText"?: boolean;
    /**
     * The parser field delimiter.
     */
    "fieldDelimiter"?: string;
    /**
     * The parser field qualifier.
     */
    "fieldQualifier"?: string;
    /**
     * The parser type.  Default value is REGEX.
     */
    "type"?: UpsertLogAnalyticsParserDetails.Type;
    /**
     * A flag indicating whether the XML parser should consider the namespace(s) while processing the log data.
     *
     */
    "isNamespaceAware"?: boolean;
    /**
     * An array of categories to assign to the parser. Specifying the name attribute for each category would suffice.
     * Oracle-defined category assignments cannot be removed.
     *
     */
    "categories"?: Array<model.LogAnalyticsCategory>;
    /**
     * A flag indicating whether the parser is positionally aware.
     *
     */
    "isPositionAware"?: boolean;
}
export declare namespace UpsertLogAnalyticsParserDetails {
    enum Type {
        Xml = "XML",
        Json = "JSON",
        Regex = "REGEX",
        Odl = "ODL",
        Delimited = "DELIMITED"
    }
    function getJsonObj(obj: UpsertLogAnalyticsParserDetails): object;
    function getDeserializedJsonObj(obj: UpsertLogAnalyticsParserDetails): object;
}
