/**
 *
 *
 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/loganalytics/BatchGetBasicInfo.ts.html |here} to see how to use BatchGetBasicInfoRequest.
 */
export interface BatchGetBasicInfoRequest extends common.BaseRequest {
    /**
     * The Logging Analytics namespace used for the request.
     *
     */
    "namespaceName": string;
    /**
     * List of label names to get information on
     */
    "basicDetails": model.LabelNames;
    /**
     * A flag specifying whether or not to include information on deleted labels.
     *
     */
    "isIncludeDeleted": boolean;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: BatchGetBasicInfoRequest.SortOrder;
    /**
     * The attribute used to sort the returned labels
     */
    "basicLabelSortBy"?: BatchGetBasicInfoRequest.BasicLabelSortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace BatchGetBasicInfoRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum BasicLabelSortBy {
        Name = "name",
        Priority = "priority"
    }
}
