/**
 *
 *
 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/loganalytics/ListLabels.ts.html |here} to see how to use ListLabelsRequest.
 */
export interface ListLabelsRequest extends common.BaseRequest {
    /**
     * The Logging Analytics namespace used for the request.
     *
     */
    "namespaceName": string;
    /**
     * The label name used for filtering.  Only items with, or associated with, the
     * specified label name will be returned.
     *
     */
    "labelName"?: string;
    /**
     * The label display text used for filtering.  Only labels with the specified name or
     * description will be returned.
     *
     */
    "labelDisplayText"?: string;
    /**
     * The system value used for filtering.  Only items with the specified system value
     * will be returned.  Valid values are built in, custom (for user defined items), or
     * all (for all items, regardless of system value).
     *
     */
    "isSystem"?: ListLabelsRequest.IsSystem;
    /**
     * The label priority used for filtering.  Only labels with the specified
     * priority will be returned.
     *
     */
    "labelPriority"?: ListLabelsRequest.LabelPriority;
    /**
     * A flag indicating whether or not to count the label usage per source and per rule.
     *
     */
    "isCountPop"?: boolean;
    /**
     * A flag indicating whether or not return the aliases used by each label.
     *
     */
    "isAliasPop"?: boolean;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: ListLabelsRequest.SortOrder;
    /**
     * The attribute used to sort the returned labels
     */
    "labelSortBy"?: ListLabelsRequest.LabelSortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListLabelsRequest {
    enum IsSystem {
        All = "ALL",
        Custom = "CUSTOM",
        BuiltIn = "BUILT_IN"
    }
    enum LabelPriority {
        None = "NONE",
        Low = "LOW",
        Medium = "MEDIUM",
        High = "HIGH"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum LabelSortBy {
        Name = "name",
        Priority = "priority",
        SourceUsing = "sourceUsing"
    }
}
