/**
 *
 *
 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/loganalytics/ListLogAnalyticsEmBridges.ts.html |here} to see how to use ListLogAnalyticsEmBridgesRequest.
 */
export interface ListLogAnalyticsEmBridgesRequest extends common.BaseRequest {
    /**
     * The Logging Analytics namespace used for the request.
     *
     */
    "namespaceName": string;
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * A filter to return only log analytics enterprise manager bridge name whose name matches the entire name given. The match
     * is case-insensitive.
     *
     */
    "displayName"?: string;
    /**
     * A filter to return only log analytics enterprise manager bridges matching all the lifecycle states specified for this parameter.
     *
     */
    "lifecycleState"?: Array<model.EmBridgeLifecycleStates>;
    /**
     * A filter to return only log analytics enterprise manager bridges whose lifecycleDetails contains the specified string.
     *
     */
    "lifecycleDetailsContains"?: string;
    /**
     * Filter by the processing status of the latest upload from enterprise manager.
     *
     */
    "importStatus"?: Array<model.EmBridgeLatestImportProcessingStatus>;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: ListLogAnalyticsEmBridgesRequest.SortOrder;
    /**
     * The field to sort enterprise manager bridges by. Only one sort order may be provided. Default order for timeCreated and timeUpdated
     * is descending. Default order for enterprise manager name is ascending. If no value is specified timeCreated is default.
     *
     */
    "sortBy"?: ListLogAnalyticsEmBridgesRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListLogAnalyticsEmBridgesRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        TimeCreated = "timeCreated",
        TimeUpdated = "timeUpdated",
        DisplayName = "displayName"
    }
}
