/**
 *
 *
 * OpenAPI spec version: 20200601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/// <reference types="node" />
import * as model from "../model";
import common = require("oci-common");
import stream = require("stream");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/loganalytics/UploadDiscoveryData.ts.html |here} to see how to use UploadDiscoveryDataRequest.
 */
export interface UploadDiscoveryDataRequest extends common.BaseRequest {
    /**
     * The Logging Analytics namespace used for the request.
     *
     */
    "namespaceName": string;
    /**
     * Discovery data
     */
    "uploadDiscoveryDataDetails": Uint8Array | Buffer | Blob | stream.Readable | ReadableStream | string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * Metadata key and value pairs separated by a semicolon. Example k1:v1;k2:v2;k3:v3
     *
     */
    "opcMetaProperties"?: string;
    /**
     * Discovery data type
     *
     */
    "discoveryDataType"?: UploadDiscoveryDataRequest.DiscoveryDataType;
    /**
     * The log group OCID that gets mapped to the logs in the discovery data.
     *
     */
    "logGroupId"?: string;
    /**
     * Identifies the type of request payload.
     *
     */
    "payloadType"?: model.PayloadType;
    /**
     * The content type of the log data.
     */
    "contentType"?: string;
    /**
     * A token that uniquely identifies a request so it can be retried in case of a timeout or
     * server error without risk of executing that same action again. Retry tokens expire after 24
     * hours, but can be invalidated before then due to conflicting operations. For example, if a resource
     * has been deleted and purged from the system, then a retry of the original creation request
     * might be rejected.
     *
     */
    "opcRetryToken"?: string;
    /**
     * A value of {@code 100-continue} requests preliminary verification of the request method, path, and headers before the request body is sent.
     * If no error results from such verification, the server will send a 100 (Continue) interim response to indicate readiness for the request body.
     * The only allowed value for this parameter is \"100-Continue\" (case-insensitive).
     *
     */
    "expect"?: string;
}
export declare namespace UploadDiscoveryDataRequest {
    enum DiscoveryDataType {
        Entity = "ENTITY",
        K8SObjects = "K8S_OBJECTS"
    }
}
