/**
 * Logging Management API
 * Use the Logging Management API to create, read, list, update, move and delete
log groups, log objects, log saved searches, and agent configurations.

For more information, see [Logging Overview](/iaas/Content/Logging/Concepts/loggingoverview.htm).

 * OpenAPI spec version: 20200531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The log group object state. The states workflow is:
 *    1. *CREATING* Log group is being created, backend service contacted.
 *    2. *ACTIVE* Log group is active.
 *    3. *UPDATING* Object configuration change requested, but the backend service has not confirmed the update.
 *    4. *INACTIVE* Log group is disabled.
 *    5. *DELETING* Log group is being deleted.
 *
 **/
export declare enum LogGroupLifecycleState {
    Creating = "CREATING",
    Active = "ACTIVE",
    Updating = "UPDATING",
    Inactive = "INACTIVE",
    Deleting = "DELETING",
    Failed = "FAILED",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace LogGroupLifecycleState {
    function getJsonObj(obj: LogGroupLifecycleState): LogGroupLifecycleState;
    function getDeserializedJsonObj(obj: LogGroupLifecycleState): LogGroupLifecycleState;
}
