"use strict";
/**
 * Logging Management API
 * Use the Logging Management API to create, read, list, update, move and delete
log groups, log objects, log saved searches, and agent configurations.

For more information, see [Logging Overview](/iaas/Content/Logging/Concepts/loggingoverview.htm).

 * OpenAPI spec version: 20200531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedAgentMonitoringApplicationConfigurationDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var UnifiedAgentMonitoringApplicationConfigurationDetails;
(function (UnifiedAgentMonitoringApplicationConfigurationDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "sourceType" in obj && obj.sourceType) {
            switch (obj.sourceType) {
                case "KUBERNETES":
                    return model.UnifiedAgentKubernetesConfigurationDetails.getJsonObj(jsonObj, true);
                case "URL":
                    return model.UnifiedAgentUrlConfigurationDetails.getJsonObj(jsonObj, true);
                case "TAIL":
                    return model.UnifiedAgentOpenmetricsTailConfigurationDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.sourceType}`);
            }
        }
        return jsonObj;
    }
    UnifiedAgentMonitoringApplicationConfigurationDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "sourceType" in obj && obj.sourceType) {
            switch (obj.sourceType) {
                case "KUBERNETES":
                    return model.UnifiedAgentKubernetesConfigurationDetails.getDeserializedJsonObj(jsonObj, true);
                case "URL":
                    return model.UnifiedAgentUrlConfigurationDetails.getDeserializedJsonObj(jsonObj, true);
                case "TAIL":
                    return model.UnifiedAgentOpenmetricsTailConfigurationDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.sourceType}`);
            }
        }
        return jsonObj;
    }
    UnifiedAgentMonitoringApplicationConfigurationDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(UnifiedAgentMonitoringApplicationConfigurationDetails = exports.UnifiedAgentMonitoringApplicationConfigurationDetails || (exports.UnifiedAgentMonitoringApplicationConfigurationDetails = {}));
//# sourceMappingURL=unified-agent-monitoring-application-configuration-details.js.map