/**
 * Logging Management API
 * Use the Logging Management API to create, read, list, update, move and delete
log groups, log objects, log saved searches, and agent configurations.

For more information, see [Logging Overview](/iaas/Content/Logging/Concepts/loggingoverview.htm).

 * OpenAPI spec version: 20200531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Syslog Parser.
 */
export interface UnifiedAgentSyslogParser extends model.UnifiedAgentParser {
    /**
     * Time format.
     */
    "timeFormat"?: string;
    /**
     * RFC 5424 time format.
     */
    "rfc5424TimeFormat"?: string;
    /**
     * Syslog message format.
     */
    "messageFormat"?: UnifiedAgentSyslogParser.MessageFormat;
    /**
     * Specifies with priority or not. Corresponds to the Fluentd with_priority parameter.
     */
    "isWithPriority"?: boolean;
    /**
     * Specifies whether or not to support colonless ident. Corresponds to the Fluentd support_colonless_ident parameter.
     */
    "isSupportColonlessIdent"?: boolean;
    /**
     * Syslog parser type.
     */
    "syslogParserType"?: UnifiedAgentSyslogParser.SyslogParserType;
    "parserType": string;
}
export declare namespace UnifiedAgentSyslogParser {
    enum MessageFormat {
        Rfc3164 = "RFC3164",
        Rfc5424 = "RFC5424",
        Auto = "AUTO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum SyslogParserType {
        String = "STRING",
        Regexp = "REGEXP",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: UnifiedAgentSyslogParser, isParentJsonObj?: boolean): object;
    const parserType = "SYSLOG";
    function getDeserializedJsonObj(obj: UnifiedAgentSyslogParser, isParentJsonObj?: boolean): object;
}
