/**
 * Logging Management API
 * Use the Logging Management API to create, read, list, update, move and delete
log groups, log objects, log saved searches, and agent configurations.

For more information, see [Logging Overview](/iaas/Content/Logging/Concepts/loggingoverview.htm).

 * OpenAPI spec version: 20200531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A work request.
 */
export interface WorkRequest {
    /**
     * The work request OCID.
     */
    "id": string;
    /**
     * The type of work the work request is doing.
     */
    "operationType": model.OperationTypes;
    /**
     * The current status of the work request.
     */
    "status": model.OperationStatus;
    /**
     * The work request's compartment OCID.
     */
    "compartmentId": string;
    /**
     * The resources this work request affects.
     */
    "resources": Array<model.WorkRequestResource>;
    /**
     * Percentage of the request completed. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete": number;
    /**
     * The time the work request was accepted.
     */
    "timeAccepted": Date;
    /**
     * The time the work request was started.
     */
    "timeStarted"?: Date;
    /**
     * The time the work request was finished.
     */
    "timeFinished"?: Date;
}
export declare namespace WorkRequest {
    function getJsonObj(obj: WorkRequest): object;
    function getDeserializedJsonObj(obj: WorkRequest): object;
}
