/**
 * Management Agent API
 * Use the Management Agent API to manage your infrastructure's management agents, including their plugins and install keys.
For more information, see [Management Agent](https://docs.cloud.oracle.com/iaas/management-agents/index.html).

 * OpenAPI spec version: 20200202
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A representation of a source configuration setup in the Management Agent.
 *
 */
export interface DataSource {
    /**
     * Identifier for DataSource. This represents the type and name for the data source associated with the Management Agent.
     */
    "key": string;
    /**
     * Unique name of the DataSource.
     */
    "name": string;
    /**
     * Compartment owning this DataSource.
     */
    "compartmentId": string;
    /**
     * State of the DataSource.
     */
    "state": model.LifecycleStates;
    /**
     * The time the DataSource was created. An RFC3339 formatted datetime string
     */
    "timeCreated": Date;
    /**
     * The time the DataSource data was last received. An RFC3339 formatted datetime string
     */
    "timeUpdated": Date;
    "type": string;
}
export declare namespace DataSource {
    function getJsonObj(obj: DataSource): object;
    function getDeserializedJsonObj(obj: DataSource): object;
}
