/**
 * Management Agent API
 * Use the Management Agent API to manage your infrastructure's management agents, including their plugins and install keys.
For more information, see [Management Agent](https://docs.cloud.oracle.com/iaas/management-agents/index.html).

 * OpenAPI spec version: 20200202
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Supported Agent downloads
 */
export interface ManagementAgentImageSummary {
    /**
     * Agent image resource id
     */
    "id": string;
    /**
     * Agent image platform type
     */
    "platformType": model.PlatformTypes;
    /**
     * Agent image platform display name
     */
    "platformName"?: string;
    /**
     * The installation package type
     */
    "packageType"?: model.PackageTypes;
    /**
     * The installation package target architecture type
     */
    "packageArchitectureType"?: model.ArchitectureTypes;
    /**
     * Agent image version
     */
    "version": string;
    /**
     * Agent image size in bytes Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "size"?: number;
    /**
     * Agent image content SHA256 Hash
     */
    "checksum"?: string;
    /**
     * Object storage URL for download
     */
    "objectUrl"?: string;
    "imageObjectStorageDetails"?: model.ObjectDetails;
    /**
     * The current state of Management Agent Image
     */
    "lifecycleState"?: model.LifecycleStates;
}
export declare namespace ManagementAgentImageSummary {
    function getJsonObj(obj: ManagementAgentImageSummary): object;
    function getDeserializedJsonObj(obj: ManagementAgentImageSummary): object;
}
