/**
 * Management Agent API
 * Use the Management Agent API to manage your infrastructure's management agents, including their plugins and install keys.
For more information, see [Management Agent](https://docs.cloud.oracle.com/iaas/management-agents/index.html).

 * OpenAPI spec version: 20200202
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The summary of the Agent Install Key details.
 */
export interface ManagementAgentInstallKeySummary {
    /**
     * Agent Install Key identifier
     */
    "id": string;
    /**
     * Management Agent Install Key Name
     */
    "displayName"?: string;
    /**
     * Principal id of user who created the Agent Install key
     */
    "createdByPrincipalId"?: string;
    /**
     * Total number of install for this keys Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "allowedKeyInstallCount"?: number;
    /**
     * Total number of install for this keys Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "currentKeyInstallCount"?: number;
    /**
     * Status of Key
     */
    "lifecycleState"?: model.LifecycleStates;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * The time when Management Agent install Key was created. An RFC3339 formatted date time string
     */
    "timeCreated"?: Date;
    /**
     * date after which key would expire after creation
     */
    "timeExpires"?: Date;
    /**
     * Compartment Identifier
     */
    "compartmentId": string;
    /**
     * If set to true, the install key has no expiration date or usage limit. Properties allowedKeyInstallCount and timeExpires are ignored if set to true. Defaults to false.
     */
    "isUnlimited"?: boolean;
}
export declare namespace ManagementAgentInstallKeySummary {
    function getJsonObj(obj: ManagementAgentInstallKeySummary): object;
    function getDeserializedJsonObj(obj: ManagementAgentInstallKeySummary): object;
}
