/**
 * Management Agent API
 * Use the Management Agent API to manage your infrastructure's management agents, including their plugins and install keys.
For more information, see [Management Agent](https://docs.cloud.oracle.com/iaas/management-agents/index.html).

 * OpenAPI spec version: 20200202
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the current management agent plugins that agent is having.
 */
export interface ManagementAgentPluginDetails {
    /**
     * Plugin Id
     */
    "pluginId"?: string;
    /**
     * Management Agent Plugin Name
     */
    "pluginName": string;
    /**
     * Management Agent Plugin Identifier, can be renamed
     */
    "pluginDisplayName"?: string;
    /**
     * Plugin Version
     */
    "pluginVersion"?: string;
    /**
     * Plugin Status
     */
    "pluginStatus"?: model.PluginStatus;
    /**
     * Status message of the Plugin
     */
    "pluginStatusMessage"?: string;
    /**
     * flag indicating whether the plugin is in enabled mode or disabled mode.
     */
    "isEnabled"?: boolean;
}
export declare namespace ManagementAgentPluginDetails {
    function getJsonObj(obj: ManagementAgentPluginDetails): object;
    function getDeserializedJsonObj(obj: ManagementAgentPluginDetails): object;
}
