/**
 * Management Agent API
 * Use the Management Agent API to manage your infrastructure's management agents, including their plugins and install keys.
For more information, see [Management Agent](https://docs.cloud.oracle.com/iaas/management-agents/index.html).

 * OpenAPI spec version: 20200202
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of the Objectstorage object
 */
export interface ObjectDetails {
    /**
     * Objectstorage namespace reference providing the original location of this object
     */
    "objectNamespace": string;
    /**
     * Objectstorage bucket reference providing the original location of this object
     */
    "objectBucket": string;
    /**
     * Objectstorage object name reference providing the original location of this object
     */
    "objectName": string;
    /**
     * Object storage URL for download
     */
    "objectUrl"?: string;
    /**
     * Object content SHA256 Hash
     */
    "checksum"?: string;
}
export declare namespace ObjectDetails {
    function getJsonObj(obj: ObjectDetails): object;
    function getDeserializedJsonObj(obj: ObjectDetails): object;
}
