/**
 *
 *
 * OpenAPI spec version: 20200202
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/managementagent/SummarizeManagementAgentCounts.ts.html |here} to see how to use SummarizeManagementAgentCountsRequest.
 */
export interface SummarizeManagementAgentCountsRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment to which a request will be scoped.
     */
    "compartmentId": string;
    /**
     * The field by which to group Management Agents. Currently, only one groupBy dimension is supported at a time.
     */
    "groupBy": Array<model.ManagementAgentGroupBy>;
    /**
     * When set to true then agents that have at least one plugin deployed will be returned. When set to false only agents that have no plugins deployed will be returned.
     */
    "hasPlugins"?: boolean;
    /**
     * A filter to return either agents or gateway types depending upon install type selected by user. By default both install type will be returned.
     */
    "installType"?: model.InstallTypes;
    /**
     * if set to true then it fetches resources for all compartments where user has access to else only on the compartment specified.
     */
    "compartmentIdInSubtree"?: boolean;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
