/**
 * ManagementDashboard API
 * API for the Management Dashboard micro-service. Use this API for dashboard and saved search metadata preservation and to perform  tasks such as creating a dashboard, creating a saved search, and obtaining a list of dashboards and saved searches in a compartment.
    

 * OpenAPI spec version: 20200901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { DashxApisClient } from "./client";
export declare class DashxApisWaiter {
    private client;
    private readonly config?;
    constructor(client: DashxApisClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forManagementDashboard till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetManagementDashboardResponse
     */
    forManagementDashboard(request: serviceRequests.GetManagementDashboardRequest, ...targetStates: models.LifecycleStates[]): Promise<serviceResponses.GetManagementDashboardResponse>;
    /**
     * Waits forManagementSavedSearch till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetManagementSavedSearchResponse
     */
    forManagementSavedSearch(request: serviceRequests.GetManagementSavedSearchRequest, ...targetStates: models.LifecycleStates[]): Promise<serviceResponses.GetManagementSavedSearchResponse>;
}
