/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The model for the parameters needed to accept a terms of use agreement.
 */
export interface CreateAcceptedAgreementDetails {
    /**
     * A display name for the accepted agreement.
     */
    "displayName"?: string;
    /**
     * The unique identifier for the compartment where the agreement will be accepted.
     */
    "compartmentId": string;
    /**
     * The unique identifier for the listing associated with the agreement.
     */
    "listingId": string;
    /**
     * The package version associated with the agreement.
     */
    "packageVersion": string;
    /**
     * The agreement to accept.
     */
    "agreementId": string;
    /**
     * A signature generated for the listing package agreements that you can retrieve
     * with [GetAgreement](https://docs.cloud.oracle.com/api/#/en/marketplace/20181001/Agreement/GetAgreement).
     *
     */
    "signature": string;
    /**
     * The defined tags associated with this resource, if any. Each key is predefined and scoped to namespaces.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * The freeform tags associated with this resource, if any. Each tag is a simple key-value pair with no
     * predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
}
export declare namespace CreateAcceptedAgreementDetails {
    function getJsonObj(obj: CreateAcceptedAgreementDetails): object;
    function getDeserializedJsonObj(obj: CreateAcceptedAgreementDetails): object;
}
