/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A publication package for image publications.
 */
export interface ImagePublicationPackage extends model.PublicationPackage {
    /**
     * The ID of the listing resource associated with this publication package. For more information, see [AppCatalogListing](https://docs.cloud.oracle.com/en-us/iaas/api/#/en/iaas/latest/AppCatalogListing/) in the Core Services API.
     *
     */
    "appCatalogListingId"?: string;
    /**
     * The resource version of the listing resource associated with this publication package.
     */
    "appCatalogListingResourceVersion"?: string;
    /**
     * The ID of the image that corresponds to the package.
     */
    "imageId"?: string;
    "packageType": string;
}
export declare namespace ImagePublicationPackage {
    function getJsonObj(obj: ImagePublicationPackage, isParentJsonObj?: boolean): object;
    const packageType = "IMAGE";
    function getDeserializedJsonObj(obj: ImagePublicationPackage, isParentJsonObj?: boolean): object;
}
