"use strict";
/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Screenshot = exports.ReportTypeSummary = exports.ReportTypeCollection = exports.ReportSummary = exports.ReportCollection = exports.Region = exports.PublisherSummary = exports.Publisher = exports.PublicationSummary = exports.PublicationPackageSummary = exports.PublicationPackage = exports.Publication = exports.PricingTypeEnum = exports.PricingStrategyEnum = exports.PricingModel = exports.PricingCurrencyEnum = exports.PackageTypeEnum = exports.OrchestrationVariableTypeEnum = exports.OrchestrationVariable = exports.OperationType = exports.OperationStatus = exports.OperatingSystem = exports.NamedLink = exports.MatchingContextTypeEnum = exports.ListingType = exports.ListingSummary = exports.ListingPackageSummary = exports.ListingPackage = exports.Listing = exports.LinkEnum = exports.Link = exports.LaunchEligibility = exports.Item = exports.InternationalMarketPrice = exports.IneligibilityReasonEnum = exports.ExportPackageDetails = exports.EulaTypeEnum = exports.Eula = exports.ErrorEntity = exports.DocumentationLink = exports.CreatePublicationPackage = exports.CreatePublicationDetails = exports.CreateAcceptedAgreementDetails = exports.ChangePublicationCompartmentDetails = exports.CategorySummary = exports.ArchitectureType = exports.AgreementSummary = exports.Agreement = exports.AcceptedAgreementSummary = exports.AcceptedAgreement = void 0;
exports.TextBasedEula = exports.StructuredSearchDetails = exports.OrchestrationPublicationPackage = exports.OrchestrationListingPackage = exports.KubernetesListingPackage = exports.ImagePublicationPackage = exports.ImageListingPackage = exports.FreeTextSearchDetails = exports.CreateImagePublicationPackage = exports.ContainerListingPackage = exports.WorkRequestSummary = exports.WorkRequestResourceMetadataKey = exports.WorkRequestResource = exports.WorkRequestLogEntryCollection = exports.WorkRequestLogEntry = exports.WorkRequestErrorCollection = exports.WorkRequestError = exports.WorkRequestCollection = exports.WorkRequestActionType = exports.WorkRequest = exports.UploadData = exports.UpdatePublicationDetails = exports.UpdateAcceptedAgreementDetails = exports.ThirdPartyPaidListingEligibility = exports.TaxSummary = exports.SupportContact = exports.SearchListingsDetails = exports.SearchDetailsTypeEnum = void 0;
const AcceptedAgreement = __importStar(require("./accepted-agreement"));
exports.AcceptedAgreement = AcceptedAgreement.AcceptedAgreement;
const AcceptedAgreementSummary = __importStar(require("./accepted-agreement-summary"));
exports.AcceptedAgreementSummary = AcceptedAgreementSummary.AcceptedAgreementSummary;
const Agreement = __importStar(require("./agreement"));
exports.Agreement = Agreement.Agreement;
const AgreementSummary = __importStar(require("./agreement-summary"));
exports.AgreementSummary = AgreementSummary.AgreementSummary;
const ArchitectureType = __importStar(require("./architecture-type"));
exports.ArchitectureType = ArchitectureType.ArchitectureType;
const CategorySummary = __importStar(require("./category-summary"));
exports.CategorySummary = CategorySummary.CategorySummary;
const ChangePublicationCompartmentDetails = __importStar(require("./change-publication-compartment-details"));
exports.ChangePublicationCompartmentDetails = ChangePublicationCompartmentDetails.ChangePublicationCompartmentDetails;
const CreateAcceptedAgreementDetails = __importStar(require("./create-accepted-agreement-details"));
exports.CreateAcceptedAgreementDetails = CreateAcceptedAgreementDetails.CreateAcceptedAgreementDetails;
const CreatePublicationDetails = __importStar(require("./create-publication-details"));
exports.CreatePublicationDetails = CreatePublicationDetails.CreatePublicationDetails;
const CreatePublicationPackage = __importStar(require("./create-publication-package"));
exports.CreatePublicationPackage = CreatePublicationPackage.CreatePublicationPackage;
const DocumentationLink = __importStar(require("./documentation-link"));
exports.DocumentationLink = DocumentationLink.DocumentationLink;
const ErrorEntity = __importStar(require("./error-entity"));
exports.ErrorEntity = ErrorEntity.ErrorEntity;
const Eula = __importStar(require("./eula"));
exports.Eula = Eula.Eula;
const EulaTypeEnum = __importStar(require("./eula-type-enum"));
exports.EulaTypeEnum = EulaTypeEnum.EulaTypeEnum;
const ExportPackageDetails = __importStar(require("./export-package-details"));
exports.ExportPackageDetails = ExportPackageDetails.ExportPackageDetails;
const IneligibilityReasonEnum = __importStar(require("./ineligibility-reason-enum"));
exports.IneligibilityReasonEnum = IneligibilityReasonEnum.IneligibilityReasonEnum;
const InternationalMarketPrice = __importStar(require("./international-market-price"));
exports.InternationalMarketPrice = InternationalMarketPrice.InternationalMarketPrice;
const Item = __importStar(require("./item"));
exports.Item = Item.Item;
const LaunchEligibility = __importStar(require("./launch-eligibility"));
exports.LaunchEligibility = LaunchEligibility.LaunchEligibility;
const Link = __importStar(require("./link"));
exports.Link = Link.Link;
const LinkEnum = __importStar(require("./link-enum"));
exports.LinkEnum = LinkEnum.LinkEnum;
const Listing = __importStar(require("./listing"));
exports.Listing = Listing.Listing;
const ListingPackage = __importStar(require("./listing-package"));
exports.ListingPackage = ListingPackage.ListingPackage;
const ListingPackageSummary = __importStar(require("./listing-package-summary"));
exports.ListingPackageSummary = ListingPackageSummary.ListingPackageSummary;
const ListingSummary = __importStar(require("./listing-summary"));
exports.ListingSummary = ListingSummary.ListingSummary;
const ListingType = __importStar(require("./listing-type"));
exports.ListingType = ListingType.ListingType;
const MatchingContextTypeEnum = __importStar(require("./matching-context-type-enum"));
exports.MatchingContextTypeEnum = MatchingContextTypeEnum.MatchingContextTypeEnum;
const NamedLink = __importStar(require("./named-link"));
exports.NamedLink = NamedLink.NamedLink;
const OperatingSystem = __importStar(require("./operating-system"));
exports.OperatingSystem = OperatingSystem.OperatingSystem;
const OperationStatus = __importStar(require("./operation-status"));
exports.OperationStatus = OperationStatus.OperationStatus;
const OperationType = __importStar(require("./operation-type"));
exports.OperationType = OperationType.OperationType;
const OrchestrationVariable = __importStar(require("./orchestration-variable"));
exports.OrchestrationVariable = OrchestrationVariable.OrchestrationVariable;
const OrchestrationVariableTypeEnum = __importStar(require("./orchestration-variable-type-enum"));
exports.OrchestrationVariableTypeEnum = OrchestrationVariableTypeEnum.OrchestrationVariableTypeEnum;
const PackageTypeEnum = __importStar(require("./package-type-enum"));
exports.PackageTypeEnum = PackageTypeEnum.PackageTypeEnum;
const PricingCurrencyEnum = __importStar(require("./pricing-currency-enum"));
exports.PricingCurrencyEnum = PricingCurrencyEnum.PricingCurrencyEnum;
const PricingModel = __importStar(require("./pricing-model"));
exports.PricingModel = PricingModel.PricingModel;
const PricingStrategyEnum = __importStar(require("./pricing-strategy-enum"));
exports.PricingStrategyEnum = PricingStrategyEnum.PricingStrategyEnum;
const PricingTypeEnum = __importStar(require("./pricing-type-enum"));
exports.PricingTypeEnum = PricingTypeEnum.PricingTypeEnum;
const Publication = __importStar(require("./publication"));
exports.Publication = Publication.Publication;
const PublicationPackage = __importStar(require("./publication-package"));
exports.PublicationPackage = PublicationPackage.PublicationPackage;
const PublicationPackageSummary = __importStar(require("./publication-package-summary"));
exports.PublicationPackageSummary = PublicationPackageSummary.PublicationPackageSummary;
const PublicationSummary = __importStar(require("./publication-summary"));
exports.PublicationSummary = PublicationSummary.PublicationSummary;
const Publisher = __importStar(require("./publisher"));
exports.Publisher = Publisher.Publisher;
const PublisherSummary = __importStar(require("./publisher-summary"));
exports.PublisherSummary = PublisherSummary.PublisherSummary;
const Region = __importStar(require("./region"));
exports.Region = Region.Region;
const ReportCollection = __importStar(require("./report-collection"));
exports.ReportCollection = ReportCollection.ReportCollection;
const ReportSummary = __importStar(require("./report-summary"));
exports.ReportSummary = ReportSummary.ReportSummary;
const ReportTypeCollection = __importStar(require("./report-type-collection"));
exports.ReportTypeCollection = ReportTypeCollection.ReportTypeCollection;
const ReportTypeSummary = __importStar(require("./report-type-summary"));
exports.ReportTypeSummary = ReportTypeSummary.ReportTypeSummary;
const Screenshot = __importStar(require("./screenshot"));
exports.Screenshot = Screenshot.Screenshot;
const SearchDetailsTypeEnum = __importStar(require("./search-details-type-enum"));
exports.SearchDetailsTypeEnum = SearchDetailsTypeEnum.SearchDetailsTypeEnum;
const SearchListingsDetails = __importStar(require("./search-listings-details"));
exports.SearchListingsDetails = SearchListingsDetails.SearchListingsDetails;
const SupportContact = __importStar(require("./support-contact"));
exports.SupportContact = SupportContact.SupportContact;
const TaxSummary = __importStar(require("./tax-summary"));
exports.TaxSummary = TaxSummary.TaxSummary;
const ThirdPartyPaidListingEligibility = __importStar(require("./third-party-paid-listing-eligibility"));
exports.ThirdPartyPaidListingEligibility = ThirdPartyPaidListingEligibility.ThirdPartyPaidListingEligibility;
const UpdateAcceptedAgreementDetails = __importStar(require("./update-accepted-agreement-details"));
exports.UpdateAcceptedAgreementDetails = UpdateAcceptedAgreementDetails.UpdateAcceptedAgreementDetails;
const UpdatePublicationDetails = __importStar(require("./update-publication-details"));
exports.UpdatePublicationDetails = UpdatePublicationDetails.UpdatePublicationDetails;
const UploadData = __importStar(require("./upload-data"));
exports.UploadData = UploadData.UploadData;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestActionType = __importStar(require("./work-request-action-type"));
exports.WorkRequestActionType = WorkRequestActionType.WorkRequestActionType;
const WorkRequestCollection = __importStar(require("./work-request-collection"));
exports.WorkRequestCollection = WorkRequestCollection.WorkRequestCollection;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestErrorCollection = __importStar(require("./work-request-error-collection"));
exports.WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestLogEntryCollection = __importStar(require("./work-request-log-entry-collection"));
exports.WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestResourceMetadataKey = __importStar(require("./work-request-resource-metadata-key"));
exports.WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const ContainerListingPackage = __importStar(require("./container-listing-package"));
exports.ContainerListingPackage = ContainerListingPackage.ContainerListingPackage;
const CreateImagePublicationPackage = __importStar(require("./create-image-publication-package"));
exports.CreateImagePublicationPackage = CreateImagePublicationPackage.CreateImagePublicationPackage;
const FreeTextSearchDetails = __importStar(require("./free-text-search-details"));
exports.FreeTextSearchDetails = FreeTextSearchDetails.FreeTextSearchDetails;
const ImageListingPackage = __importStar(require("./image-listing-package"));
exports.ImageListingPackage = ImageListingPackage.ImageListingPackage;
const ImagePublicationPackage = __importStar(require("./image-publication-package"));
exports.ImagePublicationPackage = ImagePublicationPackage.ImagePublicationPackage;
const KubernetesListingPackage = __importStar(require("./kubernetes-listing-package"));
exports.KubernetesListingPackage = KubernetesListingPackage.KubernetesListingPackage;
const OrchestrationListingPackage = __importStar(require("./orchestration-listing-package"));
exports.OrchestrationListingPackage = OrchestrationListingPackage.OrchestrationListingPackage;
const OrchestrationPublicationPackage = __importStar(require("./orchestration-publication-package"));
exports.OrchestrationPublicationPackage = OrchestrationPublicationPackage.OrchestrationPublicationPackage;
const StructuredSearchDetails = __importStar(require("./structured-search-details"));
exports.StructuredSearchDetails = StructuredSearchDetails.StructuredSearchDetails;
const TextBasedEula = __importStar(require("./text-based-eula"));
exports.TextBasedEula = TextBasedEula.TextBasedEula;
//# sourceMappingURL=index.js.map