/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible values of on why a tenant cannot launch a listing
 **/
export declare enum IneligibilityReasonEnum {
    IneligibleAccountCountry = "INELIGIBLE_ACCOUNT_COUNTRY",
    IneligibleRegion = "INELIGIBLE_REGION",
    IneligibleAccountBlacklisted = "INELIGIBLE_ACCOUNT_BLACKLISTED",
    IneligibleAccountFeatureDisabled = "INELIGIBLE_ACCOUNT_FEATURE_DISABLED",
    IneligibleAccountCurrency = "INELIGIBLE_ACCOUNT_CURRENCY",
    IneligibleAccountNotPaid = "INELIGIBLE_ACCOUNT_NOT_PAID",
    IneligibleAccountInternal = "INELIGIBLE_ACCOUNT_INTERNAL",
    IneligibleAccountGovSubscription = "INELIGIBLE_ACCOUNT_GOV_SUBSCRIPTION",
    IneligiblePaidListingThrottled = "INELIGIBLE_PAID_LISTING_THROTTLED",
    IneligibleAccountNotAvailable = "INELIGIBLE_ACCOUNT_NOT_AVAILABLE",
    IneligibleAccountNotMonthlyInclusive = "INELIGIBLE_ACCOUNT_NOT_MONTHLY_INCLUSIVE",
    ImageMetaDataSo = "IMAGE_META_DATA_SO",
    IneligibleAccountTenancyNotAllowedAccessImage = "INELIGIBLE_ACCOUNT_TENANCY_NOT_ALLOWED_ACCESS_IMAGE",
    IneligibleAccountGovLaunchNonGovListing = "INELIGIBLE_ACCOUNT_GOV_LAUNCH_NON_GOV_LISTING",
    AgreementNotAccepted = "AGREEMENT_NOT_ACCEPTED",
    NotAuthorized = "NOT_AUTHORIZED",
    Eligible = "ELIGIBLE",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace IneligibilityReasonEnum {
    function getJsonObj(obj: IneligibilityReasonEnum): IneligibilityReasonEnum;
    function getDeserializedJsonObj(obj: IneligibilityReasonEnum): IneligibilityReasonEnum;
}
