"use strict";
/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PublicationPackage = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var PublicationPackage;
(function (PublicationPackage) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "operatingSystem": obj.operatingSystem
                ? model.OperatingSystem.getJsonObj(obj.operatingSystem)
                : undefined
        });
        if (obj && "packageType" in obj && obj.packageType) {
            switch (obj.packageType) {
                case "ORCHESTRATION":
                    return model.OrchestrationPublicationPackage.getJsonObj(jsonObj, true);
                case "IMAGE":
                    return model.ImagePublicationPackage.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.packageType}`);
            }
        }
        return jsonObj;
    }
    PublicationPackage.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "operatingSystem": obj.operatingSystem
                ? model.OperatingSystem.getDeserializedJsonObj(obj.operatingSystem)
                : undefined
        });
        if (obj && "packageType" in obj && obj.packageType) {
            switch (obj.packageType) {
                case "ORCHESTRATION":
                    return model.OrchestrationPublicationPackage.getDeserializedJsonObj(jsonObj, true);
                case "IMAGE":
                    return model.ImagePublicationPackage.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.packageType}`);
            }
        }
        return jsonObj;
    }
    PublicationPackage.getDeserializedJsonObj = getDeserializedJsonObj;
})(PublicationPackage = exports.PublicationPackage || (exports.PublicationPackage = {}));
//# sourceMappingURL=publication-package.js.map