"use strict";
/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Publication = void 0;
const model = __importStar(require("../model"));
var Publication;
(function (Publication) {
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["Creating"] = "CREATING";
        LifecycleState["Active"] = "ACTIVE";
        LifecycleState["Deleting"] = "DELETING";
        LifecycleState["Deleted"] = "DELETED";
        LifecycleState["Failed"] = "FAILED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleState = Publication.LifecycleState || (Publication.LifecycleState = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "supportContacts": obj.supportContacts
                ? obj.supportContacts.map(item => {
                    return model.SupportContact.getJsonObj(item);
                })
                : undefined,
            "icon": obj.icon ? model.UploadData.getJsonObj(obj.icon) : undefined,
            "supportedOperatingSystems": obj.supportedOperatingSystems
                ? obj.supportedOperatingSystems.map(item => {
                    return model.OperatingSystem.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Publication.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "supportContacts": obj.supportContacts
                ? obj.supportContacts.map(item => {
                    return model.SupportContact.getDeserializedJsonObj(item);
                })
                : undefined,
            "icon": obj.icon ? model.UploadData.getDeserializedJsonObj(obj.icon) : undefined,
            "supportedOperatingSystems": obj.supportedOperatingSystems
                ? obj.supportedOperatingSystems.map(item => {
                    return model.OperatingSystem.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    Publication.getDeserializedJsonObj = getDeserializedJsonObj;
})(Publication = exports.Publication || (exports.Publication = {}));
//# sourceMappingURL=publication.js.map