/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Tenant eligibility for using third party paid listings
 */
export interface ThirdPartyPaidListingEligibility {
    /**
     * Whether the tenant is permitted to use paid listings
     */
    "isPaidListingEligible": boolean;
    /**
     * Whether the tenant is currently prevented from using paid listings because of throttling
     */
    "isPaidListingThrottled": boolean;
    /**
     * Reason the account is ineligible to launch paid listings
     */
    "eligibilityReason": ThirdPartyPaidListingEligibility.EligibilityReason;
}
export declare namespace ThirdPartyPaidListingEligibility {
    enum EligibilityReason {
        Eligible = "ELIGIBLE",
        IneligibleAccountCountry = "INELIGIBLE_ACCOUNT_COUNTRY",
        IneligibleRegion = "INELIGIBLE_REGION",
        IneligibleAccountBlacklisted = "INELIGIBLE_ACCOUNT_BLACKLISTED",
        IneligibleAccountFeatureDisabled = "INELIGIBLE_ACCOUNT_FEATURE_DISABLED",
        IneligibleAccountCurrency = "INELIGIBLE_ACCOUNT_CURRENCY",
        IneligibleAccountNotPaid = "INELIGIBLE_ACCOUNT_NOT_PAID",
        IneligibleAccountInternal = "INELIGIBLE_ACCOUNT_INTERNAL",
        IneligibleAccountGovSubscription = "INELIGIBLE_ACCOUNT_GOV_SUBSCRIPTION",
        NotAuthorized = "NOT_AUTHORIZED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ThirdPartyPaidListingEligibility): object;
    function getDeserializedJsonObj(obj: ThirdPartyPaidListingEligibility): object;
}
