/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details about errors encountered while executing a work request.
 */
export interface WorkRequestError {
    /**
     * A machine-usable code for the error that occurred. Error codes are listed
     * (https://docs.cloud.oracle.com/Content/API/References/apierrors.htm)
     *
     */
    "code": string;
    /**
     * A human-readable error string.
     */
    "message": string;
    /**
     * Date and time the error happened, in the format defined by RFC3339. Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timestamp": Date;
}
export declare namespace WorkRequestError {
    function getJsonObj(obj: WorkRequestError): object;
    function getDeserializedJsonObj(obj: WorkRequestError): object;
}
