/**
 * Marketplace Service API
 * Use the Marketplace API to manage applications in Oracle Cloud Infrastructure Marketplace. For more information, see [Overview of Marketplace](/Content/Marketplace/Concepts/marketoverview.htm)
 * OpenAPI spec version: 20181001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A description of workrequest
 */
export interface WorkRequest {
    /**
     * Type of the work request
     */
    "operationType": model.OperationType;
    /**
     * The current status of the work request.
     */
    "status": model.OperationStatus;
    /**
     * The OCID of the work request.
     */
    "id": string;
    /**
     * The OCID of the compartment that contains the work request.
     *
     */
    "compartmentId": string;
    /**
     * The resources affected by this work request.
     */
    "resources"?: Array<model.WorkRequestResource>;
    /**
     * How much progress the operation has made. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete": number;
    /**
     * Date and time the work was accepted, in the format defined by RFC3339. Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeAccepted": Date;
    /**
     * Date and time the work started, in the format defined by RFC3339. Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeStarted"?: Date;
    /**
     * Date and time the work completed, in the format defined by RFC3339. Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeFinished"?: Date;
    /**
     * The listing id associated with the work request.
     */
    "listingId"?: string;
    /**
     * The package version associated with the work request.
     */
    "packageVersion"?: string;
}
export declare namespace WorkRequest {
    function getJsonObj(obj: WorkRequest): object;
    function getDeserializedJsonObj(obj: WorkRequest): object;
}
