/**
 * MarketplacePrivateOffer API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information related to the buyer of an Offer
 */
export interface BuyerInformation {
    /**
     * the name of the company for the buyer
     */
    "companyName"?: string;
    /**
     * a note the seller can specify for the buyer through a notification email
     */
    "noteToBuyer"?: string;
    "primaryContact"?: model.Contact;
    /**
     * the additional contacts associated with the buyer
     */
    "additionalContacts"?: Array<model.Contact>;
}
export declare namespace BuyerInformation {
    function getJsonObj(obj: BuyerInformation): object;
    function getDeserializedJsonObj(obj: BuyerInformation): object;
}
