/**
 * MarketplacePrivateOffer API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Resource Bundle associated with an Offer
 */
export interface ResourceBundle {
    /**
     * The type of resources in the bundle
     */
    "type"?: ResourceBundle.Type;
    /**
     * The quantity of a resources associated with the bundle Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "quantity"?: number;
    /**
     * The unit of measurement for the resource bundle
     */
    "unitOfMeasurement"?: ResourceBundle.UnitOfMeasurement;
    /**
     * the ids of the resources in the Offer
     */
    "resourceIds"?: Array<string>;
}
export declare namespace ResourceBundle {
    enum Type {
        Listing = "LISTING",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum UnitOfMeasurement {
        OcpuPerHour = "OCPU_PER_HOUR",
        InstancePerHour = "INSTANCE_PER_HOUR",
        Credits = "CREDITS",
        Instances = "INSTANCES",
        Nodes = "NODES",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ResourceBundle): object;
    function getDeserializedJsonObj(obj: ResourceBundle): object;
}
