/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Description of Attachment.
 */
export interface AttachmentSummary {
    /**
     * Unique identifier that is immutable on creation
     */
    "id": string;
    /**
     * Unique identifier of the associated offer that is immutable on creation
     */
    "offerId": string;
    /**
     * The MIME type of the uploaded data.
     */
    "mimeType"?: string;
    /**
     * The name used to refer to the uploaded data.
     */
    "displayName": string;
    /**
     * The type of offer attachment.
     */
    "type": string;
    /**
     * The current state of the Attachment.
     */
    "lifecycleState": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags": {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags": {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace AttachmentSummary {
    function getJsonObj(obj: AttachmentSummary): object;
    function getDeserializedJsonObj(obj: AttachmentSummary): object;
}
