/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Container Image details.
 */
export interface ContainerImageDetails {
    /**
     * The source registry OCID of the container image.
     */
    "sourceRegistryId"?: string;
    /**
     * The source registry url of the container image.
     */
    "sourceRegistryUrl": string;
    /**
     * image validation status
     */
    "validationStatus": model.ValidationStatus;
    /**
     * image validation failure errors
     */
    "validationError"?: string;
    /**
     * image publication status
     */
    "publicationStatus": model.PublicationStatus;
    /**
     * image publication failure errors
     */
    "publicationError"?: string;
}
export declare namespace ContainerImageDetails {
    function getJsonObj(obj: ContainerImageDetails): object;
    function getDeserializedJsonObj(obj: ContainerImageDetails): object;
}
