/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An attachment uploaded by the Publisher to be attached to an Offer.
 */
export interface CreateAttachmentDetails {
    /**
     * Base64-encoded file to attach to the Offer. File must be a PDF with maximum size of 1 MB
     */
    "fileBase64Encoded": string;
    /**
     * The name used to refer to the uploaded data.
     */
    "displayName": string;
    /**
     * The type of offer attachment.
     */
    "type": string;
}
export declare namespace CreateAttachmentDetails {
    function getJsonObj(obj: CreateAttachmentDetails): object;
    function getDeserializedJsonObj(obj: CreateAttachmentDetails): object;
}
