/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Kubernetes HelmChart Image artifact details.
 *
 */
export interface KubernetesImageArtifact extends model.Artifact {
    "helmChart": model.HelmChartImageDetails;
    /**
     * List of container image artifact unique identifiers included in the helm chart.
     */
    "containerImageArtifactIds"?: Array<string>;
    "artifactType": string;
}
export declare namespace KubernetesImageArtifact {
    function getJsonObj(obj: KubernetesImageArtifact, isParentJsonObj?: boolean): object;
    const artifactType = "HELM_CHART";
    function getDeserializedJsonObj(obj: KubernetesImageArtifact, isParentJsonObj?: boolean): object;
}
