/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The model for a summary of an Oracle Cloud Infrastructure Marketplace Publisher listing revision.
 */
export interface ListingRevisionSummary {
    /**
     * The OCID for the listing revision in Marketplace Publisher.
     */
    "id": string;
    /**
     * The OCID for the listing in Marketplace Publisher.
     */
    "listingId": string;
    /**
     * The unique identifier for the compartment.
     */
    "compartmentId": string;
    /**
     * The name of the listing revision.
     */
    "displayName": string;
    /**
     * The current status of the listing revision.
     */
    "status": string;
    /**
     * The current state of the Listing.
     */
    "lifecycleState": string;
    /**
     * The listing's package type.
     */
    "packageType": model.PackageType;
    /**
     * Pricing type of the listing.
     */
    "pricingType": string;
    /**
     * A short description of the listing revision.
     */
    "shortDescription"?: string;
    /**
     * The tagline of the listing revision.
     */
    "tagline"?: string;
    "icon"?: model.ListingRevisionIconAttachment;
    /**
     * The markets where you can deploy the listing.
     *
     */
    "markets"?: Array<string>;
    /**
     * Categories that the listing revision belongs to.
     */
    "categories": Array<string>;
    /**
      * The date and time the listing revision was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
  * <p>
  Example: {@code 2022-09-15T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
    /**
      * The date and time the listing revision was updated, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
  * <p>
  Example: {@code 2022-09-15T21:10:29.600Z}
  *
      */
    "timeUpdated": Date;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace ListingRevisionSummary {
    function getJsonObj(obj: ListingRevisionSummary): object;
    function getDeserializedJsonObj(obj: ListingRevisionSummary): object;
}
