/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The model for the market details.
 */
export interface Market {
    /**
     * The name of the market.
     */
    "name": string;
    /**
     * The code of the market.
     */
    "code": string;
    /**
     * The category code of the market.
     */
    "categoryCode": string;
    /**
     * The realm code of the market.
     */
    "realmCode"?: string;
    /**
     * bill to countries for the market.
     */
    "billToCountries": Array<string>;
    /**
     * The current state for the market.
     */
    "lifecycleState": Market.LifecycleState;
    /**
      * The date and time the market was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
  * <p>
  Example: {@code 2022-09-15T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
    /**
      * The date and time the market was updated, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
  * <p>
  Example: {@code 2022-09-15T21:10:29.600Z}
  *
      */
    "timeUpdated": Date;
}
export declare namespace Market {
    enum LifecycleState {
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Market): object;
    function getDeserializedJsonObj(obj: Market): object;
}
