/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible operation types.
 **/
export declare enum OperationType {
    CreateOffer = "CREATE_OFFER",
    UpdateOffer = "UPDATE_OFFER",
    DeleteOffer = "DELETE_OFFER",
    MoveOffer = "MOVE_OFFER",
    DeleteOfferAttachment = "DELETE_OFFER_ATTACHMENT",
    PublishListingRevisionPackage = "PUBLISH_LISTING_REVISION_PACKAGE",
    UnpublishListingRevisionPackage = "UNPUBLISH_LISTING_REVISION_PACKAGE",
    PublishListingRevision = "PUBLISH_LISTING_REVISION",
    PublishListingRevisionAsPrivate = "PUBLISH_LISTING_REVISION_AS_PRIVATE",
    WithdrawListingRevision = "WITHDRAW_LISTING_REVISION",
    CloneListingRevision = "CLONE_LISTING_REVISION",
    CascadingDeleteListing = "CASCADING_DELETE_LISTING",
    CascadingDeleteListingRevision = "CASCADING_DELETE_LISTING_REVISION",
    MarkAsDefaultListingRevisionPackage = "MARK_AS_DEFAULT_LISTING_REVISION_PACKAGE",
    ChangeListingCompartment = "CHANGE_LISTING_COMPARTMENT",
    CreateArtifact = "CREATE_ARTIFACT",
    ValidateAndPublishArtifact = "VALIDATE_AND_PUBLISH_ARTIFACT",
    ChangeArtifactCompartment = "CHANGE_ARTIFACT_COMPARTMENT",
    ChangeTermCompartment = "CHANGE_TERM_COMPARTMENT",
    DeleteArtifact = "DELETE_ARTIFACT",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace OperationType {
    function getJsonObj(obj: OperationType): OperationType;
    function getDeserializedJsonObj(obj: OperationType): OperationType;
}
