/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * OPN membership information
 */
export interface OpnMembership {
    /**
     * OPN membership start date. An RFC3339 formatted datetime string
     */
    "timeStart"?: Date;
    /**
     * OPN membership end date. An RFC3339 formatted datetime string
     */
    "timeEnd"?: Date;
    /**
     * OPN status
     */
    "opnStatus"?: OpnMembership.OpnStatus;
    /**
     * OPN Number number
     */
    "opnNumber"?: string;
    /**
     * OPN membership type
     */
    "opnMembershipType"?: string;
}
export declare namespace OpnMembership {
    enum OpnStatus {
        Active = "ACTIVE",
        Inactive = "INACTIVE",
        RenewalInProgress = "RENEWAL_IN_PROGRESS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: OpnMembership): object;
    function getDeserializedJsonObj(obj: OpnMembership): object;
}
