/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * the pricing information for the offer
 */
export interface Pricing {
    /**
     * The currency supported for a given Offer, in the format specified by ISO-4217
     */
    "currencyType"?: string;
    /**
     * The total amount an Offer costs Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalAmount"?: number;
    /**
     * The frequency at which the customer is billed for the Offer
     */
    "billingCycle"?: Pricing.BillingCycle;
}
export declare namespace Pricing {
    enum BillingCycle {
        OneTime = "ONE_TIME",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Pricing): object;
    function getDeserializedJsonObj(obj: Pricing): object;
}
