/**
 * MarketplacePublisherService API
 * Use the Marketplace Publisher API to manage the publishing of applications in Oracle Cloud Infrastructure Marketplace.
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The model for an Oracle Cloud Infrastructure Marketplace Listing revison package.
 */
export interface UpdateListingRevisionPackageDetails {
    /**
     * The version for the package.
     */
    "packageVersion"?: string;
    /**
     * The name for the listing revision package.
     */
    "displayName"?: string;
    /**
     * The description for this package.
     */
    "description"?: string;
    /**
     * The unique identifier for the artifact.
     */
    "artifactId"?: string;
    /**
     * The unique term identifier.
     */
    "termId"?: string;
    /**
     * Identifies that this will be default package for the listing revision.
     */
    "isDefault"?: boolean;
    /**
     * Identifies whether security upgrades will be provided for this package.
     */
    "areSecurityUpgradesProvided"?: boolean;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace UpdateListingRevisionPackageDetails {
    function getJsonObj(obj: UpdateListingRevisionPackageDetails): object;
    function getDeserializedJsonObj(obj: UpdateListingRevisionPackageDetails): object;
}
