/**
 * Media Services API
 * Media Services (includes Media Flow and Media Streams) is a fully managed service for processing media (video) source content. Use Media Flow and Media Streams to transcode and package digital video using configurable workflows and stream video outputs.

Use the Media Services API to configure media workflows and run Media Flow jobs, create distribution channels, ingest assets, create Preview URLs and play assets. For more information, see [Media Flow](/iaas/Content/dms-mediaflow/home.htm) and [Media Streams](/iaas/Content/dms-mediastream/home.htm).

 * OpenAPI spec version: 20211101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { MediaServicesClient } from "./client";
export declare class MediaServicesWaiter {
    private client;
    private readonly config?;
    constructor(client: MediaServicesClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forMediaAsset till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMediaAssetResponse | null (null in case of 404 response)
     */
    forMediaAsset(request: serviceRequests.GetMediaAssetRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetMediaAssetResponse | null>;
    /**
     * Waits forMediaAssetDistributionChannelAttachment till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMediaAssetDistributionChannelAttachmentResponse
     */
    forMediaAssetDistributionChannelAttachment(request: serviceRequests.GetMediaAssetDistributionChannelAttachmentRequest, ...targetStates: models.MediaAssetDistributionChannelAttachment.LifecycleState[]): Promise<serviceResponses.GetMediaAssetDistributionChannelAttachmentResponse>;
    /**
     * Waits forMediaWorkflow till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMediaWorkflowResponse | null (null in case of 404 response)
     */
    forMediaWorkflow(request: serviceRequests.GetMediaWorkflowRequest, ...targetStates: models.MediaWorkflow.LifecycleState[]): Promise<serviceResponses.GetMediaWorkflowResponse | null>;
    /**
     * Waits forMediaWorkflowConfiguration till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMediaWorkflowConfigurationResponse | null (null in case of 404 response)
     */
    forMediaWorkflowConfiguration(request: serviceRequests.GetMediaWorkflowConfigurationRequest, ...targetStates: models.MediaWorkflowConfiguration.LifecycleState[]): Promise<serviceResponses.GetMediaWorkflowConfigurationResponse | null>;
    /**
     * Waits forMediaWorkflowJob till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMediaWorkflowJobResponse
     */
    forMediaWorkflowJob(request: serviceRequests.GetMediaWorkflowJobRequest, ...targetStates: models.MediaWorkflowJob.LifecycleState[]): Promise<serviceResponses.GetMediaWorkflowJobResponse>;
    /**
     * Waits forStreamCdnConfig till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetStreamCdnConfigResponse | null (null in case of 404 response)
     */
    forStreamCdnConfig(request: serviceRequests.GetStreamCdnConfigRequest, ...targetStates: models.StreamCdnConfig.LifecycleState[]): Promise<serviceResponses.GetStreamCdnConfigResponse | null>;
    /**
     * Waits forStreamDistributionChannel till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetStreamDistributionChannelResponse | null (null in case of 404 response)
     */
    forStreamDistributionChannel(request: serviceRequests.GetStreamDistributionChannelRequest, ...targetStates: models.StreamDistributionChannel.LifecycleState[]): Promise<serviceResponses.GetStreamDistributionChannelResponse | null>;
    /**
     * Waits forStreamPackagingConfig till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetStreamPackagingConfigResponse | null (null in case of 404 response)
     */
    forStreamPackagingConfig(request: serviceRequests.GetStreamPackagingConfigRequest, ...targetStates: models.StreamPackagingConfig.LifecycleState[]): Promise<serviceResponses.GetStreamPackagingConfigResponse | null>;
}
