/**
 * Media Services API
 * Media Services (includes Media Flow and Media Streams) is a fully managed service for processing media (video) source content. Use Media Flow and Media Streams to transcode and package digital video using configurable workflows and stream video outputs.

Use the Media Services API to configure media workflows and run Media Flow jobs, create distribution channels, ingest assets, create Preview URLs and play assets. For more information, see [Media Flow](/iaas/Content/dms-mediaflow/home.htm) and [Media Streams](/iaas/Content/dms-mediastream/home.htm).

 * OpenAPI spec version: 20211101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Asset Metadata entry information.
 */
export interface AssetMetadataEntryDetails extends model.IngestStreamDistributionChannelDetails {
    /**
     * The Media Asset ID to ingest into the Distribution Channel.
     */
    "mediaAssetId": string;
    /**
     * The compartment ID where the Ingest Workflow Job will be run.
     */
    "compartmentId"?: string;
    "ingestPayloadType": string;
}
export declare namespace AssetMetadataEntryDetails {
    function getJsonObj(obj: AssetMetadataEntryDetails, isParentJsonObj?: boolean): object;
    const ingestPayloadType = "ASSET_METADATA_MEDIA_ASSET";
    function getDeserializedJsonObj(obj: AssetMetadataEntryDetails, isParentJsonObj?: boolean): object;
}
