"use strict";
/**
 * Media Services API
 * Media Services (includes Media Flow and Media Streams) is a fully managed service for processing media (video) source content. Use Media Flow and Media Streams to transcode and package digital video using configurable workflows and stream video outputs.

Use the Media Services API to configure media workflows and run Media Flow jobs, create distribution channels, ingest assets, create Preview URLs and play assets. For more information, see [Media Flow](/iaas/Content/dms-mediaflow/home.htm) and [Media Streams](/iaas/Content/dms-mediastream/home.htm).

 * OpenAPI spec version: 20211101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetType = void 0;
/**
 * The type of the media asset.
 **/
var AssetType;
(function (AssetType) {
    AssetType["Audio"] = "AUDIO";
    AssetType["Video"] = "VIDEO";
    AssetType["Playlist"] = "PLAYLIST";
    AssetType["Image"] = "IMAGE";
    AssetType["CaptionFile"] = "CAPTION_FILE";
    AssetType["Unknown"] = "UNKNOWN";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    AssetType["UnknownValue"] = "UNKNOWN_VALUE";
})(AssetType = exports.AssetType || (exports.AssetType = {}));
(function (AssetType) {
    function getJsonObj(obj) {
        return obj;
    }
    AssetType.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    AssetType.getDeserializedJsonObj = getDeserializedJsonObj;
})(AssetType = exports.AssetType || (exports.AssetType = {}));
//# sourceMappingURL=asset-type.js.map