"use strict";
/**
 * Media Services API
 * Media Services (includes Media Flow and Media Streams) is a fully managed service for processing media (video) source content. Use Media Flow and Media Streams to transcode and package digital video using configurable workflows and stream video outputs.

Use the Media Services API to configure media workflows and run Media Flow jobs, create distribution channels, ingest assets, create Preview URLs and play assets. For more information, see [Media Flow](/iaas/Content/dms-mediaflow/home.htm) and [Media Streams](/iaas/Content/dms-mediastream/home.htm).

 * OpenAPI spec version: 20211101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortOrder = exports.SortBy = exports.SessionToken = exports.ResourceLock = exports.RemoveLockDetails = exports.Metadata = exports.MediaWorkflowTaskState = exports.MediaWorkflowTaskDeclarationSortBy = exports.MediaWorkflowTaskDeclarationCollection = exports.MediaWorkflowTaskDeclaration = exports.MediaWorkflowTask = exports.MediaWorkflowSummary = exports.MediaWorkflowJobSummary = exports.MediaWorkflowJobSortBy = exports.MediaWorkflowJobCollection = exports.MediaWorkflowJob = exports.MediaWorkflowConfigurationSummary = exports.MediaWorkflowConfigurationCollection = exports.MediaWorkflowConfiguration = exports.MediaWorkflowCollection = exports.MediaWorkflow = exports.MediaAssetTag = exports.MediaAssetSummary = exports.MediaAssetSortBy = exports.MediaAssetDistributionChannelAttachmentSummary = exports.MediaAssetDistributionChannelAttachmentSortBy = exports.MediaAssetDistributionChannelAttachmentCollection = exports.MediaAssetDistributionChannelAttachment = exports.MediaAssetCollection = exports.MediaAsset = exports.LifecycleState = exports.JobOutput = exports.IngestStreamDistributionChannelResult = exports.IngestStreamDistributionChannelDetails = exports.GenerateSessionTokenDetails = exports.DeleteMode = exports.CreateStreamPackagingConfigDetails = exports.CreateStreamDistributionChannelDetails = exports.CreateStreamCdnConfigDetails = exports.CreateMediaWorkflowJobDetails = exports.CreateMediaWorkflowDetails = exports.CreateMediaWorkflowConfigurationDetails = exports.CreateMediaAssetDetails = exports.ChangeStreamDistributionChannelCompartmentDetails = exports.ChangeMediaWorkflowJobCompartmentDetails = exports.ChangeMediaWorkflowConfigurationCompartmentDetails = exports.ChangeMediaWorkflowCompartmentDetails = exports.ChangeMediaAssetCompartmentDetails = exports.AssetType = exports.AddLockDetails = void 0;
exports.StreamPackagingConfigEncryptionNone = exports.StreamPackagingConfigEncryptionAes128 = exports.HlsStreamPackagingConfig = exports.EdgeStreamCdnConfig = exports.DashStreamPackagingConfig = exports.CreateMediaWorkflowJobByNameDetails = exports.CreateMediaWorkflowJobByIdDetails = exports.AssetMetadataEntryDetails = exports.AkamaiManualStreamCdnConfig = exports.UpdateStreamPackagingConfigDetails = exports.UpdateStreamDistributionChannelDetails = exports.UpdateStreamCdnConfigDetails = exports.UpdateMediaWorkflowJobDetails = exports.UpdateMediaWorkflowDetails = exports.UpdateMediaWorkflowConfigurationDetails = exports.UpdateMediaAssetDetails = exports.SystemMediaWorkflowCollection = exports.SystemMediaWorkflow = exports.StreamPackagingConfigSummary = exports.StreamPackagingConfigEncryption = exports.StreamPackagingConfigCollection = exports.StreamPackagingConfig = exports.StreamDistributionChannelSummary = exports.StreamDistributionChannelCollection = exports.StreamDistributionChannel = exports.StreamCdnConfigSummary = exports.StreamCdnConfigSection = exports.StreamCdnConfigCollection = exports.StreamCdnConfig = void 0;
const AddLockDetails = __importStar(require("./add-lock-details"));
exports.AddLockDetails = AddLockDetails.AddLockDetails;
const AssetType = __importStar(require("./asset-type"));
exports.AssetType = AssetType.AssetType;
const ChangeMediaAssetCompartmentDetails = __importStar(require("./change-media-asset-compartment-details"));
exports.ChangeMediaAssetCompartmentDetails = ChangeMediaAssetCompartmentDetails.ChangeMediaAssetCompartmentDetails;
const ChangeMediaWorkflowCompartmentDetails = __importStar(require("./change-media-workflow-compartment-details"));
exports.ChangeMediaWorkflowCompartmentDetails = ChangeMediaWorkflowCompartmentDetails.ChangeMediaWorkflowCompartmentDetails;
const ChangeMediaWorkflowConfigurationCompartmentDetails = __importStar(require("./change-media-workflow-configuration-compartment-details"));
exports.ChangeMediaWorkflowConfigurationCompartmentDetails = ChangeMediaWorkflowConfigurationCompartmentDetails.ChangeMediaWorkflowConfigurationCompartmentDetails;
const ChangeMediaWorkflowJobCompartmentDetails = __importStar(require("./change-media-workflow-job-compartment-details"));
exports.ChangeMediaWorkflowJobCompartmentDetails = ChangeMediaWorkflowJobCompartmentDetails.ChangeMediaWorkflowJobCompartmentDetails;
const ChangeStreamDistributionChannelCompartmentDetails = __importStar(require("./change-stream-distribution-channel-compartment-details"));
exports.ChangeStreamDistributionChannelCompartmentDetails = ChangeStreamDistributionChannelCompartmentDetails.ChangeStreamDistributionChannelCompartmentDetails;
const CreateMediaAssetDetails = __importStar(require("./create-media-asset-details"));
exports.CreateMediaAssetDetails = CreateMediaAssetDetails.CreateMediaAssetDetails;
const CreateMediaWorkflowConfigurationDetails = __importStar(require("./create-media-workflow-configuration-details"));
exports.CreateMediaWorkflowConfigurationDetails = CreateMediaWorkflowConfigurationDetails.CreateMediaWorkflowConfigurationDetails;
const CreateMediaWorkflowDetails = __importStar(require("./create-media-workflow-details"));
exports.CreateMediaWorkflowDetails = CreateMediaWorkflowDetails.CreateMediaWorkflowDetails;
const CreateMediaWorkflowJobDetails = __importStar(require("./create-media-workflow-job-details"));
exports.CreateMediaWorkflowJobDetails = CreateMediaWorkflowJobDetails.CreateMediaWorkflowJobDetails;
const CreateStreamCdnConfigDetails = __importStar(require("./create-stream-cdn-config-details"));
exports.CreateStreamCdnConfigDetails = CreateStreamCdnConfigDetails.CreateStreamCdnConfigDetails;
const CreateStreamDistributionChannelDetails = __importStar(require("./create-stream-distribution-channel-details"));
exports.CreateStreamDistributionChannelDetails = CreateStreamDistributionChannelDetails.CreateStreamDistributionChannelDetails;
const CreateStreamPackagingConfigDetails = __importStar(require("./create-stream-packaging-config-details"));
exports.CreateStreamPackagingConfigDetails = CreateStreamPackagingConfigDetails.CreateStreamPackagingConfigDetails;
const DeleteMode = __importStar(require("./delete-mode"));
exports.DeleteMode = DeleteMode.DeleteMode;
const GenerateSessionTokenDetails = __importStar(require("./generate-session-token-details"));
exports.GenerateSessionTokenDetails = GenerateSessionTokenDetails.GenerateSessionTokenDetails;
const IngestStreamDistributionChannelDetails = __importStar(require("./ingest-stream-distribution-channel-details"));
exports.IngestStreamDistributionChannelDetails = IngestStreamDistributionChannelDetails.IngestStreamDistributionChannelDetails;
const IngestStreamDistributionChannelResult = __importStar(require("./ingest-stream-distribution-channel-result"));
exports.IngestStreamDistributionChannelResult = IngestStreamDistributionChannelResult.IngestStreamDistributionChannelResult;
const JobOutput = __importStar(require("./job-output"));
exports.JobOutput = JobOutput.JobOutput;
const LifecycleState = __importStar(require("./lifecycle-state"));
exports.LifecycleState = LifecycleState.LifecycleState;
const MediaAsset = __importStar(require("./media-asset"));
exports.MediaAsset = MediaAsset.MediaAsset;
const MediaAssetCollection = __importStar(require("./media-asset-collection"));
exports.MediaAssetCollection = MediaAssetCollection.MediaAssetCollection;
const MediaAssetDistributionChannelAttachment = __importStar(require("./media-asset-distribution-channel-attachment"));
exports.MediaAssetDistributionChannelAttachment = MediaAssetDistributionChannelAttachment.MediaAssetDistributionChannelAttachment;
const MediaAssetDistributionChannelAttachmentCollection = __importStar(require("./media-asset-distribution-channel-attachment-collection"));
exports.MediaAssetDistributionChannelAttachmentCollection = MediaAssetDistributionChannelAttachmentCollection.MediaAssetDistributionChannelAttachmentCollection;
const MediaAssetDistributionChannelAttachmentSortBy = __importStar(require("./media-asset-distribution-channel-attachment-sort-by"));
exports.MediaAssetDistributionChannelAttachmentSortBy = MediaAssetDistributionChannelAttachmentSortBy.MediaAssetDistributionChannelAttachmentSortBy;
const MediaAssetDistributionChannelAttachmentSummary = __importStar(require("./media-asset-distribution-channel-attachment-summary"));
exports.MediaAssetDistributionChannelAttachmentSummary = MediaAssetDistributionChannelAttachmentSummary.MediaAssetDistributionChannelAttachmentSummary;
const MediaAssetSortBy = __importStar(require("./media-asset-sort-by"));
exports.MediaAssetSortBy = MediaAssetSortBy.MediaAssetSortBy;
const MediaAssetSummary = __importStar(require("./media-asset-summary"));
exports.MediaAssetSummary = MediaAssetSummary.MediaAssetSummary;
const MediaAssetTag = __importStar(require("./media-asset-tag"));
exports.MediaAssetTag = MediaAssetTag.MediaAssetTag;
const MediaWorkflow = __importStar(require("./media-workflow"));
exports.MediaWorkflow = MediaWorkflow.MediaWorkflow;
const MediaWorkflowCollection = __importStar(require("./media-workflow-collection"));
exports.MediaWorkflowCollection = MediaWorkflowCollection.MediaWorkflowCollection;
const MediaWorkflowConfiguration = __importStar(require("./media-workflow-configuration"));
exports.MediaWorkflowConfiguration = MediaWorkflowConfiguration.MediaWorkflowConfiguration;
const MediaWorkflowConfigurationCollection = __importStar(require("./media-workflow-configuration-collection"));
exports.MediaWorkflowConfigurationCollection = MediaWorkflowConfigurationCollection.MediaWorkflowConfigurationCollection;
const MediaWorkflowConfigurationSummary = __importStar(require("./media-workflow-configuration-summary"));
exports.MediaWorkflowConfigurationSummary = MediaWorkflowConfigurationSummary.MediaWorkflowConfigurationSummary;
const MediaWorkflowJob = __importStar(require("./media-workflow-job"));
exports.MediaWorkflowJob = MediaWorkflowJob.MediaWorkflowJob;
const MediaWorkflowJobCollection = __importStar(require("./media-workflow-job-collection"));
exports.MediaWorkflowJobCollection = MediaWorkflowJobCollection.MediaWorkflowJobCollection;
const MediaWorkflowJobSortBy = __importStar(require("./media-workflow-job-sort-by"));
exports.MediaWorkflowJobSortBy = MediaWorkflowJobSortBy.MediaWorkflowJobSortBy;
const MediaWorkflowJobSummary = __importStar(require("./media-workflow-job-summary"));
exports.MediaWorkflowJobSummary = MediaWorkflowJobSummary.MediaWorkflowJobSummary;
const MediaWorkflowSummary = __importStar(require("./media-workflow-summary"));
exports.MediaWorkflowSummary = MediaWorkflowSummary.MediaWorkflowSummary;
const MediaWorkflowTask = __importStar(require("./media-workflow-task"));
exports.MediaWorkflowTask = MediaWorkflowTask.MediaWorkflowTask;
const MediaWorkflowTaskDeclaration = __importStar(require("./media-workflow-task-declaration"));
exports.MediaWorkflowTaskDeclaration = MediaWorkflowTaskDeclaration.MediaWorkflowTaskDeclaration;
const MediaWorkflowTaskDeclarationCollection = __importStar(require("./media-workflow-task-declaration-collection"));
exports.MediaWorkflowTaskDeclarationCollection = MediaWorkflowTaskDeclarationCollection.MediaWorkflowTaskDeclarationCollection;
const MediaWorkflowTaskDeclarationSortBy = __importStar(require("./media-workflow-task-declaration-sort-by"));
exports.MediaWorkflowTaskDeclarationSortBy = MediaWorkflowTaskDeclarationSortBy.MediaWorkflowTaskDeclarationSortBy;
const MediaWorkflowTaskState = __importStar(require("./media-workflow-task-state"));
exports.MediaWorkflowTaskState = MediaWorkflowTaskState.MediaWorkflowTaskState;
const Metadata = __importStar(require("./metadata"));
exports.Metadata = Metadata.Metadata;
const RemoveLockDetails = __importStar(require("./remove-lock-details"));
exports.RemoveLockDetails = RemoveLockDetails.RemoveLockDetails;
const ResourceLock = __importStar(require("./resource-lock"));
exports.ResourceLock = ResourceLock.ResourceLock;
const SessionToken = __importStar(require("./session-token"));
exports.SessionToken = SessionToken.SessionToken;
const SortBy = __importStar(require("./sort-by"));
exports.SortBy = SortBy.SortBy;
const SortOrder = __importStar(require("./sort-order"));
exports.SortOrder = SortOrder.SortOrder;
const StreamCdnConfig = __importStar(require("./stream-cdn-config"));
exports.StreamCdnConfig = StreamCdnConfig.StreamCdnConfig;
const StreamCdnConfigCollection = __importStar(require("./stream-cdn-config-collection"));
exports.StreamCdnConfigCollection = StreamCdnConfigCollection.StreamCdnConfigCollection;
const StreamCdnConfigSection = __importStar(require("./stream-cdn-config-section"));
exports.StreamCdnConfigSection = StreamCdnConfigSection.StreamCdnConfigSection;
const StreamCdnConfigSummary = __importStar(require("./stream-cdn-config-summary"));
exports.StreamCdnConfigSummary = StreamCdnConfigSummary.StreamCdnConfigSummary;
const StreamDistributionChannel = __importStar(require("./stream-distribution-channel"));
exports.StreamDistributionChannel = StreamDistributionChannel.StreamDistributionChannel;
const StreamDistributionChannelCollection = __importStar(require("./stream-distribution-channel-collection"));
exports.StreamDistributionChannelCollection = StreamDistributionChannelCollection.StreamDistributionChannelCollection;
const StreamDistributionChannelSummary = __importStar(require("./stream-distribution-channel-summary"));
exports.StreamDistributionChannelSummary = StreamDistributionChannelSummary.StreamDistributionChannelSummary;
const StreamPackagingConfig = __importStar(require("./stream-packaging-config"));
exports.StreamPackagingConfig = StreamPackagingConfig.StreamPackagingConfig;
const StreamPackagingConfigCollection = __importStar(require("./stream-packaging-config-collection"));
exports.StreamPackagingConfigCollection = StreamPackagingConfigCollection.StreamPackagingConfigCollection;
const StreamPackagingConfigEncryption = __importStar(require("./stream-packaging-config-encryption"));
exports.StreamPackagingConfigEncryption = StreamPackagingConfigEncryption.StreamPackagingConfigEncryption;
const StreamPackagingConfigSummary = __importStar(require("./stream-packaging-config-summary"));
exports.StreamPackagingConfigSummary = StreamPackagingConfigSummary.StreamPackagingConfigSummary;
const SystemMediaWorkflow = __importStar(require("./system-media-workflow"));
exports.SystemMediaWorkflow = SystemMediaWorkflow.SystemMediaWorkflow;
const SystemMediaWorkflowCollection = __importStar(require("./system-media-workflow-collection"));
exports.SystemMediaWorkflowCollection = SystemMediaWorkflowCollection.SystemMediaWorkflowCollection;
const UpdateMediaAssetDetails = __importStar(require("./update-media-asset-details"));
exports.UpdateMediaAssetDetails = UpdateMediaAssetDetails.UpdateMediaAssetDetails;
const UpdateMediaWorkflowConfigurationDetails = __importStar(require("./update-media-workflow-configuration-details"));
exports.UpdateMediaWorkflowConfigurationDetails = UpdateMediaWorkflowConfigurationDetails.UpdateMediaWorkflowConfigurationDetails;
const UpdateMediaWorkflowDetails = __importStar(require("./update-media-workflow-details"));
exports.UpdateMediaWorkflowDetails = UpdateMediaWorkflowDetails.UpdateMediaWorkflowDetails;
const UpdateMediaWorkflowJobDetails = __importStar(require("./update-media-workflow-job-details"));
exports.UpdateMediaWorkflowJobDetails = UpdateMediaWorkflowJobDetails.UpdateMediaWorkflowJobDetails;
const UpdateStreamCdnConfigDetails = __importStar(require("./update-stream-cdn-config-details"));
exports.UpdateStreamCdnConfigDetails = UpdateStreamCdnConfigDetails.UpdateStreamCdnConfigDetails;
const UpdateStreamDistributionChannelDetails = __importStar(require("./update-stream-distribution-channel-details"));
exports.UpdateStreamDistributionChannelDetails = UpdateStreamDistributionChannelDetails.UpdateStreamDistributionChannelDetails;
const UpdateStreamPackagingConfigDetails = __importStar(require("./update-stream-packaging-config-details"));
exports.UpdateStreamPackagingConfigDetails = UpdateStreamPackagingConfigDetails.UpdateStreamPackagingConfigDetails;
const AkamaiManualStreamCdnConfig = __importStar(require("./akamai-manual-stream-cdn-config"));
exports.AkamaiManualStreamCdnConfig = AkamaiManualStreamCdnConfig.AkamaiManualStreamCdnConfig;
const AssetMetadataEntryDetails = __importStar(require("./asset-metadata-entry-details"));
exports.AssetMetadataEntryDetails = AssetMetadataEntryDetails.AssetMetadataEntryDetails;
const CreateMediaWorkflowJobByIdDetails = __importStar(require("./create-media-workflow-job-by-id-details"));
exports.CreateMediaWorkflowJobByIdDetails = CreateMediaWorkflowJobByIdDetails.CreateMediaWorkflowJobByIdDetails;
const CreateMediaWorkflowJobByNameDetails = __importStar(require("./create-media-workflow-job-by-name-details"));
exports.CreateMediaWorkflowJobByNameDetails = CreateMediaWorkflowJobByNameDetails.CreateMediaWorkflowJobByNameDetails;
const DashStreamPackagingConfig = __importStar(require("./dash-stream-packaging-config"));
exports.DashStreamPackagingConfig = DashStreamPackagingConfig.DashStreamPackagingConfig;
const EdgeStreamCdnConfig = __importStar(require("./edge-stream-cdn-config"));
exports.EdgeStreamCdnConfig = EdgeStreamCdnConfig.EdgeStreamCdnConfig;
const HlsStreamPackagingConfig = __importStar(require("./hls-stream-packaging-config"));
exports.HlsStreamPackagingConfig = HlsStreamPackagingConfig.HlsStreamPackagingConfig;
const StreamPackagingConfigEncryptionAes128 = __importStar(require("./stream-packaging-config-encryption-aes128"));
exports.StreamPackagingConfigEncryptionAes128 = StreamPackagingConfigEncryptionAes128.StreamPackagingConfigEncryptionAes128;
const StreamPackagingConfigEncryptionNone = __importStar(require("./stream-packaging-config-encryption-none"));
exports.StreamPackagingConfigEncryptionNone = StreamPackagingConfigEncryptionNone.StreamPackagingConfigEncryptionNone;
//# sourceMappingURL=index.js.map