/**
 * Media Services API
 * Media Services (includes Media Flow and Media Streams) is a fully managed service for processing media (video) source content. Use Media Flow and Media Streams to transcode and package digital video using configurable workflows and stream video outputs.

Use the Media Services API to configure media workflows and run Media Flow jobs, create distribution channels, ingest assets, create Preview URLs and play assets. For more information, see [Media Flow](/iaas/Content/dms-mediaflow/home.htm) and [Media Streams](/iaas/Content/dms-mediastream/home.htm).

 * OpenAPI spec version: 20211101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Attachment between MediaAsset and streaming DistributionChannel.
 */
export interface MediaAssetDistributionChannelAttachment {
    /**
     * OCID of associated Distribution Channel.
     */
    "distributionChannelId": string;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable. Avoid entering confidential information.
     */
    "displayName"?: string;
    /**
     * Version of the attachment. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "version": number;
    /**
     * Lifecycle state of the attachment.
     */
    "lifecycleState": MediaAssetDistributionChannelAttachment.LifecycleState;
    /**
     * The identifier for the metadata.
     */
    "metadataRef": string;
    /**
     * The ingest MediaWorkflowJob ID that created this attachment.
     */
    "mediaWorkflowJobId"?: string;
    /**
     * Locks associated with this resource.
     */
    "locks"?: Array<model.ResourceLock>;
}
export declare namespace MediaAssetDistributionChannelAttachment {
    enum LifecycleState {
        Creating = "CREATING",
        Active = "ACTIVE",
        NeedsAttention = "NEEDS_ATTENTION",
        Updating = "UPDATING",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MediaAssetDistributionChannelAttachment): object;
    function getDeserializedJsonObj(obj: MediaAssetDistributionChannelAttachment): object;
}
