/**
 *
 *
 * OpenAPI spec version: 20211101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/mediaservices/ListMediaWorkflowJobs.ts.html |here} to see how to use ListMediaWorkflowJobsRequest.
 */
export interface ListMediaWorkflowJobsRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId"?: string;
    /**
     * unique MediaWorkflowJob identifier
     */
    "id"?: string;
    /**
     * Unique MediaWorkflow identifier.
     */
    "mediaWorkflowId"?: string;
    /**
     * A filter to return only the resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * A filter to return only the resources with lifecycleState matching the given lifecycleState.
     */
    "lifecycleState"?: string;
    /**
     * A token representing the position at which to start retrieving results. This must come from the
     * {@code opc-next-page} header field of a previous response.
     *
     */
    "page"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The parameter sort by.
     */
    "sortBy"?: model.MediaWorkflowJobSortBy;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
