/**
 * Monitoring API
 * Use the Monitoring API to manage metric queries and alarms for assessing the health, capacity, and performance of your cloud resources.
Endpoints vary by operation. For PostMetricData, use the `telemetry-ingestion` endpoints; for all other operations, use the `telemetry` endpoints.
For more information, see
[the Monitoring documentation](/iaas/Content/Monitoring/home.htm).

 * OpenAPI spec version: 20180401
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The list of current alarm state entries for each metric stream that matches the filters.
 *
 */
export interface AlarmDimensionStatesCollection {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the alarm to retrieve alarm state entries for.
     *
     */
    "alarmId": string;
    /**
      * Whether the alarm is enabled.
  * <p>
  Example: {@code true}
  *
      */
    "isEnabled": boolean;
    /**
     * When set to {@code true}, splits alarm notifications per metric stream.
     * When set to {@code false}, groups alarm notifications across metric streams.
     *
     */
    "isNotificationsPerMetricDimensionEnabled": boolean;
    /**
     * Array of alarm state entries.
     *
     */
    "items": Array<model.AlarmDimensionStatesEntry>;
}
export declare namespace AlarmDimensionStatesCollection {
    function getJsonObj(obj: AlarmDimensionStatesCollection): object;
    function getDeserializedJsonObj(obj: AlarmDimensionStatesCollection): object;
}
