/**
 * Monitoring API
 * Use the Monitoring API to manage metric queries and alarms for assessing the health, capacity, and performance of your cloud resources.
Endpoints vary by operation. For PostMetricData, use the `telemetry-ingestion` endpoints; for all other operations, use the `telemetry` endpoints.
For more information, see
[the Monitoring documentation](/iaas/Content/Monitoring/home.htm).

 * OpenAPI spec version: 20180401
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The alarm target of the alarm suppression.
 */
export interface AlarmSuppressionAlarmTarget extends model.AlarmSuppressionTarget {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the alarm that is the target of the alarm suppression.
     */
    "alarmId": string;
    "targetType": string;
}
export declare namespace AlarmSuppressionAlarmTarget {
    function getJsonObj(obj: AlarmSuppressionAlarmTarget, isParentJsonObj?: boolean): object;
    const targetType = "ALARM";
    function getDeserializedJsonObj(obj: AlarmSuppressionAlarmTarget, isParentJsonObj?: boolean): object;
}
