/**
 * Monitoring API
 * Use the Monitoring API to manage metric queries and alarms for assessing the health, capacity, and performance of your cloud resources.
Endpoints vary by operation. For PostMetricData, use the `telemetry-ingestion` endpoints; for all other operations, use the `telemetry` endpoints.
For more information, see
[the Monitoring documentation](/iaas/Content/Monitoring/home.htm).

 * OpenAPI spec version: 20180401
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The record of a single metric object that failed input validation and the reason for the failure.
 *
 */
export interface FailedMetricRecord {
    /**
     * An error message indicating the reason that the indicated metric object failed input validation.
     *
     */
    "message": string;
    /**
     * Identifier of a metric object that failed input validation.
     *
     */
    "metricData": model.MetricDataDetails;
}
export declare namespace FailedMetricRecord {
    function getJsonObj(obj: FailedMetricRecord): object;
    function getDeserializedJsonObj(obj: FailedMetricRecord): object;
}
