/**
 * Monitoring API
 * Use the Monitoring API to manage metric queries and alarms for assessing the health, capacity, and performance of your cloud resources.
Endpoints vary by operation. For PostMetricData, use the `telemetry-ingestion` endpoints; for all other operations, use the `telemetry` endpoints.
For more information, see
[the Monitoring documentation](/iaas/Content/Monitoring/home.htm).

 * OpenAPI spec version: 20180401
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The configuration details for returning history of suppressions for the specified alarm.
 *
 */
export interface SummarizeAlarmSuppressionHistoryDetails {
    /**
      * A filter to suppress only alarm state entries that include the set of specified dimension key-value pairs.
  * If you specify {\"availabilityDomain\": \"phx-ad-1\"}
  * and the alarm state entry corresponds to the set {\"availabilityDomain\": \"phx-ad-1\" and \"resourceId\": \"ocid1.instance.region1.phx.exampleuniqueID\"},
  * then this alarm will be included for suppression.
  * <p>
  Example: {@code {\"resourceId\": \"ocid1.instance.region1.phx.exampleuniqueID\"}}
  *
      */
    "dimensions"?: {
        [key: string]: string;
    };
    /**
      * A filter to return only entries with \"timeSuppressFrom\" time occurring on or after the specified time.
  * <p>
  The value cannot be a future time.
  * Format defined by RFC3339.
  * <p>
  Example: {@code 2023-02-01T01:02:29.600Z}
  *
      */
    "timeSuppressFromGreaterThanOrEqualTo"?: Date;
    /**
      * A filter to return only entries with \"timeSuppressFrom\" time occurring before the specified time.
  * <p>
  The value cannot be a future time.
  * Format defined by RFC3339.
  * <p>
  Example: {@code 2023-02-01T01:02:29.600Z}
  *
      */
    "timeSuppressFromLessThan"?: Date;
}
export declare namespace SummarizeAlarmSuppressionHistoryDetails {
    function getJsonObj(obj: SummarizeAlarmSuppressionHistoryDetails): object;
    function getDeserializedJsonObj(obj: SummarizeAlarmSuppressionHistoryDetails): object;
}
