/**
 *
 *
 * OpenAPI spec version: 20180401
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/monitoring/ListAlarms.ts.html |here} to see how to use ListAlarmsRequest.
 */
export interface ListAlarmsRequest extends common.BaseRequest {
    /**
   * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment containing the
  * resources monitored by the metric that you are searching for. Use tenancyId to search in
  * the root compartment.
  * <p>
  Example: {@code ocid1.compartment.oc1..exampleuniqueID}
  *
   */
    "compartmentId": string;
    /**
     * Customer part of the request identifier token. If you need to contact Oracle about a particular
     * request, please provide the complete request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from the previous \"List\" call.
     * For important details about how pagination works, see
     * [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
   * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call.
  * For important details about how pagination works, see
  * [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Default: 1000
  * <p>
  Example: 500
  *
   */
    "limit"?: number;
    /**
     * A filter to return only resources that match the given display name exactly.
     * Use this filter to list an alarm by name. Alternatively, when you know the alarm OCID, use the GetAlarm operation.
     *
     */
    "displayName"?: string;
    /**
     * A filter to return only alarms that match the given lifecycle state exactly. When not specified, only alarms in the ACTIVE lifecycle state are listed.
     *
     */
    "lifecycleState"?: string;
    /**
   * The field to use when sorting returned alarm definitions. Only one sorting level is provided.
  * <p>
  Example: {@code severity}
  *
   */
    "sortBy"?: ListAlarmsRequest.SortBy;
    /**
   * The sort order to use when sorting returned alarm definitions. Ascending (ASC) or descending (DESC).
  * <p>
  Example: {@code ASC}
  *
   */
    "sortOrder"?: ListAlarmsRequest.SortOrder;
    /**
     * When true, returns resources from all compartments and subcompartments. The parameter can
     * only be set to true when compartmentId is the tenancy OCID (the tenancy is the root compartment).
     * A true value requires the user to have tenancy-level permissions. If this requirement is not met,
     * then the call is rejected. When false, returns resources from only the compartment specified in
     * compartmentId. Default is false.
     *
     */
    "compartmentIdInSubtree"?: boolean;
}
export declare namespace ListAlarmsRequest {
    enum SortBy {
        DisplayName = "displayName",
        Severity = "severity"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
