/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details required to copy a DB system backup from its source region to a destination region.
 */
export interface CopyBackupDetails {
    /**
     * The OCID of the compartment the DB system backup is to be copied to.
     * <p>
     **Note:** The compartment must be the same as the compartment of the DB system backup in the source region.
     *
     */
    "compartmentId": string;
    /**
     * A user-supplied description for the DB system backup.
     * By default, the source backup description will be used.
     *
     */
    "description"?: string;
    /**
     * A user-supplied display name for the DB system backup.
     * By default, the source backup display name will be used.
     *
     */
    "displayName"?: string;
    /**
     * The OCID of DB system backup to be copied.
     *
     */
    "sourceBackupId": string;
    /**
     * The region identifier of the source region where the DB system backup exists.
     * For more information, please see [Regions and Availability Domains](https://docs.oracle.com/en-us/iaas/Content/General/Concepts/regions.htm).
     *
     */
    "sourceRegion": string;
}
export declare namespace CopyBackupDetails {
    function getJsonObj(obj: CopyBackupDetails): object;
    function getDeserializedJsonObj(obj: CopyBackupDetails): object;
}
