/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Estimated memory footprint for a MySQL user table
 * when loaded to the HeatWave cluster memory.
 *
 */
export interface HeatWaveClusterTableMemoryEstimate {
    /**
     * The table name.
     */
    "tableName": string;
    /**
     * The number of columns to be loaded to HeatWave cluster memory.
     * These columns contribute to the analytical memory footprint.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "toLoadColumnCount": number;
    /**
     * The number of variable-length columns to be loaded to HeatWave cluster memory.
     * These columns contribute to the analytical memory footprint.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "varlenColumnCount": number;
    /**
     * The estimated number of rows in the table. This number was used to
     * derive the analytical memory footprint.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "estimatedRowCount": number;
    /**
     * The estimated memory footprint of the table in MBs when loaded to
     * HeatWave cluster memory (null if the table cannot be loaded to the
     * HeatWave cluster).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "analyticalFootprintInMbs": number;
    /**
     * Error comment (empty string if no errors occured).
     *
     */
    "errorComment": string;
}
export declare namespace HeatWaveClusterTableMemoryEstimate {
    function getJsonObj(obj: HeatWaveClusterTableMemoryEstimate): object;
    function getDeserializedJsonObj(obj: HeatWaveClusterTableMemoryEstimate): object;
}
