/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Point-in-time Recovery details like earliest and latest recovery time point for the DB System.
 *
 */
export interface PointInTimeRecoveryDetails {
    /**
     * Earliest recovery time point for the DB System, as described by [RFC 3339](https://tools.ietf.org/rfc/rfc3339).
     *
     */
    "timeEarliestRecoveryPoint": Date;
    /**
     * Latest recovery time point for the DB System, as described by [RFC 3339](https://tools.ietf.org/rfc/rfc3339).
     *
     */
    "timeLatestRecoveryPoint": Date;
}
export declare namespace PointInTimeRecoveryDetails {
    function getJsonObj(obj: PointInTimeRecoveryDetails): object;
    function getDeserializedJsonObj(obj: PointInTimeRecoveryDetails): object;
}
