/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * By default a read replica inherits the MySQL version, shape, and configuration of the source DB system.
 * If you want to override any of these, provide values in the properties, mysqlVersion, shapeName,
 * and configurationId. If you set a property value to \"\", then the value is inherited from its
 * source DB system.
 *
 */
export interface ReplicaOverrides {
    /**
     * The MySQL version to be used by the read replica.
     */
    "mysqlVersion"?: string;
    /**
     * The shape to be used by the read replica. The shape determines the resources allocated:
     * CPU cores and memory for VM shapes, CPU cores, memory and storage for non-VM (bare metal) shapes.
     * To get a list of shapes, use the {@link #listShapes(ListShapesRequest) listShapes} operation.
     *
     */
    "shapeName"?: string;
    /**
     * The OCID of the Configuration to be used by the read replica.
     */
    "configurationId"?: string;
}
export declare namespace ReplicaOverrides {
    function getJsonObj(obj: ReplicaOverrides): object;
    function getDeserializedJsonObj(obj: ReplicaOverrides): object;
}
