/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Secure connection configuration details.
 *
 */
export interface SecureConnectionDetails {
    /**
     * The OCID of the certificate to use.
     */
    "certificateId"?: string;
    /**
     * Select whether to use MySQL Database Service-managed certificate (SYSTEM) or your own certificate (BYOC).
     *
     */
    "certificateGenerationType": model.CertificateGenerationType;
}
export declare namespace SecureConnectionDetails {
    function getJsonObj(obj: SecureConnectionDetails): object;
    function getDeserializedJsonObj(obj: SecureConnectionDetails): object;
}
