/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details about the HeatWave cluster properties to be updated.
 *
 */
export interface UpdateHeatWaveClusterDetails {
    /**
     * A change to the shape of the nodes in the HeatWave cluster will
     * result in the entire cluster being torn down and re-created with
     * Compute instances of the new Shape. This may result in significant
     * downtime for the analytics capability while the HeatWave cluster is
     * re-provisioned.
     *
     */
    "shapeName"?: string;
    /**
     * A change to the number of nodes in the HeatWave cluster will result
     * in the entire cluster being torn down and re-created with the new
     * cluster of nodes. This may result in a significant downtime for the
     * analytics capability while the HeatWave cluster is
     * re-provisioned.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "clusterSize"?: number;
    /**
     * Enable/disable Lakehouse for the HeatWave cluster.
     */
    "isLakehouseEnabled"?: boolean;
}
export declare namespace UpdateHeatWaveClusterDetails {
    function getJsonObj(obj: UpdateHeatWaveClusterDetails): object;
    function getDeserializedJsonObj(obj: UpdateHeatWaveClusterDetails): object;
}
