/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Address List Summary in the network firewall policy
 */
export interface AddressListSummary {
    /**
     * Name of Address List
     */
    "name": string;
    /**
     * Type of address List. The accepted values are - * FQDN * IP
     */
    "type": model.AddressListType;
    /**
     * Count of total Addresses in the AddressList Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalAddresses": number;
    /**
     * OCID of the Network Firewall Policy this address list belongs to.
     */
    "parentResourceId": string;
}
export declare namespace AddressListSummary {
    function getJsonObj(obj: AddressListSummary): object;
    function getDeserializedJsonObj(obj: AddressListSummary): object;
}
