/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * List of addresses with a reference name.
 * The value of an entry is a list of IP addresses or prefixes in CIDR notation or FQDNs.
 * The associated key is the identifier by which the IP address list is referenced.
 *
 */
export interface AddressList {
    /**
     * Unique name to identify the group of addresses to be used in the policy rules.
     */
    "name": string;
    /**
     * Type of address List. The accepted values are - * FQDN * IP
     */
    "type": model.AddressListType;
    /**
     * List of addresses.
     */
    "addresses": Array<string>;
    /**
     * Count of total Addresses in the AddressList Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalAddresses": number;
    /**
     * OCID of the Network Firewall Policy this Address List belongs to.
     */
    "parentResourceId": string;
}
export declare namespace AddressList {
    function getJsonObj(obj: AddressList): object;
    function getDeserializedJsonObj(obj: AddressList): object;
}
