/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Request for creating the Mapped Secret
 *
 */
export interface CreateMappedSecretDetails {
    /**
     * Unique name to identify the group of urls to be used in the policy rules.
     */
    "name": string;
    /**
     * Type of the secrets mapped based on the policy.
     * <p>
     * {@code SSL_INBOUND_INSPECTION}: For Inbound inspection of SSL traffic.
     * * {@code SSL_FORWARD_PROXY}: For forward proxy certificates for SSL inspection.
     *
     */
    "type": model.InspectionType;
    "source": string;
}
export declare namespace CreateMappedSecretDetails {
    function getJsonObj(obj: CreateMappedSecretDetails): object;
    function getDeserializedJsonObj(obj: CreateMappedSecretDetails): object;
}
