/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as AddressList from "./address-list";
export import AddressList = AddressList.AddressList;
import * as AddressListSummary from "./address-list-summary";
export import AddressListSummary = AddressListSummary.AddressListSummary;
import * as AddressListSummaryCollection from "./address-list-summary-collection";
export import AddressListSummaryCollection = AddressListSummaryCollection.AddressListSummaryCollection;
import * as AddressListType from "./address-list-type";
export import AddressListType = AddressListType.AddressListType;
import * as AppType from "./app-type";
export import AppType = AppType.AppType;
import * as Application from "./application";
export import Application = Application.Application;
import * as ApplicationGroup from "./application-group";
export import ApplicationGroup = ApplicationGroup.ApplicationGroup;
import * as ApplicationGroupSummary from "./application-group-summary";
export import ApplicationGroupSummary = ApplicationGroupSummary.ApplicationGroupSummary;
import * as ApplicationGroupSummaryCollection from "./application-group-summary-collection";
export import ApplicationGroupSummaryCollection = ApplicationGroupSummaryCollection.ApplicationGroupSummaryCollection;
import * as ApplicationSummary from "./application-summary";
export import ApplicationSummary = ApplicationSummary.ApplicationSummary;
import * as ApplicationSummaryCollection from "./application-summary-collection";
export import ApplicationSummaryCollection = ApplicationSummaryCollection.ApplicationSummaryCollection;
import * as ApplyNetworkFirewallPolicyDetails from "./apply-network-firewall-policy-details";
export import ApplyNetworkFirewallPolicyDetails = ApplyNetworkFirewallPolicyDetails.ApplyNetworkFirewallPolicyDetails;
import * as ChangeNetworkFirewallCompartmentDetails from "./change-network-firewall-compartment-details";
export import ChangeNetworkFirewallCompartmentDetails = ChangeNetworkFirewallCompartmentDetails.ChangeNetworkFirewallCompartmentDetails;
import * as ChangeNetworkFirewallPolicyCompartmentDetails from "./change-network-firewall-policy-compartment-details";
export import ChangeNetworkFirewallPolicyCompartmentDetails = ChangeNetworkFirewallPolicyCompartmentDetails.ChangeNetworkFirewallPolicyCompartmentDetails;
import * as CloneNetworkFirewallPolicyDetails from "./clone-network-firewall-policy-details";
export import CloneNetworkFirewallPolicyDetails = CloneNetworkFirewallPolicyDetails.CloneNetworkFirewallPolicyDetails;
import * as CreateAddressListDetails from "./create-address-list-details";
export import CreateAddressListDetails = CreateAddressListDetails.CreateAddressListDetails;
import * as CreateApplicationDetails from "./create-application-details";
export import CreateApplicationDetails = CreateApplicationDetails.CreateApplicationDetails;
import * as CreateApplicationGroupDetails from "./create-application-group-details";
export import CreateApplicationGroupDetails = CreateApplicationGroupDetails.CreateApplicationGroupDetails;
import * as CreateDecryptionProfileDetails from "./create-decryption-profile-details";
export import CreateDecryptionProfileDetails = CreateDecryptionProfileDetails.CreateDecryptionProfileDetails;
import * as CreateDecryptionRuleDetails from "./create-decryption-rule-details";
export import CreateDecryptionRuleDetails = CreateDecryptionRuleDetails.CreateDecryptionRuleDetails;
import * as CreateMappedSecretDetails from "./create-mapped-secret-details";
export import CreateMappedSecretDetails = CreateMappedSecretDetails.CreateMappedSecretDetails;
import * as CreateNetworkFirewallDetails from "./create-network-firewall-details";
export import CreateNetworkFirewallDetails = CreateNetworkFirewallDetails.CreateNetworkFirewallDetails;
import * as CreateNetworkFirewallPolicyDetails from "./create-network-firewall-policy-details";
export import CreateNetworkFirewallPolicyDetails = CreateNetworkFirewallPolicyDetails.CreateNetworkFirewallPolicyDetails;
import * as CreateSecurityRuleDetails from "./create-security-rule-details";
export import CreateSecurityRuleDetails = CreateSecurityRuleDetails.CreateSecurityRuleDetails;
import * as CreateServiceDetails from "./create-service-details";
export import CreateServiceDetails = CreateServiceDetails.CreateServiceDetails;
import * as CreateServiceListDetails from "./create-service-list-details";
export import CreateServiceListDetails = CreateServiceListDetails.CreateServiceListDetails;
import * as CreateUrlListDetails from "./create-url-list-details";
export import CreateUrlListDetails = CreateUrlListDetails.CreateUrlListDetails;
import * as DecryptionActionType from "./decryption-action-type";
export import DecryptionActionType = DecryptionActionType.DecryptionActionType;
import * as DecryptionProfile from "./decryption-profile";
export import DecryptionProfile = DecryptionProfile.DecryptionProfile;
import * as DecryptionProfileSummary from "./decryption-profile-summary";
export import DecryptionProfileSummary = DecryptionProfileSummary.DecryptionProfileSummary;
import * as DecryptionProfileSummaryCollection from "./decryption-profile-summary-collection";
export import DecryptionProfileSummaryCollection = DecryptionProfileSummaryCollection.DecryptionProfileSummaryCollection;
import * as DecryptionRule from "./decryption-rule";
export import DecryptionRule = DecryptionRule.DecryptionRule;
import * as DecryptionRuleMatchCriteria from "./decryption-rule-match-criteria";
export import DecryptionRuleMatchCriteria = DecryptionRuleMatchCriteria.DecryptionRuleMatchCriteria;
import * as DecryptionRuleSummary from "./decryption-rule-summary";
export import DecryptionRuleSummary = DecryptionRuleSummary.DecryptionRuleSummary;
import * as DecryptionRuleSummaryCollection from "./decryption-rule-summary-collection";
export import DecryptionRuleSummaryCollection = DecryptionRuleSummaryCollection.DecryptionRuleSummaryCollection;
import * as InspectionType from "./inspection-type";
export import InspectionType = InspectionType.InspectionType;
import * as LifecycleState from "./lifecycle-state";
export import LifecycleState = LifecycleState.LifecycleState;
import * as MappedSecret from "./mapped-secret";
export import MappedSecret = MappedSecret.MappedSecret;
import * as MappedSecretSummary from "./mapped-secret-summary";
export import MappedSecretSummary = MappedSecretSummary.MappedSecretSummary;
import * as MappedSecretSummaryCollection from "./mapped-secret-summary-collection";
export import MappedSecretSummaryCollection = MappedSecretSummaryCollection.MappedSecretSummaryCollection;
import * as MappedSecretType from "./mapped-secret-type";
export import MappedSecretType = MappedSecretType.MappedSecretType;
import * as NetworkFirewall from "./network-firewall";
export import NetworkFirewall = NetworkFirewall.NetworkFirewall;
import * as NetworkFirewallCollection from "./network-firewall-collection";
export import NetworkFirewallCollection = NetworkFirewallCollection.NetworkFirewallCollection;
import * as NetworkFirewallPolicy from "./network-firewall-policy";
export import NetworkFirewallPolicy = NetworkFirewallPolicy.NetworkFirewallPolicy;
import * as NetworkFirewallPolicySummary from "./network-firewall-policy-summary";
export import NetworkFirewallPolicySummary = NetworkFirewallPolicySummary.NetworkFirewallPolicySummary;
import * as NetworkFirewallPolicySummaryCollection from "./network-firewall-policy-summary-collection";
export import NetworkFirewallPolicySummaryCollection = NetworkFirewallPolicySummaryCollection.NetworkFirewallPolicySummaryCollection;
import * as NetworkFirewallSummary from "./network-firewall-summary";
export import NetworkFirewallSummary = NetworkFirewallSummary.NetworkFirewallSummary;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as PortRange from "./port-range";
export import PortRange = PortRange.PortRange;
import * as RulePosition from "./rule-position";
export import RulePosition = RulePosition.RulePosition;
import * as SecurityRule from "./security-rule";
export import SecurityRule = SecurityRule.SecurityRule;
import * as SecurityRuleMatchCriteria from "./security-rule-match-criteria";
export import SecurityRuleMatchCriteria = SecurityRuleMatchCriteria.SecurityRuleMatchCriteria;
import * as SecurityRuleSummary from "./security-rule-summary";
export import SecurityRuleSummary = SecurityRuleSummary.SecurityRuleSummary;
import * as SecurityRuleSummaryCollection from "./security-rule-summary-collection";
export import SecurityRuleSummaryCollection = SecurityRuleSummaryCollection.SecurityRuleSummaryCollection;
import * as Service from "./service";
export import Service = Service.Service;
import * as ServiceList from "./service-list";
export import ServiceList = ServiceList.ServiceList;
import * as ServiceListSummary from "./service-list-summary";
export import ServiceListSummary = ServiceListSummary.ServiceListSummary;
import * as ServiceListSummaryCollection from "./service-list-summary-collection";
export import ServiceListSummaryCollection = ServiceListSummaryCollection.ServiceListSummaryCollection;
import * as ServiceSummary from "./service-summary";
export import ServiceSummary = ServiceSummary.ServiceSummary;
import * as ServiceSummaryCollection from "./service-summary-collection";
export import ServiceSummaryCollection = ServiceSummaryCollection.ServiceSummaryCollection;
import * as ServiceType from "./service-type";
export import ServiceType = ServiceType.ServiceType;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as TrafficActionType from "./traffic-action-type";
export import TrafficActionType = TrafficActionType.TrafficActionType;
import * as TrafficInspectionType from "./traffic-inspection-type";
export import TrafficInspectionType = TrafficInspectionType.TrafficInspectionType;
import * as UpdateAddressListDetails from "./update-address-list-details";
export import UpdateAddressListDetails = UpdateAddressListDetails.UpdateAddressListDetails;
import * as UpdateApplicationDetails from "./update-application-details";
export import UpdateApplicationDetails = UpdateApplicationDetails.UpdateApplicationDetails;
import * as UpdateApplicationGroupDetails from "./update-application-group-details";
export import UpdateApplicationGroupDetails = UpdateApplicationGroupDetails.UpdateApplicationGroupDetails;
import * as UpdateDecryptionProfileDetails from "./update-decryption-profile-details";
export import UpdateDecryptionProfileDetails = UpdateDecryptionProfileDetails.UpdateDecryptionProfileDetails;
import * as UpdateDecryptionRuleDetails from "./update-decryption-rule-details";
export import UpdateDecryptionRuleDetails = UpdateDecryptionRuleDetails.UpdateDecryptionRuleDetails;
import * as UpdateMappedSecretDetails from "./update-mapped-secret-details";
export import UpdateMappedSecretDetails = UpdateMappedSecretDetails.UpdateMappedSecretDetails;
import * as UpdateNetworkFirewallDetails from "./update-network-firewall-details";
export import UpdateNetworkFirewallDetails = UpdateNetworkFirewallDetails.UpdateNetworkFirewallDetails;
import * as UpdateNetworkFirewallPolicyDetails from "./update-network-firewall-policy-details";
export import UpdateNetworkFirewallPolicyDetails = UpdateNetworkFirewallPolicyDetails.UpdateNetworkFirewallPolicyDetails;
import * as UpdateSecurityRuleDetails from "./update-security-rule-details";
export import UpdateSecurityRuleDetails = UpdateSecurityRuleDetails.UpdateSecurityRuleDetails;
import * as UpdateServiceDetails from "./update-service-details";
export import UpdateServiceDetails = UpdateServiceDetails.UpdateServiceDetails;
import * as UpdateServiceListDetails from "./update-service-list-details";
export import UpdateServiceListDetails = UpdateServiceListDetails.UpdateServiceListDetails;
import * as UpdateUrlListDetails from "./update-url-list-details";
export import UpdateUrlListDetails = UpdateUrlListDetails.UpdateUrlListDetails;
import * as UrlList from "./url-list";
export import UrlList = UrlList.UrlList;
import * as UrlListSummary from "./url-list-summary";
export import UrlListSummary = UrlListSummary.UrlListSummary;
import * as UrlListSummaryCollection from "./url-list-summary-collection";
export import UrlListSummaryCollection = UrlListSummaryCollection.UrlListSummaryCollection;
import * as UrlPattern from "./url-pattern";
export import UrlPattern = UrlPattern.UrlPattern;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestResourceMetadataKey from "./work-request-resource-metadata-key";
export import WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as WorkRequestSummaryCollection from "./work-request-summary-collection";
export import WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
import * as CreateIcmp6ApplicationDetails from "./create-icmp6-application-details";
export import CreateIcmp6ApplicationDetails = CreateIcmp6ApplicationDetails.CreateIcmp6ApplicationDetails;
import * as CreateIcmpApplicationDetails from "./create-icmp-application-details";
export import CreateIcmpApplicationDetails = CreateIcmpApplicationDetails.CreateIcmpApplicationDetails;
import * as CreateSslForwardProxyProfileDetails from "./create-ssl-forward-proxy-profile-details";
export import CreateSslForwardProxyProfileDetails = CreateSslForwardProxyProfileDetails.CreateSslForwardProxyProfileDetails;
import * as CreateSslInboundInspectionProfileDetails from "./create-ssl-inbound-inspection-profile-details";
export import CreateSslInboundInspectionProfileDetails = CreateSslInboundInspectionProfileDetails.CreateSslInboundInspectionProfileDetails;
import * as CreateTcpServiceDetails from "./create-tcp-service-details";
export import CreateTcpServiceDetails = CreateTcpServiceDetails.CreateTcpServiceDetails;
import * as CreateUdpServiceDetails from "./create-udp-service-details";
export import CreateUdpServiceDetails = CreateUdpServiceDetails.CreateUdpServiceDetails;
import * as CreateVaultMappedSecretDetails from "./create-vault-mapped-secret-details";
export import CreateVaultMappedSecretDetails = CreateVaultMappedSecretDetails.CreateVaultMappedSecretDetails;
import * as Icmp6Application from "./icmp6-application";
export import Icmp6Application = Icmp6Application.Icmp6Application;
import * as Icmp6ApplicationSummary from "./icmp6-application-summary";
export import Icmp6ApplicationSummary = Icmp6ApplicationSummary.Icmp6ApplicationSummary;
import * as IcmpApplication from "./icmp-application";
export import IcmpApplication = IcmpApplication.IcmpApplication;
import * as IcmpApplicationSummary from "./icmp-application-summary";
export import IcmpApplicationSummary = IcmpApplicationSummary.IcmpApplicationSummary;
import * as SimpleUrlPattern from "./simple-url-pattern";
export import SimpleUrlPattern = SimpleUrlPattern.SimpleUrlPattern;
import * as SslForwardProxyProfile from "./ssl-forward-proxy-profile";
export import SslForwardProxyProfile = SslForwardProxyProfile.SslForwardProxyProfile;
import * as SslInboundInspectionProfile from "./ssl-inbound-inspection-profile";
export import SslInboundInspectionProfile = SslInboundInspectionProfile.SslInboundInspectionProfile;
import * as TcpService from "./tcp-service";
export import TcpService = TcpService.TcpService;
import * as UdpService from "./udp-service";
export import UdpService = UdpService.UdpService;
import * as UpdateFqdnAddressListDetails from "./update-fqdn-address-list-details";
export import UpdateFqdnAddressListDetails = UpdateFqdnAddressListDetails.UpdateFqdnAddressListDetails;
import * as UpdateIcmp6ApplicationDetails from "./update-icmp6-application-details";
export import UpdateIcmp6ApplicationDetails = UpdateIcmp6ApplicationDetails.UpdateIcmp6ApplicationDetails;
import * as UpdateIcmpApplicationDetails from "./update-icmp-application-details";
export import UpdateIcmpApplicationDetails = UpdateIcmpApplicationDetails.UpdateIcmpApplicationDetails;
import * as UpdateIpAddressListDetails from "./update-ip-address-list-details";
export import UpdateIpAddressListDetails = UpdateIpAddressListDetails.UpdateIpAddressListDetails;
import * as UpdateSslForwardProxyProfileDetails from "./update-ssl-forward-proxy-profile-details";
export import UpdateSslForwardProxyProfileDetails = UpdateSslForwardProxyProfileDetails.UpdateSslForwardProxyProfileDetails;
import * as UpdateSslInboundInspectionProfileDetails from "./update-ssl-inbound-inspection-profile-details";
export import UpdateSslInboundInspectionProfileDetails = UpdateSslInboundInspectionProfileDetails.UpdateSslInboundInspectionProfileDetails;
import * as UpdateTcpServiceDetails from "./update-tcp-service-details";
export import UpdateTcpServiceDetails = UpdateTcpServiceDetails.UpdateTcpServiceDetails;
import * as UpdateUdpServiceDetails from "./update-udp-service-details";
export import UpdateUdpServiceDetails = UpdateUdpServiceDetails.UpdateUdpServiceDetails;
import * as UpdateVaultMappedSecretDetails from "./update-vault-mapped-secret-details";
export import UpdateVaultMappedSecretDetails = UpdateVaultMappedSecretDetails.UpdateVaultMappedSecretDetails;
import * as VaultMappedSecret from "./vault-mapped-secret";
export import VaultMappedSecret = VaultMappedSecret.VaultMappedSecret;
