/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Mapped secret used on the firewall policy rules.
 */
export interface MappedSecretSummary {
    /**
     * Name of the secret.
     */
    "name": string;
    /**
     * Source of the secrets, where the secrets are stored.
     */
    "source": string;
    /**
     * Type of the secrets mapped based on the policy.
     * <p>
     * {@code SSL_INBOUND_INSPECTION}: For Inbound inspection of SSL traffic.
     *   * {@code SSL_FORWARD_PROXY}: For forward proxy certificates for SSL inspection.
     *
     */
    "type": model.InspectionType;
    /**
     * OCID of the Network Firewall Policy this mapped secret belongs to.
     */
    "parentResourceId": string;
}
export declare namespace MappedSecretSummary {
    function getJsonObj(obj: MappedSecretSummary): object;
    function getDeserializedJsonObj(obj: MappedSecretSummary): object;
}
