/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A Port Range which can be used for the running service. It uses port information.
 *
 */
export interface PortRange {
    /**
     * The minimum port in the range (inclusive), or the sole port of a single-port range. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minimumPort": number;
    /**
     * The maximum port in the range (inclusive), which may be absent for a single-port range. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maximumPort"?: number;
}
export declare namespace PortRange {
    function getJsonObj(obj: PortRange): object;
    function getDeserializedJsonObj(obj: PortRange): object;
}
