/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Request for updating ICMP Application used on the firewall policy rules.
 *
 */
export interface UpdateIcmpApplicationDetails extends model.UpdateApplicationDetails {
    /**
     * The value of the ICMP message Type field as defined by [RFC 792](https://www.rfc-editor.org/rfc/rfc792.html). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "icmpType": number;
    /**
     * The value of the ICMP message Code (subtype) field as defined by [RFC 792](https://www.rfc-editor.org/rfc/rfc792.html). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "icmpCode"?: number;
    "type": string;
}
export declare namespace UpdateIcmpApplicationDetails {
    function getJsonObj(obj: UpdateIcmpApplicationDetails, isParentJsonObj?: boolean): object;
    const type = "ICMP";
    function getDeserializedJsonObj(obj: UpdateIcmpApplicationDetails, isParentJsonObj?: boolean): object;
}
