/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Request for updating ICMP6 Application used on the firewall policy rules.
 *
 */
export interface UpdateIcmp6ApplicationDetails extends model.UpdateApplicationDetails {
    /**
     * The value of the ICMP6 message Type field as defined by [RFC 4443](https://www.rfc-editor.org/rfc/rfc4443.html#section-2.1). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "icmpType": number;
    /**
     * The value of the ICMP6 message Code (subtype) field as defined by [RFC 4443](https://www.rfc-editor.org/rfc/rfc4443.html#section-2.1). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "icmpCode"?: number;
    "type": string;
}
export declare namespace UpdateIcmp6ApplicationDetails {
    function getJsonObj(obj: UpdateIcmp6ApplicationDetails, isParentJsonObj?: boolean): object;
    const type = "ICMP_V6";
    function getDeserializedJsonObj(obj: UpdateIcmp6ApplicationDetails, isParentJsonObj?: boolean): object;
}
