/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * URL pattern lists of the policy.
 * The value of an entry is a list of URL patterns.
 * The associated key/name is the identifier by which the URL pattern list is referenced.
 *
 */
export interface UrlList {
    /**
     * Unique name identifier for the URL list.
     */
    "name": string;
    /**
     * List of urls.
     */
    "urls": Array<model.UrlPattern>;
    /**
     * Total count of URLs in the URL List Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalUrls": number;
    /**
     * OCID of the Network Firewall Policy this URL List belongs to.
     */
    "parentResourceId": string;
}
export declare namespace UrlList {
    function getJsonObj(obj: UrlList): object;
    function getDeserializedJsonObj(obj: UrlList): object;
}
