/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Mapped secret stored in OCI vault used in the firewall policy rules.
 */
export interface VaultMappedSecret extends model.MappedSecret {
    /**
     * OCID for the Vault Secret to be used.
     */
    "vaultSecretId": string;
    /**
     * Version number of the secret to be used. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "versionNumber": number;
    "source": string;
}
export declare namespace VaultMappedSecret {
    function getJsonObj(obj: VaultMappedSecret, isParentJsonObj?: boolean): object;
    const source = "OCI_VAULT";
    function getDeserializedJsonObj(obj: VaultMappedSecret, isParentJsonObj?: boolean): object;
}
