/**
 * Network Firewall API
 * Use the Network Firewall API to create network firewalls and configure policies that regulates network traffic in and across VCNs.
 * OpenAPI spec version: 20230501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { NetworkFirewallClient } from "./client";
export declare class NetworkFirewallWaiter {
    private client;
    private readonly config?;
    constructor(client: NetworkFirewallClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forNetworkFirewall till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetNetworkFirewallResponse | null (null in case of 404 response)
     */
    forNetworkFirewall(request: serviceRequests.GetNetworkFirewallRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetNetworkFirewallResponse | null>;
    /**
     * Waits forNetworkFirewallPolicy till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetNetworkFirewallPolicyResponse | null (null in case of 404 response)
     */
    forNetworkFirewallPolicy(request: serviceRequests.GetNetworkFirewallPolicyRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetNetworkFirewallPolicyResponse | null>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
