/**
 * NetworkLoadBalancer API
 * This describes the network load balancer API.
 * OpenAPI spec version: 20200501
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An object representing an updated list of network security groups that overwrites the existing list of network security groups.
 * *  If the network load balancer has no configured network security groups, then the network load balancer uses the network security groups in this list.
 * *  If the network load balancer has a list of configured network security groups, then this list replaces the existing list.
 * *  If the network load balancer has a list of configured network security groups and this list is empty, then the operation removes all of the network security groups associated with the network load balancer.
 */
export interface UpdateNetworkSecurityGroupsDetails {
    /**
      * An array of network security group [OCIDs](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) associated with the network load
  * balancer.
  * <p>
  During the creation of the network load balancer, the service adds the new network load balancer to the specified network security groups.
  * <p>
  The benefits of associating the network load balancer with network security groups include:
  * <p>
  *  Network security groups define network security rules to govern ingress and egress traffic for the network load balancer.
  * <p>
  *  The network security rules of other resources can reference the network security groups associated with the network load balancer
  *    to ensure access.
  *
      */
    "networkSecurityGroupIds"?: Array<string>;
}
export declare namespace UpdateNetworkSecurityGroupsDetails {
    function getJsonObj(obj: UpdateNetworkSecurityGroupsDetails): object;
    function getDeserializedJsonObj(obj: UpdateNetworkSecurityGroupsDetails): object;
}
