/**
 * NoSQL Database API
 * The control plane API for NoSQL Database Cloud Service HTTPS
provides endpoints to perform NDCS operations, including creation
and deletion of tables and indexes; population and access of data
in tables; and access of table usage metrics.

 * OpenAPI spec version: 20190828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information about a MR table replica
 */
export interface Replica {
    /**
     * A customer-facing region identifier
     */
    "region"?: string;
    /**
     * The OCID of the replica table
     */
    "tableId"?: string;
    /**
     * Maximum sustained write throughput limit of the replica table.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxWriteUnits"?: number;
    /**
     * The capacity mode of the replica.
     *
     */
    "capacityMode"?: Replica.CapacityMode;
    /**
     * The state of the replica.
     */
    "lifecycleState"?: Replica.LifecycleState;
    /**
     * A message describing the current state in more detail.
     *
     */
    "lifecycleDetails"?: string;
}
export declare namespace Replica {
    enum CapacityMode {
        Provisioned = "PROVISIONED",
        OnDemand = "ON_DEMAND",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum LifecycleState {
        Creating = "CREATING",
        Updating = "UPDATING",
        Active = "ACTIVE",
        Deleting = "DELETING",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Replica): object;
    function getDeserializedJsonObj(obj: Replica): object;
}
