/**
 * Object Storage Service API
 * Use Object Storage and Archive Storage APIs to manage buckets, objects, and related resources.
For more information, see [Overview of Object Storage](/Content/Object/Concepts/objectstorageoverview.htm) and
[Overview of Archive Storage](/Content/Archive/Concepts/archivestorageoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: opc_casper_users_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * To change the storage tier of an object, we specify the object name and the desired
 * storage tier in the body. Objects can be moved between Standard and InfrequentAccess
 * tiers and from Standard or InfrequentAccess tier to Archive tier. If a version id is
 * specified, only the specified version of the object is moved to a different storage
 * tier, else the current version is used.
 *
 */
export interface UpdateObjectStorageTierDetails {
    /**
     * An object for which the storage tier needs to be changed.
     */
    "objectName": string;
    /**
     * The storage tier that the object should be moved to.
     */
    "storageTier": model.StorageTier;
    /**
     * The versionId of the object. Current object version is used by default.
     *
     */
    "versionId"?: string;
}
export declare namespace UpdateObjectStorageTierDetails {
    function getJsonObj(obj: UpdateObjectStorageTierDetails): object;
    function getDeserializedJsonObj(obj: UpdateObjectStorageTierDetails): object;
}
