/**
 * Object Storage Service API
 * Use Object Storage and Archive Storage APIs to manage buckets, objects, and related resources.
For more information, see [Overview of Object Storage](/Content/Object/Concepts/objectstorageoverview.htm) and
[Overview of Archive Storage](/Content/Archive/Concepts/archivestorageoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: opc_casper_users_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface WorkRequestLogEntry {
    /**
     * Human-readable log message.
     */
    "message"?: string;
    /**
     * The date and time the log message was written, as described in
     * [RFC 3339](https://tools.ietf.org/html/rfc3339).
     *
     */
    "timestamp"?: Date;
}
export declare namespace WorkRequestLogEntry {
    function getJsonObj(obj: WorkRequestLogEntry): object;
    function getDeserializedJsonObj(obj: WorkRequestLogEntry): object;
}
