/**
 * Object Storage Service API
 * Use Object Storage and Archive Storage APIs to manage buckets, objects, and related resources.
For more information, see [Overview of Object Storage](/Content/Object/Concepts/objectstorageoverview.htm) and
[Overview of Archive Storage](/Content/Archive/Concepts/archivestorageoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: opc_casper_users_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AbortMultipartUploadRequest from "./abort-multipart-upload-request";
export import AbortMultipartUploadRequest = AbortMultipartUploadRequest.AbortMultipartUploadRequest;
import * as CancelWorkRequestRequest from "./cancel-work-request-request";
export import CancelWorkRequestRequest = CancelWorkRequestRequest.CancelWorkRequestRequest;
import * as CommitMultipartUploadRequest from "./commit-multipart-upload-request";
export import CommitMultipartUploadRequest = CommitMultipartUploadRequest.CommitMultipartUploadRequest;
import * as CopyObjectRequest from "./copy-object-request";
export import CopyObjectRequest = CopyObjectRequest.CopyObjectRequest;
import * as CreateBucketRequest from "./create-bucket-request";
export import CreateBucketRequest = CreateBucketRequest.CreateBucketRequest;
import * as CreateMultipartUploadRequest from "./create-multipart-upload-request";
export import CreateMultipartUploadRequest = CreateMultipartUploadRequest.CreateMultipartUploadRequest;
import * as CreatePreauthenticatedRequestRequest from "./create-preauthenticated-request-request";
export import CreatePreauthenticatedRequestRequest = CreatePreauthenticatedRequestRequest.CreatePreauthenticatedRequestRequest;
import * as CreateReplicationPolicyRequest from "./create-replication-policy-request";
export import CreateReplicationPolicyRequest = CreateReplicationPolicyRequest.CreateReplicationPolicyRequest;
import * as CreateRetentionRuleRequest from "./create-retention-rule-request";
export import CreateRetentionRuleRequest = CreateRetentionRuleRequest.CreateRetentionRuleRequest;
import * as DeleteBucketRequest from "./delete-bucket-request";
export import DeleteBucketRequest = DeleteBucketRequest.DeleteBucketRequest;
import * as DeleteObjectRequest from "./delete-object-request";
export import DeleteObjectRequest = DeleteObjectRequest.DeleteObjectRequest;
import * as DeleteObjectLifecyclePolicyRequest from "./delete-object-lifecycle-policy-request";
export import DeleteObjectLifecyclePolicyRequest = DeleteObjectLifecyclePolicyRequest.DeleteObjectLifecyclePolicyRequest;
import * as DeletePreauthenticatedRequestRequest from "./delete-preauthenticated-request-request";
export import DeletePreauthenticatedRequestRequest = DeletePreauthenticatedRequestRequest.DeletePreauthenticatedRequestRequest;
import * as DeleteReplicationPolicyRequest from "./delete-replication-policy-request";
export import DeleteReplicationPolicyRequest = DeleteReplicationPolicyRequest.DeleteReplicationPolicyRequest;
import * as DeleteRetentionRuleRequest from "./delete-retention-rule-request";
export import DeleteRetentionRuleRequest = DeleteRetentionRuleRequest.DeleteRetentionRuleRequest;
import * as GetBucketRequest from "./get-bucket-request";
export import GetBucketRequest = GetBucketRequest.GetBucketRequest;
import * as GetNamespaceRequest from "./get-namespace-request";
export import GetNamespaceRequest = GetNamespaceRequest.GetNamespaceRequest;
import * as GetNamespaceMetadataRequest from "./get-namespace-metadata-request";
export import GetNamespaceMetadataRequest = GetNamespaceMetadataRequest.GetNamespaceMetadataRequest;
import * as GetObjectRequest from "./get-object-request";
export import GetObjectRequest = GetObjectRequest.GetObjectRequest;
import * as GetObjectLifecyclePolicyRequest from "./get-object-lifecycle-policy-request";
export import GetObjectLifecyclePolicyRequest = GetObjectLifecyclePolicyRequest.GetObjectLifecyclePolicyRequest;
import * as GetPreauthenticatedRequestRequest from "./get-preauthenticated-request-request";
export import GetPreauthenticatedRequestRequest = GetPreauthenticatedRequestRequest.GetPreauthenticatedRequestRequest;
import * as GetReplicationPolicyRequest from "./get-replication-policy-request";
export import GetReplicationPolicyRequest = GetReplicationPolicyRequest.GetReplicationPolicyRequest;
import * as GetRetentionRuleRequest from "./get-retention-rule-request";
export import GetRetentionRuleRequest = GetRetentionRuleRequest.GetRetentionRuleRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as HeadBucketRequest from "./head-bucket-request";
export import HeadBucketRequest = HeadBucketRequest.HeadBucketRequest;
import * as HeadObjectRequest from "./head-object-request";
export import HeadObjectRequest = HeadObjectRequest.HeadObjectRequest;
import * as ListBucketsRequest from "./list-buckets-request";
export import ListBucketsRequest = ListBucketsRequest.ListBucketsRequest;
import * as ListMultipartUploadPartsRequest from "./list-multipart-upload-parts-request";
export import ListMultipartUploadPartsRequest = ListMultipartUploadPartsRequest.ListMultipartUploadPartsRequest;
import * as ListMultipartUploadsRequest from "./list-multipart-uploads-request";
export import ListMultipartUploadsRequest = ListMultipartUploadsRequest.ListMultipartUploadsRequest;
import * as ListObjectVersionsRequest from "./list-object-versions-request";
export import ListObjectVersionsRequest = ListObjectVersionsRequest.ListObjectVersionsRequest;
import * as ListObjectsRequest from "./list-objects-request";
export import ListObjectsRequest = ListObjectsRequest.ListObjectsRequest;
import * as ListPreauthenticatedRequestsRequest from "./list-preauthenticated-requests-request";
export import ListPreauthenticatedRequestsRequest = ListPreauthenticatedRequestsRequest.ListPreauthenticatedRequestsRequest;
import * as ListReplicationPoliciesRequest from "./list-replication-policies-request";
export import ListReplicationPoliciesRequest = ListReplicationPoliciesRequest.ListReplicationPoliciesRequest;
import * as ListReplicationSourcesRequest from "./list-replication-sources-request";
export import ListReplicationSourcesRequest = ListReplicationSourcesRequest.ListReplicationSourcesRequest;
import * as ListRetentionRulesRequest from "./list-retention-rules-request";
export import ListRetentionRulesRequest = ListRetentionRulesRequest.ListRetentionRulesRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as MakeBucketWritableRequest from "./make-bucket-writable-request";
export import MakeBucketWritableRequest = MakeBucketWritableRequest.MakeBucketWritableRequest;
import * as PutObjectRequest from "./put-object-request";
export import PutObjectRequest = PutObjectRequest.PutObjectRequest;
import * as PutObjectLifecyclePolicyRequest from "./put-object-lifecycle-policy-request";
export import PutObjectLifecyclePolicyRequest = PutObjectLifecyclePolicyRequest.PutObjectLifecyclePolicyRequest;
import * as ReencryptBucketRequest from "./reencrypt-bucket-request";
export import ReencryptBucketRequest = ReencryptBucketRequest.ReencryptBucketRequest;
import * as ReencryptObjectRequest from "./reencrypt-object-request";
export import ReencryptObjectRequest = ReencryptObjectRequest.ReencryptObjectRequest;
import * as RenameObjectRequest from "./rename-object-request";
export import RenameObjectRequest = RenameObjectRequest.RenameObjectRequest;
import * as RestoreObjectsRequest from "./restore-objects-request";
export import RestoreObjectsRequest = RestoreObjectsRequest.RestoreObjectsRequest;
import * as UpdateBucketRequest from "./update-bucket-request";
export import UpdateBucketRequest = UpdateBucketRequest.UpdateBucketRequest;
import * as UpdateNamespaceMetadataRequest from "./update-namespace-metadata-request";
export import UpdateNamespaceMetadataRequest = UpdateNamespaceMetadataRequest.UpdateNamespaceMetadataRequest;
import * as UpdateObjectStorageTierRequest from "./update-object-storage-tier-request";
export import UpdateObjectStorageTierRequest = UpdateObjectStorageTierRequest.UpdateObjectStorageTierRequest;
import * as UpdateRetentionRuleRequest from "./update-retention-rule-request";
export import UpdateRetentionRuleRequest = UpdateRetentionRuleRequest.UpdateRetentionRuleRequest;
import * as UploadPartRequest from "./upload-part-request";
export import UploadPartRequest = UploadPartRequest.UploadPartRequest;
