/**
 * OCI Control Center API
 * OCI Control Center (OCC) service enables you to monitor the region-level cloud consumption and provides the region-level capacity data, in realms where OCC is available. Use the OCI Control Center (OCC) API to explore region-level capacity and utilization information about core services. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).

 * OpenAPI spec version: 20230515
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A summary of the properties that define a metric.
 *
 */
export interface MetricPropertySummary {
    /**
     * The name of the metric.
     *
     */
    "metricName": string;
    /**
     * Qualifiers provided in a metric definition. Available dimensions vary by metric namespace.
     *
     */
    "dimensions"?: {
        [key: string]: model.DimensionValue;
    };
}
export declare namespace MetricPropertySummary {
    function getJsonObj(obj: MetricPropertySummary): object;
    function getDeserializedJsonObj(obj: MetricPropertySummary): object;
}
