/**
 * OCI Control Center API
 * OCI Control Center (OCC) service enables you to monitor the region-level cloud consumption and provides the region-level capacity data, in realms where OCC is available. Use the OCI Control Center (OCC) API to explore region-level capacity and utilization information about core services. For more information, see [OCI Control Center](/iaas/Content/control-center/home.htm).

 * OpenAPI spec version: 20230515
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The request details for retrieving aggregated data. Use the query and optional properties to filter the returned results.
 *
 */
export interface RequestSummarizedMetricDataDetails {
    /**
     * The source service or application to use when searching for metric data points to aggregate. For a list of valid namespaces, see {@link #listNamespaces(ListNamespacesRequest) listNamespaces}.
     *
     */
    "namespaceName": string;
    /**
     * The name of a metric for retrieving aggregated data. For a list of valid metrics for a given namespace, see {@link #listMetricProperties(ListMetricPropertiesRequest) listMetricProperties}.
     *
     */
    "metricName": string;
    /**
     * The OCID of the compartment to use for authorization to read metrics. To use the root compartment, provide the tenancyId.
     *
     */
    "compartmentId": string;
    /**
     * Qualifiers to use when searching for metric data. For a list of valid dimensions for a given metric, see {@link #listMetricProperties(ListMetricPropertiesRequest) listMetricProperties}.
     *
     */
    "dimensions"?: {
        [key: string]: model.DimensionValue;
    };
    /**
     * The beginning of the sampled time range to use when searching for metric data points. Format is defined by <a href=\"https://www.rfc-editor.org/rfc/rfc3339\">RFC3339</a>. The response includes metric data points for the sampled time. Example 2019-02-01T02:02:29.600Z
     *
     */
    "startTime"?: Date;
    /**
     * The end of the sampled time range to use when searching for metric data points. Format is defined by <a href=\"https://www.rfc-editor.org/rfc/rfc3339\">RFC3339</a>. The response excludes metric data points for sampled time. Example 2019-02-01T02:02:29.600Z
     *
     */
    "endTime"?: Date;
}
export declare namespace RequestSummarizedMetricDataDetails {
    function getJsonObj(obj: RequestSummarizedMetricDataDetails): object;
    function getDeserializedJsonObj(obj: RequestSummarizedMetricDataDetails): object;
}
