/**
 *
 *
 * OpenAPI spec version: 20230515
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/ocicontrolcenter/ListMetricProperties.ts.html |here} to see how to use ListMetricPropertiesRequest.
 */
export interface ListMetricPropertiesRequest extends common.BaseRequest {
    /**
     * The name of the source service emitting the metric.
     *
     */
    "namespaceName": string;
    /**
     * The OCID of the compartment to use for authorization. To use the root compartment, provide the tenancyId.
     *
     */
    "compartmentId": string;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from the previous \"List\" call.
     * For important details about how pagination works, see <a href=\"https://docs.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine\">List Pagination</a>.
     *
     */
    "page"?: string;
    /**
     * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call.
     *
     */
    "limit"?: number;
    /**
     * Customer part of the request identifier token. If you need to contact Oracle about a particular request, please provide the complete request ID.
     */
    "opcRequestId"?: string;
}
