"use strict";
/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Channel = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var Channel;
(function (Channel) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "APPEVENT":
                    return model.AppEventChannel.getJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.FacebookChannel.getJsonObj(jsonObj, true);
                case "WEB":
                    return model.WebChannel.getJsonObj(jsonObj, true);
                case "MSTEAMS":
                    return model.MSTeamsChannel.getJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.TwilioChannel.getJsonObj(jsonObj, true);
                case "OSVC":
                    return model.OsvcChannel.getJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.AndroidChannel.getJsonObj(jsonObj, true);
                case "OSS":
                    return model.OSSChannel.getJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.WebhookChannel.getJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.ApplicationChannel.getJsonObj(jsonObj, true);
                case "SLACK":
                    return model.SlackChannel.getJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.CortanaChannel.getJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.ServiceCloudChannel.getJsonObj(jsonObj, true);
                case "IOS":
                    return model.IosChannel.getJsonObj(jsonObj, true);
                case "TEST":
                    return model.TestChannel.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    Channel.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "APPEVENT":
                    return model.AppEventChannel.getDeserializedJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.FacebookChannel.getDeserializedJsonObj(jsonObj, true);
                case "WEB":
                    return model.WebChannel.getDeserializedJsonObj(jsonObj, true);
                case "MSTEAMS":
                    return model.MSTeamsChannel.getDeserializedJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.TwilioChannel.getDeserializedJsonObj(jsonObj, true);
                case "OSVC":
                    return model.OsvcChannel.getDeserializedJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.AndroidChannel.getDeserializedJsonObj(jsonObj, true);
                case "OSS":
                    return model.OSSChannel.getDeserializedJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.WebhookChannel.getDeserializedJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.ApplicationChannel.getDeserializedJsonObj(jsonObj, true);
                case "SLACK":
                    return model.SlackChannel.getDeserializedJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.CortanaChannel.getDeserializedJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.ServiceCloudChannel.getDeserializedJsonObj(jsonObj, true);
                case "IOS":
                    return model.IosChannel.getDeserializedJsonObj(jsonObj, true);
                case "TEST":
                    return model.TestChannel.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    Channel.getDeserializedJsonObj = getDeserializedJsonObj;
})(Channel = exports.Channel || (exports.Channel = {}));
//# sourceMappingURL=channel.js.map