"use strict";
/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateChannelDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var CreateChannelDetails;
(function (CreateChannelDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "MSTEAMS":
                    return model.CreateMSTeamsChannelDetails.getJsonObj(jsonObj, true);
                case "WEB":
                    return model.CreateWebChannelDetails.getJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.CreateFacebookChannelDetails.getJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.CreateApplicationChannelDetails.getJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.CreateServiceCloudChannelDetails.getJsonObj(jsonObj, true);
                case "SLACK":
                    return model.CreateSlackChannelDetails.getJsonObj(jsonObj, true);
                case "OSVC":
                    return model.CreateOsvcChannelDetails.getJsonObj(jsonObj, true);
                case "APPEVENT":
                    return model.CreateAppEventChannelDetails.getJsonObj(jsonObj, true);
                case "OSS":
                    return model.CreateOSSChannelDetails.getJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.CreateCortanaChannelDetails.getJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.CreateAndroidChannelDetails.getJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.CreateTwilioChannelDetails.getJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.CreateWebhookChannelDetails.getJsonObj(jsonObj, true);
                case "IOS":
                    return model.CreateIosChannelDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    CreateChannelDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "MSTEAMS":
                    return model.CreateMSTeamsChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "WEB":
                    return model.CreateWebChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.CreateFacebookChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.CreateApplicationChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.CreateServiceCloudChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "SLACK":
                    return model.CreateSlackChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "OSVC":
                    return model.CreateOsvcChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "APPEVENT":
                    return model.CreateAppEventChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "OSS":
                    return model.CreateOSSChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.CreateCortanaChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.CreateAndroidChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.CreateTwilioChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.CreateWebhookChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "IOS":
                    return model.CreateIosChannelDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    CreateChannelDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateChannelDetails = exports.CreateChannelDetails || (exports.CreateChannelDetails = {}));
//# sourceMappingURL=create-channel-details.js.map