"use strict";
/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateChannelResult = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var CreateChannelResult;
(function (CreateChannelResult) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "WEB":
                    return model.CreateWebChannelResult.getJsonObj(jsonObj, true);
                case "SLACK":
                    return model.CreateSlackChannelResult.getJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.CreateWebhookChannelResult.getJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.CreateAndroidChannelResult.getJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.CreateTwilioChannelResult.getJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.CreateCortanaChannelResult.getJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.CreateServiceCloudChannelResult.getJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.CreateFacebookChannelResult.getJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.CreateApplicationChannelResult.getJsonObj(jsonObj, true);
                case "IOS":
                    return model.CreateIosChannelResult.getJsonObj(jsonObj, true);
                case "MSTEAMS":
                    return model.CreateMSTeamsChannelResult.getJsonObj(jsonObj, true);
                case "APPEVENT":
                    return model.CreateAppEventChannelResult.getJsonObj(jsonObj, true);
                case "OSVC":
                    return model.CreateOsvcChannelResult.getJsonObj(jsonObj, true);
                case "OSS":
                    return model.CreateOSSChannelResult.getJsonObj(jsonObj, true);
                case "TEST":
                    return model.CreateTestChannelResult.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    CreateChannelResult.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "WEB":
                    return model.CreateWebChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "SLACK":
                    return model.CreateSlackChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.CreateWebhookChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.CreateAndroidChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.CreateTwilioChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.CreateCortanaChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.CreateServiceCloudChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.CreateFacebookChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.CreateApplicationChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "IOS":
                    return model.CreateIosChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "MSTEAMS":
                    return model.CreateMSTeamsChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "APPEVENT":
                    return model.CreateAppEventChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "OSVC":
                    return model.CreateOsvcChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "OSS":
                    return model.CreateOSSChannelResult.getDeserializedJsonObj(jsonObj, true);
                case "TEST":
                    return model.CreateTestChannelResult.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    CreateChannelResult.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreateChannelResult = exports.CreateChannelResult || (exports.CreateChannelResult = {}));
//# sourceMappingURL=create-channel-result.js.map