/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Properties required to create a Cortana channel.
 */
export interface CreateCortanaChannelDetails extends model.CreateChannelDetails {
    /**
     * The Microsoft App ID that you obtained when you created your bot registration in Azure.
     */
    "msaAppId": string;
    /**
     * The client secret that you obtained from your bot registration.
     */
    "msaAppPassword": string;
    /**
     * The ID of the Skill or Digital Assistant that the Channel is routed to.
     */
    "botId"?: string;
    "type": string;
}
export declare namespace CreateCortanaChannelDetails {
    function getJsonObj(obj: CreateCortanaChannelDetails, isParentJsonObj?: boolean): object;
    const type = "CORTANA";
    function getDeserializedJsonObj(obj: CreateCortanaChannelDetails, isParentJsonObj?: boolean): object;
}
