/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Properties required to create an ODA instance attachment.
 */
export interface CreateOdaInstanceAttachmentDetails {
    /**
     * The OCID of the target instance (which could be any other OCI PaaS/SaaS resource), to which this ODA instance is being attached.
     */
    "attachToId": string;
    /**
     * The type of target instance which this ODA instance is being attached.
     */
    "attachmentType": CreateOdaInstanceAttachmentDetails.AttachmentType;
    /**
     * Attachment specific metadata. Defined by the target service.
     */
    "attachmentMetadata"?: string;
    /**
     * List of operations that are restricted while this instance is attached.
     */
    "restrictedOperations"?: Array<string>;
    "owner": model.OdaInstanceAttachmentOwner;
    /**
     * Simple key-value pair that is applied without any predefined name, type, or scope.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Usage of predefined tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateOdaInstanceAttachmentDetails {
    enum AttachmentType {
        Fusion = "FUSION",
        Max = "MAX"
    }
    function getJsonObj(obj: CreateOdaInstanceAttachmentDetails): object;
    function getDeserializedJsonObj(obj: CreateOdaInstanceAttachmentDetails): object;
}
