/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Argument of an entity action
 */
export interface EntityActionArgument {
    /**
     * Name of an entity action argument
     */
    "name": string;
    /**
     * Type of an entity action argument
     */
    "type": model.EntityAttributeType;
    /**
     * Metatype of an entity action argument
     */
    "metaType"?: string;
    "naturalLanguageMapping"?: model.EntityActionArgumentNaturalLanguageMapping;
    /**
     * Is the entity action argument multi-value
     */
    "isMultiValue"?: boolean;
    /**
     * Name of referenced entity.
     */
    "entityName"?: string;
}
export declare namespace EntityActionArgument {
    function getJsonObj(obj: EntityActionArgument): object;
    function getDeserializedJsonObj(obj: EntityActionArgument): object;
}
