/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Attribute of an entity
 */
export interface EntityAttribute {
    /**
     * The name of an entity attribute
     */
    "name": string;
    /**
     * The type of an entity attribute
     */
    "type": model.EntityAttributeType;
    "naturalLanguageMapping"?: model.EntityAttributeNaturalLanguageMapping;
    /**
     * Is the entity attribute multi-value
     */
    "isMultiValue"?: boolean;
    /**
     * Is the entity attribute a fuzzy match
     */
    "isFuzzyMatch"?: boolean;
    /**
     * Are comparisons inverted in the entity attribute
     */
    "isInvertComparisons"?: boolean;
    /**
     * Temporal preference of an attribute
     */
    "temporalPreference"?: model.TemporalPreference;
    /**
     * Name of referenced entity.
     */
    "entityName"?: string;
}
export declare namespace EntityAttribute {
    function getJsonObj(obj: EntityAttribute): object;
    function getDeserializedJsonObj(obj: EntityAttribute): object;
}
