/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An imported/instantiated package within an instance.
 */
export interface ImportedPackage {
    /**
     * ID of the host instance.
     */
    "odaInstanceId": string;
    /**
     * ID of the package.
     */
    "currentPackageId": string;
    /**
     * Stable name of the package (the same across versions).
     */
    "name": string;
    /**
     * Display name of the package (can change across versions).
     */
    "displayName": string;
    /**
     * version of the package.
     */
    "version": string;
    /**
     * Status of the imported package.
     */
    "status": ImportedPackage.Status;
    /**
     * When the imported package was created. A date-time string as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339), section 14.29.
     */
    "timeCreated": Date;
    /**
     * When the imported package was last updated. A date-time string as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339), section 14.29.
     */
    "timeUpdated": Date;
    /**
     * Simple key-value pair that is applied without any predefined name, type, or scope.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Usage of predefined tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Short message explaining the status of this imported package.
     */
    "statusMessage": string;
    /**
     * A list of parameter values used to import the package.
     */
    "parameterValues": {
        [key: string]: string;
    };
}
export declare namespace ImportedPackage {
    enum Status {
        Ready = "READY",
        OperationPending = "OPERATION_PENDING",
        Failed = "FAILED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ImportedPackage): object;
    function getDeserializedJsonObj(obj: ImportedPackage): object;
}
