/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AuthenticationGrantType from "./authentication-grant-type";
export import AuthenticationGrantType = AuthenticationGrantType.AuthenticationGrantType;
import * as AuthenticationIdentityProvider from "./authentication-identity-provider";
export import AuthenticationIdentityProvider = AuthenticationIdentityProvider.AuthenticationIdentityProvider;
import * as AuthenticationProvider from "./authentication-provider";
export import AuthenticationProvider = AuthenticationProvider.AuthenticationProvider;
import * as AuthenticationProviderCollection from "./authentication-provider-collection";
export import AuthenticationProviderCollection = AuthenticationProviderCollection.AuthenticationProviderCollection;
import * as AuthenticationProviderSummary from "./authentication-provider-summary";
export import AuthenticationProviderSummary = AuthenticationProviderSummary.AuthenticationProviderSummary;
import * as Bot from "./bot";
export import Bot = Bot.Bot;
import * as BotMultilingualMode from "./bot-multilingual-mode";
export import BotMultilingualMode = BotMultilingualMode.BotMultilingualMode;
import * as BotPublishState from "./bot-publish-state";
export import BotPublishState = BotPublishState.BotPublishState;
import * as BulkCreateSkillEntitiesDetails from "./bulk-create-skill-entities-details";
export import BulkCreateSkillEntitiesDetails = BulkCreateSkillEntitiesDetails.BulkCreateSkillEntitiesDetails;
import * as ChangeOdaInstanceCompartmentDetails from "./change-oda-instance-compartment-details";
export import ChangeOdaInstanceCompartmentDetails = ChangeOdaInstanceCompartmentDetails.ChangeOdaInstanceCompartmentDetails;
import * as ChangeOdaPrivateEndpointCompartmentDetails from "./change-oda-private-endpoint-compartment-details";
export import ChangeOdaPrivateEndpointCompartmentDetails = ChangeOdaPrivateEndpointCompartmentDetails.ChangeOdaPrivateEndpointCompartmentDetails;
import * as Channel from "./channel";
export import Channel = Channel.Channel;
import * as ChannelCategory from "./channel-category";
export import ChannelCategory = ChannelCategory.ChannelCategory;
import * as ChannelCollection from "./channel-collection";
export import ChannelCollection = ChannelCollection.ChannelCollection;
import * as ChannelSummary from "./channel-summary";
export import ChannelSummary = ChannelSummary.ChannelSummary;
import * as ChannelType from "./channel-type";
export import ChannelType = ChannelType.ChannelType;
import * as ConfigureDigitalAssistantParametersDetails from "./configure-digital-assistant-parameters-details";
export import ConfigureDigitalAssistantParametersDetails = ConfigureDigitalAssistantParametersDetails.ConfigureDigitalAssistantParametersDetails;
import * as CreateAuthenticationProviderDetails from "./create-authentication-provider-details";
export import CreateAuthenticationProviderDetails = CreateAuthenticationProviderDetails.CreateAuthenticationProviderDetails;
import * as CreateBotKind from "./create-bot-kind";
export import CreateBotKind = CreateBotKind.CreateBotKind;
import * as CreateChannelDetails from "./create-channel-details";
export import CreateChannelDetails = CreateChannelDetails.CreateChannelDetails;
import * as CreateChannelResult from "./create-channel-result";
export import CreateChannelResult = CreateChannelResult.CreateChannelResult;
import * as CreateDigitalAssistantDetails from "./create-digital-assistant-details";
export import CreateDigitalAssistantDetails = CreateDigitalAssistantDetails.CreateDigitalAssistantDetails;
import * as CreateImportedPackageDetails from "./create-imported-package-details";
export import CreateImportedPackageDetails = CreateImportedPackageDetails.CreateImportedPackageDetails;
import * as CreateOdaInstanceAttachmentDetails from "./create-oda-instance-attachment-details";
export import CreateOdaInstanceAttachmentDetails = CreateOdaInstanceAttachmentDetails.CreateOdaInstanceAttachmentDetails;
import * as CreateOdaInstanceDetails from "./create-oda-instance-details";
export import CreateOdaInstanceDetails = CreateOdaInstanceDetails.CreateOdaInstanceDetails;
import * as CreateOdaPrivateEndpointAttachmentDetails from "./create-oda-private-endpoint-attachment-details";
export import CreateOdaPrivateEndpointAttachmentDetails = CreateOdaPrivateEndpointAttachmentDetails.CreateOdaPrivateEndpointAttachmentDetails;
import * as CreateOdaPrivateEndpointDetails from "./create-oda-private-endpoint-details";
export import CreateOdaPrivateEndpointDetails = CreateOdaPrivateEndpointDetails.CreateOdaPrivateEndpointDetails;
import * as CreateOdaPrivateEndpointScanProxyDetails from "./create-oda-private-endpoint-scan-proxy-details";
export import CreateOdaPrivateEndpointScanProxyDetails = CreateOdaPrivateEndpointScanProxyDetails.CreateOdaPrivateEndpointScanProxyDetails;
import * as CreateSkillDetails from "./create-skill-details";
export import CreateSkillDetails = CreateSkillDetails.CreateSkillDetails;
import * as CreateSkillEntityDetails from "./create-skill-entity-details";
export import CreateSkillEntityDetails = CreateSkillEntityDetails.CreateSkillEntityDetails;
import * as CreateSkillParameterDetails from "./create-skill-parameter-details";
export import CreateSkillParameterDetails = CreateSkillParameterDetails.CreateSkillParameterDetails;
import * as CreateTranslatorDetails from "./create-translator-details";
export import CreateTranslatorDetails = CreateTranslatorDetails.CreateTranslatorDetails;
import * as DefaultParameterValues from "./default-parameter-values";
export import DefaultParameterValues = DefaultParameterValues.DefaultParameterValues;
import * as DigitalAssistant from "./digital-assistant";
export import DigitalAssistant = DigitalAssistant.DigitalAssistant;
import * as DigitalAssistantCollection from "./digital-assistant-collection";
export import DigitalAssistantCollection = DigitalAssistantCollection.DigitalAssistantCollection;
import * as DigitalAssistantParameter from "./digital-assistant-parameter";
export import DigitalAssistantParameter = DigitalAssistantParameter.DigitalAssistantParameter;
import * as DigitalAssistantParameterCollection from "./digital-assistant-parameter-collection";
export import DigitalAssistantParameterCollection = DigitalAssistantParameterCollection.DigitalAssistantParameterCollection;
import * as DigitalAssistantParameterSummary from "./digital-assistant-parameter-summary";
export import DigitalAssistantParameterSummary = DigitalAssistantParameterSummary.DigitalAssistantParameterSummary;
import * as DigitalAssistantParameterValue from "./digital-assistant-parameter-value";
export import DigitalAssistantParameterValue = DigitalAssistantParameterValue.DigitalAssistantParameterValue;
import * as DigitalAssistantSummary from "./digital-assistant-summary";
export import DigitalAssistantSummary = DigitalAssistantSummary.DigitalAssistantSummary;
import * as Entity from "./entity";
export import Entity = Entity.Entity;
import * as EntityAction from "./entity-action";
export import EntityAction = EntityAction.EntityAction;
import * as EntityActionArgument from "./entity-action-argument";
export import EntityActionArgument = EntityActionArgument.EntityActionArgument;
import * as EntityActionArgumentNaturalLanguageMapping from "./entity-action-argument-natural-language-mapping";
export import EntityActionArgumentNaturalLanguageMapping = EntityActionArgumentNaturalLanguageMapping.EntityActionArgumentNaturalLanguageMapping;
import * as EntityActionNaturalLanguageMapping from "./entity-action-natural-language-mapping";
export import EntityActionNaturalLanguageMapping = EntityActionNaturalLanguageMapping.EntityActionNaturalLanguageMapping;
import * as EntityAttribute from "./entity-attribute";
export import EntityAttribute = EntityAttribute.EntityAttribute;
import * as EntityAttributeNaturalLanguageMapping from "./entity-attribute-natural-language-mapping";
export import EntityAttributeNaturalLanguageMapping = EntityAttributeNaturalLanguageMapping.EntityAttributeNaturalLanguageMapping;
import * as EntityAttributeType from "./entity-attribute-type";
export import EntityAttributeType = EntityAttributeType.EntityAttributeType;
import * as EntityNaturalLanguageMapping from "./entity-natural-language-mapping";
export import EntityNaturalLanguageMapping = EntityNaturalLanguageMapping.EntityNaturalLanguageMapping;
import * as EntityType from "./entity-type";
export import EntityType = EntityType.EntityType;
import * as ErrorBody from "./error-body";
export import ErrorBody = ErrorBody.ErrorBody;
import * as ExportBotDetails from "./export-bot-details";
export import ExportBotDetails = ExportBotDetails.ExportBotDetails;
import * as ExportDigitalAssistantDetails from "./export-digital-assistant-details";
export import ExportDigitalAssistantDetails = ExportDigitalAssistantDetails.ExportDigitalAssistantDetails;
import * as ExportSkillDetails from "./export-skill-details";
export import ExportSkillDetails = ExportSkillDetails.ExportSkillDetails;
import * as ImportBotDetails from "./import-bot-details";
export import ImportBotDetails = ImportBotDetails.ImportBotDetails;
import * as ImportContract from "./import-contract";
export import ImportContract = ImportContract.ImportContract;
import * as ImportedPackage from "./imported-package";
export import ImportedPackage = ImportedPackage.ImportedPackage;
import * as ImportedPackageSummary from "./imported-package-summary";
export import ImportedPackageSummary = ImportedPackageSummary.ImportedPackageSummary;
import * as LanguageMapping from "./language-mapping";
export import LanguageMapping = LanguageMapping.LanguageMapping;
import * as LifecycleState from "./lifecycle-state";
export import LifecycleState = LifecycleState.LifecycleState;
import * as MetadataProperty from "./metadata-property";
export import MetadataProperty = MetadataProperty.MetadataProperty;
import * as NameMapping from "./name-mapping";
export import NameMapping = NameMapping.NameMapping;
import * as OdaInstance from "./oda-instance";
export import OdaInstance = OdaInstance.OdaInstance;
import * as OdaInstanceAttachment from "./oda-instance-attachment";
export import OdaInstanceAttachment = OdaInstanceAttachment.OdaInstanceAttachment;
import * as OdaInstanceAttachmentCollection from "./oda-instance-attachment-collection";
export import OdaInstanceAttachmentCollection = OdaInstanceAttachmentCollection.OdaInstanceAttachmentCollection;
import * as OdaInstanceAttachmentOwner from "./oda-instance-attachment-owner";
export import OdaInstanceAttachmentOwner = OdaInstanceAttachmentOwner.OdaInstanceAttachmentOwner;
import * as OdaInstanceAttachmentSummary from "./oda-instance-attachment-summary";
export import OdaInstanceAttachmentSummary = OdaInstanceAttachmentSummary.OdaInstanceAttachmentSummary;
import * as OdaInstanceOwner from "./oda-instance-owner";
export import OdaInstanceOwner = OdaInstanceOwner.OdaInstanceOwner;
import * as OdaInstanceSummary from "./oda-instance-summary";
export import OdaInstanceSummary = OdaInstanceSummary.OdaInstanceSummary;
import * as OdaPrivateEndpoint from "./oda-private-endpoint";
export import OdaPrivateEndpoint = OdaPrivateEndpoint.OdaPrivateEndpoint;
import * as OdaPrivateEndpointAttachment from "./oda-private-endpoint-attachment";
export import OdaPrivateEndpointAttachment = OdaPrivateEndpointAttachment.OdaPrivateEndpointAttachment;
import * as OdaPrivateEndpointAttachmentCollection from "./oda-private-endpoint-attachment-collection";
export import OdaPrivateEndpointAttachmentCollection = OdaPrivateEndpointAttachmentCollection.OdaPrivateEndpointAttachmentCollection;
import * as OdaPrivateEndpointAttachmentSummary from "./oda-private-endpoint-attachment-summary";
export import OdaPrivateEndpointAttachmentSummary = OdaPrivateEndpointAttachmentSummary.OdaPrivateEndpointAttachmentSummary;
import * as OdaPrivateEndpointCollection from "./oda-private-endpoint-collection";
export import OdaPrivateEndpointCollection = OdaPrivateEndpointCollection.OdaPrivateEndpointCollection;
import * as OdaPrivateEndpointScanProxy from "./oda-private-endpoint-scan-proxy";
export import OdaPrivateEndpointScanProxy = OdaPrivateEndpointScanProxy.OdaPrivateEndpointScanProxy;
import * as OdaPrivateEndpointScanProxyCollection from "./oda-private-endpoint-scan-proxy-collection";
export import OdaPrivateEndpointScanProxyCollection = OdaPrivateEndpointScanProxyCollection.OdaPrivateEndpointScanProxyCollection;
import * as OdaPrivateEndpointScanProxySummary from "./oda-private-endpoint-scan-proxy-summary";
export import OdaPrivateEndpointScanProxySummary = OdaPrivateEndpointScanProxySummary.OdaPrivateEndpointScanProxySummary;
import * as OdaPrivateEndpointSummary from "./oda-private-endpoint-summary";
export import OdaPrivateEndpointSummary = OdaPrivateEndpointSummary.OdaPrivateEndpointSummary;
import * as OsvcServiceType from "./osvc-service-type";
export import OsvcServiceType = OsvcServiceType.OsvcServiceType;
import * as Package from "./package";
export import Package = Package.Package;
import * as PackageSummary from "./package-summary";
export import PackageSummary = PackageSummary.PackageSummary;
import * as Parameter from "./parameter";
export import Parameter = Parameter.Parameter;
import * as ParameterDefinition from "./parameter-definition";
export import ParameterDefinition = ParameterDefinition.ParameterDefinition;
import * as ParameterType from "./parameter-type";
export import ParameterType = ParameterType.ParameterType;
import * as ResourceTypeDefaultParameterValues from "./resource-type-default-parameter-values";
export import ResourceTypeDefaultParameterValues = ResourceTypeDefaultParameterValues.ResourceTypeDefaultParameterValues;
import * as ResourceTypeImportContract from "./resource-type-import-contract";
export import ResourceTypeImportContract = ResourceTypeImportContract.ResourceTypeImportContract;
import * as ResourceTypeMetadata from "./resource-type-metadata";
export import ResourceTypeMetadata = ResourceTypeMetadata.ResourceTypeMetadata;
import * as RestrictedOperation from "./restricted-operation";
export import RestrictedOperation = RestrictedOperation.RestrictedOperation;
import * as ScanListenerInfo from "./scan-listener-info";
export import ScanListenerInfo = ScanListenerInfo.ScanListenerInfo;
import * as ServiceCloudClientType from "./service-cloud-client-type";
export import ServiceCloudClientType = ServiceCloudClientType.ServiceCloudClientType;
import * as Skill from "./skill";
export import Skill = Skill.Skill;
import * as SkillCollection from "./skill-collection";
export import SkillCollection = SkillCollection.SkillCollection;
import * as SkillParameter from "./skill-parameter";
export import SkillParameter = SkillParameter.SkillParameter;
import * as SkillParameterCollection from "./skill-parameter-collection";
export import SkillParameterCollection = SkillParameterCollection.SkillParameterCollection;
import * as SkillParameterSummary from "./skill-parameter-summary";
export import SkillParameterSummary = SkillParameterSummary.SkillParameterSummary;
import * as SkillSummary from "./skill-summary";
export import SkillSummary = SkillSummary.SkillSummary;
import * as StaticEntityValue from "./static-entity-value";
export import StaticEntityValue = StaticEntityValue.StaticEntityValue;
import * as StaticEntityValueNaturalLanguageMapping from "./static-entity-value-natural-language-mapping";
export import StaticEntityValueNaturalLanguageMapping = StaticEntityValueNaturalLanguageMapping.StaticEntityValueNaturalLanguageMapping;
import * as StorageLocation from "./storage-location";
export import StorageLocation = StorageLocation.StorageLocation;
import * as TemporalPreference from "./temporal-preference";
export import TemporalPreference = TemporalPreference.TemporalPreference;
import * as TrainSkillDetails from "./train-skill-details";
export import TrainSkillDetails = TrainSkillDetails.TrainSkillDetails;
import * as TrainSkillParameter from "./train-skill-parameter";
export import TrainSkillParameter = TrainSkillParameter.TrainSkillParameter;
import * as TrainSkillParameterType from "./train-skill-parameter-type";
export import TrainSkillParameterType = TrainSkillParameterType.TrainSkillParameterType;
import * as TranslationService from "./translation-service";
export import TranslationService = TranslationService.TranslationService;
import * as Translator from "./translator";
export import Translator = Translator.Translator;
import * as TranslatorCollection from "./translator-collection";
export import TranslatorCollection = TranslatorCollection.TranslatorCollection;
import * as TranslatorSummary from "./translator-summary";
export import TranslatorSummary = TranslatorSummary.TranslatorSummary;
import * as UpdateAuthenticationProviderDetails from "./update-authentication-provider-details";
export import UpdateAuthenticationProviderDetails = UpdateAuthenticationProviderDetails.UpdateAuthenticationProviderDetails;
import * as UpdateChannelDetails from "./update-channel-details";
export import UpdateChannelDetails = UpdateChannelDetails.UpdateChannelDetails;
import * as UpdateDigitalAssistantDetails from "./update-digital-assistant-details";
export import UpdateDigitalAssistantDetails = UpdateDigitalAssistantDetails.UpdateDigitalAssistantDetails;
import * as UpdateDigitalAssistantParameterDetails from "./update-digital-assistant-parameter-details";
export import UpdateDigitalAssistantParameterDetails = UpdateDigitalAssistantParameterDetails.UpdateDigitalAssistantParameterDetails;
import * as UpdateImportedPackageDetails from "./update-imported-package-details";
export import UpdateImportedPackageDetails = UpdateImportedPackageDetails.UpdateImportedPackageDetails;
import * as UpdateOdaInstanceAttachmentDetails from "./update-oda-instance-attachment-details";
export import UpdateOdaInstanceAttachmentDetails = UpdateOdaInstanceAttachmentDetails.UpdateOdaInstanceAttachmentDetails;
import * as UpdateOdaInstanceDetails from "./update-oda-instance-details";
export import UpdateOdaInstanceDetails = UpdateOdaInstanceDetails.UpdateOdaInstanceDetails;
import * as UpdateOdaPrivateEndpointDetails from "./update-oda-private-endpoint-details";
export import UpdateOdaPrivateEndpointDetails = UpdateOdaPrivateEndpointDetails.UpdateOdaPrivateEndpointDetails;
import * as UpdateSkillDetails from "./update-skill-details";
export import UpdateSkillDetails = UpdateSkillDetails.UpdateSkillDetails;
import * as UpdateSkillParameterDetails from "./update-skill-parameter-details";
export import UpdateSkillParameterDetails = UpdateSkillParameterDetails.UpdateSkillParameterDetails;
import * as UpdateTranslatorDetails from "./update-translator-details";
export import UpdateTranslatorDetails = UpdateTranslatorDetails.UpdateTranslatorDetails;
import * as WebhookPayloadVersion from "./webhook-payload-version";
export import WebhookPayloadVersion = WebhookPayloadVersion.WebhookPayloadVersion;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as AndroidChannel from "./android-channel";
export import AndroidChannel = AndroidChannel.AndroidChannel;
import * as AppEventChannel from "./app-event-channel";
export import AppEventChannel = AppEventChannel.AppEventChannel;
import * as ApplicationChannel from "./application-channel";
export import ApplicationChannel = ApplicationChannel.ApplicationChannel;
import * as CloneDigitalAssistantDetails from "./clone-digital-assistant-details";
export import CloneDigitalAssistantDetails = CloneDigitalAssistantDetails.CloneDigitalAssistantDetails;
import * as CloneSkillDetails from "./clone-skill-details";
export import CloneSkillDetails = CloneSkillDetails.CloneSkillDetails;
import * as CompositeEntity from "./composite-entity";
export import CompositeEntity = CompositeEntity.CompositeEntity;
import * as CortanaChannel from "./cortana-channel";
export import CortanaChannel = CortanaChannel.CortanaChannel;
import * as CreateAndroidChannelDetails from "./create-android-channel-details";
export import CreateAndroidChannelDetails = CreateAndroidChannelDetails.CreateAndroidChannelDetails;
import * as CreateAndroidChannelResult from "./create-android-channel-result";
export import CreateAndroidChannelResult = CreateAndroidChannelResult.CreateAndroidChannelResult;
import * as CreateAppEventChannelDetails from "./create-app-event-channel-details";
export import CreateAppEventChannelDetails = CreateAppEventChannelDetails.CreateAppEventChannelDetails;
import * as CreateAppEventChannelResult from "./create-app-event-channel-result";
export import CreateAppEventChannelResult = CreateAppEventChannelResult.CreateAppEventChannelResult;
import * as CreateApplicationChannelDetails from "./create-application-channel-details";
export import CreateApplicationChannelDetails = CreateApplicationChannelDetails.CreateApplicationChannelDetails;
import * as CreateApplicationChannelResult from "./create-application-channel-result";
export import CreateApplicationChannelResult = CreateApplicationChannelResult.CreateApplicationChannelResult;
import * as CreateCortanaChannelDetails from "./create-cortana-channel-details";
export import CreateCortanaChannelDetails = CreateCortanaChannelDetails.CreateCortanaChannelDetails;
import * as CreateCortanaChannelResult from "./create-cortana-channel-result";
export import CreateCortanaChannelResult = CreateCortanaChannelResult.CreateCortanaChannelResult;
import * as CreateDigitalAssistantVersionDetails from "./create-digital-assistant-version-details";
export import CreateDigitalAssistantVersionDetails = CreateDigitalAssistantVersionDetails.CreateDigitalAssistantVersionDetails;
import * as CreateFacebookChannelDetails from "./create-facebook-channel-details";
export import CreateFacebookChannelDetails = CreateFacebookChannelDetails.CreateFacebookChannelDetails;
import * as CreateFacebookChannelResult from "./create-facebook-channel-result";
export import CreateFacebookChannelResult = CreateFacebookChannelResult.CreateFacebookChannelResult;
import * as CreateIosChannelDetails from "./create-ios-channel-details";
export import CreateIosChannelDetails = CreateIosChannelDetails.CreateIosChannelDetails;
import * as CreateIosChannelResult from "./create-ios-channel-result";
export import CreateIosChannelResult = CreateIosChannelResult.CreateIosChannelResult;
import * as CreateMSTeamsChannelDetails from "./create-ms-teams-channel-details";
export import CreateMSTeamsChannelDetails = CreateMSTeamsChannelDetails.CreateMSTeamsChannelDetails;
import * as CreateMSTeamsChannelResult from "./create-ms-teams-channel-result";
export import CreateMSTeamsChannelResult = CreateMSTeamsChannelResult.CreateMSTeamsChannelResult;
import * as CreateNewDigitalAssistantDetails from "./create-new-digital-assistant-details";
export import CreateNewDigitalAssistantDetails = CreateNewDigitalAssistantDetails.CreateNewDigitalAssistantDetails;
import * as CreateNewSkillDetails from "./create-new-skill-details";
export import CreateNewSkillDetails = CreateNewSkillDetails.CreateNewSkillDetails;
import * as CreateOSSChannelDetails from "./create-os-schannel-details";
export import CreateOSSChannelDetails = CreateOSSChannelDetails.CreateOSSChannelDetails;
import * as CreateOSSChannelResult from "./create-os-schannel-result";
export import CreateOSSChannelResult = CreateOSSChannelResult.CreateOSSChannelResult;
import * as CreateOsvcChannelDetails from "./create-osvc-channel-details";
export import CreateOsvcChannelDetails = CreateOsvcChannelDetails.CreateOsvcChannelDetails;
import * as CreateOsvcChannelResult from "./create-osvc-channel-result";
export import CreateOsvcChannelResult = CreateOsvcChannelResult.CreateOsvcChannelResult;
import * as CreateServiceCloudChannelDetails from "./create-service-cloud-channel-details";
export import CreateServiceCloudChannelDetails = CreateServiceCloudChannelDetails.CreateServiceCloudChannelDetails;
import * as CreateServiceCloudChannelResult from "./create-service-cloud-channel-result";
export import CreateServiceCloudChannelResult = CreateServiceCloudChannelResult.CreateServiceCloudChannelResult;
import * as CreateSkillCompositeEntityDetails from "./create-skill-composite-entity-details";
export import CreateSkillCompositeEntityDetails = CreateSkillCompositeEntityDetails.CreateSkillCompositeEntityDetails;
import * as CreateSkillValueListEntityDetails from "./create-skill-value-list-entity-details";
export import CreateSkillValueListEntityDetails = CreateSkillValueListEntityDetails.CreateSkillValueListEntityDetails;
import * as CreateSkillVersionDetails from "./create-skill-version-details";
export import CreateSkillVersionDetails = CreateSkillVersionDetails.CreateSkillVersionDetails;
import * as CreateSlackChannelDetails from "./create-slack-channel-details";
export import CreateSlackChannelDetails = CreateSlackChannelDetails.CreateSlackChannelDetails;
import * as CreateSlackChannelResult from "./create-slack-channel-result";
export import CreateSlackChannelResult = CreateSlackChannelResult.CreateSlackChannelResult;
import * as CreateTestChannelResult from "./create-test-channel-result";
export import CreateTestChannelResult = CreateTestChannelResult.CreateTestChannelResult;
import * as CreateTwilioChannelDetails from "./create-twilio-channel-details";
export import CreateTwilioChannelDetails = CreateTwilioChannelDetails.CreateTwilioChannelDetails;
import * as CreateTwilioChannelResult from "./create-twilio-channel-result";
export import CreateTwilioChannelResult = CreateTwilioChannelResult.CreateTwilioChannelResult;
import * as CreateWebChannelDetails from "./create-web-channel-details";
export import CreateWebChannelDetails = CreateWebChannelDetails.CreateWebChannelDetails;
import * as CreateWebChannelResult from "./create-web-channel-result";
export import CreateWebChannelResult = CreateWebChannelResult.CreateWebChannelResult;
import * as CreateWebhookChannelDetails from "./create-webhook-channel-details";
export import CreateWebhookChannelDetails = CreateWebhookChannelDetails.CreateWebhookChannelDetails;
import * as CreateWebhookChannelResult from "./create-webhook-channel-result";
export import CreateWebhookChannelResult = CreateWebhookChannelResult.CreateWebhookChannelResult;
import * as ExtendDigitalAssistantDetails from "./extend-digital-assistant-details";
export import ExtendDigitalAssistantDetails = ExtendDigitalAssistantDetails.ExtendDigitalAssistantDetails;
import * as ExtendSkillDetails from "./extend-skill-details";
export import ExtendSkillDetails = ExtendSkillDetails.ExtendSkillDetails;
import * as FacebookChannel from "./facebook-channel";
export import FacebookChannel = FacebookChannel.FacebookChannel;
import * as IosChannel from "./ios-channel";
export import IosChannel = IosChannel.IosChannel;
import * as MSTeamsChannel from "./m-steams-channel";
export import MSTeamsChannel = MSTeamsChannel.MSTeamsChannel;
import * as OSSChannel from "./o-ss-channel";
export import OSSChannel = OSSChannel.OSSChannel;
import * as OsvcChannel from "./osvc-channel";
export import OsvcChannel = OsvcChannel.OsvcChannel;
import * as ServiceCloudChannel from "./service-cloud-channel";
export import ServiceCloudChannel = ServiceCloudChannel.ServiceCloudChannel;
import * as SlackChannel from "./slack-channel";
export import SlackChannel = SlackChannel.SlackChannel;
import * as TestChannel from "./test-channel";
export import TestChannel = TestChannel.TestChannel;
import * as TrainSkillQueryEntityParameter from "./train-skill-query-entity-parameter";
export import TrainSkillQueryEntityParameter = TrainSkillQueryEntityParameter.TrainSkillQueryEntityParameter;
import * as TwilioChannel from "./twilio-channel";
export import TwilioChannel = TwilioChannel.TwilioChannel;
import * as UpdateAndroidChannelDetails from "./update-android-channel-details";
export import UpdateAndroidChannelDetails = UpdateAndroidChannelDetails.UpdateAndroidChannelDetails;
import * as UpdateAppEventChannelDetails from "./update-app-event-channel-details";
export import UpdateAppEventChannelDetails = UpdateAppEventChannelDetails.UpdateAppEventChannelDetails;
import * as UpdateApplicationChannelDetails from "./update-application-channel-details";
export import UpdateApplicationChannelDetails = UpdateApplicationChannelDetails.UpdateApplicationChannelDetails;
import * as UpdateCortanaChannelDetails from "./update-cortana-channel-details";
export import UpdateCortanaChannelDetails = UpdateCortanaChannelDetails.UpdateCortanaChannelDetails;
import * as UpdateFacebookChannelDetails from "./update-facebook-channel-details";
export import UpdateFacebookChannelDetails = UpdateFacebookChannelDetails.UpdateFacebookChannelDetails;
import * as UpdateIosChannelDetails from "./update-ios-channel-details";
export import UpdateIosChannelDetails = UpdateIosChannelDetails.UpdateIosChannelDetails;
import * as UpdateMSTeamsChannelDetails from "./update-ms-teams-channel-details";
export import UpdateMSTeamsChannelDetails = UpdateMSTeamsChannelDetails.UpdateMSTeamsChannelDetails;
import * as UpdateOSSChannelDetails from "./update-os-schannel-details";
export import UpdateOSSChannelDetails = UpdateOSSChannelDetails.UpdateOSSChannelDetails;
import * as UpdateOsvcChannelDetails from "./update-osvc-channel-details";
export import UpdateOsvcChannelDetails = UpdateOsvcChannelDetails.UpdateOsvcChannelDetails;
import * as UpdateServiceCloudChannelDetails from "./update-service-cloud-channel-details";
export import UpdateServiceCloudChannelDetails = UpdateServiceCloudChannelDetails.UpdateServiceCloudChannelDetails;
import * as UpdateSlackChannelDetails from "./update-slack-channel-details";
export import UpdateSlackChannelDetails = UpdateSlackChannelDetails.UpdateSlackChannelDetails;
import * as UpdateTwilioChannelDetails from "./update-twilio-channel-details";
export import UpdateTwilioChannelDetails = UpdateTwilioChannelDetails.UpdateTwilioChannelDetails;
import * as UpdateWebChannelDetails from "./update-web-channel-details";
export import UpdateWebChannelDetails = UpdateWebChannelDetails.UpdateWebChannelDetails;
import * as UpdateWebhookChannelDetails from "./update-webhook-channel-details";
export import UpdateWebhookChannelDetails = UpdateWebhookChannelDetails.UpdateWebhookChannelDetails;
import * as ValueListEntity from "./value-list-entity";
export import ValueListEntity = ValueListEntity.ValueListEntity;
import * as WebChannel from "./web-channel";
export import WebChannel = WebChannel.WebChannel;
import * as WebhookChannel from "./webhook-channel";
export import WebhookChannel = WebhookChannel.WebhookChannel;
