/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details pertaining to a scan proxy instance created for a scan listener FQDN/IPs
 */
export interface OdaPrivateEndpointScanProxySummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the ODA Private Endpoint Scan Proxy.
     *
     */
    "id": string;
    /**
     * Type indicating whether Scan listener is specified by its FQDN or list of IPs
     *
     */
    "scanListenerType": string;
    /**
     * The protocol used for communication between client, scanProxy and RAC's scan listeners
     *
     */
    "protocol": string;
    /**
     * The FQDN/IPs and port information of customer's Real Application Cluster (RAC)'s SCAN listeners.
     *
     */
    "scanListenerInfos": Array<model.ScanListenerInfo>;
    /**
     * The current state of the ODA Private Endpoint Scan Proxy.
     */
    "lifecycleState"?: string;
    /**
     * When the resource was created. A date-time string as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339), section 14.29.
     */
    "timeCreated"?: Date;
}
export declare namespace OdaPrivateEndpointScanProxySummary {
    function getJsonObj(obj: OdaPrivateEndpointScanProxySummary): object;
    function getDeserializedJsonObj(obj: OdaPrivateEndpointScanProxySummary): object;
}
