/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The contract guiding the import experience for the consumer and behavior of the resource provider for a single resourceType.
 */
export interface ResourceTypeImportContract {
    /**
     * The type of resource to which this resourceType-specific contract applies
     */
    "resourceType": string;
    /**
     * A list of definitions for parameters that are required to import this package into a target instance.
     */
    "parameters": Array<model.ParameterDefinition>;
}
export declare namespace ResourceTypeImportContract {
    function getJsonObj(obj: ResourceTypeImportContract): object;
    function getDeserializedJsonObj(obj: ResourceTypeImportContract): object;
}
