/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Properties that point to a specific object in Object Storage.
 */
export interface StorageLocation {
    /**
     * The region id.
     */
    "regionId": string;
    /**
     * The unique identifier for the compartment.
     */
    "compartmentId": string;
    /**
     * The Object Storage namespace.
     */
    "namespaceName": string;
    /**
     * The name of the bucket.
     */
    "bucketName": string;
    /**
     * The name of the object.
     */
    "objectName": string;
}
export declare namespace StorageLocation {
    function getJsonObj(obj: StorageLocation): object;
    function getDeserializedJsonObj(obj: StorageLocation): object;
}
