/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The configuration for a Twilio channel.
 */
export interface TwilioChannel extends model.Channel {
    /**
     * The Account SID for the Twilio number.
     */
    "accountSID": string;
    /**
     * The Twilio phone number.
     */
    "phoneNumber": string;
    /**
     * Whether MMS is enabled for this channel or not.
     */
    "isMmsEnabled": boolean;
    /**
     * The original connectors URL (used for backward compatibility).
     */
    "originalConnectorsUrl"?: string;
    /**
     * The ID of the Skill or Digital Assistant that the Channel is routed to.
     */
    "botId"?: string;
    /**
     * The URL to use to send messages to this channel.
     * This will be generally be used to configure a webhook in a 3rd party messaging system to send messages to this channel.
     *
     */
    "webhookUrl": string;
    "type": string;
}
export declare namespace TwilioChannel {
    function getJsonObj(obj: TwilioChannel, isParentJsonObj?: boolean): object;
    const type = "TWILIO";
    function getDeserializedJsonObj(obj: TwilioChannel, isParentJsonObj?: boolean): object;
}
