"use strict";
/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateChannelDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var UpdateChannelDetails;
(function (UpdateChannelDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "OSVC":
                    return model.UpdateOsvcChannelDetails.getJsonObj(jsonObj, true);
                case "OSS":
                    return model.UpdateOSSChannelDetails.getJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.UpdateAndroidChannelDetails.getJsonObj(jsonObj, true);
                case "MSTEAMS":
                    return model.UpdateMSTeamsChannelDetails.getJsonObj(jsonObj, true);
                case "APPEVENT":
                    return model.UpdateAppEventChannelDetails.getJsonObj(jsonObj, true);
                case "WEB":
                    return model.UpdateWebChannelDetails.getJsonObj(jsonObj, true);
                case "IOS":
                    return model.UpdateIosChannelDetails.getJsonObj(jsonObj, true);
                case "SLACK":
                    return model.UpdateSlackChannelDetails.getJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.UpdateServiceCloudChannelDetails.getJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.UpdateTwilioChannelDetails.getJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.UpdateWebhookChannelDetails.getJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.UpdateApplicationChannelDetails.getJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.UpdateFacebookChannelDetails.getJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.UpdateCortanaChannelDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    UpdateChannelDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "OSVC":
                    return model.UpdateOsvcChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "OSS":
                    return model.UpdateOSSChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "ANDROID":
                    return model.UpdateAndroidChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "MSTEAMS":
                    return model.UpdateMSTeamsChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "APPEVENT":
                    return model.UpdateAppEventChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "WEB":
                    return model.UpdateWebChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "IOS":
                    return model.UpdateIosChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "SLACK":
                    return model.UpdateSlackChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "SERVICECLOUD":
                    return model.UpdateServiceCloudChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "TWILIO":
                    return model.UpdateTwilioChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "WEBHOOK":
                    return model.UpdateWebhookChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "APPLICATION":
                    return model.UpdateApplicationChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "FACEBOOK":
                    return model.UpdateFacebookChannelDetails.getDeserializedJsonObj(jsonObj, true);
                case "CORTANA":
                    return model.UpdateCortanaChannelDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    UpdateChannelDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(UpdateChannelDetails = exports.UpdateChannelDetails || (exports.UpdateChannelDetails = {}));
//# sourceMappingURL=update-channel-details.js.map