/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Properties to update a Slack channel.
 */
export interface UpdateSlackChannelDetails extends model.UpdateChannelDetails {
    /**
     * The Slack Client Id for the Slack app.
     */
    "clientId"?: string;
    /**
     * The URL to redirect to when authentication is successful.
     */
    "authSuccessUrl"?: string;
    /**
     * The URL to redirect to when authentication is unsuccessful.
     */
    "authErrorUrl"?: string;
    /**
     * The Signing Secret for the Slack App.
     */
    "signingSecret"?: string;
    /**
     * The Client Secret for the Slack App.
     */
    "clientSecret"?: string;
    /**
     * The ID of the Skill or Digital Assistant that the Channel is routed to.
     */
    "botId"?: string;
    "type": string;
}
export declare namespace UpdateSlackChannelDetails {
    function getJsonObj(obj: UpdateSlackChannelDetails, isParentJsonObj?: boolean): object;
    const type = "SLACK";
    function getDeserializedJsonObj(obj: UpdateSlackChannelDetails, isParentJsonObj?: boolean): object;
}
