/**
 * Digital Assistant Service Instance API
 * API to create and maintain Oracle Digital Assistant service instances.
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A resource created or operated on by a work request.
 */
export interface WorkRequestResource {
    /**
     * The action to take against the resource.
     */
    "resourceAction": WorkRequestResource.ResourceAction;
    /**
     * The resource type that the work request affects.
     */
    "resourceType": string;
    /**
     * The identifier of the resource that is the subject of the request.
     */
    "resourceId": string;
    /**
     * The current state of the work request. The {@code SUCCEEDED}, {@code FAILED}, AND {@code CANCELED} states
     * correspond to the action being performed.
     *
     */
    "status": WorkRequestResource.Status;
    /**
     * Short message providing more detail for the current status. For example, if an operation fails
     * this may include information about the reason for the failure and a possible resolution.
     *
     */
    "statusMessage"?: string;
    /**
     * The URI path that the user can do a GET on to access the resource metadata.
     */
    "resourceUri"?: string;
}
export declare namespace WorkRequestResource {
    enum ResourceAction {
        Create = "CREATE",
        Update = "UPDATE",
        Delete = "DELETE",
        Purge = "PURGE",
        Recover = "RECOVER",
        Stop = "STOP",
        Start = "START",
        ChangeCompartment = "CHANGE_COMPARTMENT",
        ChangeCustEncKey = "CHANGE_CUST_ENC_KEY",
        DeactCustEncKey = "DEACT_CUST_ENC_KEY",
        CreateAssociation = "CREATE_ASSOCIATION",
        DeleteAssociation = "DELETE_ASSOCIATION",
        UpdateEntitlementsForCacct = "UPDATE_ENTITLEMENTS_FOR_CACCT",
        CreateOdaInstanceAttachment = "CREATE_ODA_INSTANCE_ATTACHMENT",
        UpdateOdaInstanceAttachment = "UPDATE_ODA_INSTANCE_ATTACHMENT",
        DeleteOdaInstanceAttachment = "DELETE_ODA_INSTANCE_ATTACHMENT",
        CreateImportedPackage = "CREATE_IMPORTED_PACKAGE",
        UpdateImportedPackage = "UPDATE_IMPORTED_PACKAGE",
        DeleteImportedPackage = "DELETE_IMPORTED_PACKAGE",
        Export = "EXPORT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum Status {
        Accepted = "ACCEPTED",
        InProgress = "IN_PROGRESS",
        Succeeded = "SUCCEEDED",
        Failed = "FAILED",
        Canceling = "CANCELING",
        Canceled = "CANCELED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
