/**
 *
 *
 * OpenAPI spec version: 20190506
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/oda/ListWorkRequests.ts.html |here} to see how to use ListWorkRequestsRequest.
 */
export interface ListWorkRequestsRequest extends common.BaseRequest {
    /**
     * List the Digital Assistant instances that belong to this compartment.
     */
    "compartmentId": string;
    /**
     * The client request ID for tracing. This value is included in the opc-request-id response header.
     */
    "opcRequestId"?: string;
    /**
     * List only the information for this Digital Assistant instance.
     */
    "odaInstanceId"?: string;
    /**
     * List only the information for this resource.
     */
    "resourceId"?: string;
    /**
   * The page at which to start retrieving results.
  * <p>
  You get this value from the {@code opc-next-page} header in a previous list request.
  * To retireve the first page, omit this query parameter.
  * <p>
  Example: {@code MToxMA==}
  *
   */
    "page"?: string;
    /**
     * The maximum number of items to return per page.
     */
    "limit"?: number;
    /**
   * The field to sort by. You can specify only one sort order. If no value is specified, then the default is {@code TIME_ACCEPTED}.
  * <p>
  The default sort order for the time fields is descending. The default order for {@code DISPLAYNAME} and {@code STATUS} is ascending.default: TIME_ACCEPTED
  *
   */
    "sortBy"?: ListWorkRequestsRequest.SortBy;
    /**
     * Sort the results in this order, use either {@code ASC} (ascending) or {@code DESC} (descending).
     */
    "sortOrder"?: ListWorkRequestsRequest.SortOrder;
}
export declare namespace ListWorkRequestsRequest {
    enum SortBy {
        OperationType = "OPERATION_TYPE",
        Status = "STATUS",
        TimeAccepted = "TIME_ACCEPTED",
        TimeStarted = "TIME_STARTED",
        TimeFinished = "TIME_FINISHED"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
