/**
 * OneSubscription APIs
 * OneSubscription APIs

 * OpenAPI spec version: 20190111
 * Contact: kuaskum_org_ww@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Invoice details
 *
 */
export interface InvoiceSummary {
    /**
     * SPM Document Number is an functional identifier for invoice in SPM
     *
     */
    "spmInvoiceNumber": string;
    /**
     * AR Invoice Numbers comma separated under one invoice
     *
     */
    "arInvoices"?: string;
    "billToCustomer": model.InvoicingBusinessPartner;
    "billToContact": model.InvoicingUser;
    "billToAddress": model.InvoicingAddress;
    /**
     * Payment Method
     *
     */
    "paymentMethod": string;
    "paymentTerm": model.InvoicingPaymentTerm;
    /**
     * Receipt Method of Payment Mode
     *
     */
    "receiptMethod"?: string;
    "currency": model.InvoicingCurrency;
    "organization": model.InvoicingOrganization;
    /**
     * Document Type in SPM like SPM Invoice,SPM Credit Memo etc.,
     *
     */
    "type": string;
    /**
     * Document Status in SPM which depicts current state of invoice
     *
     */
    "status": string;
    /**
     * Invoice associated subscription plan number.
     *
     */
    "subscriptionNumber": string;
    /**
     * Invoice Date
     *
     */
    "timeInvoiceDate": Date;
    /**
     * SPM Invocie creation date
     *
     */
    "timeCreated"?: Date;
    /**
     * User that executed SPM Invoice process
     *
     */
    "createdBy"?: string;
    /**
     * SPM Invoice updated date
     *
     */
    "timeUpdated"?: Date;
    /**
     * User that updated SPM Invoice
     *
     */
    "updatedBy"?: string;
    /**
     * Invoice Lines under particular invoice.
     *
     */
    "invoiceLines"?: Array<model.InvoiceLineSummary>;
}
export declare namespace InvoiceSummary {
    function getJsonObj(obj: InvoiceSummary): object;
    function getDeserializedJsonObj(obj: InvoiceSummary): object;
}
