/**
 * OneSubscription APIs
 * OneSubscription APIs

 * OpenAPI spec version: 20190111
 * Contact: kuaskum_org_ww@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Subscribed service contract details
 *
 */
export interface SubscribedServiceSummary {
    /**
     * SPM internal Subscribed Service ID
     *
     */
    "id": string;
    /**
     * Subscribed Service line type
     *
     */
    "type"?: string;
    /**
     * Subscribed service line number
     *
     */
    "serialNumber"?: string;
    /**
     * Subscription ID associated to the subscribed service
     *
     */
    "subscriptionId"?: string;
    "product"?: model.RateCardProduct;
    /**
     * Subscribed service start date
     *
     */
    "timeStart"?: Date;
    /**
     * Subscribed service end date
     *
     */
    "timeEnd"?: Date;
    /**
     * Subscribed service quantity
     *
     */
    "quantity"?: string;
    /**
     * Subscribed service status
     *
     */
    "status"?: string;
    /**
     * Subscribed service operation type
     *
     */
    "operationType"?: string;
    /**
     * Subscribed service net unit price
     *
     */
    "netUnitPrice"?: string;
    /**
     * Indicates the period for which the commitment amount can be utilised exceeding which the amount lapses. Also used in calculation of total contract line value
     *
     */
    "pricePeriod"?: string;
    /**
     * Subscribed service line net amount
     *
     */
    "lineNetAmount"?: string;
    /**
     * Indicates if the commitment lines can have different quantities
     *
     */
    "isVariableCommitment"?: boolean;
    /**
     * Indicates if a service can recieve usages and consequently have available amounts computed
     *
     */
    "isAllowance"?: boolean;
    /**
     * Subscribed service used amount
     *
     */
    "usedAmount"?: string;
    /**
     * Subscribed sercice available or remaining amount
     *
     */
    "availableAmount"?: string;
    /**
     * Funded Allocation line value
     * example: 12000.00
     *
     */
    "fundedAllocationValue"?: string;
    /**
     * Indicator on whether or not there has been usage for the subscribed service
     *
     */
    "isHavingUsage"?: boolean;
    /**
     * If true compares rate between ratecard and the active pricelist and minimum rate would be fetched
     *
     */
    "isCapToPriceList"?: boolean;
    /**
     * Subscribed service credit percentage
     *
     */
    "creditPercentage"?: string;
    /**
     * This field contains the name of the partner to which the subscription belongs - depending on which the invoicing may differ
     *
     */
    "partnerTransactionType"?: string;
    /**
     * Used in context of service credit lines
     *
     */
    "isCreditEnabled"?: boolean;
    /**
     * Overage Policy of Subscribed Service
     *
     */
    "overagePolicy"?: string;
    /**
     * Overage Bill To of Subscribed Service
     *
     */
    "overageBillTo"?: string;
    /**
     * Pay As You Go policy of Subscribed Service (Can be null - indicating no payg policy)
     *
     */
    "paygPolicy"?: string;
    /**
     * Not null if this service has an associated promotion line in SPM. Contains the line identifier from Order Management of
     * the associated promo line.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "promoOrderLineId"?: number;
    /**
     * Promotion Pricing Type of Subscribed Service (Can be null - indicating no promotion pricing)
     *
     */
    "promotionPricingType"?: string;
    /**
     * Subscribed service Rate Card Discount Percentage
     *
     */
    "rateCardDiscountPercentage"?: string;
    /**
     * Subscribed service Overage Discount Percentage
     *
     */
    "overageDiscountPercentage"?: string;
    "billToCustomer"?: model.SubscribedServiceBusinessPartner;
    "billToContact"?: model.SubscribedServiceUser;
    "billToAddress"?: model.SubscribedServiceAddress;
    /**
     * Payment Number of Subscribed Service
     *
     */
    "paymentNumber"?: string;
    /**
     * Subscribed service payment expiry date
     *
     */
    "timePaymentExpiry"?: Date;
    "paymentTerm"?: model.SubscribedServicePaymentTerm;
    /**
     * Payment Method of Subscribed Service
     *
     */
    "paymentMethod"?: string;
    /**
     * Subscribed service Transaction Extension Id
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "transactionExtensionId"?: number;
    /**
     * Sales Channel of Subscribed Service
     *
     */
    "salesChannel"?: string;
    /**
     * Subscribed service eligible to renew field
     *
     */
    "eligibleToRenew"?: string;
    /**
     * SPM renewed Subscription ID
     *
     */
    "renewedSubscribedServiceId"?: string;
    /**
     * Term value in Months
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "termValue"?: number;
    /**
     * Term value UOM
     *
     */
    "termValueUom"?: string;
    /**
     * Subscribed service Opportunity Id
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "renewalOptyId"?: number;
    /**
     * Renewal Opportunity Number of Subscribed Service
     *
     */
    "renewalOptyNumber"?: string;
    /**
     * Renewal Opportunity Type of Subscribed Service
     *
     */
    "renewalOptyType"?: string;
    /**
     * Booking Opportunity Number of Subscribed Service
     *
     */
    "bookingOptyNumber"?: string;
    /**
     * Subscribed service Revenue Line Id
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "revenueLineId"?: number;
    /**
     * Revenue Line NUmber of Subscribed Service
     *
     */
    "revenueLineNumber"?: string;
    /**
     * Subscribed service Major Set
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "majorSet"?: number;
    /**
     * Subscribed service Major Set Start date
     *
     */
    "timeMajorsetStart"?: Date;
    /**
     * Subscribed service Major Set End date
     *
     */
    "timeMajorsetEnd"?: Date;
    /**
     * Subscribed service System ARR
     *
     */
    "systemArrInLc"?: string;
    /**
     * Subscribed service System ARR in Standard Currency
     *
     */
    "systemArrInSc"?: string;
    /**
     * Subscribed service System ATR-ARR
     *
     */
    "systemAtrArrInLc"?: string;
    /**
     * Subscribed service System ATR-ARR in Standard Currency
     *
     */
    "systemAtrArrInSc"?: string;
    /**
     * Subscribed service Revised ARR
     *
     */
    "revisedArrInLc"?: string;
    /**
     * Subscribed service Revised ARR in Standard Currency
     *
     */
    "revisedArrInSc"?: string;
    /**
     * Subscribed service total value
     *
     */
    "totalValue"?: string;
    /**
     * Subscribed service Promotion Amount
     *
     */
    "originalPromoAmount"?: string;
    /**
     * Sales Order Header associated to the subscribed service
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "orderHeaderId"?: number;
    /**
     * Sales Order Number associated to the subscribed service
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "orderNumber"?: number;
    /**
     * Order Type of Subscribed Service
     *
     */
    "orderType"?: string;
    /**
     * Sales Order Line Id associated to the subscribed service
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "orderLineId"?: number;
    /**
     * Sales Order Line Number associated to the subscribed service
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "orderLineNumber"?: number;
    /**
     * Subscribed service commitment schedule Id
     *
     */
    "commitmentScheduleId"?: string;
    /**
     * Subscribed service sales account party id
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "salesAccountPartyId"?: number;
    /**
     * Subscribed service data center
     *
     */
    "dataCenter"?: string;
    /**
     * Subscribed service data center region
     *
     */
    "dataCenterRegion"?: string;
    /**
     * Subscribed service admin email id
     *
     */
    "adminEmail"?: string;
    /**
     * Subscribed service buyer email id
     *
     */
    "buyerEmail"?: string;
    /**
     * Subscribed service source
     *
     */
    "subscriptionSource"?: string;
    /**
     * Subscribed service provisioning source
     *
     */
    "provisioningSource"?: string;
    /**
     * Subscribed service fulfillment set
     *
     */
    "fulfillmentSet"?: string;
    /**
     * Subscribed service intent to pay flag
     *
     */
    "isIntentToPay"?: boolean;
    /**
     * Subscribed service payg flag
     *
     */
    "isPayg"?: boolean;
    /**
     * Subscribed service pricing model
     *
     */
    "pricingModel"?: string;
    /**
     * Subscribed service program type
     *
     */
    "programType"?: string;
    /**
     * Subscribed service start date type
     *
     */
    "startDateType"?: string;
    /**
     * Subscribed service provisioning date
     *
     */
    "timeProvisioned"?: Date;
    /**
     * Subscribed service promotion type
     *
     */
    "promoType"?: string;
    "serviceToCustomer"?: model.SubscribedServiceBusinessPartner;
    "serviceToContact"?: model.SubscribedServiceUser;
    "serviceToAddress"?: model.SubscribedServiceAddress;
    "soldToCustomer"?: model.SubscribedServiceBusinessPartner;
    "soldToContact"?: model.SubscribedServiceUser;
    "endUserCustomer"?: model.SubscribedServiceBusinessPartner;
    "endUserContact"?: model.SubscribedServiceUser;
    "endUserAddress"?: model.SubscribedServiceAddress;
    "resellerCustomer"?: model.SubscribedServiceBusinessPartner;
    "resellerContact"?: model.SubscribedServiceUser;
    "resellerAddress"?: model.SubscribedServiceAddress;
    /**
     * Subscribed service CSI number
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "csi"?: number;
    /**
     * Identifier for a customer's transactions for purchase of ay oracle services
     *
     */
    "customerTransactionReference"?: string;
    /**
     * Subscribed service partner credit amount
     *
     */
    "partnerCreditAmount"?: string;
    /**
     * Indicates if the Subscribed service has a single ratecard
     *
     */
    "isSingleRateCard"?: boolean;
    /**
     * Subscribed service agreement ID
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "agreementId"?: number;
    /**
     * Subscribed service agrrement name
     *
     */
    "agreementName"?: string;
    /**
     * Subscribed service agrrement type
     *
     */
    "agreementType"?: string;
    /**
     * Subscribed service invoice frequency
     *
     */
    "billingFrequency"?: string;
    /**
     * Subscribed service welcome email sent date
     *
     */
    "timeWelcomeEmailSent"?: Date;
    /**
     * Subscribed service service configuration email sent date
     *
     */
    "timeServiceConfigurationEmailSent"?: Date;
    /**
     * Subscribed service customer config date
     *
     */
    "timeCustomerConfig"?: Date;
    /**
     * Subscribed service agrrement end date
     *
     */
    "timeAgreementEnd"?: Date;
    /**
     * Subscribed service creation date
     *
     */
    "timeCreated"?: Date;
    /**
     * User that created the subscribed service
     *
     */
    "createdBy"?: string;
    /**
     * Subscribed service last update date
     *
     */
    "timeUpdated"?: Date;
    /**
     * User that updated the subscribed service
     *
     */
    "updatedBy"?: string;
    /**
     * SPM Ratecard Type
     *
     */
    "ratecardType"?: string;
}
export declare namespace SubscribedServiceSummary {
    function getJsonObj(obj: SubscribedServiceSummary): object;
    function getDeserializedJsonObj(obj: SubscribedServiceSummary): object;
}
