/**
 *
 *
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/ons/PublishMessage.ts.html |here} to see how to use PublishMessageRequest.
 */
export interface PublishMessageRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the topic.
     *
     */
    "topicId": string;
    /**
     * The message to publish.
     */
    "messageDetails": model.MessageDetails;
    /**
     * The unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
   * **Deprecated.**
  * Support for JSON is deprecated.
  * You can send a JSON payload even when transmitting the payload as a raw string.
  * Configure your receiving system to read the raw payload as JSON format.
  * <p>
  Type of message body in the request.
  * For {@code messageType} of JSON, a default key-value pair is required. Example: {@code {\"default\": \"Alarm breached\", \"Email\": \"Alarm breached: <url>\"}.}
  *
   */
    "messageType"?: PublishMessageRequest.MessageType;
}
export declare namespace PublishMessageRequest {
    enum MessageType {
        Json = "JSON",
        RawText = "RAW_TEXT"
    }
}
