/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about a cluster backup event.
 */
export interface BackupEventDetails {
    /**
     * The OCID of the OpenSearch cluster for the cluster backup.
     */
    "clusterId": string;
    /**
     * The result of the cluster backup operation.
     */
    "backupState": model.BackupState;
    /**
     * The name of the cluster backup.
     */
    "snapshotName"?: string;
    /**
     * The date and time the cluster backup event started. Format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeStarted": Date;
    /**
     * The date and time the cluster backup event started. Format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeEnded": Date;
    /**
     * The cluster backup size in GB. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "backupSize"?: number;
}
export declare namespace BackupEventDetails {
    function getJsonObj(obj: BackupEventDetails): object;
    function getDeserializedJsonObj(obj: BackupEventDetails): object;
}
