/**
 * OpenSearch Service API
 * The OpenSearch service API provides access to OCI Search Service with OpenSearch.
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information about the cluster backup to export.
 */
export interface ExportOpensearchClusterBackupDetails {
    /**
     * The OCID of the compartment where the Object Storage resources for the cluster backup are located.
     */
    "compartmentId"?: string;
    /**
     * The Object Storage namespace for the cluster backup export operation.
     */
    "objectStorageNamespace": string;
    /**
     * The name of the Object Storage bucket for the cluster backup export operation.
     */
    "objectStorageBucketName": string;
    /**
     * The prefix within the Object Storage bucket for the cluster backup export operation.
     */
    "objectStoragePrefix"?: string;
    /**
     * The name of the snapshot for the cluster backup export operation.
     */
    "snapshotName": string;
    /**
     * The name of the repository containing the snapshots for the cluster backup export operation.
     */
    "repositoryName": string;
    /**
     * The prefix within object storage bucket for the cluster backup export operation.
     */
    "prefix": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace ExportOpensearchClusterBackupDetails {
    function getJsonObj(obj: ExportOpensearchClusterBackupDetails): object;
    function getDeserializedJsonObj(obj: ExportOpensearchClusterBackupDetails): object;
}
