/**
 * OperatorAccessControl API
 * Operator Access Control enables you to control the time duration and the actions an Oracle operator can perform on your Exadata Cloud@Customer infrastructure.
Using logging service, you can view a near real-time audit report of all actions performed by an Oracle operator.

Use the table of contents and search tool to explore the OperatorAccessControl API.

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of access request status.
 */
export interface AccessRequestHistorySummary {
    /**
     * The current state of the AccessRequest.
     */
    "lifecycleState"?: model.AccessRequestLifecycleStates;
    /**
     * Approver who modified the access request.
     */
    "userId"?: string;
    /**
     * Reason or description about the cause of change.
     */
    "description"?: string;
    /**
     * Duration for approval of request or extension depending on the type of action. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "duration"?: number;
    /**
     * Whether the access request was automatically approved.
     */
    "isAutoApproved"?: boolean;
    /**
     * List of operator actions for which approvals were requested by the operator.
     */
    "actionsList"?: Array<string>;
    /**
     * Time when the respective action happened in [RFC 3339](https://tools.ietf.org/html/rfc3339)timestamp format. Example: '2020-05-22T21:10:29.600Z'
     *
     */
    "timeOfAction"?: Date;
}
export declare namespace AccessRequestHistorySummary {
    function getJsonObj(obj: AccessRequestHistorySummary): object;
    function getDeserializedJsonObj(obj: AccessRequestHistorySummary): object;
}
