/**
 * OperatorAccessControl API
 * Operator Access Control enables you to control the time duration and the actions an Oracle operator can perform on your Exadata Cloud@Customer infrastructure.
Using logging service, you can view a near real-time audit report of all actions performed by an Oracle operator.

Use the table of contents and search tool to explore the OperatorAccessControl API.

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of access request customer and operator conversation.
 */
export interface InteractionSummary {
    /**
     * The uniqueId of the message.
     */
    "id"?: string;
    /**
     * customer or operator id who is part of this conversation.
     */
    "userId"?: string;
    /**
     * customer or operator Name who is part of this conversation.
     */
    "userName"?: string;
    /**
     * contains the information exchanged between operator and customer.
     */
    "message"?: string;
    /**
     * Whether the userConversation is an operator or customer.
     */
    "userType"?: string;
    /**
     * Time when the conversation happened in [RFC 3339](https://tools.ietf.org/html/rfc3339)timestamp format. Example: '2020-05-22T21:10:29.600Z'
     *
     */
    "timeOfConversation"?: Date;
}
export declare namespace InteractionSummary {
    function getJsonObj(obj: InteractionSummary): object;
    function getDeserializedJsonObj(obj: InteractionSummary): object;
}
