/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summarizes change history for specific database parameter
 */
export interface AddmDbParameterAggregation {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Database insight.
     */
    "id": string;
    /**
     * Name of  parameter
     */
    "name": string;
    /**
     * Number of database instance Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instNum"?: number;
    /**
     * Parameter default value
     */
    "defaultValue"?: string;
    /**
     * Parameter value when time period began
     */
    "beginValue"?: string;
    /**
     * Parameter value when time period ended
     */
    "endValue"?: string;
    /**
     * Indicates whether the parameter's value changed during the selected time range (TRUE) or
     * did not change during the selected time range (FALSE)
     *
     */
    "isChanged": boolean;
    /**
     * Indicates whether the parameter's end value was set to the default value (TRUE) or was
     * specified in the parameter file (FALSE)
     *
     */
    "isDefault"?: boolean;
    /**
     * Indicates whether the parameter has been modified after instance starup
     * MODIFIED - Parameter has been modified with ALTER SESSION
     * SYSTEM_MOD - Parameter has been modified with ALTER SYSTEM
     * FALSE - Parameter has not been modified after instance starup
     *
     */
    "valueModified"?: string;
    /**
     * Indicates whether the parameter is a high impact parameter (TRUE) or not (FALSE)
     *
     */
    "isHighImpact"?: boolean;
}
export declare namespace AddmDbParameterAggregation {
    function getJsonObj(obj: AddmDbParameterAggregation): object;
    function getDeserializedJsonObj(obj: AddmDbParameterAggregation): object;
}
