/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Change record for AWR database parameter
 */
export interface AddmDbParameterChangeAggregation {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Database insight.
     */
    "id": string;
    /**
     * Begin time of interval which includes change
     */
    "timeBegin": Date;
    /**
     * End time of interval which includes change
     */
    "timeEnd": Date;
    /**
     * Instance number Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instNum": number;
    /**
     * Previous value
     */
    "previousValue"?: string;
    /**
     * Current value
     */
    "value"?: string;
    /**
     * AWR snapshot id which includes the parameter value change Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "snapshotId": number;
}
export declare namespace AddmDbParameterChangeAggregation {
    function getJsonObj(obj: AddmDbParameterChangeAggregation): object;
    function getDeserializedJsonObj(obj: AddmDbParameterChangeAggregation): object;
}
