/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summarizes a specific ADDM recommendation
 */
export interface AddmDbRecommendationAggregation {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Database insight.
     */
    "id": string;
    /**
     * Type of recommendation
     */
    "type"?: string;
    /**
     * Recommendation message
     */
    "message": string;
    /**
     * Indicates implementation of the recommended action requires a database restart in order for it
     * to take effect. Possible values \"Y\", \"N\" and null.
     *
     */
    "requiresDbRestart"?: string;
    /**
     * Actions that can be performed to implement the recommendation (such as 'ALTER PARAMETER',
     * 'RUN SQL TUNING ADVISOR')
     *
     */
    "implementActions"?: Array<string>;
    /**
     * Recommendation message
     */
    "rationale"?: string;
    /**
     * Maximum estimated benefit in terms of percentage of total activity Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxBenefitPercent"?: number;
    /**
     * Overall estimated benefit in terms of percentage of total activity Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "overallBenefitPercent"?: number;
    /**
     * Maximum estimated benefit in terms of average active sessions Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxBenefitAvgActiveSessions"?: number;
    /**
     * Number of occurrences for this recommendation Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "frequencyCount"?: number;
    "relatedObject"?: model.SqlTypeDetails | model.SchemaObjectTypeDetails | model.DatabaseParameterTypeDetails;
}
export declare namespace AddmDbRecommendationAggregation {
    function getJsonObj(obj: AddmDbRecommendationAggregation): object;
    function getDeserializedJsonObj(obj: AddmDbRecommendationAggregation): object;
}
