/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The summary of the AWR metric data for a particular metric at a specific time.
 */
export interface AwrDatabaseMetricSummary {
    /**
     * The name of the metric.
     */
    "name": string;
    /**
     * The time of the sampling.
     */
    "timestamp"?: Date;
    /**
     * The average value of the sampling period. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "avgValue"?: number;
    /**
     * The minimum value of the sampling period. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minValue"?: number;
    /**
     * The maximum value of the sampling period. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxValue"?: number;
}
export declare namespace AwrDatabaseMetricSummary {
    function getJsonObj(obj: AwrDatabaseMetricSummary): object;
    function getDeserializedJsonObj(obj: AwrDatabaseMetricSummary): object;
}
