/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The result of the AWR SQL report.
 */
export interface AwrDatabaseSqlReport extends model.AwrQueryResult {
    /**
     * The content of the report.
     */
    "content"?: string;
    /**
     * The format of the report.
     */
    "format"?: AwrDatabaseSqlReport.Format;
    "awrResultType": string;
}
export declare namespace AwrDatabaseSqlReport {
    enum Format {
        Html = "HTML",
        Text = "TEXT",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AwrDatabaseSqlReport, isParentJsonObj?: boolean): object;
    const awrResultType = "AWRDB_SQL_REPORT";
    function getDeserializedJsonObj(obj: AwrDatabaseSqlReport, isParentJsonObj?: boolean): object;
}
