/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * source types of the databases
 **/
export declare enum AwrHubSourceType {
    AdwS = "ADW_S",
    AtpS = "ATP_S",
    AdwD = "ADW_D",
    AtpD = "ATP_D",
    ExternalPdb = "EXTERNAL_PDB",
    ExternalNoncdb = "EXTERNAL_NONCDB",
    ComanagedVmCdb = "COMANAGED_VM_CDB",
    ComanagedVmPdb = "COMANAGED_VM_PDB",
    ComanagedVmNoncdb = "COMANAGED_VM_NONCDB",
    ComanagedBmCdb = "COMANAGED_BM_CDB",
    ComanagedBmPdb = "COMANAGED_BM_PDB",
    ComanagedBmNoncdb = "COMANAGED_BM_NONCDB",
    ComanagedExacsCdb = "COMANAGED_EXACS_CDB",
    ComanagedExacsPdb = "COMANAGED_EXACS_PDB",
    ComanagedExacsNoncdb = "COMANAGED_EXACS_NONCDB",
    Undefined = "UNDEFINED",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace AwrHubSourceType {
    function getJsonObj(obj: AwrHubSourceType): AwrHubSourceType;
    function getDeserializedJsonObj(obj: AwrHubSourceType): AwrHubSourceType;
}
