/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of an AwrSource.
 */
export interface AwrSourceSummary {
    /**
     * AWR Hub OCID
     */
    "awrHubId": string;
    /**
     * Database name of the Source database for which AWR Data will be uploaded to AWR Hub.
     */
    "name": string;
    /**
     * DatabaseId of the Source database for which AWR Data will be uploaded to AWR Hub.
     */
    "awrSourceDatabaseId": string;
    /**
     * Number of AWR snapshots uploaded from the Source database. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "snapshotsUploaded": number;
    /**
     * The minimum snapshot identifier of the source database for which AWR data is uploaded to AWR Hub. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minSnapshotIdentifier": number;
    /**
     * The maximum snapshot identifier of the source database for which AWR data is uploaded to AWR Hub. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxSnapshotIdentifier": number;
    /**
     * The time at which the earliest snapshot was generated in the source database for which data is uploaded to AWR Hub. An RFC3339 formatted datetime string
     */
    "timeFirstSnapshotGenerated": Date;
    /**
     * The time at which the latest snapshot was generated in the source database for which data is uploaded to AWR Hub. An RFC3339 formatted datetime string
     */
    "timeLastSnapshotGenerated": Date;
    /**
     * Number of hours since last AWR snapshots import happened from the Source database. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "hoursSinceLastImport": number;
}
export declare namespace AwrSourceSummary {
    function getJsonObj(obj: AwrSourceSummary): object;
    function getDeserializedJsonObj(obj: AwrSourceSummary): object;
}
