/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the Exadata system to be analyzed. If memberEntityDetails is not specified, the the Enterprise Manager entity (e.g. databases and hosts) associated with an Exadata system will be placed in the same compartment as the Exadata system.
 */
export interface CreateEmManagedExternalExadataInsightDetails extends model.CreateExadataInsightDetails {
    /**
     * Enterprise Manager Unique Identifier
     */
    "enterpriseManagerIdentifier": string;
    /**
     * OPSI Enterprise Manager Bridge OCID
     */
    "enterpriseManagerBridgeId": string;
    /**
     * Enterprise Manager Entity Unique Identifier
     */
    "enterpriseManagerEntityIdentifier": string;
    "memberEntityDetails"?: Array<model.CreateEmManagedExternalExadataMemberEntityDetails>;
    /**
     * Set to true to enable automatic enablement and disablement of related targets from Enterprise Manager. New resources (e.g. Database Insights) will be placed in the same compartment as the related Exadata Insight.
     */
    "isAutoSyncEnabled"?: boolean;
    "entitySource": string;
}
export declare namespace CreateEmManagedExternalExadataInsightDetails {
    function getJsonObj(obj: CreateEmManagedExternalExadataInsightDetails, isParentJsonObj?: boolean): object;
    const entitySource = "EM_MANAGED_EXTERNAL_EXADATA";
    function getDeserializedJsonObj(obj: CreateEmManagedExternalExadataInsightDetails, isParentJsonObj?: boolean): object;
}
