/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Compartment [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Enterprise Manager member entity (e.g. databases and hosts) associated with an Exadata system.
 */
export interface CreateEmManagedExternalExadataMemberEntityDetails {
    /**
     * Enterprise Manager Entity Unique Identifier
     */
    "enterpriseManagerEntityIdentifier": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId": string;
}
export declare namespace CreateEmManagedExternalExadataMemberEntityDetails {
    function getJsonObj(obj: CreateEmManagedExternalExadataMemberEntityDetails): object;
    function getDeserializedJsonObj(obj: CreateEmManagedExternalExadataMemberEntityDetails): object;
}
