/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about the MACS-managed external host to be analyzed.
 */
export interface CreateMacsManagedExternalHostInsightDetails extends model.CreateHostInsightDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Management Agent
     */
    "managementAgentId": string;
    "entitySource": string;
}
export declare namespace CreateMacsManagedExternalHostInsightDetails {
    function getJsonObj(obj: CreateMacsManagedExternalHostInsightDetails, isParentJsonObj?: boolean): object;
    const entitySource = "MACS_MANAGED_EXTERNAL_HOST";
    function getDeserializedJsonObj(obj: CreateMacsManagedExternalHostInsightDetails, isParentJsonObj?: boolean): object;
}
