/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The details used to create a new Operation Insights private endpoint.
 */
export interface CreateOperationsInsightsPrivateEndpointDetails {
    /**
     * The display name for the private endpoint. It is changeable.
     */
    "displayName": string;
    /**
     * The compartment [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Private service accessed database.
     */
    "compartmentId": string;
    /**
     * The VCN [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Private service accessed database.
     */
    "vcnId": string;
    /**
     * The Subnet [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Private service accessed database.
     */
    "subnetId": string;
    /**
     * This flag was previously used to create a private endpoint with scan proxy. Setting this to true will now create a private endpoint with a
     * DNS proxy causing {@code isProxyEnabled} flag to be true; this is used exclusively for full feature support for dedicated Autonomous Databases.
     *
     */
    "isUsedForRacDbs": boolean;
    /**
     * The description of the private endpoint.
     */
    "description"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the network security groups that the private endpoint belongs to.
     *
     */
    "nsgIds"?: Array<string>;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateOperationsInsightsPrivateEndpointDetails {
    function getJsonObj(obj: CreateOperationsInsightsPrivateEndpointDetails): object;
    function getDeserializedJsonObj(obj: CreateOperationsInsightsPrivateEndpointDetails): object;
}
