"use strict";
/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreatePeComanagedDatabaseInsightDetails = void 0;
const model = __importStar(require("../model"));
var CreatePeComanagedDatabaseInsightDetails;
(function (CreatePeComanagedDatabaseInsightDetails) {
    let DeploymentType;
    (function (DeploymentType) {
        DeploymentType["VirtualMachine"] = "VIRTUAL_MACHINE";
        DeploymentType["BareMetal"] = "BARE_METAL";
        DeploymentType["Exacs"] = "EXACS";
    })(DeploymentType = CreatePeComanagedDatabaseInsightDetails.DeploymentType || (CreatePeComanagedDatabaseInsightDetails.DeploymentType = {}));
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.CreateDatabaseInsightDetails.getJsonObj(obj))), {
            "credentialDetails": obj.credentialDetails
                ? model.CredentialDetails.getJsonObj(obj.credentialDetails)
                : undefined,
            "connectionDetails": obj.connectionDetails
                ? model.PeComanagedDatabaseConnectionDetails.getJsonObj(obj.connectionDetails)
                : undefined
        });
        return jsonObj;
    }
    CreatePeComanagedDatabaseInsightDetails.getJsonObj = getJsonObj;
    CreatePeComanagedDatabaseInsightDetails.entitySource = "PE_COMANAGED_DATABASE";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.CreateDatabaseInsightDetails.getDeserializedJsonObj(obj))), {
            "credentialDetails": obj.credentialDetails
                ? model.CredentialDetails.getDeserializedJsonObj(obj.credentialDetails)
                : undefined,
            "connectionDetails": obj.connectionDetails
                ? model.PeComanagedDatabaseConnectionDetails.getDeserializedJsonObj(obj.connectionDetails)
                : undefined
        });
        return jsonObj;
    }
    CreatePeComanagedDatabaseInsightDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(CreatePeComanagedDatabaseInsightDetails = exports.CreatePeComanagedDatabaseInsightDetails || (exports.CreatePeComanagedDatabaseInsightDetails = {}));
//# sourceMappingURL=create-pe-comanaged-database-insight-details.js.map