/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Configuration parameters defined for external databases instance level.
 */
export interface DBOSConfigInstance extends model.DatabaseConfigurationMetricGroup {
    /**
     * Name of the database instance.
     */
    "instanceName": string;
    /**
     * Host name of the database instance.
     */
    "hostName": string;
    /**
     * Total number of CPUs available. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numCPUs"?: number;
    /**
     * Number of CPU cores available (includes subcores of multicore CPUs as well as single-core CPUs). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numCPUCores"?: number;
    /**
     * Number of CPU Sockets available. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "numCPUSockets"?: number;
    /**
     * Total number of bytes of physical memory. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "physicalMemoryBytes"?: number;
    "metricName": string;
}
export declare namespace DBOSConfigInstance {
    function getJsonObj(obj: DBOSConfigInstance, isParentJsonObj?: boolean): object;
    const metricName = "DB_OS_CONFIG_INSTANCE";
    function getDeserializedJsonObj(obj: DBOSConfigInstance, isParentJsonObj?: boolean): object;
}
