/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Metadata of a column in a data object resultset.
 */
export interface DataObjectColumnMetadata {
    /**
     * Name of the column.
     */
    "name": string;
    /**
     * Category of the column.
     */
    "category"?: DataObjectColumnMetadata.Category;
    /**
     * Type of a data object column.
     */
    "dataType"?: string;
    /**
     * Type name of a data object column.
     */
    "dataTypeName"?: DataObjectColumnMetadata.DataTypeName;
    /**
     * Display name of the column.
     */
    "displayName"?: string;
    /**
     * Description of the column.
     */
    "description"?: string;
    /**
     * Group name of the column.
     */
    "groupName"?: string;
    "unitDetails"?: model.DataObjectCoreColumnUnit | model.DataObjectTimeColumnUnit | model.DataObjectOtherStandardColumnUnit | model.DataObjectCustomColumnUnit | model.DataObjectTemperatureColumnUnit | model.DataObjectPowerColumnUnit | model.DataObjectRateColumnUnit | model.DataObjectFrequencyColumnUnit | model.DataObjectDataSizeColumnUnit;
}
export declare namespace DataObjectColumnMetadata {
    enum Category {
        Dimension = "DIMENSION",
        Metric = "METRIC",
        TimeDimension = "TIME_DIMENSION",
        Unknown = "UNKNOWN",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum DataTypeName {
        Number = "NUMBER",
        Timestamp = "TIMESTAMP",
        Varchar2 = "VARCHAR2",
        Other = "OTHER",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DataObjectColumnMetadata): object;
    function getDeserializedJsonObj(obj: DataObjectColumnMetadata): object;
}
