"use strict";
/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataObjectColumnUnit = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var DataObjectColumnUnit;
(function (DataObjectColumnUnit) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "unitCategory" in obj && obj.unitCategory) {
            switch (obj.unitCategory) {
                case "CORE":
                    return model.DataObjectCoreColumnUnit.getJsonObj(jsonObj, true);
                case "TIME":
                    return model.DataObjectTimeColumnUnit.getJsonObj(jsonObj, true);
                case "OTHER_STANDARD":
                    return model.DataObjectOtherStandardColumnUnit.getJsonObj(jsonObj, true);
                case "CUSTOM":
                    return model.DataObjectCustomColumnUnit.getJsonObj(jsonObj, true);
                case "TEMPERATURE":
                    return model.DataObjectTemperatureColumnUnit.getJsonObj(jsonObj, true);
                case "POWER":
                    return model.DataObjectPowerColumnUnit.getJsonObj(jsonObj, true);
                case "RATE":
                    return model.DataObjectRateColumnUnit.getJsonObj(jsonObj, true);
                case "FREQUENCY":
                    return model.DataObjectFrequencyColumnUnit.getJsonObj(jsonObj, true);
                case "DATA_SIZE":
                    return model.DataObjectDataSizeColumnUnit.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.unitCategory}`);
            }
        }
        return jsonObj;
    }
    DataObjectColumnUnit.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "unitCategory" in obj && obj.unitCategory) {
            switch (obj.unitCategory) {
                case "CORE":
                    return model.DataObjectCoreColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "TIME":
                    return model.DataObjectTimeColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "OTHER_STANDARD":
                    return model.DataObjectOtherStandardColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "CUSTOM":
                    return model.DataObjectCustomColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "TEMPERATURE":
                    return model.DataObjectTemperatureColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "POWER":
                    return model.DataObjectPowerColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "RATE":
                    return model.DataObjectRateColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "FREQUENCY":
                    return model.DataObjectFrequencyColumnUnit.getDeserializedJsonObj(jsonObj, true);
                case "DATA_SIZE":
                    return model.DataObjectDataSizeColumnUnit.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.unitCategory}`);
            }
        }
        return jsonObj;
    }
    DataObjectColumnUnit.getDeserializedJsonObj = getDeserializedJsonObj;
})(DataObjectColumnUnit = exports.DataObjectColumnUnit || (exports.DataObjectColumnUnit = {}));
//# sourceMappingURL=data-object-column-unit.js.map