/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Unit details of a data object column of OTHER_STANDARD unit category.
 */
export interface DataObjectOtherStandardColumnUnit extends model.DataObjectColumnUnit {
    /**
     * Other standard column unit.
     */
    "unit"?: DataObjectOtherStandardColumnUnit.Unit;
    "unitCategory": string;
}
export declare namespace DataObjectOtherStandardColumnUnit {
    enum Unit {
        Percentage = "PERCENTAGE",
        Count = "COUNT",
        Io = "IO",
        Boolean = "BOOLEAN",
        Operation = "OPERATION",
        Transaction = "TRANSACTION",
        Connection = "CONNECTION",
        Access = "ACCESS",
        Request = "REQUEST",
        Message = "MESSAGE",
        Execution = "EXECUTION",
        Logons = "LOGONS",
        Thread = "THREAD",
        Error = "ERROR",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DataObjectOtherStandardColumnUnit, isParentJsonObj?: boolean): object;
    const unitCategory = "OTHER_STANDARD";
    function getDeserializedJsonObj(obj: DataObjectOtherStandardColumnUnit, isParentJsonObj?: boolean): object;
}
