/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Partial information about the exadata which includes id, name and vmclusterNames.
 */
export interface ExadataDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of exadata insight resource.
     */
    "id": string;
    /**
     * Name of exadata insight resource.
     */
    "name": string;
    /**
     * Array of vm cluster names. Applicable for ExaCC and ExaCS.
     */
    "vmclusterNames"?: Array<string>;
}
export declare namespace ExadataDetails {
    function getJsonObj(obj: ExadataDetails): object;
    function getDeserializedJsonObj(obj: ExadataDetails): object;
}
