/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Object containing current utilization, projected utilization, id and daysToReach high and low utilization value.
 */
export interface ExadataInsightResourceInsightUtilizationItem {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Exadata insight.
     */
    "exadataInsightId": string;
    /**
     * The user-friendly name for the Exadata system. The name does not have to be unique.
     */
    "exadataDisplayName"?: string;
    /**
     * Current utilization Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "currentUtilization": number;
    /**
     * Projected utilization Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "projectedUtilization": number;
    /**
     * Days to reach projected high utilization Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "daysToReachHighUtilization": number;
    /**
     * Days to reach projected low utilization Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "daysToReachLowUtilization": number;
}
export declare namespace ExadataInsightResourceInsightUtilizationItem {
    function getJsonObj(obj: ExadataInsightResourceInsightUtilizationItem): object;
    function getDeserializedJsonObj(obj: ExadataInsightResourceInsightUtilizationItem): object;
}
