/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Partial definition of the exadata insight resource.
 */
export interface ExadataMemberCollection {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Exadata insight.
     */
    "exadataInsightId": string;
    /**
     * The Exadata system name. If the Exadata systems managed by Enterprise Manager, the name is unique amongst the Exadata systems managed by the same Enterprise Manager.
     */
    "exadataName": string;
    /**
     * The user-friendly name for the Exadata system. The name does not have to be unique.
     */
    "exadataDisplayName": string;
    /**
     * Operations Insights internal representation of the the Exadata system type.
     */
    "exadataType": model.ExadataType;
    /**
     * Exadata rack type.
     */
    "exadataRackType": model.ExadataRackType;
    /**
     * Collection of Exadata members
     */
    "items": Array<model.ExadataMemberSummary>;
}
export declare namespace ExadataMemberCollection {
    function getJsonObj(obj: ExadataMemberCollection): object;
    function getDeserializedJsonObj(obj: ExadataMemberCollection): object;
}
