/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * CPU Hardware Configuration metric for the host
 *
 */
export interface HostCpuHardwareConfiguration extends model.HostConfigurationMetricGroup {
    /**
     * Total number of CPU Sockets Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalSockets"?: number;
    /**
     * Name of the CPU vendor
     */
    "vendorName"?: string;
    /**
     * Clock frequency of the processor in megahertz Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "frequencyInMhz"?: number;
    /**
     * Size of cache memory in megabytes Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "cacheInMB"?: number;
    /**
     * Model name of processor
     */
    "cpuImplementation"?: string;
    /**
     * CPU model
     */
    "model"?: string;
    /**
     * Type of processor in the system
     */
    "cpuFamily"?: string;
    /**
     * Number of cores per socket Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "coresPerSocket"?: number;
    /**
     * Number of threads per socket Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "threadsPerSocket"?: number;
    /**
     * Indicates if hyper-threading is enabled or not
     */
    "hyperThreadingEnabled"?: string;
    "metricName": string;
}
export declare namespace HostCpuHardwareConfiguration {
    function getJsonObj(obj: HostCpuHardwareConfiguration, isParentJsonObj?: boolean): object;
    const metricName = "HOST_CPU_HARDWARE_CONFIGURATION";
    function getDeserializedJsonObj(obj: HostCpuHardwareConfiguration, isParentJsonObj?: boolean): object;
}
