/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Filesystem Configuration metric for the host.
 *
 */
export interface HostFilesystemConfiguration extends model.HostConfigurationMetricGroup {
    /**
     * Name of filesystem
     */
    "fileSystemName": string;
    /**
     * Mount points are specialized NTFS filesystem objects
     */
    "mountPoint": string;
    /**
     * Size of filesystem Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fileSystemSizeInGB": number;
    "metricName": string;
}
export declare namespace HostFilesystemConfiguration {
    function getJsonObj(obj: HostFilesystemConfiguration, isParentJsonObj?: boolean): object;
    const metricName = "HOST_FILESYSTEM_CONFIGURATION";
    function getDeserializedJsonObj(obj: HostFilesystemConfiguration, isParentJsonObj?: boolean): object;
}
