/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * GPU processes metrics, processes using GPUs.
 *
 */
export interface HostGpuProcesses extends model.HostPerformanceMetricGroup {
    /**
     * GPU Identifier Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "gpuId"?: number;
    /**
     * Process Identifier Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "pid"?: number;
    /**
     * Process Name (process using GPU)
     */
    "processName"?: string;
    /**
     * Process elapsed time Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "elapsedTime"?: number;
    /**
     * Memory Used by Process in MBs Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "gpuMemoryUsage"?: number;
    "metricName": string;
}
export declare namespace HostGpuProcesses {
    function getJsonObj(obj: HostGpuProcesses, isParentJsonObj?: boolean): object;
    const metricName = "HOST_GPU_PROCESSES";
    function getDeserializedJsonObj(obj: HostGpuProcesses, isParentJsonObj?: boolean): object;
}
