/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Network Activity Summary metric for the host
 *
 */
export interface HostNetworkActivitySummary extends model.HostPerformanceMetricGroup {
    /**
     * Name of the network interface
     */
    "interfaceName"?: string;
    /**
     * All network interfaces read rate in Mbps Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "allNetworkReadInMbps"?: number;
    /**
     * All network interfaces write rate in Mbps Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "allNetworkWriteInMbps"?: number;
    /**
     * All network interfaces IO rate in Mbps Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "allNetworkIoInMbps"?: number;
    "metricName": string;
}
export declare namespace HostNetworkActivitySummary {
    function getJsonObj(obj: HostNetworkActivitySummary, isParentJsonObj?: boolean): object;
    const metricName = "HOST_NETWORK_ACTIVITY_SUMMARY";
    function getDeserializedJsonObj(obj: HostNetworkActivitySummary, isParentJsonObj?: boolean): object;
}
