"use strict";
/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostPerformanceMetricGroup = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var HostPerformanceMetricGroup;
(function (HostPerformanceMetricGroup) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "metricName" in obj && obj.metricName) {
            switch (obj.metricName) {
                case "HOST_MEMORY_USAGE":
                    return model.HostMemoryUsage.getJsonObj(jsonObj, true);
                case "HOST_TOP_PROCESSES":
                    return model.HostTopProcesses.getJsonObj(jsonObj, true);
                case "HOST_CPU_USAGE":
                    return model.HostCpuUsage.getJsonObj(jsonObj, true);
                case "HOST_GPU_USAGE":
                    return model.HostGpuUsage.getJsonObj(jsonObj, true);
                case "HOST_GPU_PROCESSES":
                    return model.HostGpuProcesses.getJsonObj(jsonObj, true);
                case "HOST_FILESYSTEM_USAGE":
                    return model.HostFilesystemUsage.getJsonObj(jsonObj, true);
                case "HOST_NETWORK_ACTIVITY_SUMMARY":
                    return model.HostNetworkActivitySummary.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.metricName}`);
            }
        }
        return jsonObj;
    }
    HostPerformanceMetricGroup.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "metricName" in obj && obj.metricName) {
            switch (obj.metricName) {
                case "HOST_MEMORY_USAGE":
                    return model.HostMemoryUsage.getDeserializedJsonObj(jsonObj, true);
                case "HOST_TOP_PROCESSES":
                    return model.HostTopProcesses.getDeserializedJsonObj(jsonObj, true);
                case "HOST_CPU_USAGE":
                    return model.HostCpuUsage.getDeserializedJsonObj(jsonObj, true);
                case "HOST_GPU_USAGE":
                    return model.HostGpuUsage.getDeserializedJsonObj(jsonObj, true);
                case "HOST_GPU_PROCESSES":
                    return model.HostGpuProcesses.getDeserializedJsonObj(jsonObj, true);
                case "HOST_FILESYSTEM_USAGE":
                    return model.HostFilesystemUsage.getDeserializedJsonObj(jsonObj, true);
                case "HOST_NETWORK_ACTIVITY_SUMMARY":
                    return model.HostNetworkActivitySummary.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.metricName}`);
            }
        }
        return jsonObj;
    }
    HostPerformanceMetricGroup.getDeserializedJsonObj = getDeserializedJsonObj;
})(HostPerformanceMetricGroup = exports.HostPerformanceMetricGroup || (exports.HostPerformanceMetricGroup = {}));
//# sourceMappingURL=host-performance-metric-group.js.map