"use strict";
/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostResourceStatistics = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var HostResourceStatistics;
(function (HostResourceStatistics) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "resourceName" in obj && obj.resourceName) {
            switch (obj.resourceName) {
                case "HOST_NETWORK_STATISTICS":
                    return model.HostNetworkStatistics.getJsonObj(jsonObj, true);
                case "HOST_STORAGE_STATISTICS":
                    return model.HostStorageStatistics.getJsonObj(jsonObj, true);
                case "HOST_MEMORY_STATISTICS":
                    return model.HostMemoryStatistics.getJsonObj(jsonObj, true);
                case "HOST_CPU_STATISTICS":
                    return model.HostCpuStatistics.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.resourceName}`);
            }
        }
        return jsonObj;
    }
    HostResourceStatistics.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "resourceName" in obj && obj.resourceName) {
            switch (obj.resourceName) {
                case "HOST_NETWORK_STATISTICS":
                    return model.HostNetworkStatistics.getDeserializedJsonObj(jsonObj, true);
                case "HOST_STORAGE_STATISTICS":
                    return model.HostStorageStatistics.getDeserializedJsonObj(jsonObj, true);
                case "HOST_MEMORY_STATISTICS":
                    return model.HostMemoryStatistics.getDeserializedJsonObj(jsonObj, true);
                case "HOST_CPU_STATISTICS":
                    return model.HostCpuStatistics.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.resourceName}`);
            }
        }
        return jsonObj;
    }
    HostResourceStatistics.getDeserializedJsonObj = getDeserializedJsonObj;
})(HostResourceStatistics = exports.HostResourceStatistics || (exports.HostResourceStatistics = {}));
//# sourceMappingURL=host-resource-statistics.js.map