/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Database insight resource.
 */
export interface MacsManagedExternalDatabaseInsight extends model.DatabaseInsight {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Management Agent
     */
    "managementAgentId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of External Database Connector
     */
    "connectorId"?: string;
    "connectionDetails"?: model.ConnectionDetails;
    "connectionCredentialDetails"?: model.CredentialsBySource | model.CredentialByVault;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the database.
     */
    "databaseId": string;
    /**
     * Name of database
     */
    "databaseName": string;
    /**
     * Display name of database
     */
    "databaseDisplayName"?: string;
    /**
     * OCI database resource type
     */
    "databaseResourceType": string;
    /**
     * Additional details of a database in JSON format. For autonomous databases, this is the AutonomousDatabase object serialized as a JSON string as defined in https://docs.cloud.oracle.com/en-us/iaas/api/#/en/database/20160918/AutonomousDatabase/. For EM, pass in null or an empty string. Note that this string needs to be escaped when specified in the curl command.
     *
     */
    "dbAdditionalDetails"?: any;
    "entitySource": string;
}
export declare namespace MacsManagedExternalDatabaseInsight {
    function getJsonObj(obj: MacsManagedExternalDatabaseInsight, isParentJsonObj?: boolean): object;
    const entitySource = "MACS_MANAGED_EXTERNAL_DATABASE";
    function getDeserializedJsonObj(obj: MacsManagedExternalDatabaseInsight, isParentJsonObj?: boolean): object;
}
