/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * MACS-managed external host insight resource.
 */
export interface MacsManagedExternalHostInsight extends model.HostInsight {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Management Agent
     */
    "managementAgentId": string;
    /**
     * Platform name.
     */
    "platformName"?: string;
    /**
     * Platform type.
     * Supported platformType(s) for MACS-managed external host insight: [LINUX, SOLARIS, WINDOWS].
     * Supported platformType(s) for MACS-managed cloud host insight: [LINUX].
     * Supported platformType(s) for EM-managed external host insight: [LINUX, SOLARIS, SUNOS, ZLINUX, WINDOWS, AIX, HP-UX].
     *
     */
    "platformType"?: MacsManagedExternalHostInsight.PlatformType;
    /**
     * Platform version.
     */
    "platformVersion"?: string;
    "entitySource": string;
}
export declare namespace MacsManagedExternalHostInsight {
    enum PlatformType {
        Linux = "LINUX",
        Solaris = "SOLARIS",
        Sunos = "SUNOS",
        Zlinux = "ZLINUX",
        Windows = "WINDOWS",
        Aix = "AIX",
        HpUx = "HP_UX",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MacsManagedExternalHostInsight, isParentJsonObj?: boolean): object;
    const entitySource = "MACS_MANAGED_EXTERNAL_HOST";
    function getDeserializedJsonObj(obj: MacsManagedExternalHostInsight, isParentJsonObj?: boolean): object;
}
