/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Content types that the news report can handle.
 */
export interface NewsContentTypes {
    /**
     * Supported resources for capacity planning content type.
     */
    "capacityPlanningResources"?: Array<model.NewsContentTypesResource>;
    /**
     * Supported resources for SQL insights - fleet analysis content type.
     */
    "sqlInsightsFleetAnalysisResources"?: Array<model.NewsSqlInsightsContentTypesResource>;
    /**
     * Supported resources for SQL insights - plan changes content type.
     */
    "sqlInsightsPlanChangesResources"?: Array<model.NewsSqlInsightsContentTypesResource>;
    /**
     * Supported resources for SQL insights - top databases content type.
     */
    "sqlInsightsTopDatabasesResources"?: Array<model.NewsSqlInsightsContentTypesResource>;
    /**
     * Supported resources for SQL insights - top SQL by insights content type.
     */
    "sqlInsightsTopSqlByInsightsResources"?: Array<model.NewsSqlInsightsContentTypesResource>;
    /**
     * Supported resources for SQL insights - top SQL content type.
     */
    "sqlInsightsTopSqlResources"?: Array<model.NewsSqlInsightsContentTypesResource>;
    /**
     * Supported resources for SQL insights - performance degradation content type.
     */
    "sqlInsightsPerformanceDegradationResources"?: Array<model.NewsSqlInsightsContentTypesResource>;
}
export declare namespace NewsContentTypes {
    function getJsonObj(obj: NewsContentTypes): object;
    function getDeserializedJsonObj(obj: NewsContentTypes): object;
}
