"use strict";
/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NewsContentTypes = void 0;
const model = __importStar(require("../model"));
var NewsContentTypes;
(function (NewsContentTypes) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "capacityPlanningResources": obj.capacityPlanningResources
                ? obj.capacityPlanningResources.map(item => {
                    return model.NewsContentTypesResource.getJsonObj(item);
                })
                : undefined,
            "sqlInsightsFleetAnalysisResources": obj.sqlInsightsFleetAnalysisResources
                ? obj.sqlInsightsFleetAnalysisResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getJsonObj(item);
                })
                : undefined,
            "sqlInsightsPlanChangesResources": obj.sqlInsightsPlanChangesResources
                ? obj.sqlInsightsPlanChangesResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getJsonObj(item);
                })
                : undefined,
            "sqlInsightsTopDatabasesResources": obj.sqlInsightsTopDatabasesResources
                ? obj.sqlInsightsTopDatabasesResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getJsonObj(item);
                })
                : undefined,
            "sqlInsightsTopSqlByInsightsResources": obj.sqlInsightsTopSqlByInsightsResources
                ? obj.sqlInsightsTopSqlByInsightsResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getJsonObj(item);
                })
                : undefined,
            "sqlInsightsTopSqlResources": obj.sqlInsightsTopSqlResources
                ? obj.sqlInsightsTopSqlResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getJsonObj(item);
                })
                : undefined,
            "sqlInsightsPerformanceDegradationResources": obj.sqlInsightsPerformanceDegradationResources
                ? obj.sqlInsightsPerformanceDegradationResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    NewsContentTypes.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "capacityPlanningResources": obj.capacityPlanningResources
                ? obj.capacityPlanningResources.map(item => {
                    return model.NewsContentTypesResource.getDeserializedJsonObj(item);
                })
                : undefined,
            "sqlInsightsFleetAnalysisResources": obj.sqlInsightsFleetAnalysisResources
                ? obj.sqlInsightsFleetAnalysisResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getDeserializedJsonObj(item);
                })
                : undefined,
            "sqlInsightsPlanChangesResources": obj.sqlInsightsPlanChangesResources
                ? obj.sqlInsightsPlanChangesResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getDeserializedJsonObj(item);
                })
                : undefined,
            "sqlInsightsTopDatabasesResources": obj.sqlInsightsTopDatabasesResources
                ? obj.sqlInsightsTopDatabasesResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getDeserializedJsonObj(item);
                })
                : undefined,
            "sqlInsightsTopSqlByInsightsResources": obj.sqlInsightsTopSqlByInsightsResources
                ? obj.sqlInsightsTopSqlByInsightsResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getDeserializedJsonObj(item);
                })
                : undefined,
            "sqlInsightsTopSqlResources": obj.sqlInsightsTopSqlResources
                ? obj.sqlInsightsTopSqlResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getDeserializedJsonObj(item);
                })
                : undefined,
            "sqlInsightsPerformanceDegradationResources": obj.sqlInsightsPerformanceDegradationResources
                ? obj.sqlInsightsPerformanceDegradationResources.map(item => {
                    return model.NewsSqlInsightsContentTypesResource.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    NewsContentTypes.getDeserializedJsonObj = getDeserializedJsonObj;
})(NewsContentTypes = exports.NewsContentTypes || (exports.NewsContentTypes = {}));
//# sourceMappingURL=news-content-types.js.map