/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible operation types.
 **/
export declare enum OperationType {
    EnableDatabaseInsight = "ENABLE_DATABASE_INSIGHT",
    DisableDatabaseInsight = "DISABLE_DATABASE_INSIGHT",
    UpdateDatabaseInsight = "UPDATE_DATABASE_INSIGHT",
    CreateDatabaseInsight = "CREATE_DATABASE_INSIGHT",
    MoveDatabaseInsight = "MOVE_DATABASE_INSIGHT",
    DeleteDatabaseInsight = "DELETE_DATABASE_INSIGHT",
    CreateEnterpriseManagerBridge = "CREATE_ENTERPRISE_MANAGER_BRIDGE",
    UdpateEnterpriseManagerBridge = "UDPATE_ENTERPRISE_MANAGER_BRIDGE",
    MoveEnterpriseManagerBridge = "MOVE_ENTERPRISE_MANAGER_BRIDGE",
    DeleteEnterpriseManagerBridge = "DELETE_ENTERPRISE_MANAGER_BRIDGE",
    EnableHostInsight = "ENABLE_HOST_INSIGHT",
    DisableHostInsight = "DISABLE_HOST_INSIGHT",
    UpdateHostInsight = "UPDATE_HOST_INSIGHT",
    CreateHostInsight = "CREATE_HOST_INSIGHT",
    MoveHostInsight = "MOVE_HOST_INSIGHT",
    DeleteHostInsight = "DELETE_HOST_INSIGHT",
    CreateExadataInsight = "CREATE_EXADATA_INSIGHT",
    EnableExadataInsight = "ENABLE_EXADATA_INSIGHT",
    DisableExadataInsight = "DISABLE_EXADATA_INSIGHT",
    UpdateExadataInsight = "UPDATE_EXADATA_INSIGHT",
    MoveExadataInsight = "MOVE_EXADATA_INSIGHT",
    DeleteExadataInsight = "DELETE_EXADATA_INSIGHT",
    AddExadataInsightMembers = "ADD_EXADATA_INSIGHT_MEMBERS",
    ExadataAutoSync = "EXADATA_AUTO_SYNC",
    UpdateOpsiWarehouse = "UPDATE_OPSI_WAREHOUSE",
    CreateOpsiWarehouse = "CREATE_OPSI_WAREHOUSE",
    MoveOpsiWarehouse = "MOVE_OPSI_WAREHOUSE",
    DeleteOpsiWarehouse = "DELETE_OPSI_WAREHOUSE",
    RotateOpsiWarehouseWallet = "ROTATE_OPSI_WAREHOUSE_WALLET",
    UpdateOpsiWarehouseUser = "UPDATE_OPSI_WAREHOUSE_USER",
    CreateOpsiWarehouseUser = "CREATE_OPSI_WAREHOUSE_USER",
    MoveOpsiWarehouseUser = "MOVE_OPSI_WAREHOUSE_USER",
    DeleteOpsiWarehouseUser = "DELETE_OPSI_WAREHOUSE_USER",
    UpdateAwrhub = "UPDATE_AWRHUB",
    CreateAwrhub = "CREATE_AWRHUB",
    MoveAwrhub = "MOVE_AWRHUB",
    DeleteAwrhub = "DELETE_AWRHUB",
    UpdatePrivateEndpoint = "UPDATE_PRIVATE_ENDPOINT",
    CreatePrivateEndpoint = "CREATE_PRIVATE_ENDPOINT",
    MovePrivateEndpoint = "MOVE_PRIVATE_ENDPOINT",
    DeletePrivateEndpoint = "DELETE_PRIVATE_ENDPOINT",
    ChangePeComanagedDatabaseInsightDetails = "CHANGE_PE_COMANAGED_DATABASE_INSIGHT_DETAILS",
    UpdateOpsiConfiguration = "UPDATE_OPSI_CONFIGURATION",
    CreateOpsiConfiguration = "CREATE_OPSI_CONFIGURATION",
    MoveOpsiConfiguration = "MOVE_OPSI_CONFIGURATION",
    DeleteOpsiConfiguration = "DELETE_OPSI_CONFIGURATION",
    EnableAdbAdvancedFeatures = "ENABLE_ADB_ADVANCED_FEATURES",
    DisableAdbAdvancedFeatures = "DISABLE_ADB_ADVANCED_FEATURES",
    UpdateAdbAdvancedFeatures = "UPDATE_ADB_ADVANCED_FEATURES",
    CreateNewsReport = "CREATE_NEWS_REPORT",
    EnableNewsReport = "ENABLE_NEWS_REPORT",
    DisableNewsReport = "DISABLE_NEWS_REPORT",
    UpdateNewsReport = "UPDATE_NEWS_REPORT",
    MoveNewsReport = "MOVE_NEWS_REPORT",
    DeleteNewsReport = "DELETE_NEWS_REPORT",
    CreateAwrhubSource = "CREATE_AWRHUB_SOURCE",
    DeleteAwrhubSource = "DELETE_AWRHUB_SOURCE",
    UpdateAwrhubSource = "UPDATE_AWRHUB_SOURCE",
    MoveAwrhubSource = "MOVE_AWRHUB_SOURCE",
    EnableAwrhubSource = "ENABLE_AWRHUB_SOURCE",
    DisableAwrhubSource = "DISABLE_AWRHUB_SOURCE",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace OperationType {
    function getJsonObj(obj: OperationType): OperationType;
    function getDeserializedJsonObj(obj: OperationType): OperationType;
}
