"use strict";
/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpsiDataObjectDetailsInQuery = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var OpsiDataObjectDetailsInQuery;
(function (OpsiDataObjectDetailsInQuery) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "queryParams": obj.queryParams
                ? obj.queryParams.map(item => {
                    return model.OpsiDataObjectQueryParam.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "dataObjectDetailsTarget" in obj && obj.dataObjectDetailsTarget) {
            switch (obj.dataObjectDetailsTarget) {
                case "INDIVIDUAL_OPSIDATAOBJECT":
                    return model.IndividualOpsiDataObjectDetailsInQuery.getJsonObj(jsonObj, true);
                case "OPSIDATAOBJECTTYPE_OPSIDATAOBJECTS":
                    return model.OpsiDataObjectTypeOpsiDataObjectDetailsInQuery.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.dataObjectDetailsTarget}`);
            }
        }
        return jsonObj;
    }
    OpsiDataObjectDetailsInQuery.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "queryParams": obj.queryParams
                ? obj.queryParams.map(item => {
                    return model.OpsiDataObjectQueryParam.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "dataObjectDetailsTarget" in obj && obj.dataObjectDetailsTarget) {
            switch (obj.dataObjectDetailsTarget) {
                case "INDIVIDUAL_OPSIDATAOBJECT":
                    return model.IndividualOpsiDataObjectDetailsInQuery.getDeserializedJsonObj(jsonObj, true);
                case "OPSIDATAOBJECTTYPE_OPSIDATAOBJECTS":
                    return model.OpsiDataObjectTypeOpsiDataObjectDetailsInQuery.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.dataObjectDetailsTarget}`);
            }
        }
        return jsonObj;
    }
    OpsiDataObjectDetailsInQuery.getDeserializedJsonObj = getDeserializedJsonObj;
})(OpsiDataObjectDetailsInQuery = exports.OpsiDataObjectDetailsInQuery || (exports.OpsiDataObjectDetailsInQuery = {}));
//# sourceMappingURL=opsi-data-object-details-in-query.js.map