/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of an OPSI data object.
 */
export interface OpsiDataObjectSummary {
    /**
     * Unique identifier of OPSI data object.
     */
    "identifier": string;
    /**
     * User-friendly name of OPSI data object.
     */
    "displayName": string;
    /**
     * Description of OPSI data object.
     */
    "description"?: string;
    /**
     * Name of the data object, which can be used in data object queries just like how view names are used in a query.
     */
    "name"?: string;
    /**
     * Names of all the groups to which the data object belongs to.
     */
    "groupNames"?: Array<string>;
    "dataObjectType": string;
}
export declare namespace OpsiDataObjectSummary {
    function getJsonObj(obj: OpsiDataObjectSummary): object;
    function getDeserializedJsonObj(obj: OpsiDataObjectSummary): object;
}
