"use strict";
/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpsiDataObject = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var OpsiDataObject;
(function (OpsiDataObject) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "columnsMetadata": obj.columnsMetadata
                ? obj.columnsMetadata.map(item => {
                    return model.DataObjectColumnMetadata.getJsonObj(item);
                })
                : undefined,
            "supportedQueryParams": obj.supportedQueryParams
                ? obj.supportedQueryParams.map(item => {
                    return model.OpsiDataObjectSupportedQueryParam.getJsonObj(item);
                })
                : undefined
        });
        if (obj && "dataObjectType" in obj && obj.dataObjectType) {
            switch (obj.dataObjectType) {
                case "HOST_INSIGHTS_DATA_OBJECT":
                    return model.HostInsightsDataObject.getJsonObj(jsonObj, true);
                case "EXADATA_INSIGHTS_DATA_OBJECT":
                    return model.ExadataInsightsDataObject.getJsonObj(jsonObj, true);
                case "DATABASE_INSIGHTS_DATA_OBJECT":
                    return model.DatabaseInsightsDataObject.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.dataObjectType}`);
            }
        }
        return jsonObj;
    }
    OpsiDataObject.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "columnsMetadata": obj.columnsMetadata
                ? obj.columnsMetadata.map(item => {
                    return model.DataObjectColumnMetadata.getDeserializedJsonObj(item);
                })
                : undefined,
            "supportedQueryParams": obj.supportedQueryParams
                ? obj.supportedQueryParams.map(item => {
                    return model.OpsiDataObjectSupportedQueryParam.getDeserializedJsonObj(item);
                })
                : undefined
        });
        if (obj && "dataObjectType" in obj && obj.dataObjectType) {
            switch (obj.dataObjectType) {
                case "HOST_INSIGHTS_DATA_OBJECT":
                    return model.HostInsightsDataObject.getDeserializedJsonObj(jsonObj, true);
                case "EXADATA_INSIGHTS_DATA_OBJECT":
                    return model.ExadataInsightsDataObject.getDeserializedJsonObj(jsonObj, true);
                case "DATABASE_INSIGHTS_DATA_OBJECT":
                    return model.DatabaseInsightsDataObject.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.dataObjectType}`);
            }
        }
        return jsonObj;
    }
    OpsiDataObject.getDeserializedJsonObj = getDeserializedJsonObj;
})(OpsiDataObject = exports.OpsiDataObject || (exports.OpsiDataObject = {}));
//# sourceMappingURL=opsi-data-object.js.map