/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Input Host Details used for connection requests for private endpoint accessed db resource.
 */
export interface PeComanagedDatabaseHostDetails {
    /**
     * Host IP used for connection requests for Cloud DB resource.
     */
    "hostIp"?: string;
    /**
     * Listener port number used for connection requests for rivate endpoint accessed db resource. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
}
export declare namespace PeComanagedDatabaseHostDetails {
    function getJsonObj(obj: PeComanagedDatabaseHostDetails): object;
    function getDeserializedJsonObj(obj: PeComanagedDatabaseHostDetails): object;
}
