/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Contains common summary statistics.
 *
 */
export interface SummaryStatistics {
    /**
     * The smallest number in the data set. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "minimum": number;
    /**
     * The largest number in the data set. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maximum": number;
    /**
     * The average number in the data set. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "average": number;
    /**
     * The middle number in the data set. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "median": number;
    /**
     * The middle number between the smallest number and the median of the data set. It's also known as the 25th quartile. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "lowerQuartile": number;
    /**
     * The middle number between the median and the largest number of the data set. It's also known as the 75th quartile. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "upperQuartile": number;
}
export declare namespace SummaryStatistics {
    function getJsonObj(obj: SummaryStatistics): object;
    function getDeserializedJsonObj(obj: SummaryStatistics): object;
}
