/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information to be updated in OPSI configuration resource.
 */
export interface UpdateOpsiConfigurationDetails {
    /**
     * User-friendly display name for the OPSI configuration. The name does not have to be unique.
     */
    "displayName"?: string;
    /**
     * Description of OPSI configuration.
     */
    "description"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Array of configuration items with custom values. All and only configuration items requiring custom values should be part of this array.
     * This array overwrites the existing custom configuration items array for this resource.
     *
     */
    "configItems"?: Array<model.UpdateConfigurationItemDetails>;
    "opsiConfigType": string;
}
export declare namespace UpdateOpsiConfigurationDetails {
    function getJsonObj(obj: UpdateOpsiConfigurationDetails): object;
    function getDeserializedJsonObj(obj: UpdateOpsiConfigurationDetails): object;
}
