/**
 * Ops Insights API
 * Use the Ops Insights API to perform data extraction operations to obtain database
resource utilization, performance statistics, and reference information. For more information,
see [About Oracle Cloud Infrastructure Ops Insights](https://docs.cloud.oracle.com/en-us/iaas/operations-insights/doc/operations-insights.html).

 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of a TABLE type data object in a Warehouse.
 */
export interface WarehouseTableDataObjectDetails extends model.WarehouseDataObjectDetails {
    /**
     * Metadata of columns in the data object.
     */
    "columnsMetadata"?: Array<model.DataObjectColumnMetadata>;
    "dataObjectType": string;
}
export declare namespace WarehouseTableDataObjectDetails {
    function getJsonObj(obj: WarehouseTableDataObjectDetails, isParentJsonObj?: boolean): object;
    const dataObjectType = "TABLE";
    function getDeserializedJsonObj(obj: WarehouseTableDataObjectDetails, isParentJsonObj?: boolean): object;
}
