/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/opsi/CreateOpsiConfiguration.ts.html |here} to see how to use CreateOpsiConfigurationRequest.
 */
export interface CreateOpsiConfigurationRequest extends common.BaseRequest {
    /**
     * Information about OPSI configuration resource to be created.
     */
    "createOpsiConfigurationDetails": model.CreateOpsiUxConfigurationDetails;
    /**
     * A token that uniquely identifies a request that can be retried in case of a timeout or
     * server error without risk of executing the same action again. Retry tokens expire after 24
     * hours.
     * <p>
     *Note:* Retry tokens can be invalidated before the 24 hour time limit due to conflicting
     * operations, such as a resource being deleted or purged from the system.
     *
     */
    "opcRetryToken"?: string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * Optional fields to return as part of OpsiConfiguration object. Unless requested, these fields will not be returned by default.
     *
     */
    "opsiConfigField"?: Array<CreateOpsiConfigurationRequest.OpsiConfigField>;
    /**
     * Specifies whether only customized configuration items or only non-customized configuration items or both have to be returned.
     * By default only customized configuration items are returned.
     *
     */
    "configItemCustomStatus"?: Array<CreateOpsiConfigurationRequest.ConfigItemCustomStatus>;
    /**
     * Returns the configuration items filtered by applicable contexts sent in this param. By default configuration items of all applicable contexts are returned.
     *
     */
    "configItemsApplicableContext"?: Array<string>;
    /**
     * Specifies the fields to return in a config item summary.
     */
    "configItemField"?: Array<CreateOpsiConfigurationRequest.ConfigItemField>;
}
export declare namespace CreateOpsiConfigurationRequest {
    enum OpsiConfigField {
        ConfigItems = "configItems"
    }
    enum ConfigItemCustomStatus {
        Customized = "customized",
        NonCustomized = "nonCustomized"
    }
    enum ConfigItemField {
        Name = "name",
        Value = "value",
        DefaultValue = "defaultValue",
        Metadata = "metadata",
        ApplicableContexts = "applicableContexts"
    }
}
