/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/opsi/ListAwrHubObjects.ts.html |here} to see how to use ListAwrHubObjectsRequest.
 */
export interface ListAwrHubObjectsRequest extends common.BaseRequest {
    /**
     * Unique Awr Hub Source identifier
     */
    "awrHubSourceId": string;
    /**
     * The string to use for matching against the start of object names in a Awr Hub list objects query.
     */
    "prefix"?: string;
    /**
     * Object names returned by Awr Hub list objects query must be greater or equal to this parameter.
     */
    "start"?: string;
    /**
     * Object names returned by Awr Hub list objects query must be strictly less than this parameter.
     */
    "end"?: string;
    /**
     * When this parameter is set, only objects whose names do not contain the delimiter character
     * (after an optionally specified prefix) are returned in the Awr Hub list objects key of the response body.
     * Scanned objects whose names contain the delimiter have the part of their name up to the first
     * occurrence of the delimiter (including the optional prefix) returned as a set of prefixes.
     * Note that only '/' is a supported delimiter character at this time.
     *
     */
    "delimiter"?: string;
    /**
     * Awr Hub Object name after which remaining objects are listed
     */
    "startAfter"?: string;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from
     * the previous \"List\" call. For important details about how pagination works,
     * see [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
     * For list pagination. The maximum number of results per page, or items to
     * return in a paginated \"List\" call.
     * For important details about how pagination works, see
     * [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     * Example: {@code 50}
     *
     */
    "limit"?: number;
    /**
     * By default all the fields are returned. Use this parameter to fetch specific fields 'size', 'etag', 'md5',
     * 'timeCreated', 'timeModified', 'storageTier' and 'archivalState' fields. List the names of those fields
     * in a comma-separated, case-insensitive list as the value of this parameter.
     * For example: 'name,etag,timeCreated,md5,timeModified,storageTier,archivalState'.
     *
     */
    "fields"?: ListAwrHubObjectsRequest.Fields;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListAwrHubObjectsRequest {
    enum Fields {
        Name = "name",
        Size = "size",
        Etag = "etag",
        TimeCreated = "timeCreated",
        Md5 = "md5",
        ArchivalState = "archivalState",
        TimeModified = "timeModified",
        StorageTier = "storageTier"
    }
}
