/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/opsi/ListDatabaseInsights.ts.html |here} to see how to use ListDatabaseInsightsRequest.
 */
export interface ListDatabaseInsightsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId"?: string;
    /**
     * Unique Enterprise Manager bridge identifier
     */
    "enterpriseManagerBridgeId"?: string;
    /**
     * Optional list of database insight resource [OCIDs](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm).
     *
     */
    "id"?: Array<string>;
    /**
     * Resource Status
     */
    "status"?: Array<model.ResourceStatus>;
    /**
     * Lifecycle states
     */
    "lifecycleState"?: Array<model.LifecycleState>;
    /**
     * Filter by one or more database type.
     * Possible values are ADW-S, ATP-S, ADW-D, ATP-D, EXTERNAL-PDB, EXTERNAL-NONCDB.
     *
     */
    "databaseType"?: Array<ListDatabaseInsightsRequest.DatabaseType>;
    /**
     * Optional list of database [OCIDs](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the associated DBaaS entity.
     *
     */
    "databaseId"?: Array<string>;
    /**
     * Specifies the fields to return in a database summary response. By default all fields are returned if omitted.
     *
     */
    "fields"?: Array<ListDatabaseInsightsRequest.Fields>;
    /**
     * For list pagination. The maximum number of results per page, or items to
     * return in a paginated \"List\" call.
     * For important details about how pagination works, see
     * [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     * Example: {@code 50}
     *
     */
    "limit"?: number;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from
     * the previous \"List\" call. For important details about how pagination works,
     * see [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: model.SortOrder;
    /**
     * Database insight list sort options. If {@code fields} parameter is selected, the {@code sortBy} parameter must be one of the fields specified.
     *
     */
    "sortBy"?: ListDatabaseInsightsRequest.SortBy;
    /**
     * [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of exadata insight resource.
     *
     */
    "exadataInsightId"?: string;
    /**
     * A flag to search all resources within a given compartment and all sub-compartments.
     *
     */
    "compartmentIdInSubtree"?: boolean;
    /**
     * Unique Operations Insights PrivateEndpoint identifier
     */
    "opsiPrivateEndpointId"?: string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListDatabaseInsightsRequest {
    enum DatabaseType {
        AdwS = "ADW-S",
        AtpS = "ATP-S",
        AdwD = "ADW-D",
        AtpD = "ATP-D",
        ExternalPdb = "EXTERNAL-PDB",
        ExternalNoncdb = "EXTERNAL-NONCDB",
        ComanagedVmCdb = "COMANAGED-VM-CDB",
        ComanagedVmPdb = "COMANAGED-VM-PDB",
        ComanagedVmNoncdb = "COMANAGED-VM-NONCDB",
        ComanagedBmCdb = "COMANAGED-BM-CDB",
        ComanagedBmPdb = "COMANAGED-BM-PDB",
        ComanagedBmNoncdb = "COMANAGED-BM-NONCDB",
        ComanagedExacsCdb = "COMANAGED-EXACS-CDB",
        ComanagedExacsPdb = "COMANAGED-EXACS-PDB",
        ComanagedExacsNoncdb = "COMANAGED-EXACS-NONCDB"
    }
    enum Fields {
        CompartmentId = "compartmentId",
        DatabaseName = "databaseName",
        DatabaseDisplayName = "databaseDisplayName",
        DatabaseType = "databaseType",
        DatabaseVersion = "databaseVersion",
        DatabaseHostNames = "databaseHostNames",
        FreeformTags = "freeformTags",
        DefinedTags = "definedTags"
    }
    enum SortBy {
        DatabaseName = "databaseName",
        DatabaseDisplayName = "databaseDisplayName",
        DatabaseType = "databaseType"
    }
}
