/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/opsi/ListWarehouseDataObjects.ts.html |here} to see how to use ListWarehouseDataObjectsRequest.
 */
export interface ListWarehouseDataObjectsRequest extends common.BaseRequest {
    /**
     * Type of the Warehouse.
     */
    "warehouseType": ListWarehouseDataObjectsRequest.WarehouseType;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of a Warehouse.
     *
     */
    "warehouseId": string;
    /**
     * A filter to return only data objects that match the data object type. By default, no filtering will be applied on data object type.
     */
    "dataObjectType"?: Array<model.DataObjectType>;
    /**
     * A filter to return only data objects that match the entire data object name. By default, no filtering will be applied on data object name.
     */
    "name"?: string;
    /**
     * A filter to return only data objects that match the entire data object owner name.  By default, no filtering will be applied on data object owner name.
     */
    "owner"?: string;
    /**
     * For list pagination. The maximum number of results per page, or items to
     * return in a paginated \"List\" call.
     * For important details about how pagination works, see
     * [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     * Example: {@code 50}
     *
     */
    "limit"?: number;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from
     * the previous \"List\" call. For important details about how pagination works,
     * see [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: model.SortOrder;
    /**
     * Sort options for Warehouse data objects list.
     */
    "sortBy"?: ListWarehouseDataObjectsRequest.SortBy;
    /**
     * Specifies the optional fields to return in a WarehouseDataObjectSummary. Unless requested, these fields are not returned by default.
     *
     */
    "summaryField"?: Array<ListWarehouseDataObjectsRequest.SummaryField>;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListWarehouseDataObjectsRequest {
    enum WarehouseType {
        AwrHubs = "awrHubs"
    }
    enum SortBy {
        DataObjectType = "dataObjectType",
        Name = "name",
        Owner = "owner"
    }
    enum SummaryField {
        Details = "details"
    }
}
