/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/// <reference types="node" />
import common = require("oci-common");
import stream = require("stream");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/opsi/PutAwrHubObject.ts.html |here} to see how to use PutAwrHubObjectRequest.
 */
export interface PutAwrHubObjectRequest extends common.BaseRequest {
    /**
     * The object to be uploaded to the Awr Hub.
     */
    "putAwrHubObjectBody": Uint8Array | Buffer | Blob | stream.Readable | ReadableStream | string;
    /**
     * Unique Awr Hub Source identifier
     */
    "awrHubSourceId": string;
    /**
     * Unique Awr Hub Object identifier
     */
    "objectName": string;
    /**
     * Used for optimistic concurrency control. In the update or delete call for a resource, set the {@code if-match}
     * parameter to the value of the etag from a previous get, create, or update response for that resource.  The resource
     * will be updated or deleted only if the etag you provide matches the resource's current etag value.
     *
     */
    "ifMatch"?: string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
