/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/opsi/SummarizeAwrDatabaseParameters.ts.html |here} to see how to use SummarizeAwrDatabaseParametersRequest.
 */
export interface SummarizeAwrDatabaseParametersRequest extends common.BaseRequest {
    /**
     * Unique Awr Hub identifier
     */
    "awrHubId": string;
    /**
     * The internal ID of the database. The internal ID of the database is not the [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     * It can be retrieved from the following endpoint:
     * /awrHubs/{awrHubId}/awrDatabases
     *
     */
    "awrSourceDatabaseIdentifier": string;
    /**
     * The optional single value query parameter to filter by database instance number.
     */
    "instanceNumber"?: string;
    /**
     * The optional greater than or equal to filter on the snapshot ID.
     *
     */
    "beginSnapshotIdentifierGreaterThanOrEqualTo"?: number;
    /**
     * The optional less than or equal to query parameter to filter the snapshot Identifier.
     *
     */
    "endSnapshotIdentifierLessThanOrEqualTo"?: number;
    /**
     * The optional greater than or equal to query parameter to filter the timestamp. The timestamp format to be followed is: YYYY-MM-DDTHH:MM:SSZ, example 2020-12-03T19:00:53Z
     *
     */
    "timeGreaterThanOrEqualTo"?: Date;
    /**
     * The optional less than or equal to query parameter to filter the timestamp. The timestamp format to be followed is: YYYY-MM-DDTHH:MM:SSZ, example 2020-12-03T19:00:53Z
     *
     */
    "timeLessThanOrEqualTo"?: Date;
    /**
     * The optional multiple value query parameter to filter the entity name.
     */
    "name"?: Array<string>;
    /**
     * The optional contains query parameter to filter the entity name by any part of the name.
     */
    "nameContains"?: string;
    /**
     * The optional query parameter to filter database parameters whose values were changed.
     */
    "valueChanged"?: SummarizeAwrDatabaseParametersRequest.ValueChanged;
    /**
     * The optional query parameter to filter the database parameters that had the default value in the last snapshot.
     */
    "valueDefault"?: SummarizeAwrDatabaseParametersRequest.ValueDefault;
    /**
     * The optional query parameter to filter the database parameters that had a modified value in the last snapshot.
     */
    "valueModified"?: SummarizeAwrDatabaseParametersRequest.ValueModified;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from
     * the previous \"List\" call. For important details about how pagination works,
     * see [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
     * For list pagination. The maximum number of results per page, or items to
     * return in a paginated \"List\" call.
     * For important details about how pagination works, see
     * [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     * Example: {@code 50}
     *
     */
    "limit"?: number;
    /**
     * The option to sort the AWR database parameter change history data.
     */
    "sortBy"?: SummarizeAwrDatabaseParametersRequest.SortBy;
    /**
     * The sort order to use, either ascending ({@code ASC}) or descending ({@code DESC}).
     *
     */
    "sortOrder"?: model.SortOrder;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace SummarizeAwrDatabaseParametersRequest {
    enum ValueChanged {
        Y = "Y",
        N = "N"
    }
    enum ValueDefault {
        True = "TRUE",
        False = "FALSE"
    }
    enum ValueModified {
        Modified = "MODIFIED",
        SystemMod = "SYSTEM_MOD",
        False = "FALSE"
    }
    enum SortBy {
        IsChanged = "IS_CHANGED",
        Name = "NAME"
    }
}
