/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/opsi/SummarizeConfigurationItems.ts.html |here} to see how to use SummarizeConfigurationItemsRequest.
 */
export interface SummarizeConfigurationItemsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment.
     */
    "compartmentId"?: string;
    /**
     * Filter to return configuration items based on configuration type of OPSI configuration.
     */
    "opsiConfigType"?: model.OpsiConfigurationType;
    /**
     * For list pagination. The maximum number of results per page, or items to
     * return in a paginated \"List\" call.
     * For important details about how pagination works, see
     * [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     * Example: {@code 50}
     *
     */
    "limit"?: number;
    /**
     * For list pagination. The value of the {@code opc-next-page} response header from
     * the previous \"List\" call. For important details about how pagination works,
     * see [List Pagination](https://docs.cloud.oracle.com/Content/API/Concepts/usingapi.htm#nine).
     *
     */
    "page"?: string;
    /**
     * Returns the configuration items filtered by applicable contexts sent in this param. By default configuration items of all applicable contexts are returned.
     *
     */
    "configItemsApplicableContext"?: Array<string>;
    /**
     * Specifies the fields to return in a config item summary.
     *
     */
    "configItemField"?: Array<SummarizeConfigurationItemsRequest.ConfigItemField>;
    /**
     * A filter to return only configuration items that match the entire name.
     */
    "name"?: string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace SummarizeConfigurationItemsRequest {
    enum ConfigItemField {
        Name = "name",
        Value = "value",
        DefaultValue = "defaultValue",
        ValueSourceConfig = "valueSourceConfig",
        Metadata = "metadata",
        ApplicableContexts = "applicableContexts"
    }
}
