/**
 *
 *
 * OpenAPI spec version: 20200630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface HeadAwrHubObjectResponse {
    /**
     * Echoes back the value passed in the opc-client-request-id header, for use by clients when debugging.
     */
    "opcClientRequestId": string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact
     * Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId": string;
    /**
     * For optimistic concurrency control. See {@code if-match}.
     *
     */
    "etag": string;
    /**
     * The user-defined metadata for the Awr Hub object.
     */
    "opcMeta": {
        [key: string]: string;
    };
    /**
     * The Awr Hub object size in bytes.
     */
    "contentLength": number;
    /**
     * Content-MD5 header.
     */
    "contentMd5": string;
    /**
     *
     */
    "opcMultipartMd5": string;
    /**
     * Content-Type header.
     */
    "contentType": string;
    /**
     * Content-Language header.
     */
    "contentLanguage": string;
    /**
     * Content-Encoding header.
     */
    "contentEncoding": string;
    /**
     * Cache-Control header.
     */
    "cacheControl": string;
    /**
     * Content-Disposition header.
     */
    "contentDisposition": string;
    /**
     * The Awr Hub object modification time.
     */
    "lastModified": Date;
    /**
     * The storage tier that the Awr Hub object is stored in.
     */
    "storageTier": string;
    /**
     * Archival state of an Awr Hub object. This field is set only for Awr Hub objects in Archive tier.
     */
    "archivalState": string;
    /**
     * Time that the Awr Hub object is returned to the archived state.
     */
    "timeOfArchival": Date;
    /**
     * VersionId of the requested Awr Hub object.
     */
    "versionId": string;
    /**
     * Flag to indicate whether or not the object was modified.  If this is true,
     * the getter for the object itself will return null.  Callers should check this
     * if they specified one of the request params that might result in a conditional
     * response (like 'if-match'/'if-none-match').
     */
    "isNotModified": boolean;
}
