/**
 * Cloud Advisor API
 * Use the Cloud Advisor API to find potential inefficiencies in your tenancy and address them.
Cloud Advisor can help you save money, improve performance, strengthen system resilience, and improve security.
For more information, see [Cloud Advisor](/Content/CloudAdvisor/Concepts/cloudadvisoroverview.htm).

 * OpenAPI spec version: 20200606
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The resource action that a recommendation will be applied to.
 */
export interface BulkApplyResourceAction {
    /**
     * The unique OCIDs of the resource actions that recommendations are applied to.
     */
    "resourceActionId": string;
    /**
     * The current status of the recommendation.
     */
    "status"?: model.Status;
    /**
      * The date and time the current status will change. The format is defined by RFC3339.
  * <p>
  For example, \"The current {@code postponed} status of the resource action will end and change to {@code pending} on this
  * date and time.\"
  *
      */
    "timeStatusEnd"?: Date;
    /**
      * Additional parameter key-value pairs defining the resource action.
  * For example:
  * <p>
  {@code {\"timeAmount\": 15, \"timeUnit\": \"seconds\"}}
  *
      */
    "parameters"?: {
        [key: string]: any;
    };
    /**
     * The name of the strategy.
     */
    "strategyName"?: string;
}
export declare namespace BulkApplyResourceAction {
    function getJsonObj(obj: BulkApplyResourceAction): object;
    function getDeserializedJsonObj(obj: BulkApplyResourceAction): object;
}
