/**
 * Cloud Advisor API
 * Use the Cloud Advisor API to find potential inefficiencies in your tenancy and address them.
Cloud Advisor can help you save money, improve performance, strengthen system resilience, and improve security.
For more information, see [Cloud Advisor](/Content/CloudAdvisor/Concepts/cloudadvisoroverview.htm).

 * OpenAPI spec version: 20200606
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * One of the metrics that will be evaluated by profiles using this profile level.
 */
export interface EvaluatedMetric {
    /**
     * The name of the metric (e.g., {@code CpuUtilization}).
     */
    "name": string;
    /**
     * The name of the statistic (e.g., {@code p95}).
     */
    "statistic": string;
    /**
     * The threshold that must be crossed for the recommendation to appear. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "threshold": number;
    /**
     * Optional. The metric value that the recommendation will target. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "target"?: number;
}
export declare namespace EvaluatedMetric {
    function getJsonObj(obj: EvaluatedMetric): object;
    function getDeserializedJsonObj(obj: EvaluatedMetric): object;
}
