/**
 * Cloud Advisor API
 * Use the Cloud Advisor API to find potential inefficiencies in your tenancy and address them.
Cloud Advisor can help you save money, improve performance, strengthen system resilience, and improve security.
For more information, see [Cloud Advisor](/Content/CloudAdvisor/Concepts/cloudadvisoroverview.htm).

 * OpenAPI spec version: 20200606
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as Action from "./action";
export import Action = Action.Action;
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as BulkApplyRecommendationsDetails from "./bulk-apply-recommendations-details";
export import BulkApplyRecommendationsDetails = BulkApplyRecommendationsDetails.BulkApplyRecommendationsDetails;
import * as BulkApplyResourceAction from "./bulk-apply-resource-action";
export import BulkApplyResourceAction = BulkApplyResourceAction.BulkApplyResourceAction;
import * as Category from "./category";
export import Category = Category.Category;
import * as CategoryCollection from "./category-collection";
export import CategoryCollection = CategoryCollection.CategoryCollection;
import * as CategorySummary from "./category-summary";
export import CategorySummary = CategorySummary.CategorySummary;
import * as CreateProfileDetails from "./create-profile-details";
export import CreateProfileDetails = CreateProfileDetails.CreateProfileDetails;
import * as EnrollmentStatus from "./enrollment-status";
export import EnrollmentStatus = EnrollmentStatus.EnrollmentStatus;
import * as EnrollmentStatusCollection from "./enrollment-status-collection";
export import EnrollmentStatusCollection = EnrollmentStatusCollection.EnrollmentStatusCollection;
import * as EnrollmentStatusSummary from "./enrollment-status-summary";
export import EnrollmentStatusSummary = EnrollmentStatusSummary.EnrollmentStatusSummary;
import * as EvaluatedMetric from "./evaluated-metric";
export import EvaluatedMetric = EvaluatedMetric.EvaluatedMetric;
import * as HistoryCollection from "./history-collection";
export import HistoryCollection = HistoryCollection.HistoryCollection;
import * as HistorySummary from "./history-summary";
export import HistorySummary = HistorySummary.HistorySummary;
import * as Importance from "./importance";
export import Importance = Importance.Importance;
import * as LevelConfiguration from "./level-configuration";
export import LevelConfiguration = LevelConfiguration.LevelConfiguration;
import * as LevelsConfiguration from "./levels-configuration";
export import LevelsConfiguration = LevelsConfiguration.LevelsConfiguration;
import * as LifecycleState from "./lifecycle-state";
export import LifecycleState = LifecycleState.LifecycleState;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as OptimizerEnrollmentStatus from "./optimizer-enrollment-status";
export import OptimizerEnrollmentStatus = OptimizerEnrollmentStatus.OptimizerEnrollmentStatus;
import * as Profile from "./profile";
export import Profile = Profile.Profile;
import * as ProfileCollection from "./profile-collection";
export import ProfileCollection = ProfileCollection.ProfileCollection;
import * as ProfileLevelCollection from "./profile-level-collection";
export import ProfileLevelCollection = ProfileLevelCollection.ProfileLevelCollection;
import * as ProfileLevelSummary from "./profile-level-summary";
export import ProfileLevelSummary = ProfileLevelSummary.ProfileLevelSummary;
import * as ProfileSummary from "./profile-summary";
export import ProfileSummary = ProfileSummary.ProfileSummary;
import * as QueryDetails from "./query-details";
export import QueryDetails = QueryDetails.QueryDetails;
import * as QueryableFieldCollection from "./queryable-field-collection";
export import QueryableFieldCollection = QueryableFieldCollection.QueryableFieldCollection;
import * as QueryableFieldSummary from "./queryable-field-summary";
export import QueryableFieldSummary = QueryableFieldSummary.QueryableFieldSummary;
import * as Recommendation from "./recommendation";
export import Recommendation = Recommendation.Recommendation;
import * as RecommendationCollection from "./recommendation-collection";
export import RecommendationCollection = RecommendationCollection.RecommendationCollection;
import * as RecommendationCount from "./recommendation-count";
export import RecommendationCount = RecommendationCount.RecommendationCount;
import * as RecommendationStrategyCollection from "./recommendation-strategy-collection";
export import RecommendationStrategyCollection = RecommendationStrategyCollection.RecommendationStrategyCollection;
import * as RecommendationStrategySummary from "./recommendation-strategy-summary";
export import RecommendationStrategySummary = RecommendationStrategySummary.RecommendationStrategySummary;
import * as RecommendationSummary from "./recommendation-summary";
export import RecommendationSummary = RecommendationSummary.RecommendationSummary;
import * as ResourceAction from "./resource-action";
export import ResourceAction = ResourceAction.ResourceAction;
import * as ResourceActionCollection from "./resource-action-collection";
export import ResourceActionCollection = ResourceActionCollection.ResourceActionCollection;
import * as ResourceActionSummary from "./resource-action-summary";
export import ResourceActionSummary = ResourceActionSummary.ResourceActionSummary;
import * as ResourceCount from "./resource-count";
export import ResourceCount = ResourceCount.ResourceCount;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as Status from "./status";
export import Status = Status.Status;
import * as Strategy from "./strategy";
export import Strategy = Strategy.Strategy;
import * as StrategyParameter from "./strategy-parameter";
export import StrategyParameter = StrategyParameter.StrategyParameter;
import * as StrategyParameterType from "./strategy-parameter-type";
export import StrategyParameterType = StrategyParameterType.StrategyParameterType;
import * as SupportedLevel from "./supported-level";
export import SupportedLevel = SupportedLevel.SupportedLevel;
import * as SupportedLevels from "./supported-levels";
export import SupportedLevels = SupportedLevels.SupportedLevels;
import * as TagValueType from "./tag-value-type";
export import TagValueType = TagValueType.TagValueType;
import * as TargetCompartments from "./target-compartments";
export import TargetCompartments = TargetCompartments.TargetCompartments;
import * as TargetTag from "./target-tag";
export import TargetTag = TargetTag.TargetTag;
import * as TargetTags from "./target-tags";
export import TargetTags = TargetTags.TargetTags;
import * as UpdateEnrollmentStatusDetails from "./update-enrollment-status-details";
export import UpdateEnrollmentStatusDetails = UpdateEnrollmentStatusDetails.UpdateEnrollmentStatusDetails;
import * as UpdateProfileDetails from "./update-profile-details";
export import UpdateProfileDetails = UpdateProfileDetails.UpdateProfileDetails;
import * as UpdateRecommendationDetails from "./update-recommendation-details";
export import UpdateRecommendationDetails = UpdateRecommendationDetails.UpdateRecommendationDetails;
import * as UpdateResourceActionDetails from "./update-resource-action-details";
export import UpdateResourceActionDetails = UpdateResourceActionDetails.UpdateResourceActionDetails;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestActionType from "./work-request-action-type";
export import WorkRequestActionType = WorkRequestActionType.WorkRequestActionType;
import * as WorkRequestCollection from "./work-request-collection";
export import WorkRequestCollection = WorkRequestCollection.WorkRequestCollection;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestResourceMetadataKey from "./work-request-resource-metadata-key";
export import WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
