/**
 * Cloud Advisor API
 * Use the Cloud Advisor API to find potential inefficiencies in your tenancy and address them.
Cloud Advisor can help you save money, improve performance, strengthen system resilience, and improve security.
For more information, see [Cloud Advisor](/Content/CloudAdvisor/Concepts/cloudadvisoroverview.htm).

 * OpenAPI spec version: 20200606
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Specifies which tag value types in the {@code tagValues} field result in overrides of the recommendation criteria. Allowed values are {@code ANY} and {@code VALUE}.
* <p>
When the {@code tagValueType} field value is {@code ANY}, the {@code tagValues} field should be empty, which enforces overrides to the recommendation for resources with any tag values attached to them.
* When the {@code tagValueType} field value is {@code VALUE}, the {@code tagValues} field must include a specific value or list of values. Overrides to the recommendation criteria only occur for resources that match the values in the {@code tagKey} and the {@code tagValues} fields.
* <p>
For example, if the {@code tagKey} value is {@code B}, the {@code tagValueType} value is {@code ANY}, and the {@code tagValues} field is empty, overrides to the recommendation criteria occur for any resources that have the tag key B.
* If the {@code tagKey} value is {@code B}, the {@code tagValueType} value is {@code VALUE}, and the {@code tagValues} value is {@code s1}, overrides to the recommendation criteria only occur for resources that have the tag key B with the associated tag value s1.
*
**/
export declare enum TagValueType {
    Value = "VALUE",
    Any = "ANY",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace TagValueType {
    function getJsonObj(obj: TagValueType): TagValueType;
    function getDeserializedJsonObj(obj: TagValueType): TagValueType;
}
