/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A software source which can be added to a managed instance. Once a software source is added, packages from that software source can be installed on that managed instance.
 */
export interface AvailableSoftwareSourceSummary {
    /**
     * unique identifier that is immutable on creation
     */
    "id": string;
    /**
     * OCID for the Compartment
     */
    "compartmentId": string;
    /**
     * User friendly name for the software source
     */
    "displayName": string;
    /**
     * OCID for the parent software source, if there is one
     */
    "parentId"?: string;
    /**
     * Display name of the parent software source, if there is one
     */
    "parentName"?: string;
}
export declare namespace AvailableSoftwareSourceSummary {
    function getJsonObj(obj: AvailableSoftwareSourceSummary): object;
    function getDeserializedJsonObj(obj: AvailableSoftwareSourceSummary): object;
}
