"use strict";
/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentAvailability = void 0;
/**
 * Content Availability Status:
 *   * NOT_AVAILABLE - content is not available on the instance nor in the service
 *   * AVAILABLE_ON_INSTANCE - content is only available on the instance
 *   * AVAILABLE_ON_SERVICE - content is only available on the service
 *   * AVAILABLE_ON_INSTANCE_AND_SERVICE - content is available both on the instance and the service
 *   * AVAILABLE_ON_INSTANCE_UPLOAD_IN_PROGRESS - content is available on the instance and its upload is in progress
 *
 **/
var ContentAvailability;
(function (ContentAvailability) {
    ContentAvailability["NotAvailable"] = "NOT_AVAILABLE";
    ContentAvailability["AvailableOnInstance"] = "AVAILABLE_ON_INSTANCE";
    ContentAvailability["AvailableOnService"] = "AVAILABLE_ON_SERVICE";
    ContentAvailability["AvailableOnInstanceAndService"] = "AVAILABLE_ON_INSTANCE_AND_SERVICE";
    ContentAvailability["AvailableOnInstanceUploadInProgress"] = "AVAILABLE_ON_INSTANCE_UPLOAD_IN_PROGRESS";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    ContentAvailability["UnknownValue"] = "UNKNOWN_VALUE";
})(ContentAvailability = exports.ContentAvailability || (exports.ContentAvailability = {}));
(function (ContentAvailability) {
    function getJsonObj(obj) {
        return obj;
    }
    ContentAvailability.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    ContentAvailability.getDeserializedJsonObj = getDeserializedJsonObj;
})(ContentAvailability = exports.ContentAvailability || (exports.ContentAvailability = {}));
//# sourceMappingURL=content-availability.js.map