/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Detailed information about system at the time of the crash.
 */
export interface CrashEventSystemInformation {
    /**
     * system architecture
     */
    "architecture"?: model.ArchTypes;
    /**
     * Active ksplice kernel version (uptrack-uname -r)
     */
    "kspliceEffectiveKernelVersion"?: string;
    /**
     * The Operating System type of the managed instance.
     */
    "osFamily"?: model.OsFamilies;
    /**
     * Operating System Name (OCA value)
     */
    "osName"?: string;
    /**
     * Operating System Kernel Release (uname -v)
     */
    "osKernelRelease"?: string;
    /**
     * Operating System Kernel Version (uname -r)
     */
    "osKernelVersion"?: string;
    /**
     * Version of the OS (VERSION from /etc/os-release)
     */
    "osSystemVersion"?: string;
}
export declare namespace CrashEventSystemInformation {
    function getJsonObj(obj: CrashEventSystemInformation): object;
    function getDeserializedJsonObj(obj: CrashEventSystemInformation): object;
}
