/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information about the data collected as a ZIP file when the event occurred.
 */
export interface EventContent {
    /**
     * Status of the event content
     */
    "contentAvailability"?: model.ContentAvailability;
    /**
     * Path to the event content on the instance
     */
    "instancePath"?: string;
    /**
     * size in bytes of the event content (size of the zip file uploaded) Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "size"?: number;
}
export declare namespace EventContent {
    function getJsonObj(obj: EventContent): object;
    function getDeserializedJsonObj(obj: EventContent): object;
}
