/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information about a Kernel Oops.
 */
export interface KernelOopsEvent extends model.Event {
    /**
     * reason of the crash
     */
    "reason"?: string;
    /**
     * First occurrence time of the event
     */
    "timeFirstOccurred"?: Date;
    "vmcore"?: model.KernelVmCoreInformation;
    "content"?: model.EventContent;
    "system"?: model.CrashEventSystemInformation;
    "eventType": string;
}
export declare namespace KernelOopsEvent {
    function getJsonObj(obj: KernelOopsEvent, isParentJsonObj?: boolean): object;
    const eventType = "KERNEL_OOPS";
    function getDeserializedJsonObj(obj: KernelOopsEvent, isParentJsonObj?: boolean): object;
}
