"use strict";
/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedInstance = void 0;
const model = __importStar(require("../model"));
var ManagedInstance;
(function (ManagedInstance) {
    let Status;
    (function (Status) {
        Status["Normal"] = "NORMAL";
        Status["Unreachable"] = "UNREACHABLE";
        Status["Error"] = "ERROR";
        Status["Warning"] = "WARNING";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Status["UnknownValue"] = "UNKNOWN_VALUE";
    })(Status = ManagedInstance.Status || (ManagedInstance.Status = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "parentSoftwareSource": obj.parentSoftwareSource
                ? model.SoftwareSourceId.getJsonObj(obj.parentSoftwareSource)
                : undefined,
            "childSoftwareSources": obj.childSoftwareSources
                ? obj.childSoftwareSources.map(item => {
                    return model.SoftwareSourceId.getJsonObj(item);
                })
                : undefined,
            "managedInstanceGroups": obj.managedInstanceGroups
                ? obj.managedInstanceGroups.map(item => {
                    return model.Id.getJsonObj(item);
                })
                : undefined,
            "autonomous": obj.autonomous
                ? model.AutonomousSettings.getJsonObj(obj.autonomous)
                : undefined
        });
        return jsonObj;
    }
    ManagedInstance.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "parentSoftwareSource": obj.parentSoftwareSource
                ? model.SoftwareSourceId.getDeserializedJsonObj(obj.parentSoftwareSource)
                : undefined,
            "childSoftwareSources": obj.childSoftwareSources
                ? obj.childSoftwareSources.map(item => {
                    return model.SoftwareSourceId.getDeserializedJsonObj(item);
                })
                : undefined,
            "managedInstanceGroups": obj.managedInstanceGroups
                ? obj.managedInstanceGroups.map(item => {
                    return model.Id.getDeserializedJsonObj(item);
                })
                : undefined,
            "autonomous": obj.autonomous
                ? model.AutonomousSettings.getDeserializedJsonObj(obj.autonomous)
                : undefined
        });
        return jsonObj;
    }
    ManagedInstance.getDeserializedJsonObj = getDeserializedJsonObj;
})(ManagedInstance = exports.ManagedInstance || (exports.ManagedInstance = {}));
//# sourceMappingURL=managed-instance.js.map