/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary information pertaining to a module stream profile on a managed instance
 */
export interface ModuleStreamProfileOnManagedInstanceSummary {
    /**
     * The name of the module that contains the stream profile
     */
    "moduleName": string;
    /**
     * The name of the stream that contains the profile
     */
    "streamName": string;
    /**
     * The name of the profile
     */
    "profileName": string;
    /**
      * The status of the profile.
  * <p>
  A profile with the \"INSTALLED\" status indicates that the profile has been
  * installed.
  * <p>
  A profile with the \"AVAILABLE\" status indicates that the profile is
  * not installed, but can be.
  *
      */
    "status": ModuleStreamProfileOnManagedInstanceSummary.Status;
    /**
     * The date and time of the last status change for this profile, as
     * described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339),
     * section 14.29.
     *
     */
    "timeModified"?: Date;
}
export declare namespace ModuleStreamProfileOnManagedInstanceSummary {
    enum Status {
        Installed = "INSTALLED",
        Available = "AVAILABLE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ModuleStreamProfileOnManagedInstanceSummary): object;
    function getDeserializedJsonObj(obj: ModuleStreamProfileOnManagedInstanceSummary): object;
}
