/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A module stream profile provided by a software source
 */
export interface ModuleStreamProfile {
    /**
     * The name of the module that contains the stream profile
     */
    "moduleName": string;
    /**
     * The name of the stream that contains the profile
     */
    "streamName": string;
    /**
     * The name of the profile
     */
    "profileName": string;
    /**
     * Indicates if this profile is the default for its module stream.
     */
    "isDefault"?: boolean;
    /**
     * A description of the contents of the module stream profile
     */
    "description"?: string;
    /**
     * A list of packages that constitute the profile.  Each element
     * in the list is the name of a package.  The name is suitable to
     * use as an argument to other OS Management APIs that interact
     * directly with packages.
     *
     */
    "packages": Array<string>;
}
export declare namespace ModuleStreamProfile {
    function getJsonObj(obj: ModuleStreamProfile): object;
    function getDeserializedJsonObj(obj: ModuleStreamProfile): object;
}
