/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An object for representing a recurrence time interval
 */
export interface Recurrence {
    /**
     * the interval period for the recurrence
     */
    "intervalType": Recurrence.IntervalType;
    /**
     * the value for the interval period for the recurrence
     */
    "intervalValue": string;
}
export declare namespace Recurrence {
    enum IntervalType {
        Minutes = "MINUTES",
        Hours = "HOURS",
        Days = "DAYS",
        Weeks = "WEEKS"
    }
    function getJsonObj(obj: Recurrence): object;
    function getDeserializedJsonObj(obj: Recurrence): object;
}
