/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information detailing the state of a module stream profile
 */
export interface UpdateModuleStreamProfileDetails {
    /**
     * The name of the profile of the parent stream
     */
    "profileName": string;
    /**
      * The status of the profile.
  * <p>
  A profile with the \"INSTALLED\" status indicates that the
  * profile has been installed.
  * <p>
  A profile with the \"AVAILABLE\" status indicates that the
  * profile is not installed, but can be.
  *
      */
    "status": UpdateModuleStreamProfileDetails.Status;
    /**
     * Indicates if the module stream profile is the default
     */
    "isDefault"?: boolean;
    /**
     * The date and time of the last status change for this object, as
     * described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339),
     * section 14.29.
     *
     */
    "timeModified": Date;
}
export declare namespace UpdateModuleStreamProfileDetails {
    enum Status {
        Installed = "INSTALLED",
        Available = "AVAILABLE"
    }
    function getJsonObj(obj: UpdateModuleStreamProfileDetails): object;
    function getDeserializedJsonObj(obj: UpdateModuleStreamProfileDetails): object;
}
