/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A resource created, operated on or used by a work request.
 */
export interface WorkRequestResource {
    /**
     * The resource type for the work request.
     */
    "entityType": string;
    /**
     * The way in which this resource is affected by the work tracked in the work request.
     * A resource being created, updated, or deleted will remain in the IN_PROGRESS state until
     * work is complete for that resource at which point it will transition to CREATED, UPDATED,
     * or DELETED, respectively. If the request failed for that resource,
     * the state will be FAILED.
     *
     */
    "actionType": WorkRequestResource.ActionType;
    /**
     * The identifier of the resource. Not all resources will have an id.
     */
    "identifier": string;
    /**
     * The name of the resource. Not all resources will have a name specified.
     */
    "name"?: string;
    /**
     * The URI path that the user can do a GET on to access the resource metadata.
     */
    "entityUri": string;
}
export declare namespace WorkRequestResource {
    enum ActionType {
        Created = "CREATED",
        Updated = "UPDATED",
        Deleted = "DELETED",
        Failed = "FAILED",
        InProgress = "IN_PROGRESS",
        Installed = "INSTALLED",
        Removed = "REMOVED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
