/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as DeleteEventContentRequest from "./delete-event-content-request";
export import DeleteEventContentRequest = DeleteEventContentRequest.DeleteEventContentRequest;
import * as GetEventRequest from "./get-event-request";
export import GetEventRequest = GetEventRequest.GetEventRequest;
import * as GetEventContentRequest from "./get-event-content-request";
export import GetEventContentRequest = GetEventContentRequest.GetEventContentRequest;
import * as GetEventReportRequest from "./get-event-report-request";
export import GetEventReportRequest = GetEventReportRequest.GetEventReportRequest;
import * as ListEventsRequest from "./list-events-request";
export import ListEventsRequest = ListEventsRequest.ListEventsRequest;
import * as ListRelatedEventsRequest from "./list-related-events-request";
export import ListRelatedEventsRequest = ListRelatedEventsRequest.ListRelatedEventsRequest;
import * as UpdateEventRequest from "./update-event-request";
export import UpdateEventRequest = UpdateEventRequest.UpdateEventRequest;
import * as UploadEventContentRequest from "./upload-event-content-request";
export import UploadEventContentRequest = UploadEventContentRequest.UploadEventContentRequest;
import * as AddPackagesToSoftwareSourceRequest from "./add-packages-to-software-source-request";
export import AddPackagesToSoftwareSourceRequest = AddPackagesToSoftwareSourceRequest.AddPackagesToSoftwareSourceRequest;
import * as AttachChildSoftwareSourceToManagedInstanceRequest from "./attach-child-software-source-to-managed-instance-request";
export import AttachChildSoftwareSourceToManagedInstanceRequest = AttachChildSoftwareSourceToManagedInstanceRequest.AttachChildSoftwareSourceToManagedInstanceRequest;
import * as AttachManagedInstanceToManagedInstanceGroupRequest from "./attach-managed-instance-to-managed-instance-group-request";
export import AttachManagedInstanceToManagedInstanceGroupRequest = AttachManagedInstanceToManagedInstanceGroupRequest.AttachManagedInstanceToManagedInstanceGroupRequest;
import * as AttachParentSoftwareSourceToManagedInstanceRequest from "./attach-parent-software-source-to-managed-instance-request";
export import AttachParentSoftwareSourceToManagedInstanceRequest = AttachParentSoftwareSourceToManagedInstanceRequest.AttachParentSoftwareSourceToManagedInstanceRequest;
import * as ChangeManagedInstanceGroupCompartmentRequest from "./change-managed-instance-group-compartment-request";
export import ChangeManagedInstanceGroupCompartmentRequest = ChangeManagedInstanceGroupCompartmentRequest.ChangeManagedInstanceGroupCompartmentRequest;
import * as ChangeScheduledJobCompartmentRequest from "./change-scheduled-job-compartment-request";
export import ChangeScheduledJobCompartmentRequest = ChangeScheduledJobCompartmentRequest.ChangeScheduledJobCompartmentRequest;
import * as ChangeSoftwareSourceCompartmentRequest from "./change-software-source-compartment-request";
export import ChangeSoftwareSourceCompartmentRequest = ChangeSoftwareSourceCompartmentRequest.ChangeSoftwareSourceCompartmentRequest;
import * as CreateManagedInstanceGroupRequest from "./create-managed-instance-group-request";
export import CreateManagedInstanceGroupRequest = CreateManagedInstanceGroupRequest.CreateManagedInstanceGroupRequest;
import * as CreateScheduledJobRequest from "./create-scheduled-job-request";
export import CreateScheduledJobRequest = CreateScheduledJobRequest.CreateScheduledJobRequest;
import * as CreateSoftwareSourceRequest from "./create-software-source-request";
export import CreateSoftwareSourceRequest = CreateSoftwareSourceRequest.CreateSoftwareSourceRequest;
import * as DeleteManagedInstanceGroupRequest from "./delete-managed-instance-group-request";
export import DeleteManagedInstanceGroupRequest = DeleteManagedInstanceGroupRequest.DeleteManagedInstanceGroupRequest;
import * as DeleteScheduledJobRequest from "./delete-scheduled-job-request";
export import DeleteScheduledJobRequest = DeleteScheduledJobRequest.DeleteScheduledJobRequest;
import * as DeleteSoftwareSourceRequest from "./delete-software-source-request";
export import DeleteSoftwareSourceRequest = DeleteSoftwareSourceRequest.DeleteSoftwareSourceRequest;
import * as DetachChildSoftwareSourceFromManagedInstanceRequest from "./detach-child-software-source-from-managed-instance-request";
export import DetachChildSoftwareSourceFromManagedInstanceRequest = DetachChildSoftwareSourceFromManagedInstanceRequest.DetachChildSoftwareSourceFromManagedInstanceRequest;
import * as DetachManagedInstanceFromManagedInstanceGroupRequest from "./detach-managed-instance-from-managed-instance-group-request";
export import DetachManagedInstanceFromManagedInstanceGroupRequest = DetachManagedInstanceFromManagedInstanceGroupRequest.DetachManagedInstanceFromManagedInstanceGroupRequest;
import * as DetachParentSoftwareSourceFromManagedInstanceRequest from "./detach-parent-software-source-from-managed-instance-request";
export import DetachParentSoftwareSourceFromManagedInstanceRequest = DetachParentSoftwareSourceFromManagedInstanceRequest.DetachParentSoftwareSourceFromManagedInstanceRequest;
import * as DisableModuleStreamOnManagedInstanceRequest from "./disable-module-stream-on-managed-instance-request";
export import DisableModuleStreamOnManagedInstanceRequest = DisableModuleStreamOnManagedInstanceRequest.DisableModuleStreamOnManagedInstanceRequest;
import * as EnableModuleStreamOnManagedInstanceRequest from "./enable-module-stream-on-managed-instance-request";
export import EnableModuleStreamOnManagedInstanceRequest = EnableModuleStreamOnManagedInstanceRequest.EnableModuleStreamOnManagedInstanceRequest;
import * as GetErratumRequest from "./get-erratum-request";
export import GetErratumRequest = GetErratumRequest.GetErratumRequest;
import * as GetManagedInstanceRequest from "./get-managed-instance-request";
export import GetManagedInstanceRequest = GetManagedInstanceRequest.GetManagedInstanceRequest;
import * as GetManagedInstanceGroupRequest from "./get-managed-instance-group-request";
export import GetManagedInstanceGroupRequest = GetManagedInstanceGroupRequest.GetManagedInstanceGroupRequest;
import * as GetModuleStreamRequest from "./get-module-stream-request";
export import GetModuleStreamRequest = GetModuleStreamRequest.GetModuleStreamRequest;
import * as GetModuleStreamProfileRequest from "./get-module-stream-profile-request";
export import GetModuleStreamProfileRequest = GetModuleStreamProfileRequest.GetModuleStreamProfileRequest;
import * as GetScheduledJobRequest from "./get-scheduled-job-request";
export import GetScheduledJobRequest = GetScheduledJobRequest.GetScheduledJobRequest;
import * as GetSoftwarePackageRequest from "./get-software-package-request";
export import GetSoftwarePackageRequest = GetSoftwarePackageRequest.GetSoftwarePackageRequest;
import * as GetSoftwareSourceRequest from "./get-software-source-request";
export import GetSoftwareSourceRequest = GetSoftwareSourceRequest.GetSoftwareSourceRequest;
import * as GetWindowsUpdateRequest from "./get-windows-update-request";
export import GetWindowsUpdateRequest = GetWindowsUpdateRequest.GetWindowsUpdateRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as InstallAllPackageUpdatesOnManagedInstanceRequest from "./install-all-package-updates-on-managed-instance-request";
export import InstallAllPackageUpdatesOnManagedInstanceRequest = InstallAllPackageUpdatesOnManagedInstanceRequest.InstallAllPackageUpdatesOnManagedInstanceRequest;
import * as InstallAllUpdatesOnManagedInstanceGroupRequest from "./install-all-updates-on-managed-instance-group-request";
export import InstallAllUpdatesOnManagedInstanceGroupRequest = InstallAllUpdatesOnManagedInstanceGroupRequest.InstallAllUpdatesOnManagedInstanceGroupRequest;
import * as InstallAllWindowsUpdatesOnManagedInstanceRequest from "./install-all-windows-updates-on-managed-instance-request";
export import InstallAllWindowsUpdatesOnManagedInstanceRequest = InstallAllWindowsUpdatesOnManagedInstanceRequest.InstallAllWindowsUpdatesOnManagedInstanceRequest;
import * as InstallModuleStreamProfileOnManagedInstanceRequest from "./install-module-stream-profile-on-managed-instance-request";
export import InstallModuleStreamProfileOnManagedInstanceRequest = InstallModuleStreamProfileOnManagedInstanceRequest.InstallModuleStreamProfileOnManagedInstanceRequest;
import * as InstallPackageOnManagedInstanceRequest from "./install-package-on-managed-instance-request";
export import InstallPackageOnManagedInstanceRequest = InstallPackageOnManagedInstanceRequest.InstallPackageOnManagedInstanceRequest;
import * as InstallPackageUpdateOnManagedInstanceRequest from "./install-package-update-on-managed-instance-request";
export import InstallPackageUpdateOnManagedInstanceRequest = InstallPackageUpdateOnManagedInstanceRequest.InstallPackageUpdateOnManagedInstanceRequest;
import * as InstallWindowsUpdateOnManagedInstanceRequest from "./install-windows-update-on-managed-instance-request";
export import InstallWindowsUpdateOnManagedInstanceRequest = InstallWindowsUpdateOnManagedInstanceRequest.InstallWindowsUpdateOnManagedInstanceRequest;
import * as ListAvailablePackagesForManagedInstanceRequest from "./list-available-packages-for-managed-instance-request";
export import ListAvailablePackagesForManagedInstanceRequest = ListAvailablePackagesForManagedInstanceRequest.ListAvailablePackagesForManagedInstanceRequest;
import * as ListAvailableSoftwareSourcesForManagedInstanceRequest from "./list-available-software-sources-for-managed-instance-request";
export import ListAvailableSoftwareSourcesForManagedInstanceRequest = ListAvailableSoftwareSourcesForManagedInstanceRequest.ListAvailableSoftwareSourcesForManagedInstanceRequest;
import * as ListAvailableUpdatesForManagedInstanceRequest from "./list-available-updates-for-managed-instance-request";
export import ListAvailableUpdatesForManagedInstanceRequest = ListAvailableUpdatesForManagedInstanceRequest.ListAvailableUpdatesForManagedInstanceRequest;
import * as ListAvailableWindowsUpdatesForManagedInstanceRequest from "./list-available-windows-updates-for-managed-instance-request";
export import ListAvailableWindowsUpdatesForManagedInstanceRequest = ListAvailableWindowsUpdatesForManagedInstanceRequest.ListAvailableWindowsUpdatesForManagedInstanceRequest;
import * as ListErrataRequest from "./list-errata-request";
export import ListErrataRequest = ListErrataRequest.ListErrataRequest;
import * as ListManagedInstanceErrataRequest from "./list-managed-instance-errata-request";
export import ListManagedInstanceErrataRequest = ListManagedInstanceErrataRequest.ListManagedInstanceErrataRequest;
import * as ListManagedInstanceGroupsRequest from "./list-managed-instance-groups-request";
export import ListManagedInstanceGroupsRequest = ListManagedInstanceGroupsRequest.ListManagedInstanceGroupsRequest;
import * as ListManagedInstancesRequest from "./list-managed-instances-request";
export import ListManagedInstancesRequest = ListManagedInstancesRequest.ListManagedInstancesRequest;
import * as ListModuleStreamProfilesRequest from "./list-module-stream-profiles-request";
export import ListModuleStreamProfilesRequest = ListModuleStreamProfilesRequest.ListModuleStreamProfilesRequest;
import * as ListModuleStreamProfilesOnManagedInstanceRequest from "./list-module-stream-profiles-on-managed-instance-request";
export import ListModuleStreamProfilesOnManagedInstanceRequest = ListModuleStreamProfilesOnManagedInstanceRequest.ListModuleStreamProfilesOnManagedInstanceRequest;
import * as ListModuleStreamsRequest from "./list-module-streams-request";
export import ListModuleStreamsRequest = ListModuleStreamsRequest.ListModuleStreamsRequest;
import * as ListModuleStreamsOnManagedInstanceRequest from "./list-module-streams-on-managed-instance-request";
export import ListModuleStreamsOnManagedInstanceRequest = ListModuleStreamsOnManagedInstanceRequest.ListModuleStreamsOnManagedInstanceRequest;
import * as ListPackagesInstalledOnManagedInstanceRequest from "./list-packages-installed-on-managed-instance-request";
export import ListPackagesInstalledOnManagedInstanceRequest = ListPackagesInstalledOnManagedInstanceRequest.ListPackagesInstalledOnManagedInstanceRequest;
import * as ListScheduledJobsRequest from "./list-scheduled-jobs-request";
export import ListScheduledJobsRequest = ListScheduledJobsRequest.ListScheduledJobsRequest;
import * as ListSoftwareSourcePackagesRequest from "./list-software-source-packages-request";
export import ListSoftwareSourcePackagesRequest = ListSoftwareSourcePackagesRequest.ListSoftwareSourcePackagesRequest;
import * as ListSoftwareSourcesRequest from "./list-software-sources-request";
export import ListSoftwareSourcesRequest = ListSoftwareSourcesRequest.ListSoftwareSourcesRequest;
import * as ListUpcomingScheduledJobsRequest from "./list-upcoming-scheduled-jobs-request";
export import ListUpcomingScheduledJobsRequest = ListUpcomingScheduledJobsRequest.ListUpcomingScheduledJobsRequest;
import * as ListWindowsUpdatesRequest from "./list-windows-updates-request";
export import ListWindowsUpdatesRequest = ListWindowsUpdatesRequest.ListWindowsUpdatesRequest;
import * as ListWindowsUpdatesInstalledOnManagedInstanceRequest from "./list-windows-updates-installed-on-managed-instance-request";
export import ListWindowsUpdatesInstalledOnManagedInstanceRequest = ListWindowsUpdatesInstalledOnManagedInstanceRequest.ListWindowsUpdatesInstalledOnManagedInstanceRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as ManageModuleStreamsOnManagedInstanceRequest from "./manage-module-streams-on-managed-instance-request";
export import ManageModuleStreamsOnManagedInstanceRequest = ManageModuleStreamsOnManagedInstanceRequest.ManageModuleStreamsOnManagedInstanceRequest;
import * as RemoveModuleStreamProfileFromManagedInstanceRequest from "./remove-module-stream-profile-from-managed-instance-request";
export import RemoveModuleStreamProfileFromManagedInstanceRequest = RemoveModuleStreamProfileFromManagedInstanceRequest.RemoveModuleStreamProfileFromManagedInstanceRequest;
import * as RemovePackageFromManagedInstanceRequest from "./remove-package-from-managed-instance-request";
export import RemovePackageFromManagedInstanceRequest = RemovePackageFromManagedInstanceRequest.RemovePackageFromManagedInstanceRequest;
import * as RemovePackagesFromSoftwareSourceRequest from "./remove-packages-from-software-source-request";
export import RemovePackagesFromSoftwareSourceRequest = RemovePackagesFromSoftwareSourceRequest.RemovePackagesFromSoftwareSourceRequest;
import * as RunScheduledJobNowRequest from "./run-scheduled-job-now-request";
export import RunScheduledJobNowRequest = RunScheduledJobNowRequest.RunScheduledJobNowRequest;
import * as SearchSoftwarePackagesRequest from "./search-software-packages-request";
export import SearchSoftwarePackagesRequest = SearchSoftwarePackagesRequest.SearchSoftwarePackagesRequest;
import * as SkipNextScheduledJobExecutionRequest from "./skip-next-scheduled-job-execution-request";
export import SkipNextScheduledJobExecutionRequest = SkipNextScheduledJobExecutionRequest.SkipNextScheduledJobExecutionRequest;
import * as SwitchModuleStreamOnManagedInstanceRequest from "./switch-module-stream-on-managed-instance-request";
export import SwitchModuleStreamOnManagedInstanceRequest = SwitchModuleStreamOnManagedInstanceRequest.SwitchModuleStreamOnManagedInstanceRequest;
import * as UpdateManagedInstanceRequest from "./update-managed-instance-request";
export import UpdateManagedInstanceRequest = UpdateManagedInstanceRequest.UpdateManagedInstanceRequest;
import * as UpdateManagedInstanceGroupRequest from "./update-managed-instance-group-request";
export import UpdateManagedInstanceGroupRequest = UpdateManagedInstanceGroupRequest.UpdateManagedInstanceGroupRequest;
import * as UpdateScheduledJobRequest from "./update-scheduled-job-request";
export import UpdateScheduledJobRequest = UpdateScheduledJobRequest.UpdateScheduledJobRequest;
import * as UpdateSoftwareSourceRequest from "./update-software-source-request";
export import UpdateSoftwareSourceRequest = UpdateSoftwareSourceRequest.UpdateSoftwareSourceRequest;
