/**
 *
 *
 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/osmanagement/ListErrata.ts.html |here} to see how to use ListErrataRequest.
 */
export interface ListErrataRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources. This parameter is optional and in some cases may have no effect.
     */
    "compartmentId"?: string;
    /**
     * The OCID of the erratum.
     */
    "erratumId"?: string;
    /**
   * The assigned erratum name. It's unique and not changeable.
  * <p>
  Example: {@code ELSA-2020-5804}
  *
   */
    "advisoryName"?: string;
    /**
   * The issue date after which to list all errata, in ISO 8601 format
  * <p>
  Example: 2017-07-14T02:40:00.000Z
  *
   */
    "timeIssueDateStart"?: Date;
    /**
   * The issue date before which to list all errata, in ISO 8601 format
  * <p>
  Example: 2017-07-14T02:40:00.000Z
  *
   */
    "timeIssueDateEnd"?: Date;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'asc' or 'desc'.
     */
    "sortOrder"?: ListErrataRequest.SortOrder;
    /**
     * The field to sort errata by. Only one sort order may be provided. Default order for ISSUEDATE is descending. Default order for ADVISORYNAME is ascending. If no value is specified ISSUEDATE is default.
     *
     */
    "sortBy"?: ListErrataRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListErrataRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        Issuedate = "ISSUEDATE",
        Advisoryname = "ADVISORYNAME"
    }
}
