/**
 *
 *
 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/osmanagement/ListUpcomingScheduledJobs.ts.html |here} to see how to use ListUpcomingScheduledJobsRequest.
 */
export interface ListUpcomingScheduledJobsRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
   * The cut-off time before which to list all upcoming schedules, in ISO 8601 format
  * <p>
  Example: 2017-07-14T02:40:00.000Z
  *
   */
    "timeEnd": Date;
    /**
   * A user-friendly name. Does not have to be unique, and it's changeable.
  * <p>
  Example: {@code My new resource}
  *
   */
    "displayName"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'asc' or 'desc'.
     */
    "sortOrder"?: ListUpcomingScheduledJobsRequest.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for TIMECREATED is descending. Default order for DISPLAYNAME is ascending. If no value is specified TIMECREATED is default.
     *
     */
    "sortBy"?: ListUpcomingScheduledJobsRequest.SortBy;
    /**
     * The name of the tag.
     */
    "tagName"?: string;
    /**
     * The value for the tag.
     */
    "tagValue"?: string;
    /**
     * The current lifecycle state for the object.
     */
    "lifecycleState"?: model.LifecycleStates;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The OS family for which to list resources.
     */
    "osFamily"?: model.OsFamilies;
}
export declare namespace ListUpcomingScheduledJobsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        Timecreated = "TIMECREATED",
        Displayname = "DISPLAYNAME"
    }
}
