/**
 * OS Management API
 * API for the OS Management service. Use these API operations for working
with Managed instances and Managed instance groups.

 * OpenAPI spec version: 20190801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as DeleteEventContentResponse from "./delete-event-content-response";
export import DeleteEventContentResponse = DeleteEventContentResponse.DeleteEventContentResponse;
import * as GetEventResponse from "./get-event-response";
export import GetEventResponse = GetEventResponse.GetEventResponse;
import * as GetEventContentResponse from "./get-event-content-response";
export import GetEventContentResponse = GetEventContentResponse.GetEventContentResponse;
import * as GetEventReportResponse from "./get-event-report-response";
export import GetEventReportResponse = GetEventReportResponse.GetEventReportResponse;
import * as ListEventsResponse from "./list-events-response";
export import ListEventsResponse = ListEventsResponse.ListEventsResponse;
import * as ListRelatedEventsResponse from "./list-related-events-response";
export import ListRelatedEventsResponse = ListRelatedEventsResponse.ListRelatedEventsResponse;
import * as UpdateEventResponse from "./update-event-response";
export import UpdateEventResponse = UpdateEventResponse.UpdateEventResponse;
import * as UploadEventContentResponse from "./upload-event-content-response";
export import UploadEventContentResponse = UploadEventContentResponse.UploadEventContentResponse;
import * as AddPackagesToSoftwareSourceResponse from "./add-packages-to-software-source-response";
export import AddPackagesToSoftwareSourceResponse = AddPackagesToSoftwareSourceResponse.AddPackagesToSoftwareSourceResponse;
import * as AttachChildSoftwareSourceToManagedInstanceResponse from "./attach-child-software-source-to-managed-instance-response";
export import AttachChildSoftwareSourceToManagedInstanceResponse = AttachChildSoftwareSourceToManagedInstanceResponse.AttachChildSoftwareSourceToManagedInstanceResponse;
import * as AttachManagedInstanceToManagedInstanceGroupResponse from "./attach-managed-instance-to-managed-instance-group-response";
export import AttachManagedInstanceToManagedInstanceGroupResponse = AttachManagedInstanceToManagedInstanceGroupResponse.AttachManagedInstanceToManagedInstanceGroupResponse;
import * as AttachParentSoftwareSourceToManagedInstanceResponse from "./attach-parent-software-source-to-managed-instance-response";
export import AttachParentSoftwareSourceToManagedInstanceResponse = AttachParentSoftwareSourceToManagedInstanceResponse.AttachParentSoftwareSourceToManagedInstanceResponse;
import * as ChangeManagedInstanceGroupCompartmentResponse from "./change-managed-instance-group-compartment-response";
export import ChangeManagedInstanceGroupCompartmentResponse = ChangeManagedInstanceGroupCompartmentResponse.ChangeManagedInstanceGroupCompartmentResponse;
import * as ChangeScheduledJobCompartmentResponse from "./change-scheduled-job-compartment-response";
export import ChangeScheduledJobCompartmentResponse = ChangeScheduledJobCompartmentResponse.ChangeScheduledJobCompartmentResponse;
import * as ChangeSoftwareSourceCompartmentResponse from "./change-software-source-compartment-response";
export import ChangeSoftwareSourceCompartmentResponse = ChangeSoftwareSourceCompartmentResponse.ChangeSoftwareSourceCompartmentResponse;
import * as CreateManagedInstanceGroupResponse from "./create-managed-instance-group-response";
export import CreateManagedInstanceGroupResponse = CreateManagedInstanceGroupResponse.CreateManagedInstanceGroupResponse;
import * as CreateScheduledJobResponse from "./create-scheduled-job-response";
export import CreateScheduledJobResponse = CreateScheduledJobResponse.CreateScheduledJobResponse;
import * as CreateSoftwareSourceResponse from "./create-software-source-response";
export import CreateSoftwareSourceResponse = CreateSoftwareSourceResponse.CreateSoftwareSourceResponse;
import * as DeleteManagedInstanceGroupResponse from "./delete-managed-instance-group-response";
export import DeleteManagedInstanceGroupResponse = DeleteManagedInstanceGroupResponse.DeleteManagedInstanceGroupResponse;
import * as DeleteScheduledJobResponse from "./delete-scheduled-job-response";
export import DeleteScheduledJobResponse = DeleteScheduledJobResponse.DeleteScheduledJobResponse;
import * as DeleteSoftwareSourceResponse from "./delete-software-source-response";
export import DeleteSoftwareSourceResponse = DeleteSoftwareSourceResponse.DeleteSoftwareSourceResponse;
import * as DetachChildSoftwareSourceFromManagedInstanceResponse from "./detach-child-software-source-from-managed-instance-response";
export import DetachChildSoftwareSourceFromManagedInstanceResponse = DetachChildSoftwareSourceFromManagedInstanceResponse.DetachChildSoftwareSourceFromManagedInstanceResponse;
import * as DetachManagedInstanceFromManagedInstanceGroupResponse from "./detach-managed-instance-from-managed-instance-group-response";
export import DetachManagedInstanceFromManagedInstanceGroupResponse = DetachManagedInstanceFromManagedInstanceGroupResponse.DetachManagedInstanceFromManagedInstanceGroupResponse;
import * as DetachParentSoftwareSourceFromManagedInstanceResponse from "./detach-parent-software-source-from-managed-instance-response";
export import DetachParentSoftwareSourceFromManagedInstanceResponse = DetachParentSoftwareSourceFromManagedInstanceResponse.DetachParentSoftwareSourceFromManagedInstanceResponse;
import * as DisableModuleStreamOnManagedInstanceResponse from "./disable-module-stream-on-managed-instance-response";
export import DisableModuleStreamOnManagedInstanceResponse = DisableModuleStreamOnManagedInstanceResponse.DisableModuleStreamOnManagedInstanceResponse;
import * as EnableModuleStreamOnManagedInstanceResponse from "./enable-module-stream-on-managed-instance-response";
export import EnableModuleStreamOnManagedInstanceResponse = EnableModuleStreamOnManagedInstanceResponse.EnableModuleStreamOnManagedInstanceResponse;
import * as GetErratumResponse from "./get-erratum-response";
export import GetErratumResponse = GetErratumResponse.GetErratumResponse;
import * as GetManagedInstanceResponse from "./get-managed-instance-response";
export import GetManagedInstanceResponse = GetManagedInstanceResponse.GetManagedInstanceResponse;
import * as GetManagedInstanceGroupResponse from "./get-managed-instance-group-response";
export import GetManagedInstanceGroupResponse = GetManagedInstanceGroupResponse.GetManagedInstanceGroupResponse;
import * as GetModuleStreamResponse from "./get-module-stream-response";
export import GetModuleStreamResponse = GetModuleStreamResponse.GetModuleStreamResponse;
import * as GetModuleStreamProfileResponse from "./get-module-stream-profile-response";
export import GetModuleStreamProfileResponse = GetModuleStreamProfileResponse.GetModuleStreamProfileResponse;
import * as GetScheduledJobResponse from "./get-scheduled-job-response";
export import GetScheduledJobResponse = GetScheduledJobResponse.GetScheduledJobResponse;
import * as GetSoftwarePackageResponse from "./get-software-package-response";
export import GetSoftwarePackageResponse = GetSoftwarePackageResponse.GetSoftwarePackageResponse;
import * as GetSoftwareSourceResponse from "./get-software-source-response";
export import GetSoftwareSourceResponse = GetSoftwareSourceResponse.GetSoftwareSourceResponse;
import * as GetWindowsUpdateResponse from "./get-windows-update-response";
export import GetWindowsUpdateResponse = GetWindowsUpdateResponse.GetWindowsUpdateResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as InstallAllPackageUpdatesOnManagedInstanceResponse from "./install-all-package-updates-on-managed-instance-response";
export import InstallAllPackageUpdatesOnManagedInstanceResponse = InstallAllPackageUpdatesOnManagedInstanceResponse.InstallAllPackageUpdatesOnManagedInstanceResponse;
import * as InstallAllUpdatesOnManagedInstanceGroupResponse from "./install-all-updates-on-managed-instance-group-response";
export import InstallAllUpdatesOnManagedInstanceGroupResponse = InstallAllUpdatesOnManagedInstanceGroupResponse.InstallAllUpdatesOnManagedInstanceGroupResponse;
import * as InstallAllWindowsUpdatesOnManagedInstanceResponse from "./install-all-windows-updates-on-managed-instance-response";
export import InstallAllWindowsUpdatesOnManagedInstanceResponse = InstallAllWindowsUpdatesOnManagedInstanceResponse.InstallAllWindowsUpdatesOnManagedInstanceResponse;
import * as InstallModuleStreamProfileOnManagedInstanceResponse from "./install-module-stream-profile-on-managed-instance-response";
export import InstallModuleStreamProfileOnManagedInstanceResponse = InstallModuleStreamProfileOnManagedInstanceResponse.InstallModuleStreamProfileOnManagedInstanceResponse;
import * as InstallPackageOnManagedInstanceResponse from "./install-package-on-managed-instance-response";
export import InstallPackageOnManagedInstanceResponse = InstallPackageOnManagedInstanceResponse.InstallPackageOnManagedInstanceResponse;
import * as InstallPackageUpdateOnManagedInstanceResponse from "./install-package-update-on-managed-instance-response";
export import InstallPackageUpdateOnManagedInstanceResponse = InstallPackageUpdateOnManagedInstanceResponse.InstallPackageUpdateOnManagedInstanceResponse;
import * as InstallWindowsUpdateOnManagedInstanceResponse from "./install-windows-update-on-managed-instance-response";
export import InstallWindowsUpdateOnManagedInstanceResponse = InstallWindowsUpdateOnManagedInstanceResponse.InstallWindowsUpdateOnManagedInstanceResponse;
import * as ListAvailablePackagesForManagedInstanceResponse from "./list-available-packages-for-managed-instance-response";
export import ListAvailablePackagesForManagedInstanceResponse = ListAvailablePackagesForManagedInstanceResponse.ListAvailablePackagesForManagedInstanceResponse;
import * as ListAvailableSoftwareSourcesForManagedInstanceResponse from "./list-available-software-sources-for-managed-instance-response";
export import ListAvailableSoftwareSourcesForManagedInstanceResponse = ListAvailableSoftwareSourcesForManagedInstanceResponse.ListAvailableSoftwareSourcesForManagedInstanceResponse;
import * as ListAvailableUpdatesForManagedInstanceResponse from "./list-available-updates-for-managed-instance-response";
export import ListAvailableUpdatesForManagedInstanceResponse = ListAvailableUpdatesForManagedInstanceResponse.ListAvailableUpdatesForManagedInstanceResponse;
import * as ListAvailableWindowsUpdatesForManagedInstanceResponse from "./list-available-windows-updates-for-managed-instance-response";
export import ListAvailableWindowsUpdatesForManagedInstanceResponse = ListAvailableWindowsUpdatesForManagedInstanceResponse.ListAvailableWindowsUpdatesForManagedInstanceResponse;
import * as ListErrataResponse from "./list-errata-response";
export import ListErrataResponse = ListErrataResponse.ListErrataResponse;
import * as ListManagedInstanceErrataResponse from "./list-managed-instance-errata-response";
export import ListManagedInstanceErrataResponse = ListManagedInstanceErrataResponse.ListManagedInstanceErrataResponse;
import * as ListManagedInstanceGroupsResponse from "./list-managed-instance-groups-response";
export import ListManagedInstanceGroupsResponse = ListManagedInstanceGroupsResponse.ListManagedInstanceGroupsResponse;
import * as ListManagedInstancesResponse from "./list-managed-instances-response";
export import ListManagedInstancesResponse = ListManagedInstancesResponse.ListManagedInstancesResponse;
import * as ListModuleStreamProfilesResponse from "./list-module-stream-profiles-response";
export import ListModuleStreamProfilesResponse = ListModuleStreamProfilesResponse.ListModuleStreamProfilesResponse;
import * as ListModuleStreamProfilesOnManagedInstanceResponse from "./list-module-stream-profiles-on-managed-instance-response";
export import ListModuleStreamProfilesOnManagedInstanceResponse = ListModuleStreamProfilesOnManagedInstanceResponse.ListModuleStreamProfilesOnManagedInstanceResponse;
import * as ListModuleStreamsResponse from "./list-module-streams-response";
export import ListModuleStreamsResponse = ListModuleStreamsResponse.ListModuleStreamsResponse;
import * as ListModuleStreamsOnManagedInstanceResponse from "./list-module-streams-on-managed-instance-response";
export import ListModuleStreamsOnManagedInstanceResponse = ListModuleStreamsOnManagedInstanceResponse.ListModuleStreamsOnManagedInstanceResponse;
import * as ListPackagesInstalledOnManagedInstanceResponse from "./list-packages-installed-on-managed-instance-response";
export import ListPackagesInstalledOnManagedInstanceResponse = ListPackagesInstalledOnManagedInstanceResponse.ListPackagesInstalledOnManagedInstanceResponse;
import * as ListScheduledJobsResponse from "./list-scheduled-jobs-response";
export import ListScheduledJobsResponse = ListScheduledJobsResponse.ListScheduledJobsResponse;
import * as ListSoftwareSourcePackagesResponse from "./list-software-source-packages-response";
export import ListSoftwareSourcePackagesResponse = ListSoftwareSourcePackagesResponse.ListSoftwareSourcePackagesResponse;
import * as ListSoftwareSourcesResponse from "./list-software-sources-response";
export import ListSoftwareSourcesResponse = ListSoftwareSourcesResponse.ListSoftwareSourcesResponse;
import * as ListUpcomingScheduledJobsResponse from "./list-upcoming-scheduled-jobs-response";
export import ListUpcomingScheduledJobsResponse = ListUpcomingScheduledJobsResponse.ListUpcomingScheduledJobsResponse;
import * as ListWindowsUpdatesResponse from "./list-windows-updates-response";
export import ListWindowsUpdatesResponse = ListWindowsUpdatesResponse.ListWindowsUpdatesResponse;
import * as ListWindowsUpdatesInstalledOnManagedInstanceResponse from "./list-windows-updates-installed-on-managed-instance-response";
export import ListWindowsUpdatesInstalledOnManagedInstanceResponse = ListWindowsUpdatesInstalledOnManagedInstanceResponse.ListWindowsUpdatesInstalledOnManagedInstanceResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as ManageModuleStreamsOnManagedInstanceResponse from "./manage-module-streams-on-managed-instance-response";
export import ManageModuleStreamsOnManagedInstanceResponse = ManageModuleStreamsOnManagedInstanceResponse.ManageModuleStreamsOnManagedInstanceResponse;
import * as RemoveModuleStreamProfileFromManagedInstanceResponse from "./remove-module-stream-profile-from-managed-instance-response";
export import RemoveModuleStreamProfileFromManagedInstanceResponse = RemoveModuleStreamProfileFromManagedInstanceResponse.RemoveModuleStreamProfileFromManagedInstanceResponse;
import * as RemovePackageFromManagedInstanceResponse from "./remove-package-from-managed-instance-response";
export import RemovePackageFromManagedInstanceResponse = RemovePackageFromManagedInstanceResponse.RemovePackageFromManagedInstanceResponse;
import * as RemovePackagesFromSoftwareSourceResponse from "./remove-packages-from-software-source-response";
export import RemovePackagesFromSoftwareSourceResponse = RemovePackagesFromSoftwareSourceResponse.RemovePackagesFromSoftwareSourceResponse;
import * as RunScheduledJobNowResponse from "./run-scheduled-job-now-response";
export import RunScheduledJobNowResponse = RunScheduledJobNowResponse.RunScheduledJobNowResponse;
import * as SearchSoftwarePackagesResponse from "./search-software-packages-response";
export import SearchSoftwarePackagesResponse = SearchSoftwarePackagesResponse.SearchSoftwarePackagesResponse;
import * as SkipNextScheduledJobExecutionResponse from "./skip-next-scheduled-job-execution-response";
export import SkipNextScheduledJobExecutionResponse = SkipNextScheduledJobExecutionResponse.SkipNextScheduledJobExecutionResponse;
import * as SwitchModuleStreamOnManagedInstanceResponse from "./switch-module-stream-on-managed-instance-response";
export import SwitchModuleStreamOnManagedInstanceResponse = SwitchModuleStreamOnManagedInstanceResponse.SwitchModuleStreamOnManagedInstanceResponse;
import * as UpdateManagedInstanceResponse from "./update-managed-instance-response";
export import UpdateManagedInstanceResponse = UpdateManagedInstanceResponse.UpdateManagedInstanceResponse;
import * as UpdateManagedInstanceGroupResponse from "./update-managed-instance-group-response";
export import UpdateManagedInstanceGroupResponse = UpdateManagedInstanceGroupResponse.UpdateManagedInstanceGroupResponse;
import * as UpdateScheduledJobResponse from "./update-scheduled-job-response";
export import UpdateScheduledJobResponse = UpdateScheduledJobResponse.UpdateScheduledJobResponse;
import * as UpdateSoftwareSourceResponse from "./update-software-source-response";
export import UpdateSoftwareSourceResponse = UpdateSoftwareSourceResponse.UpdateSoftwareSourceResponse;
