/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as requests from "./lib/request";
import * as models from "./lib/model";
import * as responses from "./lib/response";
import * as client from "./lib/client";
import * as event_waiter from "./lib/event-waiter";
import * as lifecycleenvironment_waiter from "./lib/lifecycleenvironment-waiter";
import * as managedinstancegroup_waiter from "./lib/managedinstancegroup-waiter";
import * as managementstation_waiter from "./lib/managementstation-waiter";
import * as onboarding_waiter from "./lib/onboarding-waiter";
import * as scheduledjob_waiter from "./lib/scheduledjob-waiter";
import * as softwaresource_waiter from "./lib/softwaresource-waiter";
import * as workrequest_waiter from "./lib/workrequest-waiter";
export { models };
export { requests };
export { responses };
export import EventClient = client.EventClient;
export import EventWaiter = event_waiter.EventWaiter;
export import LifecycleEnvironmentClient = client.LifecycleEnvironmentClient;
export import LifecycleEnvironmentWaiter = lifecycleenvironment_waiter.LifecycleEnvironmentWaiter;
export import ManagedInstanceClient = client.ManagedInstanceClient;
export import ManagedInstanceGroupClient = client.ManagedInstanceGroupClient;
export import ManagedInstanceGroupWaiter = managedinstancegroup_waiter.ManagedInstanceGroupWaiter;
export import ManagementStationClient = client.ManagementStationClient;
export import ManagementStationWaiter = managementstation_waiter.ManagementStationWaiter;
export import OnboardingClient = client.OnboardingClient;
export import OnboardingWaiter = onboarding_waiter.OnboardingWaiter;
export import ReportingManagedInstanceClient = client.ReportingManagedInstanceClient;
export import ScheduledJobClient = client.ScheduledJobClient;
export import ScheduledJobWaiter = scheduledjob_waiter.ScheduledJobWaiter;
export import SoftwareSourceClient = client.SoftwareSourceClient;
export import SoftwareSourceWaiter = softwaresource_waiter.SoftwareSourceWaiter;
export import WorkRequestClient = client.WorkRequestClient;
export import WorkRequestWaiter = workrequest_waiter.WorkRequestWaiter;
