/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides additional information for an agent event.
 */
export interface AgentEventData {
    /**
     * Type of agent operation.
     */
    "operationType": AgentEventData.OperationType;
    /**
     * Status of the agent operation.
     */
    "status": model.EventStatus;
    "additionalDetails"?: model.WorkRequestEventDataAdditionalDetails;
}
export declare namespace AgentEventData {
    enum OperationType {
        ListPackages = "LIST_PACKAGES",
        UploadContent = "UPLOAD_CONTENT",
        SyncAgentConfig = "SYNC_AGENT_CONFIG",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AgentEventData): object;
    function getDeserializedJsonObj(obj: AgentEventData): object;
}
