/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides summary information about an available software source.
 * An available software source can be added to a managed instance.
 * After a software source is added, packages from that software source can be installed on that managed instance.
 *
 */
export interface AvailableSoftwareSourceSummary {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the software source.
     */
    "id": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment that contains the software source.
     */
    "compartmentId": string;
    /**
     * User-friendly name for the software source.
     */
    "displayName": string;
}
export declare namespace AvailableSoftwareSourceSummary {
    function getJsonObj(obj: AvailableSoftwareSourceSummary): object;
    function getDeserializedJsonObj(obj: AvailableSoftwareSourceSummary): object;
}
