/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides the information used to create a group registration profile.
 */
export interface CreateGroupProfileDetails extends model.CreateProfileDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the managed instance group that the instance will join after registration.
     */
    "managedInstanceGroupId": string;
    "profileType": string;
}
export declare namespace CreateGroupProfileDetails {
    function getJsonObj(obj: CreateGroupProfileDetails, isParentJsonObj?: boolean): object;
    const profileType = "GROUP";
    function getDeserializedJsonObj(obj: CreateGroupProfileDetails, isParentJsonObj?: boolean): object;
}
