/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides summary information for an erratum. An erratum is an important software change which can include security advisories, bug fixes, or enhancements.
 */
export interface ErratumSummary {
    /**
     * Advisory name.
     */
    "name": string;
    /**
     * Summary description of the erratum.
     */
    "synopsis"?: string;
    /**
     * The date and time the erratum was issued (in [RFC 3339](https://tools.ietf.org/rfc/rfc3339) format).
     *
     */
    "timeIssued"?: Date;
    /**
     * The date and time the erratum was updated (in [RFC 3339](https://tools.ietf.org/rfc/rfc3339) format).
     *
     */
    "timeUpdated"?: Date;
    /**
     * Type of the erratum. This property is deprecated and it will be removed in a future API release. Please refer to the advisoryType property instead.
     */
    "classificationType"?: model.ClassificationTypes;
    /**
     * List of CVEs applicable to this erratum.
     */
    "relatedCves"?: Array<string>;
    /**
     * List of affected OS families.
     */
    "osFamilies"?: Array<model.OsFamily>;
    /**
     * The severity advisory. Only valid for security type advisories.
     */
    "advisorySeverity"?: model.AdvisorySeverity;
    /**
     * The advisory type of the erratum.
     */
    "advisoryType"?: model.AdvisoryTypes;
}
export declare namespace ErratumSummary {
    function getJsonObj(obj: ErratumSummary): object;
    function getDeserializedJsonObj(obj: ErratumSummary): object;
}
