/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as AddPackagesToSoftwareSourceDetails from "./add-packages-to-software-source-details";
export import AddPackagesToSoftwareSourceDetails = AddPackagesToSoftwareSourceDetails.AddPackagesToSoftwareSourceDetails;
import * as AdvisorySeverity from "./advisory-severity";
export import AdvisorySeverity = AdvisorySeverity.AdvisorySeverity;
import * as AdvisoryTypes from "./advisory-types";
export import AdvisoryTypes = AdvisoryTypes.AdvisoryTypes;
import * as AgentEventData from "./agent-event-data";
export import AgentEventData = AgentEventData.AgentEventData;
import * as ArchType from "./arch-type";
export import ArchType = ArchType.ArchType;
import * as AttachManagedInstancesToLifecycleStageDetails from "./attach-managed-instances-to-lifecycle-stage-details";
export import AttachManagedInstancesToLifecycleStageDetails = AttachManagedInstancesToLifecycleStageDetails.AttachManagedInstancesToLifecycleStageDetails;
import * as AttachManagedInstancesToManagedInstanceGroupDetails from "./attach-managed-instances-to-managed-instance-group-details";
export import AttachManagedInstancesToManagedInstanceGroupDetails = AttachManagedInstancesToManagedInstanceGroupDetails.AttachManagedInstancesToManagedInstanceGroupDetails;
import * as AttachProfileToManagedInstanceDetails from "./attach-profile-to-managed-instance-details";
export import AttachProfileToManagedInstanceDetails = AttachProfileToManagedInstanceDetails.AttachProfileToManagedInstanceDetails;
import * as AttachSoftwareSourcesToManagedInstanceDetails from "./attach-software-sources-to-managed-instance-details";
export import AttachSoftwareSourcesToManagedInstanceDetails = AttachSoftwareSourcesToManagedInstanceDetails.AttachSoftwareSourcesToManagedInstanceDetails;
import * as AttachSoftwareSourcesToManagedInstanceGroupDetails from "./attach-software-sources-to-managed-instance-group-details";
export import AttachSoftwareSourcesToManagedInstanceGroupDetails = AttachSoftwareSourcesToManagedInstanceGroupDetails.AttachSoftwareSourcesToManagedInstanceGroupDetails;
import * as AutonomousSettings from "./autonomous-settings";
export import AutonomousSettings = AutonomousSettings.AutonomousSettings;
import * as Availability from "./availability";
export import Availability = Availability.Availability;
import * as AvailablePackageCollection from "./available-package-collection";
export import AvailablePackageCollection = AvailablePackageCollection.AvailablePackageCollection;
import * as AvailableSoftwareSourceCollection from "./available-software-source-collection";
export import AvailableSoftwareSourceCollection = AvailableSoftwareSourceCollection.AvailableSoftwareSourceCollection;
import * as AvailableSoftwareSourceSummary from "./available-software-source-summary";
export import AvailableSoftwareSourceSummary = AvailableSoftwareSourceSummary.AvailableSoftwareSourceSummary;
import * as AvailableWindowsUpdateCollection from "./available-windows-update-collection";
export import AvailableWindowsUpdateCollection = AvailableWindowsUpdateCollection.AvailableWindowsUpdateCollection;
import * as AvailableWindowsUpdateSummary from "./available-windows-update-summary";
export import AvailableWindowsUpdateSummary = AvailableWindowsUpdateSummary.AvailableWindowsUpdateSummary;
import * as ChangeAvailabilityOfSoftwareSourcesDetails from "./change-availability-of-software-sources-details";
export import ChangeAvailabilityOfSoftwareSourcesDetails = ChangeAvailabilityOfSoftwareSourcesDetails.ChangeAvailabilityOfSoftwareSourcesDetails;
import * as ChangeEventCompartmentDetails from "./change-event-compartment-details";
export import ChangeEventCompartmentDetails = ChangeEventCompartmentDetails.ChangeEventCompartmentDetails;
import * as ChangeLifecycleEnvironmentCompartmentDetails from "./change-lifecycle-environment-compartment-details";
export import ChangeLifecycleEnvironmentCompartmentDetails = ChangeLifecycleEnvironmentCompartmentDetails.ChangeLifecycleEnvironmentCompartmentDetails;
import * as ChangeManagedInstanceGroupCompartmentDetails from "./change-managed-instance-group-compartment-details";
export import ChangeManagedInstanceGroupCompartmentDetails = ChangeManagedInstanceGroupCompartmentDetails.ChangeManagedInstanceGroupCompartmentDetails;
import * as ChangeManagementStationCompartmentDetails from "./change-management-station-compartment-details";
export import ChangeManagementStationCompartmentDetails = ChangeManagementStationCompartmentDetails.ChangeManagementStationCompartmentDetails;
import * as ChangeProfileCompartmentDetails from "./change-profile-compartment-details";
export import ChangeProfileCompartmentDetails = ChangeProfileCompartmentDetails.ChangeProfileCompartmentDetails;
import * as ChangeScheduledJobCompartmentDetails from "./change-scheduled-job-compartment-details";
export import ChangeScheduledJobCompartmentDetails = ChangeScheduledJobCompartmentDetails.ChangeScheduledJobCompartmentDetails;
import * as ChangeSoftwareSourceCompartmentDetails from "./change-software-source-compartment-details";
export import ChangeSoftwareSourceCompartmentDetails = ChangeSoftwareSourceCompartmentDetails.ChangeSoftwareSourceCompartmentDetails;
import * as ChecksumType from "./checksum-type";
export import ChecksumType = ChecksumType.ChecksumType;
import * as ClassificationTypes from "./classification-types";
export import ClassificationTypes = ClassificationTypes.ClassificationTypes;
import * as CreateEntitlementDetails from "./create-entitlement-details";
export import CreateEntitlementDetails = CreateEntitlementDetails.CreateEntitlementDetails;
import * as CreateLifecycleEnvironmentDetails from "./create-lifecycle-environment-details";
export import CreateLifecycleEnvironmentDetails = CreateLifecycleEnvironmentDetails.CreateLifecycleEnvironmentDetails;
import * as CreateLifecycleStageDetails from "./create-lifecycle-stage-details";
export import CreateLifecycleStageDetails = CreateLifecycleStageDetails.CreateLifecycleStageDetails;
import * as CreateManagedInstanceGroupDetails from "./create-managed-instance-group-details";
export import CreateManagedInstanceGroupDetails = CreateManagedInstanceGroupDetails.CreateManagedInstanceGroupDetails;
import * as CreateManagementStationDetails from "./create-management-station-details";
export import CreateManagementStationDetails = CreateManagementStationDetails.CreateManagementStationDetails;
import * as CreateMirrorConfigurationDetails from "./create-mirror-configuration-details";
export import CreateMirrorConfigurationDetails = CreateMirrorConfigurationDetails.CreateMirrorConfigurationDetails;
import * as CreateProfileDetails from "./create-profile-details";
export import CreateProfileDetails = CreateProfileDetails.CreateProfileDetails;
import * as CreateProxyConfigurationDetails from "./create-proxy-configuration-details";
export import CreateProxyConfigurationDetails = CreateProxyConfigurationDetails.CreateProxyConfigurationDetails;
import * as CreateScheduledJobDetails from "./create-scheduled-job-details";
export import CreateScheduledJobDetails = CreateScheduledJobDetails.CreateScheduledJobDetails;
import * as CreateSoftwareSourceDetails from "./create-software-source-details";
export import CreateSoftwareSourceDetails = CreateSoftwareSourceDetails.CreateSoftwareSourceDetails;
import * as CustomSoftwareSourceFilter from "./custom-software-source-filter";
export import CustomSoftwareSourceFilter = CustomSoftwareSourceFilter.CustomSoftwareSourceFilter;
import * as DetachManagedInstancesFromLifecycleStageDetails from "./detach-managed-instances-from-lifecycle-stage-details";
export import DetachManagedInstancesFromLifecycleStageDetails = DetachManagedInstancesFromLifecycleStageDetails.DetachManagedInstancesFromLifecycleStageDetails;
import * as DetachManagedInstancesFromManagedInstanceGroupDetails from "./detach-managed-instances-from-managed-instance-group-details";
export import DetachManagedInstancesFromManagedInstanceGroupDetails = DetachManagedInstancesFromManagedInstanceGroupDetails.DetachManagedInstancesFromManagedInstanceGroupDetails;
import * as DetachSoftwareSourcesFromManagedInstanceDetails from "./detach-software-sources-from-managed-instance-details";
export import DetachSoftwareSourcesFromManagedInstanceDetails = DetachSoftwareSourcesFromManagedInstanceDetails.DetachSoftwareSourcesFromManagedInstanceDetails;
import * as DetachSoftwareSourcesFromManagedInstanceGroupDetails from "./detach-software-sources-from-managed-instance-group-details";
export import DetachSoftwareSourcesFromManagedInstanceGroupDetails = DetachSoftwareSourcesFromManagedInstanceGroupDetails.DetachSoftwareSourcesFromManagedInstanceGroupDetails;
import * as DisableModuleStreamOnManagedInstanceDetails from "./disable-module-stream-on-managed-instance-details";
export import DisableModuleStreamOnManagedInstanceDetails = DisableModuleStreamOnManagedInstanceDetails.DisableModuleStreamOnManagedInstanceDetails;
import * as DisableModuleStreamOnManagedInstanceGroupDetails from "./disable-module-stream-on-managed-instance-group-details";
export import DisableModuleStreamOnManagedInstanceGroupDetails = DisableModuleStreamOnManagedInstanceGroupDetails.DisableModuleStreamOnManagedInstanceGroupDetails;
import * as EnableModuleStreamOnManagedInstanceDetails from "./enable-module-stream-on-managed-instance-details";
export import EnableModuleStreamOnManagedInstanceDetails = EnableModuleStreamOnManagedInstanceDetails.EnableModuleStreamOnManagedInstanceDetails;
import * as EnableModuleStreamOnManagedInstanceGroupDetails from "./enable-module-stream-on-managed-instance-group-details";
export import EnableModuleStreamOnManagedInstanceGroupDetails = EnableModuleStreamOnManagedInstanceGroupDetails.EnableModuleStreamOnManagedInstanceGroupDetails;
import * as EntitlementCollection from "./entitlement-collection";
export import EntitlementCollection = EntitlementCollection.EntitlementCollection;
import * as EntitlementSummary from "./entitlement-summary";
export import EntitlementSummary = EntitlementSummary.EntitlementSummary;
import * as Erratum from "./erratum";
export import Erratum = Erratum.Erratum;
import * as ErratumCollection from "./erratum-collection";
export import ErratumCollection = ErratumCollection.ErratumCollection;
import * as ErratumSummary from "./erratum-summary";
export import ErratumSummary = ErratumSummary.ErratumSummary;
import * as Event from "./event";
export import Event = Event.Event;
import * as EventCollection from "./event-collection";
export import EventCollection = EventCollection.EventCollection;
import * as EventContent from "./event-content";
export import EventContent = EventContent.EventContent;
import * as EventStatus from "./event-status";
export import EventStatus = EventStatus.EventStatus;
import * as EventSummary from "./event-summary";
export import EventSummary = EventSummary.EventSummary;
import * as EventType from "./event-type";
export import EventType = EventType.EventType;
import * as ExploitAttemptAdditionalDetails from "./exploit-attempt-additional-details";
export import ExploitAttemptAdditionalDetails = ExploitAttemptAdditionalDetails.ExploitAttemptAdditionalDetails;
import * as ExploitAttemptEventData from "./exploit-attempt-event-data";
export import ExploitAttemptEventData = ExploitAttemptEventData.ExploitAttemptEventData;
import * as FilterType from "./filter-type";
export import FilterType = FilterType.FilterType;
import * as HealthState from "./health-state";
export import HealthState = HealthState.HealthState;
import * as Id from "./id";
export import Id = Id.Id;
import * as InstallAllWindowsUpdatesOnManagedInstancesInCompartmentDetails from "./install-all-windows-updates-on-managed-instances-in-compartment-details";
export import InstallAllWindowsUpdatesOnManagedInstancesInCompartmentDetails = InstallAllWindowsUpdatesOnManagedInstancesInCompartmentDetails.InstallAllWindowsUpdatesOnManagedInstancesInCompartmentDetails;
import * as InstallModuleStreamProfileOnManagedInstanceDetails from "./install-module-stream-profile-on-managed-instance-details";
export import InstallModuleStreamProfileOnManagedInstanceDetails = InstallModuleStreamProfileOnManagedInstanceDetails.InstallModuleStreamProfileOnManagedInstanceDetails;
import * as InstallModuleStreamProfileOnManagedInstanceGroupDetails from "./install-module-stream-profile-on-managed-instance-group-details";
export import InstallModuleStreamProfileOnManagedInstanceGroupDetails = InstallModuleStreamProfileOnManagedInstanceGroupDetails.InstallModuleStreamProfileOnManagedInstanceGroupDetails;
import * as InstallPackagesOnManagedInstanceDetails from "./install-packages-on-managed-instance-details";
export import InstallPackagesOnManagedInstanceDetails = InstallPackagesOnManagedInstanceDetails.InstallPackagesOnManagedInstanceDetails;
import * as InstallPackagesOnManagedInstanceGroupDetails from "./install-packages-on-managed-instance-group-details";
export import InstallPackagesOnManagedInstanceGroupDetails = InstallPackagesOnManagedInstanceGroupDetails.InstallPackagesOnManagedInstanceGroupDetails;
import * as InstallWindowsUpdatesOnManagedInstanceDetails from "./install-windows-updates-on-managed-instance-details";
export import InstallWindowsUpdatesOnManagedInstanceDetails = InstallWindowsUpdatesOnManagedInstanceDetails.InstallWindowsUpdatesOnManagedInstanceDetails;
import * as InstallWindowsUpdatesOnManagedInstanceGroupDetails from "./install-windows-updates-on-managed-instance-group-details";
export import InstallWindowsUpdatesOnManagedInstanceGroupDetails = InstallWindowsUpdatesOnManagedInstanceGroupDetails.InstallWindowsUpdatesOnManagedInstanceGroupDetails;
import * as InstallationRequirements from "./installation-requirements";
export import InstallationRequirements = InstallationRequirements.InstallationRequirements;
import * as InstalledPackageCollection from "./installed-package-collection";
export import InstalledPackageCollection = InstalledPackageCollection.InstalledPackageCollection;
import * as InstalledWindowsUpdateCollection from "./installed-windows-update-collection";
export import InstalledWindowsUpdateCollection = InstalledWindowsUpdateCollection.InstalledWindowsUpdateCollection;
import * as InstalledWindowsUpdateSummary from "./installed-windows-update-summary";
export import InstalledWindowsUpdateSummary = InstalledWindowsUpdateSummary.InstalledWindowsUpdateSummary;
import * as KernelEventAdditionalDetails from "./kernel-event-additional-details";
export import KernelEventAdditionalDetails = KernelEventAdditionalDetails.KernelEventAdditionalDetails;
import * as KernelEventData from "./kernel-event-data";
export import KernelEventData = KernelEventData.KernelEventData;
import * as KspliceUpdateEventData from "./ksplice-update-event-data";
export import KspliceUpdateEventData = KspliceUpdateEventData.KspliceUpdateEventData;
import * as LifecycleEnvironment from "./lifecycle-environment";
export import LifecycleEnvironment = LifecycleEnvironment.LifecycleEnvironment;
import * as LifecycleEnvironmentCollection from "./lifecycle-environment-collection";
export import LifecycleEnvironmentCollection = LifecycleEnvironmentCollection.LifecycleEnvironmentCollection;
import * as LifecycleEnvironmentDetails from "./lifecycle-environment-details";
export import LifecycleEnvironmentDetails = LifecycleEnvironmentDetails.LifecycleEnvironmentDetails;
import * as LifecycleEnvironmentSummary from "./lifecycle-environment-summary";
export import LifecycleEnvironmentSummary = LifecycleEnvironmentSummary.LifecycleEnvironmentSummary;
import * as LifecycleStage from "./lifecycle-stage";
export import LifecycleStage = LifecycleStage.LifecycleStage;
import * as LifecycleStageCollection from "./lifecycle-stage-collection";
export import LifecycleStageCollection = LifecycleStageCollection.LifecycleStageCollection;
import * as LifecycleStageDetails from "./lifecycle-stage-details";
export import LifecycleStageDetails = LifecycleStageDetails.LifecycleStageDetails;
import * as LifecycleStageSummary from "./lifecycle-stage-summary";
export import LifecycleStageSummary = LifecycleStageSummary.LifecycleStageSummary;
import * as ManageModuleStreamsInScheduledJobDetails from "./manage-module-streams-in-scheduled-job-details";
export import ManageModuleStreamsInScheduledJobDetails = ManageModuleStreamsInScheduledJobDetails.ManageModuleStreamsInScheduledJobDetails;
import * as ManageModuleStreamsOnManagedInstanceDetails from "./manage-module-streams-on-managed-instance-details";
export import ManageModuleStreamsOnManagedInstanceDetails = ManageModuleStreamsOnManagedInstanceDetails.ManageModuleStreamsOnManagedInstanceDetails;
import * as ManageModuleStreamsOnManagedInstanceGroupDetails from "./manage-module-streams-on-managed-instance-group-details";
export import ManageModuleStreamsOnManagedInstanceGroupDetails = ManageModuleStreamsOnManagedInstanceGroupDetails.ManageModuleStreamsOnManagedInstanceGroupDetails;
import * as ManagedInstance from "./managed-instance";
export import ManagedInstance = ManagedInstance.ManagedInstance;
import * as ManagedInstanceAnalyticCollection from "./managed-instance-analytic-collection";
export import ManagedInstanceAnalyticCollection = ManagedInstanceAnalyticCollection.ManagedInstanceAnalyticCollection;
import * as ManagedInstanceAnalyticSummary from "./managed-instance-analytic-summary";
export import ManagedInstanceAnalyticSummary = ManagedInstanceAnalyticSummary.ManagedInstanceAnalyticSummary;
import * as ManagedInstanceCollection from "./managed-instance-collection";
export import ManagedInstanceCollection = ManagedInstanceCollection.ManagedInstanceCollection;
import * as ManagedInstanceDetails from "./managed-instance-details";
export import ManagedInstanceDetails = ManagedInstanceDetails.ManagedInstanceDetails;
import * as ManagedInstanceErratumSummary from "./managed-instance-erratum-summary";
export import ManagedInstanceErratumSummary = ManagedInstanceErratumSummary.ManagedInstanceErratumSummary;
import * as ManagedInstanceErratumSummaryCollection from "./managed-instance-erratum-summary-collection";
export import ManagedInstanceErratumSummaryCollection = ManagedInstanceErratumSummaryCollection.ManagedInstanceErratumSummaryCollection;
import * as ManagedInstanceGroup from "./managed-instance-group";
export import ManagedInstanceGroup = ManagedInstanceGroup.ManagedInstanceGroup;
import * as ManagedInstanceGroupAvailableModuleCollection from "./managed-instance-group-available-module-collection";
export import ManagedInstanceGroupAvailableModuleCollection = ManagedInstanceGroupAvailableModuleCollection.ManagedInstanceGroupAvailableModuleCollection;
import * as ManagedInstanceGroupAvailableModuleSummary from "./managed-instance-group-available-module-summary";
export import ManagedInstanceGroupAvailableModuleSummary = ManagedInstanceGroupAvailableModuleSummary.ManagedInstanceGroupAvailableModuleSummary;
import * as ManagedInstanceGroupAvailablePackageCollection from "./managed-instance-group-available-package-collection";
export import ManagedInstanceGroupAvailablePackageCollection = ManagedInstanceGroupAvailablePackageCollection.ManagedInstanceGroupAvailablePackageCollection;
import * as ManagedInstanceGroupAvailablePackageSummary from "./managed-instance-group-available-package-summary";
export import ManagedInstanceGroupAvailablePackageSummary = ManagedInstanceGroupAvailablePackageSummary.ManagedInstanceGroupAvailablePackageSummary;
import * as ManagedInstanceGroupCollection from "./managed-instance-group-collection";
export import ManagedInstanceGroupCollection = ManagedInstanceGroupCollection.ManagedInstanceGroupCollection;
import * as ManagedInstanceGroupDetails from "./managed-instance-group-details";
export import ManagedInstanceGroupDetails = ManagedInstanceGroupDetails.ManagedInstanceGroupDetails;
import * as ManagedInstanceGroupInstalledPackageCollection from "./managed-instance-group-installed-package-collection";
export import ManagedInstanceGroupInstalledPackageCollection = ManagedInstanceGroupInstalledPackageCollection.ManagedInstanceGroupInstalledPackageCollection;
import * as ManagedInstanceGroupInstalledPackageSummary from "./managed-instance-group-installed-package-summary";
export import ManagedInstanceGroupInstalledPackageSummary = ManagedInstanceGroupInstalledPackageSummary.ManagedInstanceGroupInstalledPackageSummary;
import * as ManagedInstanceGroupModuleCollection from "./managed-instance-group-module-collection";
export import ManagedInstanceGroupModuleCollection = ManagedInstanceGroupModuleCollection.ManagedInstanceGroupModuleCollection;
import * as ManagedInstanceGroupModuleSummary from "./managed-instance-group-module-summary";
export import ManagedInstanceGroupModuleSummary = ManagedInstanceGroupModuleSummary.ManagedInstanceGroupModuleSummary;
import * as ManagedInstanceGroupSummary from "./managed-instance-group-summary";
export import ManagedInstanceGroupSummary = ManagedInstanceGroupSummary.ManagedInstanceGroupSummary;
import * as ManagedInstanceLocation from "./managed-instance-location";
export import ManagedInstanceLocation = ManagedInstanceLocation.ManagedInstanceLocation;
import * as ManagedInstanceModuleCollection from "./managed-instance-module-collection";
export import ManagedInstanceModuleCollection = ManagedInstanceModuleCollection.ManagedInstanceModuleCollection;
import * as ManagedInstanceModuleSummary from "./managed-instance-module-summary";
export import ManagedInstanceModuleSummary = ManagedInstanceModuleSummary.ManagedInstanceModuleSummary;
import * as ManagedInstanceStatus from "./managed-instance-status";
export import ManagedInstanceStatus = ManagedInstanceStatus.ManagedInstanceStatus;
import * as ManagedInstanceSummary from "./managed-instance-summary";
export import ManagedInstanceSummary = ManagedInstanceSummary.ManagedInstanceSummary;
import * as ManagedInstancesDetails from "./managed-instances-details";
export import ManagedInstancesDetails = ManagedInstancesDetails.ManagedInstancesDetails;
import * as ManagementStation from "./management-station";
export import ManagementStation = ManagementStation.ManagementStation;
import * as ManagementStationCollection from "./management-station-collection";
export import ManagementStationCollection = ManagementStationCollection.ManagementStationCollection;
import * as ManagementStationDetails from "./management-station-details";
export import ManagementStationDetails = ManagementStationDetails.ManagementStationDetails;
import * as ManagementStationEventData from "./management-station-event-data";
export import ManagementStationEventData = ManagementStationEventData.ManagementStationEventData;
import * as ManagementStationSummary from "./management-station-summary";
export import ManagementStationSummary = ManagementStationSummary.ManagementStationSummary;
import * as MetricName from "./metric-name";
export import MetricName = MetricName.MetricName;
import * as MirrorConfiguration from "./mirror-configuration";
export import MirrorConfiguration = MirrorConfiguration.MirrorConfiguration;
import * as MirrorState from "./mirror-state";
export import MirrorState = MirrorState.MirrorState;
import * as MirrorSummary from "./mirror-summary";
export import MirrorSummary = MirrorSummary.MirrorSummary;
import * as MirrorSyncStatus from "./mirror-sync-status";
export import MirrorSyncStatus = MirrorSyncStatus.MirrorSyncStatus;
import * as MirrorType from "./mirror-type";
export import MirrorType = MirrorType.MirrorType;
import * as MirrorsCollection from "./mirrors-collection";
export import MirrorsCollection = MirrorsCollection.MirrorsCollection;
import * as ModuleCollection from "./module-collection";
export import ModuleCollection = ModuleCollection.ModuleCollection;
import * as ModuleSpecDetails from "./module-spec-details";
export import ModuleSpecDetails = ModuleSpecDetails.ModuleSpecDetails;
import * as ModuleStream from "./module-stream";
export import ModuleStream = ModuleStream.ModuleStream;
import * as ModuleStreamCollection from "./module-stream-collection";
export import ModuleStreamCollection = ModuleStreamCollection.ModuleStreamCollection;
import * as ModuleStreamDetails from "./module-stream-details";
export import ModuleStreamDetails = ModuleStreamDetails.ModuleStreamDetails;
import * as ModuleStreamDetailsBody from "./module-stream-details-body";
export import ModuleStreamDetailsBody = ModuleStreamDetailsBody.ModuleStreamDetailsBody;
import * as ModuleStreamProfile from "./module-stream-profile";
export import ModuleStreamProfile = ModuleStreamProfile.ModuleStreamProfile;
import * as ModuleStreamProfileCollection from "./module-stream-profile-collection";
export import ModuleStreamProfileCollection = ModuleStreamProfileCollection.ModuleStreamProfileCollection;
import * as ModuleStreamProfileDetails from "./module-stream-profile-details";
export import ModuleStreamProfileDetails = ModuleStreamProfileDetails.ModuleStreamProfileDetails;
import * as ModuleStreamProfileDetailsBody from "./module-stream-profile-details-body";
export import ModuleStreamProfileDetailsBody = ModuleStreamProfileDetailsBody.ModuleStreamProfileDetailsBody;
import * as ModuleStreamProfileFilter from "./module-stream-profile-filter";
export import ModuleStreamProfileFilter = ModuleStreamProfileFilter.ModuleStreamProfileFilter;
import * as ModuleStreamProfileStatus from "./module-stream-profile-status";
export import ModuleStreamProfileStatus = ModuleStreamProfileStatus.ModuleStreamProfileStatus;
import * as ModuleStreamProfileSummary from "./module-stream-profile-summary";
export import ModuleStreamProfileSummary = ModuleStreamProfileSummary.ModuleStreamProfileSummary;
import * as ModuleStreamStatus from "./module-stream-status";
export import ModuleStreamStatus = ModuleStreamStatus.ModuleStreamStatus;
import * as ModuleStreamSummary from "./module-stream-summary";
export import ModuleStreamSummary = ModuleStreamSummary.ModuleStreamSummary;
import * as ModuleSummary from "./module-summary";
export import ModuleSummary = ModuleSummary.ModuleSummary;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationTypes from "./operation-types";
export import OperationTypes = OperationTypes.OperationTypes;
import * as OsFamily from "./os-family";
export import OsFamily = OsFamily.OsFamily;
import * as OverallState from "./overall-state";
export import OverallState = OverallState.OverallState;
import * as PackageFilter from "./package-filter";
export import PackageFilter = PackageFilter.PackageFilter;
import * as PackageGroup from "./package-group";
export import PackageGroup = PackageGroup.PackageGroup;
import * as PackageGroupCollection from "./package-group-collection";
export import PackageGroupCollection = PackageGroupCollection.PackageGroupCollection;
import * as PackageGroupFilter from "./package-group-filter";
export import PackageGroupFilter = PackageGroupFilter.PackageGroupFilter;
import * as PackageGroupSummary from "./package-group-summary";
export import PackageGroupSummary = PackageGroupSummary.PackageGroupSummary;
import * as PackageNameSummary from "./package-name-summary";
export import PackageNameSummary = PackageNameSummary.PackageNameSummary;
import * as PackageSummary from "./package-summary";
export import PackageSummary = PackageSummary.PackageSummary;
import * as Profile from "./profile";
export import Profile = Profile.Profile;
import * as ProfileCollection from "./profile-collection";
export import ProfileCollection = ProfileCollection.ProfileCollection;
import * as ProfileSummary from "./profile-summary";
export import ProfileSummary = ProfileSummary.ProfileSummary;
import * as ProfileType from "./profile-type";
export import ProfileType = ProfileType.ProfileType;
import * as PromoteSoftwareSourceToLifecycleStageDetails from "./promote-software-source-to-lifecycle-stage-details";
export import PromoteSoftwareSourceToLifecycleStageDetails = PromoteSoftwareSourceToLifecycleStageDetails.PromoteSoftwareSourceToLifecycleStageDetails;
import * as ProxyConfiguration from "./proxy-configuration";
export import ProxyConfiguration = ProxyConfiguration.ProxyConfiguration;
import * as RemoveModuleStreamProfileFromManagedInstanceDetails from "./remove-module-stream-profile-from-managed-instance-details";
export import RemoveModuleStreamProfileFromManagedInstanceDetails = RemoveModuleStreamProfileFromManagedInstanceDetails.RemoveModuleStreamProfileFromManagedInstanceDetails;
import * as RemoveModuleStreamProfileFromManagedInstanceGroupDetails from "./remove-module-stream-profile-from-managed-instance-group-details";
export import RemoveModuleStreamProfileFromManagedInstanceGroupDetails = RemoveModuleStreamProfileFromManagedInstanceGroupDetails.RemoveModuleStreamProfileFromManagedInstanceGroupDetails;
import * as RemovePackagesFromManagedInstanceDetails from "./remove-packages-from-managed-instance-details";
export import RemovePackagesFromManagedInstanceDetails = RemovePackagesFromManagedInstanceDetails.RemovePackagesFromManagedInstanceDetails;
import * as RemovePackagesFromManagedInstanceGroupDetails from "./remove-packages-from-managed-instance-group-details";
export import RemovePackagesFromManagedInstanceGroupDetails = RemovePackagesFromManagedInstanceGroupDetails.RemovePackagesFromManagedInstanceGroupDetails;
import * as ScheduleTypes from "./schedule-types";
export import ScheduleTypes = ScheduleTypes.ScheduleTypes;
import * as ScheduledJob from "./scheduled-job";
export import ScheduledJob = ScheduledJob.ScheduledJob;
import * as ScheduledJobCollection from "./scheduled-job-collection";
export import ScheduledJobCollection = ScheduledJobCollection.ScheduledJobCollection;
import * as ScheduledJobOperation from "./scheduled-job-operation";
export import ScheduledJobOperation = ScheduledJobOperation.ScheduledJobOperation;
import * as ScheduledJobSummary from "./scheduled-job-summary";
export import ScheduledJobSummary = ScheduledJobSummary.ScheduledJobSummary;
import * as SearchSoftwareSourceModuleStreamsDetails from "./search-software-source-module-streams-details";
export import SearchSoftwareSourceModuleStreamsDetails = SearchSoftwareSourceModuleStreamsDetails.SearchSoftwareSourceModuleStreamsDetails;
import * as SearchSoftwareSourceModulesDetails from "./search-software-source-modules-details";
export import SearchSoftwareSourceModulesDetails = SearchSoftwareSourceModulesDetails.SearchSoftwareSourceModulesDetails;
import * as SearchSoftwareSourcePackageGroupsDetails from "./search-software-source-package-groups-details";
export import SearchSoftwareSourcePackageGroupsDetails = SearchSoftwareSourcePackageGroupsDetails.SearchSoftwareSourcePackageGroupsDetails;
import * as SoftwarePackage from "./software-package";
export import SoftwarePackage = SoftwarePackage.SoftwarePackage;
import * as SoftwarePackageArchitecture from "./software-package-architecture";
export import SoftwarePackageArchitecture = SoftwarePackageArchitecture.SoftwarePackageArchitecture;
import * as SoftwarePackageCollection from "./software-package-collection";
export import SoftwarePackageCollection = SoftwarePackageCollection.SoftwarePackageCollection;
import * as SoftwarePackageDependency from "./software-package-dependency";
export import SoftwarePackageDependency = SoftwarePackageDependency.SoftwarePackageDependency;
import * as SoftwarePackageFile from "./software-package-file";
export import SoftwarePackageFile = SoftwarePackageFile.SoftwarePackageFile;
import * as SoftwarePackageSummary from "./software-package-summary";
export import SoftwarePackageSummary = SoftwarePackageSummary.SoftwarePackageSummary;
import * as SoftwarePackagesDetails from "./software-packages-details";
export import SoftwarePackagesDetails = SoftwarePackagesDetails.SoftwarePackagesDetails;
import * as SoftwareSource from "./software-source";
export import SoftwareSource = SoftwareSource.SoftwareSource;
import * as SoftwareSourceAvailability from "./software-source-availability";
export import SoftwareSourceAvailability = SoftwareSourceAvailability.SoftwareSourceAvailability;
import * as SoftwareSourceCollection from "./software-source-collection";
export import SoftwareSourceCollection = SoftwareSourceCollection.SoftwareSourceCollection;
import * as SoftwareSourceDetails from "./software-source-details";
export import SoftwareSourceDetails = SoftwareSourceDetails.SoftwareSourceDetails;
import * as SoftwareSourceEventData from "./software-source-event-data";
export import SoftwareSourceEventData = SoftwareSourceEventData.SoftwareSourceEventData;
import * as SoftwareSourceSummary from "./software-source-summary";
export import SoftwareSourceSummary = SoftwareSourceSummary.SoftwareSourceSummary;
import * as SoftwareSourceType from "./software-source-type";
export import SoftwareSourceType = SoftwareSourceType.SoftwareSourceType;
import * as SoftwareSourceVendorCollection from "./software-source-vendor-collection";
export import SoftwareSourceVendorCollection = SoftwareSourceVendorCollection.SoftwareSourceVendorCollection;
import * as SoftwareSourceVendorSummary from "./software-source-vendor-summary";
export import SoftwareSourceVendorSummary = SoftwareSourceVendorSummary.SoftwareSourceVendorSummary;
import * as SoftwareSourcesDetails from "./software-sources-details";
export import SoftwareSourcesDetails = SoftwareSourcesDetails.SoftwareSourcesDetails;
import * as SoftwareUpdateEventData from "./software-update-event-data";
export import SoftwareUpdateEventData = SoftwareUpdateEventData.SoftwareUpdateEventData;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as StationHealth from "./station-health";
export import StationHealth = StationHealth.StationHealth;
import * as SwitchModuleStreamOnManagedInstanceDetails from "./switch-module-stream-on-managed-instance-details";
export import SwitchModuleStreamOnManagedInstanceDetails = SwitchModuleStreamOnManagedInstanceDetails.SwitchModuleStreamOnManagedInstanceDetails;
import * as SwitchModuleStreamOnManagedInstanceGroupDetails from "./switch-module-stream-on-managed-instance-group-details";
export import SwitchModuleStreamOnManagedInstanceGroupDetails = SwitchModuleStreamOnManagedInstanceGroupDetails.SwitchModuleStreamOnManagedInstanceGroupDetails;
import * as SynchronizeMirrorsDetails from "./synchronize-mirrors-details";
export import SynchronizeMirrorsDetails = SynchronizeMirrorsDetails.SynchronizeMirrorsDetails;
import * as SystemDetails from "./system-details";
export import SystemDetails = SystemDetails.SystemDetails;
import * as TargetResourceEntityType from "./target-resource-entity-type";
export import TargetResourceEntityType = TargetResourceEntityType.TargetResourceEntityType;
import * as UpdatableAutonomousSettings from "./updatable-autonomous-settings";
export import UpdatableAutonomousSettings = UpdatableAutonomousSettings.UpdatableAutonomousSettings;
import * as UpdatablePackageCollection from "./updatable-package-collection";
export import UpdatablePackageCollection = UpdatablePackageCollection.UpdatablePackageCollection;
import * as UpdateAllPackagesOnManagedInstanceGroupDetails from "./update-all-packages-on-managed-instance-group-details";
export import UpdateAllPackagesOnManagedInstanceGroupDetails = UpdateAllPackagesOnManagedInstanceGroupDetails.UpdateAllPackagesOnManagedInstanceGroupDetails;
import * as UpdateAllPackagesOnManagedInstancesInCompartmentDetails from "./update-all-packages-on-managed-instances-in-compartment-details";
export import UpdateAllPackagesOnManagedInstancesInCompartmentDetails = UpdateAllPackagesOnManagedInstancesInCompartmentDetails.UpdateAllPackagesOnManagedInstancesInCompartmentDetails;
import * as UpdateEventDetails from "./update-event-details";
export import UpdateEventDetails = UpdateEventDetails.UpdateEventDetails;
import * as UpdateLifecycleEnvironmentDetails from "./update-lifecycle-environment-details";
export import UpdateLifecycleEnvironmentDetails = UpdateLifecycleEnvironmentDetails.UpdateLifecycleEnvironmentDetails;
import * as UpdateLifecycleStageDetails from "./update-lifecycle-stage-details";
export import UpdateLifecycleStageDetails = UpdateLifecycleStageDetails.UpdateLifecycleStageDetails;
import * as UpdateManagedInstanceDetails from "./update-managed-instance-details";
export import UpdateManagedInstanceDetails = UpdateManagedInstanceDetails.UpdateManagedInstanceDetails;
import * as UpdateManagedInstanceGroupDetails from "./update-managed-instance-group-details";
export import UpdateManagedInstanceGroupDetails = UpdateManagedInstanceGroupDetails.UpdateManagedInstanceGroupDetails;
import * as UpdateManagementStationDetails from "./update-management-station-details";
export import UpdateManagementStationDetails = UpdateManagementStationDetails.UpdateManagementStationDetails;
import * as UpdateMirrorConfigurationDetails from "./update-mirror-configuration-details";
export import UpdateMirrorConfigurationDetails = UpdateMirrorConfigurationDetails.UpdateMirrorConfigurationDetails;
import * as UpdatePackagesOnManagedInstanceDetails from "./update-packages-on-managed-instance-details";
export import UpdatePackagesOnManagedInstanceDetails = UpdatePackagesOnManagedInstanceDetails.UpdatePackagesOnManagedInstanceDetails;
import * as UpdateProfileDetails from "./update-profile-details";
export import UpdateProfileDetails = UpdateProfileDetails.UpdateProfileDetails;
import * as UpdateProxyConfigurationDetails from "./update-proxy-configuration-details";
export import UpdateProxyConfigurationDetails = UpdateProxyConfigurationDetails.UpdateProxyConfigurationDetails;
import * as UpdateScheduledJobDetails from "./update-scheduled-job-details";
export import UpdateScheduledJobDetails = UpdateScheduledJobDetails.UpdateScheduledJobDetails;
import * as UpdateSoftwareSourceDetails from "./update-software-source-details";
export import UpdateSoftwareSourceDetails = UpdateSoftwareSourceDetails.UpdateSoftwareSourceDetails;
import * as UpdateTypes from "./update-types";
export import UpdateTypes = UpdateTypes.UpdateTypes;
import * as UpdateWorkRequestDetails from "./update-work-request-details";
export import UpdateWorkRequestDetails = UpdateWorkRequestDetails.UpdateWorkRequestDetails;
import * as VendorName from "./vendor-name";
export import VendorName = VendorName.VendorName;
import * as VmcoreDetails from "./vmcore-details";
export import VmcoreDetails = VmcoreDetails.VmcoreDetails;
import * as VulnerabilityTypes from "./vulnerability-types";
export import VulnerabilityTypes = VulnerabilityTypes.VulnerabilityTypes;
import * as WindowsUpdate from "./windows-update";
export import WindowsUpdate = WindowsUpdate.WindowsUpdate;
import * as WindowsUpdateCollection from "./windows-update-collection";
export import WindowsUpdateCollection = WindowsUpdateCollection.WindowsUpdateCollection;
import * as WindowsUpdateSummary from "./windows-update-summary";
export import WindowsUpdateSummary = WindowsUpdateSummary.WindowsUpdateSummary;
import * as WindowsUpdateTypes from "./windows-update-types";
export import WindowsUpdateTypes = WindowsUpdateTypes.WindowsUpdateTypes;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestDetails from "./work-request-details";
export import WorkRequestDetails = WorkRequestDetails.WorkRequestDetails;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestEventDataAdditionalDetails from "./work-request-event-data-additional-details";
export import WorkRequestEventDataAdditionalDetails = WorkRequestEventDataAdditionalDetails.WorkRequestEventDataAdditionalDetails;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestManagementStationDetails from "./work-request-management-station-details";
export import WorkRequestManagementStationDetails = WorkRequestManagementStationDetails.WorkRequestManagementStationDetails;
import * as WorkRequestOperationType from "./work-request-operation-type";
export import WorkRequestOperationType = WorkRequestOperationType.WorkRequestOperationType;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestResourceMetadataKey from "./work-request-resource-metadata-key";
export import WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as WorkRequestSummaryCollection from "./work-request-summary-collection";
export import WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
import * as AgentEvent from "./agent-event";
export import AgentEvent = AgentEvent.AgentEvent;
import * as AvailablePackageSummary from "./available-package-summary";
export import AvailablePackageSummary = AvailablePackageSummary.AvailablePackageSummary;
import * as CreateCustomSoftwareSourceDetails from "./create-custom-software-source-details";
export import CreateCustomSoftwareSourceDetails = CreateCustomSoftwareSourceDetails.CreateCustomSoftwareSourceDetails;
import * as CreateGroupProfileDetails from "./create-group-profile-details";
export import CreateGroupProfileDetails = CreateGroupProfileDetails.CreateGroupProfileDetails;
import * as CreateLifecycleProfileDetails from "./create-lifecycle-profile-details";
export import CreateLifecycleProfileDetails = CreateLifecycleProfileDetails.CreateLifecycleProfileDetails;
import * as CreateSoftwareSourceProfileDetails from "./create-software-source-profile-details";
export import CreateSoftwareSourceProfileDetails = CreateSoftwareSourceProfileDetails.CreateSoftwareSourceProfileDetails;
import * as CreateStationProfileDetails from "./create-station-profile-details";
export import CreateStationProfileDetails = CreateStationProfileDetails.CreateStationProfileDetails;
import * as CreateVendorSoftwareSourceDetails from "./create-vendor-software-source-details";
export import CreateVendorSoftwareSourceDetails = CreateVendorSoftwareSourceDetails.CreateVendorSoftwareSourceDetails;
import * as CreateVersionedCustomSoftwareSourceDetails from "./create-versioned-custom-software-source-details";
export import CreateVersionedCustomSoftwareSourceDetails = CreateVersionedCustomSoftwareSourceDetails.CreateVersionedCustomSoftwareSourceDetails;
import * as CustomSoftwareSource from "./custom-software-source";
export import CustomSoftwareSource = CustomSoftwareSource.CustomSoftwareSource;
import * as CustomSoftwareSourceSummary from "./custom-software-source-summary";
export import CustomSoftwareSourceSummary = CustomSoftwareSourceSummary.CustomSoftwareSourceSummary;
import * as ExploitAttemptEvent from "./exploit-attempt-event";
export import ExploitAttemptEvent = ExploitAttemptEvent.ExploitAttemptEvent;
import * as ExploitAttemptEventContent from "./exploit-attempt-event-content";
export import ExploitAttemptEventContent = ExploitAttemptEventContent.ExploitAttemptEventContent;
import * as GroupProfile from "./group-profile";
export import GroupProfile = GroupProfile.GroupProfile;
import * as InstalledPackageSummary from "./installed-package-summary";
export import InstalledPackageSummary = InstalledPackageSummary.InstalledPackageSummary;
import * as KernelCrashEvent from "./kernel-crash-event";
export import KernelCrashEvent = KernelCrashEvent.KernelCrashEvent;
import * as KernelEventContent from "./kernel-event-content";
export import KernelEventContent = KernelEventContent.KernelEventContent;
import * as KernelOopsEvent from "./kernel-oops-event";
export import KernelOopsEvent = KernelOopsEvent.KernelOopsEvent;
import * as KspliceUpdateEvent from "./ksplice-update-event";
export import KspliceUpdateEvent = KspliceUpdateEvent.KspliceUpdateEvent;
import * as LifecycleProfile from "./lifecycle-profile";
export import LifecycleProfile = LifecycleProfile.LifecycleProfile;
import * as ManagementStationEvent from "./management-station-event";
export import ManagementStationEvent = ManagementStationEvent.ManagementStationEvent;
import * as SoftwareSourceEvent from "./software-source-event";
export import SoftwareSourceEvent = SoftwareSourceEvent.SoftwareSourceEvent;
import * as SoftwareSourceProfile from "./software-source-profile";
export import SoftwareSourceProfile = SoftwareSourceProfile.SoftwareSourceProfile;
import * as SoftwareUpdateEvent from "./software-update-event";
export import SoftwareUpdateEvent = SoftwareUpdateEvent.SoftwareUpdateEvent;
import * as StationProfile from "./station-profile";
export import StationProfile = StationProfile.StationProfile;
import * as UpdatablePackageSummary from "./updatable-package-summary";
export import UpdatablePackageSummary = UpdatablePackageSummary.UpdatablePackageSummary;
import * as UpdateCustomSoftwareSourceDetails from "./update-custom-software-source-details";
export import UpdateCustomSoftwareSourceDetails = UpdateCustomSoftwareSourceDetails.UpdateCustomSoftwareSourceDetails;
import * as UpdateVendorSoftwareSourceDetails from "./update-vendor-software-source-details";
export import UpdateVendorSoftwareSourceDetails = UpdateVendorSoftwareSourceDetails.UpdateVendorSoftwareSourceDetails;
import * as UpdateVersionedCustomSoftwareSourceDetails from "./update-versioned-custom-software-source-details";
export import UpdateVersionedCustomSoftwareSourceDetails = UpdateVersionedCustomSoftwareSourceDetails.UpdateVersionedCustomSoftwareSourceDetails;
import * as VendorSoftwareSource from "./vendor-software-source";
export import VendorSoftwareSource = VendorSoftwareSource.VendorSoftwareSource;
import * as VendorSoftwareSourceSummary from "./vendor-software-source-summary";
export import VendorSoftwareSourceSummary = VendorSoftwareSourceSummary.VendorSoftwareSourceSummary;
import * as VersionedCustomSoftwareSource from "./versioned-custom-software-source";
export import VersionedCustomSoftwareSource = VersionedCustomSoftwareSource.VersionedCustomSoftwareSource;
import * as VersionedCustomSoftwareSourceSummary from "./versioned-custom-software-source-summary";
export import VersionedCustomSoftwareSourceSummary = VersionedCustomSoftwareSourceSummary.VersionedCustomSoftwareSourceSummary;
import * as WindowsStandaloneProfile from "./windows-standalone-profile";
export import WindowsStandaloneProfile = WindowsStandaloneProfile.WindowsStandaloneProfile;
