/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides the information used to install Windows updates on a managed instance.
 */
export interface InstallWindowsUpdatesOnManagedInstanceDetails {
    /**
     * The list of Windows update unique identifiers.
     * Note that this is not an OCID, but is a unique identifier assigned by Microsoft.
     * Example: '6981d463-cd91-4a26-b7c4-ea4ded9183ed'
     *
     */
    "windowsUpdateName"?: Array<string>;
    /**
     * The types of Windows updates to be installed.
     */
    "windowsUpdateTypes"?: Array<InstallWindowsUpdatesOnManagedInstanceDetails.WindowsUpdateTypes>;
    "workRequestDetails"?: model.WorkRequestDetails;
}
export declare namespace InstallWindowsUpdatesOnManagedInstanceDetails {
    enum WindowsUpdateTypes {
        Security = "SECURITY",
        Bugfix = "BUGFIX",
        Enhancement = "ENHANCEMENT",
        Other = "OTHER",
        All = "ALL"
    }
    function getJsonObj(obj: InstallWindowsUpdatesOnManagedInstanceDetails): object;
    function getDeserializedJsonObj(obj: InstallWindowsUpdatesOnManagedInstanceDetails): object;
}
