/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information about the kernel OOPS event. A kernel OOPS event occurs when the kernel detects an erroneous state inside itself.
 */
export interface KernelOopsEvent extends model.Event {
    "data": model.KernelEventData;
    "type": string;
}
export declare namespace KernelOopsEvent {
    function getJsonObj(obj: KernelOopsEvent, isParentJsonObj?: boolean): object;
    const type = "KERNEL_OOPS";
    function getDeserializedJsonObj(obj: KernelOopsEvent, isParentJsonObj?: boolean): object;
}
