/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides summary information for an available package for a managed instance group.
 */
export interface ManagedInstanceGroupAvailablePackageSummary {
    /**
     * Package name.
     */
    "displayName": string;
    /**
     * Unique identifier for the package. Note that this is not an OCID.
     */
    "name": string;
    /**
     * Type of the package.
     */
    "type": string;
    /**
     * Version of the available package.
     */
    "version": string;
    /**
     * The architecture for which this package was built.
     */
    "architecture"?: model.ArchType;
    /**
     * List of software sources that provide the software package.
     */
    "softwareSources"?: Array<model.SoftwareSourceDetails>;
    /**
     * Indicates whether this is the latest package version.
     */
    "isLatest"?: boolean;
}
export declare namespace ManagedInstanceGroupAvailablePackageSummary {
    function getJsonObj(obj: ManagedInstanceGroupAvailablePackageSummary): object;
    function getDeserializedJsonObj(obj: ManagedInstanceGroupAvailablePackageSummary): object;
}
