/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides the summary information about a module on a managed instance group.
 */
export interface ManagedInstanceGroupModuleSummary {
    /**
     * The name of the module.
     */
    "name": string;
    /**
     * The name of the module stream that is enabled for the group.
     */
    "enabledStream"?: string;
    /**
     * The list of installed profiles under the currently enabled module stream.
     */
    "installedProfiles"?: Array<string>;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the software source that provides this module stream.
     */
    "softwareSourceId"?: string;
}
export declare namespace ManagedInstanceGroupModuleSummary {
    function getJsonObj(obj: ManagedInstanceGroupModuleSummary): object;
    function getDeserializedJsonObj(obj: ManagedInstanceGroupModuleSummary): object;
}
