/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides additional information for a management station event.
 */
export interface ManagementStationEventData {
    /**
     * Type of management station operation.
     */
    "operationType": ManagementStationEventData.OperationType;
    /**
     * Status of the management station operation.
     */
    "status": model.EventStatus;
    "additionalDetails"?: model.WorkRequestEventDataAdditionalDetails;
}
export declare namespace ManagementStationEventData {
    enum OperationType {
        SetManagementStationConfig = "SET_MANAGEMENT_STATION_CONFIG",
        SyncManagementStationMirror = "SYNC_MANAGEMENT_STATION_MIRROR",
        UpdateManagementStationSoftware = "UPDATE_MANAGEMENT_STATION_SOFTWARE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ManagementStationEventData): object;
    function getDeserializedJsonObj(obj: ManagementStationEventData): object;
}
