/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible metric names.
 **/
export declare enum MetricName {
    TotalInstanceCount = "TOTAL_INSTANCE_COUNT",
    InstanceWithAvailableSecurityUpdatesCount = "INSTANCE_WITH_AVAILABLE_SECURITY_UPDATES_COUNT",
    InstanceWithAvailableBugfixUpdatesCount = "INSTANCE_WITH_AVAILABLE_BUGFIX_UPDATES_COUNT",
    NormalInstanceCount = "NORMAL_INSTANCE_COUNT",
    ErrorInstanceCount = "ERROR_INSTANCE_COUNT",
    WarningInstanceCount = "WARNING_INSTANCE_COUNT",
    UnreachableInstanceCount = "UNREACHABLE_INSTANCE_COUNT",
    RegistrationFailedInstanceCount = "REGISTRATION_FAILED_INSTANCE_COUNT",
    DeletingInstanceCount = "DELETING_INSTANCE_COUNT",
    OnboardingInstanceCount = "ONBOARDING_INSTANCE_COUNT",
    InstanceSecurityUpdatesCount = "INSTANCE_SECURITY_UPDATES_COUNT",
    InstanceBugfixUpdatesCount = "INSTANCE_BUGFIX_UPDATES_COUNT",
    InstanceSecurityAdvisoryCount = "INSTANCE_SECURITY_ADVISORY_COUNT",
    InstanceBugfixAdvisoryCount = "INSTANCE_BUGFIX_ADVISORY_COUNT",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace MetricName {
    function getJsonObj(obj: MetricName): MetricName;
    function getDeserializedJsonObj(obj: MetricName): MetricName;
}
