/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Status summary of the mirror sync.
 */
export interface MirrorSyncStatus {
    /**
     * Total number of software sources that have not yet been synced. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "unsynced": number;
    /**
     * Total number of software sources that are queued for sync. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "queued": number;
    /**
     * Total number of software sources currently syncing. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "syncing": number;
    /**
     * Total number of software sources that successfully synced. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "synced": number;
    /**
     * Total number of software sources that failed to sync. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "failed": number;
}
export declare namespace MirrorSyncStatus {
    function getJsonObj(obj: MirrorSyncStatus): object;
    function getDeserializedJsonObj(obj: MirrorSyncStatus): object;
}
