/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object that defines a module stream provided by a software source.
 */
export interface ModuleStream {
    /**
     * The name of the module that contains the stream.
     */
    "moduleName": string;
    /**
     * The name of the stream.
     */
    "name": string;
    /**
     * Indicates if this stream is the default for its module.
     */
    "isDefault"?: boolean;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the software source that provides this module stream.
     */
    "softwareSourceId"?: string;
    /**
     * The architecture for which the packages in this module stream were built.
     */
    "archType"?: model.ArchType;
    /**
     * A description of the contents of the module stream.
     */
    "description"?: string;
    /**
     * A list of profiles that are part of the stream.  Each element in
     * the list is the name of a profile.  The name is suitable to use as
     * an argument to other OS Management Hub APIs that interact directly with
     * module stream profiles.  However, it is not URL encoded.
     *
     */
    "profiles"?: Array<string>;
    /**
     * A list of packages that are contained by the stream.  Each element
     * in the list is the name of a package.  The name is suitable to use
     * as an argument to other OS Management Hub APIs that interact directly
     * with packages.
     *
     */
    "packages"?: Array<string>;
    /**
     * Indicates whether this module stream is the latest.
     */
    "isLatest"?: boolean;
}
export declare namespace ModuleStream {
    function getJsonObj(obj: ModuleStream): object;
    function getDeserializedJsonObj(obj: ModuleStream): object;
}
