/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Type of operation the scheduled job is performing.
 **/
export declare enum OperationTypes {
    InstallPackages = "INSTALL_PACKAGES",
    UpdatePackages = "UPDATE_PACKAGES",
    RemovePackages = "REMOVE_PACKAGES",
    UpdateAll = "UPDATE_ALL",
    UpdateSecurity = "UPDATE_SECURITY",
    UpdateBugfix = "UPDATE_BUGFIX",
    UpdateEnhancement = "UPDATE_ENHANCEMENT",
    UpdateOther = "UPDATE_OTHER",
    UpdateKspliceUserspace = "UPDATE_KSPLICE_USERSPACE",
    UpdateKspliceKernel = "UPDATE_KSPLICE_KERNEL",
    ManageModuleStreams = "MANAGE_MODULE_STREAMS",
    SwitchModuleStream = "SWITCH_MODULE_STREAM",
    AttachSoftwareSources = "ATTACH_SOFTWARE_SOURCES",
    DetachSoftwareSources = "DETACH_SOFTWARE_SOURCES",
    SyncManagementStationMirror = "SYNC_MANAGEMENT_STATION_MIRROR",
    PromoteLifecycle = "PROMOTE_LIFECYCLE",
    InstallWindowsUpdates = "INSTALL_WINDOWS_UPDATES",
    InstallAllWindowsUpdates = "INSTALL_ALL_WINDOWS_UPDATES",
    InstallSecurityWindowsUpdates = "INSTALL_SECURITY_WINDOWS_UPDATES",
    InstallBugfixWindowsUpdates = "INSTALL_BUGFIX_WINDOWS_UPDATES",
    InstallEnhancementWindowsUpdates = "INSTALL_ENHANCEMENT_WINDOWS_UPDATES",
    InstallOtherWindowsUpdates = "INSTALL_OTHER_WINDOWS_UPDATES",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace OperationTypes {
    function getJsonObj(obj: OperationTypes): OperationTypes;
    function getDeserializedJsonObj(obj: OperationTypes): OperationTypes;
}
