/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides the information used to create a filter for packages from a vendor software source to create or update a custom software source.
 */
export interface PackageFilter {
    /**
     * The package name.
     */
    "packageName"?: string;
    /**
     * The package name pattern.
     */
    "packageNamePattern"?: string;
    /**
     * The package version, which is denoted by 'version-release', or 'epoch:version-release'.
     */
    "packageVersion"?: string;
    /**
     * The type of the filter.
     */
    "filterType": model.FilterType;
}
export declare namespace PackageFilter {
    function getJsonObj(obj: PackageFilter): object;
    function getDeserializedJsonObj(obj: PackageFilter): object;
}
