/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The yum or DNF package group that is associated with a software source.
 */
export interface PackageGroupSummary {
    /**
     * Package group identifier.
     */
    "id": string;
    /**
     * Package group name.
     */
    "name": string;
    /**
     * Description of the package group.
     */
    "description"?: string;
    /**
     * Indicates if this package group is visible to users.
     */
    "isUserVisible"?: boolean;
    /**
     * Indicates if this package group is the default.
     */
    "isDefault"?: boolean;
    /**
     * The repository IDs of the package group.
     */
    "repositories"?: Array<string>;
    /**
     * Indicates if this is a group, category or environment.
     */
    "groupType"?: string;
    /**
     * Indicates the order to display category or environment. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "displayOrder"?: number;
}
export declare namespace PackageGroupSummary {
    function getJsonObj(obj: PackageGroupSummary): object;
    function getDeserializedJsonObj(obj: PackageGroupSummary): object;
}
