/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Yum or DNF package group, category, or environment.
 */
export interface PackageGroup {
    /**
     * Package group identifier.
     */
    "id": string;
    /**
     * Package group name.
     */
    "name": string;
    /**
     * The repository IDs of the package group's repositories.
     */
    "repositories"?: Array<string>;
    /**
     * Description of the package group.
     */
    "description"?: string;
    /**
     * Indicates if this package group is visible to users.
     */
    "isUserVisible"?: boolean;
    /**
     * Indicates if this package group is the default.
     */
    "isDefault"?: boolean;
    /**
     * Indicates if this is a group, category, or environment.
     */
    "groupType"?: PackageGroup.GroupType;
    /**
     * Indicates the order to display category or environment. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "displayOrder"?: number;
    /**
     * The list of packages in the package group.
     */
    "packages": Array<string>;
}
export declare namespace PackageGroup {
    enum GroupType {
        Group = "GROUP",
        Environment = "ENVIRONMENT",
        Category = "CATEGORY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: PackageGroup): object;
    function getDeserializedJsonObj(obj: PackageGroup): object;
}
