/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Defines an operation that is performed by a scheduled job.
 */
export interface ScheduledJobOperation {
    /**
     * The type of operation this scheduled job performs.
     */
    "operationType": model.OperationTypes;
    /**
     * The names of the target packages. This parameter only applies when the scheduled job is for installing, updating, or removing packages.
     */
    "packageNames"?: Array<string>;
    /**
     * Unique identifier for the Windows update. This parameter only applies if the scheduled job is for installing Windows updates.
     * Note that this is not an OCID, but is a unique identifier assigned by Microsoft.
     * For example: '6981d463-cd91-4a26-b7c4-ea4ded9183ed'.
     *
     */
    "windowsUpdateNames"?: Array<string>;
    "manageModuleStreamsDetails"?: model.ManageModuleStreamsInScheduledJobDetails;
    "switchModuleStreamsDetails"?: model.ModuleStreamDetails;
    /**
     * The software source [OCIDs](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm).
     * This parameter only applies when the scheduled job is for attaching or detaching software sources.
     *
     */
    "softwareSourceIds"?: Array<string>;
}
export declare namespace ScheduledJobOperation {
    function getJsonObj(obj: ScheduledJobOperation): object;
    function getDeserializedJsonObj(obj: ScheduledJobOperation): object;
}
