/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object that defines the [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) and the availability of a vendor software source.
 */
export interface SoftwareSourceAvailability {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the vendor software source.
     */
    "softwareSourceId": string;
    /**
     * Availability of the software source to instances in private data centers or third-party clouds.
     */
    "availability"?: model.Availability;
    /**
     * Availability of the software source to OCI instances.
     */
    "availabilityAtOci"?: model.Availability;
}
export declare namespace SoftwareSourceAvailability {
    function getJsonObj(obj: SoftwareSourceAvailability): object;
    function getDeserializedJsonObj(obj: SoftwareSourceAvailability): object;
}
