/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Provides the information for a software source registration profile.
 */
export interface SoftwareSourceProfile extends model.Profile {
    /**
     * The list of software sources that the registration profile will use.
     */
    "softwareSources": Array<model.SoftwareSourceDetails>;
    "profileType": string;
}
export declare namespace SoftwareSourceProfile {
    function getJsonObj(obj: SoftwareSourceProfile, isParentJsonObj?: boolean): object;
    const profileType = "SOFTWARESOURCE";
    function getDeserializedJsonObj(obj: SoftwareSourceProfile, isParentJsonObj?: boolean): object;
}
