/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides the information used to update the proxy configuration for a management station.
 */
export interface UpdateProxyConfigurationDetails {
    /**
     * Indicates if the proxy should be enabled or disabled. Default is enabled.
     */
    "isEnabled": boolean;
    /**
     * List of hosts.
     */
    "hosts"?: Array<string>;
    /**
     * Listening port used for the proxy.
     */
    "port"?: string;
    /**
     * The URL the proxy will forward to.
     */
    "forward"?: string;
}
export declare namespace UpdateProxyConfigurationDetails {
    function getJsonObj(obj: UpdateProxyConfigurationDetails): object;
    function getDeserializedJsonObj(obj: UpdateProxyConfigurationDetails): object;
}
