/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The object that defines a vendor software source. A software source is a collection of packages. For more information, see [Managing Software Sources](https://docs.cloud.oracle.com/iaas/osmh/doc/software-sources.htm).
 */
export interface VendorSoftwareSource extends model.SoftwareSource {
    /**
     * Name of the vendor providing the software source.
     */
    "vendorName": model.VendorName;
    /**
     * This property applies only to replicated vendor software sources. This is the [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the vendor software source in the root compartment.
     */
    "originSoftwareSourceId"?: string;
    /**
     * Indicates whether the software source is required for the Autonomous Linux service.
     */
    "isMandatoryForAutonomousLinux"?: boolean;
    "softwareSourceType": string;
}
export declare namespace VendorSoftwareSource {
    function getJsonObj(obj: VendorSoftwareSource, isParentJsonObj?: boolean): object;
    const softwareSourceType = "VENDOR";
    function getDeserializedJsonObj(obj: VendorSoftwareSource, isParentJsonObj?: boolean): object;
}
