/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An error encountered while executing a work request.
 */
export interface WorkRequestError {
    /**
     * A machine-usable code for the error that occured. Error codes are listed on
     * (https://docs.cloud.oracle.com/Content/API/References/apierrors.htm).
     *
     */
    "code": string;
    /**
     * A human readable description of the issue encountered.
     */
    "message": string;
    /**
     * The time the error occured. (in [RFC 3339](https://tools.ietf.org/rfc/rfc3339) format).
     */
    "timestamp": Date;
}
export declare namespace WorkRequestError {
    function getJsonObj(obj: WorkRequestError): object;
    function getDeserializedJsonObj(obj: WorkRequestError): object;
}
