/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A resource created or operated on by a work request.
 */
export interface WorkRequestResource {
    /**
     * The resource type that the work request affects.
     */
    "entityType": model.TargetResourceEntityType;
    /**
     * The way in which this resource is affected by the work tracked in the work request.
     * A resource being created, updated, or deleted will remain in the IN_PROGRESS state until
     * work is complete for that resource at which point it will transition to CREATED, UPDATED,
     * or DELETED, respectively.
     *
     */
    "actionType": model.ActionType;
    /**
     * The identifier of the resource the work request affects.
     */
    "identifier": string;
    /**
     * The URI path that the user can do a GET on to access the resource metadata.
     */
    "entityUri"?: string;
    /**
     * The name of the resource. Not all resources will have a name specified.
     */
    "name"?: string;
    /**
     * Additional information that helps to explain the resource.
     */
    "metadata"?: {
        [key: string]: string;
    };
}
export declare namespace WorkRequestResource {
    function getJsonObj(obj: WorkRequestResource): object;
    function getDeserializedJsonObj(obj: WorkRequestResource): object;
}
