"use strict";
/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for instances in OCI, your private data center, or 3rd-party clouds.
For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListWorkRequestsRequest = exports.ListWorkRequestLogsRequest = exports.ListWorkRequestErrorsRequest = exports.ListSoftwareSourcesRequest = exports.ListSoftwareSourceVendorsRequest = exports.ListSoftwarePackagesRequest = exports.ListSoftwarePackageSoftwareSourcesRequest = exports.ListPackageGroupsRequest = exports.ListModuleStreamsRequest = exports.ListModuleStreamProfilesRequest = exports.ListErrataRequest = exports.ListEntitlementsRequest = exports.ListAllSoftwarePackagesRequest = exports.ListScheduledJobsRequest = exports.SummarizeManagedInstanceAnalyticsRequest = exports.GetManagedInstanceContentRequest = exports.GetManagedInstanceAnalyticContentRequest = exports.ListProfilesRequest = exports.ListMirrorsRequest = exports.ListManagementStationsRequest = exports.ListManagedInstanceGroupsRequest = exports.ListManagedInstanceGroupModulesRequest = exports.ListManagedInstanceGroupInstalledPackagesRequest = exports.ListManagedInstanceGroupAvailableSoftwareSourcesRequest = exports.ListManagedInstanceGroupAvailablePackagesRequest = exports.ListManagedInstanceGroupAvailableModulesRequest = exports.ListWindowsUpdatesRequest = exports.ListManagedInstancesRequest = exports.ListManagedInstanceUpdatablePackagesRequest = exports.ListManagedInstanceModulesRequest = exports.ListManagedInstanceInstalledWindowsUpdatesRequest = exports.ListManagedInstanceInstalledPackagesRequest = exports.ListManagedInstanceErrataRequest = exports.ListManagedInstanceAvailableWindowsUpdatesRequest = exports.ListManagedInstanceAvailableSoftwareSourcesRequest = exports.ListManagedInstanceAvailablePackagesRequest = exports.ListLifecycleStagesRequest = exports.ListLifecycleStageInstalledPackagesRequest = exports.ListLifecycleEnvironmentsRequest = exports.ListEventsRequest = void 0;
const ListEventsRequest = __importStar(require("./list-events-request"));
exports.ListEventsRequest = ListEventsRequest.ListEventsRequest;
const ListLifecycleEnvironmentsRequest = __importStar(require("./list-lifecycle-environments-request"));
exports.ListLifecycleEnvironmentsRequest = ListLifecycleEnvironmentsRequest.ListLifecycleEnvironmentsRequest;
const ListLifecycleStageInstalledPackagesRequest = __importStar(require("./list-lifecycle-stage-installed-packages-request"));
exports.ListLifecycleStageInstalledPackagesRequest = ListLifecycleStageInstalledPackagesRequest.ListLifecycleStageInstalledPackagesRequest;
const ListLifecycleStagesRequest = __importStar(require("./list-lifecycle-stages-request"));
exports.ListLifecycleStagesRequest = ListLifecycleStagesRequest.ListLifecycleStagesRequest;
const ListManagedInstanceAvailablePackagesRequest = __importStar(require("./list-managed-instance-available-packages-request"));
exports.ListManagedInstanceAvailablePackagesRequest = ListManagedInstanceAvailablePackagesRequest.ListManagedInstanceAvailablePackagesRequest;
const ListManagedInstanceAvailableSoftwareSourcesRequest = __importStar(require("./list-managed-instance-available-software-sources-request"));
exports.ListManagedInstanceAvailableSoftwareSourcesRequest = ListManagedInstanceAvailableSoftwareSourcesRequest.ListManagedInstanceAvailableSoftwareSourcesRequest;
const ListManagedInstanceAvailableWindowsUpdatesRequest = __importStar(require("./list-managed-instance-available-windows-updates-request"));
exports.ListManagedInstanceAvailableWindowsUpdatesRequest = ListManagedInstanceAvailableWindowsUpdatesRequest.ListManagedInstanceAvailableWindowsUpdatesRequest;
const ListManagedInstanceErrataRequest = __importStar(require("./list-managed-instance-errata-request"));
exports.ListManagedInstanceErrataRequest = ListManagedInstanceErrataRequest.ListManagedInstanceErrataRequest;
const ListManagedInstanceInstalledPackagesRequest = __importStar(require("./list-managed-instance-installed-packages-request"));
exports.ListManagedInstanceInstalledPackagesRequest = ListManagedInstanceInstalledPackagesRequest.ListManagedInstanceInstalledPackagesRequest;
const ListManagedInstanceInstalledWindowsUpdatesRequest = __importStar(require("./list-managed-instance-installed-windows-updates-request"));
exports.ListManagedInstanceInstalledWindowsUpdatesRequest = ListManagedInstanceInstalledWindowsUpdatesRequest.ListManagedInstanceInstalledWindowsUpdatesRequest;
const ListManagedInstanceModulesRequest = __importStar(require("./list-managed-instance-modules-request"));
exports.ListManagedInstanceModulesRequest = ListManagedInstanceModulesRequest.ListManagedInstanceModulesRequest;
const ListManagedInstanceUpdatablePackagesRequest = __importStar(require("./list-managed-instance-updatable-packages-request"));
exports.ListManagedInstanceUpdatablePackagesRequest = ListManagedInstanceUpdatablePackagesRequest.ListManagedInstanceUpdatablePackagesRequest;
const ListManagedInstancesRequest = __importStar(require("./list-managed-instances-request"));
exports.ListManagedInstancesRequest = ListManagedInstancesRequest.ListManagedInstancesRequest;
const ListWindowsUpdatesRequest = __importStar(require("./list-windows-updates-request"));
exports.ListWindowsUpdatesRequest = ListWindowsUpdatesRequest.ListWindowsUpdatesRequest;
const ListManagedInstanceGroupAvailableModulesRequest = __importStar(require("./list-managed-instance-group-available-modules-request"));
exports.ListManagedInstanceGroupAvailableModulesRequest = ListManagedInstanceGroupAvailableModulesRequest.ListManagedInstanceGroupAvailableModulesRequest;
const ListManagedInstanceGroupAvailablePackagesRequest = __importStar(require("./list-managed-instance-group-available-packages-request"));
exports.ListManagedInstanceGroupAvailablePackagesRequest = ListManagedInstanceGroupAvailablePackagesRequest.ListManagedInstanceGroupAvailablePackagesRequest;
const ListManagedInstanceGroupAvailableSoftwareSourcesRequest = __importStar(require("./list-managed-instance-group-available-software-sources-request"));
exports.ListManagedInstanceGroupAvailableSoftwareSourcesRequest = ListManagedInstanceGroupAvailableSoftwareSourcesRequest.ListManagedInstanceGroupAvailableSoftwareSourcesRequest;
const ListManagedInstanceGroupInstalledPackagesRequest = __importStar(require("./list-managed-instance-group-installed-packages-request"));
exports.ListManagedInstanceGroupInstalledPackagesRequest = ListManagedInstanceGroupInstalledPackagesRequest.ListManagedInstanceGroupInstalledPackagesRequest;
const ListManagedInstanceGroupModulesRequest = __importStar(require("./list-managed-instance-group-modules-request"));
exports.ListManagedInstanceGroupModulesRequest = ListManagedInstanceGroupModulesRequest.ListManagedInstanceGroupModulesRequest;
const ListManagedInstanceGroupsRequest = __importStar(require("./list-managed-instance-groups-request"));
exports.ListManagedInstanceGroupsRequest = ListManagedInstanceGroupsRequest.ListManagedInstanceGroupsRequest;
const ListManagementStationsRequest = __importStar(require("./list-management-stations-request"));
exports.ListManagementStationsRequest = ListManagementStationsRequest.ListManagementStationsRequest;
const ListMirrorsRequest = __importStar(require("./list-mirrors-request"));
exports.ListMirrorsRequest = ListMirrorsRequest.ListMirrorsRequest;
const ListProfilesRequest = __importStar(require("./list-profiles-request"));
exports.ListProfilesRequest = ListProfilesRequest.ListProfilesRequest;
const GetManagedInstanceAnalyticContentRequest = __importStar(require("./get-managed-instance-analytic-content-request"));
exports.GetManagedInstanceAnalyticContentRequest = GetManagedInstanceAnalyticContentRequest.GetManagedInstanceAnalyticContentRequest;
const GetManagedInstanceContentRequest = __importStar(require("./get-managed-instance-content-request"));
exports.GetManagedInstanceContentRequest = GetManagedInstanceContentRequest.GetManagedInstanceContentRequest;
const SummarizeManagedInstanceAnalyticsRequest = __importStar(require("./summarize-managed-instance-analytics-request"));
exports.SummarizeManagedInstanceAnalyticsRequest = SummarizeManagedInstanceAnalyticsRequest.SummarizeManagedInstanceAnalyticsRequest;
const ListScheduledJobsRequest = __importStar(require("./list-scheduled-jobs-request"));
exports.ListScheduledJobsRequest = ListScheduledJobsRequest.ListScheduledJobsRequest;
const ListAllSoftwarePackagesRequest = __importStar(require("./list-all-software-packages-request"));
exports.ListAllSoftwarePackagesRequest = ListAllSoftwarePackagesRequest.ListAllSoftwarePackagesRequest;
const ListEntitlementsRequest = __importStar(require("./list-entitlements-request"));
exports.ListEntitlementsRequest = ListEntitlementsRequest.ListEntitlementsRequest;
const ListErrataRequest = __importStar(require("./list-errata-request"));
exports.ListErrataRequest = ListErrataRequest.ListErrataRequest;
const ListModuleStreamProfilesRequest = __importStar(require("./list-module-stream-profiles-request"));
exports.ListModuleStreamProfilesRequest = ListModuleStreamProfilesRequest.ListModuleStreamProfilesRequest;
const ListModuleStreamsRequest = __importStar(require("./list-module-streams-request"));
exports.ListModuleStreamsRequest = ListModuleStreamsRequest.ListModuleStreamsRequest;
const ListPackageGroupsRequest = __importStar(require("./list-package-groups-request"));
exports.ListPackageGroupsRequest = ListPackageGroupsRequest.ListPackageGroupsRequest;
const ListSoftwarePackageSoftwareSourcesRequest = __importStar(require("./list-software-package-software-sources-request"));
exports.ListSoftwarePackageSoftwareSourcesRequest = ListSoftwarePackageSoftwareSourcesRequest.ListSoftwarePackageSoftwareSourcesRequest;
const ListSoftwarePackagesRequest = __importStar(require("./list-software-packages-request"));
exports.ListSoftwarePackagesRequest = ListSoftwarePackagesRequest.ListSoftwarePackagesRequest;
const ListSoftwareSourceVendorsRequest = __importStar(require("./list-software-source-vendors-request"));
exports.ListSoftwareSourceVendorsRequest = ListSoftwareSourceVendorsRequest.ListSoftwareSourceVendorsRequest;
const ListSoftwareSourcesRequest = __importStar(require("./list-software-sources-request"));
exports.ListSoftwareSourcesRequest = ListSoftwareSourcesRequest.ListSoftwareSourcesRequest;
const ListWorkRequestErrorsRequest = __importStar(require("./list-work-request-errors-request"));
exports.ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
const ListWorkRequestLogsRequest = __importStar(require("./list-work-request-logs-request"));
exports.ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
const ListWorkRequestsRequest = __importStar(require("./list-work-requests-request"));
exports.ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
//# sourceMappingURL=index.js.map