/**
 *
 *
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/osmanagementhub/ListErrata.ts.html |here} to see how to use ListErrataRequest.
 */
export interface ListErrataRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment. This parameter is required and returns only resources contained within the specified compartment.
     */
    "compartmentId": string;
    /**
   * The assigned erratum name. It's unique and not changeable.
  * <p>
  Example: {@code ELSA-2020-5804}
  *
   */
    "name"?: Array<string>;
    /**
     * A filter to return resources that may partially match the erratum name given.
     */
    "nameContains"?: string;
    /**
     * A filter to return only packages that match the given update classification type.
     */
    "classificationType"?: Array<model.ClassificationTypes>;
    /**
     * A filter to return only errata that match the given advisory types.
     */
    "advisoryType"?: Array<model.AdvisoryTypes>;
    /**
     * A filter to return only resources that match the given operating system family.
     */
    "osFamily"?: model.OsFamily;
    /**
     * The advisory severity.
     *
     */
    "advisorySeverity"?: Array<model.AdvisorySeverity>;
    /**
   * The issue date after which to list all errata, in ISO 8601 format
  * <p>
  Example: 2017-07-14T02:40:00.000Z
  *
   */
    "timeIssueDateStart"?: Date;
    /**
   * The issue date before which to list all errata, in ISO 8601 format
  * <p>
  Example: 2017-07-14T02:40:00.000Z
  *
   */
    "timeIssueDateEnd"?: Date;
    /**
   * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 50}
  *
   */
    "limit"?: number;
    /**
   * For list pagination. The value of the {@code opc-next-page} response header from the previous \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 3}
  *
   */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort errata by. Only one sort order may be provided. Default order for timeIssued is descending. Default order for name is ascending. If no value is specified timeIssued is default.
     *
     */
    "sortBy"?: ListErrataRequest.SortBy;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
}
export declare namespace ListErrataRequest {
    enum SortBy {
        TimeIssued = "timeIssued",
        Name = "name"
    }
}
