/**
 *
 *
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/osmanagementhub/ListEvents.ts.html |here} to see how to use ListEventsRequest.
 */
export interface ListEventsRequest extends common.BaseRequest {
    /**
     * A filter to return only events whose summary matches the given value.
     */
    "eventSummary"?: string;
    /**
     * A filter to return only events with a summary that contains the value provided.
     */
    "eventSummaryContains"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the event.
     */
    "id"?: string;
    /**
     * The eventFingerprint of the KernelEventData.
     */
    "eventFingerprint"?: string;
    /**
     * The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
     */
    "compartmentId"?: string;
    /**
     * A filter to return only events that match the state provided. The state value is case-insensitive.
     *
     */
    "lifecycleState"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the resource. This filter returns resources associated with the specified resource.
     */
    "resourceId"?: string;
    /**
     * A filter to return only resources whose type matches the given value.
     */
    "type"?: Array<model.EventType>;
    /**
   * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 50}
  *
   */
    "limit"?: number;
    /**
   * For list pagination. The value of the {@code opc-next-page} response header from the previous \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 3}
  *
   */
    "page"?: string;
    /**
     * A filter that returns events that occurred on or before the date provided.
     * Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeCreatedLessThan"?: Date;
    /**
     * A filter that returns events that occurred on or after the date provided.
     * Example: {@code 2016-08-25T21:10:29.600Z}
     *
     */
    "timeCreatedGreaterThanOrEqualTo"?: Date;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated, timeOccurredAt and timeUpdated is descending. Default order for eventSummary is ascending.
     *
     */
    "sortBy"?: ListEventsRequest.SortBy;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
    /**
     * Indicates whether to list only resources managed by the Autonomous Linux service.
     *
     */
    "isManagedByAutonomousLinux"?: boolean;
}
export declare namespace ListEventsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        TimeOccurredAt = "timeOccurredAt",
        TimeUpdated = "timeUpdated",
        EventSummary = "eventSummary"
    }
}
