/**
 *
 *
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/osmanagementhub/ListScheduledJobs.ts.html |here} to see how to use ListScheduledJobsRequest.
 */
export interface ListScheduledJobsRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
     */
    "compartmentId"?: string;
    /**
     * A filter to return resources that match the given user-friendly name.
     */
    "displayName"?: string;
    /**
     * A filter to return resources that may partially match the given display name.
     */
    "displayNameContains"?: string;
    /**
     * A filter to return only scheduled jobs currently in the given state.
     */
    "lifecycleState"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the managed instance. This filter returns resources associated with this managed instance.
     */
    "managedInstanceId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the managed instance group. This filter returns resources associated with this group.
     */
    "managedInstanceGroupId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the managed compartment. This filter returns resources associated with this compartment.
     */
    "managedCompartmentId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the lifecycle stage. This resource returns resources associated with this lifecycle stage.
     */
    "lifecycleStageId"?: string;
    /**
     * A filter to return only scheduled jobs with the given operation type.
     */
    "operationType"?: model.OperationTypes;
    /**
     * A filter to return only scheduled jobs of the given scheduling type (one-time or recurring).
     */
    "scheduleType"?: model.ScheduleTypes;
    /**
   * A filter to return only resources with a date on or after the given value, in ISO 8601 format.
  * <p>
  Example: 2017-07-14T02:40:00.000Z
  *
   */
    "timeStart"?: Date;
    /**
   * A filter to return only resources with a date on or before the given value, in ISO 8601 format.
  * <p>
  Example: 2017-07-14T02:40:00.000Z
  *
   */
    "timeEnd"?: Date;
    /**
   * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 50}
  *
   */
    "limit"?: number;
    /**
   * For list pagination. The value of the {@code opc-next-page} response header from the previous \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 3}
  *
   */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
     *
     */
    "sortBy"?: ListScheduledJobsRequest.SortBy;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
    /**
     * A filter to return only restricted scheduled jobs.
     */
    "isRestricted"?: boolean;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the scheduled job. A filter to return the specified job.
     */
    "id"?: string;
    /**
     * Indicates whether to include subcompartments in the returned results. Default is false.
     */
    "compartmentIdInSubtree"?: boolean;
    /**
     * A filter to return only resources whose location matches the given value.
     */
    "location"?: Array<model.ManagedInstanceLocation>;
    /**
     * A filter to return only resources whose location does not match the given value.
     */
    "locationNotEqualTo"?: Array<model.ManagedInstanceLocation>;
    /**
     * Indicates whether to list only resources managed by the Autonomous Linux service.
     *
     */
    "isManagedByAutonomousLinux"?: boolean;
}
export declare namespace ListScheduledJobsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName"
    }
}
