/**
 *
 *
 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/osmanagementhub/ListSoftwareSources.ts.html |here} to see how to use ListSoftwareSourcesRequest.
 */
export interface ListSoftwareSourcesRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment that contains the resources to list. This filter returns only resources contained within the specified compartment.
     */
    "compartmentId"?: string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) for the software source.
     */
    "softwareSourceId"?: string;
    /**
     * The type of the software source.
     */
    "softwareSourceType"?: Array<model.SoftwareSourceType>;
    /**
     * A filter to return only resources that match the given vendor name.
     */
    "vendorName"?: model.VendorName;
    /**
     * A filter to return only resources that match the given operating system family.
     */
    "osFamily"?: Array<model.OsFamily>;
    /**
     * A filter to return only instances whose architecture type matches the given architecture.
     */
    "archType"?: Array<model.ArchType>;
    /**
     * The availabilities of the software source in a non-OCI environment for a tenancy.
     */
    "availability"?: Array<model.Availability>;
    /**
     * The availabilities of the software source in an OCI environment for a tenancy.
     */
    "availabilityAtOci"?: Array<model.Availability>;
    /**
     * The availabilities of the software source. Use this query parameter to filter across availabilities in different environments.
     */
    "availabilityAnywhere"?: Array<model.Availability>;
    /**
     * Indicates whether the software source is mandatory for the Autonomous Linux service.
     */
    "isMandatoryForAutonomousLinux"?: boolean;
    /**
     * A filter to return resources that match the given user-friendly name.
     */
    "displayName"?: string;
    /**
     * A filter to return resources that may partially match the given display name.
     */
    "displayNameContains"?: string;
    /**
     * A multi filter to return resources that do not contains the given display names.
     */
    "displayNameNotEqualTo"?: Array<string>;
    /**
   * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 50}
  *
   */
    "limit"?: number;
    /**
   * For list pagination. The value of the {@code opc-next-page} response header from the previous \"List\" call.
  * For important details about how pagination works, see [List Pagination](https://docs.cloud.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 3}
  *
   */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
     *
     */
    "sortBy"?: ListSoftwareSourcesRequest.SortBy;
    /**
     * A filter to return only software sources whose state matches the given state.
     */
    "lifecycleState"?: Array<model.SoftwareSource.LifecycleState>;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
}
export declare namespace ListSoftwareSourcesRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName"
    }
}
