/**
 * OSP Gateway API
 * This site describes all the Rest endpoints of OSP Gateway.
 * OpenAPI spec version: 20191001
 * Contact: osp_team_oci_cam_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Address details model
 */
export interface BillToAddress {
    /**
     * Name of the contact person
     */
    "contactName"?: string;
    /**
     * Name of the customer company
     */
    "companyName"?: string;
    /**
     * Address line 1
     */
    "addressLine1"?: string;
    /**
     * Address line 2
     */
    "addressLine2"?: string;
    /**
     * Address line 3
     */
    "addressLine3"?: string;
    /**
     * Address line 4
     */
    "addressLine4"?: string;
    /**
     * Street name
     */
    "streetName"?: string;
    /**
     * House no
     */
    "streetNumber"?: string;
    /**
     * Name of the city
     */
    "city"?: string;
    "country"?: model.Country;
    /**
     * County name
     */
    "county"?: string;
    /**
     * Name of the state
     */
    "state"?: string;
    /**
     * ZIP no
     */
    "postalCode"?: string;
    /**
     * Name of the province
     */
    "province"?: string;
}
export declare namespace BillToAddress {
    function getJsonObj(obj: BillToAddress): object;
    function getDeserializedJsonObj(obj: BillToAddress): object;
}
