/**
 * OSP Gateway API
 * This site describes all the Rest endpoints of OSP Gateway.
 * OpenAPI spec version: 20191001
 * Contact: osp_team_oci_cam_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Country details model
 */
export interface Country {
    /**
     * Indentifier of the country. This is a DB side unique id which was generated when the entity was created in the table Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "countryId"?: number;
    /**
     * Country code in ISO-3166-1 2-letter format
     */
    "countryCode"?: string;
    /**
     * Name of the country
     */
    "countryName"?: string;
    /**
     * Language identifier Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "languageId"?: number;
    /**
     * Country code in ISO-3166-1 3-letter format
     */
    "ascii3CountryCode"?: string;
}
export declare namespace Country {
    function getJsonObj(obj: Country): object;
    function getDeserializedJsonObj(obj: Country): object;
}
