/**
 * OSP Gateway API
 * This site describes all the Rest endpoints of OSP Gateway.
 * OpenAPI spec version: 20191001
 * Contact: osp_team_oci_cam_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Credit card Payment related details
 */
export interface CreditCardPaymentDetail extends model.PaymentDetail {
    /**
     * Name on the credit card
     */
    "nameOnCard"?: string;
    /**
     * Credit card type
     */
    "creditCardType"?: CreditCardPaymentDetail.CreditCardType;
    /**
     * Last four digits of the card
     */
    "lastDigits"?: string;
    /**
     * Expired date of the credit card
     */
    "timeExpiration"?: Date;
    "paymentMethod": string;
}
export declare namespace CreditCardPaymentDetail {
    enum CreditCardType {
        Visa = "VISA",
        Amex = "AMEX",
        Mastercard = "MASTERCARD",
        Discover = "DISCOVER",
        Jcb = "JCB",
        Diner = "DINER",
        Elo = "ELO",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: CreditCardPaymentDetail, isParentJsonObj?: boolean): object;
    const paymentMethod = "CREDIT_CARD";
    function getDeserializedJsonObj(obj: CreditCardPaymentDetail, isParentJsonObj?: boolean): object;
}
