/**
 *
 *
 * OpenAPI spec version: 20191001
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/ospgateway/ListInvoices.ts.html |here} to see how to use ListInvoicesRequest.
 */
export interface ListInvoicesRequest extends common.BaseRequest {
    /**
     * The home region's public name of the logged in user.
     *
     */
    "ospHomeRegion": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment.
     *
     */
    "compartmentId": string;
    /**
     * The unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * The invoice query param (not unique).
     */
    "invoiceId"?: string;
    /**
     * A filter to only return resources that match the given type exactly.
     *
     */
    "type"?: Array<ListInvoicesRequest.Type>;
    /**
     * A filter to only return resources that match the given value.
     * Looking for partial matches in the following fileds:
     * Invoice No., Reference No. (plan number), Payment Ref, Total Amount(plan number), Balance Due(plan number)
     * and Party/Customer Name
     *
     */
    "searchText"?: string;
    /**
     * description: Start time (UTC) of the target invoice date range for which to fetch invoice data (inclusive).
     *
     */
    "timeInvoiceStart"?: Date;
    /**
     * description: End time (UTC) of the target invoice date range for which to fetch invoice data (exclusive).
     *
     */
    "timeInvoiceEnd"?: Date;
    /**
     * description: Start time (UTC) of the target payment date range for which to fetch invoice data (inclusive).
     *
     */
    "timePaymentStart"?: Date;
    /**
     * description: End time (UTC) of the target payment date range for which to fetch invoice data (exclusive).
     *
     */
    "timePaymentEnd"?: Date;
    /**
     * A filter to only return resources that match one of the status elements.
     *
     */
    "status"?: Array<ListInvoicesRequest.Status>;
    /**
     * For list pagination. The value of the opc-next-page response header from the previous \"List\" call.
     *
     */
    "page"?: string;
    /**
     * For list pagination. The maximum number of results per page, or items to return in a paginated \"List\" call.
     *
     */
    "limit"?: number;
    /**
     * The field to sort by. Only one field can be selected for sorting.
     *
     */
    "sortBy"?: ListInvoicesRequest.SortBy;
    /**
     * The sort order to use (ascending or descending).
     *
     */
    "sortOrder"?: ListInvoicesRequest.SortOrder;
}
export declare namespace ListInvoicesRequest {
    enum Type {
        Hardware = "HARDWARE",
        Subscription = "SUBSCRIPTION",
        Support = "SUPPORT",
        License = "LICENSE",
        Education = "EDUCATION",
        Consulting = "CONSULTING",
        Service = "SERVICE",
        Usage = "USAGE"
    }
    enum Status {
        Open = "OPEN",
        PastDue = "PAST_DUE",
        PaymentSubmitted = "PAYMENT_SUBMITTED",
        Closed = "CLOSED"
    }
    enum SortBy {
        InvoiceNo = "INVOICE_NO",
        RefNo = "REF_NO",
        Status = "STATUS",
        Type = "TYPE",
        InvoiceDate = "INVOICE_DATE",
        DueDate = "DUE_DATE",
        PaymRef = "PAYM_REF",
        TotalAmount = "TOTAL_AMOUNT",
        BalanceDue = "BALANCE_DUE"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
