/**
 * OneSubscription Gateway API Organization's Subscription
 * API that returns data for the list of subscription ids returned from Organizations API

 * OpenAPI spec version: 20210501
 * Contact: kuaskum_org_ww@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Subscription summary
 *
 */
export interface SubscriptionSummary {
    /**
     * SPM internal Subscription ID
     *
     */
    "id": string;
    /**
     * Customer friendly service name provided by PRG
     *
     */
    "serviceName"?: string;
    /**
     * Subscription Type i.e. IAAS,SAAS,PAAS
     *
     */
    "type"?: string;
    /**
     * Status of the plan
     *
     */
    "status"?: string;
    /**
     * Represents the date when the first service of the subscription was activated
     *
     */
    "timeStart"?: Date;
    /**
     * Represents the date when the last service of the subscription ends
     *
     */
    "timeEnd"?: Date;
    "currency"?: model.Currency;
    /**
     * Total aggregate TCLV of all lines for the subscription including expired, active, and signed
     *
     */
    "totalValue"?: string;
}
export declare namespace SubscriptionSummary {
    function getJsonObj(obj: SubscriptionSummary): object;
    function getDeserializedJsonObj(obj: SubscriptionSummary): object;
}
