/**
 * OneSubscription API Subscription, Commitment and and Rate Card Details
 * Set of APIs that return the Subscription Details, Commitment and Effective Rate Card Details

 * OpenAPI spec version: 20210501
 * Contact: kuaskum_org_ww@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Subscribed Service commitment summary
 *
 */
export interface CommitmentSummary {
    /**
     * SPM internal Commitment ID
     *
     */
    "id": string;
    /**
     * Commitment start date
     *
     */
    "timeStart"?: Date;
    /**
     * Commitment end date
     *
     */
    "timeEnd"?: Date;
    /**
     * Commitment quantity
     *
     */
    "quantity"?: string;
    /**
     * Commitment used amount
     *
     */
    "usedAmount"?: string;
    /**
     * Commitment available amount
     *
     */
    "availableAmount"?: string;
    /**
     * Funded Allocation line value
     * example: 12000.00
     *
     */
    "fundedAllocationValue"?: string;
}
export declare namespace CommitmentSummary {
    function getJsonObj(obj: CommitmentSummary): object;
    function getDeserializedJsonObj(obj: CommitmentSummary): object;
}
