/**
 * OneSubscription API Subscription, Commitment and and Rate Card Details
 * Set of APIs that return the Subscription Details, Commitment and Effective Rate Card Details

 * OpenAPI spec version: 20210501
 * Contact: kuaskum_org_ww@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Rate Card Summary
 *
 */
export interface RateCardSummary {
    "product": model.Product;
    /**
     * Rate card start date
     *
     */
    "timeStart"?: Date;
    /**
     * Rate card end date
     *
     */
    "timeEnd"?: Date;
    /**
     * Rate card net unit price
     *
     */
    "netUnitPrice": string;
    /**
     * Rate card discretionary discount percentage
     *
     */
    "discretionaryDiscountPercentage"?: string;
    /**
     * Rate card overage price
     *
     */
    "overagePrice": string;
    /**
     * Rate card price tier flag
     *
     */
    "isTier"?: boolean;
    "currency"?: model.Currency;
    /**
     * List of tiered rate card prices
     *
     */
    "rateCardTiers"?: Array<model.RateCardTier>;
}
export declare namespace RateCardSummary {
    function getJsonObj(obj: RateCardSummary): object;
    function getDeserializedJsonObj(obj: RateCardSummary): object;
}
