/**
 * OneSubscription API Usage Computation
 * OneSubscription API Common set of Subscription Plan Management (SPM) Usage Computation resources

 * OpenAPI spec version: 20210501
 * Contact: kuaskum_org_ww@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Subscribed Service Contract details
 *
 */
export interface ComputedUsageAggregatedSummary {
    /**
     * Subscription Id is an identifier associated to the service used for filter the Computed Usage in SPM
     *
     */
    "subscriptionId": string;
    /**
     * Subscribed service line parent id
     *
     */
    "parentSubscribedServiceId"?: string;
    "parentProduct"?: model.Product;
    /**
     * Subscribed services contract line start date, expressed in RFC 3339 timestamp format.
     *
     */
    "timeStart"?: Date;
    /**
     * Subscribed services contract line end date, expressed in RFC 3339 timestamp format.
     *
     */
    "timeEnd"?: Date;
    /**
     * Subscribed service asociated subscription plan number.
     *
     */
    "planNumber"?: string;
    /**
     * Currency code
     *
     */
    "currencyCode"?: string;
    /**
     * Inernal SPM Ratecard Id at line level
     *
     */
    "rateCardId"?: string;
    /**
     * Subscribed services pricing model
     *
     */
    "pricingModel"?: ComputedUsageAggregatedSummary.PricingModel;
    /**
     * Aggregation of computed usages for the subscribed service.
     *
     */
    "aggregatedComputedUsages"?: Array<model.ComputedUsageAggregation>;
}
export declare namespace ComputedUsageAggregatedSummary {
    enum PricingModel {
        PayAsYouGo = "PAY_AS_YOU_GO",
        Monthly = "MONTHLY",
        Annual = "ANNUAL",
        Prepaid = "PREPAID",
        FundedAllocation = "FUNDED_ALLOCATION",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ComputedUsageAggregatedSummary): object;
    function getDeserializedJsonObj(obj: ComputedUsageAggregatedSummary): object;
}
