/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Restoring to a new database system from the backup.
 * The database system details that are part of the CreateDbSystem request are not required, but if present will override the details from the backup's database system snapshot.
 *
 */
export interface BackupSourceDetails extends model.SourceDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the database system backup.
     */
    "backupId": string;
    /**
     * Deprecated. Don't use.
     */
    "isHavingRestoreConfigOverrides"?: boolean;
    "sourceType": string;
}
export declare namespace BackupSourceDetails {
    function getJsonObj(obj: BackupSourceDetails, isParentJsonObj?: boolean): object;
    const sourceType = "BACKUP";
    function getDeserializedJsonObj(obj: BackupSourceDetails, isParentJsonObj?: boolean): object;
}
