/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Database system connection information. Used to connect to PostgreSQL instance(s).
 */
export interface ConnectionDetails {
    /**
     * The CA certificate to be used by the PosgreSQL client to connect to the database.
     * The CA certificate is used to authenticate the server identity.
     * It is issued by PostgreSQL Service Private CA.
     *
     */
    "caCertificate": string;
    "primaryDbEndpoint": model.Endpoint;
    /**
     * The list of database instance node endpoints in the database system.
     */
    "instanceEndpoints": Array<model.DbInstanceEndpoint>;
}
export declare namespace ConnectionDetails {
    function getJsonObj(obj: ConnectionDetails): object;
    function getDeserializedJsonObj(obj: ConnectionDetails): object;
}
