/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information about the new database instance node.
 */
export interface CreateDbInstanceDetails {
    /**
     * Display name of the database instance node. Avoid entering confidential information.
     */
    "displayName"?: string;
    /**
     * A user-provided description of the database instance node.
     */
    "description"?: string;
    /**
     * Private IP in customer subnet that will be assigned to the database instance node. This value is optional.
     * If the IP is not provided, the IP will be chosen from the available IP addresses in the specified subnet.
     *
     */
    "privateIp"?: string;
}
export declare namespace CreateDbInstanceDetails {
    function getJsonObj(obj: CreateDbInstanceDetails): object;
    function getDeserializedJsonObj(obj: CreateDbInstanceDetails): object;
}
