/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the configuration.
 */
export interface DefaultConfigurationSummary {
    /**
     * A unique identifier for the configuration.
     */
    "id": string;
    /**
     * A user-friendly display name for the configuration.
     */
    "displayName": string;
    /**
      * The date and time that the configuration was created, expressed in
  * [RFC 3339](https://tools.ietf.org/rfc/rfc3339) timestamp format.
  * <p>
  Example: {@code 2016-08-25T21:10:29.600Z}
  *
      */
    "timeCreated": Date;
    /**
     * The current state of the configuration.
     */
    "lifecycleState": string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * The name of the shape for the configuration.
     * Example: {@code VM.Standard.E4.Flex}
     *
     */
    "shape": string;
    /**
     * Version of the PostgreSQL database.
     */
    "dbVersion": string;
    /**
     * CPU core count. Minimum value is 1.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instanceOcpuCount": number;
    /**
     * Memory size in gigabytes with 1GB increment.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "instanceMemorySizeInGBs": number;
}
export declare namespace DefaultConfigurationSummary {
    function getJsonObj(obj: DefaultConfigurationSummary): object;
    function getDeserializedJsonObj(obj: DefaultConfigurationSummary): object;
}
