/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * PostgreSQL database system management policy.
 */
export interface ManagementPolicy {
    /**
     * The start of the maintenance window.
     *
     */
    "maintenanceWindowStart": string;
    "backupPolicy": model.DailyBackupPolicy | model.WeeklyBackupPolicy | model.NoneBackupPolicy | model.MonthlyBackupPolicy;
}
export declare namespace ManagementPolicy {
    function getJsonObj(obj: ManagementPolicy): object;
    function getDeserializedJsonObj(obj: ManagementPolicy): object;
}
