/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Monthly backup policy.
 */
export interface MonthlyBackupPolicy extends model.BackupPolicy {
    /**
     * Hour of the day when backup starts.
     */
    "backupStart": string;
    /**
     * Day of the month when the backup should start.
     * To ensure that the backup runs monthly, the latest day of the month that you can use to schedule a backup is the the 28th day.
     *
     */
    "daysOfTheMonth": Array<number>;
    "kind": string;
}
export declare namespace MonthlyBackupPolicy {
    function getJsonObj(obj: MonthlyBackupPolicy, isParentJsonObj?: boolean): object;
    const kind = "MONTHLY";
    function getDeserializedJsonObj(obj: MonthlyBackupPolicy, isParentJsonObj?: boolean): object;
}
