/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Network details for the database system.
 */
export interface NetworkDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the customer subnet associated with the database system.
     */
    "subnetId": string;
    /**
     * Private IP in customer subnet. The value is optional.
     * If the IP is not provided, the IP will be chosen from the available IP addresses from the specified subnet.
     *
     */
    "primaryDbEndpointPrivateIp"?: string;
    /**
     * List of customer Network Security Group [OCIDs](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) associated with the database system.
     */
    "nsgIds"?: Array<string>;
}
export declare namespace NetworkDetails {
    function getJsonObj(obj: NetworkDetails): object;
    function getDeserializedJsonObj(obj: NetworkDetails): object;
}
