/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Storage details of the database system.
 */
export interface OciOptimizedStorageDetails extends model.StorageDetails {
    /**
     * Guaranteed input/output storage requests per second (IOPS) available to the database system. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "iops"?: number;
    "systemType": string;
}
export declare namespace OciOptimizedStorageDetails {
    function getJsonObj(obj: OciOptimizedStorageDetails, isParentJsonObj?: boolean): object;
    const systemType = "OCI_OPTIMIZED_STORAGE";
    function getDeserializedJsonObj(obj: OciOptimizedStorageDetails, isParentJsonObj?: boolean): object;
}
