/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Storage details of the database system.
 */
export interface UpdateStorageDetailsParams {
    /**
     * Guaranteed input/output storage requests per second (IOPS) available to the database system.
     * Only valid for {@code OCI_OPTIMIZED_STORAGE} database system type.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "iops"?: number;
}
export declare namespace UpdateStorageDetailsParams {
    function getJsonObj(obj: UpdateStorageDetailsParams): object;
    function getDeserializedJsonObj(obj: UpdateStorageDetailsParams): object;
}
