/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Secret details for the database system password.
 */
export interface VaultSecretPasswordDetails extends model.PasswordDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the secret where the password is stored.
     */
    "secretId": string;
    /**
     * The secret version of the stored password.
     */
    "secretVersion": string;
    "passwordType": string;
}
export declare namespace VaultSecretPasswordDetails {
    function getJsonObj(obj: VaultSecretPasswordDetails, isParentJsonObj?: boolean): object;
    const passwordType = "VAULT_SECRET";
    function getDeserializedJsonObj(obj: VaultSecretPasswordDetails, isParentJsonObj?: boolean): object;
}
