/**
 * PGSQL Control Plane API
 * Use the OCI Database with PostgreSQL API to manage resources such as database systems, database nodes, backups, and configurations.
For information, see the user guide documentation for the [service](/iaas/Content/postgresql/home.htm).

 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Weekly backup policy.
 */
export interface WeeklyBackupPolicy extends model.BackupPolicy {
    /**
     * The day of the week that the backup starts.
     */
    "daysOfTheWeek": Array<WeeklyBackupPolicy.DaysOfTheWeek>;
    /**
     * Hour of the day when the backup starts.
     */
    "backupStart": string;
    "kind": string;
}
export declare namespace WeeklyBackupPolicy {
    enum DaysOfTheWeek {
        Sunday = "SUNDAY",
        Monday = "MONDAY",
        Tuesday = "TUESDAY",
        Wednesday = "WEDNESDAY",
        Thursday = "THURSDAY",
        Friday = "FRIDAY",
        Saturday = "SATURDAY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: WeeklyBackupPolicy, isParentJsonObj?: boolean): object;
    const kind = "WEEKLY";
    function getDeserializedJsonObj(obj: WeeklyBackupPolicy, isParentJsonObj?: boolean): object;
}
