/**
 *
 *
 * OpenAPI spec version: 20220915
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/psql/ListDefaultConfigurations.ts.html |here} to see how to use ListDefaultConfigurationsRequest.
 */
export interface ListDefaultConfigurationsRequest extends common.BaseRequest {
    /**
     * A filter to return only resources if their {@code lifecycleState} matches the given {@code lifecycleState}.
     */
    "lifecycleState"?: string;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * Verison of the PostgreSQL database, such as 14.9.
     */
    "dbVersion"?: string;
    /**
     * The name of the shape for the configuration.
     * Example: {@code VM.Standard.E4.Flex}
     *
     */
    "shape"?: string;
    /**
     * A unique identifier for the configuration.
     */
    "configurationId"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
     *
     */
    "sortBy"?: ListDefaultConfigurationsRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListDefaultConfigurationsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName"
    }
}
