/**
 * Queue API
 * Use the Queue API to produce and consume messages, create queues, and manage related items. For more information, see [Queue](/iaas/Content/queue/overview.htm).
 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Represents the result of a DeleteMessages request, whether it was successful or not.
 * If a message was successfully deleted from the queue, the entry does not contain any fields.
 * If a message failed to be deleted from the queue, the entry includes the {@code errorCode} and {@code errorMessage} fields.
 *
 */
export interface DeleteMessagesResultEntry {
    /**
     * The error code, in case the message was not successfully deleted from the queue. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "errorCode"?: number;
    /**
     * A human-readable error message associated with the error code.
     */
    "errorMessage"?: string;
}
export declare namespace DeleteMessagesResultEntry {
    function getJsonObj(obj: DeleteMessagesResultEntry): object;
    function getDeserializedJsonObj(obj: DeleteMessagesResultEntry): object;
}
