/**
 * Queue API
 * Use the Queue API to produce and consume messages, create queues, and manage related items. For more information, see [Queue](/iaas/Content/queue/overview.htm).
 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Purge parameters.
 */
export interface PurgeQueueDetails {
    /**
     * Type of the purge to perform:
     * - NORMAL - purge only the normal queue
     * - DLQ - purge only the dead letter queue
     * - BOTH - purge both the normal queue and the dead letter queue
     *
     */
    "purgeType": PurgeQueueDetails.PurgeType;
    /**
     * Optional parameter to specify the destination of purge operation.
     * If the channel ID is specified, the purge operation will delete all the messages in the specific channels.
     * If the channel ID is not specified, the purge operation will delete all the messages in the queue and in the child channels.
     *
     */
    "channelIds"?: Array<string>;
}
export declare namespace PurgeQueueDetails {
    enum PurgeType {
        Normal = "NORMAL",
        Dlq = "DLQ",
        Both = "BOTH"
    }
    function getJsonObj(obj: PurgeQueueDetails): object;
    function getDeserializedJsonObj(obj: PurgeQueueDetails): object;
}
