/**
 * Queue API
 * Use the Queue API to produce and consume messages, create queues, and manage related items. For more information, see [Queue](/iaas/Content/queue/overview.htm).
 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Represents the result of a UpdateMessages request, whether it was successful or not.
 * If a message was successfully updated in the queue, the entry includes the {@code id} and {@code visibleAfter} fields.
 * If a message failed to be updated in the queue, the entry includes the {@code errorCode} and {@code errorMessage} fields.
 *
 */
export interface UpdateMessagesResultEntry {
    /**
     * The ID of the message that's been updated. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "id"?: number;
    /**
      * The time after which the message will be visible to other consumers, expressed in [RFC 3339](https://tools.ietf.org/rfc/rfc3339) timestamp format.
  * <p>
  Example: {@code 2018-04-20T00:00:07.405Z}
  *
      */
    "visibleAfter"?: Date;
    /**
     * The error code, in case the message was not successfully updated in the queue. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "errorCode"?: number;
    /**
     * A human-readable error message associated with the error code.
     */
    "errorMessage"?: string;
}
export declare namespace UpdateMessagesResultEntry {
    function getJsonObj(obj: UpdateMessagesResultEntry): object;
    function getDeserializedJsonObj(obj: UpdateMessagesResultEntry): object;
}
