/**
 * Queue API
 * Use the Queue API to produce and consume messages, create queues, and manage related items. For more information, see [Queue](/iaas/Content/queue/overview.htm).
 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An error encountered while executing a work request.
 */
export interface WorkRequestError {
    /**
     * A machine-usable code for the error that occured. Error codes are listed on
     * (https://docs.cloud.oracle.com/Content/API/References/apierrors.htm)
     *
     */
    "code": string;
    /**
     * A human readable description of the issue encountered.
     */
    "message": string;
    /**
     * The time the error occured. An [RFC 3339](https://tools.ietf.org/rfc/rfc3339) formatted datetime string.
     */
    "timestamp": Date;
}
export declare namespace WorkRequestError {
    function getJsonObj(obj: WorkRequestError): object;
    function getDeserializedJsonObj(obj: WorkRequestError): object;
}
