/**
 * Oracle Database Autonomous Recovery Service API
 * Use Oracle Database Autonomous Recovery Service API to manage Protected Databases.
 * OpenAPI spec version: 20210216
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { DatabaseRecoveryClient } from "./client";
export declare class DatabaseRecoveryWaiter {
    private client;
    private readonly config?;
    constructor(client: DatabaseRecoveryClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forProtectedDatabase till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetProtectedDatabaseResponse | null (null in case of 404 response)
     */
    forProtectedDatabase(request: serviceRequests.GetProtectedDatabaseRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetProtectedDatabaseResponse | null>;
    /**
     * Waits forProtectionPolicy till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetProtectionPolicyResponse | null (null in case of 404 response)
     */
    forProtectionPolicy(request: serviceRequests.GetProtectionPolicyRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetProtectionPolicyResponse | null>;
    /**
     * Waits forRecoveryServiceSubnet till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetRecoveryServiceSubnetResponse | null (null in case of 404 response)
     */
    forRecoveryServiceSubnet(request: serviceRequests.GetRecoveryServiceSubnetRequest, ...targetStates: models.LifecycleState[]): Promise<serviceResponses.GetRecoveryServiceSubnetResponse | null>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
