/**
 * Oracle Database Autonomous Recovery Service API
 * Use Oracle Database Autonomous Recovery Service API to manage Protected Databases.
 * OpenAPI spec version: 20210216
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Describes the parameters required to create a Recovery Service Subnet.
 */
export interface CreateRecoveryServiceSubnetDetails {
    /**
     * A user-provided name for the recovery service subnet. The 'displayName' does not have to be unique, and it can be modified. Avoid entering confidential information.
     */
    "displayName": string;
    /**
     * Deprecated. One of the subnets associated with the Recovery Service subnet.
     *
     */
    "subnetId"?: string;
    /**
     * A list of OCIDs of the subnets associated with the Recovery Service subnet.
     */
    "subnets"?: Array<string>;
    /**
     * A list of network security group (NSG) OCIDs that are associated with the Recovery Service subnet.
     * You can specify a maximum of 5 unique OCIDs, which implies that you can associate a maximum of 5 NSGs to each Recovery Service subnet.
     * Specify an empty array if you want to remove all the associated NSGs from a Recovery Service subnet.
     * See {@link NetworkSecurityGroup} for more information.
     *
     */
    "nsgIds"?: Array<string>;
    /**
     * The OCID of the virtual cloud network (VCN) that contains the recovery service subnet. You can create a single recovery service subnet per VCN.
     */
    "vcnId": string;
    /**
     * The compartment OCID.
     */
    "compartmentId": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}. For more information, see [Resource Tags](https://docs.oracle.com/en-us/iaas/Content/General/Concepts/resourcetags.htm)
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateRecoveryServiceSubnetDetails {
    function getJsonObj(obj: CreateRecoveryServiceSubnetDetails): object;
    function getDeserializedJsonObj(obj: CreateRecoveryServiceSubnetDetails): object;
}
