/**
 * Oracle Database Autonomous Recovery Service API
 * Use Oracle Database Autonomous Recovery Service API to manage Protected Databases.
 * OpenAPI spec version: 20210216
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for scheduling deletion of the protected database
 */
export interface ScheduleProtectedDatabaseDeletionDetails {
    /**
     * Defines a preferred schedule to delete a protected database after you terminate the source database.
     * * The default schedule is DELETE_AFTER_72_HOURS, so that the delete operation can occur 72 hours (3 days) after the source database is terminated.
     * * The alternate schedule is DELETE_AFTER_RETENTION_PERIOD. Specify this option if you want to delete a protected database only after the policy-defined backup retention period expires.
     *
     */
    "deletionSchedule"?: model.DeletionSchedule;
}
export declare namespace ScheduleProtectedDatabaseDeletionDetails {
    function getJsonObj(obj: ScheduleProtectedDatabaseDeletionDetails): object;
    function getDeserializedJsonObj(obj: ScheduleProtectedDatabaseDeletionDetails): object;
}
