/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Job details that are specific to apply operations.
 *
 */
export interface ApplyJobOperationDetails extends model.JobOperationDetails {
    "terraformAdvancedOptions"?: model.TerraformAdvancedOptions;
    /**
     * Specifies the source of the execution plan to apply.
     * Use {@code AUTO_APPROVED} to run the job without an execution plan.
     *
     */
    "executionPlanStrategy": ApplyJobOperationDetails.ExecutionPlanStrategy;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the plan job that contains the execution plan used for this job,
     * or {@code null} if no execution plan was used.
     *
     */
    "executionPlanJobId"?: string;
    "operation": string;
}
export declare namespace ApplyJobOperationDetails {
    enum ExecutionPlanStrategy {
        FromPlanJobId = "FROM_PLAN_JOB_ID",
        FromLatestPlanJob = "FROM_LATEST_PLAN_JOB",
        AutoApproved = "AUTO_APPROVED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ApplyJobOperationDetails, isParentJsonObj?: boolean): object;
    const operation = "APPLY";
    function getDeserializedJsonObj(obj: ApplyJobOperationDetails, isParentJsonObj?: boolean): object;
}
