/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Deprecated. Use the property {@code executionPlanStrategy} in {@code jobOperationDetails} instead.
 *
 */
export interface ApplyJobPlanResolution {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) that specifies the most recently executed plan job.
     *
     */
    "planJobId"?: string;
    /**
     * Specifies whether to use the [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the most recently run plan job.
     * {@code True} if using the latest job [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm). Must be a plan job that completed successfully.
     *
     */
    "isUseLatestJobId"?: boolean;
    /**
     * Specifies whether to use the configuration directly, without reference to a Plan job.
     * {@code True} if using the configuration directly. Note that it is not necessary
     * for a Plan job to have run successfully.
     *
     */
    "isAutoApproved"?: boolean;
}
export declare namespace ApplyJobPlanResolution {
    function getJsonObj(obj: ApplyJobPlanResolution): object;
    function getDeserializedJsonObj(obj: ApplyJobPlanResolution): object;
}
