/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary information for a resource associated with a stack or job.
 *
 */
export interface AssociatedResourceSummary {
    /**
     * Unique identifier for the resource.
     */
    "resourceId"?: string;
    /**
     * Name of the resource.
     */
    "resourceName"?: string;
    /**
     * Resource type. For more information about resource types supported for the Oracle Cloud Infrastructure (OCI) provider, see [Oracle Cloud Infrastructure Provider](https://registry.terraform.io/providers/oracle/oci/latest/docs).
     */
    "resourceType"?: string;
    /**
     * Resource attribute values. Each value is represented as a key-value pair.
     * Example: {@code {\"state\": \"AVAILABLE\"}}
     *
     */
    "attributes"?: {
        [key: string]: string;
    };
    /**
     * The date and time when the stack was created.
     * Format is defined by RFC3339.
     * Example: {@code 2022-07-25T21:10:29.600Z}
     *
     */
    "timeCreated"?: Date;
    /**
     * Resource region.
     * For information about regions, see [Regions and Availability Domains](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/regions.htm).
     * Example: {@code us-phoenix-1}
     *
     */
    "region"?: string;
    /**
     * Terraform resource address.
     */
    "resourceAddress"?: string;
}
export declare namespace AssociatedResourceSummary {
    function getJsonObj(obj: AssociatedResourceSummary): object;
    function getDeserializedJsonObj(obj: AssociatedResourceSummary): object;
}
