/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Metadata about the Bitbucket Server configuration source.
 *
 */
export interface BitbucketServerConfigSourceRecord extends model.ConfigSourceRecord {
    /**
     * Unique identifier ([OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm))
     * for the Bitbucket Server configuration source.
     *
     */
    "configurationSourceProviderId": string;
    /**
     * The URL of the Bitbucket Server repository.
     */
    "repositoryUrl": string;
    /**
     * The name of the branch within the Bitbucket Server repository.
     */
    "branchName"?: string;
    /**
     * The unique identifier (SHA-1 hash) of the individual change to the Bitbucket Server repository.
     */
    "commitId"?: string;
    "configSourceRecordType": string;
}
export declare namespace BitbucketServerConfigSourceRecord {
    function getJsonObj(obj: BitbucketServerConfigSourceRecord, isParentJsonObj?: boolean): object;
    const configSourceRecordType = "BITBUCKET_SERVER_CONFIG_SOURCE";
    function getDeserializedJsonObj(obj: BitbucketServerConfigSourceRecord, isParentJsonObj?: boolean): object;
}
