"use strict";
/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TerraformVersionCollection = exports.TerraformAdvancedOptions = exports.TemplateSummaryCollection = exports.TemplateSummary = exports.TemplateConfigSource = exports.TemplateCategorySummaryCollection = exports.TemplateCategorySummary = exports.Template = exports.StackSummary = exports.StackResourceDriftSummary = exports.StackResourceDriftCollection = exports.Stack = exports.ResourceDiscoveryServiceSummary = exports.ResourceDiscoveryServiceCollection = exports.ReachableIp = exports.PrivateServerConfigDetails = exports.PrivateEndpointSummary = exports.PrivateEndpointCollection = exports.PrivateEndpoint = exports.LogEntry = exports.JobSummary = exports.JobOutputsCollection = exports.JobOutputSummary = exports.JobOperationDetailsSummary = exports.JobOperationDetails = exports.Job = exports.FailureDetails = exports.DetectStackDriftDetails = exports.CustomTerraformProvider = exports.CreateTemplateDetails = exports.CreateTemplateConfigSourceDetails = exports.CreateStackDetails = exports.CreatePrivateEndpointDetails = exports.CreateJobOperationDetails = exports.CreateJobDetails = exports.CreateConfigurationSourceProviderDetails = exports.CreateConfigSourceDetails = exports.ConfigurationSourceProviderSummary = exports.ConfigurationSourceProviderCollection = exports.ConfigurationSourceProvider = exports.ConfigSourceRecord = exports.ConfigSource = exports.ChangeTemplateCompartmentDetails = exports.ChangeStackCompartmentDetails = exports.ChangePrivateEndpointCompartmentDetails = exports.ChangeConfigurationSourceProviderCompartmentDetails = exports.CancellationDetails = exports.AssociatedResourcesCollection = exports.AssociatedResourceSummary = exports.ApplyJobPlanResolution = void 0;
exports.GitConfigSource = exports.DevOpsConfigSourceRecord = exports.DevOpsConfigSource = exports.DestroyJobOperationDetailsSummary = exports.DestroyJobOperationDetails = exports.CreateZipUploadConfigSourceDetails = exports.CreateTemplateZipUploadConfigSourceDetails = exports.CreateStackTemplateConfigSourceDetails = exports.CreatePlanRollbackJobOperationDetails = exports.CreatePlanJobOperationDetails = exports.CreateObjectStorageConfigSourceDetails = exports.CreateImportTfStateJobOperationDetails = exports.CreateGitlabAccessTokenConfigurationSourceProviderDetails = exports.CreateGithubAccessTokenConfigurationSourceProviderDetails = exports.CreateGitConfigSourceDetails = exports.CreateDevOpsConfigSourceDetails = exports.CreateDestroyJobOperationDetails = exports.CreateCompartmentConfigSourceDetails = exports.CreateBitbucketServerConfigSourceDetails = exports.CreateBitbucketServerAccessTokenConfigurationSourceProviderDetails = exports.CreateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails = exports.CreateBitbucketCloudConfigSourceDetails = exports.CreateApplyRollbackJobOperationDetails = exports.CreateApplyJobOperationDetails = exports.CompartmentConfigSource = exports.BitbucketServerConfigSourceRecord = exports.BitbucketServerConfigSource = exports.BitbucketServerAccessTokenConfigurationSourceProviderSummary = exports.BitbucketServerAccessTokenConfigurationSourceProvider = exports.BitbucketCloudUsernameAppPasswordConfigurationSourceProviderSummary = exports.BitbucketCloudUsernameAppPasswordConfigurationSourceProvider = exports.BitbucketCloudConfigSourceRecord = exports.BitbucketCloudConfigSource = exports.ApplyRollbackJobOperationDetailsSummary = exports.ApplyRollbackJobOperationDetails = exports.ApplyJobOperationDetailsSummary = exports.ApplyJobOperationDetails = exports.WorkRequestSummary = exports.WorkRequestResource = exports.WorkRequestLogEntry = exports.WorkRequestError = exports.WorkRequest = exports.UpdateTemplateDetails = exports.UpdateTemplateConfigSourceDetails = exports.UpdateStackDetails = exports.UpdatePrivateEndpointDetails = exports.UpdateJobDetails = exports.UpdateConfigurationSourceProviderDetails = exports.UpdateConfigSourceDetails = exports.TerraformVersionSummary = void 0;
exports.ZipUploadConfigSourceRecord = exports.ZipUploadConfigSource = exports.UpdateZipUploadConfigSourceDetails = exports.UpdateTemplateZipUploadConfigSourceDetails = exports.UpdateObjectStorageConfigSourceDetails = exports.UpdateGitlabAccessTokenConfigurationSourceProviderDetails = exports.UpdateGithubAccessTokenConfigurationSourceProviderDetails = exports.UpdateGitConfigSourceDetails = exports.UpdateDevOpsConfigSourceDetails = exports.UpdateBitbucketServerConfigSourceDetails = exports.UpdateBitbucketServerAccessTokenConfigurationSourceProviderDetails = exports.UpdateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails = exports.UpdateBitbucketCloudConfigSourceDetails = exports.TemplateZipUploadConfigSource = exports.PlanRollbackJobOperationDetailsSummary = exports.PlanRollbackJobOperationDetails = exports.PlanJobOperationDetailsSummary = exports.PlanJobOperationDetails = exports.ObjectStorageConfigSourceRecord = exports.ObjectStorageConfigSource = exports.ImportTfStateJobOperationDetailsSummary = exports.ImportTfStateJobOperationDetails = exports.GitlabAccessTokenConfigurationSourceProviderSummary = exports.GitlabAccessTokenConfigurationSourceProvider = exports.GithubAccessTokenConfigurationSourceProviderSummary = exports.GithubAccessTokenConfigurationSourceProvider = exports.GitConfigSourceRecord = void 0;
const ApplyJobPlanResolution = __importStar(require("./apply-job-plan-resolution"));
exports.ApplyJobPlanResolution = ApplyJobPlanResolution.ApplyJobPlanResolution;
const AssociatedResourceSummary = __importStar(require("./associated-resource-summary"));
exports.AssociatedResourceSummary = AssociatedResourceSummary.AssociatedResourceSummary;
const AssociatedResourcesCollection = __importStar(require("./associated-resources-collection"));
exports.AssociatedResourcesCollection = AssociatedResourcesCollection.AssociatedResourcesCollection;
const CancellationDetails = __importStar(require("./cancellation-details"));
exports.CancellationDetails = CancellationDetails.CancellationDetails;
const ChangeConfigurationSourceProviderCompartmentDetails = __importStar(require("./change-configuration-source-provider-compartment-details"));
exports.ChangeConfigurationSourceProviderCompartmentDetails = ChangeConfigurationSourceProviderCompartmentDetails.ChangeConfigurationSourceProviderCompartmentDetails;
const ChangePrivateEndpointCompartmentDetails = __importStar(require("./change-private-endpoint-compartment-details"));
exports.ChangePrivateEndpointCompartmentDetails = ChangePrivateEndpointCompartmentDetails.ChangePrivateEndpointCompartmentDetails;
const ChangeStackCompartmentDetails = __importStar(require("./change-stack-compartment-details"));
exports.ChangeStackCompartmentDetails = ChangeStackCompartmentDetails.ChangeStackCompartmentDetails;
const ChangeTemplateCompartmentDetails = __importStar(require("./change-template-compartment-details"));
exports.ChangeTemplateCompartmentDetails = ChangeTemplateCompartmentDetails.ChangeTemplateCompartmentDetails;
const ConfigSource = __importStar(require("./config-source"));
exports.ConfigSource = ConfigSource.ConfigSource;
const ConfigSourceRecord = __importStar(require("./config-source-record"));
exports.ConfigSourceRecord = ConfigSourceRecord.ConfigSourceRecord;
const ConfigurationSourceProvider = __importStar(require("./configuration-source-provider"));
exports.ConfigurationSourceProvider = ConfigurationSourceProvider.ConfigurationSourceProvider;
const ConfigurationSourceProviderCollection = __importStar(require("./configuration-source-provider-collection"));
exports.ConfigurationSourceProviderCollection = ConfigurationSourceProviderCollection.ConfigurationSourceProviderCollection;
const ConfigurationSourceProviderSummary = __importStar(require("./configuration-source-provider-summary"));
exports.ConfigurationSourceProviderSummary = ConfigurationSourceProviderSummary.ConfigurationSourceProviderSummary;
const CreateConfigSourceDetails = __importStar(require("./create-config-source-details"));
exports.CreateConfigSourceDetails = CreateConfigSourceDetails.CreateConfigSourceDetails;
const CreateConfigurationSourceProviderDetails = __importStar(require("./create-configuration-source-provider-details"));
exports.CreateConfigurationSourceProviderDetails = CreateConfigurationSourceProviderDetails.CreateConfigurationSourceProviderDetails;
const CreateJobDetails = __importStar(require("./create-job-details"));
exports.CreateJobDetails = CreateJobDetails.CreateJobDetails;
const CreateJobOperationDetails = __importStar(require("./create-job-operation-details"));
exports.CreateJobOperationDetails = CreateJobOperationDetails.CreateJobOperationDetails;
const CreatePrivateEndpointDetails = __importStar(require("./create-private-endpoint-details"));
exports.CreatePrivateEndpointDetails = CreatePrivateEndpointDetails.CreatePrivateEndpointDetails;
const CreateStackDetails = __importStar(require("./create-stack-details"));
exports.CreateStackDetails = CreateStackDetails.CreateStackDetails;
const CreateTemplateConfigSourceDetails = __importStar(require("./create-template-config-source-details"));
exports.CreateTemplateConfigSourceDetails = CreateTemplateConfigSourceDetails.CreateTemplateConfigSourceDetails;
const CreateTemplateDetails = __importStar(require("./create-template-details"));
exports.CreateTemplateDetails = CreateTemplateDetails.CreateTemplateDetails;
const CustomTerraformProvider = __importStar(require("./custom-terraform-provider"));
exports.CustomTerraformProvider = CustomTerraformProvider.CustomTerraformProvider;
const DetectStackDriftDetails = __importStar(require("./detect-stack-drift-details"));
exports.DetectStackDriftDetails = DetectStackDriftDetails.DetectStackDriftDetails;
const FailureDetails = __importStar(require("./failure-details"));
exports.FailureDetails = FailureDetails.FailureDetails;
const Job = __importStar(require("./job"));
exports.Job = Job.Job;
const JobOperationDetails = __importStar(require("./job-operation-details"));
exports.JobOperationDetails = JobOperationDetails.JobOperationDetails;
const JobOperationDetailsSummary = __importStar(require("./job-operation-details-summary"));
exports.JobOperationDetailsSummary = JobOperationDetailsSummary.JobOperationDetailsSummary;
const JobOutputSummary = __importStar(require("./job-output-summary"));
exports.JobOutputSummary = JobOutputSummary.JobOutputSummary;
const JobOutputsCollection = __importStar(require("./job-outputs-collection"));
exports.JobOutputsCollection = JobOutputsCollection.JobOutputsCollection;
const JobSummary = __importStar(require("./job-summary"));
exports.JobSummary = JobSummary.JobSummary;
const LogEntry = __importStar(require("./log-entry"));
exports.LogEntry = LogEntry.LogEntry;
const PrivateEndpoint = __importStar(require("./private-endpoint"));
exports.PrivateEndpoint = PrivateEndpoint.PrivateEndpoint;
const PrivateEndpointCollection = __importStar(require("./private-endpoint-collection"));
exports.PrivateEndpointCollection = PrivateEndpointCollection.PrivateEndpointCollection;
const PrivateEndpointSummary = __importStar(require("./private-endpoint-summary"));
exports.PrivateEndpointSummary = PrivateEndpointSummary.PrivateEndpointSummary;
const PrivateServerConfigDetails = __importStar(require("./private-server-config-details"));
exports.PrivateServerConfigDetails = PrivateServerConfigDetails.PrivateServerConfigDetails;
const ReachableIp = __importStar(require("./reachable-ip"));
exports.ReachableIp = ReachableIp.ReachableIp;
const ResourceDiscoveryServiceCollection = __importStar(require("./resource-discovery-service-collection"));
exports.ResourceDiscoveryServiceCollection = ResourceDiscoveryServiceCollection.ResourceDiscoveryServiceCollection;
const ResourceDiscoveryServiceSummary = __importStar(require("./resource-discovery-service-summary"));
exports.ResourceDiscoveryServiceSummary = ResourceDiscoveryServiceSummary.ResourceDiscoveryServiceSummary;
const Stack = __importStar(require("./stack"));
exports.Stack = Stack.Stack;
const StackResourceDriftCollection = __importStar(require("./stack-resource-drift-collection"));
exports.StackResourceDriftCollection = StackResourceDriftCollection.StackResourceDriftCollection;
const StackResourceDriftSummary = __importStar(require("./stack-resource-drift-summary"));
exports.StackResourceDriftSummary = StackResourceDriftSummary.StackResourceDriftSummary;
const StackSummary = __importStar(require("./stack-summary"));
exports.StackSummary = StackSummary.StackSummary;
const Template = __importStar(require("./template"));
exports.Template = Template.Template;
const TemplateCategorySummary = __importStar(require("./template-category-summary"));
exports.TemplateCategorySummary = TemplateCategorySummary.TemplateCategorySummary;
const TemplateCategorySummaryCollection = __importStar(require("./template-category-summary-collection"));
exports.TemplateCategorySummaryCollection = TemplateCategorySummaryCollection.TemplateCategorySummaryCollection;
const TemplateConfigSource = __importStar(require("./template-config-source"));
exports.TemplateConfigSource = TemplateConfigSource.TemplateConfigSource;
const TemplateSummary = __importStar(require("./template-summary"));
exports.TemplateSummary = TemplateSummary.TemplateSummary;
const TemplateSummaryCollection = __importStar(require("./template-summary-collection"));
exports.TemplateSummaryCollection = TemplateSummaryCollection.TemplateSummaryCollection;
const TerraformAdvancedOptions = __importStar(require("./terraform-advanced-options"));
exports.TerraformAdvancedOptions = TerraformAdvancedOptions.TerraformAdvancedOptions;
const TerraformVersionCollection = __importStar(require("./terraform-version-collection"));
exports.TerraformVersionCollection = TerraformVersionCollection.TerraformVersionCollection;
const TerraformVersionSummary = __importStar(require("./terraform-version-summary"));
exports.TerraformVersionSummary = TerraformVersionSummary.TerraformVersionSummary;
const UpdateConfigSourceDetails = __importStar(require("./update-config-source-details"));
exports.UpdateConfigSourceDetails = UpdateConfigSourceDetails.UpdateConfigSourceDetails;
const UpdateConfigurationSourceProviderDetails = __importStar(require("./update-configuration-source-provider-details"));
exports.UpdateConfigurationSourceProviderDetails = UpdateConfigurationSourceProviderDetails.UpdateConfigurationSourceProviderDetails;
const UpdateJobDetails = __importStar(require("./update-job-details"));
exports.UpdateJobDetails = UpdateJobDetails.UpdateJobDetails;
const UpdatePrivateEndpointDetails = __importStar(require("./update-private-endpoint-details"));
exports.UpdatePrivateEndpointDetails = UpdatePrivateEndpointDetails.UpdatePrivateEndpointDetails;
const UpdateStackDetails = __importStar(require("./update-stack-details"));
exports.UpdateStackDetails = UpdateStackDetails.UpdateStackDetails;
const UpdateTemplateConfigSourceDetails = __importStar(require("./update-template-config-source-details"));
exports.UpdateTemplateConfigSourceDetails = UpdateTemplateConfigSourceDetails.UpdateTemplateConfigSourceDetails;
const UpdateTemplateDetails = __importStar(require("./update-template-details"));
exports.UpdateTemplateDetails = UpdateTemplateDetails.UpdateTemplateDetails;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const ApplyJobOperationDetails = __importStar(require("./apply-job-operation-details"));
exports.ApplyJobOperationDetails = ApplyJobOperationDetails.ApplyJobOperationDetails;
const ApplyJobOperationDetailsSummary = __importStar(require("./apply-job-operation-details-summary"));
exports.ApplyJobOperationDetailsSummary = ApplyJobOperationDetailsSummary.ApplyJobOperationDetailsSummary;
const ApplyRollbackJobOperationDetails = __importStar(require("./apply-rollback-job-operation-details"));
exports.ApplyRollbackJobOperationDetails = ApplyRollbackJobOperationDetails.ApplyRollbackJobOperationDetails;
const ApplyRollbackJobOperationDetailsSummary = __importStar(require("./apply-rollback-job-operation-details-summary"));
exports.ApplyRollbackJobOperationDetailsSummary = ApplyRollbackJobOperationDetailsSummary.ApplyRollbackJobOperationDetailsSummary;
const BitbucketCloudConfigSource = __importStar(require("./bitbucket-cloud-config-source"));
exports.BitbucketCloudConfigSource = BitbucketCloudConfigSource.BitbucketCloudConfigSource;
const BitbucketCloudConfigSourceRecord = __importStar(require("./bitbucket-cloud-config-source-record"));
exports.BitbucketCloudConfigSourceRecord = BitbucketCloudConfigSourceRecord.BitbucketCloudConfigSourceRecord;
const BitbucketCloudUsernameAppPasswordConfigurationSourceProvider = __importStar(require("./bitbucket-cloud-username-app-password-configuration-source-provider"));
exports.BitbucketCloudUsernameAppPasswordConfigurationSourceProvider = BitbucketCloudUsernameAppPasswordConfigurationSourceProvider.BitbucketCloudUsernameAppPasswordConfigurationSourceProvider;
const BitbucketCloudUsernameAppPasswordConfigurationSourceProviderSummary = __importStar(require("./bitbucket-cloud-username-app-password-configuration-source-provider-summary"));
exports.BitbucketCloudUsernameAppPasswordConfigurationSourceProviderSummary = BitbucketCloudUsernameAppPasswordConfigurationSourceProviderSummary.BitbucketCloudUsernameAppPasswordConfigurationSourceProviderSummary;
const BitbucketServerAccessTokenConfigurationSourceProvider = __importStar(require("./bitbucket-server-access-token-configuration-source-provider"));
exports.BitbucketServerAccessTokenConfigurationSourceProvider = BitbucketServerAccessTokenConfigurationSourceProvider.BitbucketServerAccessTokenConfigurationSourceProvider;
const BitbucketServerAccessTokenConfigurationSourceProviderSummary = __importStar(require("./bitbucket-server-access-token-configuration-source-provider-summary"));
exports.BitbucketServerAccessTokenConfigurationSourceProviderSummary = BitbucketServerAccessTokenConfigurationSourceProviderSummary.BitbucketServerAccessTokenConfigurationSourceProviderSummary;
const BitbucketServerConfigSource = __importStar(require("./bitbucket-server-config-source"));
exports.BitbucketServerConfigSource = BitbucketServerConfigSource.BitbucketServerConfigSource;
const BitbucketServerConfigSourceRecord = __importStar(require("./bitbucket-server-config-source-record"));
exports.BitbucketServerConfigSourceRecord = BitbucketServerConfigSourceRecord.BitbucketServerConfigSourceRecord;
const CompartmentConfigSource = __importStar(require("./compartment-config-source"));
exports.CompartmentConfigSource = CompartmentConfigSource.CompartmentConfigSource;
const CreateApplyJobOperationDetails = __importStar(require("./create-apply-job-operation-details"));
exports.CreateApplyJobOperationDetails = CreateApplyJobOperationDetails.CreateApplyJobOperationDetails;
const CreateApplyRollbackJobOperationDetails = __importStar(require("./create-apply-rollback-job-operation-details"));
exports.CreateApplyRollbackJobOperationDetails = CreateApplyRollbackJobOperationDetails.CreateApplyRollbackJobOperationDetails;
const CreateBitbucketCloudConfigSourceDetails = __importStar(require("./create-bitbucket-cloud-config-source-details"));
exports.CreateBitbucketCloudConfigSourceDetails = CreateBitbucketCloudConfigSourceDetails.CreateBitbucketCloudConfigSourceDetails;
const CreateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails = __importStar(require("./create-bitbucket-cloud-username-app-password-configuration-source-provider-details"));
exports.CreateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails = CreateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails.CreateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails;
const CreateBitbucketServerAccessTokenConfigurationSourceProviderDetails = __importStar(require("./create-bitbucket-server-access-token-configuration-source-provider-details"));
exports.CreateBitbucketServerAccessTokenConfigurationSourceProviderDetails = CreateBitbucketServerAccessTokenConfigurationSourceProviderDetails.CreateBitbucketServerAccessTokenConfigurationSourceProviderDetails;
const CreateBitbucketServerConfigSourceDetails = __importStar(require("./create-bitbucket-server-config-source-details"));
exports.CreateBitbucketServerConfigSourceDetails = CreateBitbucketServerConfigSourceDetails.CreateBitbucketServerConfigSourceDetails;
const CreateCompartmentConfigSourceDetails = __importStar(require("./create-compartment-config-source-details"));
exports.CreateCompartmentConfigSourceDetails = CreateCompartmentConfigSourceDetails.CreateCompartmentConfigSourceDetails;
const CreateDestroyJobOperationDetails = __importStar(require("./create-destroy-job-operation-details"));
exports.CreateDestroyJobOperationDetails = CreateDestroyJobOperationDetails.CreateDestroyJobOperationDetails;
const CreateDevOpsConfigSourceDetails = __importStar(require("./create-dev-ops-config-source-details"));
exports.CreateDevOpsConfigSourceDetails = CreateDevOpsConfigSourceDetails.CreateDevOpsConfigSourceDetails;
const CreateGitConfigSourceDetails = __importStar(require("./create-git-config-source-details"));
exports.CreateGitConfigSourceDetails = CreateGitConfigSourceDetails.CreateGitConfigSourceDetails;
const CreateGithubAccessTokenConfigurationSourceProviderDetails = __importStar(require("./create-github-access-token-configuration-source-provider-details"));
exports.CreateGithubAccessTokenConfigurationSourceProviderDetails = CreateGithubAccessTokenConfigurationSourceProviderDetails.CreateGithubAccessTokenConfigurationSourceProviderDetails;
const CreateGitlabAccessTokenConfigurationSourceProviderDetails = __importStar(require("./create-gitlab-access-token-configuration-source-provider-details"));
exports.CreateGitlabAccessTokenConfigurationSourceProviderDetails = CreateGitlabAccessTokenConfigurationSourceProviderDetails.CreateGitlabAccessTokenConfigurationSourceProviderDetails;
const CreateImportTfStateJobOperationDetails = __importStar(require("./create-import-tf-state-job-operation-details"));
exports.CreateImportTfStateJobOperationDetails = CreateImportTfStateJobOperationDetails.CreateImportTfStateJobOperationDetails;
const CreateObjectStorageConfigSourceDetails = __importStar(require("./create-object-storage-config-source-details"));
exports.CreateObjectStorageConfigSourceDetails = CreateObjectStorageConfigSourceDetails.CreateObjectStorageConfigSourceDetails;
const CreatePlanJobOperationDetails = __importStar(require("./create-plan-job-operation-details"));
exports.CreatePlanJobOperationDetails = CreatePlanJobOperationDetails.CreatePlanJobOperationDetails;
const CreatePlanRollbackJobOperationDetails = __importStar(require("./create-plan-rollback-job-operation-details"));
exports.CreatePlanRollbackJobOperationDetails = CreatePlanRollbackJobOperationDetails.CreatePlanRollbackJobOperationDetails;
const CreateStackTemplateConfigSourceDetails = __importStar(require("./create-stack-template-config-source-details"));
exports.CreateStackTemplateConfigSourceDetails = CreateStackTemplateConfigSourceDetails.CreateStackTemplateConfigSourceDetails;
const CreateTemplateZipUploadConfigSourceDetails = __importStar(require("./create-template-zip-upload-config-source-details"));
exports.CreateTemplateZipUploadConfigSourceDetails = CreateTemplateZipUploadConfigSourceDetails.CreateTemplateZipUploadConfigSourceDetails;
const CreateZipUploadConfigSourceDetails = __importStar(require("./create-zip-upload-config-source-details"));
exports.CreateZipUploadConfigSourceDetails = CreateZipUploadConfigSourceDetails.CreateZipUploadConfigSourceDetails;
const DestroyJobOperationDetails = __importStar(require("./destroy-job-operation-details"));
exports.DestroyJobOperationDetails = DestroyJobOperationDetails.DestroyJobOperationDetails;
const DestroyJobOperationDetailsSummary = __importStar(require("./destroy-job-operation-details-summary"));
exports.DestroyJobOperationDetailsSummary = DestroyJobOperationDetailsSummary.DestroyJobOperationDetailsSummary;
const DevOpsConfigSource = __importStar(require("./dev-ops-config-source"));
exports.DevOpsConfigSource = DevOpsConfigSource.DevOpsConfigSource;
const DevOpsConfigSourceRecord = __importStar(require("./dev-ops-config-source-record"));
exports.DevOpsConfigSourceRecord = DevOpsConfigSourceRecord.DevOpsConfigSourceRecord;
const GitConfigSource = __importStar(require("./git-config-source"));
exports.GitConfigSource = GitConfigSource.GitConfigSource;
const GitConfigSourceRecord = __importStar(require("./git-config-source-record"));
exports.GitConfigSourceRecord = GitConfigSourceRecord.GitConfigSourceRecord;
const GithubAccessTokenConfigurationSourceProvider = __importStar(require("./github-access-token-configuration-source-provider"));
exports.GithubAccessTokenConfigurationSourceProvider = GithubAccessTokenConfigurationSourceProvider.GithubAccessTokenConfigurationSourceProvider;
const GithubAccessTokenConfigurationSourceProviderSummary = __importStar(require("./github-access-token-configuration-source-provider-summary"));
exports.GithubAccessTokenConfigurationSourceProviderSummary = GithubAccessTokenConfigurationSourceProviderSummary.GithubAccessTokenConfigurationSourceProviderSummary;
const GitlabAccessTokenConfigurationSourceProvider = __importStar(require("./gitlab-access-token-configuration-source-provider"));
exports.GitlabAccessTokenConfigurationSourceProvider = GitlabAccessTokenConfigurationSourceProvider.GitlabAccessTokenConfigurationSourceProvider;
const GitlabAccessTokenConfigurationSourceProviderSummary = __importStar(require("./gitlab-access-token-configuration-source-provider-summary"));
exports.GitlabAccessTokenConfigurationSourceProviderSummary = GitlabAccessTokenConfigurationSourceProviderSummary.GitlabAccessTokenConfigurationSourceProviderSummary;
const ImportTfStateJobOperationDetails = __importStar(require("./import-tf-state-job-operation-details"));
exports.ImportTfStateJobOperationDetails = ImportTfStateJobOperationDetails.ImportTfStateJobOperationDetails;
const ImportTfStateJobOperationDetailsSummary = __importStar(require("./import-tf-state-job-operation-details-summary"));
exports.ImportTfStateJobOperationDetailsSummary = ImportTfStateJobOperationDetailsSummary.ImportTfStateJobOperationDetailsSummary;
const ObjectStorageConfigSource = __importStar(require("./object-storage-config-source"));
exports.ObjectStorageConfigSource = ObjectStorageConfigSource.ObjectStorageConfigSource;
const ObjectStorageConfigSourceRecord = __importStar(require("./object-storage-config-source-record"));
exports.ObjectStorageConfigSourceRecord = ObjectStorageConfigSourceRecord.ObjectStorageConfigSourceRecord;
const PlanJobOperationDetails = __importStar(require("./plan-job-operation-details"));
exports.PlanJobOperationDetails = PlanJobOperationDetails.PlanJobOperationDetails;
const PlanJobOperationDetailsSummary = __importStar(require("./plan-job-operation-details-summary"));
exports.PlanJobOperationDetailsSummary = PlanJobOperationDetailsSummary.PlanJobOperationDetailsSummary;
const PlanRollbackJobOperationDetails = __importStar(require("./plan-rollback-job-operation-details"));
exports.PlanRollbackJobOperationDetails = PlanRollbackJobOperationDetails.PlanRollbackJobOperationDetails;
const PlanRollbackJobOperationDetailsSummary = __importStar(require("./plan-rollback-job-operation-details-summary"));
exports.PlanRollbackJobOperationDetailsSummary = PlanRollbackJobOperationDetailsSummary.PlanRollbackJobOperationDetailsSummary;
const TemplateZipUploadConfigSource = __importStar(require("./template-zip-upload-config-source"));
exports.TemplateZipUploadConfigSource = TemplateZipUploadConfigSource.TemplateZipUploadConfigSource;
const UpdateBitbucketCloudConfigSourceDetails = __importStar(require("./update-bitbucket-cloud-config-source-details"));
exports.UpdateBitbucketCloudConfigSourceDetails = UpdateBitbucketCloudConfigSourceDetails.UpdateBitbucketCloudConfigSourceDetails;
const UpdateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails = __importStar(require("./update-bitbucket-cloud-username-app-password-configuration-source-provider-details"));
exports.UpdateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails = UpdateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails.UpdateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails;
const UpdateBitbucketServerAccessTokenConfigurationSourceProviderDetails = __importStar(require("./update-bitbucket-server-access-token-configuration-source-provider-details"));
exports.UpdateBitbucketServerAccessTokenConfigurationSourceProviderDetails = UpdateBitbucketServerAccessTokenConfigurationSourceProviderDetails.UpdateBitbucketServerAccessTokenConfigurationSourceProviderDetails;
const UpdateBitbucketServerConfigSourceDetails = __importStar(require("./update-bitbucket-server-config-source-details"));
exports.UpdateBitbucketServerConfigSourceDetails = UpdateBitbucketServerConfigSourceDetails.UpdateBitbucketServerConfigSourceDetails;
const UpdateDevOpsConfigSourceDetails = __importStar(require("./update-dev-ops-config-source-details"));
exports.UpdateDevOpsConfigSourceDetails = UpdateDevOpsConfigSourceDetails.UpdateDevOpsConfigSourceDetails;
const UpdateGitConfigSourceDetails = __importStar(require("./update-git-config-source-details"));
exports.UpdateGitConfigSourceDetails = UpdateGitConfigSourceDetails.UpdateGitConfigSourceDetails;
const UpdateGithubAccessTokenConfigurationSourceProviderDetails = __importStar(require("./update-github-access-token-configuration-source-provider-details"));
exports.UpdateGithubAccessTokenConfigurationSourceProviderDetails = UpdateGithubAccessTokenConfigurationSourceProviderDetails.UpdateGithubAccessTokenConfigurationSourceProviderDetails;
const UpdateGitlabAccessTokenConfigurationSourceProviderDetails = __importStar(require("./update-gitlab-access-token-configuration-source-provider-details"));
exports.UpdateGitlabAccessTokenConfigurationSourceProviderDetails = UpdateGitlabAccessTokenConfigurationSourceProviderDetails.UpdateGitlabAccessTokenConfigurationSourceProviderDetails;
const UpdateObjectStorageConfigSourceDetails = __importStar(require("./update-object-storage-config-source-details"));
exports.UpdateObjectStorageConfigSourceDetails = UpdateObjectStorageConfigSourceDetails.UpdateObjectStorageConfigSourceDetails;
const UpdateTemplateZipUploadConfigSourceDetails = __importStar(require("./update-template-zip-upload-config-source-details"));
exports.UpdateTemplateZipUploadConfigSourceDetails = UpdateTemplateZipUploadConfigSourceDetails.UpdateTemplateZipUploadConfigSourceDetails;
const UpdateZipUploadConfigSourceDetails = __importStar(require("./update-zip-upload-config-source-details"));
exports.UpdateZipUploadConfigSourceDetails = UpdateZipUploadConfigSourceDetails.UpdateZipUploadConfigSourceDetails;
const ZipUploadConfigSource = __importStar(require("./zip-upload-config-source"));
exports.ZipUploadConfigSource = ZipUploadConfigSource.ZipUploadConfigSource;
const ZipUploadConfigSourceRecord = __importStar(require("./zip-upload-config-source-record"));
exports.ZipUploadConfigSourceRecord = ZipUploadConfigSourceRecord.ZipUploadConfigSourceRecord;
//# sourceMappingURL=index.js.map