/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The reachable, or alternative, IP address for a nonpublic IP address that is associated with the private endpoint.
 * Resource Manager uses this IP address to connect to nonpublic resources through the associated private endpoint.
 *
 */
export interface ReachableIp {
    /**
     * Reachable IP address associated with the private endpoint.
     *
     */
    "ipAddress": string;
}
export declare namespace ReachableIp {
    function getJsonObj(obj: ReachableIp): object;
    function getDeserializedJsonObj(obj: ReachableIp): object;
}
