/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A Terraform version supported for use with stacks.
 *
 */
export interface TerraformVersionSummary {
    /**
     * A supported Terraform version. Example: {@code 0.12.x}
     *
     */
    "name"?: string;
    /**
     * Indicates whether this Terraform version is used by default in {@link #createStack(CreateStackRequest) createStack}.
     */
    "isDefault"?: boolean;
}
export declare namespace TerraformVersionSummary {
    function getJsonObj(obj: TerraformVersionSummary): object;
    function getDeserializedJsonObj(obj: TerraformVersionSummary): object;
}
