"use strict";
/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateConfigurationSourceProviderDetails = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var UpdateConfigurationSourceProviderDetails;
(function (UpdateConfigurationSourceProviderDetails) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "privateServerConfigDetails": obj.privateServerConfigDetails
                ? model.PrivateServerConfigDetails.getJsonObj(obj.privateServerConfigDetails)
                : undefined
        });
        if (obj && "configSourceProviderType" in obj && obj.configSourceProviderType) {
            switch (obj.configSourceProviderType) {
                case "BITBUCKET_CLOUD_USERNAME_APPPASSWORD":
                    return model.UpdateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails.getJsonObj(jsonObj, true);
                case "BITBUCKET_SERVER_ACCESS_TOKEN":
                    return model.UpdateBitbucketServerAccessTokenConfigurationSourceProviderDetails.getJsonObj(jsonObj, true);
                case "GITLAB_ACCESS_TOKEN":
                    return model.UpdateGitlabAccessTokenConfigurationSourceProviderDetails.getJsonObj(jsonObj, true);
                case "GITHUB_ACCESS_TOKEN":
                    return model.UpdateGithubAccessTokenConfigurationSourceProviderDetails.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.configSourceProviderType}`);
            }
        }
        return jsonObj;
    }
    UpdateConfigurationSourceProviderDetails.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "privateServerConfigDetails": obj.privateServerConfigDetails
                ? model.PrivateServerConfigDetails.getDeserializedJsonObj(obj.privateServerConfigDetails)
                : undefined
        });
        if (obj && "configSourceProviderType" in obj && obj.configSourceProviderType) {
            switch (obj.configSourceProviderType) {
                case "BITBUCKET_CLOUD_USERNAME_APPPASSWORD":
                    return model.UpdateBitbucketCloudUsernameAppPasswordConfigurationSourceProviderDetails.getDeserializedJsonObj(jsonObj, true);
                case "BITBUCKET_SERVER_ACCESS_TOKEN":
                    return model.UpdateBitbucketServerAccessTokenConfigurationSourceProviderDetails.getDeserializedJsonObj(jsonObj, true);
                case "GITLAB_ACCESS_TOKEN":
                    return model.UpdateGitlabAccessTokenConfigurationSourceProviderDetails.getDeserializedJsonObj(jsonObj, true);
                case "GITHUB_ACCESS_TOKEN":
                    return model.UpdateGithubAccessTokenConfigurationSourceProviderDetails.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.configSourceProviderType}`);
            }
        }
        return jsonObj;
    }
    UpdateConfigurationSourceProviderDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(UpdateConfigurationSourceProviderDetails = exports.UpdateConfigurationSourceProviderDetails || (exports.UpdateConfigurationSourceProviderDetails = {}));
//# sourceMappingURL=update-configuration-source-provider-details.js.map