/**
 * Resource Manager API
 * Use the Resource Manager API to automate deployment and operations for all Oracle Cloud Infrastructure resources.
Using the infrastructure-as-code (IaC) model, the service is based on Terraform, an open source industry standard that lets DevOps engineers develop and deploy their infrastructure anywhere.
For more information, see
[the Resource Manager documentation](/iaas/Content/ResourceManager/home.htm).

 * OpenAPI spec version: 20180917
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Update  details for a stack.
 *
 */
export interface UpdateStackDetails {
    /**
     * The name of the stack.
     */
    "displayName"?: string;
    /**
     * Description of the stack.
     */
    "description"?: string;
    "configSource"?: model.UpdateBitbucketCloudConfigSourceDetails | model.UpdateBitbucketServerConfigSourceDetails | model.UpdateGitConfigSourceDetails | model.UpdateObjectStorageConfigSourceDetails | model.UpdateZipUploadConfigSourceDetails | model.UpdateDevOpsConfigSourceDetails;
    "customTerraformProvider"?: model.CustomTerraformProvider;
    /**
     * When {@code true}, changes the stack's sourcing of third-party Terraform providers to
     * [Terraform Registry](https://registry.terraform.io/browse/providers) and allows
     * {@link #customTerraformProvider(CustomTerraformProviderRequest) customTerraformProvider}.
     * Applies to older stacks.
     * Once set to {@code true}, cannot be reverted.
     * For more information about stack sourcing of third-party Terraform providers, see
     * [Third-party Provider Configuration](https://docs.cloud.oracle.com/iaas/Content/ResourceManager/Concepts/terraformconfigresourcemanager.htm#third-party-providers).
     *
     */
    "isThirdPartyProviderExperienceEnabled"?: boolean;
    /**
     * Terraform variables associated with this resource.
     * The maximum number of variables supported is 250.
     * The maximum size of each variable, including both name and value, is 8192 bytes.
     * Example: {@code {\"CompartmentId\": \"compartment-id-value\"}}
     *
     */
    "variables"?: {
        [key: string]: string;
    };
    /**
     * The version of Terraform to use with the stack. Example: {@code 0.12.x}
     *
     */
    "terraformVersion"?: string;
    /**
     * Free-form tags associated with this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace UpdateStackDetails {
    function getJsonObj(obj: UpdateStackDetails): object;
    function getDeserializedJsonObj(obj: UpdateStackDetails): object;
}
