/**
 * Resource Scheduler API
 * Use the Resource scheduler API to manage schedules, to perform actions on a collection of resources.
 * OpenAPI spec version: 20240430
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * This is the schedule resource entity.
 *
 */
export interface Resource {
    /**
     * This is the resource OCID.
     */
    "id": string;
    /**
      * This is additional information that helps to identity the resource for the schedule.
  * <p>
      {
  *       \"id\": \"<OCID_of_bucket>\"
  *       \"metadata\":
  *       {
  *         \"namespaceName\": \"sampleNamespace\",
  *         \"bucketName\": \"sampleBucket\"
  *       }
  *     }
  *
      */
    "metadata"?: {
        [key: string]: string;
    };
}
export declare namespace Resource {
    function getJsonObj(obj: Resource): object;
    function getDeserializedJsonObj(obj: Resource): object;
}
