/**
 * RoverCloudService API
 * A description of the RoverCloudService API.
 * OpenAPI spec version: 20201210
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the RoverNode.
 */
export interface RoverNodeSummary {
    /**
     * The OCID of the RoverNode.
     */
    "id": string;
    /**
     * The OCID of the compartment containing the RoverNode.
     */
    "compartmentId": string;
    /**
     * The cluster ID if the node is part of a cluster.
     */
    "clusterId"?: string;
    /**
     * Serial number of the node.
     */
    "serialNumber"?: string;
    /**
     * The type of node indicating if it belongs to a cluster
     */
    "nodeType"?: model.NodeType;
    /**
     * The shape of the node.
     */
    "shape"?: string;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable. Avoid entering confidential information.
     */
    "displayName"?: string;
    /**
     * The time the the RoverNode was created. An RFC3339 formatted datetime string
     */
    "timeCreated"?: Date;
    /**
     * The current state of the RoverNode.
     */
    "lifecycleState": model.LifecycleState;
    /**
     * A property that can contain details on the lifecycle.
     */
    "lifecycleStateDetails"?: string;
    /**
     * The freeform tags associated with this resource, if any. Each tag is a simple key-value pair with no
     * predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * The defined tags associated with this resource, if any. Each key is predefined and scoped to namespaces.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * The system tags associated with this resource, if any. The system tags are set by Oracle cloud infrastructure services. Each key is predefined and scoped to namespaces.
     * For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {orcl-cloud: {free-tier-retain: true}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace RoverNodeSummary {
    function getJsonObj(obj: RoverNodeSummary): object;
    function getDeserializedJsonObj(obj: RoverNodeSummary): object;
}
