/**
 *
 *
 * OpenAPI spec version: 20201210
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/rover/ListWorkRequests.ts.html |here} to see how to use ListWorkRequestsRequest.
 */
export interface ListWorkRequestsRequest extends common.BaseRequest {
    /**
     * The OCID of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * <b>Filter</b> results by the type of the operation associated with the work request.
     */
    "operationType"?: model.WorkRequestOperationType;
    /**
     * <b>Filter</b> results by work request status.
     */
    "status"?: model.WorkRequestOperationStatus;
    /**
     * Filter work requests by the resource ocid.
     */
    "resourceId"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The sort order to use, either 'asc' or 'desc'.
     */
    "sortOrder"?: model.SortOrders;
    /**
     * Specifies the field to sort by. Accepts only one field. By default, when you sort by time fields, the results are shown in descending order. All other fields default to ascending order.
     *
     */
    "sortBy"?: ListWorkRequestsRequest.SortBy;
}
export declare namespace ListWorkRequestsRequest {
    enum SortBy {
        OperationType = "operationType",
        Status = "status",
        TimeAccepted = "timeAccepted"
    }
}
