/**
 * Connector Hub API
 * Use the Connector Hub API to transfer data between services in Oracle Cloud Infrastructure.
For more information about Connector Hub, see
[the Connector Hub documentation](/iaas/Content/connector-hub/home.htm).
Connector Hub is formerly known as Service Connector Hub.

 * OpenAPI spec version: 20200909
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A service source or service target used to create a connector.
 * Example connector plugins include the Queue source and the Notifications target.
 * For more information about flows defined by connectors, see
 * [Overview of Connector Hub](https://docs.cloud.oracle.com/iaas/Content/connector-hub/overview.htm).
 * For configuration instructions, see
 * [Creating a Connector](https://docs.cloud.oracle.com/iaas/Content/connector-hub/create-service-connector.htm).
 *
 */
export interface ConnectorPlugin {
    /**
     * The service to be called by the connector plugin.
     * Example: {@code QueueSource}
     *
     */
    "name": string;
    /**
     * The date and time when this plugin became available.
     * Format is defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     * Example: {@code 2023-09-09T21:10:29.600Z}
     *
     */
    "timeCreated": Date;
    /**
     * The estimated throughput range (LOW, MEDIUM, HIGH).
     *
     */
    "estimatedThroughput"?: model.EstimatedThroughput;
    /**
     * The current state of the service connector.
     *
     */
    "lifecycleState": model.ConnectorPluginLifecycleState;
    /**
     * A user-friendly name. It does not have to be unique, and it is changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName": string;
    /**
     * Gets the specified connector plugin configuration information in OpenAPI specification format.
     *
     */
    "schema"?: string;
    "kind": string;
}
export declare namespace ConnectorPlugin {
    function getJsonObj(obj: ConnectorPlugin): object;
    function getDeserializedJsonObj(obj: ConnectorPlugin): object;
}
