/**
 * Connector Hub API
 * Use the Connector Hub API to transfer data between services in Oracle Cloud Infrastructure.
For more information about Connector Hub, see
[the Connector Hub documentation](/iaas/Content/connector-hub/home.htm).
Connector Hub is formerly known as Service Connector Hub.

 * OpenAPI spec version: 20200909
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A dimension name and value.
 *
 */
export interface DimensionDetails {
    /**
     * Dimension key. A valid dimension key includes only printable ASCII, excluding periods (.) and spaces.
     * Custom dimension keys are acceptable. Avoid entering confidential information.
     * Due to use by Connector Hub, the following dimension names are reserved: {@code connectorId}, {@code connectorName}, {@code connectorSourceType}.
     * For information on valid dimension keys and values, see {@link #metricDataDetails(MetricDataDetailsRequest) metricDataDetails}.
     * Example: {@code type}
     *
     */
    "name": string;
    "dimensionValue": model.StaticDimensionValue | model.JmesPathDimensionValue;
}
export declare namespace DimensionDetails {
    function getJsonObj(obj: DimensionDetails): object;
    function getDeserializedJsonObj(obj: DimensionDetails): object;
}
