/**
 * Connector Hub API
 * Use the Connector Hub API to transfer data between services in Oracle Cloud Infrastructure.
For more information about Connector Hub, see
[the Connector Hub documentation](/iaas/Content/connector-hub/home.htm).
Connector Hub is formerly known as Service Connector Hub.

 * OpenAPI spec version: 20200909
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details about a connector plugin used to fetch data from a source.
 * For configuration instructions, see
 * [Creating a Connector](https://docs.cloud.oracle.com/iaas/Content/connector-hub/create-service-connector.htm).
 *
 */
export interface PluginSourceDetails extends model.SourceDetails {
    /**
     * The name of the connector plugin. This name indicates the service to be called by the connector plugin. For example, {@code QueueSource} indicates the Queue service.
     * To find names of connector plugins, list the plugin using (ListConnectorPlugin)[#/en/serviceconnectors/latest/ConnectorPluginSummary/ListConnectorPlugins].
     *
     */
    "pluginName": string;
    /**
     * The configuration map for the connector plugin. This map includes parameters specific to the connector plugin type.
     * For example, for {@code QueueSource}, the map lists the OCID of the selected queue.
     * To find the parameters for a connector plugin, get the plugin using (GetConnectorPlugin)[#/en/serviceconnectors/latest/ConnectorPlugin/GetConnectorPlugin] and review its schema value.
     *
     */
    "configMap": any;
    "kind": string;
}
export declare namespace PluginSourceDetails {
    function getJsonObj(obj: PluginSourceDetails, isParentJsonObj?: boolean): object;
    const kind = "plugin";
    function getDeserializedJsonObj(obj: PluginSourceDetails, isParentJsonObj?: boolean): object;
}
