/**
 * Connector Hub API
 * Use the Connector Hub API to transfer data between services in Oracle Cloud Infrastructure.
For more information about Connector Hub, see
[the Connector Hub documentation](/iaas/Content/connector-hub/home.htm).
Connector Hub is formerly known as Service Connector Hub.

 * OpenAPI spec version: 20200909
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The Streaming source.
 * For configuration instructions, see
 * [Creating a Connector with a Streaming Source](https://docs.cloud.oracle.com/iaas/Content/connector-hub/create-service-connector-streaming-source.htm).
 *
 */
export interface StreamingSourceDetails extends model.SourceDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the stream.
     *
     */
    "streamId": string;
    "cursor"?: model.TrimHorizonStreamingCursor | model.LatestStreamingCursor;
    "kind": string;
}
export declare namespace StreamingSourceDetails {
    function getJsonObj(obj: StreamingSourceDetails, isParentJsonObj?: boolean): object;
    const kind = "streaming";
    function getDeserializedJsonObj(obj: StreamingSourceDetails, isParentJsonObj?: boolean): object;
}
