"use strict";
/**
 * Vault Secret Retrieval API
 * Use the Secret Retrieval API to retrieve secrets and secret versions from vaults. For more information, see [Managing Secrets](/Content/KeyManagement/Tasks/managingsecrets.htm).
 * OpenAPI spec version: 20190301
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretBundle = void 0;
const model = __importStar(require("../model"));
var SecretBundle;
(function (SecretBundle) {
    let Stages;
    (function (Stages) {
        Stages["Current"] = "CURRENT";
        Stages["Pending"] = "PENDING";
        Stages["Latest"] = "LATEST";
        Stages["Previous"] = "PREVIOUS";
        Stages["Deprecated"] = "DEPRECATED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        Stages["UnknownValue"] = "UNKNOWN_VALUE";
    })(Stages = SecretBundle.Stages || (SecretBundle.Stages = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "secretBundleContent": obj.secretBundleContent
                ? model.SecretBundleContentDetails.getJsonObj(obj.secretBundleContent)
                : undefined
        });
        return jsonObj;
    }
    SecretBundle.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "secretBundleContent": obj.secretBundleContent
                ? model.SecretBundleContentDetails.getDeserializedJsonObj(obj.secretBundleContent)
                : undefined
        });
        return jsonObj;
    }
    SecretBundle.getDeserializedJsonObj = getDeserializedJsonObj;
})(SecretBundle = exports.SecretBundle || (exports.SecretBundle = {}));
//# sourceMappingURL=secret-bundle.js.map