/**
 * Service Catalog API
 * Manage solutions in Oracle Cloud Infrastructure Service Catalog.
 * OpenAPI spec version: 20210527
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The model for summary of an application in service catalog.
 */
export interface ApplicationSummary {
    /**
     * Identifier of the application from a service catalog.
     */
    "entityId": string;
    /**
     * The type of an application in the service catalog.
     */
    "entityType": string;
    /**
     * The name that service catalog should use to display this application.
     */
    "displayName": string;
    /**
     * Indicates whether the application is featured.
     */
    "isFeatured"?: boolean;
    "publisher"?: model.PublisherSummary;
    /**
     * A short description of the application.
     */
    "shortDescription"?: string;
    "logo"?: model.UploadData;
    /**
     * Summary of the pricing types available across all packages in the application.
     */
    "pricingType"?: model.PricingTypeEnum;
    /**
     * The type of the packages withing the application.
     */
    "packageType"?: model.PackageTypeEnum;
}
export declare namespace ApplicationSummary {
    function getJsonObj(obj: ApplicationSummary): object;
    function getDeserializedJsonObj(obj: ApplicationSummary): object;
}
