/**
 * Service Catalog API
 * Manage solutions in Oracle Cloud Infrastructure Service Catalog.
 * OpenAPI spec version: 20210527
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The model for a summary of a service catalog association.
 */
export interface ServiceCatalogAssociationSummary {
    /**
     * The unique identifier of the service catalog association.
     */
    "id": string;
    /**
     * The unique identifier of the service catalog.
     */
    "serviceCatalogId": string;
    /**
     * The unique identifier of the resource being associated to service catalog.
     */
    "entityId": string;
    /**
     * The type of the entity that is associated with the service catalog.
     */
    "entityType"?: string;
    /**
     * Timestamp of when the resource was associated with service catalog.
     */
    "timeCreated": Date;
}
export declare namespace ServiceCatalogAssociationSummary {
    function getJsonObj(obj: ServiceCatalogAssociationSummary): object;
    function getDeserializedJsonObj(obj: ServiceCatalogAssociationSummary): object;
}
