/**
 * Service Catalog API
 * Manage solutions in Oracle Cloud Infrastructure Service Catalog.
 * OpenAPI spec version: 20210527
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The model for the parameters needed to update a private application.
 */
export interface UpdatePrivateApplicationDetails {
    /**
     * The name of the private application.
     */
    "displayName"?: string;
    /**
     * A short description of the private application.
     */
    "shortDescription"?: string;
    /**
     * A long description of the private application.
     */
    "longDescription"?: string;
    /**
     * Base64-encoded logo to use as the private application icon.
     * Template icon file requirements: PNG format, 50 KB maximum, 130 x 130 pixels.
     *
     */
    "logoFileBase64Encoded"?: string;
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
}
export declare namespace UpdatePrivateApplicationDetails {
    function getJsonObj(obj: UpdatePrivateApplicationDetails): object;
    function getDeserializedJsonObj(obj: UpdatePrivateApplicationDetails): object;
}
