/**
 *
 *
 * OpenAPI spec version: 20210527
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/servicecatalog/ListPrivateApplications.ts.html |here} to see how to use ListPrivateApplicationsRequest.
 */
export interface ListPrivateApplicationsRequest extends common.BaseRequest {
    /**
     * The unique identifier for the compartment.
     */
    "compartmentId": string;
    /**
     * The unique identifier for the private application.
     */
    "privateApplicationId"?: string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request,
     * please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * How many records to return. Specify a value greater than zero and less than or equal to 1000. The default is 30.
     *
     */
    "limit"?: number;
    /**
     * The value of the {@code opc-next-page} response header from the previous \"List\" call.
     */
    "page"?: string;
    /**
     * The field to use to sort listed results. You can only specify one field to sort by.
     * Default is {@code TIMECREATED}.
     *
     */
    "sortBy"?: ListPrivateApplicationsRequest.SortBy;
    /**
     * The sort order to apply, either {@code ASC} or {@code DESC}. Default is {@code ASC}.
     */
    "sortOrder"?: ListPrivateApplicationsRequest.SortOrder;
    /**
     * Exact match name filter.
     */
    "displayName"?: string;
}
export declare namespace ListPrivateApplicationsRequest {
    enum SortBy {
        Timecreated = "TIMECREATED",
        Lifecyclestate = "LIFECYCLESTATE"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
