/**
 * Service Catalog API
 * Manage solutions in Oracle Cloud Infrastructure Service Catalog.
 * OpenAPI spec version: 20210527
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { ServiceCatalogClient } from "./client";
export declare class ServiceCatalogWaiter {
    private client;
    private readonly config?;
    constructor(client: ServiceCatalogClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forPrivateApplication till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetPrivateApplicationResponse | null (null in case of 404 response)
     */
    forPrivateApplication(request: serviceRequests.GetPrivateApplicationRequest, ...targetStates: models.PrivateApplication.LifecycleState[]): Promise<serviceResponses.GetPrivateApplicationResponse | null>;
    /**
     * Waits forServiceCatalog till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetServiceCatalogResponse | null (null in case of 404 response)
     */
    forServiceCatalog(request: serviceRequests.GetServiceCatalogRequest, ...targetStates: models.ServiceCatalog.LifecycleState[]): Promise<serviceResponses.GetServiceCatalogResponse | null>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
