/**
 * Service Manager Proxy API
 * Use the Service Manager Proxy API to obtain information about SaaS environments provisioned by Service Manager.
You can get information such as service types and service environment URLs.

 * OpenAPI spec version: 20210914
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for a service definition.
 *
 */
export interface ServiceDefinition {
    /**
     * The service definition type. For example, a service definition type \"RGBUOROMS\"
     * would be for the service \"Oracle Retail Order Management Cloud Service\".
     *
     */
    "type": string;
    /**
     * Display name of the service. For example, \"Oracle Retail Order Management Cloud Service\".
     *
     */
    "displayName": string;
    /**
     * Short display name of the service. For example, \"Retail Order Management\".
     *
     */
    "shortDisplayName": string;
}
export declare namespace ServiceDefinition {
    function getJsonObj(obj: ServiceDefinition): object;
    function getDeserializedJsonObj(obj: ServiceDefinition): object;
}
