/**
 *
 *
 * OpenAPI spec version: 20210914
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/servicemanagerproxy/ListServiceEnvironments.ts.html |here} to see how to use ListServiceEnvironmentsRequest.
 */
export interface ListServiceEnvironmentsRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) for the compartment.
     */
    "compartmentId": string;
    /**
     * The unique identifier associated with the service environment.
     * <p>
     **Note:** Not an [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "serviceEnvironmentId"?: string;
    /**
     * The environment's service definition type.
     * For example, \"RGBUOROMS\" is the service definition type for \"Oracle Retail Order Management Cloud Service\".
     *
     */
    "serviceEnvironmentType"?: string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request,
     * please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * How many records to return. Specify a value greater than zero and less than or equal to 1000. The default is 30.
     *
     */
    "limit"?: number;
    /**
     * The value of the {@code opc-next-page} response header from the previous \"List\" call.
     */
    "page"?: string;
    /**
     * The field to sort by. Only one sort order may be provided. ID is default ordered as ascending.
     *
     */
    "sortBy"?: ListServiceEnvironmentsRequest.SortBy;
    /**
     * The sort order to use, either {@code ASC} or {@code DESC}.
     */
    "sortOrder"?: ListServiceEnvironmentsRequest.SortOrder;
    /**
     * The display name of the resource.
     */
    "displayName"?: string;
}
export declare namespace ListServiceEnvironmentsRequest {
    enum SortBy {
        Id = "ID"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
