/**
 * Service Mesh API
 * Use the Service Mesh API to manage mesh, virtual service, access policy and other mesh related items.
 * OpenAPI spec version: 20220615
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Access policy rule.
 */
export interface AccessPolicyRule {
    /**
     * Action for the traffic between the source and the destination.
     */
    "action": AccessPolicyRule.Action;
    "source": model.VirtualServiceAccessPolicyTarget | model.AllVirtualServicesAccessPolicyTarget | model.ExternalServiceAccessPolicyTarget | model.IngressGatewayAccessPolicyTarget;
    "destination": model.VirtualServiceAccessPolicyTarget | model.AllVirtualServicesAccessPolicyTarget | model.ExternalServiceAccessPolicyTarget | model.IngressGatewayAccessPolicyTarget;
}
export declare namespace AccessPolicyRule {
    enum Action {
        Allow = "ALLOW",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AccessPolicyRule): object;
    function getDeserializedJsonObj(obj: AccessPolicyRule): object;
}
