/**
 * Service Mesh API
 * Use the Service Mesh API to manage mesh, virtual service, access policy and other mesh related items.
 * OpenAPI spec version: 20220615
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The ingress gateway host to which the route rule attaches. If not specified, the route rule gets attached to all hosts on the ingress gateway.
 *
 */
export interface IngressGatewayHostRef {
    /**
     * Name of the ingress gateway host that this route should apply to.
     *
     */
    "name": string;
    /**
     * The port of the ingress gateway host listener. Leave empty to match all ports for the host.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port"?: number;
}
export declare namespace IngressGatewayHostRef {
    function getJsonObj(obj: IngressGatewayHostRef): object;
    function getDeserializedJsonObj(obj: IngressGatewayHostRef): object;
}
