/**
 * Service Mesh API
 * Use the Service Mesh API to manage mesh, virtual service, access policy and other mesh related items.
 * OpenAPI spec version: 20220615
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Host for the ingress listener.
 */
export interface IngressGatewayHost {
    /**
      * A user-friendly name for the host. The name must be unique within the same ingress gateway.
  * This name can be used in the ingress gateway route table resource to attach a route to this host.
  * <p>
  Example: {@code MyExampleHost}
  *
      */
    "name": string;
    /**
     * Hostnames of the host. Applicable only for HTTP and TLS_PASSTHROUGH listeners.
     * Wildcard hostnames are supported in the prefix form.
     * Examples of valid hostnames are \"www.example.com\", \"*.example.com\", \"*.com\".
     *
     */
    "hostnames"?: Array<string>;
    /**
     * The listeners for the ingress gateway.
     */
    "listeners": Array<model.IngressGatewayListener>;
}
export declare namespace IngressGatewayHost {
    function getJsonObj(obj: IngressGatewayHost): object;
    function getDeserializedJsonObj(obj: IngressGatewayHost): object;
}
