/**
 * Service Mesh API
 * Use the Service Mesh API to manage mesh, virtual service, access policy and other mesh related items.
 * OpenAPI spec version: 20220615
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Mutual TLS settings used when sending requests to virtual services within the mesh.
 *
 */
export interface IngressGatewayMutualTransportLayerSecurity {
    /**
     * The OCID of the certificate resource that will be used for mTLS authentication with other virtual services in the mesh.
     *
     */
    "certificateId": string;
    /**
     * The number of days the mTLS certificate is valid.  This value should be less than the Maximum Validity Duration
     * for Certificates (Days) setting on the Certificate Authority associated with this Mesh.  The certificate will
     * be automatically renewed after 2/3 of the validity period, so a certificate with a maximum validity of 45 days
     * will be renewed every 30 days.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maximumValidity"?: number;
}
export declare namespace IngressGatewayMutualTransportLayerSecurity {
    function getJsonObj(obj: IngressGatewayMutualTransportLayerSecurity): object;
    function getDeserializedJsonObj(obj: IngressGatewayMutualTransportLayerSecurity): object;
}
