/**
 * Service Mesh API
 * Use the Service Mesh API to manage mesh, virtual service, access policy and other mesh related items.
 * OpenAPI spec version: 20220615
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * TLS certificate from the filesystem.
 */
export interface LocalFileTlsCertificate extends model.TlsCertificate {
    /**
     * Name of the secret.
     * For Kubernetes this is the name of the Kubernetes secret of type tls.
     * For other platforms the secrets must be mounted at: /etc/oci/secrets/${secretName}/tls.{key,crt}
     *
     */
    "secretName"?: string;
    "type": string;
}
export declare namespace LocalFileTlsCertificate {
    function getJsonObj(obj: LocalFileTlsCertificate, isParentJsonObj?: boolean): object;
    const type = "LOCAL_FILE";
    function getDeserializedJsonObj(obj: LocalFileTlsCertificate, isParentJsonObj?: boolean): object;
}
