/**
 * Service Mesh API
 * Use the Service Mesh API to manage mesh, virtual service, access policy and other mesh related items.
 * OpenAPI spec version: 20220615
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Sets a minimum level of mTLS authentication for all virtual services within the mesh.
 */
export interface MeshMutualTransportLayerSecurity {
    /**
     * DISABLED: No minimum virtual services within this mesh can use any mTLS authentication mode.
     * PERMISSIVE: Virtual services within this mesh can use either PERMISSIVE or STRICT modes.
     * STRICT: All virtual services within this mesh must use STRICT mode.
     *
     */
    "minimum": string;
}
export declare namespace MeshMutualTransportLayerSecurity {
    function getJsonObj(obj: MeshMutualTransportLayerSecurity): object;
    function getDeserializedJsonObj(obj: MeshMutualTransportLayerSecurity): object;
}
