/**
 * Service Mesh API
 * Use the Service Mesh API to manage mesh, virtual service, access policy and other mesh related items.
 * OpenAPI spec version: 20220615
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Listener configuration for a virtual deployment.
 */
export interface VirtualDeploymentListener {
    /**
     * Type of protocol used in virtual deployment.
     */
    "protocol": VirtualDeploymentListener.Protocol;
    /**
     * Port in which virtual deployment is running. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port": number;
    /**
     * The maximum duration in milliseconds for the deployed service to respond to an incoming request through the listener.
     * If provided, the timeout value overrides the default timeout of 15 seconds for the HTTP/HTTP2 listeners, and disabled (no timeout) for the GRPC listeners. The value 0 (zero) indicates that the timeout is disabled.
     * The timeout cannot be configured for the TCP and TLS_PASSTHROUGH listeners.
     * For streaming responses from the deployed service, consider either keeping the timeout disabled or set a sufficiently high value.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "requestTimeoutInMs"?: number;
    /**
     * The maximum duration in milliseconds for which the request's stream may be idle. The value 0 (zero) indicates that the timeout is disabled. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "idleTimeoutInMs"?: number;
}
export declare namespace VirtualDeploymentListener {
    enum Protocol {
        Http = "HTTP",
        TlsPassthrough = "TLS_PASSTHROUGH",
        Tcp = "TCP",
        Http2 = "HTTP2",
        Grpc = "GRPC",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: VirtualDeploymentListener): object;
    function getDeserializedJsonObj(obj: VirtualDeploymentListener): object;
}
