/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A configuration of the AUTO_PROMOTE type, consists of a resource type and a boolean value
 * that determines if this resource needs to be automatically promoted/discovered.
 * For example, when a Management Agent registration event occurs and if isEnabled is TRUE for
 * a HOST resource type, a HOST resource will be automatically discovered using that Management Agent.
 *
 */
export interface AutoPromoteConfigDetails extends model.Config {
    /**
     * The type of resource to configure for automatic promotion.
     */
    "resourceType": AutoPromoteConfigDetails.ResourceType;
    /**
     * True if automatic promotion is enabled, false if it is not enabled.
     */
    "isEnabled": boolean;
    "configType": string;
}
export declare namespace AutoPromoteConfigDetails {
    enum ResourceType {
        Host = "HOST",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AutoPromoteConfigDetails, isParentJsonObj?: boolean): object;
    const configType = "AUTO_PROMOTE";
    function getDeserializedJsonObj(obj: AutoPromoteConfigDetails, isParentJsonObj?: boolean): object;
}
