/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Connection details for the database.
 *
 */
export interface ConnectionDetails {
    /**
     * Protocol used in DB connection string when connecting to external database service.
     */
    "protocol": ConnectionDetails.Protocol;
    /**
     * Listener Port number used for connection requests. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port": number;
    /**
     * Database connector Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "connectorId"?: string;
    /**
     * Service name used for connection requests.
     */
    "serviceName": string;
    /**
     * UniqueName used for database connection requests.
     */
    "dbUniqueName"?: string;
    /**
     * dbId of the database.
     *
     */
    "dbId"?: string;
    /**
     * SSL Secret Identifier for TCPS connector in OCI Vault[OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "sslSecretId"?: string;
}
export declare namespace ConnectionDetails {
    enum Protocol {
        Tcp = "TCP",
        Tcps = "TCPS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ConnectionDetails): object;
    function getDeserializedJsonObj(obj: ConnectionDetails): object;
}
