/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The request of DiscoveryJob Resource details.
 */
export interface DiscoveryDetails {
    /**
     * The OCID of Management Agent
     */
    "agentId": string;
    /**
     * Resource Type.
     */
    "resourceType": DiscoveryDetails.ResourceType;
    /**
     * The Name of resource type
     */
    "resourceName": string;
    /**
     * License edition of the monitored resource.
     */
    "license"?: model.LicenseType;
    "properties": model.PropertyDetails;
    "credentials"?: model.CredentialCollection;
    "tags"?: model.PropertyDetails;
}
export declare namespace DiscoveryDetails {
    enum ResourceType {
        WeblogicDomain = "WEBLOGIC_DOMAIN",
        EbsInstance = "EBS_INSTANCE",
        SqlServer = "SQL_SERVER",
        ApacheTomcat = "APACHE_TOMCAT",
        OracleDatabase = "ORACLE_DATABASE",
        OciOracleDb = "OCI_ORACLE_DB",
        OciOracleCdb = "OCI_ORACLE_CDB",
        OciOraclePdb = "OCI_ORACLE_PDB",
        Host = "HOST",
        OraclePsft = "ORACLE_PSFT",
        OracleMft = "ORACLE_MFT",
        ApacheHttpServer = "APACHE_HTTP_SERVER",
        OracleGoldengate = "ORACLE_GOLDENGATE",
        CustomResource = "CUSTOM_RESOURCE",
        OracleHttpServer = "ORACLE_HTTP_SERVER",
        MicrosoftIis = "MICROSOFT_IIS",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DiscoveryDetails): object;
    function getDeserializedJsonObj(obj: DiscoveryDetails): object;
}
