/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Query Properties applicable to JMX type of collection method
 */
export interface JmxUpdateQueryProperties extends model.MetricExtensionUpdateQueryProperties {
    /**
     * JMX Managed Bean Query or Metric Service Table name
     */
    "managedBeanQuery"?: string;
    /**
     * List of JMX attributes or Metric Service Table columns separated by semi-colon
     */
    "jmxAttributes"?: string;
    /**
     * Semi-colon separated list of key properties from Managed Bean ObjectName to be used as key metrics
     */
    "identityMetric"?: string;
    /**
     * Prefix for an auto generated metric, in case multiple rows with non unique key values are returned
     */
    "autoRowPrefix"?: string;
    /**
     * Indicates if Metric Service is enabled on server domain
     */
    "isMetricServiceEnabled"?: boolean;
    "collectionMethod": string;
}
export declare namespace JmxUpdateQueryProperties {
    function getJsonObj(obj: JmxUpdateQueryProperties, isParentJsonObj?: boolean): object;
    const collectionMethod = "JMX";
    function getDeserializedJsonObj(obj: JmxUpdateQueryProperties, isParentJsonObj?: boolean): object;
}
