/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Detailed information of the Metric Extension resource
 */
export interface MetricExtension {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of Metric Extension resource
     */
    "id": string;
    /**
     * Metric Extension resource name
     */
    "name": string;
    /**
     * Metric Extension resource display name
     */
    "displayName": string;
    /**
     * Description of the metric extension.
     */
    "description"?: string;
    /**
     * Resource type to which Metric Extension applies
     */
    "resourceType": string;
    /**
     * Compartment Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)
     */
    "compartmentId": string;
    /**
     * Tenant Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)
     */
    "tenantId": string;
    /**
     * Collection Method  Metric Extension applies
     */
    "collectionMethod": string;
    /**
     * The current status of the metric extension i.e. whether it is Draft or Published
     */
    "status": model.MetricExtensionLifeCycleDetails;
    /**
     * The current lifecycle state of the metric extension
     */
    "lifecycleState"?: model.MetricExtensionLifeCycleStates;
    /**
     * Created by user
     */
    "createdBy"?: string;
    /**
     * Last updated by user
     */
    "lastUpdatedBy"?: string;
    /**
     * Metric Extension creation time. An RFC3339 formatted datetime string.
     */
    "timeCreated"?: Date;
    /**
     * Metric Extension update time. An RFC3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
    /**
     * Schedule of metric extension should use RFC 5545 format -> recur-rule-part = \"FREQ\";\"INTERVAL\" where FREQ rule part identifies the type of recurrence rule. Valid values are \"MINUTELY\",\"HOURLY\",\"DAILY\" to specify repeating events based on an interval of a minute, an hour and a day or more. Example- FREQ=DAILY;INTERVAL=1
     */
    "collectionRecurrences": string;
    /**
     * List of metrics which are part of this metric extension
     */
    "metricList": Array<model.Metric>;
    "queryProperties": model.OsCommandQueryProperties | model.SqlQueryProperties | model.JmxQueryProperties;
    /**
     * List of resource objects on which this metric extension is enabled.
     */
    "enabledOnResources"?: Array<model.EnabledResourceDetails>;
    /**
     * Count of resources on which this metric extension is enabled. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "enabledOnResourcesCount"?: number;
    /**
     * The URI path that the user can do a GET on to access the metric extension metadata
     */
    "resourceUri"?: string;
}
export declare namespace MetricExtension {
    function getJsonObj(obj: MetricExtension): object;
    function getDeserializedJsonObj(obj: MetricExtension): object;
}
