/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Monitored resource member details.
 *
 */
export interface MonitoredResourceMemberSummary {
    /**
     * Monitored resource identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "resourceId"?: string;
    /**
     * Monitored Resource Name.
     *
     */
    "resourceName"?: string;
    /**
     * Monitored resource display name.
     */
    "resourceDisplayName"?: string;
    /**
     * Monitored Resource Type.
     *
     */
    "resourceType"?: string;
    /**
     * Monitored Resource Host Name.
     *
     */
    "hostName"?: string;
    /**
     * External resource is any OCI resource identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm)
     * which is not a Stack Monitoring service resource.
     * Currently supports only following resource types - Container database, non-container database,
     * pluggable database and OCI compute instance.
     *
     */
    "externalId"?: string;
    /**
     * Compartment Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     */
    "compartmentId"?: string;
    /**
     * Parent monitored resource identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "parentId"?: string;
    /**
     * The current state of the Resource.
     */
    "lifecycleState"?: model.ResourceLifecycleState;
    /**
     * License edition of the monitored resource.
     */
    "license"?: model.LicenseType;
    /**
     * Source type to indicate if the resource is stack monitoring discovered, OCI native resource, etc.
     *
     */
    "sourceType"?: model.SourceType;
    /**
     * Resource Category to indicate the kind of resource type.
     *
     */
    "resourceCategory"?: model.ResourceCategory;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace MonitoredResourceMemberSummary {
    function getJsonObj(obj: MonitoredResourceMemberSummary): object;
    function getDeserializedJsonObj(obj: MonitoredResourceMemberSummary): object;
}
