/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Query Properties applicable to OS_COMMAND type of collection method
 */
export interface OsCommandQueryProperties extends model.MetricExtensionQueryProperties {
    /**
     * OS command to execute without arguments
     */
    "command": string;
    /**
     * Character used to delimit multiple metric values in single line of output
     */
    "delimiter": string;
    "scriptDetails"?: model.ScriptFileDetails;
    /**
     * Arguments required by either command or script
     */
    "arguments"?: string;
    /**
     * String prefix used to identify metric output of the OS Command
     */
    "startsWith"?: string;
    "collectionMethod": string;
}
export declare namespace OsCommandQueryProperties {
    function getJsonObj(obj: OsCommandQueryProperties, isParentJsonObj?: boolean): object;
    const collectionMethod = "OS_COMMAND";
    function getDeserializedJsonObj(obj: OsCommandQueryProperties, isParentJsonObj?: boolean): object;
}
