/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information required to search monitored resource associations.
 */
export interface SearchMonitoredResourceAssociationsDetails {
    /**
     * Compartment Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "compartmentId": string;
    /**
     * Source Monitored Resource Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "sourceResourceId"?: string;
    /**
     * Source Monitored Resource Name.
     *
     */
    "sourceResourceName"?: string;
    /**
     * Source Monitored Resource Type.
     *
     */
    "sourceResourceType"?: string;
    /**
     * Destination Monitored Resource Identifier [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm).
     *
     */
    "destinationResourceId"?: string;
    /**
     * Source Monitored Resource Name.
     *
     */
    "destinationResourceName"?: string;
    /**
     * Source Monitored Resource Type.
     *
     */
    "destinationResourceType"?: string;
    /**
     * Association type filter to search associated resources.
     *
     */
    "associationType"?: string;
    /**
     * The field to sort by. Only one sort order may be provided.
     * Default order for timeCreated is descending. Default order for assocType is descending.
     *
     */
    "sortBy"?: SearchMonitoredResourceAssociationsDetails.SortBy;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
}
export declare namespace SearchMonitoredResourceAssociationsDetails {
    enum SortBy {
        TimeCreated = "TIME_CREATED",
        AssocType = "ASSOC_TYPE"
    }
    function getJsonObj(obj: SearchMonitoredResourceAssociationsDetails): object;
    function getDeserializedJsonObj(obj: SearchMonitoredResourceAssociationsDetails): object;
}
