/**
 * Stack Monitoring API
 * Stack Monitoring API.
 * OpenAPI spec version: 20210330
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information about monitored resource tags. Request will fail if at least one of
 * freeformTags or definedTags are not specified.
 * Provided tags will be added or updated in the existing list of tags for the affected resources.
 * Resources to be updated are identified based on association types specified.
 * If association types are not specified, then tags will be updated only for the current resource.
 *
 */
export interface UpdateAndPropagateTagsDetails {
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Association types that will be traversed recursively starting from the current resource,
     * to identify resources for which the tags will be updated.
     * If no association type is specified, only current resource will be updated.
     * Default is empty list, which means no related resources will be updated.
     *
     */
    "associationTypes"?: Array<string>;
}
export declare namespace UpdateAndPropagateTagsDetails {
    function getJsonObj(obj: UpdateAndPropagateTagsDetails): object;
    function getDeserializedJsonObj(obj: UpdateAndPropagateTagsDetails): object;
}
