/**
 * Streaming API
 * Use the Streaming API to produce and consume messages, create streams and stream pools, and manage related items. For more information, see [Streaming](/Content/Streaming/Concepts/streamingoverview.htm).
 * OpenAPI spec version: 20180418
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A message in a stream.
 */
export interface Message {
    /**
     * The name of the stream that the message belongs to.
     */
    "stream": string;
    /**
     * The ID of the partition where the message is stored.
     */
    "partition": string;
    /**
     * The key associated with the message, expressed as a byte array.
     */
    "key": string;
    /**
     * The value associated with the message, expressed as a byte array.
     */
    "value": string;
    /**
     * The offset of the message, which uniquely identifies it within the partition. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "offset": number;
    /**
     * The timestamp indicating when the server appended the message to the stream.
     */
    "timestamp": Date;
}
export declare namespace Message {
    function getJsonObj(obj: Message): object;
    function getDeserializedJsonObj(obj: Message): object;
}
