"use strict";
/**
 * Streaming API
 * Use the Streaming API to produce and consume messages, create streams and stream pools, and manage related items. For more information, see [Streaming](/Content/Streaming/Concepts/streamingoverview.htm).
 * OpenAPI spec version: 20180418
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StreamPool = void 0;
const model = __importStar(require("../model"));
var StreamPool;
(function (StreamPool) {
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["Creating"] = "CREATING";
        LifecycleState["Active"] = "ACTIVE";
        LifecycleState["Deleting"] = "DELETING";
        LifecycleState["Deleted"] = "DELETED";
        LifecycleState["Failed"] = "FAILED";
        LifecycleState["Updating"] = "UPDATING";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleState = StreamPool.LifecycleState || (StreamPool.LifecycleState = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "kafkaSettings": obj.kafkaSettings
                ? model.KafkaSettings.getJsonObj(obj.kafkaSettings)
                : undefined,
            "customEncryptionKey": obj.customEncryptionKey
                ? model.CustomEncryptionKey.getJsonObj(obj.customEncryptionKey)
                : undefined,
            "privateEndpointSettings": obj.privateEndpointSettings
                ? model.PrivateEndpointSettings.getJsonObj(obj.privateEndpointSettings)
                : undefined
        });
        return jsonObj;
    }
    StreamPool.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "kafkaSettings": obj.kafkaSettings
                ? model.KafkaSettings.getDeserializedJsonObj(obj.kafkaSettings)
                : undefined,
            "customEncryptionKey": obj.customEncryptionKey
                ? model.CustomEncryptionKey.getDeserializedJsonObj(obj.customEncryptionKey)
                : undefined,
            "privateEndpointSettings": obj.privateEndpointSettings
                ? model.PrivateEndpointSettings.getDeserializedJsonObj(obj.privateEndpointSettings)
                : undefined
        });
        return jsonObj;
    }
    StreamPool.getDeserializedJsonObj = getDeserializedJsonObj;
})(StreamPool = exports.StreamPool || (exports.StreamPool = {}));
//# sourceMappingURL=stream-pool.js.map