/**
 * Organizations API
 * Use the Organizations API to consolidate multiple OCI tenancies into an organization, and centrally manage your tenancies and organization resources. For more information, see [Organization Management Overview](/iaas/Content/General/Concepts/organization_management_overview.htm).
 * OpenAPI spec version: 20230401
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A single subscription's details.
 */
export interface SubscriptionInfo {
    /**
     * Subscription ID.
     */
    "spmSubscriptionId": string;
    /**
     * Subscription service name.
     */
    "service": string;
    /**
     * Subscription start date. An RFC 3339-formatted date and time string.
     */
    "startDate": Date;
    /**
     * Subscription end date. An RFC 3339-formatted date and time string.
     */
    "endDate": Date;
    /**
     * List of SKUs the subscription contains.
     */
    "skus": Array<model.Sku>;
}
export declare namespace SubscriptionInfo {
    function getJsonObj(obj: SubscriptionInfo): object;
    function getDeserializedJsonObj(obj: SubscriptionInfo): object;
}
