/**
 * Organizations API
 * Use the Organizations API to consolidate multiple OCI tenancies into an organization, and centrally manage your tenancies and organization resources. For more information, see [Organization Management Overview](/iaas/Content/General/Concepts/organization_management_overview.htm).
 * OpenAPI spec version: 20230401
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CreateDomainRequest from "./create-domain-request";
export import CreateDomainRequest = CreateDomainRequest.CreateDomainRequest;
import * as DeleteDomainRequest from "./delete-domain-request";
export import DeleteDomainRequest = DeleteDomainRequest.DeleteDomainRequest;
import * as GetDomainRequest from "./get-domain-request";
export import GetDomainRequest = GetDomainRequest.GetDomainRequest;
import * as ListDomainsRequest from "./list-domains-request";
export import ListDomainsRequest = ListDomainsRequest.ListDomainsRequest;
import * as UpdateDomainRequest from "./update-domain-request";
export import UpdateDomainRequest = UpdateDomainRequest.UpdateDomainRequest;
import * as CreateDomainGovernanceRequest from "./create-domain-governance-request";
export import CreateDomainGovernanceRequest = CreateDomainGovernanceRequest.CreateDomainGovernanceRequest;
import * as DeleteDomainGovernanceRequest from "./delete-domain-governance-request";
export import DeleteDomainGovernanceRequest = DeleteDomainGovernanceRequest.DeleteDomainGovernanceRequest;
import * as GetDomainGovernanceRequest from "./get-domain-governance-request";
export import GetDomainGovernanceRequest = GetDomainGovernanceRequest.GetDomainGovernanceRequest;
import * as ListDomainGovernancesRequest from "./list-domain-governances-request";
export import ListDomainGovernancesRequest = ListDomainGovernancesRequest.ListDomainGovernancesRequest;
import * as UpdateDomainGovernanceRequest from "./update-domain-governance-request";
export import UpdateDomainGovernanceRequest = UpdateDomainGovernanceRequest.UpdateDomainGovernanceRequest;
import * as AddGovernanceRequest from "./add-governance-request";
export import AddGovernanceRequest = AddGovernanceRequest.AddGovernanceRequest;
import * as RemoveGovernanceRequest from "./remove-governance-request";
export import RemoveGovernanceRequest = RemoveGovernanceRequest.RemoveGovernanceRequest;
import * as DeleteLinkRequest from "./delete-link-request";
export import DeleteLinkRequest = DeleteLinkRequest.DeleteLinkRequest;
import * as GetLinkRequest from "./get-link-request";
export import GetLinkRequest = GetLinkRequest.GetLinkRequest;
import * as ListLinksRequest from "./list-links-request";
export import ListLinksRequest = ListLinksRequest.ListLinksRequest;
import * as ActivateOrderRequest from "./activate-order-request";
export import ActivateOrderRequest = ActivateOrderRequest.ActivateOrderRequest;
import * as GetOrderRequest from "./get-order-request";
export import GetOrderRequest = GetOrderRequest.GetOrderRequest;
import * as ApproveOrganizationTenancyForTransferRequest from "./approve-organization-tenancy-for-transfer-request";
export import ApproveOrganizationTenancyForTransferRequest = ApproveOrganizationTenancyForTransferRequest.ApproveOrganizationTenancyForTransferRequest;
import * as CreateChildTenancyRequest from "./create-child-tenancy-request";
export import CreateChildTenancyRequest = CreateChildTenancyRequest.CreateChildTenancyRequest;
import * as DeleteOrganizationTenancyRequest from "./delete-organization-tenancy-request";
export import DeleteOrganizationTenancyRequest = DeleteOrganizationTenancyRequest.DeleteOrganizationTenancyRequest;
import * as GetOrganizationRequest from "./get-organization-request";
export import GetOrganizationRequest = GetOrganizationRequest.GetOrganizationRequest;
import * as GetOrganizationTenancyRequest from "./get-organization-tenancy-request";
export import GetOrganizationTenancyRequest = GetOrganizationTenancyRequest.GetOrganizationTenancyRequest;
import * as ListOrganizationTenanciesRequest from "./list-organization-tenancies-request";
export import ListOrganizationTenanciesRequest = ListOrganizationTenanciesRequest.ListOrganizationTenanciesRequest;
import * as ListOrganizationsRequest from "./list-organizations-request";
export import ListOrganizationsRequest = ListOrganizationsRequest.ListOrganizationsRequest;
import * as RestoreOrganizationTenancyRequest from "./restore-organization-tenancy-request";
export import RestoreOrganizationTenancyRequest = RestoreOrganizationTenancyRequest.RestoreOrganizationTenancyRequest;
import * as UnapproveOrganizationTenancyForTransferRequest from "./unapprove-organization-tenancy-for-transfer-request";
export import UnapproveOrganizationTenancyForTransferRequest = UnapproveOrganizationTenancyForTransferRequest.UnapproveOrganizationTenancyForTransferRequest;
import * as UpdateOrganizationRequest from "./update-organization-request";
export import UpdateOrganizationRequest = UpdateOrganizationRequest.UpdateOrganizationRequest;
import * as AcceptRecipientInvitationRequest from "./accept-recipient-invitation-request";
export import AcceptRecipientInvitationRequest = AcceptRecipientInvitationRequest.AcceptRecipientInvitationRequest;
import * as GetRecipientInvitationRequest from "./get-recipient-invitation-request";
export import GetRecipientInvitationRequest = GetRecipientInvitationRequest.GetRecipientInvitationRequest;
import * as IgnoreRecipientInvitationRequest from "./ignore-recipient-invitation-request";
export import IgnoreRecipientInvitationRequest = IgnoreRecipientInvitationRequest.IgnoreRecipientInvitationRequest;
import * as ListRecipientInvitationsRequest from "./list-recipient-invitations-request";
export import ListRecipientInvitationsRequest = ListRecipientInvitationsRequest.ListRecipientInvitationsRequest;
import * as UpdateRecipientInvitationRequest from "./update-recipient-invitation-request";
export import UpdateRecipientInvitationRequest = UpdateRecipientInvitationRequest.UpdateRecipientInvitationRequest;
import * as CancelSenderInvitationRequest from "./cancel-sender-invitation-request";
export import CancelSenderInvitationRequest = CancelSenderInvitationRequest.CancelSenderInvitationRequest;
import * as CreateSenderInvitationRequest from "./create-sender-invitation-request";
export import CreateSenderInvitationRequest = CreateSenderInvitationRequest.CreateSenderInvitationRequest;
import * as GetSenderInvitationRequest from "./get-sender-invitation-request";
export import GetSenderInvitationRequest = GetSenderInvitationRequest.GetSenderInvitationRequest;
import * as ListSenderInvitationsRequest from "./list-sender-invitations-request";
export import ListSenderInvitationsRequest = ListSenderInvitationsRequest.ListSenderInvitationsRequest;
import * as UpdateSenderInvitationRequest from "./update-sender-invitation-request";
export import UpdateSenderInvitationRequest = UpdateSenderInvitationRequest.UpdateSenderInvitationRequest;
import * as CreateSubscriptionMappingRequest from "./create-subscription-mapping-request";
export import CreateSubscriptionMappingRequest = CreateSubscriptionMappingRequest.CreateSubscriptionMappingRequest;
import * as DeleteSubscriptionMappingRequest from "./delete-subscription-mapping-request";
export import DeleteSubscriptionMappingRequest = DeleteSubscriptionMappingRequest.DeleteSubscriptionMappingRequest;
import * as GetAssignedSubscriptionRequest from "./get-assigned-subscription-request";
export import GetAssignedSubscriptionRequest = GetAssignedSubscriptionRequest.GetAssignedSubscriptionRequest;
import * as GetSubscriptionRequest from "./get-subscription-request";
export import GetSubscriptionRequest = GetSubscriptionRequest.GetSubscriptionRequest;
import * as GetSubscriptionMappingRequest from "./get-subscription-mapping-request";
export import GetSubscriptionMappingRequest = GetSubscriptionMappingRequest.GetSubscriptionMappingRequest;
import * as ListAssignedSubscriptionLineItemsRequest from "./list-assigned-subscription-line-items-request";
export import ListAssignedSubscriptionLineItemsRequest = ListAssignedSubscriptionLineItemsRequest.ListAssignedSubscriptionLineItemsRequest;
import * as ListAssignedSubscriptionsRequest from "./list-assigned-subscriptions-request";
export import ListAssignedSubscriptionsRequest = ListAssignedSubscriptionsRequest.ListAssignedSubscriptionsRequest;
import * as ListAvailableRegionsRequest from "./list-available-regions-request";
export import ListAvailableRegionsRequest = ListAvailableRegionsRequest.ListAvailableRegionsRequest;
import * as ListSubscriptionLineItemsRequest from "./list-subscription-line-items-request";
export import ListSubscriptionLineItemsRequest = ListSubscriptionLineItemsRequest.ListSubscriptionLineItemsRequest;
import * as ListSubscriptionMappingsRequest from "./list-subscription-mappings-request";
export import ListSubscriptionMappingsRequest = ListSubscriptionMappingsRequest.ListSubscriptionMappingsRequest;
import * as ListSubscriptionsRequest from "./list-subscriptions-request";
export import ListSubscriptionsRequest = ListSubscriptionsRequest.ListSubscriptionsRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
