/**
 * Usage Proxy API
 * Use the Usage Proxy API to list Oracle Support Rewards, view related detailed usage information, and manage users who redeem rewards. For more information, see [Oracle Support Rewards Overview](/iaas/Content/Billing/Concepts/supportrewardsoverview.htm).
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Object describing the monthly rewards summary for the requested subscription ID.
 */
export interface MonthlyRewardSummary {
    /**
     * The number of rewards available for a specific usage period. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "availableRewards"?: number;
    /**
     * The number of rewards redeemed for a specific month. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "redeemedRewards"?: number;
    /**
     * The number of rewards earned for the specific usage period. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "earnedRewards"?: number;
    /**
     * The boolean parameter to indicate whether or not the available rewards are manually posted.
     */
    "isManual"?: boolean;
    /**
     * The date and time when rewards expire.
     */
    "timeRewardsExpired"?: Date;
    /**
     * The date and time when rewards accrue.
     *
     */
    "timeRewardsEarned"?: Date;
    /**
     * The start date and time for the usage period.
     *
     */
    "timeUsageStarted"?: Date;
    /**
     * The end date and time for the usage period.
     *
     */
    "timeUsageEnded"?: Date;
    /**
     * The usage amount for the usage period.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "usageAmount"?: number;
    /**
     * The eligible usage amount for the usage period.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "eligibleUsageAmount"?: number;
    /**
     * The ineligible usage amount for the usage period.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "ineligibleUsageAmount"?: number;
    /**
     * The usage period ID.
     *
     */
    "usagePeriodKey"?: string;
}
export declare namespace MonthlyRewardSummary {
    function getJsonObj(obj: MonthlyRewardSummary): object;
    function getDeserializedJsonObj(obj: MonthlyRewardSummary): object;
}
