/**
 * Usage Proxy API
 * Use the Usage Proxy API to list Oracle Support Rewards, view related detailed usage information, and manage users who redeem rewards. For more information, see [Oracle Support Rewards Overview](/iaas/Content/Billing/Concepts/supportrewardsoverview.htm).
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Provides details about product rewards and the usage amount.
 */
export interface ProductSummary {
    /**
     * The rate card product number.
     */
    "productNumber"?: string;
    /**
     * The rate card product name.
     */
    "productName"?: string;
    /**
     * The rate card product usage amount. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "usageAmount"?: number;
    /**
     * The earned rewards for the product. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "earnedRewards"?: number;
    /**
     * The boolean parameter to indicate if the product is eligible to earn rewards.
     */
    "isEligibleToEarnRewards"?: boolean;
}
export declare namespace ProductSummary {
    function getJsonObj(obj: ProductSummary): object;
    function getDeserializedJsonObj(obj: ProductSummary): object;
}
