/**
 * Usage Proxy API
 * Use the Usage Proxy API to list Oracle Support Rewards, view related detailed usage information, and manage users who redeem rewards. For more information, see [Oracle Support Rewards Overview](/iaas/Content/Billing/Concepts/supportrewardsoverview.htm).
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The redemption summary for the requested subscription ID and date range.
 */
export interface RedemptionSummary {
    /**
     * It provides redeem date.
     */
    "timeRedeemed"?: Date;
    /**
     * It provides the redemption email id.
     */
    "redemptionEmail"?: string;
    /**
     * The redemption code used in the Billing Center during the reward redemption process.
     */
    "redemptionCode"?: string;
    /**
     * It provides the invoice number against the redemption.
     */
    "invoiceNumber"?: string;
    /**
     * It provides the invoice total amount of given redemption. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "invoiceTotalAmount"?: number;
    /**
     * The currency associated with invoice.
     */
    "invoiceCurrency"?: string;
    /**
     * It provides the redeemed rewards in invoice currency. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "redeemedRewards"?: number;
    /**
     * It provides the redeemed rewards in base/subscription currency. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "baseRewards"?: number;
    /**
     * It provides the fxRate between invoice currency and subscription currency. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "fxRate"?: number;
    /**
     * It provides the invoice date.
     */
    "timeInvoiced"?: Date;
}
export declare namespace RedemptionSummary {
    function getJsonObj(obj: RedemptionSummary): object;
    function getDeserializedJsonObj(obj: RedemptionSummary): object;
}
