/**
 * Usage Proxy API
 * Use the Usage Proxy API to list Oracle Support Rewards, view related detailed usage information, and manage users who redeem rewards. For more information, see [Oracle Support Rewards Overview](/iaas/Content/Billing/Concepts/supportrewardsoverview.htm).
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The resource quota balance details.
 *
 */
export interface ResourceQuotumSummary {
    /**
     * The resource name.
     */
    "name"?: string;
    /**
     * Used to indicate if further quota consumption isAllowed.
     */
    "isAllowed"?: boolean;
    /**
     * The quota limit. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "limit"?: number;
    /**
     * The quota balance. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "balance"?: number;
    /**
     * Used to indicate if overages are incurred.
     */
    "isOverage"?: boolean;
    /**
     * The purchased quota limit. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "purchasedLimit"?: number;
    /**
     * The service name.
     */
    "service"?: string;
    /**
     * Used to indicate any resource dependencies.
     */
    "isDependency"?: boolean;
    /**
     * The affected resource name.
     */
    "affectedResource"?: string;
}
export declare namespace ResourceQuotumSummary {
    function getJsonObj(obj: ResourceQuotumSummary): object;
    function getDeserializedJsonObj(obj: ResourceQuotumSummary): object;
}
