/**
 * Usage Proxy API
 * Use the Usage Proxy API to list Oracle Support Rewards, view related detailed usage information, and manage users who redeem rewards. For more information, see [Oracle Support Rewards Overview](/iaas/Content/Billing/Concepts/supportrewardsoverview.htm).
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of a resource under a service.
 *
 */
export interface ResourceSummary {
    /**
     * Units to be used for daily aggregated data.
     */
    "dailyUnitDisplayName"?: string;
    /**
     * Units to be used for hourly aggregated data.
     */
    "hourlyUnitDisplayName"?: string;
    /**
     * Default units to use when unspecified.
     */
    "rawUnitDisplayName"?: string;
    /**
     * Usage data type of the resource.
     */
    "usageDataType"?: ResourceSummary.UsageDataType;
    /**
     * Name of the resource.
     */
    "name"?: string;
    /**
     * Name of the service.
     */
    "servicename"?: string;
    /**
     * Description of the resource.
     */
    "description"?: string;
    /**
     * Instance type for the resource.
     */
    "instanceType"?: string;
    /**
     * Indicates if the SKU was purchased
     */
    "isPurchased"?: boolean;
    /**
     * The details of any child resources.
     */
    "childResources"?: Array<string>;
    /**
     * The details of resource Skus.
     */
    "skus"?: Array<model.SkuProducts>;
}
export declare namespace ResourceSummary {
    enum UsageDataType {
        Interval = "INTERVAL",
        PointData = "POINT_DATA",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ResourceSummary): object;
    function getDeserializedJsonObj(obj: ResourceSummary): object;
}
