/**
 * Usage Proxy API
 * Use the Usage Proxy API to list Oracle Support Rewards, view related detailed usage information, and manage users who redeem rewards. For more information, see [Oracle Support Rewards Overview](/iaas/Content/Billing/Concepts/supportrewardsoverview.htm).
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The overall monthly reward summary.
 */
export interface RewardDetails {
    /**
     * The OCID of the target tenancy.
     */
    "tenancyId"?: string;
    /**
     * The entitlement ID from MQS, which is the same as the subcription ID.
     */
    "subscriptionId"?: string;
    /**
     * The currency unit for the reward amount.
     */
    "currency"?: string;
    /**
     * The current Rewards percentage in decimal format. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "rewardsRate"?: number;
    /**
     * The total number of available rewards for a given subscription ID. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "totalRewardsAvailable"?: number;
    /**
     * The redemption code used in the Billing Center during the reward redemption process.
     */
    "redemptionCode"?: string;
}
export declare namespace RewardDetails {
    function getJsonObj(obj: RewardDetails): object;
    function getDeserializedJsonObj(obj: RewardDetails): object;
}
