/**
 *
 *
 * OpenAPI spec version: 20190111
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/usage/ListRedemptions.ts.html |here} to see how to use ListRedemptionsRequest.
 */
export interface ListRedemptionsRequest extends common.BaseRequest {
    /**
     * The OCID of the tenancy.
     */
    "tenancyId": string;
    /**
     * The subscription ID for which rewards information is requested for.
     */
    "subscriptionId": string;
    /**
     * The starting redeemed date filter for the redemption history.
     */
    "timeRedeemedGreaterThanOrEqualTo"?: Date;
    /**
     * The ending redeemed date filter for the redemption history.
     */
    "timeRedeemedLessThan"?: Date;
    /**
     * Unique, Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
     */
    "opcRequestId"?: string;
    /**
     * The value of the 'opc-next-page' response header from the previous call.
     */
    "page"?: string;
    /**
     * The maximum number of items to return in the paginated response.
     */
    "limit"?: number;
    /**
     * The sort order to use, which can be ascending (ASC) or descending (DESC).
     */
    "sortOrder"?: ListRedemptionsRequest.SortOrder;
    /**
     * The field to be used only for list redemptions API. Supports one sort order.
     */
    "sortBy"?: ListRedemptionsRequest.SortBy;
}
export declare namespace ListRedemptionsRequest {
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
    enum SortBy {
        Timeredeemed = "TIMEREDEEMED"
    }
}
