/**
 * Usage API
 * Use the Usage API to view your Oracle Cloud usage and costs. The API allows you to request data that meets the specified filter criteria, and to group that data by the chosen dimension. The Usage API is used by the Cost Analysis and Carbon Emissions Analysis tools in the Console. See [Cost Analysis Overview](/Content/Billing/Concepts/costanalysisoverview.htm) and [Using the Usage API](/Content/Billing/Concepts/costanalysisoverview.htm#cost_analysis_using_the_api) for more information.
 * OpenAPI spec version: 20200107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The saved dynamic date range (required when the static date range is missing).
 */
export interface DynamicDateRange extends model.DateRange {
    "dynamicDateRangeType": DynamicDateRange.DynamicDateRangeType;
    "dateRangeType": string;
}
export declare namespace DynamicDateRange {
    enum DynamicDateRangeType {
        Last7Days = "LAST_7_DAYS",
        Last10Days = "LAST_10_DAYS",
        LastCalendarWeek = "LAST_CALENDAR_WEEK",
        LastCalendarMonth = "LAST_CALENDAR_MONTH",
        Last2CalendarMonths = "LAST_2_CALENDAR_MONTHS",
        Last3CalendarMonths = "LAST_3_CALENDAR_MONTHS",
        Last6CalendarMonths = "LAST_6_CALENDAR_MONTHS",
        Last30Days = "LAST_30_DAYS",
        MonthToDate = "MONTH_TO_DATE",
        LastYear = "LAST_YEAR",
        YearTodate = "YEAR_TODATE",
        All = "ALL",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DynamicDateRange, isParentJsonObj?: boolean): object;
    const dateRangeType = "DYNAMIC";
    function getDeserializedJsonObj(obj: DynamicDateRange, isParentJsonObj?: boolean): object;
}
