/**
 * Usage API
 * Use the Usage API to view your Oracle Cloud usage and costs. The API allows you to request data that meets the specified filter criteria, and to group that data by the chosen dimension. The Usage API is used by the Cost Analysis and Carbon Emissions Analysis tools in the Console. See [Cost Analysis Overview](/Content/Billing/Concepts/costanalysisoverview.htm) and [Using the Usage API](/Content/Billing/Concepts/costanalysisoverview.htm#cost_analysis_using_the_api) for more information.
 * OpenAPI spec version: 20200107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AverageCarbonEmission from "./average-carbon-emission";
export import AverageCarbonEmission = AverageCarbonEmission.AverageCarbonEmission;
import * as CleanEnergyUsage from "./clean-energy-usage";
export import CleanEnergyUsage = CleanEnergyUsage.CleanEnergyUsage;
import * as Configuration from "./configuration";
export import Configuration = Configuration.Configuration;
import * as ConfigurationAggregation from "./configuration-aggregation";
export import ConfigurationAggregation = ConfigurationAggregation.ConfigurationAggregation;
import * as CostAnalysisUI from "./cost-analysis-ui";
export import CostAnalysisUI = CostAnalysisUI.CostAnalysisUI;
import * as CreateCustomTableDetails from "./create-custom-table-details";
export import CreateCustomTableDetails = CreateCustomTableDetails.CreateCustomTableDetails;
import * as CreateEmailRecipientsGroupDetails from "./create-email-recipients-group-details";
export import CreateEmailRecipientsGroupDetails = CreateEmailRecipientsGroupDetails.CreateEmailRecipientsGroupDetails;
import * as CreateQueryDetails from "./create-query-details";
export import CreateQueryDetails = CreateQueryDetails.CreateQueryDetails;
import * as CreateScheduleDetails from "./create-schedule-details";
export import CreateScheduleDetails = CreateScheduleDetails.CreateScheduleDetails;
import * as CreateUsageCarbonEmissionsQueryDetails from "./create-usage-carbon-emissions-query-details";
export import CreateUsageCarbonEmissionsQueryDetails = CreateUsageCarbonEmissionsQueryDetails.CreateUsageCarbonEmissionsQueryDetails;
import * as CustomTable from "./custom-table";
export import CustomTable = CustomTable.CustomTable;
import * as CustomTableCollection from "./custom-table-collection";
export import CustomTableCollection = CustomTableCollection.CustomTableCollection;
import * as CustomTableSummary from "./custom-table-summary";
export import CustomTableSummary = CustomTableSummary.CustomTableSummary;
import * as DateRange from "./date-range";
export import DateRange = DateRange.DateRange;
import * as Dimension from "./dimension";
export import Dimension = Dimension.Dimension;
import * as EmailRecipient from "./email-recipient";
export import EmailRecipient = EmailRecipient.EmailRecipient;
import * as EmailRecipientsGroup from "./email-recipients-group";
export import EmailRecipientsGroup = EmailRecipientsGroup.EmailRecipientsGroup;
import * as EmailRecipientsGroupCollection from "./email-recipients-group-collection";
export import EmailRecipientsGroupCollection = EmailRecipientsGroupCollection.EmailRecipientsGroupCollection;
import * as EmailRecipientsGroupSummary from "./email-recipients-group-summary";
export import EmailRecipientsGroupSummary = EmailRecipientsGroupSummary.EmailRecipientsGroupSummary;
import * as Filter from "./filter";
export import Filter = Filter.Filter;
import * as Forecast from "./forecast";
export import Forecast = Forecast.Forecast;
import * as Query from "./query";
export import Query = Query.Query;
import * as QueryCollection from "./query-collection";
export import QueryCollection = QueryCollection.QueryCollection;
import * as QueryDefinition from "./query-definition";
export import QueryDefinition = QueryDefinition.QueryDefinition;
import * as QueryProperties from "./query-properties";
export import QueryProperties = QueryProperties.QueryProperties;
import * as QuerySummary from "./query-summary";
export import QuerySummary = QuerySummary.QuerySummary;
import * as ReportQuery from "./report-query";
export import ReportQuery = ReportQuery.ReportQuery;
import * as RequestSummarizedUsagesDetails from "./request-summarized-usages-details";
export import RequestSummarizedUsagesDetails = RequestSummarizedUsagesDetails.RequestSummarizedUsagesDetails;
import * as RequestUsageCarbonEmissionsDetails from "./request-usage-carbon-emissions-details";
export import RequestUsageCarbonEmissionsDetails = RequestUsageCarbonEmissionsDetails.RequestUsageCarbonEmissionsDetails;
import * as ResultLocation from "./result-location";
export import ResultLocation = ResultLocation.ResultLocation;
import * as SavedCustomTable from "./saved-custom-table";
export import SavedCustomTable = SavedCustomTable.SavedCustomTable;
import * as Schedule from "./schedule";
export import Schedule = Schedule.Schedule;
import * as ScheduleCollection from "./schedule-collection";
export import ScheduleCollection = ScheduleCollection.ScheduleCollection;
import * as ScheduleSummary from "./schedule-summary";
export import ScheduleSummary = ScheduleSummary.ScheduleSummary;
import * as ScheduledRun from "./scheduled-run";
export import ScheduledRun = ScheduledRun.ScheduledRun;
import * as ScheduledRunCollection from "./scheduled-run-collection";
export import ScheduledRunCollection = ScheduledRunCollection.ScheduledRunCollection;
import * as ScheduledRunSummary from "./scheduled-run-summary";
export import ScheduledRunSummary = ScheduledRunSummary.ScheduledRunSummary;
import * as Tag from "./tag";
export import Tag = Tag.Tag;
import * as UpdateCustomTableDetails from "./update-custom-table-details";
export import UpdateCustomTableDetails = UpdateCustomTableDetails.UpdateCustomTableDetails;
import * as UpdateEmailRecipientsGroupDetails from "./update-email-recipients-group-details";
export import UpdateEmailRecipientsGroupDetails = UpdateEmailRecipientsGroupDetails.UpdateEmailRecipientsGroupDetails;
import * as UpdateQueryDetails from "./update-query-details";
export import UpdateQueryDetails = UpdateQueryDetails.UpdateQueryDetails;
import * as UpdateScheduleDetails from "./update-schedule-details";
export import UpdateScheduleDetails = UpdateScheduleDetails.UpdateScheduleDetails;
import * as UpdateUsageCarbonEmissionsQueryDetails from "./update-usage-carbon-emissions-query-details";
export import UpdateUsageCarbonEmissionsQueryDetails = UpdateUsageCarbonEmissionsQueryDetails.UpdateUsageCarbonEmissionsQueryDetails;
import * as UsageAggregation from "./usage-aggregation";
export import UsageAggregation = UsageAggregation.UsageAggregation;
import * as UsageCarbonEmissionAggregation from "./usage-carbon-emission-aggregation";
export import UsageCarbonEmissionAggregation = UsageCarbonEmissionAggregation.UsageCarbonEmissionAggregation;
import * as UsageCarbonEmissionSummary from "./usage-carbon-emission-summary";
export import UsageCarbonEmissionSummary = UsageCarbonEmissionSummary.UsageCarbonEmissionSummary;
import * as UsageCarbonEmissionsQuery from "./usage-carbon-emissions-query";
export import UsageCarbonEmissionsQuery = UsageCarbonEmissionsQuery.UsageCarbonEmissionsQuery;
import * as UsageCarbonEmissionsQueryCollection from "./usage-carbon-emissions-query-collection";
export import UsageCarbonEmissionsQueryCollection = UsageCarbonEmissionsQueryCollection.UsageCarbonEmissionsQueryCollection;
import * as UsageCarbonEmissionsQueryDefinition from "./usage-carbon-emissions-query-definition";
export import UsageCarbonEmissionsQueryDefinition = UsageCarbonEmissionsQueryDefinition.UsageCarbonEmissionsQueryDefinition;
import * as UsageCarbonEmissionsQuerySummary from "./usage-carbon-emissions-query-summary";
export import UsageCarbonEmissionsQuerySummary = UsageCarbonEmissionsQuerySummary.UsageCarbonEmissionsQuerySummary;
import * as UsageCarbonEmissionsReportQuery from "./usage-carbon-emissions-report-query";
export import UsageCarbonEmissionsReportQuery = UsageCarbonEmissionsReportQuery.UsageCarbonEmissionsReportQuery;
import * as UsageSummary from "./usage-summary";
export import UsageSummary = UsageSummary.UsageSummary;
import * as DynamicDateRange from "./dynamic-date-range";
export import DynamicDateRange = DynamicDateRange.DynamicDateRange;
import * as ObjectStorageLocation from "./object-storage-location";
export import ObjectStorageLocation = ObjectStorageLocation.ObjectStorageLocation;
import * as StaticDateRange from "./static-date-range";
export import StaticDateRange = StaticDateRange.StaticDateRange;
