/**
 * Usage API
 * Use the Usage API to view your Oracle Cloud usage and costs. The API allows you to request data that meets the specified filter criteria, and to group that data by the chosen dimension. The Usage API is used by the Cost Analysis and Carbon Emissions Analysis tools in the Console. See [Cost Analysis Overview](/Content/Billing/Concepts/costanalysisoverview.htm) and [Using the Usage API](/Content/Billing/Concepts/costanalysisoverview.htm#cost_analysis_using_the_api) for more information.
 * OpenAPI spec version: 20200107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CreateCustomTableRequest from "./create-custom-table-request";
export import CreateCustomTableRequest = CreateCustomTableRequest.CreateCustomTableRequest;
import * as CreateEmailRecipientsGroupRequest from "./create-email-recipients-group-request";
export import CreateEmailRecipientsGroupRequest = CreateEmailRecipientsGroupRequest.CreateEmailRecipientsGroupRequest;
import * as CreateQueryRequest from "./create-query-request";
export import CreateQueryRequest = CreateQueryRequest.CreateQueryRequest;
import * as CreateScheduleRequest from "./create-schedule-request";
export import CreateScheduleRequest = CreateScheduleRequest.CreateScheduleRequest;
import * as CreateUsageCarbonEmissionsQueryRequest from "./create-usage-carbon-emissions-query-request";
export import CreateUsageCarbonEmissionsQueryRequest = CreateUsageCarbonEmissionsQueryRequest.CreateUsageCarbonEmissionsQueryRequest;
import * as DeleteCustomTableRequest from "./delete-custom-table-request";
export import DeleteCustomTableRequest = DeleteCustomTableRequest.DeleteCustomTableRequest;
import * as DeleteEmailRecipientsGroupRequest from "./delete-email-recipients-group-request";
export import DeleteEmailRecipientsGroupRequest = DeleteEmailRecipientsGroupRequest.DeleteEmailRecipientsGroupRequest;
import * as DeleteQueryRequest from "./delete-query-request";
export import DeleteQueryRequest = DeleteQueryRequest.DeleteQueryRequest;
import * as DeleteScheduleRequest from "./delete-schedule-request";
export import DeleteScheduleRequest = DeleteScheduleRequest.DeleteScheduleRequest;
import * as DeleteUsageCarbonEmissionsQueryRequest from "./delete-usage-carbon-emissions-query-request";
export import DeleteUsageCarbonEmissionsQueryRequest = DeleteUsageCarbonEmissionsQueryRequest.DeleteUsageCarbonEmissionsQueryRequest;
import * as GetCustomTableRequest from "./get-custom-table-request";
export import GetCustomTableRequest = GetCustomTableRequest.GetCustomTableRequest;
import * as GetEmailRecipientsGroupRequest from "./get-email-recipients-group-request";
export import GetEmailRecipientsGroupRequest = GetEmailRecipientsGroupRequest.GetEmailRecipientsGroupRequest;
import * as GetQueryRequest from "./get-query-request";
export import GetQueryRequest = GetQueryRequest.GetQueryRequest;
import * as GetScheduleRequest from "./get-schedule-request";
export import GetScheduleRequest = GetScheduleRequest.GetScheduleRequest;
import * as GetScheduledRunRequest from "./get-scheduled-run-request";
export import GetScheduledRunRequest = GetScheduledRunRequest.GetScheduledRunRequest;
import * as GetUsageCarbonEmissionsQueryRequest from "./get-usage-carbon-emissions-query-request";
export import GetUsageCarbonEmissionsQueryRequest = GetUsageCarbonEmissionsQueryRequest.GetUsageCarbonEmissionsQueryRequest;
import * as ListCustomTablesRequest from "./list-custom-tables-request";
export import ListCustomTablesRequest = ListCustomTablesRequest.ListCustomTablesRequest;
import * as ListEmailRecipientsGroupsRequest from "./list-email-recipients-groups-request";
export import ListEmailRecipientsGroupsRequest = ListEmailRecipientsGroupsRequest.ListEmailRecipientsGroupsRequest;
import * as ListQueriesRequest from "./list-queries-request";
export import ListQueriesRequest = ListQueriesRequest.ListQueriesRequest;
import * as ListScheduledRunsRequest from "./list-scheduled-runs-request";
export import ListScheduledRunsRequest = ListScheduledRunsRequest.ListScheduledRunsRequest;
import * as ListSchedulesRequest from "./list-schedules-request";
export import ListSchedulesRequest = ListSchedulesRequest.ListSchedulesRequest;
import * as ListUsageCarbonEmissionsQueriesRequest from "./list-usage-carbon-emissions-queries-request";
export import ListUsageCarbonEmissionsQueriesRequest = ListUsageCarbonEmissionsQueriesRequest.ListUsageCarbonEmissionsQueriesRequest;
import * as RequestAverageCarbonEmissionRequest from "./request-average-carbon-emission-request";
export import RequestAverageCarbonEmissionRequest = RequestAverageCarbonEmissionRequest.RequestAverageCarbonEmissionRequest;
import * as RequestCleanEnergyUsageRequest from "./request-clean-energy-usage-request";
export import RequestCleanEnergyUsageRequest = RequestCleanEnergyUsageRequest.RequestCleanEnergyUsageRequest;
import * as RequestSummarizedConfigurationsRequest from "./request-summarized-configurations-request";
export import RequestSummarizedConfigurationsRequest = RequestSummarizedConfigurationsRequest.RequestSummarizedConfigurationsRequest;
import * as RequestSummarizedUsagesRequest from "./request-summarized-usages-request";
export import RequestSummarizedUsagesRequest = RequestSummarizedUsagesRequest.RequestSummarizedUsagesRequest;
import * as RequestUsageCarbonEmissionConfigRequest from "./request-usage-carbon-emission-config-request";
export import RequestUsageCarbonEmissionConfigRequest = RequestUsageCarbonEmissionConfigRequest.RequestUsageCarbonEmissionConfigRequest;
import * as RequestUsageCarbonEmissionsRequest from "./request-usage-carbon-emissions-request";
export import RequestUsageCarbonEmissionsRequest = RequestUsageCarbonEmissionsRequest.RequestUsageCarbonEmissionsRequest;
import * as UpdateCustomTableRequest from "./update-custom-table-request";
export import UpdateCustomTableRequest = UpdateCustomTableRequest.UpdateCustomTableRequest;
import * as UpdateEmailRecipientsGroupRequest from "./update-email-recipients-group-request";
export import UpdateEmailRecipientsGroupRequest = UpdateEmailRecipientsGroupRequest.UpdateEmailRecipientsGroupRequest;
import * as UpdateQueryRequest from "./update-query-request";
export import UpdateQueryRequest = UpdateQueryRequest.UpdateQueryRequest;
import * as UpdateScheduleRequest from "./update-schedule-request";
export import UpdateScheduleRequest = UpdateScheduleRequest.UpdateScheduleRequest;
import * as UpdateUsageCarbonEmissionsQueryRequest from "./update-usage-carbon-emissions-query-request";
export import UpdateUsageCarbonEmissionsQueryRequest = UpdateUsageCarbonEmissionsQueryRequest.UpdateUsageCarbonEmissionsQueryRequest;
