/**
 *
 *
 * OpenAPI spec version: 20200107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/usageapi/ListEmailRecipientsGroups.ts.html |here} to see how to use ListEmailRecipientsGroupsRequest.
 */
export interface ListEmailRecipientsGroupsRequest extends common.BaseRequest {
    /**
     * The UsageStatement Subscription unique OCID.
     */
    "subscriptionId": string;
    /**
     * The compartment ID in which to list resources.
     */
    "compartmentId": string;
    /**
     * Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a
     * particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
    /**
     * The maximumimum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results.
     * This is usually retrieved from a previous list call.
     *
     */
    "page"?: string;
    /**
     * A token that uniquely identifies a request so it can be retried in case of a timeout or
     * server error, without risk of executing that same action again. Retry tokens expire after 24
     * hours, but can be invalidated before then due to conflicting operations. For example, if a resource
     * has been deleted and purged from the system, then a retry of the original creation request
     * might be rejected.
     *
     */
    "opcRetryToken"?: string;
    /**
     * The field to sort by. If not specified, the default is displayName.
     *
     */
    "sortBy"?: ListEmailRecipientsGroupsRequest.SortBy;
    /**
     * The sort order to use, whether 'asc' or 'desc'.
     */
    "sortOrder"?: ListEmailRecipientsGroupsRequest.SortOrder;
}
export declare namespace ListEmailRecipientsGroupsRequest {
    enum SortBy {
        DisplayName = "displayName"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
