/**
 * Usage API
 * Use the Usage API to view your Oracle Cloud usage and costs. The API allows you to request data that meets the specified filter criteria, and to group that data by the chosen dimension. The Usage API is used by the Cost Analysis and Carbon Emissions Analysis tools in the Console. See [Cost Analysis Overview](/Content/Billing/Concepts/costanalysisoverview.htm) and [Using the Usage API](/Content/Billing/Concepts/costanalysisoverview.htm#cost_analysis_using_the_api) for more information.
 * OpenAPI spec version: 20200107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CreateCustomTableResponse from "./create-custom-table-response";
export import CreateCustomTableResponse = CreateCustomTableResponse.CreateCustomTableResponse;
import * as CreateEmailRecipientsGroupResponse from "./create-email-recipients-group-response";
export import CreateEmailRecipientsGroupResponse = CreateEmailRecipientsGroupResponse.CreateEmailRecipientsGroupResponse;
import * as CreateQueryResponse from "./create-query-response";
export import CreateQueryResponse = CreateQueryResponse.CreateQueryResponse;
import * as CreateScheduleResponse from "./create-schedule-response";
export import CreateScheduleResponse = CreateScheduleResponse.CreateScheduleResponse;
import * as CreateUsageCarbonEmissionsQueryResponse from "./create-usage-carbon-emissions-query-response";
export import CreateUsageCarbonEmissionsQueryResponse = CreateUsageCarbonEmissionsQueryResponse.CreateUsageCarbonEmissionsQueryResponse;
import * as DeleteCustomTableResponse from "./delete-custom-table-response";
export import DeleteCustomTableResponse = DeleteCustomTableResponse.DeleteCustomTableResponse;
import * as DeleteEmailRecipientsGroupResponse from "./delete-email-recipients-group-response";
export import DeleteEmailRecipientsGroupResponse = DeleteEmailRecipientsGroupResponse.DeleteEmailRecipientsGroupResponse;
import * as DeleteQueryResponse from "./delete-query-response";
export import DeleteQueryResponse = DeleteQueryResponse.DeleteQueryResponse;
import * as DeleteScheduleResponse from "./delete-schedule-response";
export import DeleteScheduleResponse = DeleteScheduleResponse.DeleteScheduleResponse;
import * as DeleteUsageCarbonEmissionsQueryResponse from "./delete-usage-carbon-emissions-query-response";
export import DeleteUsageCarbonEmissionsQueryResponse = DeleteUsageCarbonEmissionsQueryResponse.DeleteUsageCarbonEmissionsQueryResponse;
import * as GetCustomTableResponse from "./get-custom-table-response";
export import GetCustomTableResponse = GetCustomTableResponse.GetCustomTableResponse;
import * as GetEmailRecipientsGroupResponse from "./get-email-recipients-group-response";
export import GetEmailRecipientsGroupResponse = GetEmailRecipientsGroupResponse.GetEmailRecipientsGroupResponse;
import * as GetQueryResponse from "./get-query-response";
export import GetQueryResponse = GetQueryResponse.GetQueryResponse;
import * as GetScheduleResponse from "./get-schedule-response";
export import GetScheduleResponse = GetScheduleResponse.GetScheduleResponse;
import * as GetScheduledRunResponse from "./get-scheduled-run-response";
export import GetScheduledRunResponse = GetScheduledRunResponse.GetScheduledRunResponse;
import * as GetUsageCarbonEmissionsQueryResponse from "./get-usage-carbon-emissions-query-response";
export import GetUsageCarbonEmissionsQueryResponse = GetUsageCarbonEmissionsQueryResponse.GetUsageCarbonEmissionsQueryResponse;
import * as ListCustomTablesResponse from "./list-custom-tables-response";
export import ListCustomTablesResponse = ListCustomTablesResponse.ListCustomTablesResponse;
import * as ListEmailRecipientsGroupsResponse from "./list-email-recipients-groups-response";
export import ListEmailRecipientsGroupsResponse = ListEmailRecipientsGroupsResponse.ListEmailRecipientsGroupsResponse;
import * as ListQueriesResponse from "./list-queries-response";
export import ListQueriesResponse = ListQueriesResponse.ListQueriesResponse;
import * as ListScheduledRunsResponse from "./list-scheduled-runs-response";
export import ListScheduledRunsResponse = ListScheduledRunsResponse.ListScheduledRunsResponse;
import * as ListSchedulesResponse from "./list-schedules-response";
export import ListSchedulesResponse = ListSchedulesResponse.ListSchedulesResponse;
import * as ListUsageCarbonEmissionsQueriesResponse from "./list-usage-carbon-emissions-queries-response";
export import ListUsageCarbonEmissionsQueriesResponse = ListUsageCarbonEmissionsQueriesResponse.ListUsageCarbonEmissionsQueriesResponse;
import * as RequestAverageCarbonEmissionResponse from "./request-average-carbon-emission-response";
export import RequestAverageCarbonEmissionResponse = RequestAverageCarbonEmissionResponse.RequestAverageCarbonEmissionResponse;
import * as RequestCleanEnergyUsageResponse from "./request-clean-energy-usage-response";
export import RequestCleanEnergyUsageResponse = RequestCleanEnergyUsageResponse.RequestCleanEnergyUsageResponse;
import * as RequestSummarizedConfigurationsResponse from "./request-summarized-configurations-response";
export import RequestSummarizedConfigurationsResponse = RequestSummarizedConfigurationsResponse.RequestSummarizedConfigurationsResponse;
import * as RequestSummarizedUsagesResponse from "./request-summarized-usages-response";
export import RequestSummarizedUsagesResponse = RequestSummarizedUsagesResponse.RequestSummarizedUsagesResponse;
import * as RequestUsageCarbonEmissionConfigResponse from "./request-usage-carbon-emission-config-response";
export import RequestUsageCarbonEmissionConfigResponse = RequestUsageCarbonEmissionConfigResponse.RequestUsageCarbonEmissionConfigResponse;
import * as RequestUsageCarbonEmissionsResponse from "./request-usage-carbon-emissions-response";
export import RequestUsageCarbonEmissionsResponse = RequestUsageCarbonEmissionsResponse.RequestUsageCarbonEmissionsResponse;
import * as UpdateCustomTableResponse from "./update-custom-table-response";
export import UpdateCustomTableResponse = UpdateCustomTableResponse.UpdateCustomTableResponse;
import * as UpdateEmailRecipientsGroupResponse from "./update-email-recipients-group-response";
export import UpdateEmailRecipientsGroupResponse = UpdateEmailRecipientsGroupResponse.UpdateEmailRecipientsGroupResponse;
import * as UpdateQueryResponse from "./update-query-response";
export import UpdateQueryResponse = UpdateQueryResponse.UpdateQueryResponse;
import * as UpdateScheduleResponse from "./update-schedule-response";
export import UpdateScheduleResponse = UpdateScheduleResponse.UpdateScheduleResponse;
import * as UpdateUsageCarbonEmissionsQueryResponse from "./update-usage-carbon-emissions-query-response";
export import UpdateUsageCarbonEmissionsQueryResponse = UpdateUsageCarbonEmissionsQueryResponse.UpdateUsageCarbonEmissionsQueryResponse;
