/**
 * Usage API
 * Use the Usage API to view your Oracle Cloud usage and costs. The API allows you to request data that meets the specified filter criteria, and to group that data by the chosen dimension. The Usage API is used by the Cost Analysis and Carbon Emissions Analysis tools in the Console. See [Cost Analysis Overview](/Content/Billing/Concepts/costanalysisoverview.htm) and [Using the Usage API](/Content/Billing/Concepts/costanalysisoverview.htm#cost_analysis_using_the_api) for more information.
 * OpenAPI spec version: 20200107
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { UsageapiClient } from "./client";
export declare class UsageapiWaiter {
    private client;
    private readonly config?;
    constructor(client: UsageapiClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forEmailRecipientsGroup till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetEmailRecipientsGroupResponse
     */
    forEmailRecipientsGroup(request: serviceRequests.GetEmailRecipientsGroupRequest, ...targetStates: models.EmailRecipientsGroup.LifecycleState[]): Promise<serviceResponses.GetEmailRecipientsGroupResponse>;
    /**
     * Waits forSchedule till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetScheduleResponse
     */
    forSchedule(request: serviceRequests.GetScheduleRequest, ...targetStates: models.Schedule.LifecycleState[]): Promise<serviceResponses.GetScheduleResponse>;
    /**
     * Waits forScheduledRun till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetScheduledRunResponse
     */
    forScheduledRun(request: serviceRequests.GetScheduledRunRequest, ...targetStates: models.ScheduledRun.LifecycleState[]): Promise<serviceResponses.GetScheduledRunResponse>;
}
