/**
 * Vault Secret Management API
 * Use the Secret Management API to manage secrets and secret versions. For more information, see [Managing Secrets](/Content/KeyManagement/Tasks/managingsecrets.htm).
 * OpenAPI spec version: 20180608
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Generates random bytes. By default, secrets of type Bytes has no structure. The generated bytes are stored as a Base64 encoded string.
 * The SecretTemplate must have the %GENERATED_BYTES% keyword which is replaced with the generated bytes, if provided
 *
 */
export interface BytesGenerationContext extends model.SecretGenerationContext {
    /**
     * Name of random bytes generation template for generating random byte type secret.
     */
    "generationTemplate": BytesGenerationContext.GenerationTemplate;
    "generationType": string;
}
export declare namespace BytesGenerationContext {
    enum GenerationTemplate {
        Bytes512 = "BYTES_512",
        Bytes1024 = "BYTES_1024",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: BytesGenerationContext, isParentJsonObj?: boolean): object;
    const generationType = "BYTES";
    function getDeserializedJsonObj(obj: BytesGenerationContext, isParentJsonObj?: boolean): object;
}
