/**
 * Vault Secret Management API
 * Use the Secret Management API to manage secrets and secret versions. For more information, see [Managing Secrets](/Content/KeyManagement/Tasks/managingsecrets.htm).
 * OpenAPI spec version: 20180608
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Generates Passphrase type secrets. By default, passphrase type secrets have no structure. The generated content is stored in Base64 format.
 * The SecretTemplate must have the %GENERATED_PASSPHRASE% keyword, which is later replaced with the generated content, if provided.
 *
 */
export interface PassphraseGenerationContext extends model.SecretGenerationContext {
    /**
     * Name of passphrase generation template to generate passphrase type secret.
     */
    "generationTemplate": PassphraseGenerationContext.GenerationTemplate;
    /**
     * Length of the passphrase to be generated Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "passphraseLength"?: number;
    "generationType": string;
}
export declare namespace PassphraseGenerationContext {
    enum GenerationTemplate {
        SecretsDefaultPassword = "SECRETS_DEFAULT_PASSWORD",
        DbaasDefaultPassword = "DBAAS_DEFAULT_PASSWORD",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: PassphraseGenerationContext, isParentJsonObj?: boolean): object;
    const generationType = "PASSPHRASE";
    function getDeserializedJsonObj(obj: PassphraseGenerationContext, isParentJsonObj?: boolean): object;
}
