/**
 * Vault Secret Management API
 * Use the Secret Management API to manage secrets and secret versions. For more information, see [Managing Secrets](/Content/KeyManagement/Tasks/managingsecrets.htm).
 * OpenAPI spec version: 20180608
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A rule that disallows reuse of previously used secret content by the specified secret.
 *
 */
export interface SecretReuseRule extends model.SecretRule {
    /**
     * A property indicating whether the rule is applied even if the secret version with the content you are trying to reuse was deleted.
     *
     */
    "isEnforcedOnDeletedSecretVersions"?: boolean;
    "ruleType": string;
}
export declare namespace SecretReuseRule {
    function getJsonObj(obj: SecretReuseRule, isParentJsonObj?: boolean): object;
    const ruleType = "SECRET_REUSE_RULE";
    function getDeserializedJsonObj(obj: SecretReuseRule, isParentJsonObj?: boolean): object;
}
