"use strict";
/**
 * Vault Secret Management API
 * Use the Secret Management API to manage secrets and secret versions. For more information, see [Managing Secrets](/Content/KeyManagement/Tasks/managingsecrets.htm).
 * OpenAPI spec version: 20180608
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretRule = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var SecretRule;
(function (SecretRule) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "ruleType" in obj && obj.ruleType) {
            switch (obj.ruleType) {
                case "SECRET_EXPIRY_RULE":
                    return model.SecretExpiryRule.getJsonObj(jsonObj, true);
                case "SECRET_REUSE_RULE":
                    return model.SecretReuseRule.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.ruleType}`);
            }
        }
        return jsonObj;
    }
    SecretRule.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "ruleType" in obj && obj.ruleType) {
            switch (obj.ruleType) {
                case "SECRET_EXPIRY_RULE":
                    return model.SecretExpiryRule.getDeserializedJsonObj(jsonObj, true);
                case "SECRET_REUSE_RULE":
                    return model.SecretReuseRule.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.ruleType}`);
            }
        }
        return jsonObj;
    }
    SecretRule.getDeserializedJsonObj = getDeserializedJsonObj;
})(SecretRule = exports.SecretRule || (exports.SecretRule = {}));
//# sourceMappingURL=secret-rule.js.map