/**
 * Vault Secret Management API
 * Use the Secret Management API to manage secrets and secret versions. For more information, see [Managing Secrets](/Content/KeyManagement/Tasks/managingsecrets.htm).
 * OpenAPI spec version: 20180608
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Generates ssh keys. By default, the keys are stored as - {\"publicKey\": \"%GENERATED_PUBLIC_KEY%\", \"privateKey\": \"%GENERATED_PRIVATE_KEY%\"} in PEM format.
 * The SecretTemplate must have both %GENERATED_PUBLIC_KEY% and %GENERATED_PRIVATE_KEY% keywords which is later replaced with the respective keys, if provided.
 *
 */
export interface SshKeyGenerationContext extends model.SecretGenerationContext {
    /**
     * Name of SSH key generation template to generate SSH key type secret.
     */
    "generationTemplate": SshKeyGenerationContext.GenerationTemplate;
    "generationType": string;
}
export declare namespace SshKeyGenerationContext {
    enum GenerationTemplate {
        Rsa2048 = "RSA_2048",
        Rsa3072 = "RSA_3072",
        Rsa4096 = "RSA_4096",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: SshKeyGenerationContext, isParentJsonObj?: boolean): object;
    const generationType = "SSH_KEY";
    function getDeserializedJsonObj(obj: SshKeyGenerationContext, isParentJsonObj?: boolean): object;
}
