/**
 * VbsControlplaneInstance API
 * A description of the VbsControlplaneInstance API
 * OpenAPI spec version: 20180828
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information about new VbsInstance.
 */
export interface CreateVbsInstanceDetails {
    /**
     * Compartment Identifier
     */
    "compartmentId": string;
    /**
     * Service Instance Name
     */
    "name": string;
    /**
     * Display Name
     */
    "displayName": string;
    /**
     * Whether VBS is authorized to create and use resources in the customer tenancy
     */
    "isResourceUsageAgreementGranted"?: boolean;
    /**
     * Compartment where VBS may create additional resources for the service instance
     */
    "resourceCompartmentId"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateVbsInstanceDetails {
    function getJsonObj(obj: CreateVbsInstanceDetails): object;
    function getDeserializedJsonObj(obj: CreateVbsInstanceDetails): object;
}
