/**
 * Visual Builder API
 * Oracle Visual Builder enables developers to quickly build web and mobile applications. With a visual development environment that makes it easy to connect to Oracle data and third-party REST services, developers can build modern, consumer-grade applications in a fraction of the time it would take in other tools.
The Visual Builder Instance Management API allows users to create and manage a Visual Builder instance.

 * OpenAPI spec version: 20210601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the Vb Instance's applications.
 */
export interface ApplicationSummary {
    /**
     * Unique identifier of the application.
     */
    "id": string;
    /**
     * Project identifier.
     */
    "projectId": string;
    /**
     * Version of deployed application.
     */
    "version": string;
    /**
     * Represents the deployment state of the application.
     */
    "state": ApplicationSummary.State;
}
export declare namespace ApplicationSummary {
    enum State {
        Stage = "STAGE",
        Live = "LIVE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: ApplicationSummary): object;
    function getDeserializedJsonObj(obj: ApplicationSummary): object;
}
