/**
 * Visual Builder API
 * Oracle Visual Builder enables developers to quickly build web and mobile applications. With a visual development environment that makes it easy to connect to Oracle data and third-party REST services, developers can build modern, consumer-grade applications in a fraction of the time it would take in other tools.
The Visual Builder Instance Management API allows users to create and manage a Visual Builder instance.

 * OpenAPI spec version: 20210601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Description of an attachments for this instance
 */
export interface AttachmentDetails {
    /**
     * The role of the target attachment.
     *    * {@code PARENT} - The target instance is the parent of this attachment.
     *    * {@code CHILD} - The target instance is the child of this attachment.
     *
     */
    "targetRole": AttachmentDetails.TargetRole;
    /**
     * * If role == {@code PARENT}, the attached instance was created by this service instance
     * * If role == {@code CHILD}, this instance was created from attached instance on behalf of a user
     *
     */
    "isImplicit": boolean;
    /**
     * The OCID of the target instance (which could be any other OCI PaaS/SaaS resource), to which this instance is attached.
     */
    "targetId": string;
    /**
     * The dataplane instance URL of the attached instance
     */
    "targetInstanceUrl": string;
    /**
     * The type of the target instance, such as \"FUSION\".
     */
    "targetServiceType": string;
}
export declare namespace AttachmentDetails {
    enum TargetRole {
        Parent = "PARENT",
        Child = "CHILD",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: AttachmentDetails): object;
    function getDeserializedJsonObj(obj: AttachmentDetails): object;
}
