/**
 * Visual Builder API
 * Oracle Visual Builder enables developers to quickly build web and mobile applications. With a visual development environment that makes it easy to connect to Oracle data and third-party REST services, developers can build modern, consumer-grade applications in a fraction of the time it would take in other tools.
The Visual Builder Instance Management API allows users to create and manage a Visual Builder instance.

 * OpenAPI spec version: 20210601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for a custom endpoint for the vb instance (update).
 */
export interface CreateCustomEndpointDetails {
    /**
     * A custom hostname to be used for the vb instance URL, in FQDN format.
     */
    "hostname": string;
    /**
     * Optional OCID of a vault/secret containing a private SSL certificate bundle to be used for the custom hostname.
     * All certificates should be stored in a single base64 encoded secret
     * Note the update will fail if this is not a valid certificate.
     *
     */
    "certificateSecretId"?: string;
}
export declare namespace CreateCustomEndpointDetails {
    function getJsonObj(obj: CreateCustomEndpointDetails): object;
    function getDeserializedJsonObj(obj: CreateCustomEndpointDetails): object;
}
