/**
 * Visual Builder API
 * Oracle Visual Builder enables developers to quickly build web and mobile applications. With a visual development environment that makes it easy to connect to Oracle data and third-party REST services, developers can build modern, consumer-grade applications in a fraction of the time it would take in other tools.
The Visual Builder Instance Management API allows users to create and manage a Visual Builder instance.

 * OpenAPI spec version: 20210601
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for a custom endpoint for the vb instance.
 */
export interface CustomEndpointDetails {
    /**
     * A custom hostname to be used for the vb instance URL, in FQDN format.
     */
    "hostname": string;
    /**
     * Optional OCID of a vault/secret containing a private SSL certificate bundle to be used for the custom hostname.
     *
     */
    "certificateSecretId"?: string;
    /**
     * The secret version used for the certificate-secret-id (if certificate-secret-id is specified).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "certificateSecretVersion"?: number;
}
export declare namespace CustomEndpointDetails {
    function getJsonObj(obj: CustomEndpointDetails): object;
    function getDeserializedJsonObj(obj: CustomEndpointDetails): object;
}
