/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information used to add capacity to an IP pool.
 */
export interface AddPublicIpPoolCapacityDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the {@code ByoipRange} resource to which the CIDR block belongs.
     */
    "byoipRangeId": string;
    /**
     * The CIDR block to add to the public IP pool. It could be all of the CIDR block identified in {@code byoipRangeId}, or a subrange.
     * Example: {@code 10.0.1.0/24}
     *
     */
    "cidrBlock": string;
}
export declare namespace AddPublicIpPoolCapacityDetails {
    function getJsonObj(obj: AddPublicIpPoolCapacityDetails): object;
    function getDeserializedJsonObj(obj: AddPublicIpPoolCapacityDetails): object;
}
