/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The list of one or more BYOIPv6 CIDR blocks for the VCN that meets the following criteria:
 * - The CIDR must from a BYOIPv6 range.
 * - The IPv6 CIDR blocks must be valid.
 * - Multiple CIDR blocks must not overlap each other or the on-premises network CIDR block.
 * - The number of CIDR blocks must not exceed the limit of IPv6 CIDR blocks allowed to a VCN.
 *
 */
export interface Byoipv6CidrDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the {@code ByoipRange} resource to which the CIDR block belongs.
     */
    "byoipv6RangeId": string;
    /**
     * An IPv6 CIDR block required to create a VCN with a BYOIP prefix. It could be the whole CIDR block identified in {@code byoipv6RangeId}, or a subrange.
     * Example: {@code 2001:0db8:0123::/48}
     *
     */
    "ipv6CidrBlock": string;
}
export declare namespace Byoipv6CidrDetails {
    function getJsonObj(obj: Byoipv6CidrDetails): object;
    function getDeserializedJsonObj(obj: Byoipv6CidrDetails): object;
}
