/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Defines details for the security action taken on denied traffic.
 *
 */
export interface DeniedSecurityActionDetails {
    /**
     * If true, the evaluated security list and network security group ID details are incomplete.
     */
    "isRestrictedOrPartial": boolean;
    /**
     * The list of [OCIDs](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of evaluated security lists associcated
     * with the OCI resource's subnet.
     *
     */
    "evaluatedSecurityListIds"?: Array<string>;
    /**
     * List of [OCIDs](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of evaluated network security groups
     * associated with the OCI resource's VNIC.
     *
     */
    "evaluatedNsgIds"?: Array<string>;
}
export declare namespace DeniedSecurityActionDetails {
    function getJsonObj(obj: DeniedSecurityActionDetails): object;
    function getDeserializedJsonObj(obj: DeniedSecurityActionDetails): object;
}
