/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * These configuration details are used for dead peer detection (DPD). DPD periodically checks the stability of the connection to the customer premises (CPE), and may be used to detect that the link to the CPE has gone down.
 *
 */
export interface DpdConfig {
    /**
     * This option defines whether DPD can be initiated from the Oracle side of the connection.
     *
     */
    "dpdMode"?: DpdConfig.DpdMode;
    /**
     * DPD timeout in seconds. This sets the longest interval between CPE device health messages before the IPSec connection indicates it has lost contact with the CPE. The default is 20 seconds.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "dpdTimeoutInSec"?: number;
}
export declare namespace DpdConfig {
    enum DpdMode {
        InitiateAndRespond = "INITIATE_AND_RESPOND",
        RespondOnly = "RESPOND_ONLY"
    }
    function getJsonObj(obj: DpdConfig): object;
    function getDeserializedJsonObj(obj: DpdConfig): object;
}
