/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The criteria by which a specific attachment will import routes to the DRG.
 *
 */
export interface DrgAttachmentIdDrgRouteDistributionMatchCriteria extends model.DrgRouteDistributionMatchCriteria {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the DRG attachment.
     *
     */
    "drgAttachmentId": string;
    "matchType": string;
}
export declare namespace DrgAttachmentIdDrgRouteDistributionMatchCriteria {
    function getJsonObj(obj: DrgAttachmentIdDrgRouteDistributionMatchCriteria, isParentJsonObj?: boolean): object;
    const matchType = "DRG_ATTACHMENT_ID";
    function getDeserializedJsonObj(obj: DrgAttachmentIdDrgRouteDistributionMatchCriteria, isParentJsonObj?: boolean): object;
}
