/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Defines the traffic configuration that leaves the traffic node.
 */
export interface EgressTrafficSpec {
    /**
     * The IP protocol to use for the traffic path analysis. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "protocol": number;
    /**
     * The IPv4 address of the source node.
     */
    "sourceAddress": string;
    /**
     * The IPv4 address of the destination node.
     */
    "destinationAddress": string;
    "trafficProtocolParameters"?: model.IcmpTrafficProtocolParameters | model.UdpTrafficProtocolParameters | model.TcpTrafficProtocolParameters;
}
export declare namespace EgressTrafficSpec {
    function getJsonObj(obj: EgressTrafficSpec): object;
    function getDeserializedJsonObj(obj: EgressTrafficSpec): object;
}
