"use strict";
/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Endpoint = void 0;
const model = __importStar(require("../model"));
const common = require("oci-common");
var Endpoint;
(function (Endpoint) {
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "NETWORK_LOAD_BALANCER_LISTENER":
                    return model.NetworkLoadBalancerListenerEndpoint.getJsonObj(jsonObj, true);
                case "COMPUTE_INSTANCE":
                    return model.ComputeInstanceEndpoint.getJsonObj(jsonObj, true);
                case "NETWORK_LOAD_BALANCER":
                    return model.NetworkLoadBalancerEndpoint.getJsonObj(jsonObj, true);
                case "ON_PREM":
                    return model.OnPremEndpoint.getJsonObj(jsonObj, true);
                case "LOAD_BALANCER":
                    return model.LoadBalancerEndpoint.getJsonObj(jsonObj, true);
                case "VNIC":
                    return model.VnicEndpoint.getJsonObj(jsonObj, true);
                case "IP_ADDRESS":
                    return model.IpAddressEndpoint.getJsonObj(jsonObj, true);
                case "VLAN":
                    return model.VlanEndpoint.getJsonObj(jsonObj, true);
                case "SUBNET":
                    return model.SubnetEndpoint.getJsonObj(jsonObj, true);
                case "LOAD_BALANCER_LISTENER":
                    return model.LoadBalancerListenerEndpoint.getJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    Endpoint.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {});
        if (obj && "type" in obj && obj.type) {
            switch (obj.type) {
                case "NETWORK_LOAD_BALANCER_LISTENER":
                    return model.NetworkLoadBalancerListenerEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "COMPUTE_INSTANCE":
                    return model.ComputeInstanceEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "NETWORK_LOAD_BALANCER":
                    return model.NetworkLoadBalancerEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "ON_PREM":
                    return model.OnPremEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "LOAD_BALANCER":
                    return model.LoadBalancerEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "VNIC":
                    return model.VnicEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "IP_ADDRESS":
                    return model.IpAddressEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "VLAN":
                    return model.VlanEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "SUBNET":
                    return model.SubnetEndpoint.getDeserializedJsonObj(jsonObj, true);
                case "LOAD_BALANCER_LISTENER":
                    return model.LoadBalancerListenerEndpoint.getDeserializedJsonObj(jsonObj, true);
                default:
                    if (common.LOG.logger)
                        common.LOG.logger.info(`Unknown value for: ${obj.type}`);
            }
        }
        return jsonObj;
    }
    Endpoint.getDeserializedJsonObj = getDeserializedJsonObj;
})(Endpoint = exports.Endpoint || (exports.Endpoint = {}));
//# sourceMappingURL=endpoint.js.map