/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the loopback attachment on the DRG. A loopback attachment can be used to terminate a virtual circuit that is carrying an IPSec tunnel, routing traffic directly to the IPSec tunnel attachment where the tunnel can terminate.
 */
export interface LoopBackDrgAttachmentNetworkDetails extends model.DrgAttachmentNetworkDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the target IPSec tunnel attachment.
     */
    "ids"?: Array<string>;
    "type": string;
}
export declare namespace LoopBackDrgAttachmentNetworkDetails {
    function getJsonObj(obj: LoopBackDrgAttachmentNetworkDetails, isParentJsonObj?: boolean): object;
    const type = "LOOPBACK";
    function getDeserializedJsonObj(obj: LoopBackDrgAttachmentNetworkDetails, isParentJsonObj?: boolean): object;
}
