/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Defines the routing action taken on traffic flow with no route found.
 *
 */
export interface NoRouteRoutingActionDetails {
    /**
     * If true, the evaluated route table details are incomplete.
     */
    "isRestrictedOrPartial": boolean;
    /**
     * [OCIDs](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the evaluated VCN route table.
     *
     */
    "evaluatedVcnRouteTableId"?: string;
    /**
     * [OCIDs](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of evaluated DRG route table.
     *
     */
    "evaluatedDrgRouteTableId"?: string;
}
export declare namespace NoRouteRoutingActionDetails {
    function getJsonObj(obj: NoRouteRoutingActionDetails): object;
    function getDeserializedJsonObj(obj: NoRouteRoutingActionDetails): object;
}
