/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Defines the {@code routesTo} relationship between virtual network topology entities. A {@code RoutesTo} relationship
 * is defined when a routing table and a routing rule  are used to govern how to route traffic
 * from one entity to another. For example, a DRG might have a routing rule to send certain traffic to an LPG.
 *
 */
export interface TopologyRoutesToEntityRelationship extends model.TopologyEntityRelationship {
    "routeRuleDetails": model.TopologyRoutesToRelationshipDetails;
    "type": string;
}
export declare namespace TopologyRoutesToEntityRelationship {
    function getJsonObj(obj: TopologyRoutesToEntityRelationship, isParentJsonObj?: boolean): object;
    const type = "ROUTES_TO";
    function getDeserializedJsonObj(obj: TopologyRoutesToEntityRelationship, isParentJsonObj?: boolean): object;
}
