/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Defines route rule details for a {@code routesTo} relationship.
 */
export interface TopologyRoutesToRelationshipDetails {
    /**
     * The destinationType can be set to one of two values:
     * <p>
     * Use {@code CIDR_BLOCK} if the rule's {@code destination} is an IP address range in CIDR notation.
     * <p>
     * Use {@code SERVICE_CIDR_BLOCK} if the rule's {@code destination} is the {@code cidrBlock} value for a {@link Service}.
     *
     */
    "destinationType": string;
    /**
     * An IP address range in CIDR notation or the {@code cidrBlock} value for a {@link Service}.
     */
    "destination": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the routing table that contains the route rule.
     */
    "routeTableId": string;
    /**
     * A route rule can be {@code STATIC} if manually added to the route table or {@code DYNAMIC} if imported from another route table.
     *
     */
    "routeType"?: TopologyRoutesToRelationshipDetails.RouteType;
}
export declare namespace TopologyRoutesToRelationshipDetails {
    enum RouteType {
        Static = "STATIC",
        Dynamic = "DYNAMIC",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TopologyRoutesToRelationshipDetails): object;
    function getDeserializedJsonObj(obj: TopologyRoutesToRelationshipDetails): object;
}
