/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Defines the traffic route taken in the path in {@code PathAnalysisResult}.
 */
export interface TrafficRoute {
    /**
     * Reachability status for the given traffic route.
     */
    "reachabilityStatus": TrafficRoute.ReachabilityStatus;
    /**
     * The ordered sequence of nodes in the given the traffic route forming a path.
     */
    "nodes": Array<model.TrafficNode>;
    /**
     * A description of the traffic route analysis. For example: \"Traffic might not reach a destination
     * due to the LB backend being unhealthy\".
     *
     */
    "routeAnalysisDescription"?: string;
}
export declare namespace TrafficRoute {
    enum ReachabilityStatus {
        Reachable = "REACHABLE",
        Unreachable = "UNREACHABLE",
        Indeterminate = "INDETERMINATE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: TrafficRoute): object;
    function getDeserializedJsonObj(obj: TrafficRoute): object;
}
