/**
 * Network Monitoring API
 * Use the Network Monitoring API to troubleshoot routing and security issues for resources such as virtual cloud networks (VCNs) and compute instances. For more information, see the console
documentation for the [Network Path Analyzer](/iaas/Content/Network/Concepts/path_analyzer.htm) tool.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Deprecated. For tunnel information, instead see:
 * <p>
 * {@link IPSecConnectionTunnel}
 *   * {@link IPSecConnectionTunnelSharedSecret}
 *
 */
export interface TunnelConfig {
    /**
      * The IP address of Oracle's VPN headend.
  * <p>
  Example: {@code 203.0.113.50 }
  *
      */
    "ipAddress": string;
    /**
     * The shared secret of the IPSec tunnel.
     *
     */
    "sharedSecret": string;
    /**
      * The date and time the IPSec connection was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
  * <p>
  Example: {@code 2016-08-25T21:10:29.600Z}
  *
      */
    "timeCreated"?: Date;
}
export declare namespace TunnelConfig {
    function getJsonObj(obj: TunnelConfig): object;
    function getDeserializedJsonObj(obj: TunnelConfig): object;
}
