/**
 * Web Application Acceleration (WAA) API
 * API for the Web Application Acceleration service.
Use this API to manage regional Web App Acceleration policies such as Caching and Compression
for accelerating HTTP services.

 * OpenAPI spec version: 20211230
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * An object that specifies the gzip compression policy.
 *
 */
export interface GzipCompressionPolicy {
    /**
      * When true, support for gzip compression is enabled. HTTP responses will be compressed with gzip only if the
  * client indicates support for gzip via the \"Accept-Encoding: gzip\" request header.
  * <p>
  When false, support for gzip compression is disabled and HTTP responses will not be compressed with gzip
  * even if the client indicates support for gzip.
  *
      */
    "isEnabled"?: boolean;
}
export declare namespace GzipCompressionPolicy {
    function getJsonObj(obj: GzipCompressionPolicy): object;
    function getDeserializedJsonObj(obj: GzipCompressionPolicy): object;
}
