/**
 * Web Application Acceleration (WAA) API
 * API for the Web Application Acceleration service.
Use this API to manage regional Web App Acceleration policies such as Caching and Compression
for accelerating HTTP services.

 * OpenAPI spec version: 20211230
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as BackendType from "./backend-type";
export import BackendType = BackendType.BackendType;
import * as ChangeResourceCompartmentDetails from "./change-resource-compartment-details";
export import ChangeResourceCompartmentDetails = ChangeResourceCompartmentDetails.ChangeResourceCompartmentDetails;
import * as ChangeWebAppAccelerationCompartmentDetails from "./change-web-app-acceleration-compartment-details";
export import ChangeWebAppAccelerationCompartmentDetails = ChangeWebAppAccelerationCompartmentDetails.ChangeWebAppAccelerationCompartmentDetails;
import * as ChangeWebAppAccelerationPolicyCompartmentDetails from "./change-web-app-acceleration-policy-compartment-details";
export import ChangeWebAppAccelerationPolicyCompartmentDetails = ChangeWebAppAccelerationPolicyCompartmentDetails.ChangeWebAppAccelerationPolicyCompartmentDetails;
import * as CreateWebAppAccelerationDetails from "./create-web-app-acceleration-details";
export import CreateWebAppAccelerationDetails = CreateWebAppAccelerationDetails.CreateWebAppAccelerationDetails;
import * as CreateWebAppAccelerationPolicyDetails from "./create-web-app-acceleration-policy-details";
export import CreateWebAppAccelerationPolicyDetails = CreateWebAppAccelerationPolicyDetails.CreateWebAppAccelerationPolicyDetails;
import * as GzipCompressionPolicy from "./gzip-compression-policy";
export import GzipCompressionPolicy = GzipCompressionPolicy.GzipCompressionPolicy;
import * as PurgeWebAppAccelerationCacheDetails from "./purge-web-app-acceleration-cache-details";
export import PurgeWebAppAccelerationCacheDetails = PurgeWebAppAccelerationCacheDetails.PurgeWebAppAccelerationCacheDetails;
import * as ResponseCachingPolicy from "./response-caching-policy";
export import ResponseCachingPolicy = ResponseCachingPolicy.ResponseCachingPolicy;
import * as ResponseCompressionPolicy from "./response-compression-policy";
export import ResponseCompressionPolicy = ResponseCompressionPolicy.ResponseCompressionPolicy;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as UpdateWebAppAccelerationDetails from "./update-web-app-acceleration-details";
export import UpdateWebAppAccelerationDetails = UpdateWebAppAccelerationDetails.UpdateWebAppAccelerationDetails;
import * as UpdateWebAppAccelerationPolicyDetails from "./update-web-app-acceleration-policy-details";
export import UpdateWebAppAccelerationPolicyDetails = UpdateWebAppAccelerationPolicyDetails.UpdateWebAppAccelerationPolicyDetails;
import * as WebAppAcceleration from "./web-app-acceleration";
export import WebAppAcceleration = WebAppAcceleration.WebAppAcceleration;
import * as WebAppAccelerationCollection from "./web-app-acceleration-collection";
export import WebAppAccelerationCollection = WebAppAccelerationCollection.WebAppAccelerationCollection;
import * as WebAppAccelerationPolicy from "./web-app-acceleration-policy";
export import WebAppAccelerationPolicy = WebAppAccelerationPolicy.WebAppAccelerationPolicy;
import * as WebAppAccelerationPolicyCollection from "./web-app-acceleration-policy-collection";
export import WebAppAccelerationPolicyCollection = WebAppAccelerationPolicyCollection.WebAppAccelerationPolicyCollection;
import * as WebAppAccelerationPolicySummary from "./web-app-acceleration-policy-summary";
export import WebAppAccelerationPolicySummary = WebAppAccelerationPolicySummary.WebAppAccelerationPolicySummary;
import * as WebAppAccelerationSummary from "./web-app-acceleration-summary";
export import WebAppAccelerationSummary = WebAppAccelerationSummary.WebAppAccelerationSummary;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestCollection from "./work-request-collection";
export import WorkRequestCollection = WorkRequestCollection.WorkRequestCollection;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as CreateWebAppAccelerationLoadBalancerDetails from "./create-web-app-acceleration-load-balancer-details";
export import CreateWebAppAccelerationLoadBalancerDetails = CreateWebAppAccelerationLoadBalancerDetails.CreateWebAppAccelerationLoadBalancerDetails;
import * as PurgeEntireWebAppAccelerationCacheDetails from "./purge-entire-web-app-acceleration-cache-details";
export import PurgeEntireWebAppAccelerationCacheDetails = PurgeEntireWebAppAccelerationCacheDetails.PurgeEntireWebAppAccelerationCacheDetails;
import * as WebAppAccelerationLoadBalancer from "./web-app-acceleration-load-balancer";
export import WebAppAccelerationLoadBalancer = WebAppAccelerationLoadBalancer.WebAppAccelerationLoadBalancer;
import * as WebAppAccelerationLoadBalancerSummary from "./web-app-acceleration-load-balancer-summary";
export import WebAppAccelerationLoadBalancerSummary = WebAppAccelerationLoadBalancerSummary.WebAppAccelerationLoadBalancerSummary;
