/**
 * Web Application Acceleration (WAA) API
 * API for the Web Application Acceleration service.
Use this API to manage regional Web App Acceleration policies such as Caching and Compression
for accelerating HTTP services.

 * OpenAPI spec version: 20211230
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
* An object that specifies a compression policy for HTTP response from ENABLEMENT POINT to the client.
* <p>
This compression policy can be used to enable support for HTTP response compression algorithms like gzip and
* configure the conditions of when a compression algorithm will be used.
* <p>
HTTP responses will only be compressed if the client indicates support for one of the enabled compression
* algorithms via the \"Accept-Encoding\" request header.
*
*/
export interface ResponseCompressionPolicy {
    "gzipCompression"?: model.GzipCompressionPolicy;
}
export declare namespace ResponseCompressionPolicy {
    function getJsonObj(obj: ResponseCompressionPolicy): object;
    function getDeserializedJsonObj(obj: ResponseCompressionPolicy): object;
}
