/**
 * Web Application Acceleration and Security Services API
 * OCI Web Application Acceleration and Security Services
 * OpenAPI spec version: 20181116
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The IP rate limiting configuration. Defines the amount of allowed requests from a unique IP address and the resulting block response code when that threshold is exceeded.
 */
export interface AddressRateLimiting {
    /**
     * Enables or disables the address rate limiting Web Application Firewall feature.
     */
    "isEnabled": boolean;
    /**
     * The number of allowed requests per second from one IP address. If unspecified, defaults to {@code 1}. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "allowedRatePerAddress"?: number;
    /**
     * The maximum number of requests allowed to be queued before subsequent requests are dropped. If unspecified, defaults to {@code 10}. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxDelayedCountPerAddress"?: number;
    /**
     * The response status code returned when a request is blocked. If unspecified, defaults to {@code 503}. The list of available response codes: {@code 400}, {@code 401}, {@code 403}, {@code 404}, {@code 405}, {@code 408}, {@code 409}, {@code 411}, {@code 412}, {@code 413}, {@code 414}, {@code 415}, {@code 416}, {@code 422}, {@code 494}, {@code 495}, {@code 496}, {@code 497}, {@code 499}, {@code 500}, {@code 501}, {@code 502}, {@code 503}, {@code 504}, {@code 507}. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "blockResponseCode"?: number;
}
export declare namespace AddressRateLimiting {
    function getJsonObj(obj: AddressRateLimiting): object;
    function getDeserializedJsonObj(obj: AddressRateLimiting): object;
}
