/**
 * Web Application Acceleration and Security Services API
 * OCI Web Application Acceleration and Security Services
 * OpenAPI spec version: 20181116
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The challenge settings if {@code action} is set to {@code BLOCK}.
 */
export interface BlockChallengeSettings {
    /**
     * The method used to block requests that fail the challenge, if {@code action} is set to {@code BLOCK}. If unspecified, defaults to {@code SHOW_ERROR_PAGE}.
     */
    "blockAction"?: BlockChallengeSettings.BlockAction;
    /**
     * The response status code to return when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SET_RESPONSE_CODE} or {@code SHOW_ERROR_PAGE}, and the request is blocked. If unspecified, defaults to {@code 403}. The list of available response codes: {@code 200}, {@code 201}, {@code 202}, {@code 204}, {@code 206}, {@code 300}, {@code 301}, {@code 302}, {@code 303}, {@code 304}, {@code 307}, {@code 400}, {@code 401}, {@code 403}, {@code 404}, {@code 405}, {@code 408}, {@code 409}, {@code 411}, {@code 412}, {@code 413}, {@code 414}, {@code 415}, {@code 416}, {@code 422}, {@code 444}, {@code 494}, {@code 495}, {@code 496}, {@code 497}, {@code 499}, {@code 500}, {@code 501}, {@code 502}, {@code 503}, {@code 504}, {@code 507}. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "blockResponseCode"?: number;
    /**
     * The message to show on the error page when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SHOW_ERROR_PAGE}, and the request is blocked. If unspecified, defaults to {@code Access to the website is blocked}.
     */
    "blockErrorPageMessage"?: string;
    /**
     * The description text to show on the error page when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SHOW_ERROR_PAGE}, and the request is blocked. If unspecified, defaults to {@code Access blocked by website owner. Please contact support.}
     */
    "blockErrorPageDescription"?: string;
    /**
     * The error code to show on the error page when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SHOW_ERROR_PAGE} and the request is blocked. If unspecified, defaults to {@code 403}.
     */
    "blockErrorPageCode"?: string;
    /**
     * The title used when showing a CAPTCHA challenge when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SHOW_CAPTCHA}, and the request is blocked. If unspecified, defaults to {@code Are you human?}
     */
    "captchaTitle"?: string;
    /**
     * The text to show in the header when showing a CAPTCHA challenge when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SHOW_CAPTCHA}, and the request is blocked. If unspecified, defaults to {@code We have detected an increased number of attempts to access this webapp. To help us keep this webapp secure, please let us know that you are not a robot by entering the text from captcha below.}
     */
    "captchaHeader"?: string;
    /**
     * The text to show in the footer when showing a CAPTCHA challenge when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SHOW_CAPTCHA}, and the request is blocked. If unspecified, default to {@code Enter the letters and numbers as they are shown in image above}.
     */
    "captchaFooter"?: string;
    /**
     * The text to show on the label of the CAPTCHA challenge submit button when {@code action} is set to {@code BLOCK}, {@code blockAction} is set to {@code SHOW_CAPTCHA}, and the request is blocked. If unspecified, defaults to {@code Yes, I am human}.
     */
    "captchaSubmitLabel"?: string;
}
export declare namespace BlockChallengeSettings {
    enum BlockAction {
        SetResponseCode = "SET_RESPONSE_CODE",
        ShowErrorPage = "SHOW_ERROR_PAGE",
        ShowCaptcha = "SHOW_CAPTCHA",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: BlockChallengeSettings): object;
    function getDeserializedJsonObj(obj: BlockChallengeSettings): object;
}
