/**
 * Web Application Acceleration and Security Services API
 * OCI Web Application Acceleration and Security Services
 * OpenAPI spec version: 20181116
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The settings of the CAPTCHA challenge. If a specific URL should be accessed only by a human, a CAPTCHA challenge can be placed at the URL to protect the web application from bots.
 * <p>
 *Warning:* Oracle recommends that you avoid using any confidential information when you supply string values using the API.
 */
export interface Captcha {
    /**
     * The unique URL path at which to show the CAPTCHA challenge.
     */
    "url": string;
    /**
     * The amount of time before the CAPTCHA expires, in seconds. If unspecified, defaults to {@code 300}. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sessionExpirationInSeconds": number;
    /**
     * The title used when displaying a CAPTCHA challenge. If unspecified, defaults to {@code Are you human?}
     */
    "title": string;
    /**
     * The text to show in the header when showing a CAPTCHA challenge. If unspecified, defaults to 'We have detected an increased number of attempts to access this website. To help us keep this site secure, please let us know that you are not a robot by entering the text from the image below.'
     */
    "headerText"?: string;
    /**
     * The text to show in the footer when showing a CAPTCHA challenge. If unspecified, defaults to 'Enter the letters and numbers as they are shown in the image above.'
     */
    "footerText"?: string;
    /**
     * The text to show when incorrect CAPTCHA text is entered. If unspecified, defaults to {@code The CAPTCHA was incorrect. Try again.}
     */
    "failureMessage": string;
    /**
     * The text to show on the label of the CAPTCHA challenge submit button. If unspecified, defaults to {@code Yes, I am human}.
     */
    "submitLabel": string;
}
export declare namespace Captcha {
    function getJsonObj(obj: Captcha): object;
    function getDeserializedJsonObj(obj: Captcha): object;
}
