/**
 * Web Application Acceleration and Security Services API
 * OCI Web Application Acceleration and Security Services
 * OpenAPI spec version: 20181116
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An object that represents the action of adding a header field to a response.
 * If the header with specified value already exists, nothing will be added.
 * If the header exists with different value, additional header name:value pair will be added.
 * Comma separated header values are not considered individually (instead as a single value) when adding a new header field.
 *
 */
export interface ExtendHttpResponseHeaderAction extends model.HeaderManipulationAction {
    /**
      * A header field name that conforms to RFC 7230.
  * <p>
  Example: {@code example_header_name}
  *
      */
    "header": string;
    /**
      * A header field value that conforms to RFC 7230.
  * <p>
  Example: {@code example_value}
  *
      */
    "value": string;
    "action": string;
}
export declare namespace ExtendHttpResponseHeaderAction {
    function getJsonObj(obj: ExtendHttpResponseHeaderAction, isParentJsonObj?: boolean): object;
    const action = "EXTEND_HTTP_RESPONSE_HEADER";
    function getDeserializedJsonObj(obj: ExtendHttpResponseHeaderAction, isParentJsonObj?: boolean): object;
}
