/**
 * Web Application Acceleration and Security Services API
 * OCI Web Application Acceleration and Security Services
 * OpenAPI spec version: 20181116
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
export interface WafBlockedRequest {
    /**
     * The date and time the blocked requests were observed, expressed in RFC 3339 timestamp format.
     */
    "timeObserved"?: Date;
    /**
     * The number of seconds the data covers. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "timeRangeInSeconds"?: number;
    /**
     * The specific Web Application Firewall feature that blocked the requests, such as JavaScript Challenge or Access Control.
     */
    "wafFeature"?: WafBlockedRequest.WafFeature;
    /**
     * The count of blocked requests. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "count"?: number;
}
export declare namespace WafBlockedRequest {
    enum WafFeature {
        ProtectionRules = "PROTECTION_RULES",
        JsChallenge = "JS_CHALLENGE",
        AccessRules = "ACCESS_RULES",
        ThreatFeeds = "THREAT_FEEDS",
        HumanInteractionChallenge = "HUMAN_INTERACTION_CHALLENGE",
        DeviceFingerprintChallenge = "DEVICE_FINGERPRINT_CHALLENGE",
        Captcha = "CAPTCHA",
        AddressRateLimiting = "ADDRESS_RATE_LIMITING",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: WafBlockedRequest): object;
    function getDeserializedJsonObj(obj: WafBlockedRequest): object;
}
