/**
 * Web Application Firewall (WAF) API
 * API for the Web Application Firewall service.
Use this API to manage regional Web App Firewalls and corresponding policies for protecting HTTP services.

 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A pair of VCN OCID and private IP address prefix in CIDR notation.
 */
export interface PrivateAddresses {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the VCN.
     */
    "vcnId": string;
    /**
     * A private IP address or CIDR IP address range.
     */
    "addresses": string;
}
export declare namespace PrivateAddresses {
    function getJsonObj(obj: PrivateAddresses): object;
    function getDeserializedJsonObj(obj: PrivateAddresses): object;
}
