/**
 * Web Application Firewall (WAF) API
 * API for the Web Application Firewall service.
Use this API to manage regional Web App Firewalls and corresponding policies for protecting HTTP services.

 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * References an OCI-managed protection capability. Checks if HTTP requests/responses are malicious.
 *
 */
export interface ProtectionCapability {
    /**
     * Unique key of referenced protection capability.
     */
    "key": string;
    /**
     * Version of referenced protection capability. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "version": number;
    "exclusions"?: model.ProtectionCapabilityExclusions;
    /**
     * Override action to take if capability was triggered, defined in Protection Rule for this capability.
     * Only actions of type CHECK are allowed.
     *
     */
    "actionName"?: string;
    /**
     * The minimum sum of weights of associated collaborative protection capabilities that have triggered which
     * must be reached in order for _this_ capability to trigger.
     * This field is ignored for non-collaborative capabilities.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "collaborativeActionThreshold"?: number;
    /**
     * Explicit weight values to use for associated collaborative protection capabilities.
     *
     */
    "collaborativeWeights"?: Array<model.CollaborativeCapabilityWeightOverride>;
}
export declare namespace ProtectionCapability {
    function getJsonObj(obj: ProtectionCapability): object;
    function getDeserializedJsonObj(obj: ProtectionCapability): object;
}
