/**
 * Web Application Firewall (WAF) API
 * API for the Web Application Firewall service.
Use this API to manage regional Web App Firewalls and corresponding policies for protecting HTTP services.

 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Rate limiting configuration.
 */
export interface RequestRateLimitingConfiguration {
    /**
     * Evaluation period in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "periodInSeconds": number;
    /**
     * Requests allowed per evaluation period. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "requestsLimit": number;
    /**
     * Duration of block action application in seconds when {@code requestsLimit} is reached. Optional and can be 0 (no block duration). Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "actionDurationInSeconds"?: number;
}
export declare namespace RequestRateLimitingConfiguration {
    function getJsonObj(obj: RequestRateLimitingConfiguration): object;
    function getDeserializedJsonObj(obj: RequestRateLimitingConfiguration): object;
}
