/**
 * Web Application Firewall (WAF) API
 * API for the Web Application Firewall service.
Use this API to manage regional Web App Firewalls and corresponding policies for protecting HTTP services.

 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Rule that represents RequestRateLimitingConfigurations.
 * Only actions of the following types are allowed to be referenced in this rule:
 *  * CHECK
 *  * RETURN_HTTP_RESPONSE
 *
 */
export interface RequestRateLimitingRule extends model.WebAppFirewallPolicyRule {
    /**
     * Rate Limiting Configurations.
     * Each configuration counts requests towards its own {@code requestsLimit}.
     *
     */
    "configurations": Array<model.RequestRateLimitingConfiguration>;
    "type": string;
}
export declare namespace RequestRateLimitingRule {
    function getJsonObj(obj: RequestRateLimitingRule, isParentJsonObj?: boolean): object;
    const type = "REQUEST_RATE_LIMITING";
    function getDeserializedJsonObj(obj: RequestRateLimitingRule, isParentJsonObj?: boolean): object;
}
