/**
 * Web Application Firewall (WAF) API
 * API for the Web Application Firewall service.
Use this API to manage regional Web App Firewalls and corresponding policies for protecting HTTP services.

 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information to be updated for NetworkAddressListVcnAddresses.
 */
export interface UpdateNetworkAddressListVcnAddressesDetails extends model.UpdateNetworkAddressListDetails {
    /**
     * A list of private address prefixes, each associated with a particular VCN.
     * To specify all addresses in a VCN, use \"0.0.0.0/0\" for IPv4 and \"::/0\" for IPv6.
     *
     */
    "vcnAddresses"?: Array<model.PrivateAddresses>;
    "type": string;
}
export declare namespace UpdateNetworkAddressListVcnAddressesDetails {
    function getJsonObj(obj: UpdateNetworkAddressListVcnAddressesDetails, isParentJsonObj?: boolean): object;
    const type = "VCN_ADDRESSES";
    function getDeserializedJsonObj(obj: UpdateNetworkAddressListVcnAddressesDetails, isParentJsonObj?: boolean): object;
}
