/**
 *
 *
 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/waf/ListProtectionCapabilities.ts.html |here} to see how to use ListProtectionCapabilitiesRequest.
 */
export interface ListProtectionCapabilitiesRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * A token representing the position at which to start retrieving results.
     * This must come from the {@code opc-next-page} header field of a previous response.
     *
     */
    "page"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The unique key of protection capability to filter by.
     */
    "key"?: string;
    /**
     * A filter to return only resources that matches given isLatestVersion.
     */
    "isLatestVersion"?: Array<boolean>;
    /**
     * A filter to return only resources that matches given type.
     */
    "type"?: string;
    /**
     * A filter to return only resources that are accociated given group tag.
     */
    "groupTag"?: Array<string>;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided.
     * Default order for key is descending.
     * Default order for type is descending.
     * Default order for displayName is ascending.
     * If no value is specified key is default.
     *
     */
    "sortBy"?: ListProtectionCapabilitiesRequest.SortBy;
}
export declare namespace ListProtectionCapabilitiesRequest {
    enum SortBy {
        Key = "key",
        Type = "type",
        DisplayName = "displayName"
    }
}
