/**
 * Web Application Firewall (WAF) API
 * API for the Web Application Firewall service.
Use this API to manage regional Web App Firewalls and corresponding policies for protecting HTTP services.

 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { WafClient } from "./client";
export declare class WafWaiter {
    private client;
    private readonly config?;
    constructor(client: WafClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forNetworkAddressList till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetNetworkAddressListResponse | null (null in case of 404 response)
     */
    forNetworkAddressList(request: serviceRequests.GetNetworkAddressListRequest, ...targetStates: models.NetworkAddressList.LifecycleState[]): Promise<serviceResponses.GetNetworkAddressListResponse | null>;
    /**
     * Waits forWebAppFirewall till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetWebAppFirewallResponse | null (null in case of 404 response)
     */
    forWebAppFirewall(request: serviceRequests.GetWebAppFirewallRequest, ...targetStates: models.WebAppFirewall.LifecycleState[]): Promise<serviceResponses.GetWebAppFirewallResponse | null>;
    /**
     * Waits forWebAppFirewallPolicy till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetWebAppFirewallPolicyResponse | null (null in case of 404 response)
     */
    forWebAppFirewallPolicy(request: serviceRequests.GetWebAppFirewallPolicyRequest, ...targetStates: models.WebAppFirewallPolicy.LifecycleState[]): Promise<serviceResponses.GetWebAppFirewallPolicyResponse | null>;
    /**
     * Waits forWorkRequest
     *
     * @param request the request to send
     * @return response returns GetWorkRequestResponse
     */
    forWorkRequest(request: serviceRequests.GetWorkRequestRequest): Promise<serviceResponses.GetWorkRequestResponse>;
}
