/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Configuration for a vulnerability audit.
 * A vulnerable application dependency is ignored if its name does match any of the items in {@code exclusions}, or all of the associated Vulnerabilies have a CVSS v2 score below {@code maxPermissibleCvssV2Score} and a CVSS v3 score below {@code maxPermissibleCvssV3Score}.
 * type: object
 *
 */
export interface VulnerabilityAuditConfiguration {
    /**
     * A vulnerable application dependency is ignored if the score of its associated Vulnerability is below maxPermissibleCvssV2Score and below maxPermissibleCvssV3Score. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxPermissibleCvssV2Score"?: number;
    /**
     * A vulnerable application dependency is ignored if the score of its associated Vulnerability is below maxPermissibleCvssV2Score and below maxPermissibleCvssV3Score. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "maxPermissibleCvssV3Score"?: number;
    /**
     * A vulnerable application dependency is ignored if the score of its associated Vulnerability is below maxPermissibleSeverity.
     */
    "maxPermissibleSeverity"?: model.ConfigSeverity;
    /**
     * A vulnerable application dependency is ignored if its name matches any of the items in {@code exclusions}.
     * An asterisk (*) in the dependency pattern acts as a wildcard and matches zero or more characters.
     *
     */
    "exclusions"?: Array<string>;
}
export declare namespace VulnerabilityAuditConfiguration {
    function getJsonObj(obj: VulnerabilityAuditConfiguration): object;
    function getDeserializedJsonObj(obj: VulnerabilityAuditConfiguration): object;
}
