"use strict";
/**
 * Application Dependency Management API
 * Use the Application Dependency Management API to create knowledge bases and vulnerability audits.  For more information, see [ADM](/Content/application-dependency-management/home.htm).
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VulnerabilityAudit = void 0;
const model = __importStar(require("../model"));
var VulnerabilityAudit;
(function (VulnerabilityAudit) {
    let LifecycleState;
    (function (LifecycleState) {
        LifecycleState["Active"] = "ACTIVE";
        LifecycleState["Creating"] = "CREATING";
        LifecycleState["Deleted"] = "DELETED";
        LifecycleState["Deleting"] = "DELETING";
        LifecycleState["Failed"] = "FAILED";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleState["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleState = VulnerabilityAudit.LifecycleState || (VulnerabilityAudit.LifecycleState = {}));
    let LifecycleDetails;
    (function (LifecycleDetails) {
        LifecycleDetails["UsageDataNotFoundOrNotAuthorized"] = "USAGE_DATA_NOT_FOUND_OR_NOT_AUTHORIZED";
        LifecycleDetails["UsageDataParseFailed"] = "USAGE_DATA_PARSE_FAILED";
        LifecycleDetails["UsageDataCompressedSizeLimitExceeded"] = "USAGE_DATA_COMPRESSED_SIZE_LIMIT_EXCEEDED";
        LifecycleDetails["UsageDataUncompressedSizeLimitExceeded"] = "USAGE_DATA_UNCOMPRESSED_SIZE_LIMIT_EXCEEDED";
        LifecycleDetails["UsageDataUnknownError"] = "USAGE_DATA_UNKNOWN_ERROR";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        LifecycleDetails["UnknownValue"] = "UNKNOWN_VALUE";
    })(LifecycleDetails = VulnerabilityAudit.LifecycleDetails || (VulnerabilityAudit.LifecycleDetails = {}));
    let BuildType;
    (function (BuildType) {
        BuildType["Maven"] = "MAVEN";
        BuildType["Unset"] = "UNSET";
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        BuildType["UnknownValue"] = "UNKNOWN_VALUE";
    })(BuildType = VulnerabilityAudit.BuildType || (VulnerabilityAudit.BuildType = {}));
    function getJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "vulnerabilities": obj.vulnerabilities
                ? obj.vulnerabilities.map(item => {
                    return model.Vulnerability.getJsonObj(item);
                })
                : undefined,
            "configuration": obj.configuration
                ? model.VulnerabilityAuditConfiguration.getJsonObj(obj.configuration)
                : undefined,
            "usageData": obj.usageData ? model.UsageDataDetails.getJsonObj(obj.usageData) : undefined,
            "source": obj.source ? model.VulnerabilityAuditSource.getJsonObj(obj.source) : undefined
        });
        return jsonObj;
    }
    VulnerabilityAudit.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        const jsonObj = Object.assign(Object.assign({}, obj), {
            "vulnerabilities": obj.vulnerabilities
                ? obj.vulnerabilities.map(item => {
                    return model.Vulnerability.getDeserializedJsonObj(item);
                })
                : undefined,
            "configuration": obj.configuration
                ? model.VulnerabilityAuditConfiguration.getDeserializedJsonObj(obj.configuration)
                : undefined,
            "usageData": obj.usageData
                ? model.UsageDataDetails.getDeserializedJsonObj(obj.usageData)
                : undefined,
            "source": obj.source
                ? model.VulnerabilityAuditSource.getDeserializedJsonObj(obj.source)
                : undefined
        });
        return jsonObj;
    }
    VulnerabilityAudit.getDeserializedJsonObj = getDeserializedJsonObj;
})(VulnerabilityAudit = exports.VulnerabilityAudit || (exports.VulnerabilityAudit = {}));
//# sourceMappingURL=vulnerability-audit.js.map