/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Agent scan settings for applicaiton scan
 */
export interface ApplicationScanSettings {
    /**
     * Scan recurrences in RFC-5545 section 3.3.10 format.
     * Only supported input are weekly, biweekly, monthly listed below
     * FREQ=WEEKLY;WKST=<weekday>;INTERVAL=1 - This weekly scan on the specified weekday (e.g. Sunday)
     * FREQ=WEEKLY;WKST=<weekday>;INTERVAL=2 - This bi-weekly scan on the specified weekday (e.g. Sunday)
     * FREQ=MONTHLY;WKST=<weekday>;INTERVAL=1 - This monthly scan on the specified weekday (e.g. Sunday, starting from the next such weekday based on the time of setting creation)
     *
     */
    "applicationScanRecurrence": string;
    /**
     * Enable or disable application scan
     */
    "isEnabled": boolean;
    /**
     * List of folders selected for scanning
     */
    "foldersToScan": Array<model.FolderToScan>;
}
export declare namespace ApplicationScanSettings {
    function getJsonObj(obj: ApplicationScanSettings): object;
    function getDeserializedJsonObj(obj: ApplicationScanSettings): object;
}
