/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A problem found in a container scan
 */
export interface ContainerScanResultProblem {
    /**
     * Name of the problem
     */
    "name": string;
    /**
     * Problem description
     */
    "description"?: string;
    /**
     * Problem severity
     */
    "severity": model.ScanResultProblemSeverity;
    /**
     * State of the vulnerability
     */
    "state"?: model.ScanResultVulnerabilityState;
    /**
     * Reference to problem MITRE CVE ID
     */
    "cveReference"?: string;
    /**
     * Date of scan result that first reported the vulnerability
     */
    "timeFirstDetected"?: Date;
    /**
     * Date of scan result that most recently reported the vulnerability
     */
    "timeLastDetected"?: Date;
    /**
     * Packages in which the problem is detected
     */
    "vulnerablePackages"?: Array<model.Package>;
}
export declare namespace ContainerScanResultProblem {
    function getJsonObj(obj: ContainerScanResultProblem): object;
    function getDeserializedJsonObj(obj: ContainerScanResultProblem): object;
}
