/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The information for a new host scan target
 */
export interface CreateHostScanTargetDetails {
    /**
     * Target identifier, which can be renamed. If not present, it will be auto-generated. Avoid entering confidential information.
     */
    "displayName"?: string;
    /**
     * Compartment ID of the object (this).
     */
    "compartmentId": string;
    /**
     * Target description.
     */
    "description"?: string;
    /**
     * Compartment ID to target. If a list of hosts is provided, all hosts must be in this compartment.
     */
    "targetCompartmentId": string;
    /**
     * List of compute instance IDs to target (optional). If empty, targets the entire targetCompartmentId.
     */
    "instanceIds"?: Array<string>;
    /**
     * ID of the host scan recipe this target applies.
     */
    "hostScanRecipeId": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreateHostScanTargetDetails {
    function getJsonObj(obj: CreateHostScanTargetDetails): object;
    function getDeserializedJsonObj(obj: CreateHostScanTargetDetails): object;
}
