/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details on a CVE.
 */
export interface CveDetails {
    /**
     * CVE ID.
     */
    "cveReference": string;
    /**
     * Vulnerability title.
     */
    "title": string;
    /**
     * CVE description.
     */
    "description"?: string;
    /**
     * ID of related CVE, if applicable.
     */
    "relatedCveReference"?: string;
    /**
     * CVSS 3 Score.
     */
    "cvss3": string;
    /**
     * Date/time the CVE was published.
     */
    "timePublished": Date;
    /**
     * Date/time the CVE was last modified.
     */
    "timeUpdated": Date;
    /**
     * Threat this item poses to resource.
     */
    "threat"?: string;
    /**
     * Impact on resource if this vulnerability is exploited.
     */
    "impact"?: string;
    /**
     * Recommended solution to fix this vulnerability.
     */
    "solution"?: string;
    /**
     * Can this vulnerability be patched.
     */
    "patchable"?: string;
    /**
     * Can this vulnerability be exploited.
     */
    "exploitable"?: string;
    /**
     * Reference link to know more about this vulnerability.
     */
    "referenceUrl"?: string;
}
export declare namespace CveDetails {
    function getJsonObj(obj: CveDetails): object;
    function getDeserializedJsonObj(obj: CveDetails): object;
}
