/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details for a HostAgentScan list export to CSV action
 */
export interface ExportHostAgentScanResultCsvDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment to list scans in.
     */
    "compartmentId": string;
    /**
     * Date and time after which scans were started, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeStartedAfter": Date;
    /**
     * Date and time before which scans were started, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeStartedBefore": Date;
    /**
     * Parameter to filter by highestProblemSeverity for scan results
     */
    "highestProblemSeverity"?: model.ScanResultProblemSeverity;
    /**
     * Parameter to filter by a single compute instance ID for scan results
     */
    "instanceId"?: string;
    /**
     * Parameter to filter by operating system for scan results
     */
    "operatingSystem"?: string;
}
export declare namespace ExportHostAgentScanResultCsvDetails {
    function getJsonObj(obj: ExportHostAgentScanResultCsvDetails): object;
    function getDeserializedJsonObj(obj: ExportHostAgentScanResultCsvDetails): object;
}
