/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for a Host Vulnerability list export to CSV action
 */
export interface ExportHostVulnerabilityCsvDetails {
    /**
     * The [OCID](https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm) of the compartment to list vulnerabilities in.
     */
    "compartmentId": string;
    /**
     * Date and time on or after which this vulnerability was last detected, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeLastDetectedGreaterThanOrEqualTo": Date;
    /**
     * Date and time on or before which this vulnerability was last detected, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeLastDetectedLessThanOrEqualTo": Date;
}
export declare namespace ExportHostVulnerabilityCsvDetails {
    function getJsonObj(obj: ExportHostVulnerabilityCsvDetails): object;
    function getDeserializedJsonObj(obj: ExportHostVulnerabilityCsvDetails): object;
}
