"use strict";
/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.HostCisBenchmarkScanLevel = void 0;
/**
 * Host CIS (Center for Internet Security) Benchmark scan level.
 * STRICT - More than 20% of the benchmarks failing is a critical risk.
 * MEDIUM - More than 40% of the benchmarks failing is a high risk.
 * LIGHT - More than 80% of the benchmarks failing is a high risk.
 *
 **/
var HostCisBenchmarkScanLevel;
(function (HostCisBenchmarkScanLevel) {
    HostCisBenchmarkScanLevel["None"] = "NONE";
    HostCisBenchmarkScanLevel["Light"] = "LIGHT";
    HostCisBenchmarkScanLevel["Medium"] = "MEDIUM";
    HostCisBenchmarkScanLevel["Strict"] = "STRICT";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    HostCisBenchmarkScanLevel["UnknownValue"] = "UNKNOWN_VALUE";
})(HostCisBenchmarkScanLevel = exports.HostCisBenchmarkScanLevel || (exports.HostCisBenchmarkScanLevel = {}));
(function (HostCisBenchmarkScanLevel) {
    function getJsonObj(obj) {
        return obj;
    }
    HostCisBenchmarkScanLevel.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    HostCisBenchmarkScanLevel.getDeserializedJsonObj = getDeserializedJsonObj;
})(HostCisBenchmarkScanLevel = exports.HostCisBenchmarkScanLevel || (exports.HostCisBenchmarkScanLevel = {}));
//# sourceMappingURL=host-cis-benchmark-scan-level.js.map