/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A single CIS (Center for Internet Security) benchmark executed in a host scan
 */
export interface HostCisBenchmarkScanResultScore {
    /**
     * Identifier for this CIS (Center for Internet Security) benchmark
     */
    "benchmarkIdentifier": string;
    /**
     * Details about what this CIS (Center for Internet Security) benchmark represents
     */
    "description": string;
    /**
     * Result score of CIS (Center for Internet Security) benchmark execution (Pass/Fail)
     */
    "score": model.ScanResultScore;
}
export declare namespace HostCisBenchmarkScanResultScore {
    function getJsonObj(obj: HostCisBenchmarkScanResultScore): object;
    function getDeserializedJsonObj(obj: HostCisBenchmarkScanResultScore): object;
}
