/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A scan result of all CIS (Center for Internet Security) benchmark execution for this host
 */
export interface HostCisBenchmarkScanResult {
    /**
     * Unique identifier of the scan
     */
    "id": string;
    /**
     * Name of the result
     */
    "displayName"?: string;
    /**
     * Instance ID of the Compute Instance scanned
     */
    "instanceId": string;
    /**
     * Compartment ID of the resource. This is set to the same as the compartment ID of the scan target
     */
    "compartmentId": string;
    /**
     * Date and time the scan was started, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeStarted": Date;
    /**
     * Date and time the scan was completed, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeFinished": Date;
    /**
     * Total number of CIS (Center for Internet Security) benchmark issues found in this scan Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "cisBenchmarkScanIssuesCount": number;
    /**
     * A single CIS (Center for Internet Security) benchmark scan executed on a host.
     */
    "cisBenchmarkScanResultScores": Array<model.HostCisBenchmarkScanResultScore>;
    /**
     * The current state of the result.
     */
    "lifecycleState"?: model.LifecycleState;
}
export declare namespace HostCisBenchmarkScanResult {
    function getJsonObj(obj: HostCisBenchmarkScanResult): object;
    function getDeserializedJsonObj(obj: HostCisBenchmarkScanResult): object;
}
