/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An endpoint protection found in a host scan
 */
export interface HostEndpointProtectionScanResultEndpointProtection {
    /**
     * Name of endpoint protection service
     */
    "service": string;
    /**
     * Configuration information for endpoint protection service at the time of scan
     */
    "configurationFinding": string;
    /**
     * Date and time endpoint protection signature was updated, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeSignatureUpdated": Date;
    /**
     * Problem severity
     */
    "severity": model.ScanResultProblemSeverity;
}
export declare namespace HostEndpointProtectionScanResultEndpointProtection {
    function getJsonObj(obj: HostEndpointProtectionScanResultEndpointProtection): object;
    function getDeserializedJsonObj(obj: HostEndpointProtectionScanResultEndpointProtection): object;
}
