/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * An open port found in a host port scan
 */
export interface HostPortScanResultOpenPort {
    /**
     * Open port Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "port": number;
    /**
     * Protocol of the open port
     */
    "protocol": string;
    /**
     * IP Address open port was found on
     */
    "ipAddress": string;
    /**
     * ID of the attached VNIC that exposed the IP Address scanned
     */
    "vnicId": string;
    /**
     * Service running on the port (if detected)
     */
    "service"?: string;
    /**
     * Problem severity
     */
    "severity": model.ScanResultProblemSeverity;
}
export declare namespace HostPortScanResultOpenPort {
    function getJsonObj(obj: HostPortScanResultOpenPort): object;
    function getDeserializedJsonObj(obj: HostPortScanResultOpenPort): object;
}
