/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A host scan recipe (collection of host scanning configuration settings)
 */
export interface HostScanRecipe {
    /**
     * Unique identifier of the config that is immutable on creation
     */
    "id": string;
    /**
     * Recipe identifier, which can be renamed
     */
    "displayName": string;
    /**
     * Compartment ID of the scan recipe
     */
    "compartmentId": string;
    /**
     * The current state of the config.
     */
    "lifecycleState": model.LifecycleState;
    /**
     * Date and time the recipe was created, format as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeCreated": Date;
    /**
     * Date and time the recipe was last updated, format as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeUpdated": Date;
    "portSettings": model.HostScanPortSettings;
    "agentSettings": model.HostScanAgentSettings;
    "applicationSettings"?: model.ApplicationScanSettings;
    "schedule": model.Schedule;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace HostScanRecipe {
    function getJsonObj(obj: HostScanRecipe): object;
    function getDeserializedJsonObj(obj: HostScanRecipe): object;
}
