/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as ApplicationScanSettings from "./application-scan-settings";
export import ApplicationScanSettings = ApplicationScanSettings.ApplicationScanSettings;
import * as ChangeContainerScanRecipeCompartmentDetails from "./change-container-scan-recipe-compartment-details";
export import ChangeContainerScanRecipeCompartmentDetails = ChangeContainerScanRecipeCompartmentDetails.ChangeContainerScanRecipeCompartmentDetails;
import * as ChangeContainerScanResultCompartmentDetails from "./change-container-scan-result-compartment-details";
export import ChangeContainerScanResultCompartmentDetails = ChangeContainerScanResultCompartmentDetails.ChangeContainerScanResultCompartmentDetails;
import * as ChangeContainerScanTargetCompartmentDetails from "./change-container-scan-target-compartment-details";
export import ChangeContainerScanTargetCompartmentDetails = ChangeContainerScanTargetCompartmentDetails.ChangeContainerScanTargetCompartmentDetails;
import * as ChangeHostAgentScanResultCompartmentDetails from "./change-host-agent-scan-result-compartment-details";
export import ChangeHostAgentScanResultCompartmentDetails = ChangeHostAgentScanResultCompartmentDetails.ChangeHostAgentScanResultCompartmentDetails;
import * as ChangeHostCisBenchmarkScanResultCompartmentDetails from "./change-host-cis-benchmark-scan-result-compartment-details";
export import ChangeHostCisBenchmarkScanResultCompartmentDetails = ChangeHostCisBenchmarkScanResultCompartmentDetails.ChangeHostCisBenchmarkScanResultCompartmentDetails;
import * as ChangeHostEndpointProtectionScanResultCompartmentDetails from "./change-host-endpoint-protection-scan-result-compartment-details";
export import ChangeHostEndpointProtectionScanResultCompartmentDetails = ChangeHostEndpointProtectionScanResultCompartmentDetails.ChangeHostEndpointProtectionScanResultCompartmentDetails;
import * as ChangeHostPortScanResultCompartmentDetails from "./change-host-port-scan-result-compartment-details";
export import ChangeHostPortScanResultCompartmentDetails = ChangeHostPortScanResultCompartmentDetails.ChangeHostPortScanResultCompartmentDetails;
import * as ChangeHostScanRecipeCompartmentDetails from "./change-host-scan-recipe-compartment-details";
export import ChangeHostScanRecipeCompartmentDetails = ChangeHostScanRecipeCompartmentDetails.ChangeHostScanRecipeCompartmentDetails;
import * as ChangeHostScanTargetCompartmentDetails from "./change-host-scan-target-compartment-details";
export import ChangeHostScanTargetCompartmentDetails = ChangeHostScanTargetCompartmentDetails.ChangeHostScanTargetCompartmentDetails;
import * as ContainerScanRecipe from "./container-scan-recipe";
export import ContainerScanRecipe = ContainerScanRecipe.ContainerScanRecipe;
import * as ContainerScanRecipeSummary from "./container-scan-recipe-summary";
export import ContainerScanRecipeSummary = ContainerScanRecipeSummary.ContainerScanRecipeSummary;
import * as ContainerScanRecipeSummaryCollection from "./container-scan-recipe-summary-collection";
export import ContainerScanRecipeSummaryCollection = ContainerScanRecipeSummaryCollection.ContainerScanRecipeSummaryCollection;
import * as ContainerScanRegistry from "./container-scan-registry";
export import ContainerScanRegistry = ContainerScanRegistry.ContainerScanRegistry;
import * as ContainerScanResult from "./container-scan-result";
export import ContainerScanResult = ContainerScanResult.ContainerScanResult;
import * as ContainerScanResultProblem from "./container-scan-result-problem";
export import ContainerScanResultProblem = ContainerScanResultProblem.ContainerScanResultProblem;
import * as ContainerScanResultSortBy from "./container-scan-result-sort-by";
export import ContainerScanResultSortBy = ContainerScanResultSortBy.ContainerScanResultSortBy;
import * as ContainerScanResultSummary from "./container-scan-result-summary";
export import ContainerScanResultSummary = ContainerScanResultSummary.ContainerScanResultSummary;
import * as ContainerScanResultSummaryCollection from "./container-scan-result-summary-collection";
export import ContainerScanResultSummaryCollection = ContainerScanResultSummaryCollection.ContainerScanResultSummaryCollection;
import * as ContainerScanSettings from "./container-scan-settings";
export import ContainerScanSettings = ContainerScanSettings.ContainerScanSettings;
import * as ContainerScanTarget from "./container-scan-target";
export import ContainerScanTarget = ContainerScanTarget.ContainerScanTarget;
import * as ContainerScanTargetSummary from "./container-scan-target-summary";
export import ContainerScanTargetSummary = ContainerScanTargetSummary.ContainerScanTargetSummary;
import * as ContainerScanTargetSummaryCollection from "./container-scan-target-summary-collection";
export import ContainerScanTargetSummaryCollection = ContainerScanTargetSummaryCollection.ContainerScanTargetSummaryCollection;
import * as CreateContainerScanRecipeDetails from "./create-container-scan-recipe-details";
export import CreateContainerScanRecipeDetails = CreateContainerScanRecipeDetails.CreateContainerScanRecipeDetails;
import * as CreateContainerScanRegistryDetails from "./create-container-scan-registry-details";
export import CreateContainerScanRegistryDetails = CreateContainerScanRegistryDetails.CreateContainerScanRegistryDetails;
import * as CreateContainerScanTargetDetails from "./create-container-scan-target-details";
export import CreateContainerScanTargetDetails = CreateContainerScanTargetDetails.CreateContainerScanTargetDetails;
import * as CreateHostScanRecipeDetails from "./create-host-scan-recipe-details";
export import CreateHostScanRecipeDetails = CreateHostScanRecipeDetails.CreateHostScanRecipeDetails;
import * as CreateHostScanTargetDetails from "./create-host-scan-target-details";
export import CreateHostScanTargetDetails = CreateHostScanTargetDetails.CreateHostScanTargetDetails;
import * as CveDetails from "./cve-details";
export import CveDetails = CveDetails.CveDetails;
import * as DayOfWeek from "./day-of-week";
export import DayOfWeek = DayOfWeek.DayOfWeek;
import * as ExportHostAgentScanResultCsvDetails from "./export-host-agent-scan-result-csv-details";
export import ExportHostAgentScanResultCsvDetails = ExportHostAgentScanResultCsvDetails.ExportHostAgentScanResultCsvDetails;
import * as ExportHostVulnerabilityCsvDetails from "./export-host-vulnerability-csv-details";
export import ExportHostVulnerabilityCsvDetails = ExportHostVulnerabilityCsvDetails.ExportHostVulnerabilityCsvDetails;
import * as FolderToScan from "./folder-to-scan";
export import FolderToScan = FolderToScan.FolderToScan;
import * as HostAgentScanLevel from "./host-agent-scan-level";
export import HostAgentScanLevel = HostAgentScanLevel.HostAgentScanLevel;
import * as HostAgentScanResult from "./host-agent-scan-result";
export import HostAgentScanResult = HostAgentScanResult.HostAgentScanResult;
import * as HostAgentScanResultProblem from "./host-agent-scan-result-problem";
export import HostAgentScanResultProblem = HostAgentScanResultProblem.HostAgentScanResultProblem;
import * as HostAgentScanResultSortBy from "./host-agent-scan-result-sort-by";
export import HostAgentScanResultSortBy = HostAgentScanResultSortBy.HostAgentScanResultSortBy;
import * as HostAgentScanResultSummary from "./host-agent-scan-result-summary";
export import HostAgentScanResultSummary = HostAgentScanResultSummary.HostAgentScanResultSummary;
import * as HostAgentScanResultSummaryCollection from "./host-agent-scan-result-summary-collection";
export import HostAgentScanResultSummaryCollection = HostAgentScanResultSummaryCollection.HostAgentScanResultSummaryCollection;
import * as HostCisBenchmarkScanLevel from "./host-cis-benchmark-scan-level";
export import HostCisBenchmarkScanLevel = HostCisBenchmarkScanLevel.HostCisBenchmarkScanLevel;
import * as HostCisBenchmarkScanResult from "./host-cis-benchmark-scan-result";
export import HostCisBenchmarkScanResult = HostCisBenchmarkScanResult.HostCisBenchmarkScanResult;
import * as HostCisBenchmarkScanResultScore from "./host-cis-benchmark-scan-result-score";
export import HostCisBenchmarkScanResultScore = HostCisBenchmarkScanResultScore.HostCisBenchmarkScanResultScore;
import * as HostCisBenchmarkScanResultSortBy from "./host-cis-benchmark-scan-result-sort-by";
export import HostCisBenchmarkScanResultSortBy = HostCisBenchmarkScanResultSortBy.HostCisBenchmarkScanResultSortBy;
import * as HostCisBenchmarkScanResultSummary from "./host-cis-benchmark-scan-result-summary";
export import HostCisBenchmarkScanResultSummary = HostCisBenchmarkScanResultSummary.HostCisBenchmarkScanResultSummary;
import * as HostCisBenchmarkScanResultSummaryCollection from "./host-cis-benchmark-scan-result-summary-collection";
export import HostCisBenchmarkScanResultSummaryCollection = HostCisBenchmarkScanResultSummaryCollection.HostCisBenchmarkScanResultSummaryCollection;
import * as HostCisBenchmarkSettings from "./host-cis-benchmark-settings";
export import HostCisBenchmarkSettings = HostCisBenchmarkSettings.HostCisBenchmarkSettings;
import * as HostEndpointProtectionScanLevel from "./host-endpoint-protection-scan-level";
export import HostEndpointProtectionScanLevel = HostEndpointProtectionScanLevel.HostEndpointProtectionScanLevel;
import * as HostEndpointProtectionScanResult from "./host-endpoint-protection-scan-result";
export import HostEndpointProtectionScanResult = HostEndpointProtectionScanResult.HostEndpointProtectionScanResult;
import * as HostEndpointProtectionScanResultEndpointProtection from "./host-endpoint-protection-scan-result-endpoint-protection";
export import HostEndpointProtectionScanResultEndpointProtection = HostEndpointProtectionScanResultEndpointProtection.HostEndpointProtectionScanResultEndpointProtection;
import * as HostEndpointProtectionScanResultSortBy from "./host-endpoint-protection-scan-result-sort-by";
export import HostEndpointProtectionScanResultSortBy = HostEndpointProtectionScanResultSortBy.HostEndpointProtectionScanResultSortBy;
import * as HostEndpointProtectionScanResultSummary from "./host-endpoint-protection-scan-result-summary";
export import HostEndpointProtectionScanResultSummary = HostEndpointProtectionScanResultSummary.HostEndpointProtectionScanResultSummary;
import * as HostEndpointProtectionScanResultSummaryCollection from "./host-endpoint-protection-scan-result-summary-collection";
export import HostEndpointProtectionScanResultSummaryCollection = HostEndpointProtectionScanResultSummaryCollection.HostEndpointProtectionScanResultSummaryCollection;
import * as HostEndpointProtectionSettings from "./host-endpoint-protection-settings";
export import HostEndpointProtectionSettings = HostEndpointProtectionSettings.HostEndpointProtectionSettings;
import * as HostPortScanLevel from "./host-port-scan-level";
export import HostPortScanLevel = HostPortScanLevel.HostPortScanLevel;
import * as HostPortScanResult from "./host-port-scan-result";
export import HostPortScanResult = HostPortScanResult.HostPortScanResult;
import * as HostPortScanResultOpenPort from "./host-port-scan-result-open-port";
export import HostPortScanResultOpenPort = HostPortScanResultOpenPort.HostPortScanResultOpenPort;
import * as HostPortScanResultSortBy from "./host-port-scan-result-sort-by";
export import HostPortScanResultSortBy = HostPortScanResultSortBy.HostPortScanResultSortBy;
import * as HostPortScanResultSummary from "./host-port-scan-result-summary";
export import HostPortScanResultSummary = HostPortScanResultSummary.HostPortScanResultSummary;
import * as HostPortScanResultSummaryCollection from "./host-port-scan-result-summary-collection";
export import HostPortScanResultSummaryCollection = HostPortScanResultSummaryCollection.HostPortScanResultSummaryCollection;
import * as HostScanAgentConfiguration from "./host-scan-agent-configuration";
export import HostScanAgentConfiguration = HostScanAgentConfiguration.HostScanAgentConfiguration;
import * as HostScanAgentSettings from "./host-scan-agent-settings";
export import HostScanAgentSettings = HostScanAgentSettings.HostScanAgentSettings;
import * as HostScanPortSettings from "./host-scan-port-settings";
export import HostScanPortSettings = HostScanPortSettings.HostScanPortSettings;
import * as HostScanRecipe from "./host-scan-recipe";
export import HostScanRecipe = HostScanRecipe.HostScanRecipe;
import * as HostScanRecipeSummary from "./host-scan-recipe-summary";
export import HostScanRecipeSummary = HostScanRecipeSummary.HostScanRecipeSummary;
import * as HostScanRecipeSummaryCollection from "./host-scan-recipe-summary-collection";
export import HostScanRecipeSummaryCollection = HostScanRecipeSummaryCollection.HostScanRecipeSummaryCollection;
import * as HostScanTarget from "./host-scan-target";
export import HostScanTarget = HostScanTarget.HostScanTarget;
import * as HostScanTargetErrorSummary from "./host-scan-target-error-summary";
export import HostScanTargetErrorSummary = HostScanTargetErrorSummary.HostScanTargetErrorSummary;
import * as HostScanTargetErrorSummaryCollection from "./host-scan-target-error-summary-collection";
export import HostScanTargetErrorSummaryCollection = HostScanTargetErrorSummaryCollection.HostScanTargetErrorSummaryCollection;
import * as HostScanTargetSummary from "./host-scan-target-summary";
export import HostScanTargetSummary = HostScanTargetSummary.HostScanTargetSummary;
import * as HostScanTargetSummaryCollection from "./host-scan-target-summary-collection";
export import HostScanTargetSummaryCollection = HostScanTargetSummaryCollection.HostScanTargetSummaryCollection;
import * as HostVulnerability from "./host-vulnerability";
export import HostVulnerability = HostVulnerability.HostVulnerability;
import * as HostVulnerabilityImpactedHostSummary from "./host-vulnerability-impacted-host-summary";
export import HostVulnerabilityImpactedHostSummary = HostVulnerabilityImpactedHostSummary.HostVulnerabilityImpactedHostSummary;
import * as HostVulnerabilityImpactedHostSummaryCollection from "./host-vulnerability-impacted-host-summary-collection";
export import HostVulnerabilityImpactedHostSummaryCollection = HostVulnerabilityImpactedHostSummaryCollection.HostVulnerabilityImpactedHostSummaryCollection;
import * as HostVulnerabilitySortBy from "./host-vulnerability-sort-by";
export import HostVulnerabilitySortBy = HostVulnerabilitySortBy.HostVulnerabilitySortBy;
import * as HostVulnerabilitySummary from "./host-vulnerability-summary";
export import HostVulnerabilitySummary = HostVulnerabilitySummary.HostVulnerabilitySummary;
import * as HostVulnerabilitySummaryCollection from "./host-vulnerability-summary-collection";
export import HostVulnerabilitySummaryCollection = HostVulnerabilitySummaryCollection.HostVulnerabilitySummaryCollection;
import * as ImpactedHostSortBy from "./impacted-host-sort-by";
export import ImpactedHostSortBy = ImpactedHostSortBy.ImpactedHostSortBy;
import * as ImpactedResourcesCount from "./impacted-resources-count";
export import ImpactedResourcesCount = ImpactedResourcesCount.ImpactedResourcesCount;
import * as LifecycleState from "./lifecycle-state";
export import LifecycleState = LifecycleState.LifecycleState;
import * as OperatingSystem from "./operating-system";
export import OperatingSystem = OperatingSystem.OperatingSystem;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as Package from "./package";
export import Package = Package.Package;
import * as ScanResultProblemSeverity from "./scan-result-problem-severity";
export import ScanResultProblemSeverity = ScanResultProblemSeverity.ScanResultProblemSeverity;
import * as ScanResultScore from "./scan-result-score";
export import ScanResultScore = ScanResultScore.ScanResultScore;
import * as ScanResultVulnerabilityState from "./scan-result-vulnerability-state";
export import ScanResultVulnerabilityState = ScanResultVulnerabilityState.ScanResultVulnerabilityState;
import * as Schedule from "./schedule";
export import Schedule = Schedule.Schedule;
import * as ScheduleType from "./schedule-type";
export import ScheduleType = ScheduleType.ScheduleType;
import * as SortBy from "./sort-by";
export import SortBy = SortBy.SortBy;
import * as SortByTime from "./sort-by-time";
export import SortByTime = SortByTime.SortByTime;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as UpdateContainerScanRecipeDetails from "./update-container-scan-recipe-details";
export import UpdateContainerScanRecipeDetails = UpdateContainerScanRecipeDetails.UpdateContainerScanRecipeDetails;
import * as UpdateContainerScanRegistryDetails from "./update-container-scan-registry-details";
export import UpdateContainerScanRegistryDetails = UpdateContainerScanRegistryDetails.UpdateContainerScanRegistryDetails;
import * as UpdateContainerScanTargetDetails from "./update-container-scan-target-details";
export import UpdateContainerScanTargetDetails = UpdateContainerScanTargetDetails.UpdateContainerScanTargetDetails;
import * as UpdateHostScanRecipeDetails from "./update-host-scan-recipe-details";
export import UpdateHostScanRecipeDetails = UpdateHostScanRecipeDetails.UpdateHostScanRecipeDetails;
import * as UpdateHostScanTargetDetails from "./update-host-scan-target-details";
export import UpdateHostScanTargetDetails = UpdateHostScanTargetDetails.UpdateHostScanTargetDetails;
import * as VendorType from "./vendor-type";
export import VendorType = VendorType.VendorType;
import * as Vulnerability from "./vulnerability";
export import Vulnerability = Vulnerability.Vulnerability;
import * as VulnerabilityImpactedContainerSummary from "./vulnerability-impacted-container-summary";
export import VulnerabilityImpactedContainerSummary = VulnerabilityImpactedContainerSummary.VulnerabilityImpactedContainerSummary;
import * as VulnerabilityImpactedContainerSummaryCollection from "./vulnerability-impacted-container-summary-collection";
export import VulnerabilityImpactedContainerSummaryCollection = VulnerabilityImpactedContainerSummaryCollection.VulnerabilityImpactedContainerSummaryCollection;
import * as VulnerabilityImpactedHostSummary from "./vulnerability-impacted-host-summary";
export import VulnerabilityImpactedHostSummary = VulnerabilityImpactedHostSummary.VulnerabilityImpactedHostSummary;
import * as VulnerabilityImpactedHostSummaryCollection from "./vulnerability-impacted-host-summary-collection";
export import VulnerabilityImpactedHostSummaryCollection = VulnerabilityImpactedHostSummaryCollection.VulnerabilityImpactedHostSummaryCollection;
import * as VulnerabilitySummary from "./vulnerability-summary";
export import VulnerabilitySummary = VulnerabilitySummary.VulnerabilitySummary;
import * as VulnerabilitySummaryCollection from "./vulnerability-summary-collection";
export import VulnerabilitySummaryCollection = VulnerabilitySummaryCollection.VulnerabilitySummaryCollection;
import * as VulnerabilityType from "./vulnerability-type";
export import VulnerabilityType = VulnerabilityType.VulnerabilityType;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestCollection from "./work-request-collection";
export import WorkRequestCollection = WorkRequestCollection.WorkRequestCollection;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as CreateOcirContainerScanRegistryDetails from "./create-ocir-container-scan-registry-details";
export import CreateOcirContainerScanRegistryDetails = CreateOcirContainerScanRegistryDetails.CreateOcirContainerScanRegistryDetails;
import * as HostScanAgentConfigurationOCI from "./host-scan-agent-configuration-oc-i";
export import HostScanAgentConfigurationOCI = HostScanAgentConfigurationOCI.HostScanAgentConfigurationOCI;
import * as HostScanAgentConfigurationQualys from "./host-scan-agent-configuration-qualys";
export import HostScanAgentConfigurationQualys = HostScanAgentConfigurationQualys.HostScanAgentConfigurationQualys;
import * as OcirContainerScanRegistry from "./ocir-container-scan-registry";
export import OcirContainerScanRegistry = OcirContainerScanRegistry.OcirContainerScanRegistry;
import * as UpdateOcirContainerScanRegistryDetails from "./update-ocir-container-scan-registry-details";
export import UpdateOcirContainerScanRegistryDetails = UpdateOcirContainerScanRegistryDetails.UpdateOcirContainerScanRegistryDetails;
