/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Registry information for a OCI Registry target
 */
export interface OcirContainerScanRegistry extends model.ContainerScanRegistry {
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the compartment to perform the scans in. All listed repositories must be in the compartment.
     */
    "compartmentId": string;
    /**
     * List of repositories to scan images in. If left empty, the target defaults to scanning all repos in the compartmentId
     */
    "repositories"?: Array<string>;
    "type": string;
}
export declare namespace OcirContainerScanRegistry {
    function getJsonObj(obj: OcirContainerScanRegistry, isParentJsonObj?: boolean): object;
    const type = "OCIR";
    function getDeserializedJsonObj(obj: OcirContainerScanRegistry, isParentJsonObj?: boolean): object;
}
