/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Possible operation types.
 **/
export declare enum OperationType {
    CreateHostScanRecipe = "CREATE_HOST_SCAN_RECIPE",
    UpdateHostScanRecipe = "UPDATE_HOST_SCAN_RECIPE",
    DeleteHostScanRecipe = "DELETE_HOST_SCAN_RECIPE",
    CreateHostScanTarget = "CREATE_HOST_SCAN_TARGET",
    UpdateHostScanTarget = "UPDATE_HOST_SCAN_TARGET",
    DeleteHostScanTarget = "DELETE_HOST_SCAN_TARGET",
    CreateContainerScanRecipe = "CREATE_CONTAINER_SCAN_RECIPE",
    UpdateContainerScanRecipe = "UPDATE_CONTAINER_SCAN_RECIPE",
    DeleteContainerScanRecipe = "DELETE_CONTAINER_SCAN_RECIPE",
    CreateContainerScanTarget = "CREATE_CONTAINER_SCAN_TARGET",
    UpdateContainerScanTarget = "UPDATE_CONTAINER_SCAN_TARGET",
    DeleteContainerScanTarget = "DELETE_CONTAINER_SCAN_TARGET",
    DeleteHostAgentScanResult = "DELETE_HOST_AGENT_SCAN_RESULT",
    DeleteHostPortScanResult = "DELETE_HOST_PORT_SCAN_RESULT",
    DeleteHostCisBenchmarkScanResult = "DELETE_HOST_CIS_BENCHMARK_SCAN_RESULT",
    DeleteContainerScanResult = "DELETE_CONTAINER_SCAN_RESULT",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace OperationType {
    function getJsonObj(obj: OperationType): OperationType;
    function getDeserializedJsonObj(obj: OperationType): OperationType;
}
