/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details of the vulnerable package found
 */
export interface Package {
    /**
     * Name of the package
     */
    "name": string;
    /**
     * Package version
     */
    "version": string;
    /**
     * Package version in which the CVE was fixed
     */
    "cveFixVersion"?: string;
    /**
     * Package type
     */
    "type": Package.Type;
    /**
     * Disk locations where package was found
     */
    "locations"?: Array<string>;
}
export declare namespace Package {
    enum Type {
        Java = "JAVA",
        Apk = "APK",
        Rpm = "RPM",
        Deb = "DEB",
        Go = "GO",
        Npm = "NPM",
        Python = "PYTHON",
        Rust = "RUST",
        PhpComposer = "PHP_COMPOSER",
        Gem = "GEM",
        MsrcKb = "MSRC_KB",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: Package): object;
    function getDeserializedJsonObj(obj: Package): object;
}
