/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information on a container image impacted by a vulnerability
 */
export interface VulnerabilityImpactedContainerSummary {
    /**
     * The scan target id of the repository scan result
     */
    "containerScanTargetId": string;
    /**
     * The repository id of the container image.
     */
    "repository": string;
    /**
     * The registry key of the container image.
     */
    "registry": string;
    /**
     * The name of the container image.
     */
    "image": string;
    /**
     * The ID of the last container image scan result Id
     */
    "lastContainerScanId": string;
    /**
     * Date and time the scan was completed, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeScanCompleted": Date;
}
export declare namespace VulnerabilityImpactedContainerSummary {
    function getJsonObj(obj: VulnerabilityImpactedContainerSummary): object;
    function getDeserializedJsonObj(obj: VulnerabilityImpactedContainerSummary): object;
}
