/**
 * Scanning API
 * Use the Vulnerability Scanning Service (VSS) API to manage scan recipes, targets, and reports. For more information, see [the Vulnerability Scanning documentation](/iaas/scanning/home.htm).
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information on a host impacted by a vulnerability
 */
export interface VulnerabilityImpactedHostSummary {
    /**
     * The compute instance ID of the impacted host
     */
    "instanceId": string;
    /**
     * The compartment ID of the impacted host
     */
    "compartmentId": string;
    /**
     * The [OCID](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the host agent scan result. Immutable and generated on creation.
     */
    "lastAgentScanId": string;
}
export declare namespace VulnerabilityImpactedHostSummary {
    function getJsonObj(obj: VulnerabilityImpactedHostSummary): object;
    function getDeserializedJsonObj(obj: VulnerabilityImpactedHostSummary): object;
}
