/**
 *
 *
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/vulnerabilityscanning/ListHostPortScanResults.ts.html |here} to see how to use ListHostPortScanResultsRequest.
 */
export interface ListHostPortScanResultsRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * The ID of a compute instance
     */
    "instanceId"?: string;
    /**
     * Parameter to filter by highestProblemSeverity for scan results
     */
    "highestProblemSeverity"?: model.ScanResultProblemSeverity;
    /**
     * Date and time on or after which scans were started, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeStartedGreaterThanOrEqualTo"?: Date;
    /**
     * Date and time on or before which scans were started, as described in [RFC 3339](https://tools.ietf.org/rfc/rfc3339)
     */
    "timeStartedLessThanOrEqualTo"?: Date;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order is descending. If no value is specified timeFinished is default.
     *
     */
    "sortBy"?: model.HostPortScanResultSortBy;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * A flag to return only the latest scan result of an instance.
     */
    "isLatestOnly"?: boolean;
}
