/**
 *
 *
 * OpenAPI spec version: 20210215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.89.2/vulnerabilityscanning/ListHostVulnerabilities.ts.html |here} to see how to use ListHostVulnerabilitiesRequest.
 */
export interface ListHostVulnerabilitiesRequest extends common.BaseRequest {
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId": string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
     */
    "page"?: string;
    /**
     * A filter to return only resources that have a severity that matches the given severity
     */
    "severity"?: model.ScanResultProblemSeverity;
    /**
     * A filter to return only resources that match the entire name given.
     */
    "name"?: string;
    /**
     * Parameter to filter by CVE reference number for vulnerabilities
     */
    "cveReference"?: string;
    /**
     * The field to filter vulnerabilities based on its type. Only one value can be provided.
     *
     */
    "vulnerabilityType"?: model.VulnerabilityType;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for 'name' is Ascending. Default order for other values is descending. If no value is specified name is default.
     *
     */
    "sortBy"?: model.HostVulnerabilitySortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
